diff -pruN 1.16.14+dfsg-1/assets/assets.json 1.17.0+dfsg-2/assets/assets.json
--- 1.16.14+dfsg-1/assets/assets.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/assets/assets.json	2018-10-10 09:19:19.000000000 +0000
@@ -12,6 +12,7 @@
 		"updateAfter": 19,
 		"contentURL": [
 			"https://publicsuffix.org/list/public_suffix_list.dat",
+			"https://cdn.rawgit.com/publicsuffix/list/master/public_suffix_list.dat",
 			"assets/thirdparties/publicsuffix.org/list/effective_tld_names.dat"
 		]
 	},
@@ -255,8 +256,8 @@
 		"updateAfter": 11,
 		"off": true,
 		"title": "Dan Pollock’s hosts file",
-		"contentURL": "http://someonewhocares.org/hosts/hosts",
-		"supportURL": "http://someonewhocares.org/hosts/"
+		"contentURL": "https://someonewhocares.org/hosts/hosts",
+		"supportURL": "https://someonewhocares.org/hosts/"
 	},
 	"hphosts": {
 		"content": "filters",
@@ -500,10 +501,10 @@
 		"content": "filters",
 		"group": "regions",
 		"off": true,
-		"title": "LTU: Adblock Plus Lithuania",
+		"title": "LTU: EasyList Lithuania",
 		"lang": "lt",
-		"contentURL": "http://margevicius.lt/easylistlithuania.txt",
-		"supportURL": "http://margevicius.lt/easylist_lithuania/"
+		"contentURL": "https://margevicius.lt/easylistlithuania.txt",
+		"supportURL": "https://margevicius.lt/2014/06/26/easylist_lithuania/"
 	},
 	"LVA-0": {
 		"content": "filters",
@@ -611,6 +612,15 @@
 		"contentURL": "https://raw.githubusercontent.com/lassekongo83/Frellwits-filter-lists/master/Frellwits-Swedish-Filter.txt",
 		"supportURL": "https://github.com/lassekongo83/Frellwits-filter-lists"
 	},
+	"THA-0": {
+		"content": "filters",
+		"group": "regions",
+		"off": true,
+		"title": "THA: EasyList Thailand",
+		"lang": "th",
+		"contentURL": "https://raw.githubusercontent.com/easylist-thailand/easylist-thailand/master/subscription/easylist-thailand.txt",
+		"supportURL": "https://github.com/easylist-thailand/easylist-thailand"
+	},
 	"TUR-0": {
 		"content": "filters",
 		"group": "regions",
diff -pruN 1.16.14+dfsg-1/debian/changelog 1.17.0+dfsg-2/debian/changelog
--- 1.16.14+dfsg-1/debian/changelog	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/changelog	2018-10-11 15:14:14.000000000 +0000
@@ -1,3 +1,39 @@
+ublock-origin (1.17.0+dfsg-2) unstable; urgency=medium
+
+  * Remove the quotation marks around boolean value in
+    do-not-open-sidebar-on-first-start.patch. That prevented Firefox from
+    loading the addon. Thanks to Eugen Dedu for the report.
+    (Closes: #910807)
+
+ -- Markus Koschany <apo@debian.org>  Thu, 11 Oct 2018 17:14:14 +0200
+
+ublock-origin (1.17.0+dfsg-1) unstable; urgency=medium
+
+  * New upstream version 1.17.0+dfsg.
+  * Update upstream changelog to the new release version.
+  * Drop make-webext-meta-encoding.patch and make-webext.patch. Fixed upstream.
+  * Add do-not-open-sidebar-on-first-start.patch and prevent that the sidebar
+    in Firefox opens on first startup. This feature only works in
+    Firefox >= 62. (Closes: #909493)
+  * Fix debian/watch and only track relevant upstream versions. Thanks to Sven
+    Joachim for the report and patch. (Closes: #908898)
+
+ -- Markus Koschany <apo@debian.org>  Wed, 10 Oct 2018 11:28:12 +0200
+
+ublock-origin (1.16.14+dfsg-2) unstable; urgency=medium
+
+  * Declare compliance with Debian Policy 4.2.1.
+  * Build-depend on python3 and fix that python commands were silently ignored
+    in make-webext.sh.
+    Thanks to Laurent Bigonville for the report. (Closes: #908509)
+  * Add make-webext.patch. Call bash with set -e and exit when a command exits
+    with a non-zero status. Also use the python3 executable instead of the
+    default python interpreter.
+  * Add make-webext-meta-encoding.patch and fix an encoding issue and fatal
+    error that would cause a FTBFS.
+
+ -- Markus Koschany <apo@debian.org>  Mon, 10 Sep 2018 19:26:50 +0200
+
 ublock-origin (1.16.14+dfsg-1) unstable; urgency=medium
 
   * New upstream version 1.16.14+dfsg-1.
diff -pruN 1.16.14+dfsg-1/debian/control 1.17.0+dfsg-2/debian/control
--- 1.16.14+dfsg-1/debian/control	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/control	2018-10-11 15:14:14.000000000 +0000
@@ -6,8 +6,9 @@ Uploaders:
  Markus Koschany <apo@debian.org>,
  Michael Meskes <meskes@debian.org>
 Build-Depends:
- debhelper (>= 11)
-Standards-Version: 4.2.0
+ debhelper (>= 11),
+ python3
+Standards-Version: 4.2.1
 Homepage: https://github.com/gorhill/uBlock
 Vcs-Git: https://salsa.debian.org/webext-team/ublock-origin.git
 Vcs-Browser: https://salsa.debian.org/webext-team/ublock-origin
diff -pruN 1.16.14+dfsg-1/debian/copyright 1.17.0+dfsg-2/debian/copyright
--- 1.16.14+dfsg-1/debian/copyright	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/copyright	2018-10-11 15:14:14.000000000 +0000
@@ -40,6 +40,15 @@ Copyright: (C) 2015 www.malwaredomainlis
 License: custom1
  Our list can be used for free by anyone. Feel free to use it.
 
+Files: src/lib/diff/swatinem_diff.js
+Copyright: Swatinem
+License: LGPL-3
+
+Files: src/lib/lz4/*
+       debian/missing-sources/lz4-block-codec.wat
+Copyright: 2018, Raymond Hill
+License: BSD-2-clause
+
 Files: debian/*
 Copyright: 2015 Matthew Bekkema <mbekkema97@gmail.com>
            2016 Sean Whitton <spwhitton@spwhitton.name>
@@ -78,3 +87,34 @@ License: MPL-2.0
  This Source Code Form is subject to the terms of the Mozilla Public License,
  v. 2.0. If a copy of the MPL was not distributed with this file,
  You can obtain one at http://mozilla.org/MPL/2.0/.
+
+License: LGPL-3
+ On Debian systems the complete license text of the GNU Lesser General Public
+ License 3 can be found in /usr/share/common-licenses/LGPL-3.
+
+License: BSD-2-clause
+ Redistribution and use in source and binary forms, with or without
+ modification, are permitted provided that the following conditions are
+ met:
+ .
+  1. Redistributions of source code must retain the above copyright
+  notice, this list of conditions and the following disclaimer.
+ .
+  2. Redistributions in binary form must reproduce the above
+  copyright notice, this list of conditions and the following disclaimer
+  in the documentation and/or other materials provided with the
+  distribution.
+ .
+  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
diff -pruN 1.16.14+dfsg-1/debian/missing-sources/lz4-block-codec.wat 1.17.0+dfsg-2/debian/missing-sources/lz4-block-codec.wat
--- 1.16.14+dfsg-1/debian/missing-sources/lz4-block-codec.wat	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/debian/missing-sources/lz4-block-codec.wat	2018-10-11 15:14:14.000000000 +0000
@@ -0,0 +1,745 @@
+;;
+;; lz4-block-codec.wat: a WebAssembly implementation of LZ4 block format codec
+;; Copyright (C) 2018 Raymond Hill
+;;
+;; BSD-2-Clause License (http://www.opensource.org/licenses/bsd-license.php)
+;;
+;; Redistribution and use in source and binary forms, with or without
+;; modification, are permitted provided that the following conditions are
+;; met:
+;; 
+;;   1. Redistributions of source code must retain the above copyright
+;; notice, this list of conditions and the following disclaimer.
+;; 
+;;   2. Redistributions in binary form must reproduce the above
+;; copyright notice, this list of conditions and the following disclaimer
+;; in the documentation and/or other materials provided with the
+;; distribution.
+;; 
+;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+;; "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+;; LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+;; A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+;; OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+;; SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+;; LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+;; DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+;; THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+;; (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+;; OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+;;
+;; Home: https://github.com/gorhill/lz4-wasm
+;;
+;; I used the same license as the one picked by creator of LZ4 out of respect
+;; for his creation, see https://lz4.github.io/lz4/
+;;
+
+(module
+;;
+;; module start
+;;
+
+;; (func $log (import "imports" "log") (param i32 i32 i32))
+
+(memory (export "memory") 1)
+
+;;
+;; Public functions
+;;
+
+;;
+;; Return an offset to the first byte of usable linear memory.
+;; Might be useful in the future to reserve memory space for whatever purpose,
+;; like config variables, etc.
+;;
+(func $getLinearMemoryOffset (export "getLinearMemoryOffset") 
+    (result i32)
+    i32.const 0
+)
+
+;;
+;; unsigned int lz4BlockEncodeBound()
+;;
+;; Return the maximum size of the output buffer holding the compressed data.
+;;
+;; Reference implementation:
+;; https://github.com/lz4/lz4/blob/dev/lib/lz4.h#L156
+;;
+(func (export "lz4BlockEncodeBound")
+    (param $ilen i32)
+    (result i32)
+    get_local $ilen
+    i32.const 0x7E000000
+    i32.gt_u
+    if
+        i32.const 0
+        return
+    end
+    get_local $ilen
+    get_local $ilen
+    i32.const 255
+    i32.div_u
+    i32.add
+    i32.const 16
+    i32.add
+)
+
+;;
+;; unsigned int lz4BlockEncode(
+;;     unsigned int inPtr,
+;;     unsigned int ilen,
+;;     unsigned int outPtr
+;; )
+;;
+;; https://github.com/lz4/lz4/blob/dev/lib/lz4.c#L651
+;;
+;; The implementation below is modified from the reference one.
+;; 
+;; - There is no skip adjustement for repeated failure to find a match.
+;; 
+;; - All configurable values are hard-coded to match the generic version
+;;   of the compressor.
+;;
+;; Note the size of the input block is NOT encoded in the output buffer, it
+;; is for the caller to figure how they will save that information on
+;; their side. At this point it is probably a trivial amount of work to
+;; implement the LZ4 frame format, which encode the content size, but this
+;; is for another day.
+;;
+(func $lz4BlockEncode (export "lz4BlockEncode")
+    (param $inPtr i32)                  ;; pointer to start of input buffer
+    (param $ilen i32)                   ;; size of input buffer
+    (param $outPtr i32)                 ;; pointer to start of output buffer
+    (result i32)
+    (local $hashPtrBeg i32)             ;; start of hash buffer
+    (local $hashPtr i32)                ;; current hash entry
+    (local $anchorPtr i32)              ;; anchor position in input
+    (local $inPtrEnd1 i32)              ;; point in input at which match-finding must cease
+    (local $inPtrEnd2 i32)              ;; point in input at which match-length finding must cease
+    (local $inPtrEnd i32)               ;; point to end of input
+    (local $outPtrBeg i32)              ;; start of output buffer
+    (local $refPtr i32)                 ;; start of match in input
+    (local $seq32 i32)                  ;; 4-byte value from current input position
+    (local $llen i32)                   ;; length of found literals
+    (local $moffset i32)                ;; offset to found match from current input position
+    (local $mlen i32)                   ;; length of found match
+    get_local $ilen                     ;; empty input = empty output
+    i32.const 0x7E000000                ;; max input size: 0x7E000000
+    i32.gt_u
+    if
+        i32.const 0
+        return
+    end
+    get_local $ilen                     ;; "blocks < 13 bytes cannot be compressed"
+    i32.const 13
+    i32.lt_u
+    if
+        i32.const 0
+        return
+    end
+    call $getLinearMemoryOffset         ;; hash table is at start of usable memory
+    set_local $hashPtrBeg
+    get_local $inPtr
+    tee_local $anchorPtr
+    get_local $ilen
+    i32.add
+    tee_local $inPtrEnd
+    i32.const -5                        ;; "The last 5 bytes are always literals."
+    i32.add
+    tee_local $inPtrEnd2
+    i32.const -7                        ;; "The last match must start at least 12 bytes before end of block"
+    i32.add
+    set_local $inPtrEnd1
+    get_local $outPtr
+    set_local $outPtrBeg
+    ;;
+    ;; sequence processing loop
+    ;;
+    block $noMoreSequence loop $nextSequence
+        get_local $inPtr
+        get_local $inPtrEnd1
+        i32.ge_u                        ;; 5 or less bytes left?
+        br_if $noMoreSequence
+        get_local $inPtr                ;; first sequence of 3 bytes before match-finding loop
+        i32.load8_u
+        i32.const 8
+        i32.shl
+        get_local $inPtr
+        i32.load8_u offset=1
+        i32.const 16
+        i32.shl
+        i32.or
+        get_local $inPtr
+        i32.load8_u offset=2
+        i32.const 24
+        i32.shl
+        i32.or
+        set_local $seq32
+        ;;
+        ;; match-finding loop
+        ;;
+        loop $findMatch block $noMatchFound
+            get_local $inPtr
+            get_local $inPtrEnd2
+            i32.gt_u                    ;; less than 12 bytes left?
+            br_if $noMoreSequence
+            get_local $seq32            ;; update last byte of current sequence
+            i32.const 8
+            i32.shr_u
+            get_local $inPtr
+            i32.load8_u offset=3
+            i32.const 24
+            i32.shl
+            i32.or
+            tee_local $seq32
+            i32.const 0x9E3779B1        ;; compute 16-bit hash
+            i32.mul
+            i32.const 16
+            i32.shr_u                   ;; hash value is at top of stack
+            i32.const 2                 ;; lookup refPtr at hash entry
+            i32.shl
+            get_local $hashPtrBeg
+            i32.add
+            tee_local $hashPtr
+            i32.load
+            set_local $refPtr
+            get_local $hashPtr          ;; update hash entry with inPtr
+            get_local $inPtr
+            i32.store
+            get_local $inPtr
+            get_local $refPtr
+            i32.sub
+            tee_local $moffset          ;; remember match offset, we will need it in case of match
+            i32.const 0xFFFF
+            i32.gt_s                    ;; match offset > 65535 = unusable match
+            br_if $noMatchFound
+            ;;
+            ;; confirm match: different sequences can yield same hash
+            ;; compare-branch each byte to potentially save memory read ops
+            ;;
+            get_local $seq32            ;; byte 0
+            i32.const 0xFF
+            i32.and
+            get_local $refPtr
+            i32.load8_u
+            i32.ne                      ;; refPtr[0] !== inPtr[0]
+            br_if $noMatchFound
+            get_local $seq32            ;; byte 1
+            i32.const 8
+            i32.shr_u
+            i32.const 0xFF
+            i32.and
+            get_local $refPtr
+            i32.load8_u offset=1
+            i32.ne
+            br_if $noMatchFound         ;; refPtr[1] !== inPtr[1]
+            get_local $seq32            ;; byte 2
+            i32.const 16
+            i32.shr_u
+            i32.const 0xFF
+            i32.and
+            get_local $refPtr
+            i32.load8_u offset=2
+            i32.ne                      ;; refPtr[2] !== inPtr[2]
+            br_if $noMatchFound
+            get_local $seq32            ;; byte 3
+            i32.const 24
+            i32.shr_u
+            i32.const 0xFF
+            i32.and
+            get_local $refPtr
+            i32.load8_u offset=3
+            i32.ne                      ;; refPtr[3] !== inPtr[3]
+            br_if $noMatchFound
+            ;;
+            ;; a valid match has been found at this point
+            ;;
+            get_local $inPtr            ;; compute length of literals
+            get_local $anchorPtr
+            i32.sub
+            set_local $llen
+            get_local $inPtr            ;; find match length
+            i32.const 4                 ;; skip over confirmed 4-byte match
+            i32.add
+            set_local $inPtr
+            get_local $refPtr
+            i32.const 4
+            i32.add
+            tee_local $mlen             ;; remember refPtr to later compute match length
+            set_local $refPtr
+            block $endOfMatch loop      ;; scan input buffer until match ends
+                get_local $inPtr
+                get_local $inPtrEnd2
+                i32.ge_u
+                br_if $endOfMatch
+                get_local $inPtr
+                i32.load8_u
+                get_local $refPtr
+                i32.load8_u
+                i32.ne
+                br_if $endOfMatch
+                get_local $inPtr
+                i32.const 1
+                i32.add
+                set_local $inPtr
+                get_local $refPtr
+                i32.const 1
+                i32.add
+                set_local $refPtr
+                br 0
+            end end $endOfMatch
+            ;; encode token
+            get_local $outPtr           ;; output token
+            get_local $llen
+            get_local $refPtr
+            get_local $mlen
+            i32.sub
+            tee_local $mlen
+            call $writeToken
+            get_local $outPtr
+            i32.const 1
+            i32.add
+            set_local $outPtr
+            get_local $llen             ;; encode/write length of literals if needed
+            i32.const 15
+            i32.ge_s
+            if
+                get_local $outPtr
+                get_local $llen
+                call $writeLength
+                set_local $outPtr
+            end
+            ;; copy literals
+            get_local $outPtr
+            get_local $anchorPtr
+            get_local $llen
+            call $copy
+            get_local $outPtr
+            get_local $llen
+            i32.add
+            set_local $outPtr
+            ;; encode match offset
+            get_local $outPtr
+            get_local $moffset
+            i32.store8
+            get_local $outPtr
+            get_local $moffset
+            i32.const 8
+            i32.shr_u
+            i32.store8 offset=1
+            get_local $outPtr
+            i32.const 2
+            i32.add
+            set_local $outPtr
+            get_local $mlen             ;; encode/write length of match if needed
+            i32.const 15
+            i32.ge_s
+            if
+                get_local $outPtr
+                get_local $mlen
+                call $writeLength
+                set_local $outPtr
+            end
+            get_local $inPtr            ;; advance anchor to current position
+            set_local $anchorPtr
+            br $nextSequence
+        end $noMatchFound
+        get_local $inPtr                ;; no match found: advance to next byte
+        i32.const 1
+        i32.add
+        set_local $inPtr
+        br $findMatch end               ;; match offset > 65535 = unusable match
+    end end $noMoreSequence
+    ;;
+    ;; generate last (match-less) sequence if compression succeeded
+    ;;
+    get_local $outPtr
+    get_local $outPtrBeg
+    i32.eq
+    if
+        i32.const 0
+        return
+    end
+    get_local $outPtr
+    get_local $inPtrEnd
+    get_local $anchorPtr
+    i32.sub
+    tee_local $llen
+    i32.const 0
+    call $writeToken
+    get_local $outPtr
+    i32.const 1
+    i32.add
+    set_local $outPtr
+    get_local $llen
+    i32.const 15
+    i32.ge_u
+    if
+        get_local $outPtr
+        get_local $llen
+        call $writeLength
+        set_local $outPtr
+    end
+    get_local $outPtr
+    get_local $anchorPtr
+    get_local $llen
+    call $copy
+    get_local $outPtr                   ;; return number of written bytes
+    get_local $llen
+    i32.add
+    get_local $outPtrBeg
+    i32.sub
+)
+
+;;
+;; unsigned int lz4BlockDecode(
+;;     unsigned int inPtr,
+;;     unsigned int ilen
+;;     unsigned int outPtr
+;; )
+;;
+;; Reference:
+;; https://github.com/lz4/lz4/blob/dev/doc/lz4_Block_format.md
+;;
+(func (export "lz4BlockDecode")
+    (param $inPtr0 i32)                 ;; start of input buffer
+    (param $ilen i32)                   ;; length of input buffer
+    (param $outPtr0 i32)                ;; start of output buffer
+    (result i32)
+    (local $inPtr i32)                  ;; current position in input buffer
+    (local $inPtrEnd i32)               ;; end of input buffer
+    (local $outPtr i32)                 ;; current position in output buffer
+    (local $matchPtr i32)               ;; position of current match
+    (local $token i32)                  ;; sequence token
+    (local $clen i32)                   ;; number of bytes to copy 
+    (local $_ i32)                      ;; general purpose variable
+    get_local $ilen                     ;; if ( ilen == 0 ) { return 0; }
+    i32.eqz
+    if
+        i32.const 0
+        return
+    end
+    get_local $inPtr0
+    tee_local $inPtr                    ;; current position in input buffer
+    get_local $ilen
+    i32.add
+    set_local $inPtrEnd
+    get_local $outPtr0                  ;; start of output buffer
+    set_local $outPtr                   ;; current position in output buffer
+    block $noMoreSequence loop          ;; iterate through all sequences
+        get_local $inPtr
+        get_local $inPtrEnd
+        i32.ge_u
+        br_if $noMoreSequence           ;; break when nothing left to read in input buffer
+        get_local $inPtr                ;; read token -- consume one byte
+        i32.load8_u
+        get_local $inPtr
+        i32.const 1
+        i32.add
+        set_local $inPtr
+        tee_local $token                ;; extract length of literals from token
+        i32.const 4
+        i32.shr_u
+        tee_local $clen                 ;; consume extra length bytes if present
+        i32.eqz
+        if else
+            get_local $clen
+            i32.const 15
+            i32.eq
+            if loop
+                get_local $inPtr
+                i32.load8_u
+                get_local $inPtr
+                i32.const 1
+                i32.add
+                set_local $inPtr
+                tee_local $_
+                get_local $clen
+                i32.add
+                set_local $clen
+                get_local $_
+                i32.const 255
+                i32.eq
+                br_if 0
+            end end
+            get_local $outPtr           ;; copy literals to ouput buffer
+            get_local $inPtr
+            get_local $clen
+            call $copy
+            get_local $outPtr           ;; advance output buffer pointer past copy
+            get_local $clen
+            i32.add
+            set_local $outPtr
+            get_local $clen             ;; advance input buffer pointer past literals
+            get_local $inPtr
+            i32.add
+            tee_local $inPtr
+            get_local $inPtrEnd         ;; exit if this is the last sequence
+            i32.eq
+            br_if $noMoreSequence
+        end
+        get_local $outPtr               ;; read match offset
+        get_local $inPtr
+        i32.load8_u
+        get_local $inPtr
+        i32.load8_u offset=1
+        i32.const 8
+        i32.shl
+        i32.or
+        i32.sub
+        tee_local $matchPtr
+        get_local $outPtr               ;; match position can't be outside input buffer bounds
+        i32.eq
+        br_if $noMoreSequence
+        get_local $matchPtr
+        get_local $inPtrEnd
+        i32.lt_u
+        br_if $noMoreSequence
+        get_local $inPtr                ;; advance input pointer past match offset bytes
+        i32.const 2
+        i32.add
+        set_local $inPtr
+        get_local $token                ;; extract length of match from token
+        i32.const 15
+        i32.and
+        i32.const 4
+        i32.add
+        tee_local $clen
+        i32.const 19                    ;; consume extra length bytes if present
+        i32.eq
+        if loop
+            get_local $inPtr
+            i32.load8_u
+            get_local $inPtr
+            i32.const 1
+            i32.add
+            set_local $inPtr
+            tee_local $_
+            get_local $clen
+            i32.add
+            set_local $clen
+            get_local $_
+            i32.const 255
+            i32.eq
+            br_if 0
+        end end
+        get_local $outPtr               ;; copy match to ouput buffer
+        get_local $matchPtr
+        get_local $clen
+        call $copy
+        get_local $clen                 ;; advance output buffer pointer past copy
+        get_local $outPtr
+        i32.add
+        set_local $outPtr
+        br 0
+    end end $noMoreSequence
+    get_local $outPtr                   ;; return number of written bytes
+    get_local $outPtr0
+    i32.sub
+)
+
+;;
+;; Private functions
+;;
+
+;;
+;; Encode a sequence token
+;;
+;; Reference documentation:
+;; https://github.com/lz4/lz4/blob/dev/doc/lz4_Block_format.md
+;;
+(func $writeToken
+    (param $outPtr i32)
+    (param $llen i32)
+    (param $mlen i32)
+    get_local $outPtr
+    get_local $llen
+    i32.const 15
+    get_local $llen
+    i32.const 15
+    i32.lt_u
+    select
+    i32.const 4
+    i32.shl
+    get_local $mlen
+    i32.const 15
+    get_local $mlen
+    i32.const 15
+    i32.lt_u
+    select
+    i32.or
+    i32.store8
+)
+
+;;
+;; Encode and output length bytes. The return value is the pointer following
+;; the last byte written.
+;;
+;; Reference documentation:
+;; https://github.com/lz4/lz4/blob/dev/doc/lz4_Block_format.md
+;;
+(func $writeLength
+    (param $outPtr i32)
+    (param $len i32)
+    (result i32)
+    get_local $len
+    i32.const 15
+    i32.sub
+    set_local $len
+    loop
+        get_local $outPtr
+        get_local $len
+        i32.const 255
+        get_local $len
+        i32.const 255
+        i32.lt_u
+        select
+        i32.store8
+        get_local $outPtr
+        i32.const 1
+        i32.add
+        set_local $outPtr
+        get_local $len
+        i32.const 255
+        i32.sub
+        tee_local $len
+        i32.const 0
+        i32.ge_s
+        br_if 0
+    end
+    get_local $outPtr
+)
+
+;;
+;; Copy n bytes from source to destination.
+;;
+;; It is overlap-safe only from left-to-right -- which is only what is
+;; required in the current module.
+;;
+(func $copy
+    (param $dst i32)
+    (param $src i32)
+    (param $len i32)
+    block $lessThan8 loop
+        get_local $len
+        i32.const 8
+        i32.lt_u
+        br_if $lessThan8
+        get_local $dst
+        get_local $src
+        i32.load8_u
+        i32.store8
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=1
+        i32.store8 offset=1
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=2
+        i32.store8 offset=2
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=3
+        i32.store8 offset=3
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=4
+        i32.store8 offset=4
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=5
+        i32.store8 offset=5
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=6
+        i32.store8 offset=6
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=7
+        i32.store8 offset=7
+        get_local $dst
+        i32.const 8
+        i32.add
+        set_local $dst
+        get_local $src
+        i32.const 8
+        i32.add
+        set_local $src
+        get_local $len
+        i32.const -8
+        i32.add
+        set_local $len
+        br 0
+    end end $lessThan8
+    get_local $len
+    i32.const 4
+    i32.ge_u
+    if
+        get_local $dst
+        get_local $src
+        i32.load8_u
+        i32.store8
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=1
+        i32.store8 offset=1
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=2
+        i32.store8 offset=2
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=3
+        i32.store8 offset=3
+        get_local $dst
+        i32.const 4
+        i32.add
+        set_local $dst
+        get_local $src
+        i32.const 4
+        i32.add
+        set_local $src
+        get_local $len
+        i32.const -4
+        i32.add
+        set_local $len
+    end
+    get_local $len
+    i32.const 2
+    i32.ge_u
+    if
+        get_local $dst
+        get_local $src
+        i32.load8_u
+        i32.store8
+        get_local $dst
+        get_local $src
+        i32.load8_u offset=1
+        i32.store8 offset=1
+        get_local $dst
+        i32.const 2
+        i32.add
+        set_local $dst
+        get_local $src
+        i32.const 2
+        i32.add
+        set_local $src
+        get_local $len
+        i32.const -2
+        i32.add
+        set_local $len
+    end
+    get_local $len
+    i32.eqz
+    if else
+        get_local $dst
+        get_local $src
+        i32.load8_u
+        i32.store8
+    end
+)
+
+;;
+;; module end
+;;
+)
diff -pruN 1.16.14+dfsg-1/debian/patches/0001-Disable-nonfree-filters-by-default.patch 1.17.0+dfsg-2/debian/patches/0001-Disable-nonfree-filters-by-default.patch
--- 1.16.14+dfsg-1/debian/patches/0001-Disable-nonfree-filters-by-default.patch	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/patches/0001-Disable-nonfree-filters-by-default.patch	2018-10-11 15:14:14.000000000 +0000
@@ -6,12 +6,14 @@ Nonfree filters have been removed from t
 automatically redownloaded if they are enabled. This patch disables
 those filters by default.
 ---
- assets/ublock/filter-lists.json | 2 ++
+ assets/assets.json | 2 ++
  1 file changed, 2 insertions(+)
 
+diff --git a/assets/assets.json b/assets/assets.json
+index 82c66a4..6fd708c 100644
 --- a/assets/assets.json
 +++ b/assets/assets.json
-@@ -177,6 +177,7 @@
+@@ -182,6 +182,7 @@
  		]
  	},
  	"malware-1": {
@@ -19,7 +21,7 @@ those filters by default.
  		"content": "filters",
  		"group": "malware",
  		"title": "Malware domains",
-@@ -276,6 +277,7 @@
+@@ -281,6 +282,7 @@
  		"supportURL": "http://winhelp2002.mvps.org/"
  	},
  	"plowe-0": {
diff -pruN 1.16.14+dfsg-1/debian/patches/0003-patch-make-assets.sh-for-Debian.patch 1.17.0+dfsg-2/debian/patches/0003-patch-make-assets.sh-for-Debian.patch
--- 1.16.14+dfsg-1/debian/patches/0003-patch-make-assets.sh-for-Debian.patch	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/patches/0003-patch-make-assets.sh-for-Debian.patch	2018-10-11 15:14:14.000000000 +0000
@@ -1,12 +1,14 @@
 From: Sean Whitton <spwhitton@spwhitton.name>
 Date: Mon, 18 Apr 2016 20:31:40 -0700
 Subject: patch-make-assets.sh-for-Debian
-Forwarded: not-needed
 
+Forwarded: not-needed
 ---
- tools/make-assets.sh | 16 ++++------------
- 1 file changed, 4 insertions(+), 12 deletions(-)
+ tools/make-assets.sh | 18 ++++--------------
+ 1 file changed, 4 insertions(+), 14 deletions(-)
 
+diff --git a/tools/make-assets.sh b/tools/make-assets.sh
+index 4e9e26a..cfe77f5 100755
 --- a/tools/make-assets.sh
 +++ b/tools/make-assets.sh
 @@ -4,27 +4,17 @@
diff -pruN 1.16.14+dfsg-1/debian/patches/0004-patch-README-for-Debian.patch 1.17.0+dfsg-2/debian/patches/0004-patch-README-for-Debian.patch
--- 1.16.14+dfsg-1/debian/patches/0004-patch-README-for-Debian.patch	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/patches/0004-patch-README-for-Debian.patch	2018-10-11 15:14:14.000000000 +0000
@@ -1,10 +1,16 @@
-Description: Patch README for Debian
- Remove installation instructions, and references to images in
- GitHub's CDN -- we expect the README to be viewed in plain text.
-Author: Sean Whitton <spwhitton@spwhitton.name>
+From: Sean Whitton <spwhitton@spwhitton.name>
+Date: Mon, 10 Sep 2018 19:34:03 +0200
+Subject: Patch README for Debian
+
+Remove installation instructions, and references to images in
+GitHub's CDN -- we expect the README to be viewed in plain text.
 Forwarded: not-needed
 ---
-This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
+ README.md | 121 --------------------------------------------------------------
+ 1 file changed, 121 deletions(-)
+
+diff --git a/README.md b/README.md
+index e9a50a2..d67448d 100644
 --- a/README.md
 +++ b/README.md
 @@ -1,15 +1,4 @@
@@ -23,7 +29,7 @@ This patch header follows DEP-3: http://
  uBlock Origin
  </h1>
  <p align="center">
-@@ -18,7 +7,6 @@
+@@ -18,7 +7,6 @@ uBlock Origin
  </sup>
  <br>
  <sup> <!-- Languages -->
@@ -31,7 +37,7 @@ This patch header follows DEP-3: http://
        <sup>
              English,
              <a href="https://github.com/fang5566/uBlock/blob/master/README.md#ublock-origin">Chinese (中文)</a>,
-@@ -39,17 +27,6 @@
+@@ -39,17 +27,6 @@ uBlock Origin is **NOT** an "ad blocker": [it is a wide-spectrum blocker](https:
  
  * [Documentation](#documentation)
  * [Purpose & General Info](#philosophy)
@@ -49,7 +55,7 @@ This patch header follows DEP-3: http://
  * [Privacy policy](https://github.com/gorhill/uBlock/wiki/Privacy-policy)
  * [Wiki](https://github.com/gorhill/uBlock/wiki)
  
-@@ -57,9 +34,6 @@
+@@ -57,9 +34,6 @@ uBlock Origin is **NOT** an "ad blocker": [it is a wide-spectrum blocker](https:
  
   Basic mode | Advanced-user mode
  :----------:|:------------------:
@@ -59,7 +65,7 @@ This patch header follows DEP-3: http://
  Visit the [uBlock Origin's wiki](https://github.com/gorhill/uBlock/wiki) for documentation.
  
  For support/questions/help, there is [/r/uBlockOrigin](https://www.reddit.com/r/uBlockOrigin/) on Reddit.
-@@ -76,97 +50,6 @@
+@@ -76,97 +50,6 @@ _EasyList_, _Peter Lowe's Adservers_, _EasyPrivacy_ and _Malware domains_ are en
  
  Once you install uBlock Origin, you may easily un-select any of the pre-selected filter lists if you think uBlock Origin blocks too much. For reference, Adblock Plus installs with only _EasyList_ enabled by default.
  
@@ -157,7 +163,7 @@ This patch header follows DEP-3: http://
  ## About
  
  [uBlock Origin's manifesto](MANIFESTO.md).
-@@ -179,7 +62,3 @@
+@@ -179,7 +62,3 @@ to maintain the filter lists you are using, which were made available to use by
  all for free.
  
  You can contribute by helping translate uBlock Origin [on Crowdin](https://crowdin.net/project/ublock).
diff -pruN 1.16.14+dfsg-1/debian/patches/do-not-open-sidebar-on-first-start.patch 1.17.0+dfsg-2/debian/patches/do-not-open-sidebar-on-first-start.patch
--- 1.16.14+dfsg-1/debian/patches/do-not-open-sidebar-on-first-start.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/debian/patches/do-not-open-sidebar-on-first-start.patch	2018-10-11 15:14:14.000000000 +0000
@@ -0,0 +1,26 @@
+From: Markus Koschany <apo@debian.org>
+Date: Wed, 10 Oct 2018 12:15:40 +0200
+Subject: do not open sidebar on first start
+
+Do not open the sidebar in Firefox on first startup. The open_at_install option
+is only available in Firefox >= 62. Upstream fixed this issue only for the
+Firefox platform but not for webext. No idea why. So we probably have to forward this
+patch.
+
+Bug-Debian: https://bugs.debian.org/909493
+---
+ platform/webext/manifest.json | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/platform/webext/manifest.json b/platform/webext/manifest.json
+index 6390720..dde0a6a 100644
+--- a/platform/webext/manifest.json
++++ b/platform/webext/manifest.json
+@@ -90,6 +90,7 @@
+   "sidebar_action": {
+     "default_title": "__MSG_statsPageName__",
+     "default_panel": "logger-ui.html",
++    "open_at_install": false,
+     "default_icon": {
+       "16": "img/ublock.svg",
+       "48": "img/ublock.svg"
diff -pruN 1.16.14+dfsg-1/debian/patches/series 1.17.0+dfsg-2/debian/patches/series
--- 1.16.14+dfsg-1/debian/patches/series	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/patches/series	2018-10-11 15:14:14.000000000 +0000
@@ -1,3 +1,4 @@
 0001-Disable-nonfree-filters-by-default.patch
 0003-patch-make-assets.sh-for-Debian.patch
 0004-patch-README-for-Debian.patch
+do-not-open-sidebar-on-first-start.patch
diff -pruN 1.16.14+dfsg-1/debian/upstream/changelog 1.17.0+dfsg-2/debian/upstream/changelog
--- 1.16.14+dfsg-1/debian/upstream/changelog	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/upstream/changelog	2018-10-11 15:14:14.000000000 +0000
@@ -1,3 +1,365 @@
+uBlock Origin 1.17.1.1 - Sept. 29, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.17.1.0 - Sept. 26, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.17.0 - Sept. 23, 2018
+-------------------------------------
+
+| See `release
+  notes <https://github.com/gorhill/uBlock/releases/tag/1.17.0>`__.
+|  
+|  
+| **New**
+|  
+|  
+| **Per-site JavaScript master switch**
+|  
+| A new per-site switch has been added to the popup panel, which acts as a
+  master switch for JavaScript for the current site.
+|  
+| This master switch has precedence over dynamic filtering rules and static
+  filters related to script resources.
+|  
+| Furthermore, when JavaScript is disabled through this master switch,
+  ``noscript`` tags will be honoured on a page (as opposed to when just using
+  filters/rules to block script resources).
+|  
+| As with some other per-site switches, the default state of per-site
+  JavaScript master switch can be set in the *Settings* pane, thus allowing to
+  disable JavaScript everywhere by default, and enable on a per-site basis.
+|  
+| JavaScript master switch rules appear as ``no-scripting: [hostname] true``
+  entries in the *My rules* pane.
+|  
+|  
+| **Temporarily toggle per-site switches**
+|  
+| From now on, changes to the state of `per-site
+  switches <https://github.com/gorhill/uBlock/wiki/Per-site-switches>`__ will
+  be deemed temporary **if and only if** the `overview
+  panel <https://github.com/gorhill/uBlock/wiki/Quick-guide:-popup-user-interface#the-overview-panel>`__
+  is visible, regardless of whether "advanced user" mode is enabled.
+|  
+| When the overview panel is not visible, toggling a per-site switch will cause
+  the change to be permanent (i.e. same behavior as before).
+|  
+| However, when the overview panel is visible, toggling a per-site switch will
+  cause the change to be temporary. In such case, there will be an eraser and a
+  padlock icon in the overview pane, which can be used to revert or persist the
+  current state of all the per-site switches.
+|  
+|  
+| **Cache storage compression**
+|  
+| A new advanced setting: ``cacheStorageCompression``, default to ``true``.
+  When ``true``, uBO will lz4-compress data before storing it in its cache
+  storage in supported platforms. Currently, the only supported platform is
+  Firefox/Firefox for Android.
+|  
+| The cache storage is used for storing downloaded filter lists, compiled
+  filter lists, selfies. See
+  https://github.com/uBlockOrigin/uBlock-issues/issues/141 for related
+  discussion.
+|  
+|  
+| **Closed as fixed**
+|  
+|  
+| **Firefox**
+|  
+
+-  `Error loading from the disk cache pages obtained by blocking remote
+   fonts <https://github.com/uBlockOrigin/uBlock-issues/issues/229>`__
+-  `"Storage used" in settings tab says "?
+   bytes" <https://github.com/gorhill/uBlock/issues/2812>`__
+
+   -  It's really a workaround, consider the reported figure to be an
+      on-the-low-side estimate
+
+-  `Element picker mode in Firefox CSS failure on
+   ``denuvo.com`` <https://github.com/gorhill/uBlock/issues/2240>`__
+
+| 
+| **Firefox for Android**
+|  
+
+-  `Cannot open Logger. Element picker/zapper does not switch
+   tabs. <https://github.com/uBlockOrigin/uBlock-issues/issues/168>`__
+
+| 
+| **Core**
+|  
+
+-  `Use +js name for
+   logging <https://github.com/uBlockOrigin/uBlock-issues/issues/209>`__
+-  `No reverse-lookup for logged HTML
+   filter <https://github.com/uBlockOrigin/uBlock-issues/issues/208>`__
+-  `EasyList Thailand added to stock filter
+   lists <https://github.com/uBlockOrigin/uBlock-issues/issues/197>`__
+-  `Various spelling
+   fixes <https://github.com/uBlockOrigin/uBlock-issues/issues/191>`__
+-  `“manualUpdateAssetFetchPeriod” setting doesn't save the
+   changes <https://github.com/NanoAdblocker/NanoCore/issues/202>`__
+-  `False positive detection of popups is
+   broken <https://github.com/gorhill/uBlock/commit/aeb19c952b782eec31e5de8da676b89edd08efdb>`__
+-  `"uBlock — Assets" should be changed to "uBlock₀ — Assets" in its
+   tab <https://github.com/uBlockOrigin/uBlock-issues/issues/184>`__
+-  `Minor JS errors in
+   dashboard <https://github.com/uBlockOrigin/uBlock-issues/issues/171>`__
+-  `Code exception in contentscript.js (vAPI.setTimeout) when opening Chrome
+   last session tabs that are partly
+   cached <https://github.com/uBlockOrigin/uBlock-issues/issues/167>`__
+-  `Element picker mishandles identifiers with
+   backslashes <https://github.com/uBlockOrigin/uBlock-issues/issues/162>`__
+-  `Minor usability issue: block all
+   scripts <https://github.com/gorhill/uBlock/issues/3436>`__
+-  `Toggle option changes are always
+   permanent <https://github.com/gorhill/uBlock/issues/2859>`__
+-  `uBlock Origin doesn’t honor noscript tags when blocking
+   JS <https://github.com/gorhill/uBlock/issues/308>`__
+
+| 
+| `Commits history since
+  1.16.20 <https://github.com/gorhill/uBlock/compare/1.16.20...1.17.0>`__.
+
+uBlock Origin 1.16.21.103 - Sept. 21, 2018
+------------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.102 - Sept. 20, 2018
+------------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.101 - Sept. 18, 2018
+------------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.100 - Sept. 11, 2018
+------------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.7 - Sept. 9, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.6 - Sept. 9, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.5 - Sept. 7, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.4 - Sept. 4, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.3 - Sept. 3, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.2 - Sept. 1, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.1 - Aug. 29, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.21.0 - Aug. 27, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.20 - Aug. 27, 2018
+-------------------------------------
+
+| See `release
+  notes <https://github.com/gorhill/uBlock/releases/tag/1.16.18>`__.
+|  
+| I decided to create an emergency fix for a bug which was spotted for uMatrix
+  but which also affects uBO:
+| `"My rules tab hangs with cloud storage
+  support" <https://www.reddit.com/r/uMatrix/comments/8lc9ia/>`__
+|  
+| If using cloud storage, there is a small probability uBO could be stuck in an
+  infinite loop when reading back the data from the cloud storage, something
+  which *may* occurs when the following conditions are reunited:
+|  
+
+-  You checked the setting *"Enable cloud storage support"*;
+-  You saved data into the cloud storage for a given pane;
+-  The amount (in bytes) of data that was saved into the cloud storage for that
+   given pane is rather high and such that the "chunkification" of that data
+   results in a chunk count which is a multiple of 16;
+    
+
+   -  Large amount of data is more likely for the *"My filters"* and *"My
+      rules"* panes.
+   -  Sorry for the cryptic explanation, I don't know how else to describe
+      this.
+
+-  You open the pane in the dashboard for which the conditions above are true.
+
+| 
+| If the bug is triggered, uBO could be stuck in an infinite loop in its main
+  process, thus preventing it from doing its job.
+|  
+| This is not a regression, but rather a bug that has been hiding in there
+  since quite a long time.
+|  
+| `Commits history since
+  1.16.16 <https://github.com/gorhill/uBlock/compare/1.16.16...1.16.20>`__.
+
+uBlock Origin 1.16.18.1 - Aug. 27, 2018
+---------------------------------------
+
+| See `release
+  notes <https://github.com/gorhill/uBlock/releases/tag/1.16.18>`__.
+|  
+| I decided to create an emergency fix for a bug which was spotted for uMatrix
+  but which also affects uBO:
+| `"My rules tab hangs with cloud storage
+  support" <https://www.reddit.com/r/uMatrix/comments/8lc9ia/>`__
+|  
+| If using cloud storage, there is a small probability uBO could be stuck in an
+  infinite loop when reading back the data from the cloud storage, something
+  which *may* occurs when the following conditions reunited:
+|  
+
+-  You checked the setting *"Enable cloud storage support"*;
+-  You saved data into the cloud storage for a given pane;
+-  The amount (in bytes) of data that was saved into the cloud storage for that
+   given pane is rather high and such that the "chunkification" of that data
+   results in a chunk count which is a multiple of 16;
+    
+
+   -  Large amount of data is more likely for the *"My filters"* and *"My
+      rules"* panes.
+   -  Sorry for the cryptic explanation, I don't know how else to describe
+      this.
+
+-  You open the pane in the dashboard for which the conditions above are true.
+
+| 
+| If the bug is triggered, uBO could be stuck in an infinite loop in its main
+  process, thus preventing it from doing its job.
+|  
+| This is not a regression, but rather a bug that has been hiding in there
+  since quite a long time.
+|  
+| `Commits history since
+  1.16.16 <https://github.com/gorhill/uBlock/compare/1.16.16...1.16.18>`__.
+
+uBlock Origin 1.16.18 - Aug. 27, 2018
+-------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.10 - Aug. 25, 2018
+----------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.9 - Aug. 22, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.8 - Aug. 21, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.7 - Aug. 15, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.6 - Aug. 15, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.5 - Aug. 14, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.4 - Aug. 14, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.3 - Aug. 14, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.16 - Aug. 13, 2018
+-------------------------------------
+
+| See `release
+  notes <https://github.com/gorhill/uBlock/releases/tag/1.16.16>`__.
+|  
+|  
+| **New**
+|  
+| A new pane has been added in the dashboard for the Firefox version of uBO:
+  *Shortcuts*. The purpose is to be able to assign keyboard shortcuts to some
+  common operations.
+|  
+|  
+| **Closed as fixed:**
+|  
+
+-  `Settings cannot be reset on Beta and Nightly
+   Firefox <https://github.com/uBlockOrigin/uBlock-issues/issues/144>`__
+-  `Add a pane in the dashboard (Firefox only) to assign keyboard
+   shortcuts <https://github.com/uBlockOrigin/uBlock-issues/issues/106>`__
+
+   -  The new pane will be available for Firefox 60+ only.
+
+-  `Element picker cannot be toggled before a site is fully
+   loaded <https://github.com/uBlockOrigin/uBlock-issues/issues/135>`__
+-  `Logger: generic hiding rule recorded as active when $generichide in
+   effect <https://github.com/gorhill/uBlock/issues/2763>`__
+-  `Filter for dynamically added class is not
+   logged <https://github.com/gorhill/uBlock/issues/2356>`__
+-  `Logger: Popup which shows the used filter is
+   empty <https://github.com/gorhill/uBlock/issues/2179>`__
+
+| 
+| `Commits history since
+  1.16.14 <https://github.com/gorhill/uBlock/compare/1.16.14...1.16.16>`__.
+
+uBlock Origin 1.16.17.2 - Aug. 13, 2018
+---------------------------------------
+
+[no description]
+
+uBlock Origin 1.16.17.1 - Aug. 11, 2018
+---------------------------------------
+
+[no description]
+
 uBlock Origin 1.16.17.0 - Aug. 6, 2018
 --------------------------------------
 
diff -pruN 1.16.14+dfsg-1/debian/upstream/changelog.html 1.17.0+dfsg-2/debian/upstream/changelog.html
--- 1.16.14+dfsg-1/debian/upstream/changelog.html	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/upstream/changelog.html	2018-10-11 15:14:14.000000000 +0000
@@ -2,6 +2,183 @@
 <head><title>uBlock Origin Version History</title></head>
 <body>
 
+<h2>uBlock Origin 1.17.1.1 - Sept. 29, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.17.1.0 - Sept. 26, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.17.0 - Sept. 23, 2018</h2>
+See <a rel="nofollow" href="https://github.com/gorhill/uBlock/releases/tag/1.17.0">release notes</a>.
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>New</b>
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>Per-site JavaScript master switch</b>
+<br/>&nbsp;
+<br/>A new per-site switch has been added to the popup panel, which acts as a master switch for JavaScript for the current site.
+<br/>&nbsp;
+<br/>This master switch has precedence over dynamic filtering rules and static filters related to script resources.
+<br/>&nbsp;
+<br/>Furthermore, when JavaScript is disabled through this master switch, <code>noscript</code> tags will be honoured on a page (as opposed to when just using filters/rules to block script resources).
+<br/>&nbsp;
+<br/>As with some other per-site switches, the default state of per-site JavaScript master switch can be set in the <em>Settings</em> pane, thus allowing to disable JavaScript everywhere by default, and enable on a per-site basis.
+<br/>&nbsp;
+<br/>JavaScript master switch rules appear as <code>no-scripting: [hostname] true</code> entries in the <em>My rules</em> pane.
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>Temporarily toggle per-site switches</b>
+<br/>&nbsp;
+<br/>From now on, changes to the state of <a rel="nofollow" href="https://github.com/gorhill/uBlock/wiki/Per-site-switches">per-site switches</a> will be deemed temporary <strong>if and only if</strong> the <a rel="nofollow" href="https://github.com/gorhill/uBlock/wiki/Quick-guide:-popup-user-interface#the-overview-panel">overview panel</a> is visible, regardless of whether "advanced user" mode is enabled.
+<br/>&nbsp;
+<br/>When the overview panel is not visible, toggling a per-site switch will cause the change to be permanent (i.e. same behavior as before).
+<br/>&nbsp;
+<br/>However, when the overview panel is visible, toggling a per-site switch will cause the change to be temporary. In such case, there will be an eraser and a padlock icon in the overview pane, which can be used to revert or persist the current state of all the per-site switches.
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>Cache storage compression</b>
+<br/>&nbsp;
+<br/>A new advanced setting: <code>cacheStorageCompression</code>, default to <code>true</code>. When <code>true</code>, uBO will lz4-compress data before storing it in its cache storage in supported platforms. Currently, the only supported platform is Firefox/Firefox for Android.
+<br/>&nbsp;
+<br/>The cache storage is used for storing downloaded filter lists, compiled filter lists, selfies. See <a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/141">https://github.com/uBlockOrigin/uBlock-issues/issues/141</a> for related discussion.
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>Closed as fixed</b>
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>Firefox</b>
+<br/>&nbsp;
+<br/><ul><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/229">Error loading from the disk cache pages obtained by blocking remote fonts</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/2812">"Storage used" in settings tab says "? bytes"</a>
+<br/>    <ul>    <li>It's really a workaround, consider the reported figure to be an on-the-low-side estimate
+<br/>    </li></ul></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/2240">Element picker mode in Firefox CSS failure on <code>denuvo.com</code></a></li></ul>
+<br/><b>Firefox for Android</b>
+<br/>&nbsp;
+<br/><ul><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/168">Cannot open Logger. Element picker/zapper does not switch tabs.</a></li></ul>
+<br/><b>Core</b>
+<br/>&nbsp;
+<br/><ul><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/209">Use +js name for logging</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/208">No reverse-lookup for logged HTML filter</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/197">EasyList Thailand added to stock filter lists</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/191">Various spelling fixes</a></li><li><a rel="nofollow" href="https://github.com/NanoAdblocker/NanoCore/issues/202">“manualUpdateAssetFetchPeriod” setting doesn't save the changes</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/commit/aeb19c952b782eec31e5de8da676b89edd08efdb">False positive detection of popups is broken</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/184">"uBlock — Assets" should be changed to "uBlock₀ — Assets" in its tab</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/171">Minor JS errors in dashboard</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/167">Code exception in contentscript.js (vAPI.setTimeout) when opening Chrome last session tabs that are partly cached</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/162">Element picker mishandles identifiers with backslashes </a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/3436">Minor usability issue: block all scripts</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/2859">Toggle option changes are always permanent</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/308">uBlock Origin doesn’t honor noscript tags when blocking JS</a></li></ul>
+<br/><a rel="nofollow" href="https://github.com/gorhill/uBlock/compare/1.16.20...1.17.0">Commits history since 1.16.20</a>.
+
+<h2>uBlock Origin 1.16.21.103 - Sept. 21, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.102 - Sept. 20, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.101 - Sept. 18, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.100 - Sept. 11, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.7 - Sept. 9, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.6 - Sept. 9, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.5 - Sept. 7, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.4 - Sept. 4, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.3 - Sept. 3, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.2 - Sept. 1, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.1 - Aug. 29, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.21.0 - Aug. 27, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.20 - Aug. 27, 2018</h2>
+See <a rel="nofollow" href="https://github.com/gorhill/uBlock/releases/tag/1.16.18">release notes</a>.
+<br/>&nbsp;
+<br/>I decided to create an emergency fix for a bug which was spotted for uMatrix but which also affects uBO:
+<br/><a rel="nofollow" href="https://www.reddit.com/r/uMatrix/comments/8lc9ia/">"My rules tab hangs with cloud storage support"</a>
+<br/>&nbsp;
+<br/>If using cloud storage, there is a small probability uBO could be stuck in an infinite loop when reading back the data from the cloud storage, something which <em>may</em> occurs when the following conditions are reunited:
+<br/>&nbsp;
+<br/><ul><li>You checked the setting <em>"Enable cloud storage support"</em>;</li><li>You saved data into the cloud storage for a given pane;</li><li>The amount (in bytes) of data that was saved into the cloud storage for that given pane is rather high and such that the "chunkification" of that data results in a chunk count which is a multiple of 16;
+<br/>&nbsp;
+<br/><ul><li>Large amount of data is more likely for the <em>"My filters"</em> and <em>"My rules"</em> panes.</li><li>Sorry for the cryptic explanation, I don't know how else to describe this.</li></ul></li><li>You open the pane in the dashboard for which the conditions above are true.</li></ul>
+<br/>If the bug is triggered, uBO could be stuck in an infinite loop in its main process, thus preventing it from doing its job.
+<br/>&nbsp;
+<br/>This is not a regression, but rather a bug that has been hiding in there since quite a long time.
+<br/>&nbsp;
+<br/><a rel="nofollow" href="https://github.com/gorhill/uBlock/compare/1.16.16...1.16.20">Commits history since 1.16.16</a>.
+
+<h2>uBlock Origin 1.16.18.1 - Aug. 27, 2018</h2>
+See <a rel="nofollow" href="https://github.com/gorhill/uBlock/releases/tag/1.16.18">release notes</a>.
+<br/>&nbsp;
+<br/>I decided to create an emergency fix for a bug which was spotted for uMatrix but which also affects uBO:
+<br/><a rel="nofollow" href="https://www.reddit.com/r/uMatrix/comments/8lc9ia/">"My rules tab hangs with cloud storage support"</a>
+<br/>&nbsp;
+<br/>If using cloud storage, there is a small probability uBO could be stuck in an infinite loop when reading back the data from the cloud storage, something which <em>may</em> occurs when the following conditions reunited:
+<br/>&nbsp;
+<br/><ul><li>You checked the setting <em>"Enable cloud storage support"</em>;</li><li>You saved data into the cloud storage for a given pane;</li><li>The amount (in bytes) of data that was saved into the cloud storage for that given pane is rather high and such that the "chunkification" of that data results in a chunk count which is a multiple of 16;
+<br/>&nbsp;
+<br/><ul><li>Large amount of data is more likely for the <em>"My filters"</em> and <em>"My rules"</em> panes.</li><li>Sorry for the cryptic explanation, I don't know how else to describe this.</li></ul></li><li>You open the pane in the dashboard for which the conditions above are true.</li></ul>
+<br/>If the bug is triggered, uBO could be stuck in an infinite loop in its main process, thus preventing it from doing its job.
+<br/>&nbsp;
+<br/>This is not a regression, but rather a bug that has been hiding in there since quite a long time.
+<br/>&nbsp;
+<br/><a rel="nofollow" href="https://github.com/gorhill/uBlock/compare/1.16.16...1.16.18">Commits history since 1.16.16</a>.
+
+<h2>uBlock Origin 1.16.18 - Aug. 27, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.10 - Aug. 25, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.9 - Aug. 22, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.8 - Aug. 21, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.7 - Aug. 15, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.6 - Aug. 15, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.5 - Aug. 14, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.4 - Aug. 14, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.3 - Aug. 14, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.16 - Aug. 13, 2018</h2>
+See <a rel="nofollow" href="https://github.com/gorhill/uBlock/releases/tag/1.16.16">release notes</a>.
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>New</b>
+<br/>&nbsp;
+<br/>A new pane has been added in the dashboard for the Firefox version of uBO: <em>Shortcuts</em>. The purpose is to be able to assign keyboard shortcuts to some common operations.
+<br/>&nbsp;
+<br/>&nbsp;
+<br/><b>Closed as fixed:</b>
+<br/>&nbsp;
+<br/><ul><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/144">Settings cannot be reset on Beta and Nightly Firefox</a></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/106">Add a pane in the dashboard (Firefox only) to assign keyboard shortcuts</a>
+<br/>  <ul>  <li>The new pane will be available for Firefox 60+ only.
+<br/>  </li></ul></li><li><a rel="nofollow" href="https://github.com/uBlockOrigin/uBlock-issues/issues/135">Element picker cannot be toggled before a site is fully loaded</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/2763">Logger: generic hiding rule recorded as active when $generichide in effect</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/2356">Filter for dynamically added class is not logged</a></li><li><a rel="nofollow" href="https://github.com/gorhill/uBlock/issues/2179">Logger: Popup which shows the used filter is empty</a></li></ul>
+<br/><a rel="nofollow" href="https://github.com/gorhill/uBlock/compare/1.16.14...1.16.16">Commits history since 1.16.14</a>.
+
+<h2>uBlock Origin 1.16.17.2 - Aug. 13, 2018</h2>
+[no description]
+
+<h2>uBlock Origin 1.16.17.1 - Aug. 11, 2018</h2>
+[no description]
+
 <h2>uBlock Origin 1.16.17.0 - Aug. 6, 2018</h2>
 [no description]
 
diff -pruN 1.16.14+dfsg-1/debian/watch 1.17.0+dfsg-2/debian/watch
--- 1.16.14+dfsg-1/debian/watch	2018-08-10 06:18:58.000000000 +0000
+++ 1.17.0+dfsg-2/debian/watch	2018-10-11 15:14:14.000000000 +0000
@@ -1,3 +1,3 @@
 version=3
 opts=repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg|ds|deb)\d*$// \
-https://github.com/gorhill/uBlock/releases .*/archive/(.*)\.tar\.gz
+https://github.com/gorhill/uBlock/releases .*/archive/(\d.*)\.tar\.gz
diff -pruN 1.16.14+dfsg-1/debian/webext-ublock-origin.lintian-overrides 1.17.0+dfsg-2/debian/webext-ublock-origin.lintian-overrides
--- 1.16.14+dfsg-1/debian/webext-ublock-origin.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/debian/webext-ublock-origin.lintian-overrides	2018-10-11 15:14:14.000000000 +0000
@@ -0,0 +1,2 @@
+# This is a false-positive.
+privacy-breach-google-adsense
diff -pruN 1.16.14+dfsg-1/dist/description/description-da.txt 1.17.0+dfsg-2/dist/description/description-da.txt
--- 1.16.14+dfsg-1/dist/description/description-da.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/description/description-da.txt	2018-10-10 09:19:19.000000000 +0000
@@ -1,6 +1,6 @@
 En effektiv blocker: Bruger kun lidt hukommelse og CPU, men kan alligevel indlæse og anvende langt flere filtre end andre populære blockere.
 
-Illustreret oversigt over effektiviteten: https://github.com/gorhill/uBlock/wiki/uBlock-vs.-ABP:-Efficiency-compared
+Illustreret oversigt over effektiviteten: https://github.com/gorhill/uBlock/wiki/uBlock-vs.-ABP:-efficiency-compared
 
 Anvendelse: Den store tænd-sluk-knap i pop op-vinduet bruges til permanent at deaktivere/aktivere uBlock på det aktuelle websted. Dette gælder kun for det aktuelle websted; det er ikke en global afbryderknap.
 
diff -pruN 1.16.14+dfsg-1/dist/description/description-en.txt 1.17.0+dfsg-2/dist/description/description-en.txt
--- 1.16.14+dfsg-1/dist/description/description-en.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/description/description-en.txt	2018-10-10 09:19:19.000000000 +0000
@@ -1,4 +1,4 @@
-An efficient blocker: easy on memory and CPU footprint, and yet can load and enforce thousands more filters than other popular blockers out there.
+An efficient blocker: Fast, potent and lean, and yet can load and enforce thousands more filters than other popular blockers out there.
 
 Illustrated overview of its efficiency: https://github.com/gorhill/uBlock/wiki/uBlock-vs.-ABP:-efficiency-compared
 
@@ -44,7 +44,7 @@ https://github.com/gorhill/uBlock#ublock
 Project change log:
 https://github.com/gorhill/uBlock/releases
 
-Contributors @ Github:
+Contributors @ GitHub:
 https://github.com/gorhill/uBlock/graphs/contributors
 
 Contributors @ Crowdin:
diff -pruN 1.16.14+dfsg-1/dist/description/description-es.txt 1.17.0+dfsg-2/dist/description/description-es.txt
--- 1.16.14+dfsg-1/dist/description/description-es.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/description/description-es.txt	2018-10-10 09:19:19.000000000 +0000
@@ -2,16 +2,16 @@ Un bloqueador eficiente: capaz de cargar
 
 Ejemplo con imágenes ilustrando su eficiencia (en inglés): https://github.com/gorhill/uBlock/wiki/uBlock-vs.-ABP:-efficiency-compared
 
-Uso: El botón grande de apagado/encendido en la ventana de la aplicación, es para desactivar/activar uBlock permanentemente en el sitio web actual. Aplica solo al sitio web actual, no activa o desactiva la extensión de forma general.
+Uso: El botón grande de apagado/encendido en la ventana emergente de la extensión, es para deshabilitar/habilitar uBlock₀ permanentemente en el sitio web actual. Aplica solo al sitio web actual, no activa o desactiva la extensión de forma general.
 
 ***
 
-Flexible, es más que un "ad blocker": también puede leer y crear filtros desde archivos hosts.
+Flexible, es más que un "bloqueador de anuncios": también puede leer y crear filtros desde archivos hosts.
 
 Por defecto ya trae configuradas las siguientes listas de filtros:
 
 - EasyList
-- Lista de servidores de anuncios de Peter Lowe
+- Peter Lowe’s Ad server list
 - EasyPrivacy
 - Malware domains
 
@@ -22,9 +22,9 @@ Otras listas disponibles pueden ser sele
 - hpHosts’s Ad and tracking servers
 - MVPS HOSTS
 - Spam404
-- Etc.
+- Y muchas más
 
-Por supuesto, mientras más filtros se activen, mayor será el consumo de memoria. No obstante, incluso después de agregar las dos listas adicionales de Fanboy y la 'hpHosts’s Ad and tracking servers', uBlock₀ consume menos memoria que otros bloqueadores similares.
+Por supuesto, mientras más filtros se activen, mayor será el consumo de memoria. No obstante, incluso después de agregar las dos listas adicionales de "Fanboy's" y la "hpHosts’s Ad and tracking servers", uBlock₀ consume menos memoria que otros bloqueadores similares.
 
 También tenga en cuenta que seleccionar algunas de estas listas adicionales puede conducir a una mayor probabilidad de aparición de problemas al mostrar un sitio web -- especialmente las listas utilizadas normalmente como archivo hosts.
 
@@ -38,13 +38,10 @@ Libre.
 Código abierto con licencia pública (GPLv3)
 Hecho para usuarios por los usuarios.
 
-Colaboradores @ Github (en inglés): https://github.com/gorhill/uBlock/graphs/contributors
-Colaboradores @ Crowdin (en inglés): https://crowdin.net/project/ublock
-Puede contribuir con la traducción al español, es libre!
+Colaboradores @ Github: https://github.com/gorhill/uBlock/graphs/contributors
+Colaboradores @ Crowdin: https://crowdin.com/project/ublock
 
 ***
 
-Esta es una versión en desarrollo, por favor tómelo en cuenta a la hora de dar su evaluación.
-
 Registro de cambios del proyecto:
 https://github.com/gorhill/uBlock/releases
diff -pruN 1.16.14+dfsg-1/dist/description/description-nl.txt 1.17.0+dfsg-2/dist/description/description-nl.txt
--- 1.16.14+dfsg-1/dist/description/description-nl.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/description/description-nl.txt	2018-10-10 09:19:19.000000000 +0000
@@ -26,7 +26,7 @@ Er zijn meer lijsten beschikbaar die u k
 
 Natuurlijk wordt het geheugengebruik groter naarmate er meer filters worden ingeschakeld. Maar zelfs na het inschakelen van Fanboy’s twee extra lijsten, hpHosts’s Ad en tracking servers, heeft uBlock een lager geheugengebruik dan andere populaire blockers.
 
-Houd er ook rekening mee dat het gebruik van sommige van deze extra lijsten de kans verhoogt dat websites niet goed worden weergegeven - met name de lijsten die doorgaans als hosts-bestand worden gebruikt.
+Houd er ook rekening mee dat het gebruik van sommige van deze extra lijsten de kans vergroot dat websites niet goed worden weergegeven - met name de lijsten die doorgaans als hosts-bestand worden gebruikt.
 
 ***
 
@@ -43,7 +43,5 @@ Medewerkers @ Crowdin: https://crowdin.n
 
 ***
 
-Onthoud dat dit een hele vroege versie is wanneer u een beoordeling geeft.
-
 Projectwijzigingenlogboek:
 https://github.com/gorhill/uBlock/releases
diff -pruN 1.16.14+dfsg-1/dist/description/description-pt_BR.txt 1.17.0+dfsg-2/dist/description/description-pt_BR.txt
--- 1.16.14+dfsg-1/dist/description/description-pt_BR.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/description/description-pt_BR.txt	2018-10-10 09:19:19.000000000 +0000
@@ -38,7 +38,7 @@ Gratuito
 Código aberto com licença pública (GPLv3)
 De usuários para usuários.
 
-Contribuidores no Github: https://github.com/gorhill/uBlock/graphs/contributors
+Contribuidores no GitHub: https://github.com/gorhill/uBlock/graphs/contributors
 Contribuidores no Crowdin: https://crowdin.net/project/ublock
 
 ***
diff -pruN 1.16.14+dfsg-1/dist/firefox/updates.json 1.17.0+dfsg-2/dist/firefox/updates.json
--- 1.16.14+dfsg-1/dist/firefox/updates.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/firefox/updates.json	2018-10-10 09:19:19.000000000 +0000
@@ -3,10 +3,10 @@
   "uBlock0@raymondhill.net": {
    "updates": [
     {
-     "version": "1.16.13.101",
+     "version": "1.16.21.103",
      "applications": { "gecko": { "strict_min_version": "52" } },
-     "update_info_url": "https://github.com/gorhill/uBlock/releases/tag/1.16.13rc1",
-     "update_link": "https://github.com/gorhill/uBlock/releases/download/1.16.13rc1/uBlock0.firefox.signed.xpi"
+     "update_info_url": "https://github.com/gorhill/uBlock/releases/tag/1.16.21rc3",
+     "update_link": "https://github.com/gorhill/uBlock/releases/download/1.16.21rc3/uBlock0.firefox.signed.xpi"
     }
    ]
   }
diff -pruN 1.16.14+dfsg-1/dist/version 1.17.0+dfsg-2/dist/version
--- 1.16.14+dfsg-1/dist/version	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/dist/version	2018-10-10 09:19:19.000000000 +0000
@@ -1 +1 @@
-1.16.14
+1.17.0
diff -pruN 1.16.14+dfsg-1/platform/chromium/manifest.json 1.17.0+dfsg-2/platform/chromium/manifest.json
--- 1.16.14+dfsg-1/platform/chromium/manifest.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/chromium/manifest.json	2018-10-10 09:19:19.000000000 +0000
@@ -58,14 +58,14 @@
   },
   "incognito": "split",
   "manifest_version": 2,
-  "minimum_chrome_version": "45.0",
+  "minimum_chrome_version": "51.0",
   "name": "uBlock Origin",
   "optional_permissions": [
     "file:///*"
   ],
-  "options_page": "dashboard.html",
   "options_ui": {
-    "page": "options_ui.html"
+    "page": "dashboard.html",
+    "open_in_tab": true
   },
   "permissions": [
     "contextMenus",
diff -pruN 1.16.14+dfsg-1/platform/chromium/options_ui.html 1.17.0+dfsg-2/platform/chromium/options_ui.html
--- 1.16.14+dfsg-1/platform/chromium/options_ui.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/chromium/options_ui.html	1970-01-01 00:00:00.000000000 +0000
@@ -1,13 +0,0 @@
-<!DOCTYPE html>
-<html>
-<head>
-<meta charset="utf-8">
-<script src="js/vapi.js"></script>
-<script src="js/vapi-client.js"></script>
-<script src="js/options_ui.js"></script>
-<title></title>
-</head>
-<body>
-<a href="dashboard.html" target="uBO">Dashboard</a>
-</body>
-</html>
diff -pruN 1.16.14+dfsg-1/platform/chromium/options_ui.js 1.17.0+dfsg-2/platform/chromium/options_ui.js
--- 1.16.14+dfsg-1/platform/chromium/options_ui.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/chromium/options_ui.js	1970-01-01 00:00:00.000000000 +0000
@@ -1,47 +0,0 @@
-/*******************************************************************************
-
-    µBlock - a browser extension to block requests.
-    Copyright (C) 2015 The µBlock authors
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see {http://www.gnu.org/licenses/}.
-
-    Home: https://github.com/gorhill/uBlock
-*/
-
-/******************************************************************************/
-
-(function() {
-
-/******************************************************************************/
-
-'use strict';
-
-vAPI.messaging.send(
-    'default',
-    {
-        what: 'gotoURL',
-        details: {
-            url: 'dashboard.html',
-            select: true,
-            index: -1
-        }
-    }
-);
-window.close();
-
-/******************************************************************************/
-
-})();
-
-/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/platform/chromium/vapi-background.js 1.17.0+dfsg-2/platform/chromium/vapi-background.js
--- 1.16.14+dfsg-1/platform/chromium/vapi-background.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/chromium/vapi-background.js	2018-10-10 09:19:19.000000000 +0000
@@ -2,6 +2,7 @@
 
     uBlock Origin - a browser extension to block requests.
     Copyright (C) 2014-2018 The uBlock Origin authors
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -464,7 +465,7 @@ vAPI.tabs.open = function(details) {
             // Opening a tab from incognito window won't focus the window
             // in which the tab was opened
             var focusWindow = function(tab) {
-                if ( tab.active ) {
+                if ( tab.active && chrome.windows instanceof Object ) {
                     chrome.windows.update(tab.windowId, { focused: true });
                 }
             };
@@ -490,7 +491,9 @@ vAPI.tabs.open = function(details) {
         };
 
         // Open in a standalone window
-        if ( details.popup === true ) {
+        // https://github.com/uBlockOrigin/uBlock-issues/issues/168#issuecomment-413038191
+        //   Not all platforms support browser.windows API.
+        if ( details.popup === true && chrome.windows instanceof Object ) {
             chrome.windows.create({ url: details.url, type: 'popup' });
             return;
         }
@@ -548,6 +551,7 @@ vAPI.tabs.open = function(details) {
             _details.url = targetURL;
         }
         chrome.tabs.update(tab.id, _details, function(tab) {
+            if ( chrome.windows instanceof Object === false ) { return; }
             chrome.windows.update(tab.windowId, { focused: true });
         });
     });
@@ -604,6 +608,7 @@ vAPI.tabs.select = function(tabId) {
     chrome.tabs.update(tabId, { active: true }, function(tab) {
         void chrome.runtime.lastError;
         if ( !tab ) { return; }
+        if ( chrome.windows instanceof Object === false ) { return; }
         chrome.windows.update(tab.windowId, { focused: true });
     });
 };
@@ -1190,10 +1195,10 @@ vAPI.cloud = (function() {
         return;
     }
 
-    var chunkCountPerFetch = 16; // Must be a power of 2
+    let chunkCountPerFetch = 16; // Must be a power of 2
 
     // Mind chrome.storage.sync.MAX_ITEMS (512 at time of writing)
-    var maxChunkCountPerItem = Math.floor(512 * 0.75) & ~(chunkCountPerFetch - 1);
+    let maxChunkCountPerItem = Math.floor(512 * 0.75) & ~(chunkCountPerFetch - 1);
 
     // Mind chrome.storage.sync.QUOTA_BYTES_PER_ITEM (8192 at time of writing)
     // https://github.com/gorhill/uBlock/issues/3006
@@ -1201,14 +1206,14 @@ vAPI.cloud = (function() {
     //  the infrastructure. Unfortunately this leads to less usable space for
     //  actual data, but all of this is provided for free by browser vendors,
     //  so we need to accept and deal with these limitations.
-    var evalMaxChunkSize = function() {
+    let evalMaxChunkSize = function() {
         return Math.floor(
             (chrome.storage.sync.QUOTA_BYTES_PER_ITEM || 8192) *
             (vAPI.webextFlavor.soup.has('firefox') ? 0.6 : 0.75)
         );
     };
 
-    var maxChunkSize = evalMaxChunkSize();
+    let maxChunkSize = evalMaxChunkSize();
 
     // The real actual webextFlavor value may not be set in stone, so listen
     // for possible future changes.
@@ -1220,9 +1225,9 @@ vAPI.cloud = (function() {
     // Firefox:
     // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/storage/sync
     // > You can store up to 100KB of data using this API/
-    var maxStorageSize = chrome.storage.sync.QUOTA_BYTES || 102400;
+    let maxStorageSize = chrome.storage.sync.QUOTA_BYTES || 102400;
 
-    var options = {
+    let options = {
         defaultDeviceName: window.navigator.platform,
         deviceName: vAPI.localStorage.getItem('deviceName') || ''
     };
@@ -1234,23 +1239,20 @@ vAPI.cloud = (function() {
     // good thing given chrome.storage.sync.MAX_WRITE_OPERATIONS_PER_MINUTE
     // and chrome.storage.sync.MAX_WRITE_OPERATIONS_PER_HOUR.
 
-    var getCoarseChunkCount = function(dataKey, callback) {
-        var bin = {};
-        for ( var i = 0; i < maxChunkCountPerItem; i += 16 ) {
+    let getCoarseChunkCount = function(dataKey, callback) {
+        let bin = {};
+        for ( let i = 0; i < maxChunkCountPerItem; i += 16 ) {
             bin[dataKey + i.toString()] = '';
         }
 
         chrome.storage.sync.get(bin, function(bin) {
             if ( chrome.runtime.lastError ) {
-                callback(0, chrome.runtime.lastError.message);
-                return;
+                return callback(0, chrome.runtime.lastError.message);
             }
 
-            var chunkCount = 0;
-            for ( var i = 0; i < maxChunkCountPerItem; i += 16 ) {
-                if ( bin[dataKey + i.toString()] === '' ) {
-                    break;
-                }
+            let chunkCount = 0;
+            for ( let i = 0; i < maxChunkCountPerItem; i += 16 ) {
+                if ( bin[dataKey + i.toString()] === '' ) { break; }
                 chunkCount = i + 16;
             }
 
@@ -1258,17 +1260,17 @@ vAPI.cloud = (function() {
         });
     };
 
-    var deleteChunks = function(dataKey, start) {
-        var keys = [];
+    let deleteChunks = function(dataKey, start) {
+        let keys = [];
 
         // No point in deleting more than:
         // - The max number of chunks per item
         // - The max number of chunks per storage limit
-        var n = Math.min(
+        let n = Math.min(
             maxChunkCountPerItem,
             Math.ceil(maxStorageSize / maxChunkSize)
         );
-        for ( var i = start; i < n; i++ ) {
+        for ( let i = start; i < n; i++ ) {
             keys.push(dataKey + i.toString());
         }
         if ( keys.length !== 0 ) {
@@ -1276,19 +1278,19 @@ vAPI.cloud = (function() {
         }
     };
 
-    var start = function(/* dataKeys */) {
+    let start = function(/* dataKeys */) {
     };
 
-    var push = function(dataKey, data, callback) {
+    let push = function(dataKey, data, callback) {
 
-        var bin = {
+        let bin = {
             'source': options.deviceName || options.defaultDeviceName,
             'tstamp': Date.now(),
             'data': data,
             'size': 0
         };
         bin.size = JSON.stringify(bin).length;
-        var item = JSON.stringify(bin);
+        let item = JSON.stringify(bin);
 
         // Chunkify taking into account QUOTA_BYTES_PER_ITEM:
         //   https://developer.chrome.com/extensions/storage#property-sync
@@ -1296,14 +1298,14 @@ vAPI.cloud = (function() {
         //   "storage, as measured by the JSON stringification of its value
         //   "plus its key length."
         bin = {};
-        var chunkCount = Math.ceil(item.length / maxChunkSize);
-        for ( var i = 0; i < chunkCount; i++ ) {
+        let chunkCount = Math.ceil(item.length / maxChunkSize);
+        for ( let i = 0; i < chunkCount; i++ ) {
             bin[dataKey + i.toString()] = item.substr(i * maxChunkSize, maxChunkSize);
         }
-        bin[dataKey + i.toString()] = ''; // Sentinel
+        bin[dataKey + chunkCount.toString()] = ''; // Sentinel
 
         chrome.storage.sync.set(bin, function() {
-            var errorStr;
+            let errorStr;
             if ( chrome.runtime.lastError ) {
                 errorStr = chrome.runtime.lastError.message;
                 // https://github.com/gorhill/uBlock/issues/3006#issuecomment-332597677
@@ -1323,27 +1325,30 @@ vAPI.cloud = (function() {
         });
     };
 
-    var pull = function(dataKey, callback) {
+    let pull = function(dataKey, callback) {
 
-        var assembleChunks = function(bin) {
+        let assembleChunks = function(bin) {
             if ( chrome.runtime.lastError ) {
                 callback(null, chrome.runtime.lastError.message);
                 return;
             }
 
             // Assemble chunks into a single string.
-            var json = [], jsonSlice;
-            var i = 0;
+            // https://www.reddit.com/r/uMatrix/comments/8lc9ia/my_rules_tab_hangs_with_cloud_storage_support/
+            //   Explicit sentinel is not necessarily present: this can
+            //   happen when the number of chunks is a multiple of
+            //   chunkCountPerFetch. Hence why we must also test against
+            //   undefined.
+            let json = [], jsonSlice;
+            let i = 0;
             for (;;) {
                 jsonSlice = bin[dataKey + i.toString()];
-                if ( jsonSlice === '' ) {
-                    break;
-                }
+                if ( jsonSlice === '' || jsonSlice === undefined ) { break; }
                 json.push(jsonSlice);
                 i += 1;
             }
 
-            var entry = null;
+            let entry = null;
             try {
                 entry = JSON.parse(json.join(''));
             } catch(ex) {
@@ -1351,14 +1356,14 @@ vAPI.cloud = (function() {
             callback(entry);
         };
 
-        var fetchChunks = function(coarseCount, errorStr) {
+        let fetchChunks = function(coarseCount, errorStr) {
             if ( coarseCount === 0 || typeof errorStr === 'string' ) {
                 callback(null, errorStr);
                 return;
             }
 
-            var bin = {};
-            for ( var i = 0; i < coarseCount; i++ ) {
+            let bin = {};
+            for ( let i = 0; i < coarseCount; i++ ) {
                 bin[dataKey + i.toString()] = '';
             }
 
@@ -1368,14 +1373,12 @@ vAPI.cloud = (function() {
         getCoarseChunkCount(dataKey, fetchChunks);
     };
 
-    var getOptions = function(callback) {
-        if ( typeof callback !== 'function' ) {
-            return;
-        }
+    let getOptions = function(callback) {
+        if ( typeof callback !== 'function' ) { return; }
         callback(options);
     };
 
-    var setOptions = function(details, callback) {
+    let setOptions = function(details, callback) {
         if ( typeof details !== 'object' || details === null ) {
             return;
         }
diff -pruN 1.16.14+dfsg-1/platform/chromium/vapi-cachestorage.js 1.17.0+dfsg-2/platform/chromium/vapi-cachestorage.js
--- 1.16.14+dfsg-1/platform/chromium/vapi-cachestorage.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/chromium/vapi-cachestorage.js	1970-01-01 00:00:00.000000000 +0000
@@ -1,269 +0,0 @@
-/*******************************************************************************
-
-    uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2016-2018 The uBlock Origin authors
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see {http://www.gnu.org/licenses/}.
-
-    Home: https://github.com/gorhill/uBlock
-*/
-
-/* global indexedDB, IDBDatabase */
-
-'use strict';
-
-/******************************************************************************/
-
-// The code below has been originally manually imported from:
-// Commit: https://github.com/nikrolls/uBlock-Edge/commit/d1538ea9bea89d507219d3219592382eee306134
-// Commit date: 29 October 2016
-// Commit author: https://github.com/nikrolls
-// Commit message: "Implement cacheStorage using IndexedDB"
-
-// The original imported code has been subsequently modified as it was not
-// compatible with Firefox.
-// (a Promise thing, see https://github.com/dfahlander/Dexie.js/issues/317)
-// Furthermore, code to migrate from browser.storage.local to vAPI.cacheStorage
-// has been added, for seamless migration of cache-related entries into
-// indexedDB.
-
-vAPI.cacheStorage = (function() {
-
-    // Firefox-specific: we use indexedDB because chrome.storage.local() has
-    // poor performance in Firefox. See:
-    // https://bugzilla.mozilla.org/show_bug.cgi?id=1371255
-    if ( vAPI.webextFlavor.soup.has('firefox') === false ) {
-        return vAPI.cacheStorage;
-    }
-
-    const STORAGE_NAME = 'uBlock0CacheStorage';
-    var db;
-    var pending = [];
-
-    // prime the db so that it's ready asap for next access.
-    getDb(noopfn);
-
-    return { get, set, remove, clear, getBytesInUse };
-
-    function get(input, callback) {
-        if ( typeof callback !== 'function' ) { return; }
-        if ( input === null ) {
-            return getAllFromDb(callback);
-        }
-        var toRead, output = {};
-        if ( typeof input === 'string' ) {
-            toRead = [ input ];
-        } else if ( Array.isArray(input) ) {
-            toRead = input;
-        } else /* if ( typeof input === 'object' ) */ {
-            toRead = Object.keys(input);
-            output = input;
-        }
-        return getFromDb(toRead, output, callback);
-    }
-
-    function set(input, callback) {
-        putToDb(input, callback);
-    }
-
-    function remove(key, callback) {
-        deleteFromDb(key, callback);
-    }
-
-    function clear(callback) {
-        clearDb(callback);
-    }
-
-    function getBytesInUse(keys, callback) {
-        // TODO: implement this
-        callback(0);
-    }
-
-    function genericErrorHandler(error) {
-        console.error('[%s]', STORAGE_NAME, error);
-    }
-
-    function noopfn() {
-    }
-
-    function processPendings() {
-        var cb;
-        while ( (cb = pending.shift()) ) {
-            cb(db);
-        }
-    }
-
-    function getDb(callback) {
-        if ( pending === undefined ) {
-            return callback();
-        }
-        if ( pending.length !== 0 ) {
-            return pending.push(callback);
-        }
-        if ( db instanceof IDBDatabase ) {
-            return callback(db);
-        }
-        pending.push(callback);
-        if ( pending.length !== 1 ) { return; }
-        // https://github.com/gorhill/uBlock/issues/3156
-        //   I have observed that no event was fired in Tor Browser 7.0.7 +
-        //   medium security level after the request to open the database was
-        //   created. When this occurs, I have also observed that the `error`
-        //   property was already set, so this means uBO can detect here whether
-        //   the database can be opened successfully. A try-catch block is
-        //   necessary when reading the `error` property because we are not
-        //   allowed to read this propery outside of event handlers in newer
-        //   implementation of IDBRequest (my understanding).
-        var req;
-        try {
-            req = indexedDB.open(STORAGE_NAME, 1);
-            if ( req.error ) {
-                console.log(req.error);
-                req = undefined;
-            }
-        } catch(ex) {
-        }
-        if ( req === undefined ) {
-            processPendings();
-            pending = undefined;
-            return;
-        }
-        req.onupgradeneeded = function(ev) {
-            req = undefined;
-            db = ev.target.result;
-            db.onerror = db.onabort = genericErrorHandler;
-            var table = db.createObjectStore(STORAGE_NAME, { keyPath: 'key' });
-            table.createIndex('value', 'value', { unique: false });
-        };
-        req.onsuccess = function(ev) {
-            req = undefined;
-            db = ev.target.result;
-            db.onerror = db.onabort = genericErrorHandler;
-            processPendings();
-        };
-        req.onerror = req.onblocked = function() {
-            req = undefined;
-            console.log(this.error);
-            processPendings();
-            pending = undefined;
-        };
-    }
-
-    function getFromDb(keys, store, callback) {
-        if ( typeof callback !== 'function' ) { return; }
-        if ( keys.length === 0 ) { return callback(store); }
-        var gotOne = function() {
-            if ( typeof this.result === 'object' ) {
-                store[this.result.key] = this.result.value;
-            }
-        };
-        getDb(function(db) {
-            if ( !db ) { return callback(); }
-            var transaction = db.transaction(STORAGE_NAME);
-            transaction.oncomplete =
-            transaction.onerror =
-            transaction.onabort = function() {
-                return callback(store);
-            };
-            var table = transaction.objectStore(STORAGE_NAME);
-            for ( var key of keys ) {
-                var req = table.get(key);
-                req.onsuccess = gotOne;
-                req.onerror = noopfn;
-                req = undefined;
-            }
-        });
-    }
-
-    function getAllFromDb(callback) {
-        if ( typeof callback !== 'function' ) {
-            callback = noopfn;
-        }
-        getDb(function(db) {
-            if ( !db ) { return callback(); }
-            var output = {};
-            var transaction = db.transaction(STORAGE_NAME);
-            transaction.oncomplete =
-            transaction.onerror =
-            transaction.onabort = function() {
-                callback(output);
-            };
-            var table = transaction.objectStore(STORAGE_NAME),
-                req = table.openCursor();
-            req.onsuccess = function(ev) {
-                var cursor = ev.target.result;
-                if ( !cursor ) { return; }
-                output[cursor.key] = cursor.value;
-                cursor.continue();
-            };
-        });
-    }
-
-    function putToDb(input, callback) {
-        if ( typeof callback !== 'function' ) {
-            callback = noopfn;
-        }
-        var keys = Object.keys(input);
-        if ( keys.length === 0 ) { return callback(); }
-        getDb(function(db) {
-            if ( !db ) { return callback(); }
-            var transaction = db.transaction(STORAGE_NAME, 'readwrite');
-            transaction.oncomplete =
-            transaction.onerror =
-            transaction.onabort = callback;
-            var table = transaction.objectStore(STORAGE_NAME);
-            for ( var key of keys ) {
-                var entry = {};
-                entry.key = key;
-                entry.value = input[key];
-                table.put(entry);
-                entry = undefined;
-            }
-        });
-    }
-
-    function deleteFromDb(input, callback) {
-        if ( typeof callback !== 'function' ) {
-            callback = noopfn;
-        }
-        var keys = Array.isArray(input) ? input.slice() : [ input ];
-        if ( keys.length === 0 ) { return callback(); }
-        getDb(function(db) {
-            if ( !db ) { return callback(); }
-            var transaction = db.transaction(STORAGE_NAME, 'readwrite');
-            transaction.oncomplete =
-            transaction.onerror =
-            transaction.onabort = callback;
-            var table = transaction.objectStore(STORAGE_NAME);
-            for ( var key of keys ) {
-                table.delete(key);
-            }
-        });
-    }
-
-    function clearDb(callback) {
-        if ( typeof callback !== 'function' ) {
-            callback = noopfn;
-        }
-        getDb(function(db) {
-            if ( !db ) { return callback(); }
-            var req = db.transaction(STORAGE_NAME, 'readwrite')
-                        .objectStore(STORAGE_NAME)
-                        .clear();
-            req.onsuccess = req.onerror = callback;
-        });
-    }
-}());
-
-/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/platform/chromium/vapi-usercss.real.js 1.17.0+dfsg-2/platform/chromium/vapi-usercss.real.js
--- 1.16.14+dfsg-1/platform/chromium/vapi-usercss.real.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/chromium/vapi-usercss.real.js	2018-10-10 09:19:19.000000000 +0000
@@ -66,8 +66,14 @@ vAPI.DOMFilterer = function() {
     this.excludedNodeSet = new WeakSet();
     this.addedCSSRules = new Set();
 
+    // https://github.com/uBlockOrigin/uBlock-issues/issues/167
+    //   By the time the DOMContentLoaded is fired, the content script might
+    //   have been disconnected from the background page. Unclear why this
+    //   would happen, so far seems to be a Chromium-specific behavior at
+    //   launch time.
     if ( this.domIsReady !== true ) {
-        document.addEventListener('DOMContentLoaded', () => {
+        document.addEventListener('DOMContentLoaded', ( ) => {
+            if ( vAPI instanceof Object === false ) { return; }
             this.domIsReady = true;
             this.commit();
         });
diff -pruN 1.16.14+dfsg-1/platform/firefox/manifest.json 1.17.0+dfsg-2/platform/firefox/manifest.json
--- 1.16.14+dfsg-1/platform/firefox/manifest.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/firefox/manifest.json	2018-10-10 09:19:19.000000000 +0000
@@ -83,10 +83,8 @@
   "sidebar_action": {
     "default_title": "__MSG_statsPageName__",
     "default_panel": "logger-ui.html",
-    "default_icon": {
-      "16": "img/ublock.svg",
-      "48": "img/ublock.svg"
-    }
+    "default_icon": "img/ublock.svg",
+    "open_at_install": false
   },
   "version": "1.9.15.101",
   "web_accessible_resources": [
diff -pruN 1.16.14+dfsg-1/platform/webext/manifest.json 1.17.0+dfsg-2/platform/webext/manifest.json
--- 1.16.14+dfsg-1/platform/webext/manifest.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/platform/webext/manifest.json	2018-10-10 09:19:19.000000000 +0000
@@ -66,7 +66,7 @@
   },
   "incognito": "split",
   "manifest_version": 2,
-  "minimum_chrome_version": "45.0",
+  "minimum_chrome_version": "51.0",
   "name": "uBlock Origin",
   "optional_permissions": [
     "file:///*"
diff -pruN 1.16.14+dfsg-1/src/3p-filters.html 1.17.0+dfsg-2/src/3p-filters.html
--- 1.16.14+dfsg-1/src/3p-filters.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/3p-filters.html	2018-10-10 09:19:19.000000000 +0000
@@ -45,10 +45,10 @@
          --><a class="fa mustread" href="" target="_blank">&#xf05a;</a>&#8203;<!--
          --><span class="fa status unsecure" title="http">&#xf13e;</span>&#8203;<!--
          --><span class="counts dim"></span>&#8203;<!--
-         --><span class="fa status obsolete" title="3pExternalListObsolete">&#xf071;</span>&#8203;<!--
+         --><span class="fa status obsolete" data-i18n-title="3pExternalListObsolete">&#xf071;</span>&#8203;<!--
          --><span class="fa status cache">&#xf017;</span>&#8203;<!--
-         --><span class="fa status updating" title="3pUpdating">&#xf110;</span>&#8203;<!--
-         --><span class="fa status failed" title="3pNetworkError">&#xf127;</span>
+         --><span class="fa status updating" data-i18n-title="3pUpdating">&#xf110;</span>&#8203;<!--
+         --><span class="fa status failed" data-i18n-title="3pNetworkError">&#xf127;</span>
             </li>
         <li class="listEntry toImport"><input type="checkbox" id="importLists"><label for="importLists" data-i18n="3pImport"></label><!--
             --><a class="fa info towiki" href="https://github.com/gorhill/uBlock/wiki/Filter-lists-from-around-the-web" target="_blank">&#xf05a;</a><!--
diff -pruN 1.16.14+dfsg-1/src/advanced-settings.html 1.17.0+dfsg-2/src/advanced-settings.html
--- 1.16.14+dfsg-1/src/advanced-settings.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/advanced-settings.html	2018-10-10 09:19:19.000000000 +0000
@@ -2,10 +2,15 @@
 <html>
 <head>
 <meta charset="utf-8">
+<meta name="viewport" content="width=device-width, initial-scale=1">
 <title data-i18n="advancedSettingsPageName"></title>
+
+<link rel="stylesheet" href="lib/codemirror/lib/codemirror.css">
+
 <link rel="stylesheet" type="text/css" href="css/common.css">
 <link rel="stylesheet" type="text/css" href="css/dashboard-common.css">
 <link rel="stylesheet" type="text/css" href="css/advanced-settings.css">
+<link rel="stylesheet" href="css/codemirror.css">
 <link rel="shortcut icon" type="image/png" href="img/icon_16.png"/>
 </head>
 
@@ -14,9 +19,13 @@
     <p><span data-i18n="advancedSettingsWarning"></span> <a class="fa info important" href="https://github.com/gorhill/uBlock/wiki/Advanced-settings" target="_blank">&#xf05a;</a>
     <p>
         <button id="advancedSettingsApply" class="custom important" type="button" disabled data-i18n="genericApplyChanges"></button>&ensp;
-    <p><textarea id="advancedSettings" dir="auto" spellcheck="false"></textarea>
 </div>
 
+<div id="advancedSettings" class="codeMirrorContainer codeMirrorFillVertical"></div>
+
+<script src="lib/codemirror/lib/codemirror.js"></script>
+<script src="lib/codemirror/addon/selection/active-line.js"></script>
+
 <script src="js/vapi.js"></script>
 <script src="js/vapi-common.js"></script>
 <script src="js/vapi-client.js"></script>
diff -pruN 1.16.14+dfsg-1/src/asset-viewer.html 1.17.0+dfsg-2/src/asset-viewer.html
--- 1.16.14+dfsg-1/src/asset-viewer.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/asset-viewer.html	2018-10-10 09:19:19.000000000 +0000
@@ -3,7 +3,7 @@
 <head>
 <meta charset="utf-8">
 <meta name="viewport" content="width=device-width, initial-scale=1">
-<title>uBlock — Asset</title>
+<title data-i18n="assetViewerPageName"></title>
 <link rel="stylesheet" href="lib/codemirror/lib/codemirror.css">
 <link rel="stylesheet" href="lib/codemirror/addon/search/matchesonscrollbar.css">
 <link rel="stylesheet" href="css/common.css">
@@ -39,6 +39,7 @@ body {
 <script src="js/vapi-common.js"></script>
 <script src="js/vapi-client.js"></script>
 <script src="js/udom.js"></script>
+<script src="js/i18n.js"></script>
 <script src="js/dashboard-common.js"></script>
 <script src="js/asset-viewer.js"></script>
 
diff -pruN 1.16.14+dfsg-1/src/background.html 1.17.0+dfsg-2/src/background.html
--- 1.16.14+dfsg-1/src/background.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/background.html	2018-10-10 09:19:19.000000000 +0000
@@ -5,17 +5,19 @@
 <title>uBlock Origin</title>
 </head>
 <body>
+<script src="lib/lz4/lz4-block-codec-any.js"></script>
 <script src="lib/punycode.js"></script>
 <script src="lib/publicsuffixlist.js"></script>
 <script src="js/vapi.js"></script>
 <script src="js/vapi-common.js"></script>
 <script src="js/vapi-background.js"></script>
 <script src="js/vapi-webrequest.js"></script><!-- Forks can pick the webext, chromium, or their own implementation -->
-<script src="js/vapi-cachestorage.js"></script><!-- Optional -->
 <script src="js/background.js"></script>
 <script src="js/hntrie.js"></script>
 <script src="js/utils.js"></script>
 <script src="js/uritools.js"></script>
+<script src="js/lz4.js"></script>
+<script src="js/cachestorage.js"></script>
 <script src="js/assets.js"></script>
 <script src="js/redirect-engine.js"></script>
 <script src="js/dynamic-net-filtering.js"></script>
@@ -36,7 +38,6 @@
 <script src="js/text-encode.js"></script>
 <script src="js/contextmenu.js"></script>
 <script src="js/reverselookup.js"></script>
-<script src="js/rpcreceiver.js"></script>
 <script src="js/start.js"></script>
 <script src="js/commands.js"></script>
 </body>
diff -pruN 1.16.14+dfsg-1/src/cloud-ui.html 1.17.0+dfsg-2/src/cloud-ui.html
--- 1.16.14+dfsg-1/src/cloud-ui.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/cloud-ui.html	2018-10-10 09:19:19.000000000 +0000
@@ -6,10 +6,10 @@
 </head>
 <body>
 <div class="cloudTools">
-    <button id="cloudPush" type="button" class="custom" title="cloudPush"><span class="fa">&#xf0ee;</span></button>
+    <button id="cloudPush" type="button" class="custom" data-i18n-title="cloudPush"><span class="fa">&#xf0ee;</span></button>
     <span id="cloudInfo" data-i18n="cloudNoData"></span>
-    <button id="cloudPull" type="button" class="custom" title="cloudPull" disabled><span class="fa">&#xf0ed;</span></button>
-    <button id="cloudPullAndMerge" type="button" class="custom" title="cloudPullAndMerge" disabled><span class="fa">&#xf0ed;<span>&#xf067;</span></span></button>
+    <button id="cloudPull" type="button" class="custom" data-i18n-title="cloudPull" disabled><span class="fa">&#xf0ed;</span></button>
+    <button id="cloudPullAndMerge" type="button" class="custom" data-i18n-title="cloudPullAndMerge" disabled><span class="fa">&#xf0ed;<span>&#xf067;</span></span></button>
 </div>
 <p id="cloudError"></p>
 <span id="cloudCog" class="fa">&#xf013;</span>
diff -pruN 1.16.14+dfsg-1/src/css/advanced-settings.css 1.17.0+dfsg-2/src/css/advanced-settings.css
--- 1.16.14+dfsg-1/src/css/advanced-settings.css	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/advanced-settings.css	2018-10-10 09:19:19.000000000 +0000
@@ -1,8 +1,13 @@
-textarea {
-    box-sizing: border-box;
-    height: 60vh;
+html {
+    height: 100vh;
+    overflow: hidden;
+    }
+body {
+    overflow: hidden;
+    }
+#advancedSettings {
+    border-top: 1px solid #ddd;
+    height: 75vh;
     text-align: left;
-    white-space: pre;
     width: 100%;
-    word-wrap: normal;
     }
diff -pruN 1.16.14+dfsg-1/src/css/common.css 1.17.0+dfsg-2/src/css/common.css
--- 1.16.14+dfsg-1/src/css/common.css	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/common.css	2018-10-10 09:19:19.000000000 +0000
@@ -13,7 +13,6 @@
     user-select: none;
       -moz-user-select: none;
       -webkit-user-select: none;
-    vertical-align: middle;
     }
 body {
     background-color: white;
diff -pruN 1.16.14+dfsg-1/src/css/dashboard-common.css 1.17.0+dfsg-2/src/css/dashboard-common.css
--- 1.16.14+dfsg-1/src/css/dashboard-common.css	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/dashboard-common.css	2018-10-10 09:19:19.000000000 +0000
@@ -49,8 +49,8 @@ input[type="checkbox"][disabled] + label
     width: 40em;
     }
 .synopsis {
-    font-size: small;
-    opacity: 0.8;
+    display: inline-block;
+    padding: 0.25em 0;
     }
 .whatisthis {
     margin: 0 0 0 8px;
diff -pruN 1.16.14+dfsg-1/src/css/dashboard.css 1.17.0+dfsg-2/src/css/dashboard.css
--- 1.16.14+dfsg-1/src/css/dashboard.css	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/dashboard.css	2018-10-10 09:19:19.000000000 +0000
@@ -73,6 +73,10 @@ iframe {
     width: 100%;
     }
 
+body:not(.canUpdateShortcuts) .tabButton[href="#shortcuts.html"] {
+    display: none;
+    }
+
 @media (max-width: 640px) {
     #dashboard-nav {
         position: relative;
diff -pruN 1.16.14+dfsg-1/src/css/document-blocked.css 1.17.0+dfsg-2/src/css/document-blocked.css
--- 1.16.14+dfsg-1/src/css/document-blocked.css	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/document-blocked.css	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,147 @@
+/**
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2018-present Raymond Hill
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+body {
+    font-size: large;
+    text-align: center;
+    }
+body > div {
+    margin: 1.5em 0;
+    }
+body > div > p,
+body > div > div {
+    margin: 4px 0;
+    }
+body > div > p:first-child {
+    margin: 1.5em 0 0 0;
+    }
+a {
+    text-decoration: none;
+    }
+button {
+    cursor: pointer;
+    margin: 0 1em 0.25em 1em;
+    padding: 0.25em 0.5em;
+    font-size: inherit;
+    }
+select {
+    font: inherit;
+    padding: 2px;
+    }
+.code {
+    background-color: rgba(0, 0, 0, 0.1);
+    font-family: monospace;
+    font-size: large;
+    line-height: 1;
+    padding: 4px;
+    word-break: break-all;
+    }
+#warningSign {
+    opacity: 1;
+    pointer-events: none;
+    width: 100%;
+    }
+#warningSign > span {
+    color: #f2a500;
+    font-size: 10em;
+    }
+#theURL {
+    padding: 0;
+    }
+#theURL > * {
+    margin: 0;
+    }
+#theURL > p {
+    position: relative;
+    z-index: 10;
+    }
+#theURL > p > span {
+    background-color: transparent;
+    top: 100%;
+    box-sizing: border-box;
+    cursor: pointer;
+    opacity: 0.5;
+    padding: 0.2em;
+    position: absolute;
+    transform: translate(0, -50%);
+    }
+body[dir="ltr"] #theURL > p > span {
+    right: 0;
+    }
+body[dir="rtl"] #theURL > p > span {
+    left: 0;
+    }
+#theURL > p:hover > span {
+    opacity: 1;
+    }
+#theURL > p > span:before {
+    content: '\f010';
+    }
+#theURL.collapsed > p > span:before {
+    content: '\f00e';
+    }
+#parsed {
+    background-color: #f8f8f8;
+    border: 1px solid rgba(0, 0, 0, 0.1);
+    border-top: none;
+    color: gray;
+    font-size: small;
+    overflow-x: hidden;
+    padding: 4px;
+    text-align: initial;
+    text-overflow: ellipsis; 
+    }
+#theURL.collapsed > #parsed {
+    display: none;
+    }
+#parsed ul, #parsed li {
+    list-style-type: none;
+    }
+#parsed li {
+    white-space: nowrap;
+    }
+#parsed span {
+    display: inline-block;
+    }
+#parsed span:first-of-type {
+    font-weight: bold;
+    }
+#whyex {
+    font-size: smaller;
+    }
+#whyex a {
+    white-space: nowrap;
+}
+.proceedChoice {
+    text-align: left;
+    }
+
+.filterList a {
+    opacity: 0.8;
+    }
+.filterList a:hover {
+    opacity: 1;
+    }
+.filterList:first-child .filterListSeparator {
+    display: none;
+    }
+.filterList .filterListSupport[href=""] {
+    display: none;
+    }
diff -pruN 1.16.14+dfsg-1/src/css/logger-ui.css 1.17.0+dfsg-2/src/css/logger-ui.css
--- 1.16.14+dfsg-1/src/css/logger-ui.css	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/logger-ui.css	2018-10-10 09:19:19.000000000 +0000
@@ -595,10 +595,23 @@ body.colorBlind  #netFilteringDialog .di
     background: #eee;
     font-size: 85%;
     padding: 3px;
+    unicode-bidi: plaintext;
     }
 #filterFinderDialog .dialog ul {
     font-size: larger;
     }
+#filterFinderDialog .filterFinderListEntry a {
+    text-decoration: none;
+    }
+#filterFinderDialog .filterFinderListEntry a.fa {
+    opacity: 0.8;
+    }
+#filterFinderDialog .filterFinderListEntry a.fa:hover {
+    opacity: 1;
+    }
+#filterFinderDialog .filterFinderListEntry a[href=""]:nth-of-type(2) {
+    display: none;
+    }
 #filterFinderDialog .dialog > *:first-child {
     margin-top: 0;
     }
diff -pruN 1.16.14+dfsg-1/src/css/popup.css 1.17.0+dfsg-2/src/css/popup.css
--- 1.16.14+dfsg-1/src/css/popup.css	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/popup.css	2018-10-10 09:19:19.000000000 +0000
@@ -146,28 +146,28 @@ body.off #switch .fa {
 #extraTools {
     background-color: #eee;
     border: 0;
-    color: #aaa;
+    color: #888;
     margin: 0.8em 0 0 0;
-    padding: 4px 0;
+    padding: 4px 0 4px 0.8em;
     text-align: center;
     }
 #extraTools > span {
     cursor: pointer;
     font-size: 1.2em;
-    margin: 0 0.4em;
+    margin: 0 0.8em 0 0;
     position: relative;
     }
 #extraTools > span > span.badge {
     color: #222;
-    bottom: -1px;
+    bottom: -2px;
     font: x-small sans-serif;
     position: absolute;
     }
 body[dir="ltr"] #extraTools > span > span.badge {
-    left: 100%;
+    /* left: 100%; */
     }
 body[dir="rtl"] #extraTools > span > span.badge {
-    right: 100%;
+    /* right: 100%; */
     }
 #extraTools > span > span:last-of-type {
     color: #e00;
diff -pruN 1.16.14+dfsg-1/src/css/shortcuts.css 1.17.0+dfsg-2/src/css/shortcuts.css
--- 1.16.14+dfsg-1/src/css/shortcuts.css	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/css/shortcuts.css	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,61 @@
+/**
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2018-present Raymond Hill
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+.commandEntries {
+    margin: 2em;
+    }
+
+.commandEntries td {
+    padding: 0.5em 0.25em;
+    }
+
+.commandEntries td.commandDesc {
+    text-align: end;
+    }
+
+.commandEntries td.commandShortcut {
+    white-space: nowrap;
+    }
+
+.commandEntries td.commandShortcut input {
+    padding: 0.4em;
+    }
+
+.commandEntries td.commandShortcut input:focus {
+    outline: 2px solid blue;
+    }
+
+.commandEntries td.commandShortcut input ~ .commandReset {
+    color: #888;
+    cursor: pointer;
+    font-size: 150%;
+    padding: 0 0.2em;
+    vertical-align: middle;
+    }
+
+.commandEntries td.commandShortcut input ~ .commandReset:hover {
+    background-color: #eee;
+    color: black;
+    }
+
+.commandEntries td.commandShortcut input:placeholder-shown ~ .commandReset,
+.commandEntries td.commandShortcut input:focus ~ .commandReset {
+    display: none;
+    }
diff -pruN 1.16.14+dfsg-1/src/dashboard.html 1.17.0+dfsg-2/src/dashboard.html
--- 1.16.14+dfsg-1/src/dashboard.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/dashboard.html	2018-10-10 09:19:19.000000000 +0000
@@ -12,12 +12,13 @@
 <body>
 <div id="dashboard-nav">
     <div id="dashboard-nav-widgets">
-        <span class="hverbose" title="extName"><img src="img/ublock.svg"></span><!--
+        <span class="hverbose" data-i18n-title="extName"><img src="img/ublock.svg"></span><!--
      --><a class="tabButton" href="#settings.html" data-i18n="settingsPageName"></a><!--
      --><a class="tabButton" href="#3p-filters.html" data-i18n="3pPageName"></a><!--
      --><a class="tabButton" href="#1p-filters.html" data-i18n="1pPageName"></a><!--
      --><a class="tabButton" href="#dyna-rules.html" data-i18n="rulesPageName"></a><!--
      --><a class="tabButton" href="#whitelist.html" data-i18n="whitelistPageName"></a><!--
+     --><a class="tabButton" href="#shortcuts.html" data-i18n="shortcutsPageName"></a><!--
      --><a class="tabButton" href="#about.html" data-i18n="aboutPageName"></a>
     </div>
 </div>
@@ -26,6 +27,7 @@
 
 <script src="js/vapi.js"></script>
 <script src="js/vapi-common.js"></script>
+<script src="js/vapi-client.js"></script>
 <script src="js/udom.js"></script>
 <script src="js/i18n.js"></script>
 <script src="js/dashboard.js"></script>
diff -pruN 1.16.14+dfsg-1/src/document-blocked.html 1.17.0+dfsg-2/src/document-blocked.html
--- 1.16.14+dfsg-1/src/document-blocked.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/document-blocked.html	2018-10-10 09:19:19.000000000 +0000
@@ -4,126 +4,7 @@
 <meta charset="utf-8">
 <title></title>
 <link rel="stylesheet" href="css/common.css" type="text/css">
-<style>
-body {
-    font-size: large;
-    text-align: center;
-    }
-body > div {
-    margin: 1.5em 0;
-    }
-body > div > p,
-body > div > div {
-    margin: 4px 0;
-    }
-body > div > p:first-child {
-    margin: 1.5em 0 0 0;
-    }
-a {
-    text-decoration: none;
-    }
-button {
-    cursor: pointer;
-    margin: 0 1em 0.25em 1em;
-    padding: 0.25em 0.5em;
-    font-size: inherit;
-    }
-select {
-    font: inherit;
-    padding: 2px;
-    }
-.code {
-    background-color: rgba(0, 0, 0, 0.1);
-    font-family: monospace;
-    font-size: large;
-    line-height: 1;
-    padding: 4px;
-    word-break: break-all;
-    }
-#warningSign {
-    opacity: 1;
-    pointer-events: none;
-    width: 100%;
-    }
-#warningSign > span {
-    color: #f2a500;
-    font-size: 10em;
-    }
-#theURL {
-    padding: 0;
-    }
-#theURL > * {
-    margin: 0;
-    }
-#theURL > p {
-    position: relative;
-    z-index: 10;
-    }
-#theURL > p > span {
-    background-color: transparent;
-    top: 100%;
-    box-sizing: border-box;
-    cursor: pointer;
-    opacity: 0.5;
-    padding: 0.2em;
-    position: absolute;
-    transform: translate(0, -50%);
-    }
-body[dir="ltr"] #theURL > p > span {
-    right: 0;
-    }
-body[dir="rtl"] #theURL > p > span {
-    left: 0;
-    }
-#theURL > p:hover > span {
-    opacity: 1;
-    }
-#theURL > p > span:before {
-    content: '\f010';
-    }
-#theURL.collapsed > p > span:before {
-    content: '\f00e';
-    }
-#parsed {
-    background-color: #f8f8f8;
-    border: 1px solid rgba(0, 0, 0, 0.1);
-    border-top: none;
-    color: gray;
-    font-size: small;
-    overflow-x: hidden;
-    padding: 4px;
-    text-align: initial;
-    text-overflow: ellipsis; 
-    }
-#theURL.collapsed > #parsed {
-    display: none;
-    }
-#parsed ul, #parsed li {
-    list-style-type: none;
-    }
-#parsed li {
-    white-space: nowrap;
-    }
-#parsed span {
-    display: inline-block;
-    }
-#parsed span:first-of-type {
-    font-weight: bold;
-    }
-#whyex {
-    font-size: smaller;
-    opacity: 0.6;
-    }
-#whyex:hover {
-    opacity: 1;
-    }
-#whyex a {
-    white-space: nowrap;
-}
-.proceedChoice {
-    text-align: left;
-    }
-</style>
+<link rel="stylesheet" type="text/css" href="css/document-blocked.css">
 </head>
 <body>
 <a href="https://github.com/gorhill/uBlock/wiki/Strict-blocking" target="_blank"><div id="warningSign"><span class="fa">&#xf071;</span></div></a>
@@ -152,8 +33,8 @@ body[dir="rtl"] #theURL > p > span {
     <button id="proceedPermanent" data-i18n="docblockedDisablePermanent" type="button"></button></p>
     </div>
 
-<div style="display: none;">
-    <span id="proceedTemplate">
+<div id="templates" style="display: none;">
+    <span class="proceed">
         <span></span>
         <span class="proceedChoice">
             <select>
@@ -164,7 +45,12 @@ body[dir="rtl"] #theURL > p > span {
         <span class="proceedChoice code hn"></span>
         <span></span>
     </span>
-    </div>
+    <span class="filterList">
+        <span class="filterListSeparator">&#x2022;</span>
+        <a class="filterListSource" href="asset-viewer.html?url=" target="_blank"></a>&nbsp;<!--
+     --><a class="fa filterListSupport" href="" target="_blank">&#xf015;</a>
+    </span>
+</div>
 
 <script src="js/vapi.js"></script>
 <script src="js/vapi-common.js"></script>
diff -pruN 1.16.14+dfsg-1/src/js/3p-filters.js 1.17.0+dfsg-2/src/js/3p-filters.js
--- 1.16.14+dfsg-1/src/js/3p-filters.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/3p-filters.js	2018-10-10 09:19:19.000000000 +0000
@@ -70,7 +70,7 @@ var renderFilterLists = function(soft) {
         listEntryTemplate = uDom('#templates .listEntry'),
         listStatsTemplate = vAPI.i18n('3pListsOfBlockedHostsPerListStats'),
         renderElapsedTimeToString = vAPI.i18n.renderElapsedTimeToString,
-        groupNames = new Map();
+        groupNames = new Map([ [ 'user', '' ] ]);
 
     // Assemble a pretty list name if possible
     var listNameFromListKey = function(listKey) {
@@ -172,18 +172,12 @@ var renderFilterLists = function(soft) {
     };
 
     var liFromListGroup = function(groupKey, listKeys) {
-        var liGroup = document.querySelector('#lists > .groupEntry[data-groupkey="' + groupKey + '"]');
+        let liGroup = document.querySelector('#lists > .groupEntry[data-groupkey="' + groupKey + '"]');
         if ( liGroup === null ) {
             liGroup = listGroupTemplate.clone().nodeAt(0);
-            var groupName = groupNames.get(groupKey);
+            let groupName = groupNames.get(groupKey);
             if ( groupName === undefined ) {
                 groupName = vAPI.i18n('3pGroup' + groupKey.charAt(0).toUpperCase() + groupKey.slice(1));
-                // Category "Social" is being renamed "Annoyances": ensure
-                // smooth transition.
-                // TODO: remove when majority of users are post-1.14.8 uBO.
-                if ( groupName === '' && groupKey === 'social' ) {
-                    groupName = vAPI.i18n('3pGroupAnnoyances');
-                }
                 groupNames.set(groupKey, groupName);
             }
             if ( groupName !== '' ) {
@@ -193,15 +187,15 @@ var renderFilterLists = function(soft) {
         if ( liGroup.querySelector('.geName:empty') === null ) {
             liGroup.querySelector('.geCount').textContent = listEntryCountFromGroup(listKeys);
         }
-        var hideUnused = mustHideUnusedLists(groupKey);
+        let hideUnused = mustHideUnusedLists(groupKey);
         liGroup.classList.toggle('hideUnused', hideUnused);
-        var ulGroup = liGroup.querySelector('.listEntries');
+        let ulGroup = liGroup.querySelector('.listEntries');
         if ( !listKeys ) { return liGroup; }
         listKeys.sort(function(a, b) {
             return (listDetails.available[a].title || '').localeCompare(listDetails.available[b].title || '');
         });
-        for ( var i = 0; i < listKeys.length; i++ ) {
-            var liEntry = liFromListEntry(
+        for ( let i = 0; i < listKeys.length; i++ ) {
+            let liEntry = liFromListEntry(
                 listKeys[i],
                 ulGroup.children[i],
                 hideUnused
@@ -214,18 +208,19 @@ var renderFilterLists = function(soft) {
     };
 
     var groupsFromLists = function(lists) {
-        var groups = {};
-        var listKeys = Object.keys(lists);
-        var i = listKeys.length;
-        var listKey, list, groupKey;
-        while ( i-- ) {
-            listKey = listKeys[i];
-            list = lists[listKey];
-            groupKey = list.group || 'nogroup';
-            if ( groups[groupKey] === undefined ) {
-                groups[groupKey] = [];
+        let groups = new Map();
+        let listKeys = Object.keys(lists);
+        for ( let listKey of listKeys ) {
+            let list = lists[listKey];
+            let groupKey = list.group || 'nogroup';
+            if ( groupKey === 'social' ) {
+                groupKey = 'annoyances';
+            }
+            let memberKeys = groups.get(groupKey);
+            if ( memberKeys === undefined ) {
+                groups.set(groupKey, (memberKeys = []));
             }
-            groups[groupKey].push(listKey);
+            memberKeys.push(listKey);
         }
         return groups;
     };
@@ -248,22 +243,21 @@ var renderFilterLists = function(soft) {
         // Visually split the filter lists in purpose-based groups
         var ulLists = document.querySelector('#lists'),
             groups = groupsFromLists(details.available),
-            liGroup, i, groupKey,
             groupKeys = [
                 'user',
                 'default',
                 'ads',
                 'privacy',
                 'malware',
-                'social',
+                'annoyances',
                 'multipurpose',
                 'regions',
                 'custom'
             ];
         document.body.classList.toggle('hideUnused', mustHideUnusedLists('*'));
-        for ( i = 0; i < groupKeys.length; i++ ) {
-            groupKey = groupKeys[i];
-            liGroup = liFromListGroup(groupKey, groups[groupKey]);
+        for ( let i = 0; i < groupKeys.length; i++ ) {
+            let groupKey = groupKeys[i];
+            let liGroup = liFromListGroup(groupKey, groups.get(groupKey));
             liGroup.setAttribute('data-groupkey', groupKey);
             liGroup.classList.toggle(
                 'collapsed',
@@ -272,13 +266,12 @@ var renderFilterLists = function(soft) {
             if ( liGroup.parentElement === null ) {
                 ulLists.appendChild(liGroup);
             }
-            delete groups[groupKey];
+            groups.delete(groupKey);
         }
         // For all groups not covered above (if any left)
         groupKeys = Object.keys(groups);
-        for ( i = 0; i < groupKeys.length; i++ ) {
-            groupKey = groupKeys[i];
-            ulLists.appendChild(liFromListGroup(groupKey, groups[groupKey]));
+        for ( let groupKey of groupKeys.keys() ) {
+            ulLists.appendChild(liFromListGroup(groupKey, groupKey));
         }
 
         uDom('#lists .listEntries .listEntry.discard').remove();
diff -pruN 1.16.14+dfsg-1/src/js/advanced-settings.js 1.17.0+dfsg-2/src/js/advanced-settings.js
--- 1.16.14+dfsg-1/src/js/advanced-settings.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/advanced-settings.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2016 Raymond Hill
+    Copyright (C) 2016-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -19,23 +19,36 @@
     Home: https://github.com/gorhill/uBlock
 */
 
-/* global uDom */
+/* global CodeMirror, uDom, uBlockDashboard */
 
 'use strict';
 
 /******************************************************************************/
 
-(function() {
+(function() {                           // >>>> Start of private namespace
 
 /******************************************************************************/
 
-var messaging = vAPI.messaging;
-var cachedData = '';
-var rawAdvancedSettings = uDom.nodeFromId('advancedSettings');
+let messaging = vAPI.messaging;
+let noopFunc = function(){};
+
+let beforeHash = '';
+
+let cmEditor = new CodeMirror(
+    document.getElementById('advancedSettings'),
+    {
+        autofocus: true,
+        lineNumbers: true,
+        lineWrapping: true,
+        styleActiveLine: true
+    }
+);
+
+uBlockDashboard.patchCodeMirrorEditor(cmEditor);
 
 /******************************************************************************/
 
-var hashFromAdvancedSettings = function(raw) {
+let hashFromAdvancedSettings = function(raw) {
     return raw.trim().replace(/\s+/g, '|');
 };
 
@@ -43,59 +56,59 @@ var hashFromAdvancedSettings = function(
 
 // This is to give a visual hint that the content of user blacklist has changed.
 
-var advancedSettingsChanged = (function () {
-    var timer = null;
+let advancedSettingsChanged = (function () {
+    let timer = null;
 
-    var handler = function() {
+    let handler = ( ) => {
         timer = null;
-        var changed = hashFromAdvancedSettings(rawAdvancedSettings.value) !== cachedData;
+        let changed = hashFromAdvancedSettings(cmEditor.getValue()) !== beforeHash;
         uDom.nodeFromId('advancedSettingsApply').disabled = !changed;
+        CodeMirror.commands.save = changed ? applyChanges : noopFunc;
     };
 
     return function() {
-        if ( timer !== null ) {
-            clearTimeout(timer);
-        }
+        if ( timer !== null ) { clearTimeout(timer); }
         timer = vAPI.setTimeout(handler, 100);
     };
 })();
 
+cmEditor.on('changes', advancedSettingsChanged);
+
 /******************************************************************************/
 
-function renderAdvancedSettings() {
-    var onRead = function(raw) {
-        cachedData = hashFromAdvancedSettings(raw);
-        var pretty = [],
+let renderAdvancedSettings = function(first) {
+    let onRead = function(raw) {
+        beforeHash = hashFromAdvancedSettings(raw);
+        let pretty = [],
             whitespaces = '                                ',
             lines = raw.split('\n'),
-            max = 0,
-            pos,
-            i, n = lines.length;
-        for ( i = 0; i < n; i++ ) {
-            pos = lines[i].indexOf(' ');
-            if ( pos > max ) {
-                max = pos;
-            }
+            max = 0;
+        for ( let line of lines ) {
+            let pos = line.indexOf(' ');
+            if ( pos > max ) { max = pos; }
+        }
+        for ( let line of lines ) {
+            let pos = line.indexOf(' ');
+            pretty.push(whitespaces.slice(0, max - pos) + line);
         }
-        for ( i = 0; i < n; i++ ) {
-            pos = lines[i].indexOf(' ');
-            pretty.push(whitespaces.slice(0, max - pos) + lines[i]);
+        cmEditor.setValue(pretty.join('\n') + '\n');
+        if ( first ) {
+            cmEditor.clearHistory();
         }
-        rawAdvancedSettings.value = pretty.join('\n') + '\n';
         advancedSettingsChanged();
-        rawAdvancedSettings.focus();
+        cmEditor.focus();
     };
     messaging.send('dashboard', { what: 'readHiddenSettings' }, onRead);
-}
+};
 
 /******************************************************************************/
 
-var applyChanges = function() {
+let applyChanges = function() {
     messaging.send(
         'dashboard',
         {
             what: 'writeHiddenSettings',
-            content: rawAdvancedSettings.value
+            content: cmEditor.getValue()
         },
         renderAdvancedSettings
     );
@@ -103,12 +116,17 @@ var applyChanges = function() {
 
 /******************************************************************************/
 
-// Handle user interaction
-uDom('#advancedSettings').on('input', advancedSettingsChanged);
-uDom('#advancedSettingsApply').on('click', applyChanges);
+uDom.nodeFromId('advancedSettings').addEventListener(
+    'input',
+    advancedSettingsChanged
+);
+uDom.nodeFromId('advancedSettingsApply').addEventListener(
+    'click',
+    applyChanges
+);
 
-renderAdvancedSettings();
+renderAdvancedSettings(true);
 
 /******************************************************************************/
 
-})();
+})();                                   // <<<< End of private namespace
diff -pruN 1.16.14+dfsg-1/src/js/assets.js 1.17.0+dfsg-2/src/js/assets.js
--- 1.16.14+dfsg-1/src/js/assets.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/assets.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -302,7 +302,7 @@ var saveAssetSourceRegistry = (function(
     var timer;
     var save = function() {
         timer = undefined;
-        vAPI.cacheStorage.set({ assetSourceRegistry: assetSourceRegistry });
+        µBlock.cacheStorage.set({ assetSourceRegistry: assetSourceRegistry });
     };
     return function(lazily) {
         if ( timer !== undefined ) {
@@ -385,7 +385,7 @@ var getAssetSourceRegistry = function(ca
         );
     };
 
-    vAPI.cacheStorage.get('assetSourceRegistry', function(bin) {
+    µBlock.cacheStorage.get('assetSourceRegistry', function(bin) {
         if ( !bin || !bin.assetSourceRegistry ) {
             createRegistry();
             return;
@@ -445,7 +445,7 @@ var getAssetCacheRegistry = function(cal
         }
     };
 
-    vAPI.cacheStorage.get('assetCacheRegistry', function(bin) {
+    µBlock.cacheStorage.get('assetCacheRegistry', function(bin) {
         if ( bin && bin.assetCacheRegistry ) {
             assetCacheRegistry = bin.assetCacheRegistry;
         }
@@ -457,7 +457,7 @@ var saveAssetCacheRegistry = (function()
     var timer;
     var save = function() {
         timer = undefined;
-        vAPI.cacheStorage.set({ assetCacheRegistry: assetCacheRegistry });
+        µBlock.cacheStorage.set({ assetCacheRegistry: assetCacheRegistry });
     };
     return function(lazily) {
         if ( timer !== undefined ) { clearTimeout(timer); }
@@ -470,37 +470,41 @@ var saveAssetCacheRegistry = (function()
 })();
 
 var assetCacheRead = function(assetKey, callback) {
-    var internalKey = 'cache/' + assetKey;
+    let internalKey = 'cache/' + assetKey;
 
-    var reportBack = function(content, err) {
-        var details = { assetKey: assetKey, content: content };
-        if ( err ) { details.error = err; }
+    let reportBack = function(content) {
+        if ( content instanceof Blob ) { content = ''; }
+        let details = { assetKey: assetKey, content: content };
+        if ( content === '' ) { details.error = 'E_NOTFOUND'; }
         callback(details);
     };
 
-    var onAssetRead = function(bin) {
-        if ( !bin || !bin[internalKey] ) {
-            return reportBack('', 'E_NOTFOUND');
+    let onAssetRead = function(bin) {
+        if (
+            bin instanceof Object === false ||
+            bin.hasOwnProperty(internalKey) === false
+        ) {
+            return reportBack('');
         }
-        var entry = assetCacheRegistry[assetKey];
+        let entry = assetCacheRegistry[assetKey];
         if ( entry === undefined ) {
-            return reportBack('', 'E_NOTFOUND');
+            return reportBack('');
         }
         entry.readTime = Date.now();
         saveAssetCacheRegistry(true);
         reportBack(bin[internalKey]);
     };
 
-    var onReady = function() {
-        vAPI.cacheStorage.get(internalKey, onAssetRead);
+    let onReady = function() {
+        µBlock.cacheStorage.get(internalKey, onAssetRead);
     };
 
     getAssetCacheRegistry(onReady);
 };
 
 var assetCacheWrite = function(assetKey, details, callback) {
-    var internalKey = 'cache/' + assetKey;
-    var content = '';
+    let internalKey = 'cache/' + assetKey;
+    let content = '';
     if ( typeof details === 'string' ) {
         content = details;
     } else if ( details instanceof Object ) {
@@ -511,16 +515,16 @@ var assetCacheWrite = function(assetKey,
         return assetCacheRemove(assetKey, callback);
     }
 
-    var reportBack = function(content) {
-        var details = { assetKey: assetKey, content: content };
+    let reportBack = function() {
+        let details = { assetKey: assetKey, content: content };
         if ( typeof callback === 'function' ) {
             callback(details);
         }
         fireNotification('after-asset-updated', details);
     };
 
-    var onReady = function() {
-        var entry = assetCacheRegistry[assetKey];
+    let onReady = function() {
+        let entry = assetCacheRegistry[assetKey];
         if ( entry === undefined ) {
             entry = assetCacheRegistry[assetKey] = {};
         }
@@ -528,10 +532,9 @@ var assetCacheWrite = function(assetKey,
         if ( details instanceof Object && typeof details.url === 'string' ) {
             entry.remoteURL = details.url;
         }
-        var bin = { assetCacheRegistry: assetCacheRegistry };
+        let bin = { assetCacheRegistry: assetCacheRegistry };
         bin[internalKey] = content;
-        vAPI.cacheStorage.set(bin);
-        reportBack(content);
+        µBlock.cacheStorage.set(bin, reportBack);
     };
     getAssetCacheRegistry(onReady);
 };
@@ -553,9 +556,9 @@ var assetCacheRemove = function(pattern,
             delete cacheDict[assetKey];
         }
         if ( removedContent.length !== 0 ) {
-            vAPI.cacheStorage.remove(removedContent);
+            µBlock.cacheStorage.remove(removedContent);
             var bin = { assetCacheRegistry: assetCacheRegistry };
-            vAPI.cacheStorage.set(bin);
+            µBlock.cacheStorage.set(bin);
         }
         if ( typeof callback === 'function' ) {
             callback();
@@ -595,7 +598,7 @@ var assetCacheMarkAsDirty = function(pat
         }
         if ( mustSave ) {
             var bin = { assetCacheRegistry: assetCacheRegistry };
-            vAPI.cacheStorage.set(bin);
+            µBlock.cacheStorage.set(bin);
         }
         if ( typeof callback === 'function' ) {
             callback();
@@ -635,7 +638,7 @@ var readUserAsset = function(assetKey, c
         var content = '';
         if ( typeof bin['cached_asset_content://assets/user/filters.txt'] === 'string' ) {
             content = bin['cached_asset_content://assets/user/filters.txt'];
-            vAPI.cacheStorage.remove('cached_asset_content://assets/user/filters.txt');
+            µBlock.cacheStorage.remove('cached_asset_content://assets/user/filters.txt');
         }
         if ( typeof bin['assets/user/filters.txt'] === 'string' ) {
             content = bin['assets/user/filters.txt'];
diff -pruN 1.16.14+dfsg-1/src/js/asset-viewer.js 1.17.0+dfsg-2/src/js/asset-viewer.js
--- 1.16.14+dfsg-1/src/js/asset-viewer.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/asset-viewer.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -19,7 +19,7 @@
     Home: https://github.com/gorhill/uBlock
 */
 
-/* global CodeMirror */
+/* global CodeMirror, uBlockDashboard */
 
 'use strict';
 
@@ -27,22 +27,22 @@
 
 (function() {
 
-    var q = window.location.search;
-    var matches = q.match(/^\?url=([^&]+)/);
-    if ( !matches || matches.length !== 2 ) { return; }
+    let params = new URL(document.location).searchParams;
+    let assetKey = params.get('url');
+    if ( assetKey === null ) { return; }
 
     vAPI.messaging.send(
         'default',
         {
             what : 'getAssetContent',
-            url: decodeURIComponent(matches[1])
+            url: assetKey
         },
-        function(details) {
+        details => {
             cmEditor.setValue(details && details.content || '');
-        }   
+        }
     );
 
-    var cmEditor = new CodeMirror(
+    let cmEditor = new CodeMirror(
         document.getElementById('content'),
         {
             autofocus: true,
diff -pruN 1.16.14+dfsg-1/src/js/background.js 1.17.0+dfsg-2/src/js/background.js
--- 1.16.14+dfsg-1/src/js/background.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/background.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -42,11 +42,14 @@ var µBlock = (function() { // jshint ig
         assetFetchTimeout: 30,
         autoUpdateAssetFetchPeriod: 120,
         autoUpdatePeriod: 7,
+        cacheStorageCompression: true,
         debugScriptlets: false,
+        cacheControlForFirefox1376932: 'no-cache, no-store, must-revalidate',
         ignoreRedirectFilters: false,
         ignoreScriptInjectFilters: false,
         manualUpdateAssetFetchPeriod: 500,
         popupFontSize: 'unset',
+        requestJournalProcessPeriod: 1000,
         suspendTabsUntilReady: false,
         userResourcesLocation: 'unset'
     };
@@ -137,8 +140,8 @@ var µBlock = (function() { // jshint ig
 
         // Read-only
         systemSettings: {
-            compiledMagic: 3,   // Increase when compiled format changes
-            selfieMagic: 3      // Increase when selfie format changes
+            compiledMagic: 5,   // Increase when compiled format changes
+            selfieMagic: 4      // Increase when selfie format changes
         },
 
         restoreBackupSettings: {
@@ -148,6 +151,8 @@ var µBlock = (function() { // jshint ig
             lastBackupTime: 0
         },
 
+        commandShortcuts: new Map(),
+
         // Allows to fully customize uBO's assets, typically set through admin
         // settings. The content of 'assets.json' will also tell which filter
         // lists to enable by default when uBO is first installed.
diff -pruN 1.16.14+dfsg-1/src/js/cachestorage.js 1.17.0+dfsg-2/src/js/cachestorage.js
--- 1.16.14+dfsg-1/src/js/cachestorage.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/cachestorage.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,389 @@
+/*******************************************************************************
+
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2016-present The uBlock Origin authors
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+/* global IDBDatabase, indexedDB */
+
+'use strict';
+
+/******************************************************************************/
+
+// The code below has been originally manually imported from:
+// Commit: https://github.com/nikrolls/uBlock-Edge/commit/d1538ea9bea89d507219d3219592382eee306134
+// Commit date: 29 October 2016
+// Commit author: https://github.com/nikrolls
+// Commit message: "Implement cacheStorage using IndexedDB"
+
+// The original imported code has been subsequently modified as it was not
+// compatible with Firefox.
+// (a Promise thing, see https://github.com/dfahlander/Dexie.js/issues/317)
+// Furthermore, code to migrate from browser.storage.local to vAPI.cacheStorage
+// has been added, for seamless migration of cache-related entries into
+// indexedDB.
+
+µBlock.cacheStorage = (function() {
+
+    // Firefox-specific: we use indexedDB because chrome.storage.local() has
+    // poor performance in Firefox. See:
+    // https://bugzilla.mozilla.org/show_bug.cgi?id=1371255
+    if ( vAPI.webextFlavor.soup.has('firefox') === false ) {
+        return vAPI.cacheStorage;
+    }
+
+    const STORAGE_NAME = 'uBlock0CacheStorage';
+    let db;
+    let pendingInitialization;
+    let dbByteLength;
+
+    let get = function get(input, callback) {
+        if ( typeof callback !== 'function' ) { return; }
+        if ( input === null ) {
+            return getAllFromDb(callback);
+        }
+        var toRead, output = {};
+        if ( typeof input === 'string' ) {
+            toRead = [ input ];
+        } else if ( Array.isArray(input) ) {
+            toRead = input;
+        } else /* if ( typeof input === 'object' ) */ {
+            toRead = Object.keys(input);
+            output = input;
+        }
+        return getFromDb(toRead, output, callback);
+    };
+
+    let set = function set(input, callback) {
+        putToDb(input, callback);
+    };
+
+    let remove = function remove(key, callback) {
+        deleteFromDb(key, callback);
+    };
+
+    let clear = function clear(callback) {
+        clearDb(callback);
+    };
+
+    let getBytesInUse = function getBytesInUse(keys, callback) {
+        getDbSize(callback);
+    };
+
+    let api = {
+        get,
+        set,
+        remove,
+        clear,
+        getBytesInUse,
+        error: undefined
+    };
+
+    let genericErrorHandler = function(ev) {
+        let error = ev.target && ev.target.error;
+        if ( error && error.name === 'QuotaExceededError' ) {
+            api.error = error.name;
+        }
+        console.error('[%s]', STORAGE_NAME, error && error.name);
+    };
+
+    function noopfn() {
+    }
+
+    let getDb = function getDb() {
+        if ( db instanceof IDBDatabase ) {
+            return Promise.resolve(db);
+        }
+        if ( db === null ) {
+            return Promise.resolve(null);
+        }
+        if ( pendingInitialization !== undefined ) {
+            return pendingInitialization;
+        }
+        // https://github.com/gorhill/uBlock/issues/3156
+        //   I have observed that no event was fired in Tor Browser 7.0.7 +
+        //   medium security level after the request to open the database was
+        //   created. When this occurs, I have also observed that the `error`
+        //   property was already set, so this means uBO can detect here whether
+        //   the database can be opened successfully. A try-catch block is
+        //   necessary when reading the `error` property because we are not
+        //   allowed to read this propery outside of event handlers in newer
+        //   implementation of IDBRequest (my understanding).
+        pendingInitialization = new Promise(resolve => {
+            let req;
+            try {
+                req = indexedDB.open(STORAGE_NAME, 1);
+                if ( req.error ) {
+                    console.log(req.error);
+                    req = undefined;
+                }
+            } catch(ex) {
+            }
+            if ( req === undefined ) {
+                pendingInitialization = undefined;
+                db = null;
+                resolve(null);
+                return;
+            }
+            req.onupgradeneeded = function(ev) {
+                req = undefined;
+                let db = ev.target.result;
+                db.onerror = db.onabort = genericErrorHandler;
+                let table = db.createObjectStore(STORAGE_NAME, { keyPath: 'key' });
+                table.createIndex('value', 'value', { unique: false });
+            };
+            req.onsuccess = function(ev) {
+                pendingInitialization = undefined;
+                req = undefined;
+                db = ev.target.result;
+                db.onerror = db.onabort = genericErrorHandler;
+                resolve(db);
+            };
+            req.onerror = req.onblocked = function() {
+                pendingInitialization = undefined;
+                req = undefined;
+                db = null;
+                console.log(this.error);
+                resolve(null);
+            };
+        });
+        return pendingInitialization;
+    };
+
+    let getFromDb = function(keys, keyvalStore, callback) {
+        if ( typeof callback !== 'function' ) { return; }
+        if ( keys.length === 0 ) { return callback(keyvalStore); }
+        let promises = [];
+        let gotOne = function() {
+            if ( typeof this.result !== 'object' ) { return; }
+            keyvalStore[this.result.key] = this.result.value;
+            if ( this.result.value instanceof Blob === false ) { return; }
+            promises.push(
+                µBlock.lz4Codec.decode(
+                    this.result.key,
+                    this.result.value
+                ).then(result => {
+                    keyvalStore[result.key] = result.data;
+                })
+            );
+        };
+        getDb().then(( ) => {
+            if ( !db ) { return callback(); }
+            let transaction = db.transaction(STORAGE_NAME);
+            transaction.oncomplete =
+            transaction.onerror =
+            transaction.onabort = ( ) => {
+                Promise.all(promises).then(( ) => {
+                    callback(keyvalStore);
+                });
+            };
+            let table = transaction.objectStore(STORAGE_NAME);
+            for ( let key of keys ) {
+                let req = table.get(key);
+                req.onsuccess = gotOne;
+                req.onerror = noopfn;
+                req = undefined;
+            }
+        });
+    };
+
+    let visitAllFromDb = function(visitFn) {
+        getDb().then(( ) => {
+            if ( !db ) { return visitFn(); }
+            let transaction = db.transaction(STORAGE_NAME);
+            transaction.oncomplete =
+            transaction.onerror =
+            transaction.onabort = ( ) => visitFn();
+            let table = transaction.objectStore(STORAGE_NAME);
+            let req = table.openCursor();
+            req.onsuccess = function(ev) {
+                let cursor = ev.target && ev.target.result;
+                if ( !cursor ) { return; }
+                let entry = cursor.value;
+                visitFn(entry);
+                cursor.continue();
+            };
+        });
+    };
+
+    let getAllFromDb = function(callback) {
+        if ( typeof callback !== 'function' ) { return; }
+        let promises = [];
+        let keyvalStore = {};
+        visitAllFromDb(entry => {
+            if ( entry === undefined ) {
+                Promise.all(promises).then(( ) => {
+                    callback(keyvalStore);
+                });
+                return;
+            }
+            keyvalStore[entry.key] = entry.value;
+            if ( entry.value instanceof Blob === false ) { return; }
+            promises.push(
+                µBlock.lz4Codec.decode(
+                    entry.key,
+                    entry.value
+                ).then(result => {
+                    keyvalStore[result.key] = result.value;
+                })
+            );
+        });
+    };
+
+    let getDbSize = function(callback) {
+        if ( typeof callback !== 'function' ) { return; }
+        if ( typeof dbByteLength === 'number' ) {
+            return Promise.resolve().then(( ) => {
+                callback(dbByteLength);
+            });
+        }
+        let textEncoder = new TextEncoder();
+        let totalByteLength = 0;
+        visitAllFromDb(entry => {
+            if ( entry === undefined ) {
+                dbByteLength = totalByteLength;
+                return callback(totalByteLength);
+            }
+            let value = entry.value;
+            if ( typeof value === 'string' ) {
+                totalByteLength += textEncoder.encode(value).byteLength;
+            } else if ( value instanceof Blob ) {
+                totalByteLength += value.size;
+            } else {
+                totalByteLength += textEncoder.encode(JSON.stringify(value)).byteLength;
+            }
+            if ( typeof entry.key === 'string' ) {
+                totalByteLength += textEncoder.encode(entry.key).byteLength;
+            }
+        });
+    };
+
+
+    // https://github.com/uBlockOrigin/uBlock-issues/issues/141
+    //   Mind that IDBDatabase.transaction() and IDBObjectStore.put()
+    //   can throw:
+    //   https://developer.mozilla.org/en-US/docs/Web/API/IDBDatabase/transaction
+    //   https://developer.mozilla.org/en-US/docs/Web/API/IDBObjectStore/put
+
+    let putToDb = function(keyvalStore, callback) {
+        if ( typeof callback !== 'function' ) {
+            callback = noopfn;
+        }
+        let keys = Object.keys(keyvalStore);
+        if ( keys.length === 0 ) { return callback(); }
+        let promises = [ getDb() ];
+        let entries = [];
+        let dontCompress = µBlock.hiddenSettings.cacheStorageCompression !== true;
+        let handleEncodingResult = result => {
+            entries.push({ key: result.key, value: result.data });
+        };
+        for ( let key of keys ) {
+            let data = keyvalStore[key];
+            if ( typeof data !== 'string' || dontCompress ) {
+                entries.push({ key, value: data });
+                continue;
+            }
+            promises.push(
+                µBlock.lz4Codec.encode(key, data).then(handleEncodingResult)
+            );
+        }
+        Promise.all(promises).then(( ) => {
+            if ( !db ) { return callback(); }
+            let finish = ( ) => {
+                dbByteLength = undefined;
+                if ( callback === undefined ) { return; }
+                let cb = callback;
+                callback = undefined;
+                cb();
+            };
+            try {
+                let transaction = db.transaction(STORAGE_NAME, 'readwrite');
+                transaction.oncomplete =
+                transaction.onerror =
+                transaction.onabort = finish;
+                let table = transaction.objectStore(STORAGE_NAME);
+                for ( let entry of entries ) {
+                    table.put(entry);
+                }
+            } catch (ex) {
+                finish();
+            }
+        });
+    };
+
+    let deleteFromDb = function(input, callback) {
+        if ( typeof callback !== 'function' ) {
+            callback = noopfn;
+        }
+        let keys = Array.isArray(input) ? input.slice() : [ input ];
+        if ( keys.length === 0 ) { return callback(); }
+        getDb().then(db => {
+            if ( !db ) { return callback(); }
+            let finish = ( ) => {
+                dbByteLength = undefined;
+                if ( callback === undefined ) { return; }
+                let cb = callback;
+                callback = undefined;
+                cb();
+            };
+            try {
+                let transaction = db.transaction(STORAGE_NAME, 'readwrite');
+                transaction.oncomplete =
+                transaction.onerror =
+                transaction.onabort = finish;
+                let table = transaction.objectStore(STORAGE_NAME);
+                for ( let key of keys ) {
+                    table.delete(key);
+                }
+            } catch (ex) {
+                finish();
+            }
+        });
+    };
+
+    let clearDb = function(callback) {
+        if ( typeof callback !== 'function' ) {
+            callback = noopfn;
+        }
+        getDb().then(db => {
+            if ( !db ) { return callback(); }
+            let finish = ( ) => {
+                dbByteLength = undefined;
+                if ( callback === undefined ) { return; }
+                let cb = callback;
+                callback = undefined;
+                cb();
+            };
+            try {
+                let req = db.transaction(STORAGE_NAME, 'readwrite')
+                            .objectStore(STORAGE_NAME)
+                            .clear();
+                req.onsuccess = req.onerror = finish;
+            } catch (ex) {
+                finish();
+            }
+        });
+    };
+
+    // prime the db so that it's ready asap for next access.
+    getDb(noopfn);
+
+    return api;
+}());
+
+/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/commands.js 1.17.0+dfsg-2/src/js/commands.js
--- 1.16.14+dfsg-1/src/js/commands.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/commands.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2017 Raymond Hill
+    Copyright (C) 2017-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -25,8 +25,15 @@
 
 /******************************************************************************/
 
+µBlock.canUseShortcuts = vAPI.commands instanceof Object;
+
+µBlock.canUpdateShortcuts = µBlock.canUseShortcuts &&
+                            typeof vAPI.commands.update === 'function';
+
+/******************************************************************************/
+
 (function() {
-    if ( vAPI.commands === undefined ) { return; }
+    if ( µBlock.canUseShortcuts === false ) { return; }
 
     vAPI.commands.onCommand.addListener(function(command) {
         var µb = µBlock;
diff -pruN 1.16.14+dfsg-1/src/js/contentscript.js 1.17.0+dfsg-2/src/js/contentscript.js
--- 1.16.14+dfsg-1/src/js/contentscript.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/contentscript.js	2018-10-10 09:19:19.000000000 +0000
@@ -1284,6 +1284,11 @@ vAPI.domSurveyor = (function() {
             return;
         }
 
+        vAPI.messaging.send(
+            'contentscript',
+            { what: 'shouldRenderNoscriptTags' }
+        );
+
         if ( vAPI.domWatcher instanceof Object ) {
             vAPI.domWatcher.start();
         }
diff -pruN 1.16.14+dfsg-1/src/js/contextmenu.js 1.17.0+dfsg-2/src/js/contextmenu.js
--- 1.16.14+dfsg-1/src/js/contextmenu.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/contextmenu.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2017 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -33,19 +33,13 @@ if ( vAPI.contextMenu === undefined ) {
     };
 }
 
-var µb = µBlock;
-
 /******************************************************************************/
 
 var onBlockElement = function(details, tab) {
-    if ( tab === undefined ) {
-        return;
-    }
-    if ( /^https?:\/\//.test(tab.url) === false ) {
-        return;
-    }
-    var tagName = details.tagName || '';
-    var src = details.frameUrl || details.srcUrl || details.linkUrl || '';
+    if ( tab === undefined ) { return; }
+    if ( /^https?:\/\//.test(tab.url) === false ) { return; }
+    let tagName = details.tagName || '';
+    let src = details.frameUrl || details.srcUrl || details.linkUrl || '';
 
     if ( !tagName ) {
         if ( typeof details.frameUrl === 'string' ) {
@@ -63,14 +57,14 @@ var onBlockElement = function(details, t
         }
     }
 
-    µb.elementPickerExec(tab.id, tagName + '\t' + src);
+    µBlock.elementPickerExec(tab.id, tagName + '\t' + src);
 };
 
 /******************************************************************************/
 
 var onTemporarilyAllowLargeMediaElements = function(details, tab) {
     if ( tab === undefined ) { return; }
-    var pageStore = µb.pageStoreFromTabId(tab.id);
+    let pageStore = µBlock.pageStoreFromTabId(tab.id);
     if ( pageStore === null ) { return; }
     pageStore.temporarilyAllowLargeMediaElements(true);
 };
@@ -106,21 +100,19 @@ var menuEntries = [
 /******************************************************************************/
 
 var update = function(tabId) {
-    var newBits = 0;
-    if ( µb.userSettings.contextMenuEnabled && tabId !== null ) {
-        var pageStore = µb.pageStoreFromTabId(tabId);
-        if ( pageStore ) {
+    let newBits = 0;
+    if ( µBlock.userSettings.contextMenuEnabled && tabId !== null ) {
+        let pageStore = µBlock.pageStoreFromTabId(tabId);
+        if ( pageStore && pageStore.getNetFilteringSwitch() ) {
             newBits |= 0x01;
             if ( pageStore.largeMediaCount !== 0 ) {
                 newBits |= 0x02;
             }
         }
     }
-    if ( newBits === currentBits ) {
-        return;
-    }
+    if ( newBits === currentBits ) { return; }
     currentBits = newBits;
-    var usedEntries = [];
+    let usedEntries = [];
     if ( newBits & 0x01 ) {
         usedEntries.push(menuEntries[0]);
     }
@@ -138,7 +130,7 @@ vAPI.contextMenu.onMustUpdate = update;
 
 return {
     update: function(tabId) {
-        if ( µb.userSettings.contextMenuEnabled && tabId === undefined ) {
+        if ( µBlock.userSettings.contextMenuEnabled && tabId === undefined ) {
             vAPI.tabs.get(null, function(tab) {
                 if ( tab ) {
                     update(tab.id);
diff -pruN 1.16.14+dfsg-1/src/js/cosmetic-filtering.js 1.17.0+dfsg-2/src/js/cosmetic-filtering.js
--- 1.16.14+dfsg-1/src/js/cosmetic-filtering.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/cosmetic-filtering.js	2018-10-10 09:19:19.000000000 +0000
@@ -338,51 +338,6 @@ SelectorCacheEntry.prototype = {
 /******************************************************************************/
 /******************************************************************************/
 
-// HHHHHHHHHHHH0000
-//            |   |
-//            |   |
-//            |   +-- bit  3-0: reserved: 0=exception
-//            |                           1=procedural
-//            +------ bit 15-4: FNV
-
-let makeHash = function(token) {
-    // Based on: FNV32a
-    // http://www.isthe.com/chongo/tech/comp/fnv/index.html#FNV-reference-source
-    // The rest is custom, suited for uBlock.
-    let i1 = token.length;
-    let i2 = i1 >> 1;
-    let i4 = i1 >> 2;
-    let i8 = i1 >> 3;
-    let hval = (0x811c9dc5 ^ token.charCodeAt(0)) >>> 0;
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i8);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i4);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i4+i8);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i2);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i2+i8);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i2+i4);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-        hval ^= token.charCodeAt(i1-1);
-        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
-        hval >>>= 0;
-    return hval & 0xFFF0;
-};
-
-/******************************************************************************/
-/******************************************************************************/
-
 // Cosmetic filter family tree:
 //
 // Generic
@@ -538,21 +493,6 @@ FilterContainer.prototype.freeze = funct
         this.highlyGeneric.simple.dict.size !== 0 ||
         this.highlyGeneric.complex.dict.size !== 0;
 
-    if ( this.genericDonthideSet.size !== 0 ) {
-        for ( let selector of this.genericDonthideSet ) {
-            let type = selector.charCodeAt(0);
-            if ( type === 0x23 /* '#' */ ) {
-                this.lowlyGeneric.id.simple.delete(selector.slice(1));
-            } else if ( type === 0x2E /* '.' */ ) {
-                this.lowlyGeneric.cl.simple.delete(selector.slice(1));
-            }
-            // TODO:
-            //  this.lowlyGeneric.id.complex.delete(selector);
-            //  this.lowlyGeneric.cl.complex.delete(selector);
-            this.highlyGeneric.simple.dict.delete(selector);
-            this.highlyGeneric.complex.dict.delete(selector);
-        }
-    }
     this.highlyGeneric.simple.str = Array.from(this.highlyGeneric.simple.dict).join(',\n');
     this.highlyGeneric.simple.mru.reset();
     this.highlyGeneric.complex.str = Array.from(this.highlyGeneric.complex.dict).join(',\n');
@@ -769,25 +709,19 @@ FilterContainer.prototype.compileSpecifi
     let compiled = µb.staticExtFilteringEngine.compileSelector(parsed.suffix);
     if ( compiled === undefined ) { return; }
 
-    // https://github.com/chrisaljoudi/uBlock/issues/188
-    // If not a real domain as per PSL, assign a synthetic one
-    let hash;
-    if ( hostname.endsWith('.*') === false ) {
-        let domain = this.µburi.domainFromHostnameNoCache(hostname);
-        hash = domain !== '' ? makeHash(domain) : 0;
-    } else {
-        hash = makeHash(hostname);
-    }
+    let hash = µb.staticExtFilteringEngine.compileHostnameToHash(hostname);
+
+    // Exception?
     if ( unhide === 1 ) {
-        hash |= 0b01;
+        hash |= 0b0001;
     }
 
-    writer.push([
-        8,
-        compiled.charCodeAt(0) !== 0x7B ? hash : hash | 0b10,
-        hostname,
-        compiled
-    ]);
+    // Procedural?
+    if ( compiled.charCodeAt(0) === 0x7B ) {
+        hash |= 0b0010;
+    }
+
+    writer.push([ 8, hash, hostname, compiled ]);
 };
 
 /******************************************************************************/
@@ -1268,8 +1202,9 @@ FilterContainer.prototype.retrieveSpecif
 
     if ( options.noCosmeticFiltering !== true ) {
         let entity = request.entity,
-            domainHash = makeHash(request.domain),
-            entityHash = entity !== '' ? makeHash(entity) : undefined;
+            domainHash = µb.staticExtFilteringEngine.makeHash(request.domain),
+            entityHash = µb.staticExtFilteringEngine.makeHash(entity),
+            bucket;
 
         // Exception cosmetic filters: prime with generic exception filters.
         let exceptionSet = this.setRegister0;
@@ -1278,32 +1213,34 @@ FilterContainer.prototype.retrieveSpecif
             exceptionSet.add(exception);
         }
         // Specific exception cosmetic filters.
-        let bucket = this.specificFilters.get(domainHash | 0b01);
-        if ( bucket !== undefined ) {
-            bucket.retrieve(hostname, exceptionSet);
-        }
-        bucket = this.specificFilters.get(domainHash | 0b11);
-        if ( bucket !== undefined ) {
-            bucket.retrieve(hostname, exceptionSet);
+        if ( domainHash !== 0 ) {
+            bucket = this.specificFilters.get(domainHash | 0b0001);
+            if ( bucket !== undefined ) {
+                bucket.retrieve(hostname, exceptionSet);
+            }
+            bucket = this.specificFilters.get(domainHash | 0b0011);
+            if ( bucket !== undefined ) {
+                bucket.retrieve(hostname, exceptionSet);
+            }
         }
         // Specific entity-based exception cosmetic filters.
-        if ( entityHash !== undefined ) {
-            bucket = this.specificFilters.get(entityHash | 0b01);
+        if ( entityHash !== 0 ) {
+            bucket = this.specificFilters.get(entityHash | 0b0001);
             if ( bucket !== undefined ) {
                 bucket.retrieve(entity, exceptionSet);
             }
-            bucket = this.specificFilters.get(entityHash | 0b11);
+            bucket = this.specificFilters.get(entityHash | 0b0011);
             if ( bucket !== undefined ) {
                 bucket.retrieve(entity, exceptionSet);
             }
         }
         // Special bucket for those filters without a valid
         // domain name as per PSL.
-        bucket = this.specificFilters.get(0b01);
+        bucket = this.specificFilters.get(0 | 0b0001);
         if ( bucket !== undefined ) {
             bucket.retrieve(hostname, exceptionSet);
         }
-        bucket = this.specificFilters.get(0b11);
+        bucket = this.specificFilters.get(0 | 0b0011);
         if ( bucket !== undefined ) {
             bucket.retrieve(hostname, exceptionSet);
         }
@@ -1317,20 +1254,23 @@ FilterContainer.prototype.retrieveSpecif
         //       slightly content script code.
         let specificSet = this.setRegister1;
         // Specific cosmetic filters.
-        bucket = this.specificFilters.get(domainHash | 0b00);
-        if ( bucket !== undefined ) {
-            bucket.retrieve(hostname, specificSet);
+        if ( domainHash !== 0 ) {
+            bucket = this.specificFilters.get(domainHash | 0b0000);
+            if ( bucket !== undefined ) {
+                bucket.retrieve(hostname, specificSet);
+            }
         }
         // Specific entity-based cosmetic filters.
-        if ( entityHash !== undefined ) {
-            bucket = this.specificFilters.get(entityHash | 0b00);
+        if ( entityHash !== 0 ) {
+            bucket = this.specificFilters.get(entityHash | 0b0000);
             if ( bucket !== undefined ) {
                 bucket.retrieve(entity, specificSet);
             }
         }
         // https://github.com/chrisaljoudi/uBlock/issues/188
-        // Special bucket for those filters without a valid domain name as per PSL
-        bucket = this.specificFilters.get(0b00);
+        //   Special bucket for those filters without a valid domain name
+        //   as per PSL
+        bucket = this.specificFilters.get(0 | 0b0000);
         if ( bucket !== undefined ) {
             bucket.retrieve(hostname, specificSet);
         }
@@ -1346,20 +1286,23 @@ FilterContainer.prototype.retrieveSpecif
         // Procedural cosmetic filters.
         let proceduralSet = this.setRegister2;
         // Specific cosmetic filters.
-        bucket = this.specificFilters.get(domainHash | 0b10);
-        if ( bucket !== undefined ) {
-            bucket.retrieve(hostname, proceduralSet);
+        if ( domainHash !== 0 ) {
+            bucket = this.specificFilters.get(domainHash | 0b0010);
+            if ( bucket !== undefined ) {
+                bucket.retrieve(hostname, proceduralSet);
+            }
         }
         // Specific entity-based cosmetic filters.
-        if ( entityHash !== undefined ) {
-            bucket = this.specificFilters.get(entityHash | 0b10);
+        if ( entityHash !== 0 ) {
+            bucket = this.specificFilters.get(entityHash | 0b0010);
             if ( bucket !== undefined ) {
                 bucket.retrieve(entity, proceduralSet);
             }
         }
         // https://github.com/chrisaljoudi/uBlock/issues/188
-        // Special bucket for those filters without a valid domain name as per PSL
-        bucket = this.specificFilters.get(0b10);
+        //   Special bucket for those filters without a valid domain name
+        //   as per PSL
+        bucket = this.specificFilters.get(0 | 0b0010);
         if ( bucket !== undefined ) {
             bucket.retrieve(hostname, proceduralSet);
         }
diff -pruN 1.16.14+dfsg-1/src/js/dashboard.js 1.17.0+dfsg-2/src/js/dashboard.js
--- 1.16.14+dfsg-1/src/js/dashboard.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/dashboard.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2016 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -29,34 +29,34 @@
 
 /******************************************************************************/
 
-var resizeFrame = function() {
-    var navRect = document.getElementById('dashboard-nav').getBoundingClientRect();
-    var viewRect = document.documentElement.getBoundingClientRect();
-    document.getElementById('iframe').style.setProperty('height', (viewRect.height - navRect.height) + 'px');
+let resizeFrame = function() {
+    let navRect = document.getElementById('dashboard-nav').getBoundingClientRect();
+    let viewRect = document.documentElement.getBoundingClientRect();
+    document.getElementById('iframe').style.setProperty(
+        'height',
+        (viewRect.height - navRect.height) + 'px'
+    );
 };
 
-/******************************************************************************/
-
-var loadDashboardPanel = function() {
-    var pane = window.location.hash.slice(1);
+let loadDashboardPanel = function() {
+    let pane = window.location.hash.slice(1);
     if ( pane === '' ) {
-        pane = vAPI.localStorage.getItem('dashboardLastVisitedPane') || 'settings.html';
+        pane = vAPI.localStorage.getItem('dashboardLastVisitedPane');
+        if ( pane === null ) {
+             pane = 'settings.html';
+        }
     } else {
         vAPI.localStorage.setItem('dashboardLastVisitedPane', pane);
     }
-    var tabButton = uDom('[href="#' + pane + '"]');
-    if ( !tabButton || tabButton.hasClass('selected') ) {
-        return;
-    }
+    let tabButton = uDom('[href="#' + pane + '"]');
+    if ( !tabButton || tabButton.hasClass('selected') ) { return; }
     uDom('.tabButton.selected').toggleClass('selected', false);
     uDom('iframe').attr('src', pane);
     tabButton.toggleClass('selected', true);
 };
 
-/******************************************************************************/
-
-var onTabClickHandler = function(e) {
-    var url = window.location.href,
+let onTabClickHandler = function(e) {
+    let url = window.location.href,
         pos = url.indexOf('#');
     if ( pos !== -1 ) {
         url = url.slice(0, pos);
@@ -69,15 +69,16 @@ var onTabClickHandler = function(e) {
     e.preventDefault();
 };
 
-/******************************************************************************/
-
-uDom.onLoad(function() {
-    resizeFrame();
-    window.addEventListener('resize', resizeFrame);
-    uDom('.tabButton').on('click', onTabClickHandler);
-    loadDashboardPanel();
+// https://github.com/uBlockOrigin/uBlock-issues/issues/106
+vAPI.messaging.send('dashboard', { what: 'canUpdateShortcuts' }, response => {
+    document.body.classList.toggle('canUpdateShortcuts', response === true);
 });
 
+resizeFrame();
+window.addEventListener('resize', resizeFrame);
+uDom('.tabButton').on('click', onTabClickHandler);
+loadDashboardPanel();
+
 /******************************************************************************/
 
 })();
diff -pruN 1.16.14+dfsg-1/src/js/document-blocked.js 1.17.0+dfsg-2/src/js/document-blocked.js
--- 1.16.14+dfsg-1/src/js/document-blocked.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/document-blocked.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
-    uBlock - a browser extension to block requests.
-    Copyright (C) 2015 Raymond Hill
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -21,12 +21,12 @@
 
 /* global uDom */
 
+'use strict';
+
 /******************************************************************************/
 
 (function() {
 
-'use strict';
-
 /******************************************************************************/
 
 var messaging = vAPI.messaging;
@@ -44,14 +44,11 @@ var details = {};
 
 (function() {
     var onReponseReady = function(response) {
-        if ( typeof response !== 'object' ) {
-            return;
-        }
-        var lists;
-        for ( var rawFilter in response ) {
-            if ( response.hasOwnProperty(rawFilter) === false ) {
-                continue;
-            }
+        if ( response instanceof Object === false ) { return; }
+
+        let lists;
+        for ( let rawFilter in response ) {
+            if ( response.hasOwnProperty(rawFilter) === false ) { continue; }
             lists = response[rawFilter];
             break;
         }
@@ -59,25 +56,22 @@ var details = {};
         if ( Array.isArray(lists) === false || lists.length === 0 ) {
             return;
         }
-        var parent = uDom.nodeFromSelector('#whyex > span:nth-of-type(2)');
-        var separator = '';
-        var entry, url, node;
-        for ( var i = 0; i < lists.length; i++ ) {
-            entry = lists[i];
-            if ( separator !== '' ) {
-                parent.appendChild(document.createTextNode(separator));
-            }
-            url = entry.supportURL;
-            if ( typeof url === 'string' && url !== '' ) {
-                node = document.createElement('a');
-                node.textContent = entry.title;
-                node.setAttribute('href', url);
-                node.setAttribute('target', '_blank');
-            } else {
-                node = document.createTextNode(entry.title);
+
+        let parent = uDom.nodeFromSelector('#whyex > span:nth-of-type(2)');
+        for ( let list of lists ) {
+            let elem = document.querySelector('#templates .filterList')
+                               .cloneNode(true);
+            let source = elem.querySelector('.filterListSource');
+            source.href += encodeURIComponent(list.assetKey);
+            source.textContent = list.title;
+            if (
+                typeof list.supportURL === 'string' &&
+                list.supportURL !== ''
+            ) {
+                elem.querySelector('.filterListSupport')
+                    .setAttribute('href', list.supportURL);
             }
-            parent.appendChild(node);
-            separator = ' \u2022 ';
+            parent.appendChild(elem);
         }
         uDom.nodeFromId('whyex').style.removeProperty('display');
     };
@@ -133,7 +127,8 @@ var proceedPermanent = function() {
             name: 'no-strict-blocking',
             hostname: getTargetHostname(),
             deep: true,
-            state: true
+            state: true,
+            persist: true
         },
         proceedToURL
     );
@@ -146,7 +141,7 @@ var proceedPermanent = function() {
     if ( matches === null ) {
         return;
     }
-    var proceed = uDom('#proceedTemplate').clone();
+    var proceed = uDom('#templates .proceed').clone();
     proceed.descendants('span:nth-of-type(1)').text(matches[1]);
     proceed.descendants('span:nth-of-type(4)').text(matches[2]);
 
diff -pruN 1.16.14+dfsg-1/src/js/dynamic-net-filtering.js 1.17.0+dfsg-2/src/js/dynamic-net-filtering.js
--- 1.16.14+dfsg-1/src/js/dynamic-net-filtering.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/dynamic-net-filtering.js	2018-10-10 09:19:19.000000000 +0000
@@ -107,45 +107,59 @@ Matrix.prototype.assign = function(other
 
 /******************************************************************************/
 
-Matrix.prototype.copyRules = function(other, srcHostname, desHostnames) {
-
+Matrix.prototype.copyRules = function(from, srcHostname, desHostnames) {
     // Specific types
-    var bits = other.rules.get('* *');
-    if ( bits !== undefined ) {
-        this.rules.set('* *', bits);
-    } else {
-        this.rules.delete('* *');
+    let thisBits = this.rules.get('* *');
+    let fromBits = from.rules.get('* *');
+    if ( fromBits !== thisBits ) {
+        if ( fromBits !== undefined ) {
+            this.rules.set('* *', fromBits);
+        } else {
+            this.rules.delete('* *');
+        }
+        this.changed = true;
     }
-    var key = srcHostname + ' *';
-    bits = other.rules.get(key);
-    if ( bits !== undefined ) {
-        this.rules.set(key, bits);
-    } else {
-        this.rules.delete(key);
+
+    let key = srcHostname + ' *';
+    thisBits = this.rules.get(key);
+    fromBits = from.rules.get(key);
+    if ( fromBits !== thisBits ) {
+        if ( fromBits !== undefined ) {
+            this.rules.set(key, fromBits);
+        } else {
+            this.rules.delete(key);
+        }
+        this.changed = true;
     }
 
     // Specific destinations
-    for ( var desHostname in desHostnames ) {
+    for ( let desHostname in desHostnames ) {
         if ( desHostnames.hasOwnProperty(desHostname) === false ) { continue; }
         key = '* ' + desHostname;
-        bits = other.rules.get(key);
-        if ( bits !== undefined ) {
-            this.rules.set(key, bits);
-        } else {
-            this.rules.delete(key);
+        thisBits = this.rules.get(key);
+        fromBits = from.rules.get(key);
+        if ( fromBits !== thisBits ) {
+            if ( fromBits !== undefined ) {
+                this.rules.set(key, fromBits);
+            } else {
+                this.rules.delete(key);
+            }
+            this.changed = true;
         }
         key = srcHostname + ' ' + desHostname ;
-        bits = other.rules.get(key);
-        if ( bits !== undefined ) {
-            this.rules.set(key, bits);
-        } else {
-            this.rules.delete(key);
+        thisBits = this.rules.get(key);
+        fromBits = from.rules.get(key);
+        if ( fromBits !== thisBits ) {
+            if ( fromBits !== undefined ) {
+                this.rules.set(key, fromBits);
+            } else {
+                this.rules.delete(key);
+            }
+            this.changed = true;
         }
     }
 
-    this.changed = true;
-
-    return true;
+    return this.changed;
 };
 
 /******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/dyna-rules.js 1.17.0+dfsg-2/src/js/dyna-rules.js
--- 1.16.14+dfsg-1/src/js/dyna-rules.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/dyna-rules.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -67,12 +67,12 @@ var differ;
 // ... and modified as needed.
 
 var updateOverlay = (function() {
-    var reFilter;
-    var mode = {
+    let reFilter;
+    let mode = {
         token: function(stream) {
             if ( reFilter !== undefined ) {
                 reFilter.lastIndex = stream.pos;
-                var match = reFilter.exec(stream.string);
+                let match = reFilter.exec(stream.string);
                 if ( match !== null ) {
                     if ( match.index === stream.pos ) {
                         stream.pos += match[0].length || 1;
@@ -100,35 +100,38 @@ var updateOverlay = (function() {
 // - Minimum amount of text updated
 
 var rulesToDoc = function(clearHistory) {
-    for ( var key in unfilteredRules ) {
+    for ( let key in unfilteredRules ) {
         if ( unfilteredRules.hasOwnProperty(key) === false ) { continue; }
-        var doc = unfilteredRules[key].doc;
-        var rules = filterRules(key);
-        if ( doc.lineCount() === 1 && doc.getValue() === '' || rules.length === 0 ) {
+        let doc = unfilteredRules[key].doc;
+        let rules = filterRules(key);
+        if (
+            doc.lineCount() === 1 && doc.getValue() === '' ||
+            rules.length === 0
+        ) {
             doc.setValue(rules.length !== 0 ? rules.join('\n') : '');
             continue;
         }
         if ( differ === undefined ) { differ = new diff_match_patch(); }
-        var beforeText = doc.getValue();
-        var afterText = rules.join('\n');
-        var diffs = differ.diff_main(beforeText, afterText);
+        let beforeText = doc.getValue();
+        let afterText = rules.join('\n');
+        let diffs = differ.diff_main(beforeText, afterText);
         doc.startOperation();
-        var i = diffs.length,
+        let i = diffs.length,
             iedit = beforeText.length;
         while ( i-- ) {
-            var diff = diffs[i];
+            let diff = diffs[i];
             if ( diff[0] === 0 ) {
                 iedit -= diff[1].length;
                 continue;
             }
-            var end = doc.posFromIndex(iedit);
+            let end = doc.posFromIndex(iedit);
             if ( diff[0] === 1 ) {
                 doc.replaceRange(diff[1], end, end);
                 continue;
             }
             /* diff[0] === -1 */
             iedit -= diff[1].length;
-            var beg = doc.posFromIndex(iedit);
+            let beg = doc.posFromIndex(iedit);
             doc.replaceRange('', beg, end);
         }
         doc.endOperation();
@@ -143,11 +146,11 @@ var rulesToDoc = function(clearHistory)
 /******************************************************************************/
 
 var filterRules = function(key) {
-    var rules = unfilteredRules[key].rules;
-    var filter = uDom('#ruleFilter input').val();
+    let rules = unfilteredRules[key].rules;
+    let filter = uDom.nodeFromSelector('#ruleFilter input').value;
     if ( filter !== '' ) {
         rules = rules.slice();
-        var i = rules.length;
+        let i = rules.length;
         while ( i-- ) {
             if ( rules[i].indexOf(filter) === -1 ) {
                 rules.splice(i, 1);
@@ -160,16 +163,23 @@ var filterRules = function(key) {
 /******************************************************************************/
 
 var renderRules = (function() {
-    var firstVisit = true;
+    let firstVisit = true;
+    let reIsSwitchRule = /^[a-z-]+: /;
+
+    // Switches always listed at the top.
+    let customSort = (a, b) => {
+        let aIsSwitch = reIsSwitchRule.test(a);
+        if ( reIsSwitchRule.test(b) === aIsSwitch ) {
+            return a.localeCompare(b);
+        }
+        return aIsSwitch ? -1 : 1;
+    };
 
     return function(details) {
-        details.hnSwitches.sort();
-        details.permanentRules.sort();
-        details.sessionRules.sort();
-        unfilteredRules.orig.rules =
-            details.hnSwitches.concat(details.permanentRules);
-        unfilteredRules.edit.rules =
-            details.hnSwitches.concat(details.sessionRules);
+        details.permanentRules.sort(customSort);
+        details.sessionRules.sort(customSort);
+        unfilteredRules.orig.rules = details.permanentRules;
+        unfilteredRules.edit.rules = details.sessionRules;
         rulesToDoc(firstVisit);
         if ( firstVisit ) {
             firstVisit = false;
@@ -206,20 +216,19 @@ mergeView.options.revertChunk = function
 ) {
     // https://github.com/gorhill/uBlock/issues/3611
     if ( document.body.getAttribute('dir') === 'rtl' ) {
-        var tmp;
-        tmp = from; from = to; to = tmp;
+        let tmp = from; from = to; to = tmp;
         tmp = fromStart; fromStart = toStart; toStart = tmp;
         tmp = fromEnd; fromEnd = toEnd; toEnd = tmp;
     }
     if ( typeof fromStart.ch !== 'number' ) { fromStart.ch = 0; }
     if ( fromEnd.ch !== 0 ) { fromEnd.line += 1; }
-    var toAdd = from.getRange(
+    let toAdd = from.getRange(
         { line: fromStart.line, ch: 0 },
         { line: fromEnd.line, ch: 0 }
     );
     if ( typeof toStart.ch !== 'number' ) { toStart.ch = 0; }
     if ( toEnd.ch !== 0 ) { toEnd.line += 1; }
-    var toRemove = to.getRange(
+    let toRemove = to.getRange(
         { line: toStart.line, ch: 0 },
         { line: toEnd.line, ch: 0 }
     );
@@ -229,12 +238,12 @@ mergeView.options.revertChunk = function
 /******************************************************************************/
 
 function handleImportFilePicker() {
-    var fileReaderOnLoadHandler = function() {
+    let fileReaderOnLoadHandler = function() {
         if ( typeof this.result !== 'string' || this.result === '' ) { return; }
         // https://github.com/chrisaljoudi/uBlock/issues/757
         // Support RequestPolicy rule syntax
-        var result = this.result;
-        var matches = /\[origins-to-destinations\]([^\[]+)/.exec(result);
+        let result = this.result;
+        let matches = /\[origins-to-destinations\]([^\[]+)/.exec(result);
         if ( matches && matches.length === 2 ) {
             result = matches[1].trim()
                                .replace(/\|/g, ' ')
@@ -242,10 +251,10 @@ function handleImportFilePicker() {
         }
         applyDiff(false, result, '');
     };
-    var file = this.files[0];
+    let file = this.files[0];
     if ( file === undefined || file.name === '' ) { return; }
     if ( file.type.indexOf('text') !== 0 ) { return; }
-    var fr = new FileReader();
+    let fr = new FileReader();
     fr.onload = fileReaderOnLoadHandler;
     fr.readAsText(file);
 }
@@ -253,7 +262,7 @@ function handleImportFilePicker() {
 /******************************************************************************/
 
 var startImportFilePicker = function() {
-    var input = document.getElementById('importFilePicker');
+    let input = document.getElementById('importFilePicker');
     // Reset to empty string, this will ensure an change event is properly
     // triggered if the user pick a file, even if it is the same as the last
     // one picked.
@@ -264,7 +273,7 @@ var startImportFilePicker = function() {
 /******************************************************************************/
 
 function exportUserRulesToFile() {
-    var filename = vAPI.i18n('rulesDefaultFileName')
+    let filename = vAPI.i18n('rulesDefaultFileName')
         .replace('{{datetime}}', uBlockDashboard.dateNowToSensibleString())
         .replace(/ +/g, '_');
     vAPI.download({
@@ -279,14 +288,14 @@ function exportUserRulesToFile() {
 /******************************************************************************/
 
 var onFilterChanged = (function() {
-    var timer,
+    let timer,
         overlay = null,
         last = '';
 
-    var process = function() {
+    let process = function() {
         timer = undefined;
         if ( mergeView.editor().isClean(cleanEditToken) === false ) { return; }
-        var filter = uDom('#ruleFilter input').val();
+        let filter = uDom.nodeFromSelector('#ruleFilter input').value;
         if ( filter === last ) { return; }
         last = filter;
         if ( overlay !== null ) {
@@ -311,12 +320,12 @@ var onFilterChanged = (function() {
 /******************************************************************************/
 
 var onTextChanged = (function() {
-    var timer;
+    let timer;
 
-    var process = function(now) {
+    let process = function(now) {
         timer = undefined;
-        var isClean = mergeView.editor().isClean(cleanEditToken);
-        var diff = document.getElementById('diff');
+        let isClean = mergeView.editor().isClean(cleanEditToken);
+        let diff = document.getElementById('diff');
         if (
             now &&
             isClean === false &&
@@ -331,7 +340,7 @@ var onTextChanged = (function() {
             'disabled',
             isClean
         );
-        var input = document.querySelector('#ruleFilter input');
+        let input = document.querySelector('#ruleFilter input');
         if ( isClean ) {
             input.removeAttribute('disabled');
             CodeMirror.commands.save = undefined;
@@ -350,15 +359,15 @@ var onTextChanged = (function() {
 /******************************************************************************/
 
 var revertAllHandler = function() {
-    var toAdd = [], toRemove = [];
-    var left = mergeView.leftOriginal(),
+    let toAdd = [], toRemove = [];
+    let left = mergeView.leftOriginal(),
         edit = mergeView.editor();
-    for ( var chunk of mergeView.leftChunks() ) {
-        var addedLines = left.getRange(
+    for ( let chunk of mergeView.leftChunks() ) {
+        let addedLines = left.getRange(
             { line: chunk.origFrom, ch: 0 },
             { line: chunk.origTo, ch: 0 }
         );
-        var removedLines = edit.getRange(
+        let removedLines = edit.getRange(
             { line: chunk.editFrom, ch: 0 },
             { line: chunk.editTo, ch: 0 }
         );
@@ -371,15 +380,15 @@ var revertAllHandler = function() {
 /******************************************************************************/
 
 var commitAllHandler = function() {
-    var toAdd = [], toRemove = [];
-    var left = mergeView.leftOriginal(),
+    let toAdd = [], toRemove = [];
+    let left = mergeView.leftOriginal(),
         edit = mergeView.editor();
-    for ( var chunk of mergeView.leftChunks() ) {
-        var addedLines = edit.getRange(
+    for ( let chunk of mergeView.leftChunks() ) {
+        let addedLines = edit.getRange(
             { line: chunk.editFrom, ch: 0 },
             { line: chunk.editTo, ch: 0 }
         );
-        var removedLines = left.getRange(
+        let removedLines = left.getRange(
             { line: chunk.origFrom, ch: 0 },
             { line: chunk.origTo, ch: 0 }
         );
@@ -392,16 +401,16 @@ var commitAllHandler = function() {
 /******************************************************************************/
 
 var editSaveHandler = function() {
-    var editor = mergeView.editor();
-    var editText = editor.getValue().trim();
+    let editor = mergeView.editor();
+    let editText = editor.getValue().trim();
     if ( editText === cleanEditText ) {
         onTextChanged(true);
         return;
     }
     if ( differ === undefined ) { differ = new diff_match_patch(); }
-    var toAdd = [], toRemove = [];
-    var diffs = differ.diff_main(cleanEditText, editText);
-    for ( var diff of diffs ) {
+    let toAdd = [], toRemove = [];
+    let diffs = differ.diff_main(cleanEditText, editText);
+    for ( let diff of diffs ) {
         if ( diff[0] === 1 ) {
             toAdd.push(diff[1]);
         } else if ( diff[0] === -1 ) {
diff -pruN 1.16.14+dfsg-1/src/js/hnswitches.js 1.17.0+dfsg-2/src/js/hnswitches.js
--- 1.16.14+dfsg-1/src/js/hnswitches.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/hnswitches.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a Chromium browser extension to black/white list requests.
-    Copyright (C) 2015-2018 Raymond Hill
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -42,7 +42,8 @@ var switchBitOffsets = {
     'no-cosmetic-filtering':  4,
           'no-remote-fonts':  6,
            'no-large-media':  8,
-           'no-csp-reports': 10
+           'no-csp-reports': 10,
+             'no-scripting': 12,
 };
 
 var switchStateToNameMap = {
@@ -79,17 +80,54 @@ HnSwitches.prototype.reset = function()
 
 /******************************************************************************/
 
+HnSwitches.prototype.assign = function(from) {
+    // Remove rules not in other
+    for ( let hn of this.switches.keys() ) {
+        if ( from.switches.has(hn) === false ) {
+            this.switches.delete(hn);
+            this.changed = true;
+        }
+    }
+    // Add/change rules in other
+    for ( let [hn, bits] of from.switches ) {
+        if ( this.switches.get(hn) !== bits ) {
+            this.switches.set(hn, bits);
+            this.changed = true;
+        }
+    }
+};
+
+/******************************************************************************/
+
+HnSwitches.prototype.copyRules = function(from, srcHostname) {
+    let thisBits = this.switches.get(srcHostname);
+    let fromBits = from.switches.get(srcHostname);
+    if ( fromBits !== thisBits ) {
+        if ( fromBits !== undefined ) {
+            this.switches.set(srcHostname, fromBits);
+        } else {
+            this.switches.delete(srcHostname);
+        }
+        this.changed = true;
+    }
+    return this.changed;
+};
+
+/******************************************************************************/
+
+HnSwitches.prototype.hasSameRules = function(other, srcHostname) {
+    return this.switches.get(srcHostname) === other.switches.get(srcHostname);
+};
+
+/******************************************************************************/
+
 // If value is undefined, the switch is removed
 
 HnSwitches.prototype.toggle = function(switchName, hostname, newVal) {
-    var bitOffset = switchBitOffsets[switchName];
-    if ( bitOffset === undefined ) {
-        return false;
-    }
-    if ( newVal === this.evaluate(switchName, hostname) ) {
-        return false;
-    }
-    var bits = this.switches.get(hostname) || 0;
+    let bitOffset = switchBitOffsets[switchName];
+    if ( bitOffset === undefined ) { return false; }
+    if ( newVal === this.evaluate(switchName, hostname) ) { return false; }
+    let bits = this.switches.get(hostname) || 0;
     bits &= ~(3 << bitOffset);
     bits |= newVal << bitOffset;
     if ( bits === 0 ) {
@@ -104,18 +142,14 @@ HnSwitches.prototype.toggle = function(s
 /******************************************************************************/
 
 HnSwitches.prototype.toggleOneZ = function(switchName, hostname, newState) {
-    var bitOffset = switchBitOffsets[switchName];
-    if ( bitOffset === undefined ) {
-        return false;
-    }
-    var state = this.evaluateZ(switchName, hostname);
-    if ( newState === state ) {
-        return false;
-    }
+    let bitOffset = switchBitOffsets[switchName];
+    if ( bitOffset === undefined ) { return false; }
+    let state = this.evaluateZ(switchName, hostname);
+    if ( newState === state ) { return false; }
     if ( newState === undefined ) {
         newState = !state;
     }
-    var bits = this.switches.get(hostname) || 0;
+    let bits = this.switches.get(hostname) || 0;
     bits &= ~(3 << bitOffset);
     if ( bits === 0 ) {
         this.switches.delete(hostname);
@@ -137,17 +171,11 @@ HnSwitches.prototype.toggleBranchZ = fun
 
     // Turn off all descendant switches, they will inherit the state of the
     // branch's origin.
-    var targetLen = targetHostname.length;
-    for ( var hostname of this.switches.keys() ) {
-        if ( hostname === targetHostname ) {
-            continue;
-        }
-        if ( hostname.length <= targetLen ) {
-            continue;
-        }
-        if ( hostname.endsWith(targetHostname) === false ) {
-            continue;
-        }
+    let targetLen = targetHostname.length;
+    for ( let hostname of this.switches.keys() ) {
+        if ( hostname === targetHostname ) { continue; }
+        if ( hostname.length <= targetLen ) { continue; }
+        if ( hostname.endsWith(targetHostname) === false ) { continue; }
         if ( hostname.charAt(hostname.length - targetLen - 1) !== '.' ) {
             continue;
         }
@@ -173,11 +201,11 @@ HnSwitches.prototype.toggleZ = function(
 // 2 = forced default state (to override a broader non-default state)
 
 HnSwitches.prototype.evaluate = function(switchName, hostname) {
-    var bits = this.switches.get(hostname);
+    let bits = this.switches.get(hostname);
     if ( bits === undefined ) {
         return 0;
     }
-    var bitOffset = switchBitOffsets[switchName];
+    let bitOffset = switchBitOffsets[switchName];
     if ( bitOffset === undefined ) {
         return 0;
     }
@@ -187,7 +215,7 @@ HnSwitches.prototype.evaluate = function
 /******************************************************************************/
 
 HnSwitches.prototype.evaluateZ = function(switchName, hostname) {
-    var bitOffset = switchBitOffsets[switchName];
+    let bitOffset = switchBitOffsets[switchName];
     if ( bitOffset === undefined ) {
         this.r = 0;
         return false;
@@ -222,14 +250,14 @@ HnSwitches.prototype.toLogData = functio
 /******************************************************************************/
 
 HnSwitches.prototype.toArray = function() {
-    var out = [],
+    let out = [],
         toUnicode = punycode.toUnicode;
-    for ( var hostname of this.switches.keys() ) {
+    for ( let hostname of this.switches.keys() ) {
         for ( var switchName in switchBitOffsets ) {
             if ( switchBitOffsets.hasOwnProperty(switchName) === false ) {
                 continue;
             }
-            var val = this.evaluate(switchName, hostname);
+            let val = this.evaluate(switchName, hostname);
             if ( val === 0 ) { continue; }
             if ( hostname.indexOf('xn--') !== -1 ) {
                 hostname = toUnicode(hostname);
@@ -247,7 +275,7 @@ HnSwitches.prototype.toString = function
 /******************************************************************************/
 
 HnSwitches.prototype.fromString = function(text, append) {
-    var lineIter = new µBlock.LineIterator(text);
+    let lineIter = new µBlock.LineIterator(text);
     if ( append !== true ) { this.reset(); }
     while ( lineIter.eot() === false ) {
         this.addFromRuleParts(lineIter.next().trim().split(/\s+/));
@@ -269,7 +297,7 @@ HnSwitches.prototype.validateRuleParts =
 
 HnSwitches.prototype.addFromRuleParts = function(parts) {
     if ( this.validateRuleParts(parts) !== undefined ) {
-        var switchName = parts[0].slice(0, -1);
+        let switchName = parts[0].slice(0, -1);
         if ( switchBitOffsets.hasOwnProperty(switchName) ) {
             this.toggle(switchName, parts[1], nameToSwitchStateMap[parts[2]]);
             return true;
@@ -296,6 +324,7 @@ return HnSwitches;
 
 /******************************************************************************/
 
-µBlock.hnSwitches = new µBlock.HnSwitches();
+µBlock.sessionSwitches = new µBlock.HnSwitches();
+µBlock.permanentSwitches = new µBlock.HnSwitches();
 
 /******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/html-filtering.js 1.17.0+dfsg-2/src/js/html-filtering.js
--- 1.16.14+dfsg-1/src/js/html-filtering.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/html-filtering.js	2018-10-10 09:19:19.000000000 +0000
@@ -226,7 +226,7 @@ µBlock.htmlFilteringEngine = (function(
     };
 
     api.compile = function(parsed, writer) {
-        var selector = parsed.suffix.slice(1).trim(),
+        let selector = parsed.suffix.slice(1).trim(),
             compiled = µb.staticExtFilteringEngine.compileSelector(selector);
         if ( compiled === undefined ) { return; }
 
@@ -235,13 +235,16 @@ µBlock.htmlFilteringEngine = (function(
 
         // TODO: Mind negated hostnames, they are currently discarded.
 
-        for ( var hostname of parsed.hostnames ) {
-            if ( hostname.charCodeAt(0) === 0x7E /* '~' */ ) { continue; }
-            var domain = µb.URI.domainFromHostname(hostname);
+        for ( let hn of parsed.hostnames ) {
+            if ( hn.charCodeAt(0) === 0x7E /* '~' */ ) { continue; }
+            let hash = µb.staticExtFilteringEngine.compileHostnameToHash(hn);
+            if ( parsed.exception ) {
+                hash |= 0b0001;
+            }
             writer.push([
                 compiled.charCodeAt(0) !== 0x7B /* '{' */ ? 64 : 65,
-                parsed.exception ? '!' + domain : domain,
-                hostname,
+                hash,
+                hn,
                 compiled
             ]);
         }
@@ -249,7 +252,7 @@ µBlock.htmlFilteringEngine = (function(
 
     api.fromCompiledContent = function(reader) {
         // Don't bother loading filters if stream filtering is not supported.
-        //if ( µb.canFilterResponseBody === false ) { return; }
+        if ( µb.canFilterResponseBody === false ) { return; }
 
         // 1002 = html filtering
         reader.select(1002);
@@ -272,7 +275,7 @@ µBlock.htmlFilteringEngine = (function(
     };
 
     api.retrieve = function(request) {
-        var hostname = request.hostname;
+        let hostname = request.hostname;
 
         // https://github.com/gorhill/uBlock/issues/2835
         //   Do not filter if the site is under an `allow` rule.
@@ -283,12 +286,16 @@ µBlock.htmlFilteringEngine = (function(
             return;
         }
 
-        var out = [];
-        if ( request.domain !== '' ) {
-            filterDB.retrieve(request.domain, hostname, out);
-            filterDB.retrieve(request.entity, request.entity, out);
+        let out = [];
+        let domainHash = µb.staticExtFilteringEngine.makeHash(request.domain);
+        if ( domainHash !== 0 ) {
+            filterDB.retrieve(domainHash, hostname, out);
+        }
+        let entityHash = µb.staticExtFilteringEngine.makeHash(request.entity);
+        if ( entityHash !== 0 ) {
+            filterDB.retrieve(entityHash, request.entity, out);
         }
-        filterDB.retrieve('', hostname, out);
+        filterDB.retrieve(0, hostname, out);
 
         // TODO: handle exceptions.
 
@@ -326,53 +333,6 @@ µBlock.htmlFilteringEngine = (function(
         pselectors.clear();
     };
 
-    // TODO: Following methods is useful only to legacy Firefox. This can be
-    //       removed once support for legacy Firefox is dropped. The only care
-    //       at this point is for the code to work, not to be efficient.
-    //       Only `script:has-text` selectors are considered.
-
-    api.retrieveScriptTagHostnames = function() {
-        var out = new Set();
-        for ( var entry of filterDB ) {
-            if ( entry.type !== 65 ) { continue; }
-            var o = JSON.parse(entry.selector);
-            if (
-                o.tasks.length === 1 &&
-                o.tasks[0].length === 2 &&
-                o.tasks[0][0] === ':has-text'
-            ) {
-                out.add(entry.hostname);
-            }
-        }
-        if ( out.size !== 0 ) {
-            return Array.from(out);
-        }
-    };
-
-    api.retrieveScriptTagRegex = function(domain, hostname) {
-        var entries = api.retrieve({
-            hostname: hostname,
-            domain: domain,
-            entity: µb.URI.entityFromDomain(domain)
-        });
-        if ( entries === undefined ) { return; }
-        var out = new Set();
-        for ( var entry of entries ) {
-            if ( entry.type !== 65 ) { continue; }
-            var o = JSON.parse(entry.selector);
-            if (
-                o.tasks.length === 1 &&
-                o.tasks[0].length === 2 &&
-                o.tasks[0][0] === ':has-text'
-            ) {
-                out.add(o.tasks[0][1]);
-            }
-        }
-        if ( out.size !== 0 ) {
-            return Array.from(out).join('|');
-        }
-    };
-
     Object.defineProperties(api, {
         acceptedCount: {
             get: function() {
diff -pruN 1.16.14+dfsg-1/src/js/i18n.js 1.17.0+dfsg-2/src/js/i18n.js
--- 1.16.14+dfsg-1/src/js/i18n.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/i18n.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2016 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -79,22 +79,34 @@ var safeTextToTagNode = function(text) {
     }
 };
 
-var safeTextToTextNode = function(text) {
-    // TODO: remove once no more HTML entities in translation files.
-    if ( text.indexOf('&') !== -1 ) {
-        text = text.replace(/&ldquo;/g, '“')
-                   .replace(/&rdquo;/g, '”')
-                   .replace(/&lsquo;/g, '‘')
-                   .replace(/&rsquo;/g, '’');
-    }
-    return document.createTextNode(text);
-};
+var safeTextToTextNode = (function() {
+    let entities = new Map([
+        // TODO: Remove quote entities once no longer present in translation
+        // files. Other entities must stay.
+        [ '&ldquo;', '“' ],
+        [ '&rdquo;', '”' ],
+        [ '&lsquo;', '‘' ],
+        [ '&rsquo;', '’' ],
+        [ '&lt;', '<' ],
+        [ '&gt;', '>' ],
+    ]);
+    let decodeEntities = match => {
+        return entities.get(match) || match;
+    };
+    return function(text) {
+        if ( text.indexOf('&') !== -1 ) {
+            text = text.replace(/&[a-z]+;/g, decodeEntities);
+        }
+        return document.createTextNode(text);
+    };
+})();
 
 var safeTextToDOM = function(text, parent) {
     if ( text === '' ) { return; }
     // Fast path (most common).
     if ( text.indexOf('<') === -1 ) {
-        return parent.appendChild(safeTextToTextNode(text));
+        parent.appendChild(safeTextToTextNode(text));
+        return;
     }
     // Slow path.
     // `<p>` no longer allowed. Code below can be remove once all <p>'s are
@@ -102,7 +114,7 @@ var safeTextToDOM = function(text, paren
     text = text.replace(/^<p>|<\/p>/g, '')
                .replace(/<p>/g, '\n\n');
     // Parse allowed HTML tags.
-    var matches = reSafeTags.exec(text);
+    let matches = reSafeTags.exec(text);
     if ( matches === null ) {
         matches = reSafeLink.exec(text);
         if ( matches === null ) {
@@ -114,7 +126,7 @@ var safeTextToDOM = function(text, paren
         }
     }
     safeTextToDOM(matches[1], parent);
-    var node = safeTextToTagNode(matches[2]) || parent;
+    let node = safeTextToTagNode(matches[2]) || parent;
     safeTextToDOM(matches[3], node);
     parent.appendChild(node);
     safeTextToDOM(matches[4], parent);
@@ -122,6 +134,42 @@ var safeTextToDOM = function(text, paren
 
 /******************************************************************************/
 
+vAPI.i18n.safeTemplateToDOM = function(id, dict, parent) {
+    if ( parent === undefined ) {
+        parent = document.createDocumentFragment();
+    }
+    let textin = vAPI.i18n(id);
+    if ( textin === '' ) {
+        return parent;
+    }
+    if ( textin.indexOf('{{') === -1 ) {
+        safeTextToDOM(textin, parent);
+        return parent;
+    }
+    let re = /\{\{\w+\}\}/g;
+    let textout = '';
+    for (;;) {
+        let match = re.exec(textin);
+        if ( match === null ) {
+            textout += textin;
+            break;
+        }
+        textout += textin.slice(0, match.index);
+        let prop = match[0].slice(2, -2);
+        if ( dict.hasOwnProperty(prop) ) {
+            textout += dict[prop].replace(/</g, '&lt;')
+                                 .replace(/>/g, '&gt;');
+        } else {
+            textout += prop;
+        }
+        textin = textin.slice(re.lastIndex);
+    }
+    safeTextToDOM(textout, parent);
+    return parent;
+};
+
+/******************************************************************************/
+
 // Helper to deal with the i18n'ing of HTML files.
 vAPI.i18n.render = function(context) {
     var docu = document;
@@ -141,11 +189,11 @@ vAPI.i18n.render = function(context) {
         safeTextToDOM(text, elem);
     }
 
-    elems = root.querySelectorAll('[title]');
+    elems = root.querySelectorAll('[data-i18n-title]');
     n = elems.length;
     for ( i = 0; i < n; i++ ) {
         elem = elems[i];
-        text = vAPI.i18n(elem.getAttribute('title'));
+        text = vAPI.i18n(elem.getAttribute('data-i18n-title'));
         if ( !text ) { continue; }
         elem.setAttribute('title', text);
     }
diff -pruN 1.16.14+dfsg-1/src/js/logger-ui.js 1.17.0+dfsg-2/src/js/logger-ui.js
--- 1.16.14+dfsg-1/src/js/logger-ui.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/logger-ui.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2018 Raymond Hill
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -21,12 +21,12 @@
 
 /* global uDom */
 
+'use strict';
+
 /******************************************************************************/
 
 (function() {
 
-'use strict';
-
 /******************************************************************************/
 
 var logger = self.logger = {
@@ -1266,21 +1266,18 @@ var netFilteringManager = (function() {
 /******************************************************************************/
 
 var reverseLookupManager = (function() {
-    var reSentence1 = /\{\{filter\}\}/g;
-    var sentence1Template = vAPI.i18n('loggerStaticFilteringFinderSentence1');
-    var filterFinderDialog = uDom.nodeFromId('filterFinderDialog');
+    let filterFinderDialog = uDom.nodeFromId('filterFinderDialog');
+    let rawFilter = '';
 
-    var removeAllChildren = function(node) {
+    let removeAllChildren = function(node) {
         while ( node.firstChild ) {
             node.removeChild(node.firstChild);
         }
     };
 
-    var onClick = function(ev) {
-        var target = ev.target;
-
-        // click outside the dialog proper
-        if ( target.classList.contains('modalDialog') ) {
+    // Clicking outside the dialog will close the dialog
+    let onClick = function(ev) {
+        if ( ev.target.classList.contains('modalDialog') ) {
             toggleOff();
             return;
         }
@@ -1288,42 +1285,30 @@ var reverseLookupManager = (function() {
         ev.stopPropagation();
     };
 
-    var nodeFromFilter = function(filter, lists) {
+    let nodeFromFilter = function(filter, lists) {
         if ( Array.isArray(lists) === false || lists.length === 0 ) {
-            return null;
+            return;
         }
-        var node,
-            p = document.createElement('p');
 
-        reSentence1.lastIndex = 0;
-        var matches = reSentence1.exec(sentence1Template);
-        if ( matches === null ) {
-            node = document.createTextNode(sentence1Template);
-        } else {
-            node = uDom.nodeFromSelector('#filterFinderDialogSentence1 > span').cloneNode(true);
-            node.childNodes[0].textContent = sentence1Template.slice(0, matches.index);
-            // https://github.com/gorhill/uBlock/issues/2753
-            node.childNodes[1].textContent = filter.length <= 1024
-                ? filter
-                : filter.slice(0, 1023) + '…';
-            node.childNodes[2].textContent = sentence1Template.slice(reSentence1.lastIndex);
-        }
-        p.appendChild(node);
-
-        var ul = document.createElement('ul');
-        var list, li;
-        for ( var i = 0; i < lists.length; i++ ) {
-            list = lists[i];
-            li = document.createElement('li');
+        let p = document.createElement('p');
+
+        vAPI.i18n.safeTemplateToDOM(
+            'loggerStaticFilteringFinderSentence1',
+            { filter: filter },
+            p
+        );
+
+        let ul = document.createElement('ul');
+        for ( let list of lists ) {
+            let li = document.querySelector('#filterFinderListEntry > li')
+                             .cloneNode(true);
+            let a = li.querySelector('a:nth-of-type(1)');
+            a.href += encodeURIComponent(list.assetKey);
+            a.textContent = list.title;
             if ( list.supportURL ) {
-                node = document.createElement('a');
-                node.textContent = list.title;
-                node.setAttribute('href', list.supportURL);
-                node.setAttribute('target', '_blank');
-            } else {
-                node = document.createTextNode(list.title);
+                a = li.querySelector('a:nth-of-type(2)');
+                a.setAttribute('href', list.supportURL);
             }
-            li.appendChild(node);
             ul.appendChild(li);
         }
         p.appendChild(ul);
@@ -1331,30 +1316,37 @@ var reverseLookupManager = (function() {
         return p;
     };
 
-    var reverseLookupDone = function(response) {
-        if ( typeof response !== 'object' ) {
-            return;
+    let reverseLookupDone = function(response) {
+        if ( response instanceof Object === false ) {
+            response = {};
         }
 
-        var dialog = filterFinderDialog.querySelector('.dialog');
+        let dialog = filterFinderDialog.querySelector('.dialog');
         removeAllChildren(dialog);
 
-        for ( var filter in response ) {
-            var p = nodeFromFilter(filter, response[filter]);
-            if ( p === null ) { continue; }
+        for ( let filter in response ) {
+            let p = nodeFromFilter(filter, response[filter]);
+            if ( p === undefined ) { continue; }
             dialog.appendChild(p);
         }
 
+        // https://github.com/gorhill/uBlock/issues/2179
+        if ( dialog.childElementCount === 0 ) {
+            vAPI.i18n.safeTemplateToDOM(
+                'loggerStaticFilteringFinderSentence2',
+                { filter: rawFilter },
+                dialog
+            );
+        }
+
         document.body.appendChild(filterFinderDialog);
         filterFinderDialog.addEventListener('click', onClick, true);
     };
 
-    var toggleOn = function(ev) {
-        var row = ev.target.parentElement;
-        var rawFilter = row.cells[2].textContent;
-        if ( rawFilter === '' ) {
-            return;
-        }
+    let toggleOn = function(ev) {
+        let row = ev.target.parentElement;
+        rawFilter = row.cells[2].textContent;
+        if ( rawFilter === '' ) { return; }
 
         if ( row.classList.contains('cat_net') ) {
             messaging.send(
@@ -1371,7 +1363,7 @@ var reverseLookupManager = (function() {
                 'loggerUI',
                 {
                     what: 'listsFromCosmeticFilter',
-                    hostname: row.getAttribute('data-hn-frame') || '',
+                    url: row.cells[5].textContent,
                     rawFilter: rawFilter,
                 },
                 reverseLookupDone
@@ -1379,9 +1371,10 @@ var reverseLookupManager = (function() {
         }
     };
 
-    var toggleOff = function() {
+    let toggleOff = function() {
         filterFinderDialog.removeEventListener('click', onClick, true);
         document.body.removeChild(filterFinderDialog);
+        rawFilter = '';
     };
 
     return {
diff -pruN 1.16.14+dfsg-1/src/js/lz4.js 1.17.0+dfsg-2/src/js/lz4.js
--- 1.16.14+dfsg-1/src/js/lz4.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/lz4.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,202 @@
+/*******************************************************************************
+
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2018-present Raymond Hill
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+/* global lz4BlockCodec */
+
+'use strict';
+
+/*******************************************************************************
+
+    Experimental support for storage compression.
+
+    For background information on the topic, see:
+    https://github.com/uBlockOrigin/uBlock-issues/issues/141#issuecomment-407737186
+
+**/
+
+µBlock.lz4Codec = (function() {         // >>>> Start of private namespace
+
+/******************************************************************************/
+
+let lz4CodecInstance;
+let pendingInitialization;
+let textEncoder, textDecoder;
+let ttlCount = 0;
+let ttlTimer;
+let ttlDelay = 60000;
+
+let init = function() {
+    ttlDelay = µBlock.hiddenSettings.autoUpdateAssetFetchPeriod * 1000 + 15000;
+    if ( lz4CodecInstance === null ) {
+        return Promise.resolve(null);
+    }
+    if ( lz4CodecInstance !== undefined ) {
+        return Promise.resolve(lz4CodecInstance);
+    }
+    if ( pendingInitialization === undefined ) {
+        pendingInitialization = lz4BlockCodec.createInstance()
+            .then(instance => {
+                lz4CodecInstance = instance;
+                pendingInitialization = undefined;
+            });
+    }
+    return pendingInitialization;
+};
+
+// We can't shrink memory usage of lz4 codec instances, and in the
+// current case memory usage can grow to a significant amount given
+// that a single contiguous memory buffer is required to accommodate
+// both input and output data. Thus a time-to-live implementation
+// which will cause the wasm instance to be forgotten after enough
+// time elapse without the instance being used.
+
+let destroy = function() {
+    if ( lz4CodecInstance !== undefined ) {
+        console.info(
+            'uBO: freeing lz4-block-codec instance (%s KB)',
+            lz4CodecInstance.bytesInUse() >>> 10
+        );
+    }
+    lz4CodecInstance = undefined;
+    textEncoder = textDecoder = undefined;
+    ttlCount = 0;
+    ttlTimer = undefined;
+};
+
+let ttlManage = function(count) {
+    if ( ttlTimer !== undefined ) {
+        clearTimeout(ttlTimer);
+        ttlTimer = undefined;
+    }
+    ttlCount += count;
+    if ( ttlCount > 0 ) { return; }
+    if ( lz4CodecInstance === null ) { return; }
+    ttlTimer = vAPI.setTimeout(destroy, ttlDelay);
+};
+
+let uint8ArrayFromBlob = function(key, data) {
+    if ( data instanceof Blob === false ) {
+        return Promise.resolve({ key, data });
+    }
+    return new Promise(resolve => {
+        let blobReader = new FileReader();
+        blobReader.onloadend = ev => {
+            resolve({ key, data: new Uint8Array(ev.target.result) });
+        };
+        blobReader.readAsArrayBuffer(data);
+    });
+};
+
+let encodeValue = function(key, value) {
+    if ( !lz4CodecInstance ) { return; }
+    let t0 = window.performance.now();
+    if ( textEncoder === undefined ) {
+        textEncoder = new TextEncoder();
+    }
+    let inputArray = textEncoder.encode(value);
+    let inputSize = inputArray.byteLength;
+    let outputArray = lz4CodecInstance.encodeBlock(inputArray, 8);
+    if ( outputArray instanceof Uint8Array === false ) { return; }
+    outputArray[0] = 0x18;
+    outputArray[1] = 0x4D;
+    outputArray[2] = 0x22;
+    outputArray[3] = 0x04;
+    outputArray[4] = (inputSize >>>  0) & 0xFF;
+    outputArray[5] = (inputSize >>>  8) & 0xFF;
+    outputArray[6] = (inputSize >>> 16) & 0xFF;
+    outputArray[7] = (inputSize >>> 24) & 0xFF;
+    console.info(
+        'uBO: [%s] compressed %d KB => %d KB (%s%%) in %s ms',
+        key,
+        inputArray.byteLength >> 10,
+        outputArray.byteLength >> 10,
+        (outputArray.byteLength / inputArray.byteLength * 100).toFixed(0),
+        (window.performance.now() - t0).toFixed(1)
+    );
+    return outputArray;
+};
+
+let decodeValue = function(key, inputArray) {
+    if ( !lz4CodecInstance ) { return; }
+    let t0 = window.performance.now();
+    if (
+        inputArray[0] !== 0x18 || inputArray[1] !== 0x4D ||
+        inputArray[2] !== 0x22 || inputArray[3] !== 0x04
+    ) {
+        return;
+    }
+    let outputSize = 
+        (inputArray[4] <<  0) | (inputArray[5] <<  8) |
+        (inputArray[6] << 16) | (inputArray[7] << 24);
+    let outputArray = lz4CodecInstance.decodeBlock(inputArray, 8, outputSize);
+    if ( outputArray instanceof Uint8Array === false ) { return; }
+    if ( textDecoder === undefined ) {
+        textDecoder = new TextDecoder();
+    }
+    let value = textDecoder.decode(outputArray);
+    console.info(
+        'uBO: [%s] decompressed %d KB => %d KB (%s%%) in %s ms',
+        key,
+        inputArray.byteLength >>> 10,
+        outputSize >>> 10,
+        (inputArray.byteLength / outputSize * 100).toFixed(0),
+        (window.performance.now() - t0).toFixed(1)
+    );
+    return value;
+};
+
+return {
+    encode: function(key, dataIn) {
+        if ( typeof dataIn !== 'string' || dataIn.length < 4096 ) {
+            return Promise.resolve({ key, data: dataIn });
+        }
+        ttlManage(1);
+        return init().then(( ) => {
+            ttlManage(-1);
+            let dataOut = encodeValue(key, dataIn) || dataIn;
+            if ( dataOut instanceof Uint8Array ) {
+                dataOut = new Blob([ dataOut ]);
+            }
+            return { key, data: dataOut || dataIn };
+        });
+    },
+    decode: function(key, dataIn) {
+        if ( dataIn instanceof Blob === false ) {
+            return Promise.resolve({ key, data: dataIn });
+        }
+        ttlManage(1);
+        return Promise.all([
+            init(),
+            uint8ArrayFromBlob(key, dataIn)
+        ]).then(results => {
+            ttlManage(-1);
+            let result = results[1];
+            return {
+                key: result.key,
+                data: decodeValue(result.key, result.data) || result.data
+            };
+        });
+    }
+};
+
+/******************************************************************************/
+
+})();                                   // <<<< End of private namespace
diff -pruN 1.16.14+dfsg-1/src/js/messaging.js 1.17.0+dfsg-2/src/js/messaging.js
--- 1.16.14+dfsg-1/src/js/messaging.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/messaging.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -69,11 +69,7 @@ var onMessage = function(request, sender
         return;
 
     case 'listsFromCosmeticFilter':
-        µb.staticFilteringReverseLookup.fromCosmeticFilter(
-            request.hostname,
-            request.rawFilter,
-            callback
-        );
+        µb.staticFilteringReverseLookup.fromCosmeticFilter(request, callback);
         return;
 
     case 'reloadAllFilters':
@@ -88,10 +84,7 @@ var onMessage = function(request, sender
         break;
     }
 
-    // The concatenation with the empty string ensure that the resulting value
-    // is a string. This is important since tab id values are assumed to be
-    // of string type.
-    var tabId = sender && sender.tab ? '' + sender.tab.id : 0;
+    var tabId = sender && sender.tab ? sender.tab.id : 0;
 
     // Sync
     var response;
@@ -286,9 +279,10 @@ var getFirewallRules = function(srcHostn
 /******************************************************************************/
 
 var popupDataFromTabId = function(tabId, tabTitle) {
-    var tabContext = µb.tabContextManager.mustLookup(tabId),
+    let tabContext = µb.tabContextManager.mustLookup(tabId),
         rootHostname = tabContext.rootHostname;
-    var r = {
+
+    let r = {
         advancedUserEnabled: µb.userSettings.advancedUserEnabled,
         appName: vAPI.app.name,
         appVersion: vAPI.app.version,
@@ -312,7 +306,7 @@ var popupDataFromTabId = function(tabId,
         tooltipsDisabled: µb.userSettings.tooltipsDisabled
     };
 
-    var pageStore = µb.pageStoreFromTabId(tabId);
+    let pageStore = µb.pageStoreFromTabId(tabId);
     if ( pageStore ) {
         // https://github.com/gorhill/uBlock/issues/2105
         //   Be sure to always include the current page's hostname -- it might
@@ -332,22 +326,30 @@ var popupDataFromTabId = function(tabId,
         r.contentLastModified = pageStore.contentLastModified;
         r.firewallRules = getFirewallRules(rootHostname, r.hostnameDict);
         r.canElementPicker = µb.URI.isNetworkURI(r.rawURL);
-        r.noPopups = µb.hnSwitches.evaluateZ('no-popups', rootHostname);
+        r.noPopups = µb.sessionSwitches.evaluateZ('no-popups', rootHostname);
         r.popupBlockedCount = pageStore.popupBlockedCount;
-        r.noCosmeticFiltering = µb.hnSwitches.evaluateZ('no-cosmetic-filtering', rootHostname);
-        r.noLargeMedia = µb.hnSwitches.evaluateZ('no-large-media', rootHostname);
+        r.noCosmeticFiltering = µb.sessionSwitches.evaluateZ('no-cosmetic-filtering', rootHostname);
+        r.noLargeMedia = µb.sessionSwitches.evaluateZ('no-large-media', rootHostname);
         r.largeMediaCount = pageStore.largeMediaCount;
-        r.noRemoteFonts = µb.hnSwitches.evaluateZ('no-remote-fonts', rootHostname);
+        r.noRemoteFonts = µb.sessionSwitches.evaluateZ('no-remote-fonts', rootHostname);
         r.remoteFontCount = pageStore.remoteFontCount;
+        r.noScripting = µb.sessionSwitches.evaluateZ('no-scripting', rootHostname);
     } else {
         r.hostnameDict = {};
         r.firewallRules = getFirewallRules();
     }
-    r.matrixIsDirty = !µb.sessionFirewall.hasSameRules(
+
+    r.matrixIsDirty = µb.sessionFirewall.hasSameRules(
         µb.permanentFirewall,
         rootHostname,
         r.hostnameDict
-    );
+    ) === false;
+    if ( r.matrixIsDirty === false ) {
+        r.matrixIsDirty = µb.sessionSwitches.hasSameRules(
+            µb.permanentSwitches,
+            rootHostname
+        ) === false;
+    }
     return r;
 };
 
@@ -378,14 +380,6 @@ var onMessage = function(request, sender
 
     // Async
     switch ( request.what ) {
-    case 'getPopupLazyData':
-        pageStore = µb.pageStoreFromTabId(request.tabId);
-        if ( pageStore !== null ) {
-            pageStore.hiddenElementCount = 0;
-            µb.scriptlets.injectDeep(request.tabId, 'cosmetic-survey');
-        }
-        return;
-
     case 'getPopupData':
         popupDataFromRequest(request, callback);
         return;
@@ -398,6 +392,19 @@ var onMessage = function(request, sender
     var response;
 
     switch ( request.what ) {
+    case 'getPopupLazyData':
+        pageStore = µb.pageStoreFromTabId(request.tabId);
+        if ( pageStore !== null ) {
+            pageStore.hiddenElementCount = 0;
+            pageStore.scriptCount = 0;
+            vAPI.tabs.injectScript(request.tabId, {
+                allFrames: true,
+                file: '/js/scriptlets/dom-survey.js',
+                runAt: 'document_end'
+            });
+        }
+        break;
+
     case 'hasPopupContentChanged':
         pageStore = µb.pageStoreFromTabId(request.tabId);
         var lastModified = pageStore ? pageStore.contentLastModified : 0;
@@ -410,18 +417,41 @@ var onMessage = function(request, sender
             request.srcHostname,
             request.desHostnames
         );
+        µb.sessionSwitches.copyRules(
+            µb.permanentSwitches,
+            request.srcHostname
+        );
         // https://github.com/gorhill/uBlock/issues/188
-        µb.cosmeticFilteringEngine.removeFromSelectorCache(request.srcHostname, 'net');
+        µb.cosmeticFilteringEngine.removeFromSelectorCache(
+            request.srcHostname,
+            'net'
+        );
         response = popupDataFromTabId(request.tabId);
         break;
 
     case 'saveFirewallRules':
-        µb.permanentFirewall.copyRules(
-            µb.sessionFirewall,
-            request.srcHostname,
-            request.desHostnames
-        );
-        µb.savePermanentFirewallRules();
+        if (
+            µb.permanentFirewall.copyRules(
+                µb.sessionFirewall,
+                request.srcHostname,
+                request.desHostnames
+            )
+        ) {
+            µb.savePermanentFirewallRules();
+        }
+        if (
+            µb.permanentSwitches.copyRules(
+                µb.sessionSwitches,
+                request.srcHostname
+            )
+        ) {
+            µb.saveHostnameSwitches();
+        }
+        break;
+
+    case 'toggleHostnameSwitch':
+        µb.toggleHostnameSwitch(request);
+        response = popupDataFromTabId(request.tabId);
         break;
 
     case 'toggleFirewallRule':
@@ -495,6 +525,22 @@ var onMessage = function(request, sender
         }
         break;
 
+    case 'shouldRenderNoscriptTags':
+        if ( pageStore === null ) { break; }
+        let tabContext = µb.tabContextManager.lookup(tabId);
+        if ( tabContext === null ) { break; }
+        if ( pageStore.filterScripting(tabContext.rootHostname, undefined) ) {
+            vAPI.tabs.injectScript(
+                tabId,
+                {
+                    file: '/js/scriptlets/noscript-spoof.js',
+                    frameId: frameId,
+                    runAt: 'document_end'
+                }
+            );
+        }
+        break;
+
     case 'retrieveContentScriptParameters':
         if (
             pageStore === null ||
@@ -730,7 +776,7 @@ var backupUserData = function(callback)
         netWhitelist: µb.stringFromWhitelist(µb.netWhitelist),
         dynamicFilteringString: µb.permanentFirewall.toString(),
         urlFilteringString: µb.permanentURLFiltering.toString(),
-        hostnameSwitchesString: µb.hnSwitches.toString(),
+        hostnameSwitchesString: µb.permanentSwitches.toString(),
         userFilters: ''
     };
 
@@ -791,20 +837,26 @@ var restoreUserData = function(request)
 
     // If we are going to restore all, might as well wipe out clean local
     // storage
-    vAPI.cacheStorage.clear();
+    µb.cacheStorage.clear();
     vAPI.storage.clear(onAllRemoved);
     vAPI.localStorage.removeItem('immediateHiddenSettings');
 };
 
+// Remove all stored data but keep global counts, people can become
+// quite attached to numbers
+
 var resetUserData = function() {
-    vAPI.cacheStorage.clear();
-    vAPI.storage.clear();
+    let count = 3;
+    let countdown = ( ) => {
+        count -= 1;
+        if ( count === 0 ) {
+            vAPI.app.restart();
+        }
+    };
+    µb.cacheStorage.clear(countdown); // 1
+    vAPI.storage.clear(countdown);    // 2
+    µb.saveLocalSettings(countdown);  // 3
     vAPI.localStorage.removeItem('immediateHiddenSettings');
-
-    // Keep global counts, people can become quite attached to numbers
-    µb.saveLocalSettings();
-
-    vAPI.app.restart();
 };
 
 /******************************************************************************/
@@ -859,44 +911,55 @@ var getLists = function(callback) {
 
 var getRules = function() {
     return {
-        permanentRules: µb.permanentFirewall.toArray().concat(
-                            µb.permanentURLFiltering.toArray()
-                        ),
-          sessionRules: µb.sessionFirewall.toArray().concat(
-                            µb.sessionURLFiltering.toArray()
-                        ),
-            hnSwitches: µb.hnSwitches.toArray()
+        permanentRules:
+            µb.permanentFirewall.toArray().concat(
+                µb.permanentSwitches.toArray(),
+                µb.permanentURLFiltering.toArray()
+            ),
+        sessionRules:
+            µb.sessionFirewall.toArray().concat(
+                µb.sessionSwitches.toArray(),
+                µb.sessionURLFiltering.toArray()
+            )
     };
 };
 
 var modifyRuleset = function(details) {
-    var swRuleset = µb.hnSwitches,
-        hnRuleset, urlRuleset;
+    let swRuleset, hnRuleset, urlRuleset;
     if ( details.permanent ) {
+        swRuleset = µb.permanentSwitches;
         hnRuleset = µb.permanentFirewall;
         urlRuleset = µb.permanentURLFiltering;
     } else {
+        swRuleset = µb.sessionSwitches;
         hnRuleset = µb.sessionFirewall;
         urlRuleset = µb.sessionURLFiltering;
     }
-    var toRemove = new Set(details.toRemove.trim().split(/\s*[\n\r]+\s*/));
-    var rule, parts, _;
-    for ( rule of toRemove ) {
+    let toRemove = new Set(details.toRemove.trim().split(/\s*[\n\r]+\s*/));
+    for ( let rule of toRemove ) {
         if ( rule === '' ) { continue; }
-        parts = rule.split(/\s+/);
-        _ = hnRuleset.removeFromRuleParts(parts) ||
-            swRuleset.removeFromRuleParts(parts) ||
-            urlRuleset.removeFromRuleParts(parts);
+        let parts = rule.split(/\s+/);
+        if ( hnRuleset.removeFromRuleParts(parts) === false ) {
+            if ( swRuleset.removeFromRuleParts(parts) === false ) {
+                urlRuleset.removeFromRuleParts(parts);
+            }
+        }
     }
-    var toAdd = new Set(details.toAdd.trim().split(/\s*[\n\r]+\s*/));
-    for ( rule of toAdd ) {
+    let toAdd = new Set(details.toAdd.trim().split(/\s*[\n\r]+\s*/));
+    for ( let rule of toAdd ) {
         if ( rule === '' ) { continue; }
-        parts = rule.split(/\s+/);
-        _ = hnRuleset.addFromRuleParts(parts) ||
-            swRuleset.addFromRuleParts(parts) ||
-            urlRuleset.addFromRuleParts(parts);
+        let parts = rule.split(/\s+/);
+        if ( hnRuleset.addFromRuleParts(parts) === false ) {
+            if ( swRuleset.addFromRuleParts(parts) === false ) {
+                urlRuleset.addFromRuleParts(parts);
+            }
+        }
     }
     if ( details.permanent ) {
+        if ( swRuleset.changed ) {
+            µb.saveHostnameSwitches();
+            swRuleset.changed = false;
+        }
         if ( hnRuleset.changed ) {
             µb.savePermanentFirewallRules();
             hnRuleset.changed = false;
@@ -906,10 +969,43 @@ var modifyRuleset = function(details) {
             urlRuleset.changed = false;
         }
     }
-    if ( swRuleset.changed ) {
-        µb.saveHostnameSwitches();
-        swRuleset.changed = false;
+};
+
+/******************************************************************************/
+
+// Shortcuts pane
+
+let getShortcuts = function(callback) {
+    if ( µb.canUseShortcuts === false ) {
+        return callback([]);
+    }
+
+    vAPI.commands.getAll(commands => {
+        let response = [];
+        for ( let command of commands ) {
+            let desc = command.description;
+            let match = /^__MSG_(.+?)__$/.exec(desc);
+            if ( match !== null ) {
+                desc = vAPI.i18n(match[1]);
+            }
+            if ( desc === '' ) { continue; }
+            command.description = desc;
+            response.push(command);
+        }
+        callback(response);
+    });
+};
+
+let setShortcut = function(details) {
+    if  ( µb.canUpdateShortcuts === false ) { return; }
+    if ( details.shortcut === undefined ) {
+        vAPI.commands.reset(details.name);
+        µb.commandShortcuts.delete(details.name);
+    } else {
+        vAPI.commands.update({ name: details.name, shortcut: details.shortcut });
+        µb.commandShortcuts.set(details.name, details.shortcut);
     }
+    vAPI.storage.set({ commandShortcuts: Array.from(µb.commandShortcuts) });
 };
 
 /******************************************************************************/
@@ -926,6 +1022,9 @@ var onMessage = function(request, sender
     case 'getLocalData':
         return getLocalData(callback);
 
+    case 'getShortcuts':
+        return getShortcuts(callback);
+
     case 'readUserFilters':
         return µb.loadUserFilters(callback);
 
@@ -940,6 +1039,10 @@ var onMessage = function(request, sender
     var response;
 
     switch ( request.what ) {
+    case 'canUpdateShortcuts':
+        response = µb.canUpdateShortcuts;
+        break;
+
     case 'getRules':
         response = getRules();
         break;
@@ -981,6 +1084,10 @@ var onMessage = function(request, sender
         resetUserData();
         break;
 
+    case 'setShortcut':
+        setShortcut(request);
+        break;
+
     case 'writeHiddenSettings':
         µb.changeHiddenSettings(µb.hiddenSettingsFromString(request.content));
         break;
@@ -1183,23 +1290,22 @@ vAPI.messaging.listen('documentBlocked',
 
 /******************************************************************************/
 
-var µb = µBlock;
-var broadcastTimers = Object.create(null);
+let µb = µBlock;
+let broadcastTimers = new Map();
 
 /******************************************************************************/
 
-var cosmeticallyFilteredElementCountChanged = function(tabId) {
-    delete broadcastTimers[tabId + '-cosmeticallyFilteredElementCountChanged'];
+var domSurveyFinalReport = function(tabId) {
+    broadcastTimers.delete(tabId + '-domSurveyReport');
 
-    var pageStore = µb.pageStoreFromTabId(tabId);
-    if ( pageStore === null ) {
-        return;
-    }
+    let pageStore = µb.pageStoreFromTabId(tabId);
+    if ( pageStore === null ) { return; }
 
     vAPI.messaging.broadcast({
-        what: 'cosmeticallyFilteredElementCountChanged',
+        what: 'domSurveyFinalReport',
         tabId: tabId,
-        count: pageStore.hiddenElementCount
+        affectedElementCount: pageStore.hiddenElementCount,
+        scriptCount: pageStore.scriptCount,
     });
 };
 
@@ -1230,8 +1336,8 @@ var logCosmeticFilters = function(tabId,
 /******************************************************************************/
 
 var onMessage = function(request, sender, callback) {
-    var tabId = sender && sender.tab ? sender.tab.id : 0;
-    var pageStore = µb.pageStoreFromTabId(tabId);
+    let tabId = sender && sender.tab ? sender.tab.id : 0;
+    let pageStore = µb.pageStoreFromTabId(tabId);
 
     // Async
     switch ( request.what ) {
@@ -1243,15 +1349,20 @@ var onMessage = function(request, sender
     var response;
 
     switch ( request.what ) {
-    case 'cosmeticallyFilteredElementCount':
-        if ( pageStore !== null && request.filteredElementCount ) {
-            pageStore.hiddenElementCount += request.filteredElementCount;
-            var broadcastKey = tabId + '-cosmeticallyFilteredElementCountChanged';
-            if ( broadcastTimers[broadcastKey] === undefined ) {
-                broadcastTimers[broadcastKey] = vAPI.setTimeout(
-                    cosmeticallyFilteredElementCountChanged.bind(null, tabId),
-                    250
-                );
+    case 'domSurveyTransientReport':
+        if ( pageStore !== null ) {
+            if ( request.filteredElementCount ) {
+                pageStore.hiddenElementCount += request.filteredElementCount;
+            }
+            if ( request.scriptCount ) {
+                pageStore.scriptCount += request.scriptCount;
+            }
+            let broadcastKey = tabId + '-domSurveyReport';
+            if ( broadcastTimers.has(broadcastKey) === false ) {
+                broadcastTimers.set(broadcastKey, vAPI.setTimeout(
+                    ( ) => { domSurveyFinalReport(tabId); },
+                    53
+                ));
             }
         }
         break;
diff -pruN 1.16.14+dfsg-1/src/js/pagestore.js 1.17.0+dfsg-2/src/js/pagestore.js
--- 1.16.14+dfsg-1/src/js/pagestore.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/pagestore.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -290,13 +290,14 @@ PageStore.prototype.init = function(tabI
     this.perLoadAllowedRequestCount = 0;
     this.hiddenElementCount = ''; // Empty string means "unknown"
     this.remoteFontCount = 0;
+    this.scriptCount = 0;
     this.popupBlockedCount = 0;
     this.largeMediaCount = 0;
     this.largeMediaTimer = null;
     this.netFilteringCache = NetFilteringResultCache.factory();
     this.internalRedirectionCount = 0;
 
-    this.noCosmeticFiltering = µb.hnSwitches.evaluateZ(
+    this.noCosmeticFiltering = µb.sessionSwitches.evaluateZ(
         'no-cosmetic-filtering',
         tabContext.rootHostname
     ) === true;
@@ -308,7 +309,7 @@ PageStore.prototype.init = function(tabI
         µb.logger.writeOne(
             tabId,
             'cosmetic',
-            µb.hnSwitches.toLogData(),
+            µb.sessionSwitches.toLogData(),
             'dom',
             tabContext.rawURL,
             this.tabHostname,
@@ -319,10 +320,8 @@ PageStore.prototype.init = function(tabI
     // Support `generichide` filter option.
     this.noGenericCosmeticFiltering = this.noCosmeticFiltering;
     if ( this.noGenericCosmeticFiltering !== true ) {
-        var result = µb.staticNetFilteringEngine.matchStringExactType(
-            this.createContextFromPage(),
-            tabContext.normalURL,
-            'generichide'
+        let result = µb.staticNetFilteringEngine.matchStringGenericHide(
+            tabContext.normalURL
         );
         this.noGenericCosmeticFiltering = result === 2;
         if (
@@ -519,7 +518,10 @@ PageStore.prototype.journalAddRequest =
         result === 1 ? 0x00000001 : 0x00010000
     );
     if ( this.journalTimer === null ) {
-        this.journalTimer = vAPI.setTimeout(this.journalProcess.bind(this, true), 1000);
+        this.journalTimer = vAPI.setTimeout(
+            ( ) => { this.journalProcess(true); },
+            µb.hiddenSettings.requestJournalProcessPeriod
+        );
     }
 };
 
@@ -541,7 +543,10 @@ PageStore.prototype.journalAddRootFrame
     if ( this.journalTimer !== null ) {
         clearTimeout(this.journalTimer);
     }
-    this.journalTimer = vAPI.setTimeout(this.journalProcess.bind(this, true), 1000);
+    this.journalTimer = vAPI.setTimeout(
+        ( ) => { this.journalProcess(true); },
+        µb.hiddenSettings.requestJournalProcessPeriod
+    );
 };
 
 PageStore.prototype.journalProcess = function(fromTimer) {
@@ -551,21 +556,20 @@ PageStore.prototype.journalProcess = fun
     this.journalTimer = null;
 
     var journal = this.journal,
-        i, n = journal.length,
-        hostname, count, hostnameCounts,
+        n = journal.length,
         aggregateCounts = 0,
         now = Date.now(),
         pivot = this.journalLastCommitted || 0;
 
     // Everything after pivot originates from current page.
-    for ( i = pivot; i < n; i += 2 ) {
-        hostname = journal[i];
-        hostnameCounts = this.hostnameToCountMap.get(hostname);
+    for ( let i = pivot; i < n; i += 2 ) {
+        let hostname = journal[i];
+        let hostnameCounts = this.hostnameToCountMap.get(hostname);
         if ( hostnameCounts === undefined ) {
             hostnameCounts = 0;
             this.contentLastModified = now;
         }
-        count = journal[i+1];
+        let count = journal[i+1];
         this.hostnameToCountMap.set(hostname, hostnameCounts + count);
         aggregateCounts += count;
     }
@@ -581,7 +585,7 @@ PageStore.prototype.journalProcess = fun
 
     // Everything before pivot does not originate from current page -- we still
     // need to bump global blocked/allowed counts.
-    for ( i = 0; i < pivot; i += 2 ) {
+    for ( let i = 0; i < pivot; i += 2 ) {
         aggregateCounts += journal[i+1];
     }
     if ( aggregateCounts !== 0 ) {
@@ -611,6 +615,13 @@ PageStore.prototype.filterRequest = func
         return 1;
     }
 
+    if (
+        requestType === 'script' &&
+        this.filterScripting(context.rootHostname, true) === 1
+    ) {
+        return 1;
+    }
+
     var cacheableResult = this.cacheableResults[requestType] === true;
 
     if ( cacheableResult ) {
@@ -666,9 +677,9 @@ PageStore.prototype.collapsibleResources
 /******************************************************************************/
 
 PageStore.prototype.filterCSPReport = function(context) {
-    if ( µb.hnSwitches.evaluateZ('no-csp-reports', context.requestHostname) ) {
+    if ( µb.sessionSwitches.evaluateZ('no-csp-reports', context.requestHostname) ) {
         if ( µb.logger.isEnabled() ) {
-            this.logData = µb.hnSwitches.toLogData();
+            this.logData = µb.sessionSwitches.toLogData();
         }
         return 1;
     }
@@ -697,9 +708,9 @@ PageStore.prototype.filterFont = functio
     if ( context.requestType === 'font' ) {
         this.remoteFontCount += 1;
     }
-    if ( µb.hnSwitches.evaluateZ('no-remote-fonts', context.rootHostname) !== false ) {
+    if ( µb.sessionSwitches.evaluateZ('no-remote-fonts', context.rootHostname) !== false ) {
         if ( µb.logger.isEnabled() ) {
-            this.logData = µb.hnSwitches.toLogData();
+            this.logData = µb.sessionSwitches.toLogData();
         }
         return 1;
     }
@@ -708,6 +719,24 @@ PageStore.prototype.filterFont = functio
 
 /******************************************************************************/
 
+PageStore.prototype.filterScripting = function(rootHostname, netFiltering) {
+    if ( netFiltering === undefined ) {
+        netFiltering = this.getNetFilteringSwitch();
+    }
+    if (
+        netFiltering === false ||
+        µb.sessionSwitches.evaluateZ('no-scripting', rootHostname) === false
+    ) {
+        return 0;
+    }
+    if ( µb.logger.isEnabled() ) {
+        this.logData = µb.sessionSwitches.toLogData();
+    }
+    return 1;
+};
+
+/******************************************************************************/
+
 // The caller is responsible to check whether filtering is enabled or not.
 
 PageStore.prototype.filterLargeMediaElement = function(size) {
@@ -716,7 +745,7 @@ PageStore.prototype.filterLargeMediaElem
     if ( Date.now() < this.allowLargeMediaElementsUntil ) {
         return 0;
     }
-    if ( µb.hnSwitches.evaluateZ('no-large-media', this.tabHostname) !== true ) {
+    if ( µb.sessionSwitches.evaluateZ('no-large-media', this.tabHostname) !== true ) {
         return 0;
     }
     if ( (size >>> 10) < µb.userSettings.largeMediaSize ) {
@@ -732,7 +761,7 @@ PageStore.prototype.filterLargeMediaElem
     }
 
     if ( µb.logger.isEnabled() ) {
-        this.logData = µb.hnSwitches.toLogData();
+        this.logData = µb.sessionSwitches.toLogData();
     }
 
     return 1;
diff -pruN 1.16.14+dfsg-1/src/js/popup.js 1.17.0+dfsg-2/src/js/popup.js
--- 1.16.14+dfsg-1/src/js/popup.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/popup.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -161,6 +161,7 @@ var hashFromPopupData = function(reset)
     hasher.push(uDom.nodeFromId('no-large-media').classList.contains('on'));
     hasher.push(uDom.nodeFromId('no-cosmetic-filtering').classList.contains('on'));
     hasher.push(uDom.nodeFromId('no-remote-fonts').classList.contains('on'));
+    hasher.push(uDom.nodeFromId('no-scripting').classList.contains('on'));
 
     var hash = hasher.join('');
     if ( reset ) {
@@ -390,28 +391,55 @@ var renderPrivacyExposure = function() {
 
 /******************************************************************************/
 
+let updateHnSwitches = function() {
+    uDom.nodeFromId('no-popups').classList.toggle(
+        'on',
+        popupData.noPopups === true
+    );
+    uDom.nodeFromId('no-large-media').classList.toggle(
+        'on', popupData.noLargeMedia === true
+    );
+    uDom.nodeFromId('no-cosmetic-filtering').classList.toggle(
+        'on',
+        popupData.noCosmeticFiltering === true
+    );
+    uDom.nodeFromId('no-remote-fonts').classList.toggle(
+        'on',
+        popupData.noRemoteFonts === true
+    );
+    uDom.nodeFromId('no-scripting').classList.toggle(
+        'on',
+        popupData.noScripting === true
+    );
+};
+
+/******************************************************************************/
+
 // Assume everything has to be done incrementally.
 
 var renderPopup = function() {
-    var elem, text;
-
     if ( popupData.tabTitle ) {
         document.title = popupData.appName + ' - ' + popupData.tabTitle;
     }
 
-    elem = document.body;
-    elem.classList.toggle('advancedUser', popupData.advancedUserEnabled);
+    let elem = document.body;
+    elem.classList.toggle(
+        'advancedUser',
+        popupData.advancedUserEnabled === true
+    );
     elem.classList.toggle(
         'off',
-        popupData.pageURL === '' || !popupData.netFilteringSwitch
+        popupData.pageURL === '' || popupData.netFilteringSwitch !== true
     );
 
-    // If you think the `=== true` is pointless, you are mistaken
-    uDom.nodeFromId('gotoPick').classList.toggle('enabled', popupData.canElementPicker === true);
-    uDom.nodeFromId('gotoZap').classList.toggle('enabled', popupData.canElementPicker === true);
+    let canElementPicker = popupData.canElementPicker === true &&
+                           popupData.netFilteringSwitch === true;
+    uDom.nodeFromId('gotoPick').classList.toggle('enabled', canElementPicker);
+    uDom.nodeFromId('gotoZap').classList.toggle('enabled', canElementPicker);
 
-    var blocked = popupData.pageBlockedRequestCount,
-        total = popupData.pageAllowedRequestCount + blocked;
+    let blocked = popupData.pageBlockedRequestCount,
+        total = popupData.pageAllowedRequestCount + blocked,
+        text;
     if ( total === 0 ) {
         text = formatNumber(0);
     } else {
@@ -434,10 +462,7 @@ var renderPopup = function() {
     renderPrivacyExposure();
 
     // Extra tools
-    uDom.nodeFromId('no-popups').classList.toggle('on', popupData.noPopups === true);
-    uDom.nodeFromId('no-large-media').classList.toggle('on', popupData.noLargeMedia === true);
-    uDom.nodeFromId('no-cosmetic-filtering').classList.toggle('on', popupData.noCosmeticFiltering === true);
-    uDom.nodeFromId('no-remote-fonts').classList.toggle('on', popupData.noRemoteFonts === true);
+    updateHnSwitches();
 
     // Report blocked popup count on badge
     total = popupData.popupBlockedCount;
@@ -456,7 +481,7 @@ var renderPopup = function() {
 
     // https://github.com/chrisaljoudi/uBlock/issues/470
     // This must be done here, to be sure the popup is resized properly
-    var dfPaneVisible = popupData.dfEnabled;
+    let dfPaneVisible = popupData.dfEnabled;
 
     // https://github.com/chrisaljoudi/uBlock/issues/1068
     // Remember the last state of the firewall pane. This allows to
@@ -467,11 +492,20 @@ var renderPopup = function() {
         vAPI.localStorage.setItem('popupFirewallPane', dfPaneVisibleStored);
     }
 
-    uDom.nodeFromId('panes').classList.toggle('dfEnabled', dfPaneVisible);
+    uDom.nodeFromId('panes').classList.toggle(
+        'dfEnabled',
+        dfPaneVisible === true
+    );
 
     elem = uDom.nodeFromId('firewallContainer');
-    elem.classList.toggle('minimized', popupData.firewallPaneMinimized);
-    elem.classList.toggle('colorBlind', popupData.colorBlindFriendly);
+    elem.classList.toggle(
+        'minimized',
+        popupData.firewallPaneMinimized === true
+    );
+    elem.classList.toggle(
+        'colorBlind',
+        popupData.colorBlindFriendly === true
+    );
 
     // Build dynamic filtering pane only if in use
     if ( dfPaneVisible ) {
@@ -487,14 +521,13 @@ var renderPopup = function() {
 //   Use tooltip for ARIA purpose.
 
 var renderTooltips = function(selector) {
-    var elem, text;
-    for ( var entry of tooltipTargetSelectors ) {
+    for ( let entry of tooltipTargetSelectors ) {
         if ( selector !== undefined && entry[0] !== selector ) { continue; }
-        text = vAPI.i18n(
+        let text = vAPI.i18n(
             entry[1].i18n +
             (uDom.nodeFromSelector(entry[1].state) === null ? '1' : '2')
         );
-        elem = uDom.nodeFromSelector(entry[0]);
+        let elem = uDom.nodeFromSelector(entry[0]);
         elem.setAttribute('aria-label', text);
         elem.setAttribute('data-tip', text);
         if ( selector !== undefined ) {
@@ -539,7 +572,14 @@ var tooltipTargetSelectors = new Map([
             state: '#no-remote-fonts.on',
             i18n: 'popupTipNoRemoteFonts'
         }
-    ]
+    ],
+    [
+        '#no-scripting',
+        {
+            state: '#no-scripting.on',
+            i18n: 'popupTipNoScripting'
+        }
+    ],
 ]);
 
 /******************************************************************************/
@@ -627,10 +667,17 @@ var onPopupMessage = function(data) {
     if ( data.tabId !== popupData.tabId ) { return; }
 
     switch ( data.what ) {
-    case 'cosmeticallyFilteredElementCountChanged':
-        var v = data.count || '';
+    case 'domSurveyFinalReport':
+        let count = data.affectedElementCount || '';
         uDom.nodeFromSelector('#no-cosmetic-filtering > span.badge')
-            .textContent = typeof v === 'number' ? v.toLocaleString() : v;
+            .textContent = typeof count === 'number' ?
+                count.toLocaleString() :
+                count;
+        count = data.scriptCount || '';
+        uDom.nodeFromSelector('#no-scripting > span.badge')
+            .textContent = typeof count === 'number' ?
+                count.toLocaleString() :
+                count;
         break;
     }
 };
@@ -759,14 +806,13 @@ var mouseleaveCellHandler = function() {
 
 var setFirewallRule = function(src, des, type, action, persist) {
     // This can happen on pages where uBlock does not work
-    if ( typeof popupData.pageHostname !== 'string' || popupData.pageHostname === '' ) {
+    if (
+        typeof popupData.pageHostname !== 'string' ||
+        popupData.pageHostname === ''
+    ) {
         return;
     }
-    var onFirewallRuleChanged = function(response) {
-        cachePopupData(response);
-        updateAllFirewallCells();
-        hashFromPopupData();
-    };
+
     messaging.send(
         'popupPanel',
         {
@@ -779,14 +825,18 @@ var setFirewallRule = function(src, des,
             action: action,
             persist: persist
         },
-        onFirewallRuleChanged
+        response => {
+            cachePopupData(response);
+            updateAllFirewallCells();
+            hashFromPopupData();
+        }
     );
 };
 
 /******************************************************************************/
 
 var unsetFirewallRuleHandler = function(ev) {
-    var cell = uDom(this);
+    let cell = uDom(ev.target);
     setFirewallRule(
         cell.attr('data-src') === '/' ? '*' : popupData.pageHostname,
         cell.attr('data-des'),
@@ -800,13 +850,11 @@ var unsetFirewallRuleHandler = function(
 /******************************************************************************/
 
 var setFirewallRuleHandler = function(ev) {
-    var hotspot = uDom(this);
-    var cell = hotspot.ancestors('[data-src]');
-    if ( cell.length === 0 ) {
-        return;
-    }
-    var action = 0;
-    var hotspotId = hotspot.attr('id');
+    let hotspot = uDom(ev.target);
+    let cell = hotspot.ancestors('[data-src]');
+    if ( cell.length === 0 ) { return; }
+    let action = 0;
+    let hotspotId = hotspot.attr('id');
     if ( hotspotId === 'dynaAllow' ) {
         action = 2;
     } else if ( hotspotId === 'dynaNoop' ) {
@@ -870,9 +918,9 @@ var toggleMinimize = function(ev) {
         return;
     }
 
-    popupData.firewallPaneMinimized = uDom.nodeFromId('firewallContainer')
-                                          .classList
-                                          .toggle('minimized');
+    popupData.firewallPaneMinimized =
+        uDom.nodeFromId('firewallContainer').classList.toggle('minimized');
+
     messaging.send(
         'popupPanel',
         {
@@ -901,11 +949,6 @@ var saveFirewallRules = function() {
 /******************************************************************************/
 
 var revertFirewallRules = function() {
-    var onFirewallRuleChanged = function(response) {
-        cachePopupData(response);
-        updateAllFirewallCells();
-        hashFromPopupData();
-    };
     messaging.send(
         'popupPanel',
         {
@@ -914,7 +957,12 @@ var revertFirewallRules = function() {
             desHostnames: popupData.hostnameDict,
             tabId: popupData.tabId
         },
-        onFirewallRuleChanged
+        response => {
+            cachePopupData(response);
+            updateAllFirewallCells();
+            updateHnSwitches();
+            hashFromPopupData();
+        }
     );
     uDom.nodeFromId('firewallContainer').classList.remove('dirty');
 };
@@ -922,8 +970,8 @@ var revertFirewallRules = function() {
 /******************************************************************************/
 
 var toggleHostnameSwitch = function(ev) {
-    var target = ev.currentTarget;
-    var switchName = target.getAttribute('id');
+    let target = ev.currentTarget;
+    let switchName = target.getAttribute('id');
     if ( !switchName ) { return; }
     target.classList.toggle('on');
     messaging.send(
@@ -933,11 +981,16 @@ var toggleHostnameSwitch = function(ev)
             name: switchName,
             hostname: popupData.pageHostname,
             state: target.classList.contains('on'),
-            tabId: popupData.tabId
+            tabId: popupData.tabId,
+            persist: popupData.dfEnabled === false || ev.ctrlKey || ev.metaKey
+        },
+        response => {
+            cachePopupData(response);
+            updateAllFirewallCells();
+            hashFromPopupData();
         }
     );
     renderTooltips('#' + switchName);
-    hashFromPopupData();
 };
 
 /******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/redirect-engine.js 1.17.0+dfsg-2/src/js/redirect-engine.js
--- 1.16.14+dfsg-1/src/js/redirect-engine.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/redirect-engine.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2018 Raymond Hill
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -307,7 +307,7 @@ RedirectEngine.prototype.compileRuleFrom
     var µburi = µBlock.URI,
         des = matches[1] || '',
         pattern = (des + matches[2]).replace(/[.+?{}()|[\]\/\\]/g, '\\$&')
-                                    .replace(/\^/g, '[^\\w\\d%-]')
+                                    .replace(/\^/g, '[^\\w.%-]')
                                     .replace(/\*/g, '.*?'),
         type,
         redirect = '',
@@ -501,25 +501,25 @@ RedirectEngine.prototype.resourcesFromSt
 
 /******************************************************************************/
 
-var resourcesSelfieVersion = 3;
+let resourcesSelfieVersion = 3;
 
 RedirectEngine.prototype.selfieFromResources = function() {
-    vAPI.cacheStorage.set({
-        resourcesSelfie: {
-            version: resourcesSelfieVersion,
-            resources: Array.from(this.resources)
-        }
-    });
+    let selfie = {
+        version: resourcesSelfieVersion,
+        resources: Array.from(this.resources)
+    };
+    µBlock.cacheStorage.set({ resourcesSelfie: JSON.stringify(selfie) });
 };
 
 RedirectEngine.prototype.resourcesFromSelfie = function(callback) {
-    var me = this;
-
-    var onSelfieReady = function(bin) {
-        if ( bin instanceof Object === false ) {
-            return callback(false);
+    µBlock.cacheStorage.get('resourcesSelfie', bin => {
+        let selfie = bin && bin.resourcesSelfie;
+        if ( typeof selfie === 'string' ) {
+            try {
+                selfie = JSON.parse(selfie);
+            } catch(ex) {
+            }
         }
-        var selfie = bin.resourcesSelfie;
         if (
             selfie instanceof Object === false ||
             selfie.version !== resourcesSelfieVersion ||
@@ -527,18 +527,16 @@ RedirectEngine.prototype.resourcesFromSe
         ) {
             return callback(false);
         }
-        me.resources = new Map();
-        for ( var entry of bin.resourcesSelfie.resources ) {
-            me.resources.set(entry[0], RedirectEntry.fromSelfie(entry[1]));
+        this.resources = new Map();
+        for ( let entry of selfie.resources ) {
+            this.resources.set(entry[0], RedirectEntry.fromSelfie(entry[1]));
         }
         callback(true);
-    };
-
-    vAPI.cacheStorage.get('resourcesSelfie', onSelfieReady);
+    });
 };
 
 RedirectEngine.prototype.invalidateResourcesSelfie = function() {
-    vAPI.cacheStorage.remove('resourcesSelfie');
+    µBlock.cacheStorage.remove('resourcesSelfie');
 };
 
 /******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/reverselookup.js 1.17.0+dfsg-2/src/js/reverselookup.js
--- 1.16.14+dfsg-1/src/js/reverselookup.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/reverselookup.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2017 Raymond Hill
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -161,12 +161,10 @@ var fromNetFilter = function(compiledFil
 
 /******************************************************************************/
 
-var fromCosmeticFilter = function(hostname, rawFilter, callback) {
-    if ( typeof callback !== 'function' ) {
-        return;
-    }
+var fromCosmeticFilter = function(details, callback) {
+    if ( typeof callback !== 'function' ) { return; }
 
-    if ( rawFilter === '' ) {
+    if ( details.rawFilter === '' ) {
         callback();
         return;
     }
@@ -176,17 +174,19 @@ var fromCosmeticFilter = function(hostna
         workerTTLTimer = null;
     }
 
-    var onWorkerReady = function() {
-        var id = messageId++;
-        var message = {
+    let onWorkerReady = function() {
+        let id = messageId++;
+        let hostname = µBlock.URI.hostnameFromURI(details.url);
+        pendingResponses[id] = callback;
+        worker.postMessage({
             what: 'fromCosmeticFilter',
             id: id,
             domain: µBlock.URI.domainFromHostname(hostname),
             hostname: hostname,
-            rawFilter: rawFilter
-        };
-        pendingResponses[id] = callback;
-        worker.postMessage(message);
+            ignoreGeneric: µBlock.staticNetFilteringEngine
+                                 .matchStringGenericHide(details.url) === 2,
+            rawFilter: details.rawFilter
+        });
 
         // The worker will be shutdown after n minutes without being used.
         workerTTLTimer = vAPI.setTimeout(stopWorker, workerTTL);
diff -pruN 1.16.14+dfsg-1/src/js/reverselookup-worker.js 1.17.0+dfsg-2/src/js/reverselookup-worker.js
--- 1.16.14+dfsg-1/src/js/reverselookup-worker.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/reverselookup-worker.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2017 Raymond Hill
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -51,21 +51,20 @@ var extractBlocks = function(content, be
 
 var fromNetFilter = function(details) {
     var lists = [],
-        compiledFilter = details.compiledFilter,
-        entry, content, pos, notFound;
+        compiledFilter = details.compiledFilter;
 
-    for ( var assetKey in listEntries ) {
-        entry = listEntries[assetKey];
+    for ( let assetKey in listEntries ) {
+        let entry = listEntries[assetKey];
         if ( entry === undefined ) { continue; }
-        content = extractBlocks(entry.content, 0, 1000);
-        pos = 0;
+        let content = extractBlocks(entry.content, 0, 1000);
+        let pos = 0;
         for (;;) {
             pos = content.indexOf(compiledFilter, pos);
             if ( pos === -1 ) { break; }
             // We need an exact match.
             // https://github.com/gorhill/uBlock/issues/1392
             // https://github.com/gorhill/uBlock/issues/835
-            notFound = pos !== 0 && content.charCodeAt(pos - 1) !== 0x0A;
+            let notFound = pos !== 0 && content.charCodeAt(pos - 1) !== 0x0A;
             pos += compiledFilter.length;
             if (
                 notFound ||
@@ -74,6 +73,7 @@ var fromNetFilter = function(details) {
                 continue;
             }
             lists.push({
+                assetKey: assetKey,
                 title: entry.title,
                 supportURL: entry.supportURL
             });
@@ -81,7 +81,7 @@ var fromNetFilter = function(details) {
         }
     }
 
-    var response = {};
+    let response = {};
     response[details.rawFilter] = lists;
 
     postMessage({
@@ -112,18 +112,18 @@ var fromNetFilter = function(details) {
 // FilterContainer.fromCompiledContent() is our reference code to create
 // the various compiled versions.
 
-var fromCosmeticFilter = function(details) {
-    var match = /^#@?#\^?/.exec(details.rawFilter),
+let fromCosmeticFilter = function(details) {
+    let match = /^#@?#\^?/.exec(details.rawFilter),
         prefix = match[0],
         exception = prefix.charAt(1) === '@',
         selector = details.rawFilter.slice(prefix.length);
 
     // The longer the needle, the lower the number of false positives.
-    var needle = selector.match(/\w+/g).reduce(function(a, b) {
+    let needle = selector.match(/\w+/g).reduce(function(a, b) {
         return a.length > b.length ? a : b;
     });
 
-    var reHostname = new RegExp(
+    let reHostname = new RegExp(
         '^' +
         details.hostname.split('.').reduce(
             function(acc, item) {
@@ -136,7 +136,7 @@ var fromCosmeticFilter = function(detail
         '$'
     );
 
-    var reEntity,
+    let reEntity,
         domain = details.domain,
         pos = domain.indexOf('.');
     if ( pos !== -1 ) {
@@ -154,26 +154,37 @@ var fromCosmeticFilter = function(detail
         );
     }
         
-    var response = Object.create(null),
-        assetKey, entry, content,
-        found, beg, end,
-        fargs, isProcedural;
+    let hostnameMatches = hn => {
+        return hn === '' ||
+               reHostname.test(hn) ||
+               reEntity !== undefined && reEntity.test(hn);
+    };
 
-    for ( assetKey in listEntries ) {
-        entry = listEntries[assetKey];
+    let response = Object.create(null);
+
+    for ( let assetKey in listEntries ) {
+        let entry = listEntries[assetKey];
         if ( entry === undefined ) { continue; }
-        content = extractBlocks(entry.content, 1000, 2000);
-        pos = 0;
-        found = undefined;
+        let content = extractBlocks(entry.content, 1000, 2000),
+            isProcedural,
+            found;
+        let pos = 0;
         while ( (pos = content.indexOf(needle, pos)) !== -1 ) {
-            beg = content.lastIndexOf('\n', pos);
+            let beg = content.lastIndexOf('\n', pos);
             if ( beg === -1 ) { beg = 0; }
-            end = content.indexOf('\n', pos);
+            let end = content.indexOf('\n', pos);
             if ( end === -1 ) { end = content.length; }
             pos = end;
-            fargs = JSON.parse(content.slice(beg, end));
+            let fargs = JSON.parse(content.slice(beg, end));
+
+            // https://github.com/gorhill/uBlock/issues/2763
+            if ( fargs[0] >= 0 && fargs[0] <= 5 && details.ignoreGeneric ) {
+                continue;
+            }
+
             switch ( fargs[0] ) {
-            case 0: // id-based
+            // Lowly generic cosmetic filters
+            case 0: // simple id-based
                 if (
                     fargs[1] === selector.slice(1) &&
                     selector.charAt(0) === '#'
@@ -181,7 +192,7 @@ var fromCosmeticFilter = function(detail
                     found = prefix + selector;
                 }
                 break;
-            case 2: // class-based
+            case 2: // simple class-based
                 if (
                     fargs[1] === selector.slice(1) &&
                     selector.charAt(0) === '.'
@@ -189,46 +200,53 @@ var fromCosmeticFilter = function(detail
                     found = prefix + selector;
                 }
                 break;
-            case 1: // id-based
-            case 3: // class-based
+            case 1: // complex id-based
+            case 3: // complex class-based
                 if ( fargs[2] === selector ) {
                     found = prefix + selector;
                 }
                 break;
-            case 4:
-            case 5:
-            case 7:
+            // Highly generic cosmetic filters
+            case 4: // simple highly generic
+            case 5: // complex highly generic
+            case 7: // generic exception
                 if ( fargs[1] === selector ) {
                     found = prefix + selector;
                 }
                 break;
+            // Specific cosmetic filtering
             case 8:
-                if ( exception !== ((fargs[1] & 0b01) !== 0) ) { break; }
-                isProcedural = (fargs[1] & 0b10) !== 0;
+                if ( exception !== ((fargs[1] & 0b0001) !== 0) ) { break; }
+                isProcedural = (fargs[1] & 0b0010) !== 0;
                 if (
                     isProcedural === false && fargs[3] !== selector ||
                     isProcedural && JSON.parse(fargs[3]).raw !== selector
                 ) {
                     break;
                 }
-                if (
-                    fargs[2] === '' ||
-                    reHostname.test(fargs[2]) === true ||
-                    reEntity !== undefined && reEntity.test(fargs[2]) === true
-                ) {
+                if ( hostnameMatches(fargs[2]) ) {
                     found = fargs[2] + prefix + selector;
                 }
                 break;
+            // Scriptlet injection
             case 32:
-            case 64:
-            case 65:
-                if ( exception !== (fargs[1].charAt(0) === '!') ) { break; }
+                if ( exception !== ((fargs[1] & 0b0001) !== 0) ) { break; }
                 if ( fargs[3] !== selector ) { break; }
+                if ( hostnameMatches(fargs[2]) ) {
+                    found = fargs[2] + prefix + selector;
+                }
+                break;
+            // HTML filtering
+            case 64: // CSS selector
+            case 65: // procedural
+                if ( exception !== ((fargs[1] & 0b0001) !== 0) ) { break; }
                 if (
-                    fargs[2] === '' ||
-                    reHostname.test(fargs[2]) === true ||
-                    reEntity !== undefined && reEntity.test(fargs[2]) === true
+                    fargs[0] === 64 && fargs[3] !== selector ||
+                    fargs[0] === 65 && JSON.parse(fargs[3]).raw !== selector
                 ) {
+                    break;
+                }
+                if ( hostnameMatches(fargs[2]) ) {
                     found = fargs[2] + prefix + selector;
                 }
                 break;
@@ -238,6 +256,7 @@ var fromCosmeticFilter = function(detail
                     response[found] = [];
                 }
                 response[found].push({
+                    assetKey: assetKey,
                     title: entry.title,
                     supportURL: entry.supportURL
                 });
diff -pruN 1.16.14+dfsg-1/src/js/rpcreceiver.js 1.17.0+dfsg-2/src/js/rpcreceiver.js
--- 1.16.14+dfsg-1/src/js/rpcreceiver.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/rpcreceiver.js	1970-01-01 00:00:00.000000000 +0000
@@ -1,66 +0,0 @@
-/*******************************************************************************
-
-    uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2016 Raymond Hill
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see {http://www.gnu.org/licenses/}.
-
-    Home: https://github.com/gorhill/uBlock
-*/
-
-'use strict';
-
-/******************************************************************************/
-
-(function() {
-
-/******************************************************************************/
-
-if ( typeof vAPI.rpcReceiver !== 'object' ) {
-    return;
-}
-
-/******************************************************************************/
-
-vAPI.rpcReceiver.getScriptTagHostnames = function() {
-    var µb = µBlock;
-    if ( µb.htmlFilteringEngine ) {
-        return µb.htmlFilteringEngine.retrieveScriptTagHostnames();
-    }
-};
-
-/******************************************************************************/
-
-vAPI.rpcReceiver.getScriptTagFilters = function(details) {
-    var µb = µBlock;
-    if ( !µb.htmlFilteringEngine ) { return; }
-    // Fetching the script tag filters first: assuming it is faster than
-    // checking whether the site is whitelisted.
-    var hostname = details.frameHostname;
-    var r = µb.htmlFilteringEngine.retrieveScriptTagRegex(
-        µb.URI.domainFromHostname(hostname),
-        hostname
-    );
-    // https://github.com/gorhill/uBlock/issues/838
-    // Disable script tag filtering if document URL is whitelisted.
-    if ( r !== undefined && µb.getNetFilteringSwitch(details.rootURL) ) {
-        return r;
-    }
-};
-
-/******************************************************************************/
-
-})();
-
-/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/scriptlet-filtering.js 1.17.0+dfsg-2/src/js/scriptlet-filtering.js
--- 1.16.14+dfsg-1/src/js/scriptlet-filtering.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/scriptlet-filtering.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2017-2018 Raymond Hill
+    Copyright (C) 2017-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -216,7 +216,7 @@ µBlock.scriptletFilteringEngine = (func
             'cosmetic',
             {
                 source: 'cosmetic',
-                raw: (isException ? '#@#' : '##') + 'script:inject(' + token + ')'
+                raw: (isException ? '#@#' : '##') + '+js(' + token + ')'
             },
             'dom',
             details.url,
@@ -244,7 +244,7 @@ µBlock.scriptletFilteringEngine = (func
 
         if ( parsed.hostnames.length === 0 ) {
             if ( parsed.exception ) {
-                writer.push([ 32, '!', '', parsed.suffix ]);
+                writer.push([ 32, 0 | 0b0001, '', parsed.suffix ]);
             }
             return;
         }
@@ -253,28 +253,26 @@ µBlock.scriptletFilteringEngine = (func
         //   Ignore instances of exception filter with negated hostnames,
         //   because there is no way to create an exception to an exception.
 
-        var µburi = µb.URI;
-
-        for ( var hostname of parsed.hostnames ) {
-            var negated = hostname.charCodeAt(0) === 0x7E /* '~' */;
+        for ( let hn of parsed.hostnames ) {
+            let negated = hn.charCodeAt(0) === 0x7E /* '~' */;
             if ( negated ) {
-                hostname = hostname.slice(1);
+                hn = hn.slice(1);
             }
-            var hash = µburi.domainFromHostname(hostname);
+            let hash = µb.staticExtFilteringEngine.compileHostnameToHash(hn);
             if ( parsed.exception ) {
                 if ( negated ) { continue; }
-                hash = '!' + hash;
+                hash |= 0b0001;
             } else if ( negated ) {
-                hash = '!' + hash;
+                hash |= 0b0001;
             }
-            writer.push([ 32, hash, hostname, parsed.suffix ]);
+            writer.push([ 32, hash, hn, parsed.suffix ]);
         }
     };
 
     // 01234567890123456789
-    // script:inject(token[, arg[, ...]])
-    //               ^                 ^
-    //              14                 -1
+    // +js(token[, arg[, ...]])
+    //     ^                 ^
+    //     4                -1
 
     api.fromCompiledContent = function(reader) {
         // 1001 = scriptlet injection
@@ -282,17 +280,17 @@ µBlock.scriptletFilteringEngine = (func
 
         while ( reader.next() ) {
             acceptedCount += 1;
-            var fingerprint = reader.fingerprint();
+            let fingerprint = reader.fingerprint();
             if ( duplicates.has(fingerprint) ) {
                 discardedCount += 1;
                 continue;
             }
             duplicates.add(fingerprint);
-            var args = reader.args();
+            let args = reader.args();
             if ( args.length < 4 ) { continue; }
             scriptletDB.add(
                 args[1],
-                { hostname: args[2], token: args[3].slice(14, -1) }
+                { hostname: args[2], token: args[3].slice(4, -1) }
             );
         }
     };
@@ -301,10 +299,10 @@ µBlock.scriptletFilteringEngine = (func
         if ( scriptletDB.size === 0 ) { return; }
         if ( µb.hiddenSettings.ignoreScriptInjectFilters ) { return; }
 
-        var reng = µb.redirectEngine;
+        let reng = µb.redirectEngine;
         if ( !reng ) { return; }
 
-        var hostname = request.hostname;
+        let hostname = request.hostname;
 
         // https://github.com/gorhill/uBlock/issues/2835
         //   Do not inject scriptlets if the site is under an `allow` rule.
@@ -320,7 +318,7 @@ µBlock.scriptletFilteringEngine = (func
 
         // https://github.com/gorhill/uBlock/issues/1954
         // Implicit
-        var hn = hostname;
+        let hn = hostname;
         for (;;) {
             lookupScriptlet(hn + '.js', reng, scriptletsRegister);
             if ( hn === domain ) { break; }
@@ -334,11 +332,15 @@ µBlock.scriptletFilteringEngine = (func
 
         // Explicit
         let entries = [];
-        if ( domain !== '' ) {
-            scriptletDB.retrieve(domain, hostname, entries);
-            scriptletDB.retrieve(entity, entity, entries);
+        let domainHash = µb.staticExtFilteringEngine.makeHash(domain);
+        if ( domainHash !== 0 ) {
+            scriptletDB.retrieve(domainHash, hostname, entries);
+        }
+        let entityHash = µb.staticExtFilteringEngine.makeHash(entity);
+        if ( entityHash !== 0 ) {
+            scriptletDB.retrieve(entityHash, entity, entries);
         }
-        scriptletDB.retrieve('', hostname, entries);
+        scriptletDB.retrieve(0, hostname, entries);
         for ( let entry of entries ) {
             lookupScriptlet(entry.token, reng, scriptletsRegister);
         }
@@ -347,11 +349,13 @@ µBlock.scriptletFilteringEngine = (func
 
         // Collect exception filters.
         entries = [];
-        if ( domain !== '' ) {
-            scriptletDB.retrieve('!' + domain, hostname, entries);
-            scriptletDB.retrieve('!' + entity, entity, entries);
+        if ( domainHash !== 0 ) {
+            scriptletDB.retrieve(domainHash | 0b0001, hostname, entries);
+        }
+        if ( entityHash !== 0 ) {
+            scriptletDB.retrieve(entityHash | 0b0001, entity, entries);
         }
-        scriptletDB.retrieve('!', hostname, entries);
+        scriptletDB.retrieve(0 | 0b0001, hostname, entries);
         for ( let entry of entries ) {
             exceptionsRegister.add(entry.token);
         }
diff -pruN 1.16.14+dfsg-1/src/js/scriptlets/cosmetic-logger.js 1.17.0+dfsg-2/src/js/scriptlets/cosmetic-logger.js
--- 1.16.14+dfsg-1/src/js/scriptlets/cosmetic-logger.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/scriptlets/cosmetic-logger.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2018 Raymond Hill
+    Copyright (C) 2015-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -35,153 +35,172 @@ if (
     return;
 }
 
-var reHasCSSCombinators = /[ >+~]/,
+let reHasCSSCombinators = /[ >+~]/,
     reHasPseudoClass = /:+(?:after|before)$/,
     sanitizedSelectors = new Map(),
-    matchProp = vAPI.matchesProp,
-    simple = { dict: new Set(), str: undefined },
-    complex = { dict: new Set(), str:  undefined },
-    procedural = { dict: new Map() },
-    jobQueue = [];
+    simpleDeclarativeSet = new Set(),
+    simpleDeclarativeStr,
+    complexDeclarativeSet = new Set(),
+    complexDeclarativeStr,
+    proceduralDict = new Map(),
+    nodesToProcess = new Set(),
+    shouldProcessDeclarativeComplex = false,
+    shouldProcessProcedural = false,
+    loggedSelectors = new Set();
 
-var DeclarativeSimpleJob = function(node) {
-    this.node = node;
-};
-DeclarativeSimpleJob.create = function(node) {
-    return new DeclarativeSimpleJob(node);
+/******************************************************************************/
+
+let shouldProcess = function() {
+    return nodesToProcess.size !== 0 ||
+           shouldProcessDeclarativeComplex ||
+           shouldProcessProcedural;
 };
-DeclarativeSimpleJob.prototype.lookup = function(out) {
-    if ( simple.dict.size === 0 ) { return; }
-    if ( simple.str === undefined ) {
-        simple.str = Array.from(simple.dict).join(',\n');
+
+/******************************************************************************/
+
+let processDeclarativeSimple = function(node, out) {
+    if ( simpleDeclarativeSet.size === 0 ) { return; }
+    if ( simpleDeclarativeStr === undefined ) {
+        simpleDeclarativeStr = Array.from(simpleDeclarativeSet).join(',\n');
     }
     if (
-        (this.node === document || this.node[matchProp](simple.str) === false) &&
-        (this.node.querySelector(simple.str) === null)
+        (node === document || node.matches(simpleDeclarativeStr) === false) &&
+        (node.querySelector(simpleDeclarativeStr) === null)
     ) {
         return;
     }
-    for ( var selector of simple.dict ) {
+    for ( let selector of simpleDeclarativeSet ) {
         if (
-            this.node !== document && this.node[matchProp](selector) ||
-            this.node.querySelector(selector) !== null
+            (node === document || node.matches(selector) === false) &&
+            (node.querySelector(selector) === null)
         ) {
-            out.push(sanitizedSelectors.get(selector) || selector);
-            simple.dict.delete(selector);
-            simple.str = undefined;
-            if ( simple.dict.size === 0 ) { return; }
+            continue;
         }
+        out.push(sanitizedSelectors.get(selector) || selector);
+        simpleDeclarativeSet.delete(selector);
+        simpleDeclarativeStr = undefined;
+        loggedSelectors.add(selector);
+        if ( simpleDeclarativeSet.size === 0 ) { return; }
     }
 };
 
-var DeclarativeComplexJob = function() {
-};
-DeclarativeComplexJob.instance = null;
-DeclarativeComplexJob.create = function() {
-    if ( DeclarativeComplexJob.instance === null ) {
-        DeclarativeComplexJob.instance = new DeclarativeComplexJob();
-    }
-    return DeclarativeComplexJob.instance;
-};
-DeclarativeComplexJob.prototype.lookup = function(out) {
-    if ( complex.dict.size === 0 ) { return; }
-    if ( complex.str === undefined ) {
-        complex.str = Array.from(complex.dict).join(',\n');
-    }
-    if ( document.querySelector(complex.str) === null ) { return; }
-    for ( var selector of complex.dict ) {
-        if ( document.querySelector(selector) !== null ) {
-            out.push(sanitizedSelectors.get(selector) || selector);
-            complex.dict.delete(selector);
-            complex.str = undefined;
-            if ( complex.dict.size === 0 ) { return; }
-        }
-    }
-};
+/******************************************************************************/
 
-var ProceduralJob = function() {
-};
-ProceduralJob.instance = null;
-ProceduralJob.create = function() {
-    if ( ProceduralJob.instance === null ) {
-        ProceduralJob.instance = new ProceduralJob();
+let processDeclarativeComplex = function(out) {
+    if ( complexDeclarativeSet.size === 0 ) { return; }
+    if ( complexDeclarativeStr === undefined ) {
+        complexDeclarativeStr = Array.from(complexDeclarativeSet).join(',\n');
+    }
+    if ( document.querySelector(complexDeclarativeStr) === null ) { return; }
+    for ( let selector of complexDeclarativeSet ) {
+        if ( document.querySelector(selector) === null ) { continue; }
+        out.push(sanitizedSelectors.get(selector) || selector);
+        complexDeclarativeSet.delete(selector);
+        complexDeclarativeStr = undefined;
+        loggedSelectors.add(selector);
+        if ( complexDeclarativeSet.size === 0 ) { return; }
     }
-    return ProceduralJob.instance;
 };
-ProceduralJob.prototype.lookup = function(out) {
-    for ( var entry of procedural.dict ) {
-        if ( entry[1].test() ) {
-            procedural.dict.delete(entry[0]);
-            out.push(entry[1].raw);
-            if ( procedural.dict.size === 0 ) { return; }
-        }
+
+/******************************************************************************/
+
+let processProcedural = function(out) {
+    if ( proceduralDict.size === 0 ) { return; }
+    for ( let entry of proceduralDict ) {
+        if ( entry[1].test() === false ) { continue; }
+        out.push(entry[1].raw);
+        proceduralDict.delete(entry[0]);
+        if ( proceduralDict.size === 0 ) { break; }
     }
 };
 
-var jobQueueTimer = new vAPI.SafeAnimationFrame(function processJobQueue() {
+/******************************************************************************/
+
+let processTimer = new vAPI.SafeAnimationFrame(() => {
     //console.time('dom logger/scanning for matches');
-    jobQueueTimer.clear();
-    var toLog = [],
-        t0 = Date.now(),
-        job;
-    while ( (job = jobQueue.shift()) ) {
-        job.lookup(toLog);
-        if ( (Date.now() - t0) > 10 ) { break; }
-    }
-    if ( toLog.length !== 0 ) {
-        vAPI.messaging.send(
-            'scriptlets',
-            {
-                what: 'logCosmeticFilteringData',
-                frameURL: window.location.href,
-                frameHostname: window.location.hostname,
-                matchedSelectors: toLog
-            }
-        );
+    processTimer.clear();
+    let toLog = [];
+    if ( nodesToProcess.size !== 0 && simpleDeclarativeSet.size !== 0 ) {
+        if ( nodesToProcess.size !== 1 && nodesToProcess.has(document) ) {
+            nodesToProcess.clear();
+            nodesToProcess.add(document);
+        }
+        for ( let node of nodesToProcess ) {
+            processDeclarativeSimple(node, toLog);
+        }
+        nodesToProcess.clear();
+    }
+    if ( shouldProcessDeclarativeComplex ) {
+        processDeclarativeComplex(toLog);
+        shouldProcessDeclarativeComplex = false;
+    }
+    if ( shouldProcessProcedural ) {
+        processProcedural(toLog);
+        shouldProcessProcedural = false;
+    }
+    if ( toLog.length === 0 ) { return; }
+    vAPI.messaging.send(
+        'scriptlets',
+        {
+            what: 'logCosmeticFilteringData',
+            frameURL: window.location.href,
+            frameHostname: window.location.hostname,
+            matchedSelectors: toLog
+        }
+    );
+    //console.timeEnd('dom logger/scanning for matches');
+});
+
+/******************************************************************************/
+
+let attributeObserver = new MutationObserver(mutations => {
+    if ( simpleDeclarativeSet.size !== 0 ) {
+        for ( let mutation of mutations ) {
+            let node = mutation.target;
+            if ( node.nodeType !== 1 ) { continue; }
+            nodesToProcess.add(node);
+        }
     }
-    if ( simple.dict.size === 0 && complex.dict.size === 0 ) {
-        jobQueue = [];
+    if ( complexDeclarativeSet.size !== 0 ) {
+        shouldProcessDeclarativeComplex = true;
     }
-    if ( jobQueue.length !== 0 ) {
-        jobQueueTimer.start(100);
+    if ( proceduralDict.size !== 0 ) {
+        shouldProcessProcedural = true;
+    }
+    if ( shouldProcess() ) {
+        processTimer.start(100);
     }
-    //console.timeEnd('dom logger/scanning for matches');
 });
 
-var handlers = {
+/******************************************************************************/
+
+let handlers = {
     onFiltersetChanged: function(changes) {
         //console.time('dom logger/filterset changed');
-        var selector, sanitized, entry,
-            simpleSizeBefore = simple.dict.size,
-            complexSizeBefore = complex.dict.size,
+        let simpleSizeBefore = simpleDeclarativeSet.size,
+            complexSizeBefore = complexDeclarativeSet.size,
             logNow = [];
-        for ( entry of (changes.declarative || []) ) {
-            for ( selector of entry[0].split(',\n') ) {
-                if ( entry[1] === 'display:none!important;' ) {
-                    if ( reHasPseudoClass.test(selector) ) {
-                        sanitized = selector.replace(reHasPseudoClass, '');
-                        sanitizedSelectors.set(sanitized, selector);
-                        selector = sanitized;
-                    }
-                    if ( reHasCSSCombinators.test(selector) ) {
-                        complex.dict.add(selector);
-                        complex.str = undefined;
-                    } else {
-                        simple.dict.add(selector);
-                        simple.str = undefined;
-                    }
-                } else {
+        for ( let entry of (changes.declarative || []) ) {
+            for ( let selector of entry[0].split(',\n') ) {
+                if ( entry[1] !== 'display:none!important;' ) {
                     logNow.push(selector + ':style(' + entry[1] + ')');
+                    continue;
+                }
+                if ( reHasPseudoClass.test(selector) ) {
+                    let sanitized = selector.replace(reHasPseudoClass, '');
+                    sanitizedSelectors.set(sanitized, selector);
+                    selector = sanitized;
+                }
+                if ( loggedSelectors.has(selector) ) { continue; }
+                if ( reHasCSSCombinators.test(selector) ) {
+                    complexDeclarativeSet.add(selector);
+                    complexDeclarativeStr = undefined;
+                } else {
+                    simpleDeclarativeSet.add(selector);
+                    simpleDeclarativeStr = undefined;
                 }
             }
         }
-        if ( simple.dict.size !== simpleSizeBefore ) {
-            jobQueue.push(DeclarativeSimpleJob.create(document));
-        }
-        if ( complex.dict.size !== complexSizeBefore ) {
-            complex.str = Array.from(complex.dict).join(',\n');
-            jobQueue.push(DeclarativeComplexJob.create());
-        }
         if ( logNow.length !== 0 ) {
             vAPI.messaging.send(
                 'scriptlets',
@@ -193,16 +212,23 @@ var handlers = {
                 }
             );
         }
-        if ( Array.isArray(changes.procedural) ) {
-            for ( selector of changes.procedural ) {
-                procedural.dict.set(selector.raw, selector);
-            }
-            if ( changes.procedural.length !== 0 ) {
-                jobQueue.push(ProceduralJob.create());
+        if ( simpleDeclarativeSet.size !== simpleSizeBefore ) {
+            nodesToProcess.add(document.documentElement);
+        }
+        if ( complexDeclarativeSet.size !== complexSizeBefore ) {
+            shouldProcessDeclarativeComplex = true;
+        }
+        if (
+            Array.isArray(changes.procedural) &&
+            changes.procedural.length !== 0
+        ) {
+            for ( let selector of changes.procedural ) {
+                proceduralDict.set(selector.raw, selector);
             }
+            shouldProcessProcedural = true;
         }
-        if ( jobQueue.length !== 0 ) {
-            jobQueueTimer.start(1);
+        if ( shouldProcess() ) {
+            processTimer.start(1);
         }
         //console.timeEnd('dom logger/filterset changed');
     },
@@ -210,36 +236,39 @@ var handlers = {
     onDOMCreated: function() {
         handlers.onFiltersetChanged(vAPI.domFilterer.getAllSelectors());
         vAPI.domFilterer.addListener(handlers);
+        attributeObserver.observe(document.body, {
+            attributes: true,
+            subtree: true
+        });
     },
 
     onDOMChanged: function(addedNodes) {
-        if ( simple.dict.size === 0 && complex.dict.size === 0 ) { return; }
         // This is to guard against runaway job queue. I suspect this could
         // occur on slower devices.
-        if ( jobQueue.length <= 300 ) {
-            if ( simple.dict.size !== 0 ) {
-                for ( var node of addedNodes ) {
-                    jobQueue.push(DeclarativeSimpleJob.create(node));
-                }
-            }
-            if ( complex.dict.size !== 0 ) {
-                jobQueue.push(DeclarativeComplexJob.create());
-            }
-            if ( procedural.dict.size !== 0 ) {
-                jobQueue.push(ProceduralJob.create());
+        if ( simpleDeclarativeSet.size !== 0 ) {
+            for ( let node of addedNodes ) {
+                if ( node.parentNode === null ) { continue; }
+                nodesToProcess.add(node);
             }
         }
-        if ( jobQueue.length !== 0 ) {
-            jobQueueTimer.start(100);
+        if ( complexDeclarativeSet.size !== 0 ) {
+            shouldProcessDeclarativeComplex = true;
+        }
+        if ( proceduralDict.size !== 0 ) {
+            shouldProcessProcedural = true;
+        }
+        if ( shouldProcess() ) {
+            processTimer.start(100);
         }
     }
 };
 
 /******************************************************************************/
 
-var onMessage = function(msg) {
+let onMessage = function(msg) {
     if ( msg.what === 'loggerDisabled' ) {
-        jobQueueTimer.clear();
+        processTimer.clear();
+        attributeObserver.disconnect();
         vAPI.domFilterer.removeListener(handlers);
         vAPI.domWatcher.removeListener(handlers);
         vAPI.messaging.removeChannelListener('domLogger', onMessage);
diff -pruN 1.16.14+dfsg-1/src/js/scriptlets/cosmetic-survey.js 1.17.0+dfsg-2/src/js/scriptlets/cosmetic-survey.js
--- 1.16.14+dfsg-1/src/js/scriptlets/cosmetic-survey.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/scriptlets/cosmetic-survey.js	1970-01-01 00:00:00.000000000 +0000
@@ -1,57 +0,0 @@
-/*******************************************************************************
-
-    uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2015-2018 Raymond Hill
-
-    This program is free software: you can redistribute it and/or modify
-    it under the terms of the GNU General Public License as published by
-    the Free Software Foundation, either version 3 of the License, or
-    (at your option) any later version.
-
-    This program is distributed in the hope that it will be useful,
-    but WITHOUT ANY WARRANTY; without even the implied warranty of
-    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-    GNU General Public License for more details.
-
-    You should have received a copy of the GNU General Public License
-    along with this program.  If not, see {http://www.gnu.org/licenses/}.
-
-    Home: https://github.com/gorhill/uBlock
-*/
-
-'use strict';
-
-/******************************************************************************/
-
-(function() {
-    if ( typeof vAPI !== 'object' || !vAPI.domFilterer ) { return; }
-
-    vAPI.messaging.send(
-        'scriptlets',
-        {
-            what: 'cosmeticallyFilteredElementCount',
-            pageURL: window.location.href,
-            filteredElementCount: vAPI.domFilterer.getFilteredElementCount()
-        }
-    );
-})();
-
-
-
-
-
-
-
-
-/*******************************************************************************
-
-    DO NOT:
-    - Remove the following code
-    - Add code beyond the following code
-    Reason:
-    - https://github.com/gorhill/uBlock/pull/3721
-    - uBO never uses the return value from injected content scripts
-
-**/
-
-void 0;
diff -pruN 1.16.14+dfsg-1/src/js/scriptlets/dom-survey.js 1.17.0+dfsg-2/src/js/scriptlets/dom-survey.js
--- 1.16.14+dfsg-1/src/js/scriptlets/dom-survey.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/scriptlets/dom-survey.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,86 @@
+/*******************************************************************************
+
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2015-2018 Raymond Hill
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+'use strict';
+
+/******************************************************************************/
+
+(function() {
+    if ( typeof vAPI !== 'object' ) { return; }
+
+    // https://github.com/gorhill/httpswitchboard/issues/25
+    //
+    // https://github.com/gorhill/httpswitchboard/issues/131
+    //   Looks for inline javascript also in at least one a[href] element.
+    //
+    // https://github.com/gorhill/uMatrix/issues/485
+    //   Mind "on..." attributes.
+    //
+    // https://github.com/gorhill/uMatrix/issues/924
+    //   Report inline styles.
+    let inlineScriptCount = 0;
+    if (
+        document.querySelector('script:not([src])') !== null ||
+        document.querySelector('script[src^="data:"]') !== null ||
+        document.querySelector('script[src^="blob:"]') !== null ||
+        document.querySelector('a[href^="javascript:"]') !== null ||
+        document.querySelector('[onabort],[onblur],[oncancel],[oncanplay],[oncanplaythrough],[onchange],[onclick],[onclose],[oncontextmenu],[oncuechange],[ondblclick],[ondrag],[ondragend],[ondragenter],[ondragexit],[ondragleave],[ondragover],[ondragstart],[ondrop],[ondurationchange],[onemptied],[onended],[onerror],[onfocus],[oninput],[oninvalid],[onkeydown],[onkeypress],[onkeyup],[onload],[onloadeddata],[onloadedmetadata],[onloadstart],[onmousedown],[onmouseenter],[onmouseleave],[onmousemove],[onmouseout],[onmouseover],[onmouseup],[onwheel],[onpause],[onplay],[onplaying],[onprogress],[onratechange],[onreset],[onresize],[onscroll],[onseeked],[onseeking],[onselect],[onshow],[onstalled],[onsubmit],[onsuspend],[ontimeupdate],[ontoggle],[onvolumechange],[onwaiting],[onafterprint],[onbeforeprint],[onbeforeunload],[onhashchange],[onlanguagechange],[onmessage],[onoffline],[ononline],[onpagehide],[onpageshow],[onrejectionhandled],[onpopstate],[onstorage],[onunhandledrejection],[onunload],[oncopy],[oncut],[onpaste]') !== null
+    ) {
+        inlineScriptCount = 1;
+    }
+
+    let scriptTags = document.querySelectorAll('script[src]');
+
+    let filteredElementCount = 0;
+    if ( vAPI.domFilterer ) {
+        filteredElementCount = vAPI.domFilterer.getFilteredElementCount();
+    }
+
+    vAPI.messaging.send(
+        'scriptlets',
+        {
+            what: 'domSurveyTransientReport',
+            pageURL: window.location.href,
+            filteredElementCount: filteredElementCount,
+            scriptCount: inlineScriptCount + scriptTags.length,
+        }
+    );
+})();
+
+
+
+
+
+
+
+
+/*******************************************************************************
+
+    DO NOT:
+    - Remove the following code
+    - Add code beyond the following code
+    Reason:
+    - https://github.com/gorhill/uBlock/pull/3721
+    - uBO never uses the return value from injected content scripts
+
+**/
+
+void 0;
diff -pruN 1.16.14+dfsg-1/src/js/scriptlets/element-picker.js 1.17.0+dfsg-2/src/js/scriptlets/element-picker.js
--- 1.16.14+dfsg-1/src/js/scriptlets/element-picker.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/scriptlets/element-picker.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -1044,9 +1044,12 @@ var candidateFromFilterChoice = function
     //   TODO: should remove tag name too? ¯\_(ツ)_/¯
     if ( filterChoice.modifier ) {
         filter = filter.replace(/:nth-of-type\(\d+\)/, '');
-        if ( filter.indexOf('.') !== -1 ) {
-            if ( filter.charAt(2) === '#' ) {
-                filter = filter.replace(/#[^#.]+/, '');
+        // https://github.com/uBlockOrigin/uBlock-issues/issues/162
+        //   Mind escaped periods: they do not denote a class identifier.
+        if ( filter.charAt(2) === '#' ) {
+            let pos = filter.search(/[^\\]\./);
+            if ( pos !== -1 ) {
+                filter = '##' + filter.slice(pos + 1);
             }
         }
         return filter;
@@ -1057,8 +1060,10 @@ var candidateFromFilterChoice = function
     for ( ; slot < filters.length; slot++ ) {
         filter = filters[slot];
         // Remove all classes when an id exists.
+        // https://github.com/uBlockOrigin/uBlock-issues/issues/162
+        //   Mind escaped periods: they do not denote a class identifier.
         if ( filter.charAt(2) === '#' ) {
-            filter = filter.replace(/\..+$/, '');
+            filter = filter.replace(/([^\\])\..+$/, '$1');
         }
         selector = filter.slice(2) + joiner + selector;
         // Stop at any element with an id: these are unique in a web page
@@ -1490,8 +1495,8 @@ var stopPicker = function() {
 var startPicker = function(details) {
     pickerRoot.addEventListener('load', stopPicker);
 
-    var frameDoc = pickerRoot.contentDocument;
-    var parsedDom = (new DOMParser()).parseFromString(
+    let frameDoc = pickerRoot.contentDocument;
+    let parsedDom = (new DOMParser()).parseFromString(
         details.frameContent,
         'text/html'
     );
@@ -1500,6 +1505,17 @@ var startPicker = function(details) {
     // picker style properties.
     parsedDom.documentElement.id = 'ublock0-epicker';
 
+    // https://github.com/gorhill/uBlock/issues/2240
+    // https://github.com/uBlockOrigin/uBlock-issues/issues/170
+    //   Remove the already declared inline style tag: we will create a new
+    //   one based on the removed one, and replace the old one.
+    let style = parsedDom.querySelector('style');
+    let styleText = style.textContent;
+    style.parentNode.removeChild(style);
+    style = frameDoc.createElement('style');
+    style.textContent = styleText;
+    parsedDom.head.appendChild(style);
+
     frameDoc.replaceChild(
         frameDoc.adoptNode(parsedDom.documentElement),
         frameDoc.documentElement
@@ -1528,7 +1544,7 @@ var startPicker = function(details) {
     pickerRoot.contentWindow.focus();
 
     // Restore net filter union data if it originate from the same URL.
-    var eprom = details.eprom || null;
+    let eprom = details.eprom || null;
     if ( eprom !== null && eprom.lastNetFilterSession === lastNetFilterSession ) {
         lastNetFilterHostname = eprom.lastNetFilterHostname || '';
         lastNetFilterUnion = eprom.lastNetFilterUnion || '';
@@ -1547,12 +1563,11 @@ var startPicker = function(details) {
     }
 
     // No mouse position available, use suggested target
-    var target = details.target || '';
-    var pos = target.indexOf('\t');
-    if ( pos === -1 ) {
-        return;
-    }
-    var srcAttrMap = {
+    let target = details.target || '';
+    let pos = target.indexOf('\t');
+    if ( pos === -1 ) { return; }
+
+    let srcAttrMap = {
         'a': 'href',
         'audio': 'src',
         'embed': 'src',
@@ -1560,24 +1575,20 @@ var startPicker = function(details) {
         'img': 'src',
         'video': 'src',
     };
-    var tagName = target.slice(0, pos);
-    var url = target.slice(pos + 1);
-    var attr = srcAttrMap[tagName];
+    let tagName = target.slice(0, pos);
+    let url = target.slice(pos + 1);
+    let attr = srcAttrMap[tagName];
     if ( attr === undefined ) {
         return;
     }
-    var elems = document.querySelectorAll(tagName + '[' + attr + ']');
-    var i = elems.length;
-    var elem, src;
+    let elems = document.querySelectorAll(tagName + '[' + attr + ']');
+    let i = elems.length;
+    let elem, src;
     while ( i-- ) {
         elem = elems[i];
         src = elem[attr];
-        if ( typeof src !== 'string' || src === '' ) {
-            continue;
-        }
-        if ( src !== url ) {
-            continue;
-        }
+        if ( typeof src !== 'string' || src === '' ) { continue; }
+        if ( src !== url ) { continue; }
         elem.scrollIntoView({
             behavior: 'smooth',
             block: 'start'
diff -pruN 1.16.14+dfsg-1/src/js/scriptlets/noscript-spoof.js 1.17.0+dfsg-2/src/js/scriptlets/noscript-spoof.js
--- 1.16.14+dfsg-1/src/js/scriptlets/noscript-spoof.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/scriptlets/noscript-spoof.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,83 @@
+/*******************************************************************************
+
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2014-present Raymond Hill
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+// Code below has been imported from uMatrix and modified to fit uBO:
+// https://github.com/gorhill/uMatrix/blob/3f8794dd899a05e066c24066c6c0a2515d5c60d2/src/js/contentscript.js#L464-L531
+
+'use strict';
+
+/******************************************************************************/
+
+// https://github.com/gorhill/uMatrix/issues/232
+//   Force `display` property, Firefox is still affected by the issue.
+
+(function() {
+    let noscripts = document.querySelectorAll('noscript');
+    if ( noscripts.length === 0 ) { return; }
+
+    let redirectTimer,
+        reMetaContent = /^\s*(\d+)\s*;\s*url=(['"]?)([^'"]+)\2/i,
+        reSafeURL = /^https?:\/\//;
+
+    let autoRefresh = function(root) {
+        let meta = root.querySelector('meta[http-equiv="refresh"][content]');
+        if ( meta === null ) { return; }
+        let match = reMetaContent.exec(meta.getAttribute('content'));
+        if ( match === null || match[3].trim() === '' ) { return; }
+        let url = new URL(match[3], document.baseURI);
+        if ( reSafeURL.test(url.href) === false ) { return; }
+        redirectTimer = setTimeout(( ) => {
+                location.assign(url.href);
+            },
+            parseInt(match[1], 10) * 1000 + 1
+        );
+        meta.parentNode.removeChild(meta);
+    };
+
+    let morphNoscript = function(from) {
+        if ( /^application\/(?:xhtml\+)?xml/.test(document.contentType) ) {
+            let to = document.createElement('span');
+            while ( from.firstChild !== null ) {
+                to.appendChild(from.firstChild);
+            }
+            return to;
+        }
+        let parser = new DOMParser();
+        let doc = parser.parseFromString(
+            '<span>' + from.textContent + '</span>',
+            'text/html'
+        );
+        return document.adoptNode(doc.querySelector('span'));
+    };
+
+    for ( let noscript of noscripts ) {
+        let parent = noscript.parentNode;
+        if ( parent === null ) { continue; }
+        let span = morphNoscript(noscript);
+        span.style.setProperty('display', 'inline', 'important');
+        if ( redirectTimer === undefined ) {
+            autoRefresh(span);
+        }
+        parent.replaceChild(span, noscript);
+    }
+})();
+
+/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/js/shortcuts.js 1.17.0+dfsg-2/src/js/shortcuts.js
--- 1.16.14+dfsg-1/src/js/shortcuts.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/shortcuts.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,221 @@
+/*******************************************************************************
+
+    uBlock Origin - a browser extension to block requests.
+    Copyright (C) 2018-present Raymond Hill
+
+    This program is free software: you can redistribute it and/or modify
+    it under the terms of the GNU General Public License as published by
+    the Free Software Foundation, either version 3 of the License, or
+    (at your option) any later version.
+
+    This program is distributed in the hope that it will be useful,
+    but WITHOUT ANY WARRANTY; without even the implied warranty of
+    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+    GNU General Public License for more details.
+
+    You should have received a copy of the GNU General Public License
+    along with this program.  If not, see {http://www.gnu.org/licenses/}.
+
+    Home: https://github.com/gorhill/uBlock
+*/
+
+'use strict';
+
+(function() {
+
+    // https://developer.mozilla.org/en-US/Add-ons/WebExtensions/manifest.json/commands#Shortcut_values
+    let validStatus0Keys = new Map([
+        [ 'alt', 'Alt' ],
+        [ 'control', 'Ctrl' ],
+    ]);
+    let validStatus1Keys = new Map([
+        [ 'a', 'A' ],
+        [ 'b', 'B' ],
+        [ 'c', 'C' ],
+        [ 'd', 'D' ],
+        [ 'e', 'E' ],
+        [ 'f', 'F' ],
+        [ 'g', 'G' ],
+        [ 'h', 'H' ],
+        [ 'i', 'I' ],
+        [ 'j', 'J' ],
+        [ 'k', 'K' ],
+        [ 'l', 'L' ],
+        [ 'm', 'M' ],
+        [ 'n', 'N' ],
+        [ 'o', 'O' ],
+        [ 'p', 'P' ],
+        [ 'q', 'Q' ],
+        [ 'r', 'R' ],
+        [ 's', 'S' ],
+        [ 't', 'T' ],
+        [ 'u', 'U' ],
+        [ 'v', 'V' ],
+        [ 'w', 'W' ],
+        [ 'x', 'X' ],
+        [ 'y', 'Y' ],
+        [ 'z', 'Z' ],
+        [ '0', '0' ],
+        [ '1', '1' ],
+        [ '2', '2' ],
+        [ '3', '3' ],
+        [ '4', '4' ],
+        [ '5', '5' ],
+        [ '6', '6' ],
+        [ '7', '7' ],
+        [ '8', '8' ],
+        [ '9', '9' ],
+        [ 'f1', 'F1' ],
+        [ 'f2', 'F2' ],
+        [ 'f3', 'F3' ],
+        [ 'f4', 'F4' ],
+        [ 'f5', 'F5' ],
+        [ 'f6', 'F6' ],
+        [ 'f7', 'F7' ],
+        [ 'f8', 'F8' ],
+        [ 'f9', 'F9' ],
+        [ 'f10', 'F10' ],
+        [ 'f11', 'F11' ],
+        [ 'f12', 'F12' ],
+        [ ' ', 'Space' ],
+        [ ',', 'Comma' ],
+        [ '.', 'Period' ],
+        [ 'home', 'Home' ],
+        [ 'end', 'End' ],
+        [ 'pageup', 'PageUp' ],
+        [ 'pagedown', 'PageDown' ],
+        [ 'insert', 'Insert' ],
+        [ 'delete', 'Delete' ],
+        [ 'arrowup', 'Up' ],
+        [ 'arrowdown', 'Down' ],
+        [ 'arrowleft', 'Left' ],
+        [ 'arrowright', 'Right' ],
+        [ 'shift', 'Shift' ],
+    ]);
+
+    let commandNameFromElement = function(elem) {
+        while ( elem !== null ) {
+            let name = elem.getAttribute('data-name');
+            if ( typeof name === 'string' && name !== '' ) { return name; }
+            elem = elem.parentElement;
+        }
+    };
+
+    let captureShortcut = function(ev) {
+        let input = ev.target;
+        let name = commandNameFromElement(input);
+        if ( name === undefined ) { return; }
+
+        let before = input.value;
+        let after = new Set();
+        let status = 0;
+
+        let updateCapturedShortcut = function() {
+            return (input.value = Array.from(after).join('+'));
+        };
+
+        let blurHandler = function() {
+            input.removeEventListener('blur', blurHandler, true);
+            input.removeEventListener('keydown', keydownHandler, true);
+            input.removeEventListener('keyup', keyupHandler, true);
+            if ( status === 2 ) {
+                vAPI.messaging.send(
+                    'dashboard',
+                    { what: 'setShortcut', name: name, shortcut: updateCapturedShortcut() }
+                );
+            } else {
+                input.value = before;
+            }
+        };
+
+        let keydownHandler = function(ev) {
+            ev.preventDefault();
+            ev.stopImmediatePropagation();
+            if ( ev.code === 'Escape' ) {
+                input.blur();
+                return;
+            }
+            if ( status === 0 ) {
+                let keyName = validStatus0Keys.get(ev.key.toLowerCase());
+                if ( keyName !== undefined ) {
+                    after.add(keyName);
+                    updateCapturedShortcut();
+                    status = 1;
+                }
+                return;
+            }
+            if ( status === 1 ) {
+                if ( ev.key === 'Shift' ) {
+                    after.add('Shift');
+                    updateCapturedShortcut();
+                    return;
+                }
+                let keyName = validStatus1Keys.get(ev.key.toLowerCase());
+                if ( keyName !== undefined ) {
+                    after.add(keyName);
+                    updateCapturedShortcut();
+                    status = 2;
+                    input.blur();
+                    return;
+                }
+            }
+        };
+
+        let keyupHandler = function(ev) {
+            ev.preventDefault();
+            ev.stopImmediatePropagation();
+            if ( status !== 1 ) { return; }
+            let keyName = validStatus0Keys.get(ev.key.toLowerCase());
+            if ( keyName !== undefined && after.has(keyName) ) {
+                after.clear();
+                updateCapturedShortcut();
+                status = 0;
+                return;
+            }
+            if ( ev.key === 'Shift' ) {
+                after.delete('Shift');
+                updateCapturedShortcut();
+                return;
+            }
+        };
+
+        input.value = '';
+        input.addEventListener('blur', blurHandler, true);
+        input.addEventListener('keydown', keydownHandler, true);
+        input.addEventListener('keyup', keyupHandler, true);
+    };
+
+    let resetShortcut = function(ev) {
+        let name = commandNameFromElement(ev.target);
+        if ( name === undefined ) { return; }
+
+        let input = document.querySelector('[data-name="' + name + '"] input');
+        if ( input === null ) { return; }
+        input.value = '';
+        vAPI.messaging.send(
+            'dashboard',
+            { what: 'setShortcut', name: name }
+        );
+    };
+
+    let onShortcutsReady = function(commands) {
+        if ( Array.isArray(commands) === false ) { return; }
+        let template = document.querySelector('#templates .commandEntry');
+        let tbody = document.querySelector('.commandEntries tbody');
+        for ( let command of commands ) {
+            if ( command.description === '' ) { continue; }
+            let tr = template.cloneNode(true);
+            tr.setAttribute('data-name', command.name);
+            tr.querySelector('.commandDesc').textContent = command.description;
+            let input = tr.querySelector('.commandShortcut input');
+            input.setAttribute('data-name', command.name);
+            input.value = command.shortcut;
+            input.addEventListener('focus', captureShortcut);
+            tr.querySelector('.commandReset').addEventListener('click', resetShortcut);
+            tbody.appendChild(tr);
+        }
+    };
+
+    vAPI.messaging.send('dashboard', { what: 'getShortcuts' }, onShortcutsReady);
+
+})();
diff -pruN 1.16.14+dfsg-1/src/js/start.js 1.17.0+dfsg-2/src/js/start.js
--- 1.16.14+dfsg-1/src/js/start.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/start.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -42,7 +42,8 @@ vAPI.app.onShutdown = function() {
     µb.permanentFirewall.reset();
     µb.sessionURLFiltering.reset();
     µb.permanentURLFiltering.reset();
-    µb.hnSwitches.reset();
+    µb.sessionSwitches.reset();
+    µb.permanentSwitches.reset();
 };
 
 /******************************************************************************/
@@ -103,6 +104,17 @@ var onPSLReady = function() {
 
 /******************************************************************************/
 
+var onCommandShortcutsReady = function(commandShortcuts) {
+    if ( Array.isArray(commandShortcuts) === false ) { return; }
+    µb.commandShortcuts = new Map(commandShortcuts);
+    if ( µb.canUpdateShortcuts === false ) { return; }
+    for ( let entry of commandShortcuts ) {
+        vAPI.commands.update({ name: entry[0], shortcut: entry[1] });
+    }
+};
+
+/******************************************************************************/
+
 // To bring older versions up to date
 
 var onVersionReady = function(lastVersion) {
@@ -113,51 +125,49 @@ var onVersionReady = function(lastVersio
     // release. This will be done only for release versions of Firefox.
     if (
         vAPI.webextFlavor.soup.has('firefox') &&
-        /(b|rc)\d+$/.test(vAPI.app.version) === false
+        vAPI.webextFlavor.soup.has('devbuild') === false
     ) {
         µb.redirectEngine.invalidateResourcesSelfie();
     }
 
-    // From 1.15.19b9 and above, the `behind-the-scene` scope is no longer
-    // whitelisted by default, and network requests from that scope will be
-    // subject to filtering by default.
-    //
-    // Following code is to remove the `behind-the-scene` scope when updating
-    // from a version older than 1.15.19b9.
-    // This will apply only to webext versions of uBO, as the following would
-    // certainly cause too much breakage in Firefox legacy given that uBO can
-    // see ALL network requests.
-    // Remove when everybody is beyond 1.15.19b8.
-    (function patch1015019008(s) {
-        if ( vAPI.firefox !== undefined ) { return; }
-        var match = /^(\d+)\.(\d+)\.(\d+)(?:\D+(\d+))?/.exec(s);
-        if ( match === null ) { return; }
-        var v =
-            parseInt(match[1], 10) * 1000 * 1000 * 1000 +
-            parseInt(match[2], 10) * 1000 * 1000 +
-            parseInt(match[3], 10) * 1000 +
-            (match[4] ? parseInt(match[4], 10) : 0);
-        if ( /rc\d+$/.test(s) ) { v += 100; }
-        if ( v > 1015019008 ) { return; }
-        if ( µb.getNetFilteringSwitch('http://behind-the-scene/') ) { return; }
-        var fwRules = [
-            'behind-the-scene * * noop',
-            'behind-the-scene * image noop',
-            'behind-the-scene * 3p noop',
-            'behind-the-scene * inline-script noop',
-            'behind-the-scene * 1p-script noop',
-            'behind-the-scene * 3p-script noop',
-            'behind-the-scene * 3p-frame noop'
-        ].join('\n');
-        µb.sessionFirewall.fromString(fwRules, true);
-        µb.permanentFirewall.fromString(fwRules, true);
-        µb.savePermanentFirewallRules();
-        µb.hnSwitches.fromString([
-            'no-large-media: behind-the-scene false'
-        ].join('\n'), true);
+    // If unused, just comment out for when we need to compare versions in the
+    // future.
+    let intFromVersion = function(s) {
+        let parts = s.match(/(?:^|\.|b|rc)\d+/g);
+        if ( parts === null ) { return 0; }
+        let vint = 0;
+        for ( let i = 0; i < 4; i++ ) {
+            let pstr = parts[i] || '';
+            let pint;
+            if ( pstr === '' ) {
+                pint = 0;
+            } else if ( pstr.startsWith('.') || pstr.startsWith('b') ) {
+                pint = parseInt(pstr.slice(1), 10);
+            } else if ( pstr.startsWith('rc') ) {
+                pint = parseInt(pstr.slice(2), 10) + 100;
+            } else {
+                pint = parseInt(pstr, 10);
+            }
+            vint = vint * 1000 + pint;
+        }
+        return vint;
+    };
+
+    let lastVersionInt = intFromVersion(lastVersion);
+
+    if ( lastVersionInt <= 1016021007 ) {
+        µb.sessionSwitches.toggle('no-scripting', 'behind-the-scene', 2);
+        µb.permanentSwitches.toggle('no-scripting', 'behind-the-scene', 2);
         µb.saveHostnameSwitches();
-        µb.toggleNetFilteringSwitch('http://behind-the-scene/', '', true);
-    })(lastVersion);
+    }
+
+    // https://github.com/uBlockOrigin/uBlock-issues/issues/212#issuecomment-419741324
+    if ( lastVersionInt <= 1015024000 ) {
+        if ( µb.hiddenSettings.manualUpdateAssetFetchPeriod === 2000 ) {
+            µb.hiddenSettings.manualUpdateAssetFetchPeriod = 500;
+            µb.saveHiddenSettings();
+        }
+    }
 
     vAPI.storage.set({ version: vAPI.app.version });
 };
@@ -195,7 +205,8 @@ var onUserSettingsReady = function(fetch
     µb.sessionFirewall.assign(µb.permanentFirewall);
     µb.permanentURLFiltering.fromString(fetched.urlFilteringString);
     µb.sessionURLFiltering.assign(µb.permanentURLFiltering);
-    µb.hnSwitches.fromString(fetched.hostnameSwitchesString);
+    µb.permanentSwitches.fromString(fetched.hostnameSwitchesString);
+    µb.sessionSwitches.assign(µb.permanentSwitches);
 
     // https://github.com/gorhill/uBlock/issues/1892
     // For first installation on a battery-powered device, disable generic
@@ -238,6 +249,7 @@ var onFirstFetchReady = function(fetched
     fromFetch(µb.restoreBackupSettings, fetched);
     onNetWhitelistReady(fetched.netWhitelist);
     onVersionReady(fetched.version);
+    onCommandShortcutsReady(fetched.commandShortcuts);
 
     µb.loadPublicSuffixList(onPSLReady);
     µb.loadRedirectResources();
@@ -270,7 +282,8 @@ var fromFetch = function(to, fetched) {
 
 var onSelectedFilterListsLoaded = function() {
     var fetchableProps = {
-        'compiledMagic': '',
+        'commandShortcuts': [],
+        'compiledMagic': 0,
         'dynamicFilteringString': [
             'behind-the-scene * * noop',
             'behind-the-scene * image noop',
@@ -282,14 +295,15 @@ var onSelectedFilterListsLoaded = functi
         ].join('\n'),
         'urlFilteringString': '',
         'hostnameSwitchesString': [
-            'no-large-media: behind-the-scene false'
+            'no-large-media: behind-the-scene false',
+            'no-scripting: behind-the-scene false'
         ].join('\n'),
         'lastRestoreFile': '',
         'lastRestoreTime': 0,
         'lastBackupFile': '',
         'lastBackupTime': 0,
         'netWhitelist': µb.netWhitelistDefault,
-        'selfieMagic': '',
+        'selfieMagic': 0,
         'version': '0.0.0.0'
     };
 
diff -pruN 1.16.14+dfsg-1/src/js/static-ext-filtering.js 1.17.0+dfsg-2/src/js/static-ext-filtering.js
--- 1.16.14+dfsg-1/src/js/static-ext-filtering.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/static-ext-filtering.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2017-2018 Raymond Hill
+    Copyright (C) 2017-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -219,8 +219,8 @@ µBlock.staticExtFilteringEngine = (func
         // https://github.com/gorhill/uBlock/issues/2793
         var normalizedOperators = new Map([
             [ ':-abp-contains', ':has-text' ],
-            [ ':-abp-has', ':if' ],
-            [ ':contains', ':has-text' ]
+            [ ':-abp-has', ':has' ],
+            [ ':contains', ':has-text' ],
         ]);
 
         var compileArgument = new Map([
@@ -280,6 +280,8 @@ µBlock.staticExtFilteringEngine = (func
                     break;
                 case ':has':
                 case ':if':
+                    raw.push(':has', '(', decompile(task[1]), ')');
+                    break;
                 case ':if-not':
                     raw.push(task[0], '(', decompile(task[1]), ')');
                     break;
@@ -311,6 +313,7 @@ µBlock.staticExtFilteringEngine = (func
                 // Find end of argument: first balanced closing parenthesis.
                 // Note: unbalanced parenthesis can be used in a regex literal
                 // when they are escaped using `\`.
+                // TODO: need to handle quoted parentheses.
                 var pcnt = 1;
                 while ( i < n ) {
                     c = raw.charCodeAt(i++);
@@ -323,8 +326,9 @@ µBlock.staticExtFilteringEngine = (func
                         if ( pcnt === 0 ) { break; }
                     }
                 }
-                // Unbalanced parenthesis?
-                if ( pcnt !== 0 ) { return; }
+                // Unbalanced parenthesis? An unbalanced parenthesis is fine
+                // as long as the last character is a closing parenthesis.
+                if ( pcnt !== 0 && c !== 0x29 ) { return; }
                 // Extract and remember operator details.
                 var operator = raw.slice(opNameBeg, opNameEnd);
                 operator = normalizedOperators.get(operator) || operator;
@@ -401,7 +405,7 @@ µBlock.staticExtFilteringEngine = (func
 
     api.HostnameBasedDB.prototype = {
         add: function(hash, entry) {
-            var bucket = this.db.get(hash);
+            let bucket = this.db.get(hash);
             if ( bucket === undefined ) {
                 this.db.set(hash, entry);
             } else if ( Array.isArray(bucket) ) {
@@ -416,16 +420,21 @@ µBlock.staticExtFilteringEngine = (func
             this.size = 0;
         },
         retrieve: function(hash, hostname, out) {
-            var bucket = this.db.get(hash);
+            let bucket = this.db.get(hash);
             if ( bucket === undefined ) { return; }
             if ( Array.isArray(bucket) === false ) {
-                if ( hostname.endsWith(bucket.hostname) ) { out.push(bucket); }
-                return;
+                bucket = [ bucket ];
             }
-            var i = bucket.length;
-            while ( i-- ) {
-                var entry = bucket[i];
-                if ( hostname.endsWith(entry.hostname) ) { out.push(entry); }
+            for ( let entry of bucket ) {
+                if ( hostname.endsWith(entry.hostname) === false ) { continue; }
+                let i = hostname.length - entry.hostname.length;
+                if (
+                    i === 0 ||
+                    i === hostname.length ||
+                    hostname.charCodeAt(i-1) === 0x2E /* '.' */
+                ) {
+                    out.push(entry);
+                }
             }
         },
         toSelfie: function() {
@@ -480,6 +489,60 @@ µBlock.staticExtFilteringEngine = (func
         resetParsed(parsed);
     };
 
+    // HHHHHHHHHHHH0000
+    //            |   |
+    //            |   |
+    //            |   +-- bit  3-0: reserved
+    //            +------ bit 15-4: FNV
+    api.makeHash = function(token) {
+        // Based on: FNV32a
+        // http://www.isthe.com/chongo/tech/comp/fnv/index.html#FNV-reference-source
+        // The rest is custom, suited for uBlock.
+        let i1 = token.length;
+        if ( i1 === 0 ) { return 0; }
+        let i2 = i1 >> 1;
+        let i4 = i1 >> 2;
+        let i8 = i1 >> 3;
+        let hval = (0x811c9dc5 ^ token.charCodeAt(0)) >>> 0;
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i8);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i4);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i4+i8);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i2);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i2+i8);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i2+i4);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval ^= token.charCodeAt(i1-1);
+        hval += (hval<<1) + (hval<<4) + (hval<<7) + (hval<<8) + (hval<<24);
+        hval >>>= 0;
+        hval &= 0xFFF0;
+        // Can't return 0, it's reserved for empty string.
+        return hval !== 0 ? hval : 0xfff0;
+    };
+
+    api.compileHostnameToHash = function(hostname) {
+        let domain;
+        if ( hostname.endsWith('.*') ) {
+            let pos = hostname.lastIndexOf('.', hostname.length - 3);
+            domain = pos !== -1 ? hostname.slice(pos + 1) : hostname;
+        } else {
+            domain = µb.URI.domainFromHostnameNoCache(hostname);
+        }
+        return api.makeHash(domain);
+    };
+
     // https://github.com/chrisaljoudi/uBlock/issues/1004
     //   Detect and report invalid CSS selectors.
 
@@ -503,7 +566,7 @@ µBlock.staticExtFilteringEngine = (func
 
         var normalizedExtendedSyntaxOperators = new Map([
             [ 'contains', ':has-text' ],
-            [ 'has', ':if' ],
+            [ 'has', ':has' ],
             [ 'matches-css', ':matches-css' ],
             [ 'matches-css-after', ':matches-css-after' ],
             [ 'matches-css-before', ':matches-css-before' ],
@@ -599,9 +662,9 @@ µBlock.staticExtFilteringEngine = (func
     })();
 
     api.compile = function(raw, writer) {
-        var lpos = raw.indexOf('#');
+        let lpos = raw.indexOf('#');
         if ( lpos === -1 ) { return false; }
-        var rpos = lpos + 1;
+        let rpos = lpos + 1;
         if ( raw.charCodeAt(rpos) !== 0x23 /* '#' */ ) {
             rpos = raw.indexOf('#', rpos + 1);
             if ( rpos === -1 ) { return false; }
@@ -614,7 +677,7 @@ µBlock.staticExtFilteringEngine = (func
         if ( (rpos - lpos) > 3 ) { return false; }
 
         // Extract the selector.
-        var suffix = raw.slice(rpos + 1).trim();
+        let suffix = raw.slice(rpos + 1).trim();
         if ( suffix.length === 0 ) { return false; }
         parsed.suffix = suffix;
 
@@ -625,7 +688,7 @@ µBlock.staticExtFilteringEngine = (func
         //   We have an Adguard/ABP cosmetic filter if and only if the
         //   character is `$`, `%` or `?`, otherwise it's not a cosmetic
         //   filter.
-        var cCode = raw.charCodeAt(rpos - 1);
+        let cCode = raw.charCodeAt(rpos - 1);
         if ( cCode !== 0x23 /* '#' */ && cCode !== 0x40 /* '@' */ ) {
             // Adguard's scriptlet injection: not supported.
             if ( cCode === 0x25 /* '%' */ ) { return true; }
@@ -648,37 +711,26 @@ µBlock.staticExtFilteringEngine = (func
         if ( lpos === 0 ) {
             parsed.hostnames = emptyArray;
         } else {
-            var prefix = raw.slice(0, lpos);
+            let prefix = raw.slice(0, lpos);
             parsed.hostnames = prefix.split(reHostnameSeparator);
             if ( reHasUnicode.test(prefix) ) {
                 toASCIIHostnames(parsed.hostnames);
             }
         }
 
+        // Backward compatibility with deprecated syntax.
         if ( suffix.startsWith('script:') ) {
-            // Scriptlet injection engine.
             if ( suffix.startsWith('script:inject') ) {
-                µb.scriptletFilteringEngine.compile(parsed, writer);
-                return true;
-            }
-            // Script tag filtering: courtesy-conversion to HTML filtering.
-            if ( suffix.startsWith('script:contains') ) {
-                console.info(
-                    'uBO: ##script:contains(...) is deprecated, ' +
-                    'converting to ##^script:has-text(...)'
-                );
-                suffix = suffix.replace(/^script:contains/, '^script:has-text');
-                parsed.suffix = suffix;
+                suffix = parsed.suffix = '+js' + suffix.slice(13);
+            } else if ( suffix.startsWith('script:contains') ) {
+                suffix = parsed.suffix = '^script:has-text' + suffix.slice(15);
             }
         }
 
-        var c0 = suffix.charCodeAt(0);
+        let c0 = suffix.charCodeAt(0);
 
         // New shorter syntax for scriptlet injection engine.
         if ( c0 === 0x2B /* '+' */ && suffix.startsWith('+js') ) {
-            // Convert to deprecated syntax for now. Once 1.15.12 is
-            // widespread, `+js` form will be the official syntax.
-            parsed.suffix = 'script:inject' + parsed.suffix.slice(3);
             µb.scriptletFilteringEngine.compile(parsed, writer);
             return true;
         }
diff -pruN 1.16.14+dfsg-1/src/js/static-net-filtering.js 1.17.0+dfsg-2/src/js/static-net-filtering.js
--- 1.16.14+dfsg-1/src/js/static-net-filtering.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/static-net-filtering.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -2134,9 +2134,10 @@ FilterContainer.prototype.compile = func
     if (
         parsed.hostnamePure &&
         parsed.domainOpt === '' &&
-        parsed.dataType === undefined &&
-        this.compileHostnameOnlyFilter(parsed, writer)
+        parsed.dataType === undefined
     ) {
+        parsed.tokenHash = this.dotTokenHash;
+        this.compileToAtomicFilter(parsed, parsed.f, writer);
         return true;
     }
 
@@ -2194,52 +2195,32 @@ FilterContainer.prototype.compile = func
         fdata.push(fwrapped);
     }
 
-    this.compileToAtomicFilter(fdata, parsed, writer);
+    this.compileToAtomicFilter(parsed, fdata, writer);
 
     return true;
 };
 
 /******************************************************************************/
 
-// Using fast/compact dictionary when filter is a pure hostname.
+FilterContainer.prototype.compileToAtomicFilter = function(
+    parsed,
+    fdata,
+    writer
+) {
+    let descBits = parsed.action |
+                   parsed.important |
+                   parsed.party |
+                   parsed.badFilter;
+    let type = parsed.types;
 
-FilterContainer.prototype.compileHostnameOnlyFilter = function(parsed, writer) {
-    // Can't fit the filter in a pure hostname dictionary.
-    // https://github.com/gorhill/uBlock/issues/1757
-    // This should no longer happen with fix to above issue.
-    //if ( parsed.domainOpt.length !== 0 ) {
-    //    return;
-    //}
-
-    var descBits = parsed.action | parsed.important | parsed.party | parsed.badFilter;
-
-    var type = parsed.types;
-    if ( type === 0 ) {
-        writer.push([ descBits, this.dotTokenHash, parsed.f ]);
-        return true;
-    }
-
-    var bitOffset = 1;
-    do {
-        if ( type & 1 ) {
-            writer.push([ descBits | (bitOffset << 4), this.dotTokenHash, parsed.f ]);
-        }
-        bitOffset += 1;
-        type >>>= 1;
-    } while ( type !== 0 );
-    return true;
-};
-
-/******************************************************************************/
-
-FilterContainer.prototype.compileToAtomicFilter = function(fdata, parsed, writer) {
-    var descBits = parsed.action | parsed.important | parsed.party | parsed.badFilter,
-        type = parsed.types;
+    // Typeless
     if ( type === 0 ) {
         writer.push([ descBits, parsed.tokenHash, fdata ]);
         return;
     }
-    var bitOffset = 1;
+
+    // Specific type(s)
+    let bitOffset = 1;
     do {
         if ( type & 1 ) {
             writer.push([ descBits | (bitOffset << 4), parsed.tokenHash, fdata ]);
@@ -2250,22 +2231,13 @@ FilterContainer.prototype.compileToAtomi
 
     // Only static filter with an explicit type can be redirected. If we reach
     // this point, it's because there is one or more explicit type.
-    if ( !parsed.redirect ) {
-        return;
-    }
-
-    if ( parsed.badFilter ) {
-        return;
-    }
-
-    var redirects = µb.redirectEngine.compileRuleFromStaticFilter(parsed.raw);
-    if ( Array.isArray(redirects) === false ) {
-        return;
-    }
-    descBits = typeNameToTypeValue.redirect;
-    var i = redirects.length;
-    while ( i-- ) {
-        writer.push([ descBits, redirects[i] ]);
+    if ( parsed.badFilter === 0 && parsed.redirect ) {
+        let redirects = µb.redirectEngine.compileRuleFromStaticFilter(parsed.raw);
+        if ( Array.isArray(redirects) ) {
+            for ( let redirect of redirects ) {
+                writer.push([ typeNameToTypeValue.redirect, redirect ]);
+            }
+        }
     }
 };
 
@@ -2553,14 +2525,14 @@ FilterContainer.prototype.matchTokens =
 // https://github.com/gorhill/uBlock/issues/2103
 //   User may want to override `generichide` exception filters.
 
-FilterContainer.prototype.matchStringGenericHide = function(context, requestURL) {
-    var url = this.urlTokenizer.setURL(requestURL);
+FilterContainer.prototype.matchStringGenericHide = function(requestURL) {
+    let url = this.urlTokenizer.setURL(requestURL);
 
     // https://github.com/gorhill/uBlock/issues/2225
     //   Important: this is used by FilterHostnameDict.match().
     requestHostnameRegister = µb.URI.hostnameFromURI(url);
 
-    var bucket = this.categories.get(genericHideException);
+    let bucket = this.categories.get(genericHideException);
     if ( !bucket || this.matchTokens(bucket, url) === false ) {
         this.fRegister = null;
         return 0;
@@ -2585,7 +2557,7 @@ FilterContainer.prototype.matchStringGen
 FilterContainer.prototype.matchStringExactType = function(context, requestURL, requestType) {
     // Special cases.
     if ( requestType === 'generichide' ) {
-        return this.matchStringGenericHide(context, requestURL);
+        return this.matchStringGenericHide(requestURL);
     }
     var type = typeNameToTypeValue[requestType];
     if ( type === undefined ) {
diff -pruN 1.16.14+dfsg-1/src/js/storage.js 1.17.0+dfsg-2/src/js/storage.js
--- 1.16.14+dfsg-1/src/js/storage.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/storage.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -29,47 +29,58 @@ µBlock.getBytesInUse = function(callbac
     if ( typeof callback !== 'function' ) {
         callback = this.noopFunc;
     }
-    var getBytesInUseHandler = function(bytesInUse) {
+    let bytesInUse;
+    let countdown = 0;
+
+    let process = count => {
+        if ( typeof count === 'number' ) {
+            if ( bytesInUse === undefined ) {
+                bytesInUse = 0;
+            }
+            bytesInUse += count;
+        }
+        countdown -= 1;
+        if ( countdown > 0 ) { return; }
         µBlock.storageUsed = bytesInUse;
         callback(bytesInUse);
     };
+
     // Not all platforms implement this method.
     if ( vAPI.storage.getBytesInUse instanceof Function ) {
-        vAPI.storage.getBytesInUse(null, getBytesInUseHandler);
-    } else {
+        countdown += 1;
+        vAPI.storage.getBytesInUse(null, process);
+    }
+    if (
+        this.cacheStorage !== vAPI.storage &&
+        this.cacheStorage.getBytesInUse instanceof Function
+    ) {
+        countdown += 1;
+        this.cacheStorage.getBytesInUse(null, process);
+    }
+    if ( countdown === 0 ) {
         callback();
     }
 };
 
 /******************************************************************************/
 
-µBlock.keyvalSetOne = function(key, val, callback) {
-    var bin = {};
-    bin[key] = val;
-    vAPI.storage.set(bin, callback || this.noopFunc);
-};
-
-/******************************************************************************/
-
 µBlock.saveLocalSettings = (function() {
-    var saveAfter = 4 * 60 * 1000;
-
-    var save = function() {
-        this.localSettingsLastSaved = Date.now();
-        vAPI.storage.set(this.localSettings);
-    };
+    let saveAfter = 4 * 60 * 1000;
 
-    var onTimeout = function() {
-        var µb = µBlock;
+    let onTimeout = ( ) => {
+        let µb = µBlock;
         if ( µb.localSettingsLastModified > µb.localSettingsLastSaved ) {
-            save.call(µb);
+            µb.saveLocalSettings();
         }
         vAPI.setTimeout(onTimeout, saveAfter);
     };
 
     vAPI.setTimeout(onTimeout, saveAfter);
 
-    return save;
+    return function(callback) {
+        this.localSettingsLastSaved = Date.now();
+        vAPI.storage.set(this.localSettings, callback);
+    };
 })();
 
 /******************************************************************************/
@@ -81,48 +92,25 @@ µBlock.saveUserSettings = function() {
 /******************************************************************************/
 
 µBlock.loadHiddenSettings = function() {
-    var onLoaded = function(bin) {
+    vAPI.storage.get('hiddenSettings', bin => {
         if ( bin instanceof Object === false ) { return; }
-        var µb = µBlock,
-            hs = bin.hiddenSettings;
-        // Remove following condition once 1.15.12+ is widespread.
-        if (
-            hs instanceof Object === false &&
-            typeof bin.hiddenSettingsString === 'string'
-        ) {
-            vAPI.storage.remove('hiddenSettingsString');
-            hs = µBlock.hiddenSettingsFromString(bin.hiddenSettingsString);
-        }
+        let hs = bin.hiddenSettings;
         if ( hs instanceof Object ) {
-            var hsDefault = µb.hiddenSettingsDefault;
-            for ( var key in hsDefault ) {
+            let hsDefault = this.hiddenSettingsDefault;
+            for ( let key in hsDefault ) {
                 if (
                     hsDefault.hasOwnProperty(key) &&
                     hs.hasOwnProperty(key) &&
                     typeof hs[key] === typeof hsDefault[key]
                 ) {
-                    µb.hiddenSettings[key] = hs[key];
+                    this.hiddenSettings[key] = hs[key];
                 }
             }
-            // To remove once 1.15.26 is widespread. The reason is to ensure
-            // the change in the following commit is taken into account:
-            // https://github.com/gorhill/uBlock/commit/8071321e9104
-            if ( hs.manualUpdateAssetFetchPeriod === 2000 ) {
-                µb.hiddenSettings.manualUpdateAssetFetchPeriod =
-                    µb.hiddenSettingsDefault.manualUpdateAssetFetchPeriod;
-                hs.manualUpdateAssetFetchPeriod = undefined;
-                µb.saveHiddenSettings();
-            }
         }
         if ( vAPI.localStorage.getItem('immediateHiddenSettings') === null ) {
-            µb.saveImmediateHiddenSettings();
+            this.saveImmediateHiddenSettings();
         }
-    };
-
-    vAPI.storage.get(
-        [ 'hiddenSettings', 'hiddenSettingsString'],
-        onLoaded
-    );
+    });
 };
 
 // Note: Save only the settings which values differ from the default ones.
@@ -130,8 +118,8 @@ µBlock.loadHiddenSettings = function()
 // which were not modified by the user.
 
 µBlock.saveHiddenSettings = function(callback) {
-    var bin = { hiddenSettings: {} };
-    for ( var prop in this.hiddenSettings ) {
+    let bin = { hiddenSettings: {} };
+    for ( let prop in this.hiddenSettings ) {
         if (
             this.hiddenSettings.hasOwnProperty(prop) &&
             this.hiddenSettings[prop] !== this.hiddenSettingsDefault[prop]
@@ -210,25 +198,33 @@ µBlock.loadHiddenSettings();
 /******************************************************************************/
 
 µBlock.savePermanentFirewallRules = function() {
-    this.keyvalSetOne('dynamicFilteringString', this.permanentFirewall.toString());
+    vAPI.storage.set({
+        dynamicFilteringString: this.permanentFirewall.toString()
+    });
 };
 
 /******************************************************************************/
 
 µBlock.savePermanentURLFilteringRules = function() {
-    this.keyvalSetOne('urlFilteringString', this.permanentURLFiltering.toString());
+    vAPI.storage.set({
+        urlFilteringString: this.permanentURLFiltering.toString()
+    });
 };
 
 /******************************************************************************/
 
 µBlock.saveHostnameSwitches = function() {
-    this.keyvalSetOne('hostnameSwitchesString', this.hnSwitches.toString());
+    vAPI.storage.set({
+        hostnameSwitchesString: this.permanentSwitches.toString()
+    });
 };
 
 /******************************************************************************/
 
 µBlock.saveWhitelist = function() {
-    this.keyvalSetOne('netWhitelist', this.stringFromWhitelist(this.netWhitelist));
+    vAPI.storage.set({
+        netWhitelist: this.stringFromWhitelist(this.netWhitelist)
+    });
     this.netWhitelistModifyTime = Date.now();
 };
 
@@ -1027,30 +1023,39 @@ µBlock.selfieManager = (function() {
 
     let create = function() {
         timer = null;
-        let selfie = {
+        let selfie = JSON.stringify({
             magic: µb.systemSettings.selfieMagic,
-            availableFilterLists: JSON.stringify(µb.availableFilterLists),
-            staticNetFilteringEngine: JSON.stringify(µb.staticNetFilteringEngine.toSelfie()),
-            redirectEngine: JSON.stringify(µb.redirectEngine.toSelfie()),
-            staticExtFilteringEngine: JSON.stringify(µb.staticExtFilteringEngine.toSelfie())
-        };
-        vAPI.cacheStorage.set({ selfie: selfie });
+            availableFilterLists: µb.availableFilterLists,
+            staticNetFilteringEngine: µb.staticNetFilteringEngine.toSelfie(),
+            redirectEngine: µb.redirectEngine.toSelfie(),
+            staticExtFilteringEngine: µb.staticExtFilteringEngine.toSelfie()
+        });
+        µb.cacheStorage.set({ selfie: selfie });
     };
 
     let load = function(callback) {
-        vAPI.cacheStorage.get('selfie', function(bin) {
+        µb.cacheStorage.get('selfie', function(bin) {
             if (
                 bin instanceof Object === false ||
-                bin.selfie instanceof Object === false ||
-                bin.selfie.magic !== µb.systemSettings.selfieMagic ||
-                bin.selfie.redirectEngine === undefined
+                typeof bin.selfie !== 'string'
+            ) {
+                return callback(false);
+            }
+            let selfie;
+            try {
+                selfie = JSON.parse(bin.selfie);
+            } catch(ex) {
+            }
+            if (
+                selfie instanceof Object === false ||
+                selfie.magic !== µb.systemSettings.selfieMagic
             ) {
                 return callback(false);
             }
-            µb.availableFilterLists = JSON.parse(bin.selfie.availableFilterLists);
-            µb.staticNetFilteringEngine.fromSelfie(JSON.parse(bin.selfie.staticNetFilteringEngine));
-            µb.redirectEngine.fromSelfie(JSON.parse(bin.selfie.redirectEngine));
-            µb.staticExtFilteringEngine.fromSelfie(JSON.parse(bin.selfie.staticExtFilteringEngine));
+            µb.availableFilterLists = selfie.availableFilterLists;
+            µb.staticNetFilteringEngine.fromSelfie(selfie.staticNetFilteringEngine);
+            µb.redirectEngine.fromSelfie(selfie.redirectEngine);
+            µb.staticExtFilteringEngine.fromSelfie(selfie.staticExtFilteringEngine);
             callback(true);
         });
     };
@@ -1060,7 +1065,7 @@ µBlock.selfieManager = (function() {
             clearTimeout(timer);
             timer = null;
         }
-        vAPI.cacheStorage.remove('selfie');
+        µb.cacheStorage.remove('selfie');
         timer = vAPI.setTimeout(create, µb.selfieAfter);
     };
 
diff -pruN 1.16.14+dfsg-1/src/js/tab.js 1.17.0+dfsg-2/src/js/tab.js
--- 1.16.14+dfsg-1/src/js/tab.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/tab.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -610,10 +610,10 @@ vAPI.tabs.onPopupUpdated = (function() {
             //   popunders.
             if (
                 popupType === 'popup' &&
-                µb.hnSwitches.evaluateZ('no-popups', openerHostname)
+                µb.sessionSwitches.evaluateZ('no-popups', openerHostname)
             ) {
                 logData = {
-                    raw: 'no-popups: ' + µb.hnSwitches.z + ' true',
+                    raw: 'no-popups: ' + µb.sessionSwitches.z + ' true',
                     result: 1,
                     source: 'switch'
                 };
diff -pruN 1.16.14+dfsg-1/src/js/traffic.js 1.17.0+dfsg-2/src/js/traffic.js
--- 1.16.14+dfsg-1/src/js/traffic.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/traffic.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -246,10 +246,10 @@ var onBeforeRootFrameRequest = function(
     }
 
     // Permanently unrestricted?
-    if ( result === 0 && µb.hnSwitches.evaluateZ('no-strict-blocking', requestHostname) ) {
+    if ( result === 0 && µb.sessionSwitches.evaluateZ('no-strict-blocking', requestHostname) ) {
         result = 2;
-        if ( logEnabled === true ) {
-            logData = { engine: 'u', result: 2, raw: 'no-strict-blocking: ' + µb.hnSwitches.z + ' true' };
+        if ( logEnabled ) {
+            logData = { engine: 'u', result: 2, raw: 'no-strict-blocking: ' + µb.sessionSwitches.z + ' true' };
         }
     }
 
@@ -600,15 +600,16 @@ var onHeadersReceived = function(details
     // https://bugzilla.mozilla.org/show_bug.cgi?id=1376932
     //   Prevent document from being cached by the browser if we modified it,
     //   either through HTML filtering and/or modified response headers.
+    // https://github.com/uBlockOrigin/uBlock-issues/issues/229
+    //   Use `no-cache` instead of `no-cache, no-store, must-revalidate`, this
+    //   allows Firefox's offline mode to work as expected.
     if ( (filteredHTML || modifiedHeaders) && dontCacheResponseHeaders ) {
         let i = headerIndexFromName('cache-control', responseHeaders);
+        let cacheControl = µb.hiddenSettings.cacheControlForFirefox1376932;
         if ( i !== -1 ) {
-            responseHeaders[i].value = 'no-cache, no-store, must-revalidate';
+            responseHeaders[i].value = cacheControl;
         } else {
-            responseHeaders[responseHeaders.length] = {
-                name: 'Cache-Control',
-                value: 'no-cache, no-store, must-revalidate'
-            };
+            responseHeaders.push({ name: 'Cache-Control', value: cacheControl });
         }
         modifiedHeaders = true;
     }
@@ -912,20 +913,36 @@ var injectCSP = function(pageStore, deta
 
     let builtinDirectives = [];
 
-    context.requestType = 'inline-script';
-    if ( pageStore.filterRequest(context) === 1 ) {
-        builtinDirectives.push("script-src 'unsafe-eval' * blob: data:");
-    }
-    if ( loggerEnabled === true ) {
-        logger.writeOne(
-            tabId,
-            'net',
-            pageStore.logData,
-            'inline-script',
-            requestURL,
-            context.rootHostname,
-            context.pageHostname
-        );
+    context.requestType = 'script';
+    if ( pageStore.filterScripting(context.rootHostname, true) === 1 ) {
+        builtinDirectives.push("script-src http: https:");
+        if ( loggerEnabled === true ) {
+            logger.writeOne(
+                tabId,
+                'net',
+                pageStore.logData,
+                'no-scripting',
+                requestURL,
+                context.rootHostname,
+                context.pageHostname
+            );
+        }
+    } else {
+        context.requestType = 'inline-script';
+        if ( pageStore.filterRequest(context) === 1 ) {
+            builtinDirectives.push("script-src 'unsafe-eval' * blob: data:");
+        }
+        if ( loggerEnabled === true ) {
+            logger.writeOne(
+                tabId,
+                'net',
+                pageStore.logData,
+                'inline-script',
+                requestURL,
+                context.rootHostname,
+                context.pageHostname
+            );
+        }
     }
 
     // https://github.com/gorhill/uBlock/issues/1539
diff -pruN 1.16.14+dfsg-1/src/js/ublock.js 1.17.0+dfsg-2/src/js/ublock.js
--- 1.16.14+dfsg-1/src/js/ublock.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/ublock.js	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 /*******************************************************************************
 
     uBlock Origin - a browser extension to block requests.
-    Copyright (C) 2014-2018 Raymond Hill
+    Copyright (C) 2014-present Raymond Hill
 
     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
@@ -278,21 +278,20 @@ µBlock.reWhitelistHostnameExtractor = /
 /******************************************************************************/
 
 µBlock.changeUserSettings = function(name, value) {
-    var us = this.userSettings;
+    let us = this.userSettings;
 
     // Return all settings if none specified.
     if ( name === undefined ) {
         us = JSON.parse(JSON.stringify(us));
-        us.noCosmeticFiltering = this.hnSwitches.evaluate('no-cosmetic-filtering', '*') === 1;
-        us.noLargeMedia = this.hnSwitches.evaluate('no-large-media', '*') === 1;
-        us.noRemoteFonts = this.hnSwitches.evaluate('no-remote-fonts', '*') === 1;
-        us.noCSPReports = this.hnSwitches.evaluate('no-csp-reports', '*') === 1;
+        us.noCosmeticFiltering = this.sessionSwitches.evaluate('no-cosmetic-filtering', '*') === 1;
+        us.noLargeMedia = this.sessionSwitches.evaluate('no-large-media', '*') === 1;
+        us.noRemoteFonts = this.sessionSwitches.evaluate('no-remote-fonts', '*') === 1;
+        us.noScripting = this.sessionSwitches.evaluate('no-scripting', '*') === 1;
+        us.noCSPReports = this.sessionSwitches.evaluate('no-csp-reports', '*') === 1;
         return us;
     }
 
-    if ( typeof name !== 'string' || name === '' ) {
-        return;
-    }
+    if ( typeof name !== 'string' || name === '' ) { return; }
 
     if ( value === undefined ) {
         return us[name];
@@ -311,7 +310,7 @@ µBlock.changeUserSettings = function(na
     }
 
     // Change -- but only if the user setting actually exists.
-    var mustSave = us.hasOwnProperty(name) && value !== us[name];
+    let mustSave = us.hasOwnProperty(name) && value !== us[name];
     if ( mustSave ) {
         us[name] = value;
     }
@@ -340,22 +339,29 @@ µBlock.changeUserSettings = function(na
         }
         break;
     case 'noCosmeticFiltering':
-        if ( this.hnSwitches.toggle('no-cosmetic-filtering', '*', value ? 1 : 0) ) {
-            this.saveHostnameSwitches();
-        }
-        break;
     case 'noLargeMedia':
-        if ( this.hnSwitches.toggle('no-large-media', '*', value ? 1 : 0) ) {
-            this.saveHostnameSwitches();
-        }
-        break;
     case 'noRemoteFonts':
-        if ( this.hnSwitches.toggle('no-remote-fonts', '*', value ? 1 : 0) ) {
-            this.saveHostnameSwitches();
-        }
-        break;
+    case 'noScripting':
     case 'noCSPReports':
-        if ( this.hnSwitches.toggle('no-csp-reports', '*', value ? 1 : 0) ) {
+        let switchName;
+        switch ( name ) {
+        case 'noCosmeticFiltering':
+            switchName = 'no-cosmetic-filtering'; break;
+        case 'noLargeMedia':
+            switchName = 'no-large-media'; break;
+        case 'noRemoteFonts':
+            switchName = 'no-remote-fonts'; break;
+        case 'noScripting':
+            switchName = 'no-scripting'; break;
+        case 'noCSPReports':
+            switchName = 'no-csp-reports'; break;
+        default:
+            break;
+        }
+        if ( switchName === undefined ) { break; }
+        let switchState = value ? 1 : 0;
+        this.sessionSwitches.toggle(switchName, '*', switchState);
+        if ( this.permanentSwitches.toggle(switchName, '*', switchState) ) {
             this.saveHostnameSwitches();
         }
         break;
@@ -396,15 +402,24 @@ µBlock.changeHiddenSettings = function(
 /******************************************************************************/
 
 µBlock.elementPickerExec = function(tabId, targetElement, zap) {
-    if ( vAPI.isBehindTheSceneTabId(tabId) ) {
-        return;
-    }
+    if ( vAPI.isBehindTheSceneTabId(tabId) ) { return; }
+
     this.epickerTarget = targetElement || '';
     this.epickerZap = zap || false;
-    this.scriptlets.inject(tabId, 'element-picker');
-    if ( typeof vAPI.tabs.select === 'function' ) {
-        vAPI.tabs.select(tabId);
-    }
+
+    // https://github.com/uBlockOrigin/uBlock-issues/issues/168
+    //   Force activate the target tab once the element picker has been
+    //   injected.
+    vAPI.tabs.injectScript(
+        tabId,
+        {
+            file: '/js/scriptlets/element-picker.js',
+            runAt: 'document_end'
+        },
+        ( ) => {
+            vAPI.tabs.select(tabId);
+        }
+    );
 };
 
 /******************************************************************************/
@@ -414,7 +429,7 @@ µBlock.elementPickerExec = function(tab
 // (but not really) redundant rules led to this issue.
 
 µBlock.toggleFirewallRule = function(details) {
-    var requestType = details.requestType;
+    let requestType = details.requestType;
 
     if ( details.action !== 0 ) {
         this.sessionFirewall.setCell(details.srcHostname, details.desHostname, requestType, details.action);
@@ -436,7 +451,7 @@ µBlock.toggleFirewallRule = function(de
     // Flush all cached `net` cosmetic filters if we are dealing with a
     // collapsible type: any of the cached entries could be a resource on the
     // target page.
-    var srcHostname = details.srcHostname;
+    let srcHostname = details.srcHostname;
     if (
         (srcHostname !== '*') &&
         (requestType === '*' || requestType === 'image' || requestType === '3p' || requestType === '3p-frame')
@@ -451,22 +466,17 @@ µBlock.toggleFirewallRule = function(de
 /******************************************************************************/
 
 µBlock.toggleURLFilteringRule = function(details) {
-    var changed = this.sessionURLFiltering.setRule(
+    let changed = this.sessionURLFiltering.setRule(
         details.context,
         details.url,
         details.type,
         details.action
     );
-
-    if ( !changed ) {
-        return;
-    }
+    if ( changed === false ) { return; }
 
     this.cosmeticFilteringEngine.removeFromSelectorCache(details.context, 'net');
 
-    if ( !details.persist ) {
-        return;
-    }
+    if ( details.persist !== true ) { return; }
 
     changed = this.permanentURLFiltering.setRule(
         details.context,
@@ -483,9 +493,13 @@ µBlock.toggleURLFilteringRule = functio
 /******************************************************************************/
 
 µBlock.toggleHostnameSwitch = function(details) {
-    if ( this.hnSwitches.toggleZ(details.name, details.hostname, !!details.deep, details.state) ) {
-        this.saveHostnameSwitches();
-    }
+    let changed = this.sessionSwitches.toggleZ(
+        details.name,
+        details.hostname,
+        !!details.deep,
+        details.state
+    );
+    if ( changed === false ) { return; }
 
     // Take action if needed
     switch ( details.name ) {
@@ -502,15 +516,33 @@ µBlock.toggleHostnameSwitch = function(
         }
         break;
     }
+
+    if ( details.persist !== true ) { return; }
+
+    changed = this.permanentSwitches.toggleZ(
+        details.name,
+        details.hostname,
+        !!details.deep,
+        details.state
+    );
+    if ( changed ) {
+        this.saveHostnameSwitches();
+    }
 };
 
 /******************************************************************************/
 
+// https://github.com/NanoMeow/QuickReports/issues/6#issuecomment-414516623
+//   Inject as early as possible to make the cosmetic logger code less
+//   sensitive to the removal of DOM nodes which may match injected
+//   cosmetic filters.
+
 µBlock.logCosmeticFilters = function(tabId, frameId) {
     if ( this.logger.isEnabled() ) {
         vAPI.tabs.injectScript(tabId, {
             file: '/js/scriptlets/cosmetic-logger.js',
-            frameId: frameId
+            frameId: frameId,
+            runAt: 'document_start'
         });
     }
 };
diff -pruN 1.16.14+dfsg-1/src/js/utils.js 1.17.0+dfsg-2/src/js/utils.js
--- 1.16.14+dfsg-1/src/js/utils.js	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/js/utils.js	2018-10-10 09:19:19.000000000 +0000
@@ -422,16 +422,6 @@ µBlock.decomposeHostname = (function()
     let reHostnameVeryCoarse = /[g-z_-]/;
     let reIPv4VeryCoarse = /\.\d+$/;
 
-    let isIPAddress = function(hostname) {
-        if ( reHostnameVeryCoarse.test(hostname) ) {
-            return false;
-        }
-        if ( reIPv4VeryCoarse.test(hostname) ) {
-            return true;
-        }
-        return hostname.startsWith('[');
-    };
-
     let toBroaderHostname = function(hostname) {
         let pos = hostname.indexOf('.');
         if ( pos !== -1 ) {
@@ -440,15 +430,30 @@ µBlock.decomposeHostname = (function()
         return hostname !== '*' && hostname !== '' ? '*' : '';
     };
 
-    let toBroaderIPAddress = function(ipaddress) {
+    let toBroaderIPv4Address = function(ipaddress) {
+        if ( ipaddress === '*' || ipaddress === '' ) { return ''; }
+        let pos = ipaddress.lastIndexOf('.');
+        if ( pos === -1 ) { return '*'; }
+        return ipaddress.slice(0, pos);
+    };
+
+    let toBroaderIPv6Address = function(ipaddress) {
         return ipaddress !== '*' && ipaddress !== '' ? '*' : '';
     };
 
     return function decomposeHostname(hostname, decomposed) {
         if ( decomposed.length === 0 || decomposed[0] !== hostname ) {
-            let broaden = isIPAddress(hostname) ?
-                toBroaderIPAddress :
-                toBroaderHostname;
+            let broaden;
+            if ( reHostnameVeryCoarse.test(hostname) === false ) {
+                if ( reIPv4VeryCoarse.test(hostname) ) {
+                    broaden = toBroaderIPv4Address;
+                } else if ( hostname.startsWith('[') ) {
+                    broaden = toBroaderIPv6Address;
+                }
+            }
+            if ( broaden === undefined ) {
+                broaden = toBroaderHostname;
+            }
             decomposed[0] = hostname;
             let i = 1;
             for (;;) {
diff -pruN 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec-any.js 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec-any.js
--- 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec-any.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec-any.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,171 @@
+/*******************************************************************************
+
+    lz4-block-codec-any.js
+        A wrapper to instanciate a wasm- and/or js-based LZ4 block
+        encoder/decoder.
+    Copyright (C) 2018 Raymond Hill
+
+    BSD-2-Clause License (http://www.opensource.org/licenses/bsd-license.php)
+
+    Redistribution and use in source and binary forms, with or without
+    modification, are permitted provided that the following conditions are
+    met:
+
+    1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+
+    2. Redistributions in binary form must reproduce the above
+    copyright notice, this list of conditions and the following disclaimer
+    in the documentation and/or other materials provided with the
+    distribution.
+
+    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+    A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+    OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+    SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+    LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+    DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+    THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+    Home: https://github.com/gorhill/lz4-wasm
+
+    I used the same license as the one picked by creator of LZ4 out of respect
+    for his creation, see https://lz4.github.io/lz4/
+
+*/
+
+'use strict';
+
+/******************************************************************************/
+
+(function(context) {                    // >>>> Start of private namespace
+
+/******************************************************************************/
+
+let wd = (function() {
+    let url = document.currentScript.src;
+    let match = /[^\/]+$/.exec(url);
+    return match !== null ?
+        url.slice(0, match.index) :
+        '';
+})();
+
+let removeScript = function(script) {
+    if ( !script ) { return; }
+    if ( script.parentNode === null ) { return; }
+    script.parentNode.removeChild(script);
+};
+
+let createInstanceWASM = function() {
+    if ( context.LZ4BlockWASM instanceof Function ) {
+        let instance = new context.LZ4BlockWASM();
+        return instance.init().then(( ) => { return instance; });
+    }
+    if ( context.LZ4BlockWASM === null ) {
+        return Promise.resolve(null);
+    }
+    return new Promise((resolve, reject) => {
+        let script = document.createElement('script');
+        script.src = wd + 'lz4-block-codec-wasm.js';
+        script.addEventListener('load', ( ) => {
+            if ( context.LZ4BlockWASM instanceof Function === false ) {
+                context.LZ4BlockWASM = null;
+                context.LZ4BlockWASM = undefined;
+                resolve(null);
+            } else {
+                let instance = new context.LZ4BlockWASM();
+                instance.init()
+                    .then(( ) => {
+                        resolve(instance);
+                    })
+                    .catch(error => {
+                        reject(error);
+                    });
+            }
+        });
+        script.addEventListener('error', ( ) => {
+            context.LZ4BlockWASM = null;
+            resolve(null);
+        });
+        document.head.appendChild(script);
+        removeScript(script);
+    });
+};
+
+let createInstanceJS = function() {
+    if ( context.LZ4BlockJS instanceof Function ) {
+        let instance = new context.LZ4BlockJS();
+        return instance.init().then(( ) => { return instance; });
+    }
+    if ( context.LZ4BlockJS === null ) {
+        return Promise.resolve(null);
+    }
+    return new Promise((resolve, reject) => {
+        let script = document.createElement('script');
+        script.src = wd + 'lz4-block-codec-js.js';
+        script.addEventListener('load', ( ) => {
+            if ( context.LZ4BlockJS instanceof Function === false ) {
+                context.LZ4BlockJS = null;
+                resolve(null);
+            } else {
+                let instance = new context.LZ4BlockJS();
+                instance.init()
+                    .then(( ) => {
+                        resolve(instance);
+                    })
+                    .catch(error => {
+                        reject(error);
+                    });
+            }
+        });
+        script.addEventListener('error', ( ) => {
+            context.LZ4BlockJS = null;
+            resolve(null);
+        });
+        document.head.appendChild(script);
+        removeScript(script);
+    });
+};
+
+/******************************************************************************/
+
+context.lz4BlockCodec = {
+    createInstance: function(flavor) {
+        let instantiator;
+        if ( flavor === 'wasm' ) {
+            instantiator = createInstanceWASM;
+        } else if ( flavor === 'js' ) {
+            instantiator = createInstanceJS;
+        } else {
+            instantiator = createInstanceWASM || createInstanceJS;
+        }
+        return (instantiator)()
+            .then(instance => {
+                if ( instance ) { return instance; }
+                if ( flavor === undefined ) {
+                    return createInstanceJS();
+                }
+                return null;
+            })
+            .catch(( ) => {
+                if ( flavor === undefined ) {
+                    return createInstanceJS();
+                }
+                return null;
+            });
+    },
+    reset: function() {
+        context.LZ4BlockWASM = undefined;
+        context.LZ4BlockJS = undefined;
+    }
+};
+
+/******************************************************************************/
+
+})(this || self);                       // <<<< End of private namespace
+
+/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec-js.js 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec-js.js
--- 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec-js.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec-js.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,297 @@
+/*******************************************************************************
+
+    lz4-block-codec-js.js
+        A javascript wrapper around a pure javascript implementation of
+        LZ4 block format codec.
+    Copyright (C) 2018 Raymond Hill
+
+    BSD-2-Clause License (http://www.opensource.org/licenses/bsd-license.php)
+
+    Redistribution and use in source and binary forms, with or without
+    modification, are permitted provided that the following conditions are
+    met:
+
+    1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+
+    2. Redistributions in binary form must reproduce the above
+    copyright notice, this list of conditions and the following disclaimer
+    in the documentation and/or other materials provided with the
+    distribution.
+
+    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+    A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+    OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+    SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+    LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+    DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+    THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+    Home: https://github.com/gorhill/lz4-wasm
+
+    I used the same license as the one picked by creator of LZ4 out of respect
+    for his creation, see https://lz4.github.io/lz4/
+
+*/
+
+'use strict';
+
+/******************************************************************************/
+
+(function(context) {                    // >>>> Start of private namespace
+
+/******************************************************************************/
+
+let growOutputBuffer = function(instance, size) {
+    if (
+        instance.outputBuffer === undefined ||
+        instance.outputBuffer.byteLength < size
+    ) {
+        instance.outputBuffer = new ArrayBuffer(size + 0xFFFF & 0x7FFF0000);
+    }
+    return instance.outputBuffer;
+};
+
+let encodeBound = function(size) {
+    return size > 0x7E000000 ?
+        0 :
+        size + (size / 255 | 0) + 16;
+};
+
+let encodeBlock = function(instance, iBuf, oOffset) {
+    let iLen = iBuf.byteLength;
+    if ( iLen >= 0x7E000000 ) { throw new RangeError(); }
+
+    // "The last match must start at least 12 bytes before end of block"
+    let lastMatchPos = iLen - 12;
+
+    // "The last 5 bytes are always literals"
+    let lastLiteralPos = iLen - 5;
+
+    if ( instance.hashTable === undefined ) {
+        instance.hashTable = new Int32Array(65536);
+    }
+    instance.hashTable.fill(-65536);
+
+    if ( iBuf instanceof ArrayBuffer ) {
+        iBuf = new Uint8Array(iBuf);
+    }
+
+    let oLen = oOffset + encodeBound(iLen);
+    let oBuf = new Uint8Array(growOutputBuffer(instance, oLen), 0, oLen);
+    let iPos = 0;
+    let oPos = oOffset;
+    let anchorPos = 0;
+
+    // sequence-finding loop
+    for (;;) {
+        let refPos;
+        let mOffset;
+        let sequence = iBuf[iPos] << 8 | iBuf[iPos+1] << 16 | iBuf[iPos+2] << 24;
+
+        // match-finding loop
+        while ( iPos <= lastMatchPos ) {
+            sequence = sequence >>> 8 | iBuf[iPos+3] << 24;
+            let hash = (sequence * 0x9E37 & 0xFFFF) + (sequence * 0x79B1 >>> 16) & 0xFFFF;
+            refPos = instance.hashTable[hash];
+            instance.hashTable[hash] = iPos;
+            mOffset = iPos - refPos;
+            if (
+                mOffset < 65536 &&
+                iBuf[refPos+0] === ((sequence       ) & 0xFF) &&
+                iBuf[refPos+1] === ((sequence >>>  8) & 0xFF) &&
+                iBuf[refPos+2] === ((sequence >>> 16) & 0xFF) &&
+                iBuf[refPos+3] === ((sequence >>> 24) & 0xFF)
+            ) {
+                break;
+            }
+            iPos += 1;
+        }
+
+        // no match found
+        if ( iPos > lastMatchPos ) { break; }
+
+        // match found
+        let lLen = iPos - anchorPos;
+        let mLen = iPos;
+        iPos += 4; refPos += 4;
+        while ( iPos < lastLiteralPos && iBuf[iPos] === iBuf[refPos] ) {
+            iPos += 1; refPos += 1;
+        }
+        mLen = iPos - mLen;
+        let token = mLen < 19 ? mLen - 4 : 15;
+
+        // write token, length of literals if needed
+        if ( lLen >= 15 ) {
+            oBuf[oPos++] = 0xF0 | token;
+            let l = lLen - 15;
+            while ( l >= 255 ) {
+                oBuf[oPos++] = 255;
+                l -= 255;
+            }
+            oBuf[oPos++] = l;
+        } else {
+            oBuf[oPos++] = (lLen << 4) | token;
+        }
+
+        // write literals
+        while ( lLen-- ) {
+            oBuf[oPos++] = iBuf[anchorPos++];
+        }
+
+        if ( mLen === 0 ) { break; }
+
+        // write offset of match
+        oBuf[oPos+0] = mOffset;
+        oBuf[oPos+1] = mOffset >>> 8;
+        oPos += 2;
+
+        // write length of match if needed
+        if ( mLen >= 19 ) {
+            let l = mLen - 19;
+            while ( l >= 255 ) {
+                oBuf[oPos++] = 255;
+                l -= 255;
+            }
+            oBuf[oPos++] = l;
+        }
+
+        anchorPos = iPos;
+    }
+
+    // last sequence is literals only
+    let lLen = iLen - anchorPos;
+    if ( lLen >= 15 ) {
+        oBuf[oPos++] = 0xF0;
+        let l = lLen - 15;
+        while ( l >= 255 ) {
+            oBuf[oPos++] = 255;
+            l -= 255;
+        }
+        oBuf[oPos++] = l;
+    } else {
+        oBuf[oPos++] = lLen << 4;
+    }
+    while ( lLen-- ) {
+        oBuf[oPos++] = iBuf[anchorPos++];
+    }
+
+    return new Uint8Array(oBuf.buffer, 0, oPos);
+};
+
+let decodeBlock = function(instance, iBuf, iOffset, oLen) {
+    let iLen = iBuf.byteLength;
+    let oBuf = new Uint8Array(growOutputBuffer(instance, oLen), 0, oLen);
+    let iPos = iOffset, oPos = 0;
+
+    while ( iPos < iLen ) {
+        let token = iBuf[iPos++];
+
+        // literals
+        let clen = token >>> 4;
+
+        // length of literals
+        if ( clen !== 0 ) {
+            if ( clen === 15 ) {
+                let l;
+                for (;;) {
+                    l = iBuf[iPos++];
+                    if ( l !== 255 ) { break; }
+                    clen += 255;
+                }
+                clen += l;
+            }
+
+            // copy literals
+            let end = iPos + clen;
+            while ( iPos < end ) {
+                oBuf[oPos++] = iBuf[iPos++];
+            }
+            if ( iPos === iLen ) { break; }
+        }
+
+        // match
+        let mOffset = iBuf[iPos+0] | (iBuf[iPos+1] << 8);
+        if ( mOffset === 0 || mOffset > oPos ) { return; }
+        iPos += 2;
+
+        // length of match
+        clen = (token & 0x0F) + 4;
+        if ( clen === 19 ) {
+            let l;
+            for (;;) {
+                l = iBuf[iPos++];
+                if ( l !== 255 ) { break; }
+                clen += 255;
+            }
+            clen += l;
+        }
+
+        // copy match
+        let mPos = oPos - mOffset;
+        let end = oPos + clen;
+        while ( oPos < end ) {
+            oBuf[oPos++] = oBuf[mPos++];
+        }
+    }
+
+    return oBuf;
+};
+
+/******************************************************************************/
+
+context.LZ4BlockJS = function() {
+    this.hashTable = undefined;
+    this.outputBuffer = undefined;
+};
+
+context.LZ4BlockJS.prototype = {
+    flavor: 'js',
+    init: function() {
+        return Promise.resolve();
+    },
+
+    reset: function() {
+        this.hashTable = undefined;
+        this.outputBuffer = undefined;
+    },
+
+    bytesInUse: function() {
+        let bytesInUse = 0;
+        if ( this.hashTable !== undefined ) {
+            bytesInUse += this.hashTable.byteLength;
+        }
+        if ( this.outputBuffer !== undefined ) {
+            bytesInUse += this.outputBuffer.byteLength;
+        }
+        return bytesInUse;
+    },
+
+    encodeBlock: function(input, outputOffset) {
+        if ( input instanceof ArrayBuffer ) {
+            input = new Uint8Array(input);
+        } else if ( input instanceof Uint8Array === false ) {
+            throw new TypeError();
+        }
+        return encodeBlock(this, input, outputOffset);
+    },
+
+    decodeBlock: function(input, inputOffset, outputSize) {
+        if ( input instanceof ArrayBuffer ) {
+            input = new Uint8Array(input);
+        } else if ( input instanceof Uint8Array === false ) {
+            throw new TypeError();
+        }
+        return decodeBlock(this, input, inputOffset, outputSize);
+    }
+};
+
+/******************************************************************************/
+
+})(this || self);                       // <<<< End of private namespace
+
+/******************************************************************************/
Binary files 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec.wasm and 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec.wasm differ
diff -pruN 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec-wasm.js 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec-wasm.js
--- 1.16.14+dfsg-1/src/lib/lz4/lz4-block-codec-wasm.js	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/lib/lz4/lz4-block-codec-wasm.js	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,194 @@
+/*******************************************************************************
+
+    lz4-block-codec-wasm.js
+        A javascript wrapper around a WebAssembly implementation of
+        LZ4 block format codec.
+    Copyright (C) 2018 Raymond Hill
+
+    BSD-2-Clause License (http://www.opensource.org/licenses/bsd-license.php)
+
+    Redistribution and use in source and binary forms, with or without
+    modification, are permitted provided that the following conditions are
+    met:
+
+    1. Redistributions of source code must retain the above copyright
+    notice, this list of conditions and the following disclaimer.
+
+    2. Redistributions in binary form must reproduce the above
+    copyright notice, this list of conditions and the following disclaimer
+    in the documentation and/or other materials provided with the
+    distribution.
+
+    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+    "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+    LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+    A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+    OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+    SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+    LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+    DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+    THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+    (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+    Home: https://github.com/gorhill/lz4-wasm
+
+    I used the same license as the one picked by creator of LZ4 out of respect
+    for his creation, see https://lz4.github.io/lz4/
+
+*/
+
+/* global WebAssembly */
+
+'use strict';
+
+/******************************************************************************/
+
+(function(context) {                    // >>>> Start of private namespace
+
+/******************************************************************************/
+
+let wd = (function() {
+    let url = document.currentScript.src;
+    let match = /[^\/]+$/.exec(url);
+    return match !== null ?
+        url.slice(0, match.index) :
+        '';
+})();
+
+let growMemoryTo = function(wasmInstance, byteLength) {
+    let lz4api = wasmInstance.exports;
+    let neededByteLength = lz4api.getLinearMemoryOffset() + byteLength;
+    let pageCountBefore = lz4api.memory.buffer.byteLength >>> 16;
+    let pageCountAfter = (neededByteLength + 65535) >>> 16;
+    if ( pageCountAfter > pageCountBefore ) {
+        lz4api.memory.grow(pageCountAfter - pageCountBefore);
+    }
+    return lz4api.memory.buffer;
+};
+
+let encodeBlock = function(wasmInstance, inputArray, outputOffset) {
+    let lz4api = wasmInstance.exports;
+    let mem0 = lz4api.getLinearMemoryOffset();
+    let hashTableSize = 65536 * 4;
+    let inputSize = inputArray.byteLength;
+    if ( inputSize >= 0x7E000000 ) { throw new RangeError(); }
+    let memSize =
+        hashTableSize +
+        inputSize +
+        outputOffset + lz4api.lz4BlockEncodeBound(inputSize);
+    let memBuffer = growMemoryTo(wasmInstance, memSize);
+    let hashTable = new Int32Array(memBuffer, mem0, 65536);
+    hashTable.fill(-65536, 0, 65536);
+    let inputMem = new Uint8Array(memBuffer, mem0 + hashTableSize, inputSize);
+    inputMem.set(inputArray);
+    let outputSize = lz4api.lz4BlockEncode(
+        mem0 + hashTableSize,
+        inputSize,
+        mem0 + hashTableSize + inputSize + outputOffset
+    );
+    if ( outputSize === 0 ) { return; }
+    let outputArray = new Uint8Array(
+        memBuffer,
+        mem0 + hashTableSize + inputSize,
+        outputOffset + outputSize
+    );
+    return outputArray;
+};
+
+let decodeBlock = function(wasmInstance, inputArray, inputOffset, outputSize) {
+    let inputSize = inputArray.byteLength;
+    let lz4api = wasmInstance.exports;
+    let mem0 = lz4api.getLinearMemoryOffset();
+    let memSize = inputSize + outputSize;
+    let memBuffer = growMemoryTo(wasmInstance, memSize);
+    let inputArea = new Uint8Array(memBuffer, mem0, inputSize);
+    inputArea.set(inputArray);
+    outputSize = lz4api.lz4BlockDecode(
+        mem0 + inputOffset,
+        inputSize - inputOffset,
+        mem0 + inputSize
+    );
+    if ( outputSize === 0 ) { return; }
+    return new Uint8Array(memBuffer, mem0 + inputSize, outputSize);
+};
+
+/******************************************************************************/
+
+context.LZ4BlockWASM = function() {
+    this.lz4wasmInstance = undefined;
+};
+
+context.LZ4BlockWASM.prototype = {
+    flavor: 'wasm',
+
+    init: function() {
+        if (
+            typeof WebAssembly !== 'object' ||
+            typeof WebAssembly.instantiateStreaming !== 'function'
+        ) {
+            this.lz4wasmInstance = null;
+        }
+        if ( this.lz4wasmInstance === null ) {
+            return Promise.reject();
+        }
+        if ( this.lz4wasmInstance instanceof WebAssembly.Instance ) {
+            return Promise.resolve(this.lz4wasmInstance);
+        }
+        if ( this.lz4wasmInstance === undefined ) {
+            this.lz4wasmInstance = WebAssembly.instantiateStreaming(
+                fetch(wd + 'lz4-block-codec.wasm', { mode: 'same-origin' })
+            ).then(result => {
+                this.lz4wasmInstance = undefined;
+                this.lz4wasmInstance = result && result.instance || null;
+                if ( this.lz4wasmInstance !== null ) { return this; }
+                return null;
+            });
+            this.lz4wasmInstance.catch(( ) => {
+                this.lz4wasmInstance = null;
+                return null;
+            });
+        }
+        return this.lz4wasmInstance;
+    },
+
+    reset: function() {
+        this.lz4wasmInstance = undefined;
+    },
+
+    bytesInUse: function() {
+        return this.lz4wasmInstance instanceof WebAssembly.Instance ?
+            this.lz4wasmInstance.exports.memory.buffer.byteLength :
+            0;
+    },
+
+    encodeBlock: function(input, outputOffset) {
+        if ( this.lz4wasmInstance instanceof WebAssembly.Instance === false ) {
+            throw new Error('LZ4BlockWASM: not initialized');
+        }
+        if ( input instanceof ArrayBuffer ) {
+            input = new Uint8Array(input);
+        } else if ( input instanceof Uint8Array === false ) {
+            throw new TypeError();
+        }
+        return encodeBlock(this.lz4wasmInstance, input, outputOffset);
+    },
+
+    decodeBlock: function(input, inputOffset, outputSize) {
+        if ( this.lz4wasmInstance instanceof WebAssembly.Instance === false ) {
+            throw new Error('LZ4BlockWASM: not initialized');
+        }
+        if ( input instanceof ArrayBuffer ) {
+            input = new Uint8Array(input);
+        } else if ( input instanceof Uint8Array === false ) {
+            throw new TypeError();
+        }
+        return decodeBlock(this.lz4wasmInstance, input, inputOffset, outputSize);
+    }
+};
+
+/******************************************************************************/
+
+})(this || self);                       // <<<< End of private namespace
+
+/******************************************************************************/
diff -pruN 1.16.14+dfsg-1/src/lib/lz4/README.md 1.17.0+dfsg-2/src/lib/lz4/README.md
--- 1.16.14+dfsg-1/src/lib/lz4/README.md	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/lib/lz4/README.md	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,43 @@
+## Purpose
+
+The purpose of this library is to implement LZ4 compression/decompression,
+as documented at the official LZ4 repository:
+
+https://github.com/lz4/lz4/blob/dev/doc/lz4_Block_format.md
+
+The files in this directory are developed as a separate project at:
+
+https://github.com/gorhill/lz4-wasm
+
+## Files
+
+### `lz4-block-codec-any.js`
+
+The purpose is to instanciate a WebAssembly- or pure javascript-based
+LZ4 block codec.
+
+If the choosen implementation is not specified, there will be an attempt to
+create a WebAssembly-based instance. If for whatever reason this fails, a
+pure javascript-based instance will be created.
+
+The script for either instance are dynamically loaded and only when needed,
+such that no resources are wasted by keeping in memory code which won't be
+used.
+ 
+### `lz4-block-codec-wasm.js`
+
+This contains the code to instanciate WebAssembly-based LZ4 block codec. Note
+that the WebAssembly module is loaded using a `same-origin` fetch, hence
+ensuring that no code outside the package is loaded.
+
+### `lz4-block-codec-js.js`
+
+This contains the code to instanciate pure javascript-based LZ4 block codec.
+
+This is used as a fallback implementation should WebAssembly not be available
+for whatever reason.
+
+### `lz4-block-codec.wasm`
+
+This is the WebAssembly module, loaded by `lz4-block-codec-wasm.js` using a
+`same-origin` fetch.
diff -pruN 1.16.14+dfsg-1/src/_locales/ar/messages.json 1.17.0+dfsg-2/src/_locales/ar/messages.json
--- 1.16.14+dfsg-1/src/_locales/ar/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ar/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "وأخيراً, مانع اعلانات كفوء. خفيف على المعالج و الذاكرة.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — لوحة التحكم",
@@ -31,6 +31,10 @@
     "message": "القائمة البيضاء",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "الإختصارات",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "\"uBlock₀\" — سجل الإتصال بالشبكة",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "حول البرنامج",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — مُعاين العناصر",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "الإعدادات المتقدمة",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "أضغط للسماح للخطوط الخارجية لهذا الموقع",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "انقر لتعطيل الجافا سكريبت كُليًا على هذا الموقع",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "انقر لإلغاء تعطيل الجافا سكريبت كُليًا على هذا الموقع",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "القواعد العامة: هذا العمود يتعلق بالقواعد التي تنطبق على جميع الموقع.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "منع الخطوط البعيدة",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "تعطيل الجافا سكريبت",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "حظر تقارير الـ CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "فلتر ثابت {{filter}} موجود على:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "فلتر ثابت <code>{{filter}}<\/code> موجود على:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "سجل التغيير",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "الويكي (Wiki)",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "الدعم",
@@ -763,6 +787,10 @@
     "message": "السماح مؤقتا لعناصر الوسائط كبيرة",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "تحرير اختصار",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "يجب أن يكون هذا الإدخال آخر واحد",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/az/messages.json 1.17.0+dfsg-2/src/_locales/az/messages.json
--- 1.16.14+dfsg-1/src/_locales/az/messages.json	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/az/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,798 @@
+{
+  "extName": {
+    "message": "uBlock Origin",
+    "description": "extension name."
+  },
+  "extShortDesc": {
+    "message": "Axır ki, işlək bloker. CPU və yaddaş yönümlü.",
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
+  },
+  "dashboardName": {
+    "message": "uBlock₀ — Dashboard",
+    "description": "English: uBlock₀ — Dashboard"
+  },
+  "settingsPageName": {
+    "message": "Tənzimləmələr",
+    "description": "appears as tab name in dashboard"
+  },
+  "3pPageName": {
+    "message": "Filter siyahısı",
+    "description": "appears as tab name in dashboard"
+  },
+  "1pPageName": {
+    "message": "Filtirlərim",
+    "description": "appears as tab name in dashboard"
+  },
+  "rulesPageName": {
+    "message": "Öz qaydalarım",
+    "description": "appears as tab name in dashboard"
+  },
+  "whitelistPageName": {
+    "message": "İcazəli siyahı (Whitelist)",
+    "description": "appears as tab name in dashboard"
+  },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
+  "statsPageName": {
+    "message": "uBlock₀ — Logger",
+    "description": "Title for the logger window"
+  },
+  "aboutPageName": {
+    "message": "Haqqında",
+    "description": "appears as tab name in dashboard"
+  },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
+  "advancedSettingsPageName": {
+    "message": "Geniş Tənzimləmələr",
+    "description": "Title for the advanced settings page"
+  },
+  "popupPowerSwitchInfo": {
+    "message": "Sıxın: uBlock₀ bu səhifə üçün açıb\/bağlayın.\n\nCtrl+click: uBlock₀ yalnız bu səhifə üçün bağlayın.",
+    "description": "English: Click: disable\/enable uBlock₀ for this site.\n\nCtrl+click: disable uBlock₀ only on this page."
+  },
+  "popupPowerSwitchInfo1": {
+    "message": "Sıxaraq uBlock₀ bu səhifə üçün bağlayın.\n\nCtrl+click, uBlock₀ yalnız bu səhifə üçün bağlayın.",
+    "description": "Message to be read by screen readers"
+  },
+  "popupPowerSwitchInfo2": {
+    "message": "Sıxaraq bu səhifə üçün uBlock₀ aça bilərsiniz.",
+    "description": "Message to be read by screen readers"
+  },
+  "popupBlockedRequestPrompt": {
+    "message": "tələb(request) bloklandı",
+    "description": "English: requests blocked"
+  },
+  "popupBlockedOnThisPagePrompt": {
+    "message": "bu səhifədə",
+    "description": "English: on this page"
+  },
+  "popupBlockedStats": {
+    "message": "{{count}} və ya {{percent}}%",
+    "description": "Example: 15 or 13%"
+  },
+  "popupBlockedSinceInstallPrompt": {
+    "message": "yükləmədən bəri",
+    "description": "English: since install"
+  },
+  "popupOr": {
+    "message": "və ya",
+    "description": "English: or"
+  },
+  "popupTipDashboard": {
+    "message": "Dashboard aç",
+    "description": "English: Click to open the dashboard"
+  },
+  "popupTipZapper": {
+    "message": "Element zapper moda keçin",
+    "description": "Tooltip for the element-zapper icon in the popup panel"
+  },
+  "popupTipPicker": {
+    "message": "Element seçici moda keçin",
+    "description": "English: Enter element picker mode"
+  },
+  "popupTipLog": {
+    "message": "Loggeri aç",
+    "description": "Tooltip used for the logger icon in the panel"
+  },
+  "popupTipNoPopups": {
+    "message": "Bu səhifə üçün popup bloklarını aç",
+    "description": "Tooltip for the no-popups per-site switch"
+  },
+  "popupTipNoPopups1": {
+    "message": "Bu səhifədəki popup-ları blokla",
+    "description": "Tooltip for the no-popups per-site switch"
+  },
+  "popupTipNoPopups2": {
+    "message": "Bu səhifədəki popup-ları sonralar açıq et",
+    "description": "Tooltip for the no-popups per-site switch"
+  },
+  "popupTipNoLargeMedia": {
+    "message": "Bu səhifədə böyük media elemetlərini bloklamağı aç",
+    "description": "Tooltip for the no-large-media per-site switch"
+  },
+  "popupTipNoLargeMedia1": {
+    "message": "Bu səhifədəki böyük media elementlərini blokla",
+    "description": "Tooltip for the no-large-media per-site switch"
+  },
+  "popupTipNoLargeMedia2": {
+    "message": "Click to no longer block large media elements on this site",
+    "description": "Tooltip for the no-large-media per-site switch"
+  },
+  "popupTipNoCosmeticFiltering": {
+    "message": "Toggle cosmetic filtering for this site",
+    "description": "Tooltip for the no-cosmetic-filtering per-site switch"
+  },
+  "popupTipNoCosmeticFiltering1": {
+    "message": "Click to disable cosmetic filtering on this site",
+    "description": "Tooltip for the no-cosmetic-filtering per-site switch"
+  },
+  "popupTipNoCosmeticFiltering2": {
+    "message": "Click to enable cosmetic filtering on this site",
+    "description": "Tooltip for the no-cosmetic-filtering per-site switch"
+  },
+  "popupTipNoRemoteFonts": {
+    "message": "Toggle the blocking of remote fonts for this site",
+    "description": "Tooltip for the no-remote-fonts per-site switch"
+  },
+  "popupTipNoRemoteFonts1": {
+    "message": "Click to block remote fonts on this site",
+    "description": "Tooltip for the no-remote-fonts per-site switch"
+  },
+  "popupTipNoRemoteFonts2": {
+    "message": "Click to no longer block remote fonts on this site",
+    "description": "Tooltip for the no-remote-fonts per-site switch"
+  },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipGlobalRules": {
+    "message": "Global rules: this column is for rules which apply to all sites.",
+    "description": "Tooltip when hovering the top-most cell of the global-rules column."
+  },
+  "popupTipLocalRules": {
+    "message": "Local rules: this column is for rules which apply to the current site only.\nLocal rules override global rules.",
+    "description": "Tooltip when hovering the top-most cell of the local-rules column."
+  },
+  "popupTipSaveRules": {
+    "message": "Click to make your changes permanent.",
+    "description": "Tooltip when hovering over the padlock in the dynamic filtering pane."
+  },
+  "popupTipRevertRules": {
+    "message": "Click to revert your changes.",
+    "description": "Tooltip when hovering over the eraser in the dynamic filtering pane."
+  },
+  "popupAnyRulePrompt": {
+    "message": "hamısı",
+    "description": ""
+  },
+  "popupImageRulePrompt": {
+    "message": "şəkillər",
+    "description": ""
+  },
+  "popup3pAnyRulePrompt": {
+    "message": "3-cü tərəf",
+    "description": ""
+  },
+  "popup3pPassiveRulePrompt": {
+    "message": "3-cü tərəf css\/şəkillər",
+    "description": ""
+  },
+  "popupInlineScriptRulePrompt": {
+    "message": "sətr daxili script",
+    "description": ""
+  },
+  "popup1pScriptRulePrompt": {
+    "message": "1-ci tərəf scriptlər",
+    "description": ""
+  },
+  "popup3pScriptRulePrompt": {
+    "message": "3-cü tərəf scriptlər",
+    "description": ""
+  },
+  "popup3pFrameRulePrompt": {
+    "message": "3-cü tərəf frame-lər",
+    "description": ""
+  },
+  "popupHitDomainCountPrompt": {
+    "message": "doaminlər qoşulub",
+    "description": "appears in popup"
+  },
+  "popupHitDomainCount": {
+    "message": "{{count}} \/ {{total}}",
+    "description": "appears in popup"
+  },
+  "pickerCreate": {
+    "message": "Yarat",
+    "description": "English: Create"
+  },
+  "pickerPick": {
+    "message": "Seç",
+    "description": "English: Pick"
+  },
+  "pickerQuit": {
+    "message": "Çıxış",
+    "description": "English: Quit"
+  },
+  "pickerPreview": {
+    "message": "Preview",
+    "description": "Element picker preview mode: will cause the elements matching the current filter to be removed from the page"
+  },
+  "pickerNetFilters": {
+    "message": "Network filters",
+    "description": "English: header for a type of filter in the element picker dialog"
+  },
+  "pickerCosmeticFilters": {
+    "message": "Cosmetic filters",
+    "description": "English: Cosmetic filters"
+  },
+  "pickerCosmeticFiltersHint": {
+    "message": "Click, Ctrl-click",
+    "description": "English: Click, Ctrl-click"
+  },
+  "pickerContextMenuEntry": {
+    "message": "Block element",
+    "description": "English: Block element"
+  },
+  "settingsCollapseBlockedPrompt": {
+    "message": "Hide placeholders of blocked elements",
+    "description": "English: Hide placeholders of blocked elements"
+  },
+  "settingsIconBadgePrompt": {
+    "message": "Show the number of blocked requests on the icon",
+    "description": "English: Show the number of blocked requests on the icon"
+  },
+  "settingsTooltipsPrompt": {
+    "message": "Disable tooltips",
+    "description": "A checkbox in the Settings pane"
+  },
+  "settingsContextMenuPrompt": {
+    "message": "Make use of context menu where appropriate",
+    "description": "English: Make use of context menu where appropriate"
+  },
+  "settingsColorBlindPrompt": {
+    "message": "Color-blind friendly",
+    "description": "English: Color-blind friendly"
+  },
+  "settingsCloudStorageEnabledPrompt": {
+    "message": "Enable cloud storage support",
+    "description": ""
+  },
+  "settingsAdvancedUserPrompt": {
+    "message": "I am an advanced user (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Advanced-user-features'>required reading<\/a>)",
+    "description": ""
+  },
+  "settingsAdvancedUserSettings": {
+    "message": "advanced settings",
+    "description": "For the tooltip of a link which gives access to advanced settings"
+  },
+  "settingsPrefetchingDisabledPrompt": {
+    "message": "Disable pre-fetching (to prevent any connection for blocked network requests)",
+    "description": "English: "
+  },
+  "settingsHyperlinkAuditingDisabledPrompt": {
+    "message": "Disable hyperlink auditing",
+    "description": "English: "
+  },
+  "settingsWebRTCIPAddressHiddenPrompt": {
+    "message": "Prevent WebRTC from leaking local IP addresses",
+    "description": "English: "
+  },
+  "settingPerSiteSwitchGroup": {
+    "message": "Default behavior",
+    "description": ""
+  },
+  "settingPerSiteSwitchGroupSynopsis": {
+    "message": "These default behaviors can be overridden on a per-site basis",
+    "description": ""
+  },
+  "settingsNoCosmeticFilteringPrompt": {
+    "message": "Disable cosmetic filtering",
+    "description": ""
+  },
+  "settingsNoLargeMediaPrompt": {
+    "message": "Block media elements larger than {{input:number}} kB",
+    "description": ""
+  },
+  "settingsNoRemoteFontsPrompt": {
+    "message": "Block remote fonts",
+    "description": ""
+  },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
+  "settingsNoCSPReportsPrompt": {
+    "message": "Block CSP reports",
+    "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
+  },
+  "settingsStorageUsed": {
+    "message": "Storage used: {{value}} bytes",
+    "description": "English: Storage used: {{}} bytes"
+  },
+  "settingsLastRestorePrompt": {
+    "message": "Last restore:",
+    "description": "English: Last restore:"
+  },
+  "settingsLastBackupPrompt": {
+    "message": "Last backup:",
+    "description": "English: Last backup:"
+  },
+  "3pListsOfBlockedHostsPrompt": {
+    "message": "{{netFilterCount}} network filters ＋ {{cosmeticFilterCount}} cosmetic filters from:",
+    "description": "Appears at the top of the _3rd-party filters_ pane"
+  },
+  "3pListsOfBlockedHostsPerListStats": {
+    "message": "{{used}} used out of {{total}}",
+    "description": "Appears aside each filter list in the _3rd-party filters_ pane"
+  },
+  "3pAutoUpdatePrompt1": {
+    "message": "Auto-update filter lists",
+    "description": "A checkbox in the _3rd-party filters_ pane"
+  },
+  "3pUpdateNow": {
+    "message": "Update now",
+    "description": "A button in the in the _3rd-party filters_ pane"
+  },
+  "3pPurgeAll": {
+    "message": "Purge all caches",
+    "description": "A button in the in the _3rd-party filters_ pane"
+  },
+  "3pParseAllABPHideFiltersPrompt1": {
+    "message": "Parse and enforce cosmetic filters",
+    "description": "English: Parse and enforce Adblock+ element hiding filters."
+  },
+  "3pParseAllABPHideFiltersInfo": {
+    "message": "<p>This option enables the parsing and enforcing of <a href=\"https:\/\/adblockplus.org\/en\/faq_internal#elemhide\">Adblock Plus-compatible &ldquo;element hiding&rdquo; filters<\/a>. These filters are essentially cosmetic, they serve to hide elements in a web page which are deemed to be a visual nuisance, and which can't be blocked by the net request-based filtering engine.<\/p><p>Enabling this feature increases uBlock₀'s memory footprint.<\/p>",
+    "description": "Describes the purpose of the 'Parse and enforce cosmetic filters' feature."
+  },
+  "3pIgnoreGenericCosmeticFilters": {
+    "message": "Ignore generic cosmetic filters",
+    "description": "This will cause uBO to ignore all generic cosmetic filters."
+  },
+  "3pIgnoreGenericCosmeticFiltersInfo": {
+    "message": "<p>Generic cosmetic filters are those cosmetic filters which are meant to apply on all web sites.<p>Though handled efficiently by uBlock₀, generic cosmetic filters may still contribute measurable memory and CPU overhead on some web pages, especially for large and long-lived ones.<p>Enabling this option will eliminate the memory and CPU overhead added to web pages as a result of handling generic cosmetic filters, and also lower the memory footprint of uBlock₀ itself.<p>It is recommended to enable this option on less powerful devices.",
+    "description": "Describes the purpose of the 'Ignore generic cosmetic filters' feature."
+  },
+  "3pListsOfBlockedHostsHeader": {
+    "message": "Lists of blocked hosts",
+    "description": "English: Lists of blocked hosts"
+  },
+  "3pApplyChanges": {
+    "message": "Apply changes",
+    "description": "English: Apply changes"
+  },
+  "3pGroupDefault": {
+    "message": "Built-in",
+    "description": "Header for the uBlock filters section in 'Filter lists pane'"
+  },
+  "3pGroupAds": {
+    "message": "Ads",
+    "description": "English: Ads"
+  },
+  "3pGroupPrivacy": {
+    "message": "Privacy",
+    "description": "English: Privacy"
+  },
+  "3pGroupMalware": {
+    "message": "Malware domains",
+    "description": "English: Malware domains"
+  },
+  "3pGroupAnnoyances": {
+    "message": "Annoyances",
+    "description": "The header identifying the filter lists in the category 'annoyances'"
+  },
+  "3pGroupMultipurpose": {
+    "message": "Multipurpose",
+    "description": "English: Multipurpose"
+  },
+  "3pGroupRegions": {
+    "message": "Regions, languages",
+    "description": "English: Regions, languages"
+  },
+  "3pGroupCustom": {
+    "message": "Custom",
+    "description": "English: Custom"
+  },
+  "3pImport": {
+    "message": "İmport...",
+    "description": "The label for the checkbox used to import external filter lists"
+  },
+  "3pExternalListsHint": {
+    "message": "One URL per line. Invalid URLs will be silently ignored.",
+    "description": "Short information about how to use the textarea to import external filter lists by URL"
+  },
+  "3pExternalListObsolete": {
+    "message": "Out of date.",
+    "description": "used as a tooltip for the out-of-date icon beside a list"
+  },
+  "3pLastUpdate": {
+    "message": "Last update: {{ago}}.\nClick to force an update.",
+    "description": "used as a tooltip for the clock icon beside a list"
+  },
+  "3pUpdating": {
+    "message": "Updating...",
+    "description": "used as a tooltip for the spinner icon beside a list"
+  },
+  "3pNetworkError": {
+    "message": "A network error prevented the resource from being updated.",
+    "description": "used as a tooltip for error icon beside a list"
+  },
+  "1pFormatHint": {
+    "message": "One filter per line. A filter can be a plain hostname, or an Adblock Plus-compatible filter. Lines prefixed with <code>!<\/code> will be ignored.",
+    "description": "Short information about how to create custom filters"
+  },
+  "1pImport": {
+    "message": "Import and append",
+    "description": "English: Import and append"
+  },
+  "1pExport": {
+    "message": "Export",
+    "description": "English: Export"
+  },
+  "1pExportFilename": {
+    "message": "my-ublock-static-filters_{{datetime}}.txt",
+    "description": "English: my-ublock-static-filters_{{datetime}}.txt"
+  },
+  "1pApplyChanges": {
+    "message": "Apply changes",
+    "description": "English: Apply changes"
+  },
+  "rulesPermanentHeader": {
+    "message": "Permanent rules",
+    "description": "header"
+  },
+  "rulesTemporaryHeader": {
+    "message": "Temporary rules",
+    "description": "header"
+  },
+  "rulesRevert": {
+    "message": "Revert",
+    "description": "This will remove all temporary rules"
+  },
+  "rulesCommit": {
+    "message": "Commit",
+    "description": "This will persist temporary rules"
+  },
+  "rulesEdit": {
+    "message": "Edit",
+    "description": "Will enable manual-edit mode (textarea)"
+  },
+  "rulesEditSave": {
+    "message": "Save",
+    "description": "Will save manually-edited content and exit manual-edit mode"
+  },
+  "rulesEditDiscard": {
+    "message": "Discard",
+    "description": "Will discard manually-edited content and exit manual-edit mode"
+  },
+  "rulesImport": {
+    "message": "Import from file...",
+    "description": ""
+  },
+  "rulesExport": {
+    "message": "Export to file",
+    "description": ""
+  },
+  "rulesDefaultFileName": {
+    "message": "my-ublock-dynamic-rules_{{datetime}}.txt",
+    "description": "default file name to use"
+  },
+  "rulesHint": {
+    "message": "List of your dynamic filtering rules.",
+    "description": "English: List of your dynamic filtering rules."
+  },
+  "rulesFormatHint": {
+    "message": "Rule syntax: <code>source destination type action<\/code> (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Dynamic-filtering:-rule-syntax'>full documentation<\/a>).",
+    "description": "English: dynamic rule syntax and full documentation."
+  },
+  "whitelistPrompt": {
+    "message": "The whitelist directives dictate on which web pages uBlock Origin should be disabled. One entry per line. Invalid directives will be silently ignored and commented out.",
+    "description": "English: An overview of the content of the dashboard's Whitelist pane."
+  },
+  "whitelistImport": {
+    "message": "Import and append",
+    "description": "English: Import and append"
+  },
+  "whitelistExport": {
+    "message": "Export",
+    "description": "English: Export"
+  },
+  "whitelistExportFilename": {
+    "message": "my-ublock-whitelist_{{datetime}}.txt",
+    "description": "English: my-ublock-whitelist_{{datetime}}.txt"
+  },
+  "whitelistApply": {
+    "message": "Apply changes",
+    "description": "English: Apply changes"
+  },
+  "logRequestsHeaderType": {
+    "message": "Type",
+    "description": "English: Type"
+  },
+  "logRequestsHeaderDomain": {
+    "message": "Domain",
+    "description": "English: Domain"
+  },
+  "logRequestsHeaderURL": {
+    "message": "URL",
+    "description": "English: URL"
+  },
+  "logRequestsHeaderFilter": {
+    "message": "Filter",
+    "description": "English: Filter"
+  },
+  "logAll": {
+    "message": "All",
+    "description": "Appears in the logger's tab selector"
+  },
+  "logBehindTheScene": {
+    "message": "Behind the scene",
+    "description": "Pretty name for behind-the-scene network requests"
+  },
+  "loggerCurrentTab": {
+    "message": "Current tab",
+    "description": "Appears in the logger's tab selector"
+  },
+  "logFilterPrompt": {
+    "message": "filter log entries",
+    "description": "English: filter log entries"
+  },
+  "logMaxEntriesTip": {
+    "message": "Maximum number of log entries",
+    "description": "Tooltip informaing that the input field is to set the maximum number of entries in the log"
+  },
+  "loggerURLFilteringContextLabel": {
+    "message": "Context:",
+    "description": "Label for the context selector"
+  },
+  "loggerURLFilteringTypeLabel": {
+    "message": "Type:",
+    "description": "Label for the type selector"
+  },
+  "loggerURLFilteringHeader": {
+    "message": "Dynamic URL filtering",
+    "description": "Small header to identify the dynamic URL filtering section"
+  },
+  "loggerStaticFilteringHeader": {
+    "message": "Static filtering",
+    "description": "Small header to identify the static filtering section"
+  },
+  "loggerStaticFilteringSentence": {
+    "message": "{{action}} network requests of {{type}} {{br}}which URL address matches {{url}} {{br}}and which originates {{origin}},{{br}}{{importance}} there is a matching exception filter.",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartBlock": {
+    "message": "Block",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartAllow": {
+    "message": "Allow",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartType": {
+    "message": "type “{{type}}”",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartAnyType": {
+    "message": "any type",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartOrigin": {
+    "message": "from “{{origin}}”",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartAnyOrigin": {
+    "message": "from anywhere",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartNotImportant": {
+    "message": "except when",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartImportant": {
+    "message": "even if",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringFinderSentence1": {
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
+  },
+  "aboutChangelog": {
+    "message": "Changelog",
+    "description": ""
+  },
+  "aboutWiki": {
+    "message": "Wiki",
+    "description": "English: project' wiki on GitHub"
+  },
+  "aboutSupport": {
+    "message": "Support",
+    "description": "A link for where to get support"
+  },
+  "aboutIssues": {
+    "message": "Issue tracker",
+    "description": "Text for a link to official issue tracker"
+  },
+  "aboutCode": {
+    "message": "Source code (GPLv3)",
+    "description": "English: Source code (GPLv3)"
+  },
+  "aboutContributors": {
+    "message": "Contributors",
+    "description": "English: Contributors"
+  },
+  "aboutBackupDataButton": {
+    "message": "Back up to file",
+    "description": "Text for button to create a backup of all settings"
+  },
+  "aboutBackupFilename": {
+    "message": "my-ublock-backup_{{datetime}}.txt",
+    "description": "English: my-ublock-backup_{{datetime}}.txt"
+  },
+  "aboutRestoreDataButton": {
+    "message": "Restore from file...",
+    "description": "English: Restore from file..."
+  },
+  "aboutResetDataButton": {
+    "message": "Reset to default settings...",
+    "description": "English: Reset to default settings..."
+  },
+  "aboutRestoreDataConfirm": {
+    "message": "All your settings will be overwritten using data backed up on {{time}}, and uBlock₀ will restart.\n\nOverwrite all existing settings using backed up data?",
+    "description": "Message asking user to confirm restore"
+  },
+  "aboutRestoreDataError": {
+    "message": "The data could not be read or is invalid",
+    "description": "Message to display when an error occurred during restore"
+  },
+  "aboutResetDataConfirm": {
+    "message": "All your settings will be removed, and uBlock₀ will restart.\n\nReset uBlock₀ to factory settings?",
+    "description": "Message asking user to confirm reset"
+  },
+  "errorCantConnectTo": {
+    "message": "Network error: {{msg}}",
+    "description": "English: Network error: {{msg}}"
+  },
+  "subscriberConfirm": {
+    "message": "uBlock₀: Add the following URL to your custom filter lists?\n\nTitle: \"{{title}}\"\nURL: {{url}}",
+    "description": "English: The message seen by the user to confirm subscription to a ABP filter list"
+  },
+  "elapsedOneMinuteAgo": {
+    "message": "a minute ago",
+    "description": "English: a minute ago"
+  },
+  "elapsedManyMinutesAgo": {
+    "message": "{{value}} minutes ago",
+    "description": "English: {{value}} minutes ago"
+  },
+  "elapsedOneHourAgo": {
+    "message": "an hour ago",
+    "description": "English: an hour ago"
+  },
+  "elapsedManyHoursAgo": {
+    "message": "{{value}} hours ago",
+    "description": "English: {{value}} hours ago"
+  },
+  "elapsedOneDayAgo": {
+    "message": "a day ago",
+    "description": "English: a day ago"
+  },
+  "elapsedManyDaysAgo": {
+    "message": "{{value}} days ago",
+    "description": "English: {{value}} days ago"
+  },
+  "showDashboardButton": {
+    "message": "Show Dashboard",
+    "description": "Firefox\/Fennec-specific: Show Dashboard"
+  },
+  "showNetworkLogButton": {
+    "message": "Show Logger",
+    "description": "Firefox\/Fennec-specific: Show Logger"
+  },
+  "fennecMenuItemBlockingOff": {
+    "message": "off",
+    "description": "Firefox-specific: appears as 'uBlock₀ (off)'"
+  },
+  "docblockedPrompt1": {
+    "message": "uBlock Origin has prevented the following page from loading:",
+    "description": "English: uBlock₀ has prevented the following page from loading:"
+  },
+  "docblockedPrompt2": {
+    "message": "Because of the following filter",
+    "description": "English: Because of the following filter"
+  },
+  "docblockedNoParamsPrompt": {
+    "message": "without parameters",
+    "description": "label to be used for the parameter-less URL: https:\/\/cloud.githubusercontent.com\/assets\/585534\/9832014\/bfb1b8f0-593b-11e5-8a27-fba472a5529a.png"
+  },
+  "docblockedFoundIn": {
+    "message": "Found in:",
+    "description": "English: List of filter list names follows"
+  },
+  "docblockedBack": {
+    "message": "Go back",
+    "description": "English: Go back"
+  },
+  "docblockedClose": {
+    "message": "Close this window",
+    "description": "English: Close this window"
+  },
+  "docblockedProceed": {
+    "message": "Disable strict blocking for {{hostname}}",
+    "description": "English: Disable strict blocking for {{hostname}} ..."
+  },
+  "docblockedDisableTemporary": {
+    "message": "Temporarily",
+    "description": "English: Temporarily"
+  },
+  "docblockedDisablePermanent": {
+    "message": "Permanently",
+    "description": "English: Permanently"
+  },
+  "cloudPush": {
+    "message": "Export to cloud storage",
+    "description": "tooltip"
+  },
+  "cloudPull": {
+    "message": "Import from cloud storage",
+    "description": "tooltip"
+  },
+  "cloudPullAndMerge": {
+    "message": "Import from cloud storage and merge with current settings",
+    "description": "tooltip"
+  },
+  "cloudNoData": {
+    "message": "...\n...",
+    "description": ""
+  },
+  "cloudDeviceNamePrompt": {
+    "message": "This device name:",
+    "description": "used as a prompt for the user to provide a custom device name"
+  },
+  "advancedSettingsWarning": {
+    "message": "Warning! Change these advanced settings at your own risk.",
+    "description": "A warning to users at the top of 'Advanced settings' page"
+  },
+  "genericSubmit": {
+    "message": "Submit",
+    "description": "for generic 'Submit' buttons"
+  },
+  "genericApplyChanges": {
+    "message": "Apply changes",
+    "description": "for generic 'Apply changes' buttons"
+  },
+  "genericRevert": {
+    "message": "Revert",
+    "description": "for generic 'Revert' buttons"
+  },
+  "genericBytes": {
+    "message": "bytes",
+    "description": ""
+  },
+  "contextMenuTemporarilyAllowLargeMediaElements": {
+    "message": "Temporarily allow large media elements",
+    "description": "A context menu entry, present when large media elements have been blocked on the current site"
+  },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
+  "dummy": {
+    "message": "This entry must be the last one",
+    "description": "so we dont need to deal with comma for last entry"
+  }
+}
\ No newline at end of file
diff -pruN 1.16.14+dfsg-1/src/_locales/bg/messages.json 1.17.0+dfsg-2/src/_locales/bg/messages.json
--- 1.16.14+dfsg-1/src/_locales/bg/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/bg/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Най-накрая, ефективен блокер. Щадящ процесора и паметта.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Табло",
@@ -31,14 +31,22 @@
     "message": "Изключения",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Клавишни комбинации",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
-    "message": "uBlock₀ — Дневник на мрежовите заявки",
+    "message": "uBlock₀ — Дневник",
     "description": "Title for the logger window"
   },
   "aboutPageName": {
     "message": "Относно",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Активи",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Разширени настройки",
     "description": "Title for the advanced settings page"
@@ -52,7 +60,7 @@
     "description": "Message to be read by screen readers"
   },
   "popupPowerSwitchInfo2": {
-    "message": "Щракнете, за да включите uBO за този сайт.",
+    "message": "Щракнете, за да включите uBlock₀ за този сайт.",
     "description": "Message to be read by screen readers"
   },
   "popupBlockedRequestPrompt": {
@@ -139,6 +147,14 @@
     "message": "Щракнете, за да разрешите външните шрифтове за този сайт",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Щракнете, за да забраните JavaScript за този сайт",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Щракнете, за да разрешите JavaScript за този сайт",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Глобални правила: колона с правила, приложими към всички сайтове.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/изображения от 3-ти страни",
+    "message": "CSS от 3-ти страни\/изображения",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Блокиране на външни шрифтове",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Забраняване на JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Блокиране на CSP отчетите",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -396,7 +416,7 @@
     "description": "used as a tooltip for the out-of-date icon beside a list"
   },
   "3pLastUpdate": {
-    "message": "Последно обновяване: {{ago}}\nЩракнете за принудително обновяване.",
+    "message": "Последно обновяване: {{ago}}.\nЩракнете за принудително обновяване.",
     "description": "used as a tooltip for the clock icon beside a list"
   },
   "3pUpdating": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Статичният филтър {{filter}} е намерен в:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Статичният филтър <code>{{filter}}<\/code> е намерен в:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Статичният филтър <code>{{filter}}<\/code> не е намерен в никой от списъка с активни филтри",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Списък с промени",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Поддръжка",
@@ -763,6 +787,10 @@
     "message": "Временно разрешаване на големи мултимедийни елементи",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Натиснете клавиши",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Това поле трябва да бъде последното",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/bn/messages.json 1.17.0+dfsg-2/src/_locales/bn/messages.json
--- 1.16.14+dfsg-1/src/_locales/bn/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/bn/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "অবশেষে, একটি কার্যকর বিজ্ঞাপন প্রতিরোধক। সিপিইউ এবং মেমরি সহায়ক।",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — ড্যাশবোর্ড",
@@ -31,6 +31,10 @@
     "message": "সাদাতালিকা",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "সংক্ষিপ্ত",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — ঘটনাবলী",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "সম্পর্কে",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "উন্নত সেটিংস",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "এই সাইটে রিমোট ফন্ট আর অবরুদ্ধ না করতে ক্লিক করুন",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "সার্বজনীন নিয়ম: এই কলামটি সেইসব নিয়মের জন্য যা সকল সাইটের উপর প্রযোজ্য।",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "রিমোট ফন্ট অবরুদ্ধ করুন",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP প্রতিবেদন অবরুদ্ধ করুন",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "স্থির ফিল্টার {{filter}} পাওয়া গেছে:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "স্থির ফিল্টার <code>{{filter}}<\/code> পাওয়া গেছে:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "পরিবর্তন লগ",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "উইকি",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "সমর্থন",
@@ -763,6 +787,10 @@
     "message": "সাময়িকভাবে বৃহৎ মিডিয়া উপাদান মঞ্জুরি দিন",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ca/messages.json 1.17.0+dfsg-2/src/_locales/ca/messages.json
--- 1.16.14+dfsg-1/src/_locales/ca/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ca/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Finalment, un blocador eficient que utilitza pocs recursos de memòria i processador.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Tauler de control",
@@ -31,6 +31,10 @@
     "message": "Llista blanca",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Dreceres",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Registre de peticions de xarxa",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Quant a",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visor de recursos",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Configuració avançada",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Feu clic per desblocar les fonts remotes en aquest lloc",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Feu clic per inhabilitar completament el JavaScript en aquest lloc",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Feu clic per no inhabilitar completament el JavaScript en aquest lloc",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Regles globals: les regles d'aquesta columna s'apliquen a tots els llocs.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Bloca les fonts remotes",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Inhabilita el JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloca els informes CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -456,7 +476,7 @@
     "description": "Will discard manually-edited content and exit manual-edit mode"
   },
   "rulesImport": {
-    "message": "Importa des de...",
+    "message": "Importa des del fitxer...",
     "description": ""
   },
   "rulesExport": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "S'ha trobat el filtre estàtic {{filter}} a:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "S'ha trobat el filtre estàtic <code>{{filter}}<\/code> a:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "No s'ha trobat el filtre estàtic <code>{{filter}}<\/code> a cap de les llistes de filtres actualment habilitades",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Registre de canvis",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Suport",
@@ -763,6 +787,10 @@
     "message": "Permet temporalment els fitxers multimèdia grans",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Escriviu una drecera",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Aquesta entrada ha de ser l'última",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/cs/messages.json 1.17.0+dfsg-2/src/_locales/cs/messages.json
--- 1.16.14+dfsg-1/src/_locales/cs/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/cs/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Konečně efektivní blokovač. Nezatěžuje CPU a paměť.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Ovládací panel",
@@ -31,6 +31,10 @@
     "message": "Povolené domény",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Zkratky",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Protokol požadavků",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "O rozšíření",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Prohlížeč zdrojů",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Pokročilá nastavení",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Kliknutím vypnete blokování externích\/vzdálených fontů na tomto webu",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Kliknutím zakážete JavaScript na této stránce",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Kliknutím znovu povolíte JavaScript na této stránce",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globální pravidla: tento sloupec slouží pro pravidla, která platí pro všechny weby.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "obrázky\/css třetích stran",
+    "message": "CSS\/obrázky třetích stran",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Blokovat externí fonty",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Zakázat JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokovat CSP reporty",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -408,7 +428,7 @@
     "description": "used as a tooltip for error icon beside a list"
   },
   "1pFormatHint": {
-    "message": "Jeden filtr na řádek. Filtr může být prostý název hostitele nebo filtr kompatibilní s Adblock Plus. Řádky začínající na &lsquo;!&rsquo; budou ignorovány.",
+    "message": "Jedna filtr na řádek. Filtr může být prostý název hostitele nebo filtr kompatibilní s Adblock Plus. Řádky začínající vykřičníkem <code>!<\/code> budou ignorovány.",
     "description": "Short information about how to create custom filters"
   },
   "1pImport": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statický filtr {{filter}} nalezen v seznamech:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statický filtr <code>{{filter}}<\/code> nalezen v seznamech:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statický filtr <code>{{filter}}<\/code> nebyl nalezen v žádném aktuálně povoleném seznamu filtrů",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Change log",
-    "description": "English: Change log"
+    "message": "Přehled změn",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Podpora",
@@ -763,6 +787,10 @@
     "message": "Dočasně povolit velké multimediální prvky",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Stiskněte zkratku",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/cv/messages.json 1.17.0+dfsg-2/src/_locales/cv/messages.json
--- 1.16.14+dfsg-1/src/_locales/cv/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/cv/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Тинех Интернет тишкерӳҫӗ валли хӑвӑрт та витӗмлӗ чаркӑч пур.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "Йӗркелӳ ҫӳлӗкӗ",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Logger",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Сарӑм пирки",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Advanced settings",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Global rules: this column is for rules which apply to all sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Ют шрифтсене чар",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Улшӑнусен йышӗ",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Вики",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Пысӑк медиа-элементсене вӑхӑтлӑха уҫ",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Ку ҫыру юлашки пулмалла",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/da/messages.json 1.17.0+dfsg-2/src/_locales/da/messages.json
--- 1.16.14+dfsg-1/src/_locales/da/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/da/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Endelig en effektiv blocker. Lavt CPU- og hukommelsesforbrug.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Kontrolpanel",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Genveje",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Loggen",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Om",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visning af aktiver",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Avancerede indstillinger",
     "description": "Title for the advanced settings page"
@@ -64,7 +72,7 @@
     "description": "English: on this page"
   },
   "popupBlockedStats": {
-    "message": "{{count}} eller {{percent}}%",
+    "message": "{{count}} eller {{percent}} %",
     "description": "Example: 15 or 13%"
   },
   "popupBlockedSinceInstallPrompt": {
@@ -139,6 +147,14 @@
     "message": "Klik for at stoppe med at blokere skrifttyper på nettet på dette websted",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klik for at deaktivere JavaScript helt på dette websted",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klik for ikke længere at deaktivere JavaScript helt på dette websted",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globale regler: denne kolonne er til de regler der gælder på alle websteder.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "Tredjeparts css\/billeder",
+    "message": "Tredjeparts CSS\/billeder",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Bloker skrifttyper fra nettet",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Deaktivér JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokér CSP rapporter",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statisk filter {{filter}} findes i:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statisk filter <code>{{filter}}<\/code> findes i:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statisk filter <code>{{filter}}<\/code> kunne ikke findes i nogen af de aktuelt aktiverede filterlister",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Ændringslog",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Tillad store medie-elementer midlertidigt",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Skriv en genvej",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Denne indskrivning må være den sidste",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/de/messages.json 1.17.0+dfsg-2/src/_locales/de/messages.json
--- 1.16.14+dfsg-1/src/_locales/de/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/de/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Endlich ein effizienter Blocker. Prozessor-freundlich und bescheiden beim Speicherbedarf.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dashboard",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Tastaturkürzel",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Protokoll der Netzwerkanfragen",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Über",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Ressourcenbetrachter",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Erweiterte Einstellungen",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Hier klicken, um Remote-Schriftarten auf dieser Website nicht mehr zu blockieren",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klicken, um Javascript auf dieser Seite komplett zu deaktivieren",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klicken, um JavaScript auf dieser Seite nicht mehr zu deaktivieren",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globale Regeln: Diese Spalte ist für Regeln, die bei allen Seiten angewendet werden.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Externe Schriftarten blocken",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript deaktivieren",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP-Berichte blockieren",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statischer Filter {{filter}} gefunden in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statischer Filter <code>{{filter}}<\/code> gefunden in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statischer Filter <code>{{filter}}<\/code> konnte in keiner der aktuell aktivierten Filterlisten gefunden werden.",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Änderungsprotokoll",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Unterstützung",
@@ -763,6 +787,10 @@
     "message": "Vorübergehend große Medienelemente erlauben",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Tastaturkürzel festlegen",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Dieser Eintrag muss der letzte sein",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/el/messages.json 1.17.0+dfsg-2/src/_locales/el/messages.json
--- 1.16.14+dfsg-1/src/_locales/el/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/el/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Επιτέλους, ένας αποτελεσματικός blocker. Ελαφρύς για τον επεξεργαστή και τη μνήμη.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ - Πίνακας ελέγχου",
@@ -31,6 +31,10 @@
     "message": "Λίστα επιτρεπόμενων",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ - Καταγραφή αιτημάτων δικτύου",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Σχετικά",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Ρυθμίσεις για προχωρημένους",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Κάντε κλικ για αναίρεση φραγής απομακρυσμένων γραμματοσειρών σε αυτή την ιστοσελίδα",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Καθολικοί κανόνες: αυτή η στήλη είναι για κανόνες με εφαρμογή σε όλες τις τοποθεσίες.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Φραγή απομακρυσμένων γραμματοσειρών",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Φραγή αναφορών CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Στατικό φίλτρο {{filter}} βρέθηκε σε:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Στατικό φίλτρο <code>{{filter}}<\/code> βρέθηκε σε:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Αρχείο καταγραφής αλλαγών",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Υποστήριξη",
@@ -763,6 +787,10 @@
     "message": "Να επιτρέπονται προσωρινά μεγάλα στοιχεία πολυμέσων",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Αυτή η καταχώρηση θα πρέπει να είναι τελευταία",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/en/messages.json 1.17.0+dfsg-2/src/_locales/en/messages.json
--- 1.16.14+dfsg-1/src/_locales/en/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/en/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc":{
     "message":"Finally, an efficient blocker. Easy on CPU and memory.",
-    "description":"this will be in the chrome web store: must be 132 characters or less"
+    "description":"this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName":{
     "message":"uBlock₀ — Dashboard",
@@ -31,6 +31,10 @@
     "message":"Whitelist",
     "description":"appears as tab name in dashboard"
   },
+  "shortcutsPageName":{
+    "message":"Shortcuts",
+    "description":"appears as tab name in dashboard"
+  },
   "statsPageName":{
     "message":"uBlock₀ — Logger",
     "description":"Title for the logger window"
@@ -39,6 +43,10 @@
     "message":"About",
     "description":"appears as tab name in dashboard"
   },
+  "assetViewerPageName":{
+    "message":"uBlock₀ — Asset viewer",
+    "description":"Title for the asset viewer page"
+  },
   "advancedSettingsPageName":{
     "message":"Advanced settings",
     "description":"Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message":"Click to no longer block remote fonts on this site",
     "description":"Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1":{
+    "message":"Click to disable JavaScript on this site",
+    "description":"Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2":{
+    "message":"Click to no longer disable JavaScript on this site",
+    "description":"Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules":{
     "message":"Global rules: this column is for rules which apply to all sites.",
     "description":"Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description":""
   },
   "popup3pPassiveRulePrompt":{
-    "message":"3rd-party css/images",
+    "message":"3rd-party CSS/images",
     "description":""
   },
   "popupInlineScriptRulePrompt":{
@@ -291,6 +307,10 @@
     "message":"Block remote fonts",
     "description": ""
   },
+  "settingsNoScriptingPrompt":{
+    "message":"Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt":{
     "message":"Block CSP reports",
     "description": "background information: https://github.com/gorhill/uBlock/issues/3150"
@@ -584,16 +604,20 @@
     "description":"Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1":{
-    "message":"Static filter {{filter}} found in:",
-    "description":"Below this sentence, the filter lists in which the filter was found"
+    "message":"Static filter <code>{{filter}}</code> found in:",
+    "description":"Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2":{
+    "message":"Static filter <code>{{filter}}</code> could not be found in any of the currently enabled filter lists",
+    "description":"Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog":{
-    "message":"Change log",
-    "description":"English: Change log"
+    "message":"Changelog",
+    "description":""
   },
   "aboutWiki":{
     "message":"Wiki",
-    "description":"English: project' wiki on Github"
+    "description":"English: project' wiki on GitHub"
   },
   "aboutSupport":{
     "message":"Support",
@@ -763,6 +787,10 @@
     "message": "Temporarily allow large media elements",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy":{
     "message":"This entry must be the last one",
     "description":"so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/eo/messages.json 1.17.0+dfsg-2/src/_locales/eo/messages.json
--- 1.16.14+dfsg-1/src/_locales/eo/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/eo/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Finfine rendimenta reklamoblokilo. Afabla por ĉefprocesoro kaj memoro.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Panelo",
@@ -31,6 +31,10 @@
     "message": "Blanklisto",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Protokolilo",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Pri",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Altgradaj agordoj",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Ĝeneralaj reguloj: ĉi tiu kolumno estas por reguloj, kiuj aplikas al ĉiuj retejoj.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Bloki forajn tiparojn",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statika filtrilo {{filter}} estas trovita en:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statika filtrilo <code>{{filter}}<\/code> estas trovita en:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Ŝanĝoprotokolo",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Vikio",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Helpo",
@@ -763,6 +787,10 @@
     "message": "Permesi grandajn aŭdvideajn elementojn nedaŭre",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/es/messages.json 1.17.0+dfsg-2/src/_locales/es/messages.json
--- 1.16.14+dfsg-1/src/_locales/es/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/es/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -1,11 +1,11 @@
 {
   "extName": {
-    "message": "uBlock₀",
+    "message": "uBlock Origin",
     "description": "extension name."
   },
   "extShortDesc": {
     "message": "Por fin, un bloqueador eficiente con uso mínimo de procesador y memoria.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Panel de control",
@@ -31,24 +31,32 @@
     "message": "Lista blanca",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Atajos",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
-    "message": "uBlock₀ — Registro de peticiones de red",
+    "message": "uBlock₀ — Registro de peticiones",
     "description": "Title for the logger window"
   },
   "aboutPageName": {
     "message": "Acerca de",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visor de recursos",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
-    "message": "Ajustes avanzados",
+    "message": "Configuración avanzada",
     "description": "Title for the advanced settings page"
   },
   "popupPowerSwitchInfo": {
-    "message": "Clic: desactivar\/activar uBlock₀ para este sitio.\n\nCtrl + clic: deshabilitar uBlock₀ sólo en esta página.",
+    "message": "Clic: deshabilitar\/habilitar uBlock₀ en este sitio.\n\nCtrl + clic: deshabilitar uBlock₀ solo en esta página.",
     "description": "English: Click: disable\/enable uBlock₀ for this site.\n\nCtrl+click: disable uBlock₀ only on this page."
   },
   "popupPowerSwitchInfo1": {
-    "message": "Clic para deshabilitar uBlock₀ en este sitio. \n\nCtrl+clic para deshabilitar uBlock₀ solo en esta página.",
+    "message": "Clic para deshabilitar uBlock₀ en este sitio.\n\nCtrl+clic para deshabilitar uBlock₀ solo en esta página.",
     "description": "Message to be read by screen readers"
   },
   "popupPowerSwitchInfo2": {
@@ -84,7 +92,7 @@
     "description": "Tooltip for the element-zapper icon in the popup panel"
   },
   "popupTipPicker": {
-    "message": "Activar el modo de selección de elementos",
+    "message": "Activar el modo selección de elementos",
     "description": "English: Enter element picker mode"
   },
   "popupTipLog": {
@@ -92,7 +100,7 @@
     "description": "Tooltip used for the logger icon in the panel"
   },
   "popupTipNoPopups": {
-    "message": "Alternar bloqueo de todos los pop-ups para este sitio",
+    "message": "Alternar bloqueo de todas las ventanas emergentes en este sitio",
     "description": "Tooltip for the no-popups per-site switch"
   },
   "popupTipNoPopups1": {
@@ -104,7 +112,7 @@
     "description": "Tooltip for the no-popups per-site switch"
   },
   "popupTipNoLargeMedia": {
-    "message": "Alternar bloqueo de elementos multimedia grandes para este sitio",
+    "message": "Alternar bloqueo de elementos multimedia grandes en este sitio",
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoLargeMedia1": {
@@ -116,7 +124,7 @@
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoCosmeticFiltering": {
-    "message": "Alternar filtros cosméticos para este sitio",
+    "message": "Alternar el filtrado cosmético en este sitio",
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering1": {
@@ -128,7 +136,7 @@
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoRemoteFonts": {
-    "message": "Alternar bloqueo de fuentes remotas para este sitio",
+    "message": "Alternar bloqueo de fuentes remotas en este sitio",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts1": {
@@ -139,6 +147,14 @@
     "message": "Clic para no bloquear más fuentes remotas en este sitio",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Clic para deshabilitar JavaScript en este sitio",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Clic para no deshabilitar más JavaScript en este sitio",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Reglas globales: las reglas en esta columna se aplican a todos los sitios.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -160,31 +176,31 @@
     "description": ""
   },
   "popupImageRulePrompt": {
-    "message": "Imágenes",
+    "message": "imágenes",
     "description": ""
   },
   "popup3pAnyRulePrompt": {
-    "message": "De terceros",
+    "message": "terceros",
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/imágenes de terceros",
+    "message": "CSS\/imágenes de terceros",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
-    "message": "Scripts embebidos",
+    "message": "scripts integrados",
     "description": ""
   },
   "popup1pScriptRulePrompt": {
-    "message": "Scripts del dominio",
+    "message": "scripts del dominio",
     "description": ""
   },
   "popup3pScriptRulePrompt": {
-    "message": "Scripts de terceros",
+    "message": "scripts de terceros",
     "description": ""
   },
   "popup3pFrameRulePrompt": {
-    "message": "Frames de terceros",
+    "message": "frames de terceros",
     "description": ""
   },
   "popupHitDomainCountPrompt": {
@@ -252,11 +268,11 @@
     "description": ""
   },
   "settingsAdvancedUserPrompt": {
-    "message": "Soy usuario avanzado (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Advanced-user-features'> Lectura Obligatoria - Inglés<\/a>)",
+    "message": "Soy usuario avanzado (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Advanced-user-features'>lectura necesaria<\/a>)",
     "description": ""
   },
   "settingsAdvancedUserSettings": {
-    "message": "ajustes avanzados",
+    "message": "configuración avanzada",
     "description": "For the tooltip of a link which gives access to advanced settings"
   },
   "settingsPrefetchingDisabledPrompt": {
@@ -280,7 +296,7 @@
     "description": ""
   },
   "settingsNoCosmeticFilteringPrompt": {
-    "message": "Deshabilitar filtros cosméticos",
+    "message": "Deshabilitar el filtrado cosmético",
     "description": ""
   },
   "settingsNoLargeMediaPrompt": {
@@ -291,6 +307,10 @@
     "message": "Bloquear fuentes remotas",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Deshabilitar JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloquear reportes CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -312,11 +332,11 @@
     "description": "Appears at the top of the _3rd-party filters_ pane"
   },
   "3pListsOfBlockedHostsPerListStats": {
-    "message": "{{used}} de {{total}} utilizados",
+    "message": "{{used}} utilizados de {{total}}",
     "description": "Appears aside each filter list in the _3rd-party filters_ pane"
   },
   "3pAutoUpdatePrompt1": {
-    "message": "Actualizar automáticamente la lista de filtros.",
+    "message": "Actualizar automáticamente las listas de filtros",
     "description": "A checkbox in the _3rd-party filters_ pane"
   },
   "3pUpdateNow": {
@@ -328,11 +348,11 @@
     "description": "A button in the in the _3rd-party filters_ pane"
   },
   "3pParseAllABPHideFiltersPrompt1": {
-    "message": "Analizar y aplicar filtros cosméticos.",
+    "message": "Analizar y aplicar filtros cosméticos",
     "description": "English: Parse and enforce Adblock+ element hiding filters."
   },
   "3pParseAllABPHideFiltersInfo": {
-    "message": "<p>Esta opción permite el análisis y aplicación de <a href=\"https:\/\/adblockplus.org\/es\/faq_internal#elemhide\">&ldquo;filtros de ocultación de elementos&rdquo; compatibles con Adblock Plus\"<\/a>. Estos filtros son esencialmente cosméticos, sirven para ocultar elementos que se consideran una molestia visual en una página web, no siendo posible su eliminación con el motor de bloqueo basado en peticiones.<\/p><p>Habilitar esta opción aumenta el consumo de memoria de <i>uBlock₀<\/i>.<\/p>",
+    "message": "<p>Esta opción permite el análisis y aplicación de <a href=\"https:\/\/adblockplus.org\/es\/faq_internal#elemhide\">filtros de &ldquo;ocultación de elementos&rdquo; compatibles con Adblock Plus\"<\/a>. Estos filtros son esencialmente cosméticos, sirven para ocultar elementos que se consideran una molestia visual en una página web, no siendo posible su eliminación con el motor de bloqueo basado en peticiones.<\/p><p>Habilitar esta opción aumenta el consumo de memoria de uBlock₀.<\/p>",
     "description": "Describes the purpose of the 'Parse and enforce cosmetic filters' feature."
   },
   "3pIgnoreGenericCosmeticFilters": {
@@ -340,11 +360,11 @@
     "description": "This will cause uBO to ignore all generic cosmetic filters."
   },
   "3pIgnoreGenericCosmeticFiltersInfo": {
-    "message": "<p>Los filtros cosméticos genéricos son aquellos filtros cosméticos que aplican a todas las páginas. <p>Aunque uBlock₀ los gestiona de forma eficiente, estos filtros pueden contribuir a un aumento del uso de la memoria y la CPU en algunas páginas web, especialmente si contienen gran cantidad de contenido.<p>Al habilitar esta opción se disminuirá el uso de la CPU y exceso de uso de la memoria que resulta del procesamiento de los filtros cosméticos genéricos, así como el consumo de memoria de uBlock₀.<p>Se recomienda habilitar esta opción para dispositivos poco potentes.",
+    "message": "<p>Los filtros cosméticos genéricos son aquellos filtros cosméticos que aplican a todas las páginas.<p>Aunque uBlock₀ los gestiona de forma eficiente, estos filtros pueden contribuir a un aumento del uso de la memoria y la CPU en algunas páginas web, especialmente si contienen gran cantidad de contenido.<p>Al habilitar esta opción se disminuirá el uso de la CPU y exceso de uso de la memoria que resulta del procesamiento de los filtros cosméticos genéricos, así como el consumo de memoria de uBlock₀.<p>Se recomienda habilitar esta opción para dispositivos poco potentes.",
     "description": "Describes the purpose of the 'Ignore generic cosmetic filters' feature."
   },
   "3pListsOfBlockedHostsHeader": {
-    "message": "Lista de servidores bloqueados",
+    "message": "Lista de dominios bloqueados",
     "description": "English: Lists of blocked hosts"
   },
   "3pApplyChanges": {
@@ -408,7 +428,7 @@
     "description": "used as a tooltip for error icon beside a list"
   },
   "1pFormatHint": {
-    "message": "Un filtro por línea. Los filtros pueden ser un nombre de servidor, o un filtro compatible con Adblock Plus. Las líneas que comiencen con &lsquo;!&rsquo; serán ignoradas.",
+    "message": "Un filtro por línea. Los filtros pueden ser un nombre de dominio, o un filtro compatible con Adblock Plus. Las líneas que comiencen con <code>!<\/code> serán ignoradas.",
     "description": "Short information about how to create custom filters"
   },
   "1pImport": {
@@ -468,15 +488,15 @@
     "description": "default file name to use"
   },
   "rulesHint": {
-    "message": "Listado de sus reglas de filtrado dinámico.",
+    "message": "Lista de sus reglas de filtrado dinámico.",
     "description": "English: List of your dynamic filtering rules."
   },
   "rulesFormatHint": {
-    "message": "Sintaxis de las reglas: <code>origen destino tipo acción<\/code> (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Dynamic-filtering:-rule-syntax'> documentación completa<\/a>).",
+    "message": "Sintaxis de las reglas: <code>origen destino tipo acción<\/code> (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Dynamic-filtering:-rule-syntax'>documentación completa<\/a>).",
     "description": "English: dynamic rule syntax and full documentation."
   },
   "whitelistPrompt": {
-    "message": "Lista de servidores para los cuales se deshabilitará uBlock₀. Una entrada por línea. Se omitirán nombres de servidores inválidos.",
+    "message": "Lista blanca de páginas web para los cuales se deshabilitará uBlock Origin. Una entrada por línea. Se omitirán nombres de páginas web no válidos.",
     "description": "English: An overview of the content of the dashboard's Whitelist pane."
   },
   "whitelistImport": {
@@ -488,7 +508,7 @@
     "description": "English: Export"
   },
   "whitelistExportFilename": {
-    "message": "ublock-mi-lista-de-permitidos_{{datetime}}.txt",
+    "message": "ublock-mi-lista-blanca_{{datetime}}.txt",
     "description": "English: my-ublock-whitelist_{{datetime}}.txt"
   },
   "whitelistApply": {
@@ -512,7 +532,7 @@
     "description": "English: Filter"
   },
   "logAll": {
-    "message": "Todas",
+    "message": "Todo",
     "description": "Appears in the logger's tab selector"
   },
   "logBehindTheScene": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtro estático {{filter}} encontrado en:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtro estático <code>{{filter}}<\/code> encontrado en:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "No se pudo encontrar el filtro estático <code>{{filter}}<\/code> en ninguna de las listas de filtros actualmente habilitadas",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Registro de cambios",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Soporte",
@@ -612,11 +636,11 @@
     "description": "English: Contributors"
   },
   "aboutBackupDataButton": {
-    "message": "Respaldar en archivo...",
+    "message": "Respaldar en archivo",
     "description": "Text for button to create a backup of all settings"
   },
   "aboutBackupFilename": {
-    "message": "ublock-respaldo_{{datetime}}.txt",
+    "message": "ublock-mi-respaldo_{{datetime}}.txt",
     "description": "English: my-ublock-backup_{{datetime}}.txt"
   },
   "aboutRestoreDataButton": {
@@ -628,7 +652,7 @@
     "description": "English: Reset to default settings..."
   },
   "aboutRestoreDataConfirm": {
-    "message": "Toda la configuración se sobrescribirá utilizando datos respaldados en {{time}} y uBlock₀ se reiniciará.  \n\n¿Sobrescribir toda la configuración existente utilizando datos de la copia de seguridad?",
+    "message": "Toda la configuración se sobrescribirá utilizando datos respaldados en {{time}} y uBlock₀ se reiniciará.\n\n¿Sobrescribir toda la configuración existente utilizando los datos de respaldo?",
     "description": "Message asking user to confirm restore"
   },
   "aboutRestoreDataError": {
@@ -636,7 +660,7 @@
     "description": "Message to display when an error occurred during restore"
   },
   "aboutResetDataConfirm": {
-    "message": "Se borrará toda la configuración y uBlock₀ se reiniciará.\n\n¿Restaurar uBlock₀ a la configuración por defecto?",
+    "message": "Se borrará todas sus configuraciones y uBlock₀ se reiniciará.\n\n¿Restablecer uBlock₀ a la configuración predeterminada?",
     "description": "Message asking user to confirm reset"
   },
   "errorCantConnectTo": {
@@ -708,7 +732,7 @@
     "description": "English: Close this window"
   },
   "docblockedProceed": {
-    "message": "Deshabilitar bloqueo estricto para  {{hostname}}",
+    "message": "Deshabilitar bloqueo estricto para {{hostname}}",
     "description": "English: Disable strict blocking for {{hostname}} ..."
   },
   "docblockedDisableTemporary": {
@@ -740,7 +764,7 @@
     "description": "used as a prompt for the user to provide a custom device name"
   },
   "advancedSettingsWarning": {
-    "message": "¡Alerta! Cambie estos ajustes avanzados bajo su propio riesgo.",
+    "message": "¡Alerta! Cambie estas configuraciones avanzadas bajo su propio riesgo.",
     "description": "A warning to users at the top of 'Advanced settings' page"
   },
   "genericSubmit": {
@@ -763,6 +787,10 @@
     "message": "Permitir temporalmente elementos multimedia grandes",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Escriba un atajo",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Esta entrada debe ser la última",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/et/messages.json 1.17.0+dfsg-2/src/_locales/et/messages.json
--- 1.16.14+dfsg-1/src/_locales/et/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/et/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Lõpuks on valminud tõhus blokeerija. Protsessori- ja mälusõbralik.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Töölaud",
@@ -31,14 +31,22 @@
     "message": "Valge loend",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Otseteed",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
-    "message": "uBlock₀ — Võrgutaotluste logi",
+    "message": "uBlock₀ — Logija",
     "description": "Title for the logger window"
   },
   "aboutPageName": {
     "message": "Teave",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — vara vaatur",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Täpsemad seaded",
     "description": "Title for the advanced settings page"
@@ -88,7 +96,7 @@
     "description": "English: Enter element picker mode"
   },
   "popupTipLog": {
-    "message": "Avage logija",
+    "message": "Ava logija",
     "description": "Tooltip used for the logger icon in the panel"
   },
   "popupTipNoPopups": {
@@ -132,13 +140,21 @@
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts1": {
-    "message": "Klõpsa, et keelata välisfondid selle saidil",
+    "message": "Klõpsa, et keelata välisfondid sellel saidil",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts2": {
-    "message": "Klõpsa, et lubada välisfondid selle saidil",
+    "message": "Klõpsa, et lubada välisfondid sellel saidil",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klõpsa, et keelata JavaScript sellel saidil täielikult",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klõpsa, et lõpetada sellel saidil täielik JavaScripti keelamine",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Üldised reeglid: selle veeru reeglid kehtivad kõikidele saitidele.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -148,11 +164,11 @@
     "description": "Tooltip when hovering the top-most cell of the local-rules column."
   },
   "popupTipSaveRules": {
-    "message": "Vajuta, et teha oma muudatused püsivaks.",
+    "message": "Klõpsa, et teha oma muudatused püsivaks.",
     "description": "Tooltip when hovering over the padlock in the dynamic filtering pane."
   },
   "popupTipRevertRules": {
-    "message": "Vajuta, et võtta muudatused tagasi.",
+    "message": "Klõpsa, et võtta muudatused tagasi.",
     "description": "Tooltip when hovering over the eraser in the dynamic filtering pane."
   },
   "popupAnyRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Keela välised fondid",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Keela JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Keela lehe turvareeglite (CSP-de) aruanded",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Staatiline filter {{filter}} asub:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Staatiline filter <code>{{filter}}<\/code> asub:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Staatilist filtrit <code>{{filter}}<\/code> ei leitud ühegi hetkel lubatud filtrite loendist",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Muudatuste logi",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Viki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Tugi",
@@ -763,6 +787,10 @@
     "message": "Luba ajutiselt mahukad meediaelemendid",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Kirjuta otsetee",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "See sisestus peab olema viimane",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/eu/messages.json 1.17.0+dfsg-2/src/_locales/eu/messages.json
--- 1.16.14+dfsg-1/src/_locales/eu/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/eu/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Behingoz, blokeatzaile eraginkor bat. PUZ eta memorian arina.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Kontrol panela",
@@ -31,6 +31,10 @@
     "message": "Zerrenda zuria",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Lasterbideak",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Egunkaria",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Honi buruz",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Aktibo-ikuslea",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Ezarpen aurreratuak",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klik: Utzi urruneko letra-tipoak gune honetan blokeatzeari",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Egin klik gune honetan JavaScript desgaitzeko",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Egin klik gune honetan JavaScript desgaitzeari uzteko",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Arau orokorrak: Zutabe hau gune guztietan aplikatzen diren arauentzat da.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "Hirugarrengoen css\/irudiak",
+    "message": "Hirugarrengoen CSS\/Irudiak",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Blokeatu urruneko letra-tipoak",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Desgaitu JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokeatu CSP txostenak",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "{{filter}} iragazki estatiko aurkitu da hemen:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "<code>{{filter}}<\/code> iragazki estatikoa aurkitu da hemen:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "<code>{{filter}}<\/code> iragazki estatikoa ezin izan da aurkitu orain aktibatutako iragazki zerrendetan",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Aldaketa egunkaria",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Laguntza",
@@ -763,6 +787,10 @@
     "message": "Une batez baimendu multimedia elementu handiak",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Idatzi lasterbide bat",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/fa/messages.json 1.17.0+dfsg-2/src/_locales/fa/messages.json
--- 1.16.14+dfsg-1/src/_locales/fa/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/fa/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "بالاخره، یک بلاکر کارآمد. کم حجم بر روی پردازنده و حافظه.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — داشبورد",
@@ -31,6 +31,10 @@
     "message": "لیست سپید",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "میانبرها",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — واقعه‌نگار",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "در باره",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "تنظیمات پیشرفته",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "کلیک کنید تا از این به بعد فونت های راه دور در این سایت مسدود نشوند",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "قوانین همگانی: این ستون برای قوانینی است که برای همۀ سایت ها اعمال می شوند.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "انسداد فونت های راه دور",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "مسدود کردن براساس گزارشات سیاست امنیت محتوا",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "انسداد ایستا {{filter}} یافت شد در:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "انسداد ایستا <code>{{filter}}<\/code> یافت شد در:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "تغییرات اخیر",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "ویکی",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "پشتیبانی",
@@ -763,6 +787,10 @@
     "message": "اجازه موقت عناصر رسانه‌ای حجیم",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "یک میانبر وارد کنید",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "این باید آخرین مطلب باشد",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/fi/messages.json 1.17.0+dfsg-2/src/_locales/fi/messages.json
--- 1.16.14+dfsg-1/src/_locales/fi/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/fi/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Viimeinkin tehokas ja kevyt mainosten estäjä.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Hallintapaneeli",
@@ -31,6 +31,10 @@
     "message": "Valkolista",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Verkkopyyntöjen loki",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Tietoja",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Lisäasetukset",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klikkaa salliaksesi ulkoiset kirjasimet tällä sivustolla",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Yleiset säännöt: tämä sarake on säännöille, joita käytetään kaikille sivustoille.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Estä etäladattavat kirjasimet",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Estä CSP-raportit",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Staattinen suodatus {{filter}} löytyi:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Staattinen suodatus <code>{{filter}}<\/code> löytyi:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Muutosloki",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Tuki",
@@ -763,6 +787,10 @@
     "message": "Salli tilapäisesti suuret mediaelementit",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/fil/messages.json 1.17.0+dfsg-2/src/_locales/fil/messages.json
--- 1.16.14+dfsg-1/src/_locales/fil/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/fil/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Sa wakas! Isang magaling na blocker para sa Chromium-based browsers. Magaan sa CPU at memory.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dashboard",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock - Talaan",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Tungkol dito",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Mga pinalawig na ayos",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click para hindi na ihinto ang remote fonts sa websayt na ito",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Global rules: this column is for rules which apply to all sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "3rd-party css\/images",
+    "message": "3rd-party CSS\/images",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Block remote fonts",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Change log",
-    "description": "English: Change log"
+    "message": "Changelog",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Temporarily allow large media elements",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/fr/messages.json 1.17.0+dfsg-2/src/_locales/fr/messages.json
--- 1.16.14+dfsg-1/src/_locales/fr/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/fr/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Un bloqueur de nuisances efficace, qui ménagera votre processeur et votre mémoire vive.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Tableau de bord",
@@ -31,6 +31,10 @@
     "message": "Liste blanche",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Raccourcis",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Journal des requêtes réseau",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "À propos",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visionneuse d'éléments",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Paramètres avancés",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Cliquez pour cesser de bloquer les polices d'écriture distantes sur ce site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Cliquez pour désactiver JavaScript sur ce site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Cliquez pour cesser de désactiver JavaScript sur ce site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Règles globales : Cette colonne concerne des règles qui s'appliquent partout.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Bloquer les polices d'écriture distantes",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Désactiver JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloquer les rapports CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtre statique {{filter}} trouvé dans :",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtre statique <code>{{filter}}<\/code> trouvé dans :",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Filtre statique <code>{{filter}}<\/code> introuvable dans aucune des listes de filtre actives",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Journal des changements (en Anglais)",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Documentation (en Anglais)",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support (en Anglais)",
@@ -763,6 +787,10 @@
     "message": "Autoriser temporairement le chargement d'éléments médias à taille plus importante",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Saisir un raccourci",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/fy/messages.json 1.17.0+dfsg-2/src/_locales/fy/messages.json
--- 1.16.14+dfsg-1/src/_locales/fy/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/fy/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Einlik, in effisjinte adblocker. Brûkt hast gjin prosessorkrêft of ûnthâld.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dashboerd",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Fluchtoetsen",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Lochboek",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Oer",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ – Middelenviewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Avansearre ynstellingen",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klik om eksterne lettertypen op dizze website net mear te blokkearjen",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klik om JavaScript op dizze website út te skeakeljen",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klik om JavaScript op dizze website net mear út te skeakeljen",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globale rigels: dizze kolom is foar rigels dy't op alle websites fan tapassing binne.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/ôfbyldingen fan tredden",
+    "message": "CSS\/ôfbyldingen fan tredden",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Eksterne lettertypen blokkearje",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript útskeakelje",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP-rapporten blokkearje",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statysk filter {{filter}} fûn yn:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statysk filter <code>{{filter}}<\/code> fûn yn:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statysk filter <code>{{filter}}<\/code> koe net yn ien fan de op dit stuit ynskeakele filterlisten fûn wurde",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Wizigingenlochboek",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Stipe",
@@ -763,6 +787,10 @@
     "message": "Grutte media-eleminten tydlik tastean",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Typ in fluchtoets",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/gl/messages.json 1.17.0+dfsg-2/src/_locales/gl/messages.json
--- 1.16.14+dfsg-1/src/_locales/gl/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/gl/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Ó fin, un bloqueador eficiente que non chupa toda a memoria e o procesador.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Panel de control",
@@ -31,6 +31,10 @@
     "message": "Lista branca",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Atallos",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Rexistro de peticións de rede",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Sobre",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Configuración avanzada",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click: deixar de bloquear fontes remotas neste sitio",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Reglas globais: esta columna é para as reglas que afectan a todos os sitios.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Bloquear fontes remotas",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloquear reportes CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtro estático {{filter}}atopado en:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtro estático <code>{{filter}}<\/code>atopado en:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Non atopamos filtro estático <code>{{filter}}<\/code> en ningunha das listas de filtros activas",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Rexistro de cambios",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Asistencia",
@@ -763,6 +787,10 @@
     "message": "Permitir temporalmente os elementos multimedia grandes",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Introduce un atallo",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Esta ten que ser a derradeira entrada",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/he/messages.json 1.17.0+dfsg-2/src/_locales/he/messages.json
--- 1.16.14+dfsg-1/src/_locales/he/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/he/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "סוף סוף, חוסם יעיל. קל על המעבד והזיכרון.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — פאנל הקונפיגורציות",
@@ -31,6 +31,10 @@
     "message": "רשימה לבנה",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "קיצורי דרך",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — מתעד הבקשות",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "אודות",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — מציג הנכסים",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "הגדרות מתקדמות",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "לחץ על מנת לבטל את החסימה של פונטים חיצוניים באתר זה",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "לחץ כדי להשבית JavaScript באתר זה",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "לחץ כדי לאפשר JavaScript באתר זה",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "חוקים גלובליים: עמודה זו היא עבור חוקים אשר תקפים לכל האתרים.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/תמונות צד-3",
+    "message": "CSS\/תמונות צד-3",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "חסום פונטים חיצוניים",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "חסום JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "חסום דיווחי CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "המסנן הסטאטי {{filter}} נמצא ב:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "המסנן הסטאטי <code>{{filter}}<\/code> נמצא ב:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "המסנן הסטאטי <code>{{filter}}<\/code> לא נמצא בשום אחת מרשימות המסננים המופעלות כרגע",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "רשימת שינויים",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "ויקי",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "תמיכה",
@@ -763,6 +787,10 @@
     "message": "זמנית אפשר אלמנטי מדיה גדולים",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "הקלד קיצור דרך",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "ערך זה חייב להיות האחרון",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/hi/messages.json 1.17.0+dfsg-2/src/_locales/hi/messages.json
--- 1.16.14+dfsg-1/src/_locales/hi/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/hi/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "आख़िरकार, क्रोमियम-बेस्ड ब्राउज़रों के लिए एक कुशल अवरोधक। CPU और स्मृति पर आसान।",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — डैशबोर्ड",
@@ -31,6 +31,10 @@
     "message": "सफेद सूची",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "शॉर्टकट",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "यूब्लॉक  —  नेटवर्क रिक्वेस्ट लॉग",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "जानकारी",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "उन्नत सेटिंग्स",
     "description": "Title for the advanced settings page"
@@ -120,11 +128,11 @@
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering1": {
-    "message": "Click to disable cosmetic filtering on this site",
+    "message": "इस साइट पर कॉस्मेटिक फ़िल्टरिंग अक्षम करने के लिए क्लिक करें",
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering2": {
-    "message": "Click to enable cosmetic filtering on this site",
+    "message": "इस साइट पर कॉस्मेटिक फ़िल्टरिंग सक्षम करने के लिए क्लिक करें",
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoRemoteFonts": {
@@ -132,13 +140,21 @@
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts1": {
-    "message": "Click to block remote fonts on this site",
+    "message": "इस साइट पर रिमोट फोंट को अवरुद्ध करने के लिए क्लिक करें",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts2": {
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "निन्मलिखित नियमें सब वेस्बिते पर लागू है",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "बाहरी अक्षराकृति को रोकें",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "परिवर्तन सूची",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "विकी",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "मदद",
@@ -724,7 +748,7 @@
     "description": "tooltip"
   },
   "cloudPull": {
-    "message": "Import from cloud storage",
+    "message": "क्लाउड स्टोरेज से आयात करें",
     "description": "tooltip"
   },
   "cloudPullAndMerge": {
@@ -763,6 +787,10 @@
     "message": "कुछ समय के लिए विशाल तत्वोंको चलने की अनुमति दे",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/hr/messages.json 1.17.0+dfsg-2/src/_locales/hr/messages.json
--- 1.16.14+dfsg-1/src/_locales/hr/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/hr/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Konačno, efikasan blokator. Lak na CPU i memoriji.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Nadzorna ploča",
@@ -31,6 +31,10 @@
     "message": "Popis dopuštenih",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Tipkovni prečaci",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Zapisnik mrežnih zahtjeva",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "O programu",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Preglednik svojstva",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Napredne postavke",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Kliknite za ukloniti blokiranje udaljenih fontova na ovom sajtu",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Kliknite kako biste onemogućili JavaScript na ovoj stranici",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Kliknite kako biste omogućili JavaScript na ovoj stranici",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globalna pravila: ovaj stupac je za pravila koja vrijede za sve stranice.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Blokiraj udaljene fontove",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Onemogući JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokiraj CSP izvješća",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statični filter {{filter}} pronađen u:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statični filter <code>{{filter}}<\/code> pronađen u:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statični filter <code>{{filter}}<\/code> nije pronađen u trenutno uključenim listama filtera",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Popis promjena",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Podrška",
@@ -763,6 +787,10 @@
     "message": "Privremeno dopusti velike medijske elemente",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Utipkajte tipkovni prečac",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Ova stavka mora biti posljednja",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/hu/messages.json 1.17.0+dfsg-2/src/_locales/hu/messages.json
--- 1.16.14+dfsg-1/src/_locales/hu/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/hu/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Végre egy hatékony reklám- és követésblokkoló böngészőkhöz, amely kíméletes a processzorral és a memóriával.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Vezérlőpult",
@@ -31,6 +31,10 @@
     "message": "Kivételek",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Billentyűparancsok",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Hálózati lekérések naplója",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Névjegy",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ - Eszköznézet",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Haladó beállítások",
     "description": "Title for the advanced settings page"
@@ -48,7 +56,7 @@
     "description": "English: Click: disable\/enable uBlock₀ for this site.\n\nCtrl+click: disable uBlock₀ only on this page."
   },
   "popupPowerSwitchInfo1": {
-    "message": "Kattints a uBlock₀ letiltásához ezen a webhelyen.\n\nCtrl+klikk a uBlock₀ letiltásához csak a jelenlegi oldalon.",
+    "message": "Kattints a uBlock₀ letiltásához ezen a webhelyen.\n\nCtrl+kattintás a uBlock₀ letiltásához csak a jelenlegi oldalon.",
     "description": "Message to be read by screen readers"
   },
   "popupPowerSwitchInfo2": {
@@ -100,7 +108,7 @@
     "description": "Tooltip for the no-popups per-site switch"
   },
   "popupTipNoPopups2": {
-    "message": "Kattints az összes előugró ablak blokkolásának visszavonásához ezen a webhelyen",
+    "message": "Kattints, hogy ne legyen többé az összes előugró ablak blokkolva ezen a webhelyen",
     "description": "Tooltip for the no-popups per-site switch"
   },
   "popupTipNoLargeMedia": {
@@ -132,13 +140,21 @@
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts1": {
-    "message": "Kattints a távoli fontok blokkolásához ezen a webhelyen",
+    "message": "Kattints a távoli betűtípusok blokkolásához ezen a webhelyen",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts2": {
-    "message": "Kattints a távoli fontok blokkolásának visszavonásához ezen a webhelyen",
+    "message": "Kattints a távoli betűtípusok blokkolásának visszavonásához ezen a webhelyen",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Kattints a JavaScript teljes letiltásához ezen az oldalon",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Kattints, hogy JavaScript ne legyen teljesen letiltva ezen az oldalon",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globális szabályok: ebben az oszlopban azok a szabályok vannak, amelyek minden weboldalra vonatkoznak.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "3rd-party css\/képek",
+    "message": "külső féltől származó css\/képek",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Távoli betűkészletek blokkolása",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript letiltása",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP jelentések blokkolása",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -352,7 +372,7 @@
     "description": "English: Apply changes"
   },
   "3pGroupDefault": {
-    "message": "Helyi",
+    "message": "Beépített",
     "description": "Header for the uBlock filters section in 'Filter lists pane'"
   },
   "3pGroupAds": {
@@ -408,7 +428,7 @@
     "description": "used as a tooltip for error icon beside a list"
   },
   "1pFormatHint": {
-    "message": "Soronként egy szűrő. A szűrő lehet egy hostnév, vagy egy Adblock Plus kompatibilis szűrő.\nA &lsquo;!&rsquo; kezdetű sorok figyelmen kívül maradnak.",
+    "message": "Soronként egy szűrő. A szűrő lehet egy hostnév, vagy egy Adblock Plus kompatibilis szűrő.\nA <code>!<\/code> kezdetű sorok figyelmen kívül maradnak.",
     "description": "Short information about how to create custom filters"
   },
   "1pImport": {
@@ -584,23 +604,27 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statikus filter, amiben {{filter}} benne van:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statikus filter, amiben <code>{{filter}}<\/code> benne van:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "A statikus szűrő <code>{{filter}}<\/code> nem található az aktuálisan engedélyezett szűrőlisták egyikében sem",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Változások listája",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Támogatás",
     "description": "A link for where to get support"
   },
   "aboutIssues": {
-    "message": "Kiadás követő",
+    "message": "Bugok és problémák",
     "description": "Text for a link to official issue tracker"
   },
   "aboutCode": {
@@ -763,6 +787,10 @@
     "message": "Nagyméretű média elemek ideiglenes engedélyezése",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Billentyűkombináció megadása",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Ez a bejegyzés utolsó kell hogy legyen",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/id/messages.json 1.17.0+dfsg-2/src/_locales/id/messages.json
--- 1.16.14+dfsg-1/src/_locales/id/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/id/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Akhirnya, pemblokir iklan yang efisien. Ringan penggunaan CPU dan memori.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dasbor",
@@ -31,6 +31,10 @@
     "message": "Daftar Putih",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Pintasan",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Pencatat Log",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Tentang",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Penampil aset",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Pengaturan lanjutan",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klik untuk tidak lagi memblokir fon eksternal pada situs ini",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klik untuk menonaktifkan total JavaScript di situs ini",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klik untuk tidak lagi menonaktifkan total JavaScript di situs ini",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Aturan global: kolom ini untuk aturan yang diterapkan ke semua situs.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/gambar pihak ketiga",
+    "message": "CSS\/gambar pihak ke-3",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Blokir fon rajuh",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Nonaktifkan JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokir laporan CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filter statis {{filter}} ditemukan di dalam:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filter statis <code>{{filter}}<\/code> ditemukan di dalam:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Filter statis <code>{{filter}}<\/code> tidak dapat ditemukan di salah satu daftar filter yang aktif saat ini",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Catatan perubahan",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Dukungan",
@@ -763,6 +787,10 @@
     "message": "Sementara izinkan elemen media besar",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Ketik pintasan",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Entri ini harus menjadi yang terakhir",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/it/messages.json 1.17.0+dfsg-2/src/_locales/it/messages.json
--- 1.16.14+dfsg-1/src/_locales/it/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/it/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Finalmente, un blocker efficiente. Leggero sulla CPU e sulla memoria.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dashboard",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Scorciatoie",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Cronologia richieste di rete",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Info",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visualizzatore di risorse",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Impostazioni avanzate",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Clicca per sbloccare i font remoti in questo sito",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Clicca per disabilitare completamente javascript su questo sito",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Clicca per non disabilitare più javascript su questo sito",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Regole globali: questa colonna è per le regole che si applicano a tutti i siti.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Blocca font remoti",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disattiva javascript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blocca i report CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -352,7 +372,7 @@
     "description": "English: Apply changes"
   },
   "3pGroupDefault": {
-    "message": "Locale",
+    "message": "Integrati",
     "description": "Header for the uBlock filters section in 'Filter lists pane'"
   },
   "3pGroupAds": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtro statico {{filter}} trovato in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtro statico <code>{{filter}}<\/code> trovato in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Non è stato possibile trovare il filtro statico <code>{{filter}}<\/code> in nessun filtro di terze parti attualmente abilitato",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Change log",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Supporto",
@@ -763,6 +787,10 @@
     "message": "Consenti temporaneamente elementi multimediali di grandi dimensioni",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Digita una scorciatoia",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ja/messages.json 1.17.0+dfsg-2/src/_locales/ja/messages.json
--- 1.16.14+dfsg-1/src/_locales/ja/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ja/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "高効率ブロッカーが遂に登場。CPUとメモリーの負担を抑えます。",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — ダッシュボード",
@@ -31,6 +31,10 @@
     "message": "ホワイトリスト",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "ショートカットキー",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — ネットワークリクエストログ",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "このプロジェクトについて",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — アセットビューアー",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "詳細設定",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "クリックで、このサイトでのリモートフォントがブロックされないようにします",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "クリックすると、このサイトの JavaScript をブロックします",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "クリックすると、このサイトの JavaScript のブロックを解除します",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "グローバルルール: この列にあるルールは、すべてのサイトに適用されます。",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "リモートフォントをブロックする",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript をブロックする",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSPレポートをブロックする",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -388,7 +408,7 @@
     "description": "The label for the checkbox used to import external filter lists"
   },
   "3pExternalListsHint": {
-    "message": "URL1つにつき1行です。無効なURLは無視されます。",
+    "message": "1行に1つのURLを記入します。無効なURLは無視されます。",
     "description": "Short information about how to use the textarea to import external filter lists by URL"
   },
   "3pExternalListObsolete": {
@@ -440,7 +460,7 @@
     "description": "This will remove all temporary rules"
   },
   "rulesCommit": {
-    "message": "コミット",
+    "message": "確定する",
     "description": "This will persist temporary rules"
   },
   "rulesEdit": {
@@ -468,7 +488,7 @@
     "description": "default file name to use"
   },
   "rulesHint": {
-    "message": "ダイナミックフィルタリングルールのリスト",
+    "message": "ダイナミックフィルタリングルールの一覧",
     "description": "English: List of your dynamic filtering rules."
   },
   "rulesFormatHint": {
@@ -548,7 +568,7 @@
     "description": "Small header to identify the static filtering section"
   },
   "loggerStaticFilteringSentence": {
-    "message": "URLアドレスが {{url}} と一致し、{{origin}} を発信源とする{{br}}ネットワークリクエストが {{type}} であれば、要素を {{action}} する。{{br}}例外フィルターと一致する項目がある場合は {{importance}} とする。",
+    "message": "URLアドレスが {{url}} と一致し{{br}}発信源が {{origin}} であり{{br}}リクエストの種類が {{type}} のとき、要素を {{action}} する。{{br}}例外フィルターと一致する場合、{{importance}} を優先する。",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartBlock": {
@@ -560,40 +580,44 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartType": {
-    "message": "タイプ \"{{type}}\"",
+    "message": "{{type}}",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartAnyType": {
-    "message": "任意のタイプ",
+    "message": "任意",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartOrigin": {
-    "message": "\"{{origin}}\" から",
+    "message": "{{origin}}",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartAnyOrigin": {
-    "message": "全体",
+    "message": "任意",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartNotImportant": {
-    "message": "例外",
+    "message": "例外フィルター",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringSentencePartImportant": {
-    "message": "非例外",
+    "message": "このフィルター",
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "静的フィルター {{filter}} が見つかりました:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "静的フィルター <code>{{filter}}<\/code> が見つかりました:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "現在 有効にしているフィルターの中には、静的フィルター <code>{{filter}}<\/code> はありません",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "更新履歴",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "サポート",
@@ -684,11 +708,11 @@
     "description": "Firefox-specific: appears as 'uBlock₀ (off)'"
   },
   "docblockedPrompt1": {
-    "message": "uBlock Originは、以下のページの読み込みを防いでいます:",
+    "message": "uBlock Origin は、このページの読み込みをブロックしました",
     "description": "English: uBlock₀ has prevented the following page from loading:"
   },
   "docblockedPrompt2": {
-    "message": "以下のフィルターによる",
+    "message": "該当するフィルター",
     "description": "English: Because of the following filter"
   },
   "docblockedNoParamsPrompt": {
@@ -696,7 +720,7 @@
     "description": "label to be used for the parameter-less URL: https:\/\/cloud.githubusercontent.com\/assets\/585534\/9832014\/bfb1b8f0-593b-11e5-8a27-fba472a5529a.png"
   },
   "docblockedFoundIn": {
-    "message": "次のフィルターで見つかりました:",
+    "message": "このフィルターを含むリストの名前:",
     "description": "English: List of filter list names follows"
   },
   "docblockedBack": {
@@ -728,7 +752,7 @@
     "description": "tooltip"
   },
   "cloudPullAndMerge": {
-    "message": "クラウドストレージからインポートし、現在の設定と合併させます",
+    "message": "クラウドストレージからインポートし、現在の設定と統合します",
     "description": "tooltip"
   },
   "cloudNoData": {
@@ -760,9 +784,13 @@
     "description": ""
   },
   "contextMenuTemporarilyAllowLargeMediaElements": {
-    "message": "一時的に大部分のメディア要素を許可",
+    "message": "一時的に大きなメディア要素を許可",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "ショートカットを入力",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "これは最後のエントリである必要があります",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ka/messages.json 1.17.0+dfsg-2/src/_locales/ka/messages.json
--- 1.16.14+dfsg-1/src/_locales/ka/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ka/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "როგორც იქნა, მძლავრი და შედეგიანი რეკლამების შემზღუდავი. ზოგავს CPU-ს და მეხსიერებას.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — სამართავი დაფა",
@@ -31,6 +31,10 @@
     "message": "გამონაკლისები",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "მალსახმობები",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — აღმრიცხავი",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "შესახებ",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — რესურსები",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "დამატებითი პარამეტრები",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "დააწკაპეთ ვებშრიფტების შეზღუდვის გასაუქმებლად ამ საიტზე",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "დააწკაპეთ JavaScript-ის გასათიშად ამ საიტზე",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "დააწკაპეთ JavaScript-ზე შეზღუდვის მოსახსნელად ამ საიტზე",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "გლობალური წესები: ეს სვეტი არის წესებისთვის, რომლებიც მოქმედებს ყველა საიტზე.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "ვებშრიფტების შეზღუდვა",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript-ის გათიშვა",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP მოხსენებების აკრძალვა",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "მუდმივი ფილტრი {{filter}} ნაპოვნია სიაში:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "მუდმივი ფილტრი <code>{{filter}}<\/code> ნაპოვნია სიაში:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "მუდმივი ფილტრი <code>{{filter}}<\/code> ვერ მოიძებნა ამჟამად გამოყენებულ ფილტრებს შორის",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "ცვლილებათა ჟურნალი",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "მხარდაჭერა",
@@ -763,6 +787,10 @@
     "message": "დიდი მედია-ელემენტების დროებით დაშვება",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "მალსახმობის მითითება",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/kk/messages.json 1.17.0+dfsg-2/src/_locales/kk/messages.json
--- 1.16.14+dfsg-1/src/_locales/kk/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/kk/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Finally, an efficient blocker. Easy on CPU and memory.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dashboard",
@@ -31,6 +31,10 @@
     "message": "Рұқсат тізімі",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Logger",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Осы туралы",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Кеңейтілген баптаулар",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Global rules: this column is for rules which apply to all sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Block remote fonts",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Change log",
-    "description": "English: Change log"
+    "message": "Changelog",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Temporarily allow large media elements",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/kn/messages.json 1.17.0+dfsg-2/src/_locales/kn/messages.json
--- 1.16.14+dfsg-1/src/_locales/kn/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/kn/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "ಕೊನೆಗೂ, ಒಂದು ದಕ್ಷ ನಿರ್ಬಂಧಕ. ಮಿತವಾದ ಸಿಪಿಯೂ ಹಾಗು ಮೆಮೊರಿ ಬಳಕೆ.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ - ಡ್ಯಾಶ್ಬೋರ್ಡು",
@@ -31,6 +31,10 @@
     "message": "ಬಿಳಿಪಟ್ಟಿ",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — ಜಾಲ ವಿನಂತಿಗಳ ದಾಖಲೆ",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "ಕುರಿತು",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "ಸುಧಾರಿತ ಆಯ್ಕೆಗಳು",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Global rules: this column is for rules which apply to all sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Block remote fonts",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Change log",
-    "description": "English: Change log"
+    "message": "Changelog",
+    "description": ""
   },
   "aboutWiki": {
     "message": "ವಿಕಿ",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Temporarily allow large media elements",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ko/messages.json 1.17.0+dfsg-2/src/_locales/ko/messages.json
--- 1.16.14+dfsg-1/src/_locales/ko/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ko/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "이 부가 기능은 효율적인 차단기입니다. CPU와 메모리에 주는 부담이 적습니다.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — 대시보드",
@@ -31,6 +31,10 @@
     "message": "제외 목록",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "단축키",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — 로그",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "정보",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset 뷰어",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "고급 설정",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "클릭하여 이 사이트에서 더 이상 외부 폰트를 차단하지 않습니다.",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "클릭하여 이 사이트에서 JavaScript 비활성화",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "클릭하여 이 사이트에서 JavaScript 활성화",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "공용 규칙: 이 열은 모든 사이트에 적용되는 규칙 열 입니다.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "글꼴 조종 차단",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript 비활성화",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP 보고서 차단",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "{{filter}} 에서 찾은 고정 필터:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "<code>{{filter}}<\/code> 에서 찾은 고정 필터:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "활성화된 정적 필터 목록에서 <code>{{filter}}<\/code>를 찾지 못했습니다",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "변경사항",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "위키",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "지원",
@@ -763,6 +787,10 @@
     "message": "이번만 대형 미디어 구성요소 허용",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "단축키를 입력하세요",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/lt/messages.json 1.17.0+dfsg-2/src/_locales/lt/messages.json
--- 1.16.14+dfsg-1/src/_locales/lt/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/lt/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Pagaliau, efektyvus blokatorius, neapkraunantis nei procesoriaus, nei darbinės atminties.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Prietaisų skydas",
@@ -31,6 +31,10 @@
     "message": "Išimtys",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Nuorodos",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Žurnalas",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Apie",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — resursų žiūryklė",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Sudėtingesni nustatymai",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Spustelėkite nutolusių šriftų neblokavimui šioje svetainėje",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Spustelėkite JavaScript išjungimui šioje svetainėje",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Spustelėkite JavaScript įjungimui šioje svetainėje",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globalios taisyklės: ši skiltis skirta visiems puslapiams taikomoms taisyklėms.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "3-ios šalies css\/paveikslai",
+    "message": "3-ios šalies CSS\/paveikslai",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Blokuoti nuotolinius šriftus",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Išjungti JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokuoti CSP ataskaitas",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statinis filtras {{filter}} rastas:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statinis filtras <code>{{filter}}<\/code> rastas:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statinis filtras <code>{{filter}}<\/code> nerastas jokiame dabar įjungtame filtrų sąraše",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Pakeitimų žurnalas",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Viki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Palaikymas",
@@ -763,6 +787,10 @@
     "message": "Laikinai leisti didelius medijos elementus",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Įveskite nuorodą",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/lv/messages.json 1.17.0+dfsg-2/src/_locales/lv/messages.json
--- 1.16.14+dfsg-1/src/_locales/lv/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/lv/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Beidzot, efektīvs bloķētājs. Nepārslogo procesoru un atmiņu.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Vadības panelis",
@@ -31,6 +31,10 @@
     "message": "Atļautais saraksts",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Tīkla pieprasījumu žurnāls",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Par",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Papildu iestatījumi",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Noklikšķiniet, lai nebloķētu ārējos fontus šajā vietnē",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globālie ierobežojumi: šī kolonna paredzēta ierobežojumiem, kas attieksies uz visām mājaslapām.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Bloķēt ārējos fontus",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloķēt CSP atskaites",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statiskais filtrs {{filter}} atrasts:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statiskais filtrs <code>{{filter}}<\/code> atrasts:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Izmaiņu žurnāls",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Atbalsts",
@@ -763,6 +787,10 @@
     "message": "Īslaicīgi atļaut lielos multivides elementus",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Šim ierakstam ir jābūt pēdējam",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ml/messages.json 1.17.0+dfsg-2/src/_locales/ml/messages.json
--- 1.16.14+dfsg-1/src/_locales/ml/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ml/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "അവസാനം, ഒരു കാര്യക്ഷമമായ ബ്ലോക്കര്‍. ലഘുവായ CPU, memory ഉപയോഗം.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "യുബ്ലോക്ക്ഒ - ഡാഷ്ബോര്‍ഡ്",
@@ -31,6 +31,10 @@
     "message": "വൈറ്റ് ലിസ്റ്റ്",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "യുബ്ലോക്ക്ഒ - നെറ്റ്‌വര്‍ക്ക് അപേക്ഷാ ലോഗ്",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "ഇതിനെ കുറിച്ച്",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Advanced settings",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "ആഗോള നിയമങ്ങൾ: ഈ കോളത്തിലെ നിയമങ്ങൾ എല്ലാ സൈറ്റുകളിലും പ്രയോഗിക്കുന്ന നിയമങ്ങള് ആണ്.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "വിദൂര ഫോണ്ടുകൾ തടയുക",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "സ്റ്റാറ്റിക് ഫില്‍ട്ടര്‍ {{filter}} ഇതില്‍ കണ്ടെത്തി:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "സ്റ്റാറ്റിക് ഫില്‍ട്ടര്‍ <code>{{filter}}<\/code> ഇതില്‍ കണ്ടെത്തി:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "മാറ്റങ്ങളുടെ ലോഗ്",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "വിക്കി",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "താൽക്കാലികമായി വലിയ മീഡിയ അനുവദിക്കുക",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/mr/messages.json 1.17.0+dfsg-2/src/_locales/mr/messages.json
--- 1.16.14+dfsg-1/src/_locales/mr/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/mr/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "शेवटी, एक कार्यक्षम ब्लॉकर क्रोमियम आधारित ब्राउझरांसाठी. सीपीयू आणि मेमरी वर सोपे जातो.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "म्यूब्लॉक — डैशबोर्ड",
@@ -31,6 +31,10 @@
     "message": "श्वेतसूची",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — लॉगर",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "माहिती",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "प्रगत सेटिंग्ज",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Global rules: this column is for rules which apply to all sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Block remote fonts",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "बदल नोंदी",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Temporarily allow large media elements",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ms/messages.json 1.17.0+dfsg-2/src/_locales/ms/messages.json
--- 1.16.14+dfsg-1/src/_locales/ms/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ms/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Akhirnya, penyekat yang cekap. Tidak membebankan CPU dan memori.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Papanmuka",
@@ -31,6 +31,10 @@
     "message": "Senarai putih",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Catatan",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Mengenai",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Tetapan lanjut",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Peraturan global: kolumn ini adalah untuk peraturan yang dikuatkuasakan untuk semua laman.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Block remote fonts",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Catatan perubahan",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Support",
@@ -763,6 +787,10 @@
     "message": "Temporarily allow large media elements",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/nb/messages.json 1.17.0+dfsg-2/src/_locales/nb/messages.json
--- 1.16.14+dfsg-1/src/_locales/nb/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/nb/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Endelig en effektiv blokkeringsutvidelse. Lavt CPU- og minnebruk.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Dashbord",
@@ -31,6 +31,10 @@
     "message": "Hviteliste",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Snarveier",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Logg",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Om",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Ressursviser",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Avanserte innstillinger",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klikk for å ikke lenger blokkere eksterne skrifttyper på dette nettstedet",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klikk for å slå av JavaScript på dette nettstedet",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klikk for å ikke lenger slå av JavaScript på dette nettstedet",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globale regler: Denne kolonnen er for regler som gjelder alle nettsteder.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "tredjeparts css\/bilder",
+    "message": "tredjeparts CSS\/bilder",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Blokker eksterne skrifttyper",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Deaktiver JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokker CSP-rapporter",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -400,7 +420,7 @@
     "description": "used as a tooltip for the clock icon beside a list"
   },
   "3pUpdating": {
-    "message": "Oppdaterer…",
+    "message": "Oppdaterer...",
     "description": "used as a tooltip for the spinner icon beside a list"
   },
   "3pNetworkError": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statisk filter {{filter}} funnet i:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statisk filter <code>{{filter}}<\/code> funnet i:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statisk filter <code>{{filter}}<\/code> ble ikke funnet i noen av filterlistene som er aktiverte nå",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Endringslogg",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Brukerstøtte",
@@ -763,6 +787,10 @@
     "message": "Tillat store mediaelementer midlertidig",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Oppfør en snarvei",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/nl/messages.json 1.17.0+dfsg-2/src/_locales/nl/messages.json
--- 1.16.14+dfsg-1/src/_locales/nl/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/nl/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Eindelijk, een efficiënte adblocker. Gebruikt weinig processorkracht en geheugen.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ – Dashboard",
@@ -31,6 +31,10 @@
     "message": "Whitelist",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Sneltoetsen",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ – Logger",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Over",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ – Middelenviewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Geavanceerde instellingen",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klik om externe lettertypen op deze website niet meer te blokkeren",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klik om JavaScript op deze website uit te schakelen",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klik om JavaScript op deze website niet meer uit te schakelen",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Algemene regels: deze kolom is voor regels die op alle websites van toepassing zijn.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/afbeeldingen van derden",
+    "message": "CSS\/afbeeldingen van derden",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Externe lettertypen blokkeren",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript uitschakelen",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP-rapporten blokkeren",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -412,11 +432,11 @@
     "description": "Short information about how to create custom filters"
   },
   "1pImport": {
-    "message": "Importeren en toevoegen",
+    "message": "Importeren en toevoegen...",
     "description": "English: Import and append"
   },
   "1pExport": {
-    "message": "Exporteren",
+    "message": "Exporteren...",
     "description": "English: Export"
   },
   "1pExportFilename": {
@@ -480,11 +500,11 @@
     "description": "English: An overview of the content of the dashboard's Whitelist pane."
   },
   "whitelistImport": {
-    "message": "Importeren en toevoegen",
+    "message": "Importeren en toevoegen...",
     "description": "English: Import and append"
   },
   "whitelistExport": {
-    "message": "Exporteren",
+    "message": "Exporteren...",
     "description": "English: Export"
   },
   "whitelistExportFilename": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statisch filter {{filter}} gevonden in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statisch filter <code>{{filter}}<\/code> gevonden in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statisch filter <code>{{filter}}<\/code> kon niet in een van de momenteel ingeschakelde filterlijsten worden gevonden",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Wijzigingenlogboek",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Ondersteuning",
@@ -636,7 +660,7 @@
     "description": "Message to display when an error occurred during restore"
   },
   "aboutResetDataConfirm": {
-    "message": "Al uw instellingen zullen worden verwijderd, waarna uBlock₀ wordt herstart.\n\nStandaardwaarden van uBlock₀ terugzetten?",
+    "message": "Al uw instellingen zullen worden verwijderd, waarna uBlock₀ wordt herstart.\n\nStandaardinstellingen van uBlock₀ terugzetten?",
     "description": "Message asking user to confirm reset"
   },
   "errorCantConnectTo": {
@@ -688,7 +712,7 @@
     "description": "English: uBlock₀ has prevented the following page from loading:"
   },
   "docblockedPrompt2": {
-    "message": "Vanwege het volgende filter",
+    "message": "vanwege het volgende filter",
     "description": "English: Because of the following filter"
   },
   "docblockedNoParamsPrompt": {
@@ -763,6 +787,10 @@
     "message": "Grote media-elementen tijdelijk toestaan",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Typ een sneltoets",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/pl/messages.json 1.17.0+dfsg-2/src/_locales/pl/messages.json
--- 1.16.14+dfsg-1/src/_locales/pl/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/pl/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -1,11 +1,11 @@
 {
   "extName": {
-    "message": "uBlock₀",
+    "message": "uBlock Origin",
     "description": "extension name."
   },
   "extShortDesc": {
     "message": "Nareszcie skuteczny bloker charakteryzujący się niskim użyciem procesora i pamięci.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ – Panel sterowania",
@@ -31,14 +31,22 @@
     "message": "Wyjątki",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Skróty",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
-    "message": "uBlock — Dziennik żądań sieciowych",
+    "message": "uBlock₀ – Dziennik żądań sieciowych",
     "description": "Title for the logger window"
   },
   "aboutPageName": {
     "message": "Informacje",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ – Podgląd zasobu",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Ustawienia zaawansowane",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Kliknij, aby nie blokować zdalnych czcionek na tej witrynie",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Kliknij, aby wyłączyć JavaScript na tej witrynie",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Kliknij, aby JavaScript nie był już wyłączony na tej witrynie",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Reguły globalne. W tej kolumnie znajdują się reguły stosowane na wszystkich witrynach.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "zewnętrzne css\/obrazki",
+    "message": "zewnętrzne CSS\/obrazki",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -236,7 +252,7 @@
     "description": "English: Show the number of blocked requests on the icon"
   },
   "settingsTooltipsPrompt": {
-    "message": "Nie wyświetlaj podpowiedzi",
+    "message": "Nie wyświetlaj dymków podpowiedzi",
     "description": "A checkbox in the Settings pane"
   },
   "settingsContextMenuPrompt": {
@@ -260,11 +276,11 @@
     "description": "For the tooltip of a link which gives access to advanced settings"
   },
   "settingsPrefetchingDisabledPrompt": {
-    "message": "Wyłącz wstępne pobieranie, by uniknąć połączeń z zablokowanymi zapytaniami sieciowymi",
+    "message": "Wyłącz wstępne pobieranie (by uniknąć połączeń z zablokowanymi zapytaniami sieciowymi)",
     "description": "English: "
   },
   "settingsHyperlinkAuditingDisabledPrompt": {
-    "message": "Nie śledź kliknięć odnośników",
+    "message": "Wyłącz śledzenie kliknięć odnośników",
     "description": "English: "
   },
   "settingsWebRTCIPAddressHiddenPrompt": {
@@ -291,6 +307,10 @@
     "message": "Blokuj zdalne czcionki",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Wyłącz JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokuj raporty CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtr statyczny {{filter}} znajdujący się w:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtr statyczny <code>{{filter}}<\/code> znajdujący się w:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Filtr statyczny <code>{{filter}}<\/code> nie został znaleziony w aktualnie włączonych listach filtrów",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Dziennik zmian",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Informacje",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Pomoc",
@@ -612,7 +636,7 @@
     "description": "English: Contributors"
   },
   "aboutBackupDataButton": {
-    "message": "Utwórz kopię zapasową",
+    "message": "Utwórz kopię zapasową…",
     "description": "Text for button to create a backup of all settings"
   },
   "aboutBackupFilename": {
@@ -620,7 +644,7 @@
     "description": "English: my-ublock-backup_{{datetime}}.txt"
   },
   "aboutRestoreDataButton": {
-    "message": "Przywróć z kopii…",
+    "message": "Przywróć z pliku…",
     "description": "English: Restore from file..."
   },
   "aboutResetDataButton": {
@@ -684,7 +708,7 @@
     "description": "Firefox-specific: appears as 'uBlock₀ (off)'"
   },
   "docblockedPrompt1": {
-    "message": "uBlock₀ zablokował wczytywanie następującej strony:",
+    "message": "uBlock Origin zablokował wczytywanie następującej strony:",
     "description": "English: uBlock₀ has prevented the following page from loading:"
   },
   "docblockedPrompt2": {
@@ -708,7 +732,7 @@
     "description": "English: Close this window"
   },
   "docblockedProceed": {
-    "message": "Wyłącz skrupulatne blokowanie na {{hostname}}",
+    "message": "Wyłącz rygorystyczne blokowanie dla {{hostname}}",
     "description": "English: Disable strict blocking for {{hostname}} ..."
   },
   "docblockedDisableTemporary": {
@@ -763,6 +787,10 @@
     "message": "Tymczasowo zezwalaj na wyświetlanie dużych elementów multimedialnych",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Wprowadź skrót",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Ten wpis musi być ostatni",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/pt_BR/messages.json 1.17.0+dfsg-2/src/_locales/pt_BR/messages.json
--- 1.16.14+dfsg-1/src/_locales/pt_BR/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/pt_BR/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Finalmente, um bloqueador eficiente. Com baixo uso de memória e CPU.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Painel de controle",
@@ -31,6 +31,10 @@
     "message": "Lista branca",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Atalhos",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Registro de Eventos",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Sobre",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visualizador de recursos",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Configurações avançadas",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Clique para não bloquear fontes remotas neste site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Clique para desativar completamente o JavaScript neste site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Clique para deixar de desativar completamente o JavaScript neste site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Regras globais: esta coluna é para as regras que se aplicam a todos os sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css de terceiros\/imagens",
+    "message": "CSS\/imagens de terceiros",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -252,7 +268,7 @@
     "description": ""
   },
   "settingsAdvancedUserPrompt": {
-    "message": "Eu sou um usuário avançado (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Advanced-user-features'>leitura necessária<\/a>)",
+    "message": "Sou um usuário avançado (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Advanced-user-features'>leitura recomendada<\/a>)",
     "description": ""
   },
   "settingsAdvancedUserSettings": {
@@ -291,6 +307,10 @@
     "message": "Bloquear fontes remotas",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Desativar JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloquear relatórios CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -340,7 +360,7 @@
     "description": "This will cause uBO to ignore all generic cosmetic filters."
   },
   "3pIgnoreGenericCosmeticFiltersInfo": {
-    "message": "<p>Os filtros cosméticos genéricos são filtros cosméticos que são destinados a serem aplicados em todos os sites.<p>Embora manuseados eficientemente pelo uBlock₀, os filtros cosméticos genéricos podem ainda contribuir para um grande uso de memória e CPU em algumas páginas, especialmente as grandes e duradouras.<p>Ativando esta opção irá eliminar a sobrecarga da memória e cpu adicionadas nas páginas de web como resultado da aplicação dos filtros cosméticos genéricos e também irá reduzir o consumo da memória pelo uBlock₀ em si.<p>É recomendado que ative esta opção em dispositivos menos poderosos.",
+    "message": "<p>Os filtros cosméticos genéricos são filtros que são destinados a serem aplicados em todos os sites.<p>Embora utilizados eficientemente pelo uBlock₀, os filtros cosméticos genéricos podem contribuir para o aumento de uso da memória e CPU, especialmente em páginas grandes e as que estão a um bom tempo ativas.<p>Ativando esta opção irá eliminar a sobrecarga da memória e CPU adicionadas nas páginas, resultado da aplicação dos filtros cosméticos genéricos e também irá reduzir o consumo da memória pelo uBlock₀ em si.<p>É recomendado que ative esta opção em dispositivos menos poderosos.",
     "description": "Describes the purpose of the 'Ignore generic cosmetic filters' feature."
   },
   "3pListsOfBlockedHostsHeader": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtro estático {{filter}} encontrado em:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtro estático <code>{{filter}}<\/code> encontrado em:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "O filtro estático <code>{{filter}}<\/code> não podê ser encontrado em nenhuma das listas de filtros ativas no momento",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Registro de alterações",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Documentação",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Suporte",
@@ -763,6 +787,10 @@
     "message": "Permitir temporariamente grandes elementos de mídia",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Digite um atalho",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Esta entrada deve ser a última",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/pt_PT/messages.json 1.17.0+dfsg-2/src/_locales/pt_PT/messages.json
--- 1.16.14+dfsg-1/src/_locales/pt_PT/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/pt_PT/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Finalmente, um bloqueador eficiente. Leve na CPU e memória.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Painel de controlo",
@@ -31,6 +31,10 @@
     "message": "Lista branca",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Atalhos",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Registador",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Acerca",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Visualizador de recursos",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Definições avançadas",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Clique para deixar de bloquear os tipos de letra remotos neste site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Clique para desativar JavaScript neste site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Clique para deixar de desativar JavaScript neste site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Regras globais: esta coluna é para as regras que se aplicam a todos os sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/imagens de terceiros",
+    "message": "CSS\/imagens de terceiros",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Bloquear tipos de letra remotos",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Desativar javascript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bloquear relatórios CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -304,7 +324,7 @@
     "description": "English: Last restore:"
   },
   "settingsLastBackupPrompt": {
-    "message": "Último backup:",
+    "message": "Última cópia de segurança:",
     "description": "English: Last backup:"
   },
   "3pListsOfBlockedHostsPrompt": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtro estático {{filter}} encontrado em:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtro estático <code>{{filter}}<\/code> encontrado em:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "O filtro estático <code>{{filter}}<\/code> não pôde ser encontrado em quaisquer das listas de filtros ativadas atualmente",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Registo de alterações",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Suporte",
@@ -763,6 +787,10 @@
     "message": "Permitir temporariamente elementos multimédia grandes",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Digitar um atalho",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Esta entrada deve ser a última",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ro/messages.json 1.17.0+dfsg-2/src/_locales/ro/messages.json
--- 1.16.14+dfsg-1/src/_locales/ro/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ro/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "În sfârșit, un blocant eficient. Are un impact mic asupra procesorului și memoriei.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Panou de control",
@@ -31,6 +31,10 @@
     "message": "Lista de excluderi",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Comenzi rapide",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Jurnal",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Despre",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Vizualizator de resurse",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Setări avansate",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Clic pentru a nu mai bloca fonturile externe pe acest site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Apasă pentru a dezactiva JavaScript pe acest site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Apasă pentru a nu mai dezactiva JavaScript pe acest site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Reguli globale: această coloană este pentru regulile care se aplică tuturor site-urilor.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/imagini terțe",
+    "message": "CSS\/imagini terțe",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Blochează fonturile de la distanță",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Dezactivare JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blochează rapoartele CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,23 +604,27 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtru static {{filter}} găsit în:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtrul static <code>{{filter}}<\/code> găsit în:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Filtrul static <code>{{filter}}<\/code> nu se găsește în niciuna dintre listele de filtre activate",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Jurnalul de modificări",
-    "description": "English: Change log"
+    "message": "Jurnal de modificări",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Suport",
     "description": "A link for where to get support"
   },
   "aboutIssues": {
-    "message": "Detector de probleme (în engleză)",
+    "message": "Jurnal cu probleme",
     "description": "Text for a link to official issue tracker"
   },
   "aboutCode": {
@@ -763,6 +787,10 @@
     "message": "Permite temporar elementele media mari",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Tastează o comandă rapidă",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Aceasta intrare trebuie sa fie ultima",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ru/messages.json 1.17.0+dfsg-2/src/_locales/ru/messages.json
--- 1.16.14+dfsg-1/src/_locales/ru/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ru/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Наконец-то, быстрый и эффективный блокировщик для браузеров.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Панель управления",
@@ -31,6 +31,10 @@
     "message": "Белый список",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Сочетания клавиш",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Журнал сетевых запросов",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "О расширении",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Активы",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Расширенные настройки",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Кликните для отключения блокировки удаленных шрифтов на этом сайте",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Кликните, чтобы отключить JavaScript на этом сайте",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Кликните, чтобы перестать блокировать JavaScript на этом сайте",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Глобальные правила: этот столбец предназначен для правил, применяемых ко всем сайтам.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "сторонние css\/изображения",
+    "message": "сторонние CSS\/изображения",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Блокировать сторонние шрифты",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Отключить JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Блокировать CSP отчеты",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Статический фильтр {{filter}} найден в:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Статический фильтр <code>{{filter}}<\/code> найден в:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Статический фильтр <code>{{filter}}<\/code> не найден ни в одном списке фильтров, включенных в данный момент",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Список изменений",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Вики",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Поддержка",
@@ -763,6 +787,10 @@
     "message": "Временно разрешить большие медиа-элементы",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Введите сочетание",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Эта запись должна быть последней",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/sk/messages.json 1.17.0+dfsg-2/src/_locales/sk/messages.json
--- 1.16.14+dfsg-1/src/_locales/sk/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/sk/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Konečne efektívny blokovač, ktorý nezaťažuje CPU a pamäť.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Ovládací panel",
@@ -31,6 +31,10 @@
     "message": "Biela listina",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Klávesové skratky",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Zaznamenávač",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "O doplnku",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — zobrazovač zdrojov",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Pokročilé nastavenia",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Kliknutím povolíte vzdialené písma pre túto stránku",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Kliknutím úplne zakážete javascript na tejto stránke",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Kliknutím už nebude úplne zakázaný javascript na tejto stránke",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globálne pravidlá: tento stĺpec slúži pre pravidlá, ktoré platia pre všetky weby.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Blokovať vzdialené písma",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Zakázať JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Zablokovať CSP hlásenia",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statický filter {{filter}} bol nájdený v:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statický filter <code>{{filter}}<\/code> bol nájdený v:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statický filter <code>{{filter}}<\/code> sa nepodarilo nájsť v žiadnom momentálne povolenom zozname filtrov",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Zoznam zmien",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Podpora",
@@ -763,6 +787,10 @@
     "message": "Dočasne povoliť veľké multimediálne prvky",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Zadajte klávesovú skratku",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/sl/messages.json 1.17.0+dfsg-2/src/_locales/sl/messages.json
--- 1.16.14+dfsg-1/src/_locales/sl/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/sl/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Končno, učinkovita, procesorju in pomnilniku prijazna razširitev za blokiranje oglasov.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Nadzorna plošča",
@@ -31,6 +31,10 @@
     "message": "Seznam dovoljenih",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Dnevnik omrežnih zahtev",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "O razširitvi",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Napredne nastavitve",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Kliknite, da onemogočite blokiranje oddaljenih pisav na tej strani",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globalna pravila: ta stolpec je za pravila, ki se uveljavljajo za vse strani.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Blokiraj oddaljene pisave",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blokiraj CSP poročila",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statičen filter {{filter}} najden v:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statičen filter <code>{{filter}}<\/code> najden v:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Dnevnik sprememb",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Podpora",
@@ -763,6 +787,10 @@
     "message": "Začasno dovoli velike medijske elemente",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/sq/messages.json 1.17.0+dfsg-2/src/_locales/sq/messages.json
--- 1.16.14+dfsg-1/src/_locales/sq/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/sq/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Më në fund, një bllokues efikas që nuk e rëndon procesorin dhe memorjen.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Paneli i kontrollit",
@@ -31,6 +31,10 @@
     "message": "Lista e bardhë",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shkurtoret",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Regjistri i kërkesave",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Info",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Ilustruesi i aseteve",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Parametra të avancuar",
     "description": "Title for the advanced settings page"
@@ -104,15 +112,15 @@
     "description": "Tooltip for the no-popups per-site switch"
   },
   "popupTipNoLargeMedia": {
-    "message": "Bllokoj elementet e mëdha mediatike te faqja",
+    "message": "Bllokoj elementet e mëdha multimediale te faqja",
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoLargeMedia1": {
-    "message": "Bllokoj elementet e mëdha mediatike te faqja",
+    "message": "Bllokoj elementet e mëdha multimediale te faqja",
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoLargeMedia2": {
-    "message": "Zbllokoj elementet e mëdha mediatike te faqja",
+    "message": "Zbllokoj elementet e mëdha multimediale te faqja",
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoCosmeticFiltering": {
@@ -128,17 +136,25 @@
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoRemoteFonts": {
-    "message": "Bllokoj sistemin e shkronjave në linjë",
+    "message": "Bllokoj sistemin e shkronjave jashtë faqes",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts1": {
-    "message": "Bllokoj sistemin e shkronjave në linjë",
+    "message": "Bllokoj sistemin e shkronjave jashtë faqes",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
   "popupTipNoRemoteFonts2": {
-    "message": "Zhbllokoj sistemin e shkronjave në linjë",
+    "message": "Zhbllokoj sistemin e shkronjave jashtë faqes",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Çaktivizoj JavaScript-in te ky uebsajti",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Nuk e çaktivizoj më JavaScript-in te ky uebsajti",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Rregullat globale: rregullat në këtë shtyllë aplikohen për të gjitha faqet.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -160,7 +176,7 @@
     "description": ""
   },
   "popupImageRulePrompt": {
-    "message": "figurat",
+    "message": "imazhet",
     "description": ""
   },
   "popup3pAnyRulePrompt": {
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "css\/figurat nga palët e treta",
+    "message": "CSS\/imazhet nga palët e treta",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -240,7 +256,7 @@
     "description": "A checkbox in the Settings pane"
   },
   "settingsContextMenuPrompt": {
-    "message": "Përdor menynë kontekstuale kur duhet",
+    "message": "Përdor menunë kontekstuale sipas rrethanave",
     "description": "English: Make use of context menu where appropriate"
   },
   "settingsColorBlindPrompt": {
@@ -260,11 +276,11 @@
     "description": "For the tooltip of a link which gives access to advanced settings"
   },
   "settingsPrefetchingDisabledPrompt": {
-    "message": "Çaktivizoj kërkesat e parakohshme (për të evituar çdo lidhje me kërkesat e refuzuara)",
+    "message": "Çaktivizoj kërkesat paraprake (për të evituar çdo lidhje me kërkesat e refuzuara)",
     "description": "English: "
   },
   "settingsHyperlinkAuditingDisabledPrompt": {
-    "message": "Çaktivizoj shqyrtimin e tejlidhjeve",
+    "message": "Çaktivizoj analizën e lidhjeve hipertekstuale",
     "description": "English: "
   },
   "settingsWebRTCIPAddressHiddenPrompt": {
@@ -284,13 +300,17 @@
     "description": ""
   },
   "settingsNoLargeMediaPrompt": {
-    "message": "Bllokoj elementet mediatike më të mëdha se {{input:number}} kB",
+    "message": "Bllokoj elementet multimediale më të mëdha se {{input:number}} kB",
     "description": ""
   },
   "settingsNoRemoteFontsPrompt": {
-    "message": "Bllokoj sistemin e shkronjave në linjë",
+    "message": "Bllokoj sistemin e shkronjave jashtë faqes",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Çaktivizoj JavaScript-in",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Bllokoj raportet e CSP-së",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,23 +604,27 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Filtri statik {{filter}} gjendet në:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Filtri statik <code>{{filter}}<\/code> gjendet në:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Filtri statik <code>{{filter}}<\/code> nuk gjendet në asnjërën nga listat aktive",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Ditari i ndryshimeve",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
-    "message": "Dokumentimi",
-    "description": "English: project' wiki on Github"
+    "message": "Wiki",
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Mbështetja teknike",
     "description": "A link for where to get support"
   },
   "aboutIssues": {
-    "message": "Treguesi i problemeve",
+    "message": "Lista e problemeve",
     "description": "Text for a link to official issue tracker"
   },
   "aboutCode": {
@@ -608,7 +632,7 @@
     "description": "English: Source code (GPLv3)"
   },
   "aboutContributors": {
-    "message": "Kontributorët",
+    "message": "Kontribuesit",
     "description": "English: Contributors"
   },
   "aboutBackupDataButton": {
@@ -760,9 +784,13 @@
     "description": ""
   },
   "contextMenuTemporarilyAllowLargeMediaElements": {
-    "message": "Lejoj përkohësisht elementet me përmasa të mëdha",
+    "message": "Lejoj përkohësisht elementet multimediale me përmasa të mëdha",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Vendosni kombinimin",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/sr/messages.json 1.17.0+dfsg-2/src/_locales/sr/messages.json
--- 1.16.14+dfsg-1/src/_locales/sr/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/sr/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -1,11 +1,11 @@
 {
   "extName": {
-    "message": "uBlock₀",
+    "message": "uBlock Origin",
     "description": "extension name."
   },
   "extShortDesc": {
     "message": "Коначно, ефикасан блокатор. Ниски процесорски и меморијски захтеви.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Контролна табла",
@@ -31,6 +31,10 @@
     "message": "Дозвољени домени",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Пречице",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Евиденција",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "О програму",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Прегледач ресурса",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Напредна подешавања",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Кликните да бисте зауставили блокирање удаљених фонтова на овом сајту",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Кликните да потпуно онемогућите JavaScript на овом сајту",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Кликните да JavaScript не буде више потпуно онемогућен на овом сајту",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Општа правила: ова колона је за правила која се примењују на свим сајтовима.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "Css\/слике трећих страна",
+    "message": "CSS\/слике трећих страна",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "Блокирај удаљене фонтове",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Онемогући JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Блокирај CSP извештаје",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Статички филтер {{filter}} пронађен у:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Статички филтер <code>{{filter}}<\/code> пронађен у:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Статички филтер <code>{{filter}}<\/code> није пронађен нити у једној тренутно омогућеној листи филтера",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Евиденција промена",
-    "description": "English: Change log"
+    "message": "Списак измена",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Вики",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Подршка",
@@ -763,6 +787,10 @@
     "message": "Привремено дозволи велике мултимедијалне елементе",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Укуцајте пречицу",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/sv/messages.json 1.17.0+dfsg-2/src/_locales/sv/messages.json
--- 1.16.14+dfsg-1/src/_locales/sv/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/sv/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Äntligen en effektiv blockerare. Snäll mot både processor och minne.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Kontrollpanel",
@@ -16,7 +16,7 @@
     "description": "appears as tab name in dashboard"
   },
   "3pPageName": {
-    "message": "Tredjepartsfilter",
+    "message": "Filterlistor",
     "description": "appears as tab name in dashboard"
   },
   "1pPageName": {
@@ -31,6 +31,10 @@
     "message": "Vitlista",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Genvägar",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Logg för nätverksbegäran",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Om",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Avancerade inställningar",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Klicka för att inte längre blockera externa typsnitt på den här webbplatsen",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Klicka för att inaktivera JavaScript på den här webbplatsen",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Klicka för att inte längre inaktivera JavaScript på den här webbplatsen",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Globala regler: denna kolumn avser regler som gäller alla sidor.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Blockera externa typsnitt",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Inaktivera JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Blockera CSP-rapporter",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Det statiska filtret {{filter}} hittades i:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Det statiska filtret <code>{{filter}}<\/code> hittades i:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Det statiska filtret <code>{{filter}}<\/code> kunde inte hittas i någon av aktiverade aktuella filterlistorna",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Ändringslogg",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Hjälp",
@@ -763,6 +787,10 @@
     "message": "Tillåt tillfälligt stora medieelement",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Ange en genväg",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/ta/messages.json 1.17.0+dfsg-2/src/_locales/ta/messages.json
--- 1.16.14+dfsg-1/src/_locales/ta/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/ta/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "இறுதியாக, ஒரு திறமையான விளம்பரத் தடுப்பான். கணினியின் மையச் செயற்பகுதியின் மேலும் நினைவகத்தின் மேலும் இலகுவானது.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ - நிர்வாக மையம்",
@@ -31,6 +31,10 @@
     "message": "அனுமதிப்பட்டியல்",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — பிணையக் கோரிக்கைப் பதிகை",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "எம்மைப் பற்றி",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Advanced settings",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Click to no longer block remote fonts on this site",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Global rules: this column is for rules which apply to all sites.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "தொலை எழுத்துருக்களை தடு",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Block CSP reports",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Static filter {{filter}} found in:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "நிரல் மாற்றம் மற்றும் வெளியீடுகளின் பதிவு",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "விக்கி",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "ஆதரவு",
@@ -763,6 +787,10 @@
     "message": "தற்காலிகமாகப் பெரிய ஒலி‍-ஒளி-படத்தொகுப்புகளின் கூறுகளை அனுமதி",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "This entry must be the last one",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/te/messages.json 1.17.0+dfsg-2/src/_locales/te/messages.json
--- 1.16.14+dfsg-1/src/_locales/te/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/te/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "మొత్తానికి RAM ఇంకా CPU పై తేలికయిన, ఒక సమర్థవంతమైన నిరోధిని.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — నియంత్రణా వేదిక",
@@ -31,6 +31,10 @@
     "message": "నేను నమ్మే సైట్ల జాబితా",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "షార్ట్కట్లు",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — నెట్వర్కు అభ్యర్ధనల చిట్టా",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "మా గురించి",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "అధునాతన అమరికలు",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "ఇకపై ఈ సైట్లో రిమోట్ ఫాంట్లను అనుమతించుటకు క్లిక్ చేయండి",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "సామాన్య నియమాలు: ఈ నిలువరుసలో వున్న నియమాలు అన్ని సైట్లకు వర్తిస్తాయి.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "సైట్-ఏతరుల సిఎస్ఎస్\/చిత్రాలు",
+    "message": "3 వ పార్టీ CSS\/చిత్రాలు",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -291,6 +307,10 @@
     "message": "బయటి ఖతులను నిరోధించు",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP నివేదికలను నిరోధించు",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "నిశ్చలాత్మక వడపోత అయిన {{filter}} క్రింది వాటిలో కలదు:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "నిశ్చలాత్మక ఫిల్టర్ అయిన <code>{{filter}}<\/code> క్రింది వాటిలో కలదు:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "నిశ్చలాత్మక ఫిల్టర్ అయిన <code>{{filter}}<\/code> ప్రస్తుతం ఉత్తేజపరిచిన ఫిల్టర్ జాబితాలలో కనుగొనబడలేదు",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "మార్పుల సంచిక",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "వికి",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "సహాయము",
@@ -763,6 +787,10 @@
     "message": "భారి దృశ్య\/శ్రవణ అంశాలను తాత్కాలికంగా అనుమతించు",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "షార్ట్కట్ టైప్ చేయండి",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "ఇది అంతిమంగా వుండాల్సిన నమోదు",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/th/messages.json 1.17.0+dfsg-2/src/_locales/th/messages.json
--- 1.16.14+dfsg-1/src/_locales/th/messages.json	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/th/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,798 @@
+{
+  "extName": {
+    "message": "uBlock Origin",
+    "description": "extension name."
+  },
+  "extShortDesc": {
+    "message": "มาแล้ว! โปรแกรมบล็อกโฆษณาเบาเบา ไม่กิน ซีพียู หรือ แรม",
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
+  },
+  "dashboardName": {
+    "message": "uBlock₀ — หน้าหลัก",
+    "description": "English: uBlock₀ — Dashboard"
+  },
+  "settingsPageName": {
+    "message": "การตั้งค่า",
+    "description": "appears as tab name in dashboard"
+  },
+  "3pPageName": {
+    "message": "ตัวกรองจากที่อื่น",
+    "description": "appears as tab name in dashboard"
+  },
+  "1pPageName": {
+    "message": "ตัวกรองของฉัน",
+    "description": "appears as tab name in dashboard"
+  },
+  "rulesPageName": {
+    "message": "กฎของฉัน",
+    "description": "appears as tab name in dashboard"
+  },
+  "whitelistPageName": {
+    "message": "รายการยกเว้น",
+    "description": "appears as tab name in dashboard"
+  },
+  "shortcutsPageName": {
+    "message": "Shortcuts",
+    "description": "appears as tab name in dashboard"
+  },
+  "statsPageName": {
+    "message": "uBlock₀ — ประวัติ",
+    "description": "Title for the logger window"
+  },
+  "aboutPageName": {
+    "message": "เกี่ยวกับ",
+    "description": "appears as tab name in dashboard"
+  },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Asset viewer",
+    "description": "Title for the asset viewer page"
+  },
+  "advancedSettingsPageName": {
+    "message": "การตั้งค่าขั้นสูง",
+    "description": "Title for the advanced settings page"
+  },
+  "popupPowerSwitchInfo": {
+    "message": "Click: เปิด\/ปิดการทำงานของ uBlock₀ สำหรับเว็บไซต์นี้ \nCtrl+click: ปิดการทำงานของ uBlock₀ เฉพาะหน้าเว็บนี้",
+    "description": "English: Click: disable\/enable uBlock₀ for this site.\n\nCtrl+click: disable uBlock₀ only on this page."
+  },
+  "popupPowerSwitchInfo1": {
+    "message": "Click to disable uBlock₀ for this site.\n\nCtrl+click to disable uBlock₀ only on this page.",
+    "description": "Message to be read by screen readers"
+  },
+  "popupPowerSwitchInfo2": {
+    "message": "กดเพื่อเปิดใช้่งาน uBlock₀ สำหรับเว็บนี้",
+    "description": "Message to be read by screen readers"
+  },
+  "popupBlockedRequestPrompt": {
+    "message": "การร้องขอถูกปฏิเสธ",
+    "description": "English: requests blocked"
+  },
+  "popupBlockedOnThisPagePrompt": {
+    "message": "ในหน้านี้",
+    "description": "English: on this page"
+  },
+  "popupBlockedStats": {
+    "message": "{{count}} or {{percent}}%",
+    "description": "Example: 15 or 13%"
+  },
+  "popupBlockedSinceInstallPrompt": {
+    "message": "จากวันที่ติดตตั้ง",
+    "description": "English: since install"
+  },
+  "popupOr": {
+    "message": "หรือ",
+    "description": "English: or"
+  },
+  "popupTipDashboard": {
+    "message": "เปิด dashboard",
+    "description": "English: Click to open the dashboard"
+  },
+  "popupTipZapper": {
+    "message": "เข้าสู่โหมดโจมตีองค์ประกอบ",
+    "description": "Tooltip for the element-zapper icon in the popup panel"
+  },
+  "popupTipPicker": {
+    "message": "เข้าสู่โหมดเลือก element",
+    "description": "English: Enter element picker mode"
+  },
+  "popupTipLog": {
+    "message": "เปิดตัวประวัติ",
+    "description": "Tooltip used for the logger icon in the panel"
+  },
+  "popupTipNoPopups": {
+    "message": "Toggle the blocking of all popups for this site",
+    "description": "Tooltip for the no-popups per-site switch"
+  },
+  "popupTipNoPopups1": {
+    "message": "Click to block all popups on this site",
+    "description": "Tooltip for the no-popups per-site switch"
+  },
+  "popupTipNoPopups2": {
+    "message": "Click to no longer block all popups on this site",
+    "description": "Tooltip for the no-popups per-site switch"
+  },
+  "popupTipNoLargeMedia": {
+    "message": "Toggle the blocking of large media elements for this site",
+    "description": "Tooltip for the no-large-media per-site switch"
+  },
+  "popupTipNoLargeMedia1": {
+    "message": "Click to block large media elements on this site",
+    "description": "Tooltip for the no-large-media per-site switch"
+  },
+  "popupTipNoLargeMedia2": {
+    "message": "Click to no longer block large media elements on this site",
+    "description": "Tooltip for the no-large-media per-site switch"
+  },
+  "popupTipNoCosmeticFiltering": {
+    "message": "Toggle cosmetic filtering for this site",
+    "description": "Tooltip for the no-cosmetic-filtering per-site switch"
+  },
+  "popupTipNoCosmeticFiltering1": {
+    "message": "Click to disable cosmetic filtering on this site",
+    "description": "Tooltip for the no-cosmetic-filtering per-site switch"
+  },
+  "popupTipNoCosmeticFiltering2": {
+    "message": "Click to enable cosmetic filtering on this site",
+    "description": "Tooltip for the no-cosmetic-filtering per-site switch"
+  },
+  "popupTipNoRemoteFonts": {
+    "message": "Toggle the blocking of remote fonts for this site",
+    "description": "Tooltip for the no-remote-fonts per-site switch"
+  },
+  "popupTipNoRemoteFonts1": {
+    "message": "Click to block remote fonts on this site",
+    "description": "Tooltip for the no-remote-fonts per-site switch"
+  },
+  "popupTipNoRemoteFonts2": {
+    "message": "Click to no longer block remote fonts on this site",
+    "description": "Tooltip for the no-remote-fonts per-site switch"
+  },
+  "popupTipNoScripting1": {
+    "message": "Click to disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Click to no longer disable JavaScript on this site",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipGlobalRules": {
+    "message": "Global rules: this column is for rules which apply to all sites.",
+    "description": "Tooltip when hovering the top-most cell of the global-rules column."
+  },
+  "popupTipLocalRules": {
+    "message": "Local rules: this column is for rules which apply to the current site only.\nLocal rules override global rules.",
+    "description": "Tooltip when hovering the top-most cell of the local-rules column."
+  },
+  "popupTipSaveRules": {
+    "message": "Click to make your changes permanent.",
+    "description": "Tooltip when hovering over the padlock in the dynamic filtering pane."
+  },
+  "popupTipRevertRules": {
+    "message": "ยกเลิกการเปลี่ยนแปลง",
+    "description": "Tooltip when hovering over the eraser in the dynamic filtering pane."
+  },
+  "popupAnyRulePrompt": {
+    "message": "ทั้งหมด",
+    "description": ""
+  },
+  "popupImageRulePrompt": {
+    "message": "รูปภาพ",
+    "description": ""
+  },
+  "popup3pAnyRulePrompt": {
+    "message": "3rd-party",
+    "description": ""
+  },
+  "popup3pPassiveRulePrompt": {
+    "message": "3rd-party CSS\/images",
+    "description": ""
+  },
+  "popupInlineScriptRulePrompt": {
+    "message": "inline scripts",
+    "description": ""
+  },
+  "popup1pScriptRulePrompt": {
+    "message": "สคริปภายใน",
+    "description": ""
+  },
+  "popup3pScriptRulePrompt": {
+    "message": "สคริปบุคคลที่3",
+    "description": ""
+  },
+  "popup3pFrameRulePrompt": {
+    "message": "3rd-party frames",
+    "description": ""
+  },
+  "popupHitDomainCountPrompt": {
+    "message": "domains connected",
+    "description": "appears in popup"
+  },
+  "popupHitDomainCount": {
+    "message": "{{count}} out of {{total}}",
+    "description": "appears in popup"
+  },
+  "pickerCreate": {
+    "message": "สร้าง",
+    "description": "English: Create"
+  },
+  "pickerPick": {
+    "message": "เลือก",
+    "description": "English: Pick"
+  },
+  "pickerQuit": {
+    "message": "ออก",
+    "description": "English: Quit"
+  },
+  "pickerPreview": {
+    "message": "ตัวอย่าง",
+    "description": "Element picker preview mode: will cause the elements matching the current filter to be removed from the page"
+  },
+  "pickerNetFilters": {
+    "message": "Network filters",
+    "description": "English: header for a type of filter in the element picker dialog"
+  },
+  "pickerCosmeticFilters": {
+    "message": "Cosmetic filters",
+    "description": "English: Cosmetic filters"
+  },
+  "pickerCosmeticFiltersHint": {
+    "message": "Click, Ctrl-click",
+    "description": "English: Click, Ctrl-click"
+  },
+  "pickerContextMenuEntry": {
+    "message": "Block element",
+    "description": "English: Block element"
+  },
+  "settingsCollapseBlockedPrompt": {
+    "message": "Hide placeholders of blocked elements",
+    "description": "English: Hide placeholders of blocked elements"
+  },
+  "settingsIconBadgePrompt": {
+    "message": "Show the number of blocked requests on the icon",
+    "description": "English: Show the number of blocked requests on the icon"
+  },
+  "settingsTooltipsPrompt": {
+    "message": "ปิดคำอธิบาย",
+    "description": "A checkbox in the Settings pane"
+  },
+  "settingsContextMenuPrompt": {
+    "message": "Make use of context menu where appropriate",
+    "description": "English: Make use of context menu where appropriate"
+  },
+  "settingsColorBlindPrompt": {
+    "message": "Color-blind friendly",
+    "description": "English: Color-blind friendly"
+  },
+  "settingsCloudStorageEnabledPrompt": {
+    "message": "Enable cloud storage support",
+    "description": ""
+  },
+  "settingsAdvancedUserPrompt": {
+    "message": "I am an advanced user (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Advanced-user-features'>required reading<\/a>)",
+    "description": ""
+  },
+  "settingsAdvancedUserSettings": {
+    "message": "advanced settings",
+    "description": "For the tooltip of a link which gives access to advanced settings"
+  },
+  "settingsPrefetchingDisabledPrompt": {
+    "message": "Disable pre-fetching (to prevent any connection for blocked network requests)",
+    "description": "English: "
+  },
+  "settingsHyperlinkAuditingDisabledPrompt": {
+    "message": "Disable hyperlink auditing",
+    "description": "English: "
+  },
+  "settingsWebRTCIPAddressHiddenPrompt": {
+    "message": "Prevent WebRTC from leaking local IP addresses",
+    "description": "English: "
+  },
+  "settingPerSiteSwitchGroup": {
+    "message": "Default behavior",
+    "description": ""
+  },
+  "settingPerSiteSwitchGroupSynopsis": {
+    "message": "These default behaviors can be overridden on a per-site basis",
+    "description": ""
+  },
+  "settingsNoCosmeticFilteringPrompt": {
+    "message": "Disable cosmetic filtering",
+    "description": ""
+  },
+  "settingsNoLargeMediaPrompt": {
+    "message": "Block media elements larger than {{input:number}} kB",
+    "description": ""
+  },
+  "settingsNoRemoteFontsPrompt": {
+    "message": "Block remote fonts",
+    "description": ""
+  },
+  "settingsNoScriptingPrompt": {
+    "message": "Disable JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
+  "settingsNoCSPReportsPrompt": {
+    "message": "Block CSP reports",
+    "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
+  },
+  "settingsStorageUsed": {
+    "message": "Storage used: {{value}} bytes",
+    "description": "English: Storage used: {{}} bytes"
+  },
+  "settingsLastRestorePrompt": {
+    "message": "Last restore:",
+    "description": "English: Last restore:"
+  },
+  "settingsLastBackupPrompt": {
+    "message": "การสำรองข้อมูลครั้งล่าสุด",
+    "description": "English: Last backup:"
+  },
+  "3pListsOfBlockedHostsPrompt": {
+    "message": "{{netFilterCount}} network filters ＋ {{cosmeticFilterCount}} cosmetic filters from:",
+    "description": "Appears at the top of the _3rd-party filters_ pane"
+  },
+  "3pListsOfBlockedHostsPerListStats": {
+    "message": "{{used}} used out of {{total}}",
+    "description": "Appears aside each filter list in the _3rd-party filters_ pane"
+  },
+  "3pAutoUpdatePrompt1": {
+    "message": "Auto-update filter lists",
+    "description": "A checkbox in the _3rd-party filters_ pane"
+  },
+  "3pUpdateNow": {
+    "message": "Update now",
+    "description": "A button in the in the _3rd-party filters_ pane"
+  },
+  "3pPurgeAll": {
+    "message": "Purge all caches",
+    "description": "A button in the in the _3rd-party filters_ pane"
+  },
+  "3pParseAllABPHideFiltersPrompt1": {
+    "message": "Parse and enforce cosmetic filters",
+    "description": "English: Parse and enforce Adblock+ element hiding filters."
+  },
+  "3pParseAllABPHideFiltersInfo": {
+    "message": "<p>This option enables the parsing and enforcing of <a href=\"https:\/\/adblockplus.org\/en\/faq_internal#elemhide\">Adblock Plus-compatible &ldquo;element hiding&rdquo; filters<\/a>. These filters are essentially cosmetic, they serve to hide elements in a web page which are deemed to be a visual nuisance, and which can't be blocked by the net request-based filtering engine.<\/p><p>Enabling this feature increases uBlock₀'s memory footprint.<\/p>",
+    "description": "Describes the purpose of the 'Parse and enforce cosmetic filters' feature."
+  },
+  "3pIgnoreGenericCosmeticFilters": {
+    "message": "Ignore generic cosmetic filters",
+    "description": "This will cause uBO to ignore all generic cosmetic filters."
+  },
+  "3pIgnoreGenericCosmeticFiltersInfo": {
+    "message": "<p>Generic cosmetic filters are those cosmetic filters which are meant to apply on all web sites.<p>Though handled efficiently by uBlock₀, generic cosmetic filters may still contribute measurable memory and CPU overhead on some web pages, especially for large and long-lived ones.<p>Enabling this option will eliminate the memory and CPU overhead added to web pages as a result of handling generic cosmetic filters, and also lower the memory footprint of uBlock₀ itself.<p>It is recommended to enable this option on less powerful devices.",
+    "description": "Describes the purpose of the 'Ignore generic cosmetic filters' feature."
+  },
+  "3pListsOfBlockedHostsHeader": {
+    "message": "Lists of blocked hosts",
+    "description": "English: Lists of blocked hosts"
+  },
+  "3pApplyChanges": {
+    "message": "Apply changes",
+    "description": "English: Apply changes"
+  },
+  "3pGroupDefault": {
+    "message": "Built-in",
+    "description": "Header for the uBlock filters section in 'Filter lists pane'"
+  },
+  "3pGroupAds": {
+    "message": "โฆษณา",
+    "description": "English: Ads"
+  },
+  "3pGroupPrivacy": {
+    "message": "Privacy",
+    "description": "English: Privacy"
+  },
+  "3pGroupMalware": {
+    "message": "Malware domains",
+    "description": "English: Malware domains"
+  },
+  "3pGroupAnnoyances": {
+    "message": "Annoyances",
+    "description": "The header identifying the filter lists in the category 'annoyances'"
+  },
+  "3pGroupMultipurpose": {
+    "message": "Multipurpose",
+    "description": "English: Multipurpose"
+  },
+  "3pGroupRegions": {
+    "message": "Regions, languages",
+    "description": "English: Regions, languages"
+  },
+  "3pGroupCustom": {
+    "message": "Custom",
+    "description": "English: Custom"
+  },
+  "3pImport": {
+    "message": "Import...",
+    "description": "The label for the checkbox used to import external filter lists"
+  },
+  "3pExternalListsHint": {
+    "message": "One URL per line. Invalid URLs will be silently ignored.",
+    "description": "Short information about how to use the textarea to import external filter lists by URL"
+  },
+  "3pExternalListObsolete": {
+    "message": "Out of date.",
+    "description": "used as a tooltip for the out-of-date icon beside a list"
+  },
+  "3pLastUpdate": {
+    "message": "อัพเดตล่าสุด: {{ago}}",
+    "description": "used as a tooltip for the clock icon beside a list"
+  },
+  "3pUpdating": {
+    "message": "Updating...",
+    "description": "used as a tooltip for the spinner icon beside a list"
+  },
+  "3pNetworkError": {
+    "message": "A network error prevented the resource from being updated.",
+    "description": "used as a tooltip for error icon beside a list"
+  },
+  "1pFormatHint": {
+    "message": "One filter per line. A filter can be a plain hostname, or an Adblock Plus-compatible filter. Lines prefixed with <code>!<\/code> will be ignored.",
+    "description": "Short information about how to create custom filters"
+  },
+  "1pImport": {
+    "message": "Import and append",
+    "description": "English: Import and append"
+  },
+  "1pExport": {
+    "message": "Export",
+    "description": "English: Export"
+  },
+  "1pExportFilename": {
+    "message": "my-ublock-static-filters_{{datetime}}.txt",
+    "description": "English: my-ublock-static-filters_{{datetime}}.txt"
+  },
+  "1pApplyChanges": {
+    "message": "Apply changes",
+    "description": "English: Apply changes"
+  },
+  "rulesPermanentHeader": {
+    "message": "Permanent rules",
+    "description": "header"
+  },
+  "rulesTemporaryHeader": {
+    "message": "Temporary rules",
+    "description": "header"
+  },
+  "rulesRevert": {
+    "message": "Revert",
+    "description": "This will remove all temporary rules"
+  },
+  "rulesCommit": {
+    "message": "Commit",
+    "description": "This will persist temporary rules"
+  },
+  "rulesEdit": {
+    "message": "แก้ไข",
+    "description": "Will enable manual-edit mode (textarea)"
+  },
+  "rulesEditSave": {
+    "message": "บันทึก",
+    "description": "Will save manually-edited content and exit manual-edit mode"
+  },
+  "rulesEditDiscard": {
+    "message": "ละทิ้ง",
+    "description": "Will discard manually-edited content and exit manual-edit mode"
+  },
+  "rulesImport": {
+    "message": "Import from file...",
+    "description": ""
+  },
+  "rulesExport": {
+    "message": "Export to file",
+    "description": ""
+  },
+  "rulesDefaultFileName": {
+    "message": "my-ublock-dynamic-rules_{{datetime}}.txt",
+    "description": "default file name to use"
+  },
+  "rulesHint": {
+    "message": "List of your dynamic filtering rules.",
+    "description": "English: List of your dynamic filtering rules."
+  },
+  "rulesFormatHint": {
+    "message": "Rule syntax: <code>source destination type action<\/code> (<a href='https:\/\/github.com\/gorhill\/uBlock\/wiki\/Dynamic-filtering:-rule-syntax'>full documentation<\/a>).",
+    "description": "English: dynamic rule syntax and full documentation."
+  },
+  "whitelistPrompt": {
+    "message": "The whitelist directives dictate on which web pages uBlock Origin should be disabled. One entry per line. Invalid directives will be silently ignored and commented out.",
+    "description": "English: An overview of the content of the dashboard's Whitelist pane."
+  },
+  "whitelistImport": {
+    "message": "Import and append",
+    "description": "English: Import and append"
+  },
+  "whitelistExport": {
+    "message": "Export",
+    "description": "English: Export"
+  },
+  "whitelistExportFilename": {
+    "message": "my-ublock-whitelist_{{datetime}}.txt",
+    "description": "English: my-ublock-whitelist_{{datetime}}.txt"
+  },
+  "whitelistApply": {
+    "message": "Apply changes",
+    "description": "English: Apply changes"
+  },
+  "logRequestsHeaderType": {
+    "message": "Type",
+    "description": "English: Type"
+  },
+  "logRequestsHeaderDomain": {
+    "message": "Domain",
+    "description": "English: Domain"
+  },
+  "logRequestsHeaderURL": {
+    "message": "URL",
+    "description": "English: URL"
+  },
+  "logRequestsHeaderFilter": {
+    "message": "Filter",
+    "description": "English: Filter"
+  },
+  "logAll": {
+    "message": "ทั้งหมด",
+    "description": "Appears in the logger's tab selector"
+  },
+  "logBehindTheScene": {
+    "message": "Behind the scene",
+    "description": "Pretty name for behind-the-scene network requests"
+  },
+  "loggerCurrentTab": {
+    "message": "Current tab",
+    "description": "Appears in the logger's tab selector"
+  },
+  "logFilterPrompt": {
+    "message": "filter log entries",
+    "description": "English: filter log entries"
+  },
+  "logMaxEntriesTip": {
+    "message": "Maximum number of log entries",
+    "description": "Tooltip informaing that the input field is to set the maximum number of entries in the log"
+  },
+  "loggerURLFilteringContextLabel": {
+    "message": "Context:",
+    "description": "Label for the context selector"
+  },
+  "loggerURLFilteringTypeLabel": {
+    "message": "Type:",
+    "description": "Label for the type selector"
+  },
+  "loggerURLFilteringHeader": {
+    "message": "Dynamic URL filtering",
+    "description": "Small header to identify the dynamic URL filtering section"
+  },
+  "loggerStaticFilteringHeader": {
+    "message": "Static filtering",
+    "description": "Small header to identify the static filtering section"
+  },
+  "loggerStaticFilteringSentence": {
+    "message": "{{action}} network requests of {{type}} {{br}}which URL address matches {{url}} {{br}}and which originates {{origin}},{{br}}{{importance}} there is a matching exception filter.",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartBlock": {
+    "message": "Block",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartAllow": {
+    "message": "อนุญาต",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartType": {
+    "message": "type “{{type}}”",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartAnyType": {
+    "message": "any type",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartOrigin": {
+    "message": "from “{{origin}}”",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartAnyOrigin": {
+    "message": "from anywhere",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartNotImportant": {
+    "message": "except when",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringSentencePartImportant": {
+    "message": "even if",
+    "description": "Used in the static filtering wizard"
+  },
+  "loggerStaticFilteringFinderSentence1": {
+    "message": "Static filter <code>{{filter}}<\/code> found in:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Static filter <code>{{filter}}<\/code> could not be found in any of the currently enabled filter lists",
+    "description": "Message to show when a filter cannot be found in any filter lists"
+  },
+  "aboutChangelog": {
+    "message": "Changelog",
+    "description": ""
+  },
+  "aboutWiki": {
+    "message": "Wiki",
+    "description": "English: project' wiki on GitHub"
+  },
+  "aboutSupport": {
+    "message": "Support",
+    "description": "A link for where to get support"
+  },
+  "aboutIssues": {
+    "message": "Issue tracker",
+    "description": "Text for a link to official issue tracker"
+  },
+  "aboutCode": {
+    "message": "Source code (GPLv3)",
+    "description": "English: Source code (GPLv3)"
+  },
+  "aboutContributors": {
+    "message": "Contributors",
+    "description": "English: Contributors"
+  },
+  "aboutBackupDataButton": {
+    "message": "Back up to file",
+    "description": "Text for button to create a backup of all settings"
+  },
+  "aboutBackupFilename": {
+    "message": "my-ublock-backup_{{datetime}}.txt",
+    "description": "English: my-ublock-backup_{{datetime}}.txt"
+  },
+  "aboutRestoreDataButton": {
+    "message": "Restore from file...",
+    "description": "English: Restore from file..."
+  },
+  "aboutResetDataButton": {
+    "message": "Reset to default settings...",
+    "description": "English: Reset to default settings..."
+  },
+  "aboutRestoreDataConfirm": {
+    "message": "All your settings will be overwritten using data backed up on {{time}}, and uBlock₀ will restart.\n\nOverwrite all existing settings using backed up data?",
+    "description": "Message asking user to confirm restore"
+  },
+  "aboutRestoreDataError": {
+    "message": "The data could not be read or is invalid",
+    "description": "Message to display when an error occurred during restore"
+  },
+  "aboutResetDataConfirm": {
+    "message": "All your settings will be removed, and uBlock₀ will restart.\n\nReset uBlock₀ to factory settings?",
+    "description": "Message asking user to confirm reset"
+  },
+  "errorCantConnectTo": {
+    "message": "Network error: {{msg}}",
+    "description": "English: Network error: {{msg}}"
+  },
+  "subscriberConfirm": {
+    "message": "uBlock₀: Add the following URL to your custom filter lists?\n\nTitle: \"{{title}}\"\nURL: {{url}}",
+    "description": "English: The message seen by the user to confirm subscription to a ABP filter list"
+  },
+  "elapsedOneMinuteAgo": {
+    "message": "a minute ago",
+    "description": "English: a minute ago"
+  },
+  "elapsedManyMinutesAgo": {
+    "message": "{{value}} minutes ago",
+    "description": "English: {{value}} minutes ago"
+  },
+  "elapsedOneHourAgo": {
+    "message": "an hour ago",
+    "description": "English: an hour ago"
+  },
+  "elapsedManyHoursAgo": {
+    "message": "{{value}} hours ago",
+    "description": "English: {{value}} hours ago"
+  },
+  "elapsedOneDayAgo": {
+    "message": "a day ago",
+    "description": "English: a day ago"
+  },
+  "elapsedManyDaysAgo": {
+    "message": "{{value}} days ago",
+    "description": "English: {{value}} days ago"
+  },
+  "showDashboardButton": {
+    "message": "Show Dashboard",
+    "description": "Firefox\/Fennec-specific: Show Dashboard"
+  },
+  "showNetworkLogButton": {
+    "message": "Show Logger",
+    "description": "Firefox\/Fennec-specific: Show Logger"
+  },
+  "fennecMenuItemBlockingOff": {
+    "message": "off",
+    "description": "Firefox-specific: appears as 'uBlock₀ (off)'"
+  },
+  "docblockedPrompt1": {
+    "message": "uBlock Origin has prevented the following page from loading:",
+    "description": "English: uBlock₀ has prevented the following page from loading:"
+  },
+  "docblockedPrompt2": {
+    "message": "Because of the following filter",
+    "description": "English: Because of the following filter"
+  },
+  "docblockedNoParamsPrompt": {
+    "message": "without parameters",
+    "description": "label to be used for the parameter-less URL: https:\/\/cloud.githubusercontent.com\/assets\/585534\/9832014\/bfb1b8f0-593b-11e5-8a27-fba472a5529a.png"
+  },
+  "docblockedFoundIn": {
+    "message": "Found in:",
+    "description": "English: List of filter list names follows"
+  },
+  "docblockedBack": {
+    "message": "Go back",
+    "description": "English: Go back"
+  },
+  "docblockedClose": {
+    "message": "Close this window",
+    "description": "English: Close this window"
+  },
+  "docblockedProceed": {
+    "message": "Disable strict blocking for {{hostname}}",
+    "description": "English: Disable strict blocking for {{hostname}} ..."
+  },
+  "docblockedDisableTemporary": {
+    "message": "Temporarily",
+    "description": "English: Temporarily"
+  },
+  "docblockedDisablePermanent": {
+    "message": "Permanently",
+    "description": "English: Permanently"
+  },
+  "cloudPush": {
+    "message": "Export to cloud storage",
+    "description": "tooltip"
+  },
+  "cloudPull": {
+    "message": "Import from cloud storage",
+    "description": "tooltip"
+  },
+  "cloudPullAndMerge": {
+    "message": "Import from cloud storage and merge with current settings",
+    "description": "tooltip"
+  },
+  "cloudNoData": {
+    "message": "...\n...",
+    "description": ""
+  },
+  "cloudDeviceNamePrompt": {
+    "message": "This device name:",
+    "description": "used as a prompt for the user to provide a custom device name"
+  },
+  "advancedSettingsWarning": {
+    "message": "Warning! Change these advanced settings at your own risk.",
+    "description": "A warning to users at the top of 'Advanced settings' page"
+  },
+  "genericSubmit": {
+    "message": "Submit",
+    "description": "for generic 'Submit' buttons"
+  },
+  "genericApplyChanges": {
+    "message": "Apply changes",
+    "description": "for generic 'Apply changes' buttons"
+  },
+  "genericRevert": {
+    "message": "Revert",
+    "description": "for generic 'Revert' buttons"
+  },
+  "genericBytes": {
+    "message": "bytes",
+    "description": ""
+  },
+  "contextMenuTemporarilyAllowLargeMediaElements": {
+    "message": "Temporarily allow large media elements",
+    "description": "A context menu entry, present when large media elements have been blocked on the current site"
+  },
+  "shortcutCapturePlaceholder": {
+    "message": "Type a shortcut",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
+  "dummy": {
+    "message": "This entry must be the last one",
+    "description": "so we dont need to deal with comma for last entry"
+  }
+}
\ No newline at end of file
diff -pruN 1.16.14+dfsg-1/src/_locales/tr/messages.json 1.17.0+dfsg-2/src/_locales/tr/messages.json
--- 1.16.14+dfsg-1/src/_locales/tr/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/tr/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Sonunda, etkili bir engelleyici. İşlemciyi ve belleği yormaz.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Kontrol paneli",
@@ -31,6 +31,10 @@
     "message": "Beyaz liste",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Kısayollar",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Günlükçü",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Hakkında",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — Kaynak görüntüleyici",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Gelişmiş ayarlar",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Bu sitede uzak yazıtiplerini artık engellememek için tıklayın",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "JavaScript'i bu sitede devre dışı bırakmak için tıklayın",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "JavaScript'i bu sitede artık devre dışı bırakmamak için tıklayın",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Genel kurallar: bu sütun tüm sitelere uygulanan kurallar içindir.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -168,7 +184,7 @@
     "description": ""
   },
   "popup3pPassiveRulePrompt": {
-    "message": "3. taraf css\/resim",
+    "message": "3. taraf CSS\/resimler",
     "description": ""
   },
   "popupInlineScriptRulePrompt": {
@@ -236,7 +252,7 @@
     "description": "English: Show the number of blocked requests on the icon"
   },
   "settingsTooltipsPrompt": {
-    "message": "İpuçlarını kapat",
+    "message": "İpuçlarını devre dışı bırak",
     "description": "A checkbox in the Settings pane"
   },
   "settingsContextMenuPrompt": {
@@ -291,6 +307,10 @@
     "message": "Uzak yazıtiplerini engelle",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "JavaScript'i devre dışı bırak",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "CSP raporlarını engelle",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Statik süzgecin {{filter}} bulunduğu listeler:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Statik süzgecin <code>{{filter}}<\/code> bulunduğu listeler:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Statik süzgeç <code>{{filter}}<\/code> şu anda etkin olan süzgeç listelerinin hiçbirinde bulunamadı",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "Değişiklikler",
-    "description": "English: Change log"
+    "message": "Değişiklik günlüğü",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Viki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Destek",
@@ -763,6 +787,10 @@
     "message": "Geçici olarak büyük medya ögelerine izin ver",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Bir kısayol girin",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Bu girdi en sonda olmalıdır",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/uk/messages.json 1.17.0+dfsg-2/src/_locales/uk/messages.json
--- 1.16.14+dfsg-1/src/_locales/uk/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/uk/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Ефективний блокувальник реклами таки з’явився. Не навантажує процесор та пам'ять.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "µBlock — Панель керування",
@@ -31,6 +31,10 @@
     "message": "Білий список",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Гарячі клавіші",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Журнал мережевих запитів",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Про програму",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ – Переглядач ресурсів",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Розширені налаштування",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "Натисніть для скасування бокування всіх віддалених шрифтів на цьому сайті",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Натисніть, щоб повністю вимкнути javaScript на цьому сайті",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Натисніть, щоб повністю припинити вимкнення javaScript на цьому сайті",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Глобальні правила: цей стовпчик для правил, що застосовуються для всіх сайтів.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Блокувати сторонні шрифти",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Вимкнути JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Блокувати CSP-звіти",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -388,7 +408,7 @@
     "description": "The label for the checkbox used to import external filter lists"
   },
   "3pExternalListsHint": {
-    "message": "Одне посилання на рядок. Рядки, що починаються з &lsquo;!&rsquo;  будуть проігноровані. Невірні посилання будуть тихо проігноровані.",
+    "message": "Одне посилання на рядок. Невірні посилання будуть проігноровані без попередження.",
     "description": "Short information about how to use the textarea to import external filter lists by URL"
   },
   "3pExternalListObsolete": {
@@ -408,7 +428,7 @@
     "description": "used as a tooltip for error icon beside a list"
   },
   "1pFormatHint": {
-    "message": "Один фільтр на рядок. Фільтром може бути адреса сайту або фільтр у Adblock Plus-сумісному записі. Рядки, що починаються з &lsquo;!&rsquo; ігноруються.",
+    "message": "Один фільтр на рядок. Фільтром може бути адреса сайту або фільтр у Adblock Plus-сумісному записі. Рядки, що починаються з <code>!<\/code> будуть проігноровані.",
     "description": "Short information about how to create custom filters"
   },
   "1pImport": {
@@ -476,7 +496,7 @@
     "description": "English: dynamic rule syntax and full documentation."
   },
   "whitelistPrompt": {
-    "message": "Ваш список адрес сайтів, для яких µBlock буде неактивним. Додайте по одному запису на рядок. Невірні адреси будуть проігноровані без зауважень.",
+    "message": "Ваш список адрес сайтів, для яких µBlock буде неактивним. Додайте по одному запису на рядок. Невірні адреси будуть проігноровані без попереджень та закоментовані.",
     "description": "English: An overview of the content of the dashboard's Whitelist pane."
   },
   "whitelistImport": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Статичний фільтр {{filter}} знайдено в:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Статичний фільтр <code>{{filter}}<\/code> знайден у:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Статичний фільтр <code>{{filter}}<\/code> не знайдений в жодному списку увімкнених у даний момент фільтрів",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Журнал змін",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Вікі",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Підтримка",
@@ -763,6 +787,10 @@
     "message": "Тимчасово дозволити великі медіа елементи",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Уведіть комбінацію",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Цей запис має бути останнім",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/vi/messages.json 1.17.0+dfsg-2/src/_locales/vi/messages.json
--- 1.16.14+dfsg-1/src/_locales/vi/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/vi/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "Cuối cùng, đã có một công cụ chặn quảng cáo hiệu quả, tiêu tốn ít CPU và bộ nhớ.",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — Bảng điều khiển",
@@ -16,7 +16,7 @@
     "description": "appears as tab name in dashboard"
   },
   "3pPageName": {
-    "message": "Bộ lọc",
+    "message": "Danh sách bộ lọc",
     "description": "appears as tab name in dashboard"
   },
   "1pPageName": {
@@ -31,6 +31,10 @@
     "message": "Danh sách trắng",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "Phím tắt",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — Nhật ký các yêu cầu",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "Giới thiệu",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ - Trình xem nội dung",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "Cài đặt nâng cao",
     "description": "Title for the advanced settings page"
@@ -48,7 +56,7 @@
     "description": "English: Click: disable\/enable uBlock₀ for this site.\n\nCtrl+click: disable uBlock₀ only on this page."
   },
   "popupPowerSwitchInfo1": {
-    "message": "Nhấp chuột để tắt uBlock₀ đối với toàn bộ tên miền này (site). \n\nCtrl + nhấp chuột để tắt uBlock₀ chỉ tại trang này (page).",
+    "message": "Nhấp chuột để vô hiệu uBlock₀ cho trang này. \n\nCtrl + nhấp chuột để tắt uBlock₀ chỉ trên trang này.",
     "description": "Message to be read by screen readers"
   },
   "popupPowerSwitchInfo2": {
@@ -112,7 +120,7 @@
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoLargeMedia2": {
-    "message": "Nhấp để hủy chặn các thành phần đa phương tiện lớn trên trang này",
+    "message": "Nhấp để ngừng chặn các thành phần đa phương tiện kích thước lớn trên trang này",
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoCosmeticFiltering": {
@@ -120,11 +128,11 @@
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering1": {
-    "message": "Nhấn để tắt bộ lọc phần tử trên trang này",
+    "message": "Nhấn để tắt bộ lọc phần tử ẩn trên trang này",
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering2": {
-    "message": "Nhấn để bật bộ lọc phần tử trên trang này",
+    "message": "Nhấn để bật bộ lọc phần tử ẩn trên trang này",
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoRemoteFonts": {
@@ -139,6 +147,14 @@
     "message": "Nhấp để hủy chặn font từ xa trên trang này",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "Nhấp để vô hiệu hóa javascript trên trang này",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "Nhấp để ngừng vô hiệu hóa JavaScript trên trang này",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "Quy tắc chung: cột này dành cho quy tắc áp dụng cho mọi trang.",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "Chặn font từ xa",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "Vô hiệu hóa JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "Chặn các báo cáo CSP",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -352,7 +372,7 @@
     "description": "English: Apply changes"
   },
   "3pGroupDefault": {
-    "message": "Trên máy",
+    "message": "Dựng sẵn",
     "description": "Header for the uBlock filters section in 'Filter lists pane'"
   },
   "3pGroupAds": {
@@ -388,7 +408,7 @@
     "description": "The label for the checkbox used to import external filter lists"
   },
   "3pExternalListsHint": {
-    "message": "Một URL cho mỗi dòng. Dòng bắt đầu với &lsquo;!&rsquo;sẽ bị bỏ qua. Các URL không hợp lệ sẽ được bỏ qua âm thầm.",
+    "message": "Một URL cho mỗi dòng. Các URL không hợp lệ sẽ được bỏ qua âm thầm.",
     "description": "Short information about how to use the textarea to import external filter lists by URL"
   },
   "3pExternalListObsolete": {
@@ -396,7 +416,7 @@
     "description": "used as a tooltip for the out-of-date icon beside a list"
   },
   "3pLastUpdate": {
-    "message": "Cập nhật mới: {{ago}}.\nClick để cập nhập.",
+    "message": "Cập nhật lần cuối: {{ago}}.\nNhấn để cập nhật ngay.",
     "description": "used as a tooltip for the clock icon beside a list"
   },
   "3pUpdating": {
@@ -408,7 +428,7 @@
     "description": "used as a tooltip for error icon beside a list"
   },
   "1pFormatHint": {
-    "message": "Một bộ lọc trên mỗi dòng. Một bộ lọc có thể là một tên máy chủ đơn giản, hoặc một bộ lọc Adblock Plus tương thích. Những dòng bắt đầu với &lsquo;!&rsquo; sẽ bị bỏ qua.",
+    "message": "Một bộ lọc trên mỗi dòng. Một bộ lọc có thể là một tên máy chủ đơn thuần, hoặc một bộ lọc tương thích với Adblock Plus. Những dòng bắt đầu với <code>!<\/code> sẽ bị bỏ qua.",
     "description": "Short information about how to create custom filters"
   },
   "1pImport": {
@@ -476,7 +496,7 @@
     "description": "English: dynamic rule syntax and full documentation."
   },
   "whitelistPrompt": {
-    "message": "Danh sách tên các máy chủ mà uBlock₀ sẽ bị chặn. Một mục nhập trên mỗi dòng. Tên máy chủ không hợp lệ sẽ được tự động bỏ qua.",
+    "message": "Danh sách tên các máy chủ mà uBlock Origin sẽ bị chặn. Một mục nhập trên mỗi dòng. Tên máy chủ không hợp lệ sẽ được tự động bỏ qua.",
     "description": "English: An overview of the content of the dashboard's Whitelist pane."
   },
   "whitelistImport": {
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "Bộ lọc tĩnh {{filter}} phát hiện trong:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "Bộ lọc tĩnh <code>{{filter}}<\/code> phát hiện trong:",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "Bộ lọc tĩnh <code>{{filter}}<\/code> không thể tìm thấy trong bất kỳ danh sách bộ lọc hiện được bật nào",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "Thay đổi",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "Hỗ trợ",
@@ -748,7 +772,7 @@
     "description": "for generic 'Submit' buttons"
   },
   "genericApplyChanges": {
-    "message": "Lưu thay đổi",
+    "message": "Áp dụng các thay đổi",
     "description": "for generic 'Apply changes' buttons"
   },
   "genericRevert": {
@@ -763,6 +787,10 @@
     "message": "Tạm thời cho phép yếu tố đa phương tiện lớn",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "Nhập phím tắt",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "Đây là mục cuối",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/zh_CN/messages.json 1.17.0+dfsg-2/src/_locales/zh_CN/messages.json
--- 1.16.14+dfsg-1/src/_locales/zh_CN/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/zh_CN/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "一款高效的网络请求过滤工具，占用极低的内存和 CPU。",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — 控制面板",
@@ -31,6 +31,10 @@
     "message": "白名单",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "快捷键",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — 网络请求日志",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "关于",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — 资源查看器",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "高级设置",
     "description": "Title for the advanced settings page"
@@ -108,7 +116,7 @@
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoLargeMedia1": {
-    "message": "单击屏蔽此网站大型媒体元素",
+    "message": "单击以屏蔽此网站上较大的媒体元素",
     "description": "Tooltip for the no-large-media per-site switch"
   },
   "popupTipNoLargeMedia2": {
@@ -120,7 +128,7 @@
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering1": {
-    "message": "单击禁用此网站上的元素过滤",
+    "message": "单击禁用针对此网站的元素过滤规则",
     "description": "Tooltip for the no-cosmetic-filtering per-site switch"
   },
   "popupTipNoCosmeticFiltering2": {
@@ -139,6 +147,14 @@
     "message": "单击取消屏蔽此网站上的远程字体",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "单击禁用此网站的所有脚本",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "单击不再禁用此网站的所有脚本",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "全局规则：此列的规则作用于所有网站。",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "屏蔽远程字体",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "禁用 JavaScript",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "屏蔽 CSP 报告",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "静态规则 {{filter}} 被包含于:",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "静态规则 <code>{{filter}}<\/code> 被包含于：",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "无法在已启用的任何过滤规则列表中找到静态规则 <code>{{filter}}<\/code>",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
-    "message": "更新日志",
-    "description": "English: Change log"
+    "message": "变更日志",
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "支持网站",
@@ -763,6 +787,10 @@
     "message": "临时允许较大媒体元素",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "键入快捷键",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "此条目必须是最后一个",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/_locales/zh_TW/messages.json 1.17.0+dfsg-2/src/_locales/zh_TW/messages.json
--- 1.16.14+dfsg-1/src/_locales/zh_TW/messages.json	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/_locales/zh_TW/messages.json	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@
   },
   "extShortDesc": {
     "message": "終於出現了，一個高效率的阻擋器，使用不多的 CPU 及記憶體資源。",
-    "description": "this will be in the chrome web store: must be 132 characters or less"
+    "description": "this will be in the Chrome web store: must be 132 characters or less"
   },
   "dashboardName": {
     "message": "uBlock₀ — 控制台",
@@ -31,6 +31,10 @@
     "message": "白名單",
     "description": "appears as tab name in dashboard"
   },
+  "shortcutsPageName": {
+    "message": "快速鍵",
+    "description": "appears as tab name in dashboard"
+  },
   "statsPageName": {
     "message": "uBlock₀ — 連線請求記錄工具",
     "description": "Title for the logger window"
@@ -39,6 +43,10 @@
     "message": "關於",
     "description": "appears as tab name in dashboard"
   },
+  "assetViewerPageName": {
+    "message": "uBlock₀ — 資源檢視工具",
+    "description": "Title for the asset viewer page"
+  },
   "advancedSettingsPageName": {
     "message": "進階設定",
     "description": "Title for the advanced settings page"
@@ -139,6 +147,14 @@
     "message": "點擊以停止封鎖此網站的遠端字體",
     "description": "Tooltip for the no-remote-fonts per-site switch"
   },
+  "popupTipNoScripting1": {
+    "message": "點擊以禁用此網站的所有腳本",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
+  "popupTipNoScripting2": {
+    "message": "點擊以停止禁用此網站的所有腳本",
+    "description": "Tooltip for the no-scripting per-site switch"
+  },
   "popupTipGlobalRules": {
     "message": "全域規則：此欄位的規則會套用至所有網站。",
     "description": "Tooltip when hovering the top-most cell of the global-rules column."
@@ -291,6 +307,10 @@
     "message": "封鎖遠端字體",
     "description": ""
   },
+  "settingsNoScriptingPrompt": {
+    "message": "禁用網頁腳本",
+    "description": "The default state for the per-site no-scripting switch"
+  },
   "settingsNoCSPReportsPrompt": {
     "message": "封鎖 CSP 報告",
     "description": "background information: https:\/\/github.com\/gorhill\/uBlock\/issues\/3150"
@@ -584,16 +604,20 @@
     "description": "Used in the static filtering wizard"
   },
   "loggerStaticFilteringFinderSentence1": {
-    "message": "在下列清單中找到靜態過濾規則 {{filter}}：",
-    "description": "Below this sentence, the filter lists in which the filter was found"
+    "message": "在下列清單中找到靜態過濾規則 <code>{{filter}}<\/code>：",
+    "description": "Below this sentence, the filter list(s) in which the filter was found"
+  },
+  "loggerStaticFilteringFinderSentence2": {
+    "message": "無法在任何啟用的過濾清單中，找到靜態過濾規則 <code>{{filter}}<\/code>",
+    "description": "Message to show when a filter cannot be found in any filter lists"
   },
   "aboutChangelog": {
     "message": "更新日誌",
-    "description": "English: Change log"
+    "description": ""
   },
   "aboutWiki": {
     "message": "Wiki",
-    "description": "English: project' wiki on Github"
+    "description": "English: project' wiki on GitHub"
   },
   "aboutSupport": {
     "message": "支援網站",
@@ -763,6 +787,10 @@
     "message": "暫時允許大型媒體元素",
     "description": "A context menu entry, present when large media elements have been blocked on the current site"
   },
+  "shortcutCapturePlaceholder": {
+    "message": "鍵入快速鍵",
+    "description": "Placeholder string for input field used to capture a keyboard shortcut"
+  },
   "dummy": {
     "message": "此條目須為最後一個",
     "description": "so we dont need to deal with comma for last entry"
diff -pruN 1.16.14+dfsg-1/src/logger-ui.html 1.17.0+dfsg-2/src/logger-ui.html
--- 1.16.14+dfsg-1/src/logger-ui.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/logger-ui.html	2018-10-10 09:19:19.000000000 +0000
@@ -45,7 +45,7 @@
                 <span id="clean" class="button fa disabled">&#xf00d;</span>
                 <span id="clear" class="button fa disabled">&#xf12d;</span>
                 <span id="filterButton" class="button fa">&#xf0b0;</span><input id="filterInput" type="text" placeholder="logFilterPrompt">
-                <input id="maxEntries" type="text" size="5" title="logMaxEntriesTip">
+                <input id="maxEntries" type="text" size="5" data-i18n-title="logMaxEntriesTip">
             </div>
         </div>
         <div class="vscrollable">
@@ -106,13 +106,17 @@
     <div id="filterFinderDialog" class="modalDialog">
         <div class="dialog"></div>
     </div>
+    <ul id="filterFinderListEntry">
+        <li class="filterFinderListEntry">
+            <a href="asset-viewer.html?url=" target="_blank"></a>
+            <a href="" class="fa" target="_blank">&#xf015;</span></li>
+    </ul>
     <div id="cosmeticFilteringDialog" class="modalDialog">
         <div class="dialog">
             <textarea class="cosmeticFilters" value=""></textarea>
             <button id="createCosmeticFilters" class="custom important" type="button" data-i18n="pickerCreate"></button>
         </div>
     </div>
-    <div id="filterFinderDialogSentence1"><span><span></span><code></code><span></span></span></div>
 </div>
 
 <script src="js/vapi.js"></script>
diff -pruN 1.16.14+dfsg-1/src/popup.html 1.17.0+dfsg-2/src/popup.html
--- 1.16.14+dfsg-1/src/popup.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/popup.html	2018-10-10 09:19:19.000000000 +0000
@@ -38,6 +38,7 @@
             <span id="no-large-media" class="hnSwitch fa" role="button" aria-label tabindex="0">&#xf008;<span class="badge"></span><span><svg viewBox="0 0 20 20"><path d="M1,1 19,19M1,19 19,1" /></svg></span></span>
             <span id="no-cosmetic-filtering" class="hnSwitch fa" role="button" aria-label tabindex="0">&#xf070;<span class="badge"></span><span><svg viewBox="0 0 20 20"><path d="M1,1 19,19M1,19 19,1" /></svg></span></span>
             <span id="no-remote-fonts" class="hnSwitch fa" role="button" aria-label tabindex="0">&#xf031;<span class="badge"></span><span><svg viewBox="0 0 20 20"><path d="M1,1 19,19M1,19 19,1" /></svg></span></span>
+            <span id="no-scripting" class="hnSwitch fa" role="button" aria-label tabindex="0">&#xf121;<span class="badge"></span><span><svg viewBox="0 0 20 20"><path d="M1,1 19,19M1,19 19,1" /></svg></span></span>
         </div>
     </div><!-- DO NOT REMOVE --><div class="tooltipContainer">
         <div id="firewallContainer" class="minimized">
diff -pruN 1.16.14+dfsg-1/src/settings.html 1.17.0+dfsg-2/src/settings.html
--- 1.16.14+dfsg-1/src/settings.html	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/settings.html	2018-10-10 09:19:19.000000000 +0000
@@ -18,10 +18,10 @@
         <li><input id="tooltips-disabled" type="checkbox" data-setting-name="tooltipsDisabled" data-setting-type="bool"><label data-i18n="settingsTooltipsPrompt" for="tooltips-disabled"></label>
         <li><input id="color-blind-friendly" type="checkbox" data-setting-name="colorBlindFriendly" data-setting-type="bool"><label data-i18n="settingsColorBlindPrompt" for="color-blind-friendly"></label>
         <li><input id="cloud-storage-enabled" type="checkbox" data-setting-name="cloudStorageEnabled" data-setting-type="bool"><label data-i18n="settingsCloudStorageEnabledPrompt" for="cloud-storage-enabled"></label> <a class="fa info" href="https://github.com/gorhill/uBlock/wiki/Cloud-storage" target="_blank">&#xf05a;</a>
-        <li><input id="advanced-user-enabled" type="checkbox" data-setting-name="advancedUserEnabled" data-setting-type="bool"><label data-i18n="settingsAdvancedUserPrompt" for="advanced-user-enabled"></label> <a class="fa info" href="advanced-settings.html" title="settingsAdvancedUserSettings">&#xf085;</a>
+        <li><input id="advanced-user-enabled" type="checkbox" data-setting-name="advancedUserEnabled" data-setting-type="bool"><label data-i18n="settingsAdvancedUserPrompt" for="advanced-user-enabled"></label> <a class="fa info" href="advanced-settings.html" data-i18n-title="settingsAdvancedUserSettings">&#xf085;</a>
         <li class="subgroup"><span data-i18n="3pGroupPrivacy"></span><ul>
             <li><input id="prefetching-disabled" type="checkbox" data-setting-name="prefetchingDisabled" data-setting-type="bool"><label data-i18n="settingsPrefetchingDisabledPrompt" for="prefetching-disabled"></label> <a class="fa info" href="https://wikipedia.org/wiki/Link_prefetching#Issues_and_criticisms" target="_blank">&#xf05a;</a>
-            <li><input id="hyperlink-auditing-disabled" type="checkbox" data-setting-name="hyperlinkAuditingDisabled" data-setting-type="bool"><label data-i18n="settingsHyperlinkAuditingDisabledPrompt" for="hyperlink-auditing-disabled"></label> <a class="fa info important" href="https://github.com/gorhill/uBlock/wiki/Disable-hyperlink-auditing-beacon" target="_blank">&#xf05a;</a>
+            <li><input id="hyperlink-auditing-disabled" type="checkbox" data-setting-name="hyperlinkAuditingDisabled" data-setting-type="bool"><label data-i18n="settingsHyperlinkAuditingDisabledPrompt" for="hyperlink-auditing-disabled"></label> <a class="fa info important" href="https://github.com/gorhill/uBlock/wiki/Dashboard:-Settings#disable-hyperlink-auditing" target="_blank">&#xf05a;</a>
             <li><input id="webrtc-ipaddress-hidden" type="checkbox" data-setting-name="webrtcIPAddressHidden" data-setting-type="bool"><label data-i18n="settingsWebRTCIPAddressHiddenPrompt" for="webrtc-ipaddress-hidden"></label> <a class="fa info important" href="https://github.com/gorhill/uBlock/wiki/Prevent-WebRTC-from-leaking-local-IP-address" target="_blank">&#xf05a;</a>
             <li><input id="no-csp-reports" type="checkbox" data-setting-name="noCSPReports" data-setting-type="bool"><label data-i18n="settingsNoCSPReportsPrompt" for="no-csp-reports"></label> <a class="fa info" href="https://github.com/gorhill/uBlock/wiki/Dashboard:-Settings#block-csp-reports" target="_blank">&#xf05a;</a>
             </ul>
@@ -30,6 +30,7 @@
             <li><input id="no-cosmetic-filtering" type="checkbox" data-setting-name="noCosmeticFiltering" data-setting-type="bool"><label data-i18n="settingsNoCosmeticFilteringPrompt" for="no-cosmetic-filtering"></label> <a class="fa info" href="https://github.com/gorhill/uBlock/wiki/Per-site-switches#no-cosmetic-filtering" target="_blank">&#xf05a;</a>
             <li><input id="no-large-media" type="checkbox" data-setting-name="noLargeMedia" data-setting-type="bool"><label data-i18n="settingsNoLargeMediaPrompt" for="no-large-media"></label> <a class="fa info" href="https://github.com/gorhill/uBlock/wiki/Per-site-switches#no-large-media-elements" target="_blank">&#xf05a;</a>
             <li><input id="no-remote-fonts" type="checkbox" data-setting-name="noRemoteFonts" data-setting-type="bool"><label data-i18n="settingsNoRemoteFontsPrompt" for="no-remote-fonts"></label> <a class="fa info" href="https://github.com/gorhill/uBlock/wiki/Per-site-switches#no-remote-fonts" target="_blank">&#xf05a;</a>
+            <li><input id="no-scripting" type="checkbox" data-setting-name="noScripting" data-setting-type="bool"><label data-i18n="settingsNoScriptingPrompt" for="no-scripting"></label> <a class="fa info" href="https://github.com/gorhill/uBlock/wiki/Per-site-switches#no-scripting" target="_blank">&#xf05a;</a>
             </ul>
         </ul>
 
diff -pruN 1.16.14+dfsg-1/src/shortcuts.html 1.17.0+dfsg-2/src/shortcuts.html
--- 1.16.14+dfsg-1/src/shortcuts.html	1970-01-01 00:00:00.000000000 +0000
+++ 1.17.0+dfsg-2/src/shortcuts.html	2018-10-10 09:19:19.000000000 +0000
@@ -0,0 +1,37 @@
+<!DOCTYPE html>
+<html>
+<head>
+<meta charset="utf-8">
+<meta name="viewport" content="width=device-width, initial-scale=1">
+<title>uBlock Origin — Keyboard shortcuts</title>
+<link rel="stylesheet" type="text/css" href="css/common.css">
+<link rel="stylesheet" type="text/css" href="css/dashboard-common.css">
+<link rel="stylesheet" type="text/css" href="css/shortcuts.css">
+</head>
+
+<body>
+
+<div class="body">
+    <table class="commandEntries"><tbody></tbody></table>
+</div>
+
+<div id="templates" style="display: none;">
+    <table>
+        <tr class="commandEntry">
+            <td class="commandDesc">
+            <td class="commandShortcut">
+                <input type="text" placeholder="shortcutCapturePlaceholder">
+                <span class="commandReset">&times;</span>
+    </div>
+</div>
+
+<script src="js/vapi.js"></script>
+<script src="js/vapi-common.js"></script>
+<script src="js/vapi-client.js"></script>
+<script src="js/udom.js"></script>
+<script src="js/i18n.js"></script>
+<script src="js/dashboard-common.js"></script>
+<script src="js/shortcuts.js"></script>
+
+</body>
+</html>
diff -pruN 1.16.14+dfsg-1/src/web_accessible_resources/imported.txt 1.17.0+dfsg-2/src/web_accessible_resources/imported.txt
--- 1.16.14+dfsg-1/src/web_accessible_resources/imported.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/web_accessible_resources/imported.txt	2018-10-10 09:19:19.000000000 +0000
@@ -3,5 +3,8 @@
 # To ensure valid filename characters on any platform OS, the filenames are
 # constructed using the md5 hash of the respective tokens.
 #
+# The list below was generated using the Python script located at:
+# https://github.com/gorhill/uBlock/blob/master/tools/import-war.py
+#
 # DO NOT REMOVE THIS LINE >>>>>
 
diff -pruN 1.16.14+dfsg-1/src/web_accessible_resources/to-import.txt 1.17.0+dfsg-2/src/web_accessible_resources/to-import.txt
--- 1.16.14+dfsg-1/src/web_accessible_resources/to-import.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/src/web_accessible_resources/to-import.txt	2018-10-10 09:19:19.000000000 +0000
@@ -28,6 +28,7 @@
 3x2-transparent.png
 addthis.com/addthis_widget.js
 amazon-adsystem.com/aax2/amzn_ads.js
+ampproject.org/v0.js
 antiAdBlock.js
 d3pkae9owd2lcf.cloudfront.net/mb105.js
 disqus.com/embed.js
diff -pruN 1.16.14+dfsg-1/tools/import-crowdin.sh 1.17.0+dfsg-2/tools/import-crowdin.sh
--- 1.16.14+dfsg-1/tools/import-crowdin.sh	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/tools/import-crowdin.sh	2018-10-10 09:19:19.000000000 +0000
@@ -10,6 +10,7 @@ unzip -q ~/Downloads/ublock.zip -d $SRC
 
 DES=./src/_locales
 cp $SRC/ar/messages.json    $DES/ar/messages.json
+cp $SRC/az/messages.json    $DES/az/messages.json
 cp $SRC/bg/messages.json    $DES/bg/messages.json
 cp $SRC/bn/messages.json    $DES/bn/messages.json
 cp $SRC/ca/messages.json    $DES/ca/messages.json
@@ -58,6 +59,7 @@ cp $SRC/sr/messages.json    $DES/sr/mess
 cp $SRC/sv-SE/messages.json $DES/sv/messages.json
 cp $SRC/ta/messages.json    $DES/ta/messages.json
 cp $SRC/te/messages.json    $DES/te/messages.json
+cp $SRC/th/messages.json    $DES/th/messages.json
 cp $SRC/tr/messages.json    $DES/tr/messages.json
 cp $SRC/uk/messages.json    $DES/uk/messages.json
 cp $SRC/vi/messages.json    $DES/vi/messages.json
diff -pruN 1.16.14+dfsg-1/tools/import-war.py 1.17.0+dfsg-2/tools/import-war.py
--- 1.16.14+dfsg-1/tools/import-war.py	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/tools/import-war.py	2018-10-10 09:19:19.000000000 +0000
@@ -21,7 +21,7 @@ with open('./src/web_accessible_resource
             to_import.add(line)
 
 # https://github.com/gorhill/uBlock/issues/3636
-safe_exts = { 'javascript': 'js' }
+safe_exts = { 'javascript': 'js', 'plain': 'txt' }
 
 imported = []
 
diff -pruN 1.16.14+dfsg-1/tools/make-firefox.sh 1.17.0+dfsg-2/tools/make-firefox.sh
--- 1.16.14+dfsg-1/tools/make-firefox.sh	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/tools/make-firefox.sh	2018-10-10 09:19:19.000000000 +0000
@@ -40,8 +40,6 @@ rm $DES/js/vapi-usercss.pseudo.js
 
 # Firefox/webext-specific
 rm $DES/img/icon_128.png
-rm $DES/options_ui.html
-rm $DES/js/options_ui.js
 
 echo "*** uBlock0.firefox: Generating web accessible resources..."
 cp -R src/web_accessible_resources $DES/
diff -pruN 1.16.14+dfsg-1/tools/make-opera.sh 1.17.0+dfsg-2/tools/make-opera.sh
--- 1.16.14+dfsg-1/tools/make-opera.sh	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/tools/make-opera.sh	2018-10-10 09:19:19.000000000 +0000
@@ -37,12 +37,14 @@ rm $DES/js/vapi-usercss.pseudo.js
 
 # Opera-specific
 cp platform/opera/manifest.json $DES/
+rm -r $DES/_locales/az
 rm -r $DES/_locales/cv
 rm -r $DES/_locales/hi
 rm -r $DES/_locales/ka
 rm -r $DES/_locales/kk
 rm -r $DES/_locales/mr
 rm -r $DES/_locales/ta
+rm -r $DES/_locales/th
 
 echo "*** uBlock0.opera: Generating web accessible resources..."
 cp -R src/web_accessible_resources $DES/
diff -pruN 1.16.14+dfsg-1/tools/make-webext-meta.py 1.17.0+dfsg-2/tools/make-webext-meta.py
--- 1.16.14+dfsg-1/tools/make-webext-meta.py	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/tools/make-webext-meta.py	2018-10-10 09:19:19.000000000 +0000
@@ -17,7 +17,7 @@ with open(os.path.join(proj_dir, 'dist',
 
 webext_manifest = {}
 webext_manifest_file = os.path.join(build_dir, 'manifest.json')
-with open(webext_manifest_file) as f2:
+with open(webext_manifest_file, encoding='utf-8') as f2:
     webext_manifest = json.load(f2)
 
 webext_manifest['version'] = version
@@ -28,6 +28,6 @@ if match:
     webext_manifest['short_name'] += ' dev build'
     webext_manifest['browser_action']['default_title'] += ' dev build'
 
-with open(webext_manifest_file, 'w') as f2:
+with open(webext_manifest_file, mode='w', encoding='utf-8') as f2:
     json.dump(webext_manifest, f2, indent=2, separators=(',', ': '), sort_keys=True)
     f2.write('\n')
diff -pruN 1.16.14+dfsg-1/tools/make-webext.sh 1.17.0+dfsg-2/tools/make-webext.sh
--- 1.16.14+dfsg-1/tools/make-webext.sh	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/tools/make-webext.sh	2018-10-10 09:19:19.000000000 +0000
@@ -2,6 +2,9 @@
 #
 # This script assumes a linux environment
 
+# https://github.com/uBlockOrigin/uBlock-issues/issues/217
+set -e
+
 echo "*** uBlock0.webext: Creating web store package"
 echo "*** uBlock0.webext: Copying files"
 
@@ -45,7 +48,7 @@ cp -R src/web_accessible_resources $DES/
 python3 tools/import-war.py $DES/
 
 echo "*** uBlock0.webext: Generating meta..."
-python tools/make-webext-meta.py $DES/
+python3 tools/make-webext-meta.py $DES/
 
 if [ "$1" = all ]; then
     echo "*** uBlock0.webext: Creating package..."
diff -pruN 1.16.14+dfsg-1/uAssets/filters/annoyances.txt 1.17.0+dfsg-2/uAssets/filters/annoyances.txt
--- 1.16.14+dfsg-1/uAssets/filters/annoyances.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/annoyances.txt	2018-10-10 09:19:19.000000000 +0000
@@ -10,17 +10,18 @@
 buzzfeed.com##[id^="mod-newsletter-signup-"]
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7l54xr/metro_copyjacking_filter/
-metro.co.uk##script:inject(addEventListener-defuser.js, copy, BLACKLIST)
+metro.co.uk##+js(addEventListener-defuser.js, copy, BLACKLIST)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1069
-nerdmaldito.com##script:inject(remove-attr.js, onselectstart)
-nerdmaldito.com##script:inject(abort-on-property-write.js, document.onselectstart)
+nerdmaldito.com##+js(remove-attr.js, onselectstart)
+nerdmaldito.com##+js(abort-on-property-write.js, document.onselectstart)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1118
-portaleds.com##script:inject(remove-attr.js, oncontextmenu|onselectstart)
+portaleds.com##+js(remove-attr.js, oncontextmenu|onselectstart)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7imqbx/firefox_quantum_working_antiadblockkill
-libgen.io##script:inject(setTimeout-defuser.js, ad blocking)
+! https://github.com/NanoMeow/QuickReports/issues/74
+libgen.io##+js(setTimeout-defuser.js, (), 500)
 
 ! re-enabling of right-click functionality
 ! https://forums.lanik.us/viewtopic.php?f=62&t=36339
@@ -29,99 +30,101 @@ libgen.io##script:inject(setTimeout-defu
 ! https://github.com/uBlockOrigin/uAssets/issues/1163
 ! https://github.com/jspenguin2017/uBlockProtector/issues/789
 ! https://github.com/jspenguin2017/uBlockProtector/issues/790
-adbilty.me##script:inject(abort-on-property-write.js, clickIE)
-freewebscript.com##script:inject(abort-current-inline-script.js, $, contextmenu)
-linkurl.org##script:inject(abort-current-inline-script.js, $, contextmenu)
-linkurl.org,planetatvonlinehd.com##script:inject(abort-on-property-write.js, document.oncontextmenu)
-skidrowgamesreloaded.com##script:inject(abort-on-property-write.js, contentprotector)
-skidrowreloaded.com##script:inject(abort-on-property-write.js,  clickIE4)
+adbilty.me##+js(abort-on-property-write.js, clickIE)
+freewebscript.com##+js(abort-current-inline-script.js, $, contextmenu)
+linkurl.org##+js(abort-current-inline-script.js, $, contextmenu)
+linkurl.org,planetatvonlinehd.com##+js(abort-on-property-write.js, document.oncontextmenu)
+skidrowgamesreloaded.com##+js(abort-on-property-write.js, contentprotector)
+skidrowreloaded.com##+js(abort-on-property-write.js,  clickIE4)
 ! https://github.com/jspenguin2017/uBlockProtector/issues/228#issuecomment-311761121
-themeslide.com##script:inject(abort-current-inline-script.js, $, preventDefault)
-themeslide.com##script:inject(addEventListener-defuser.js, contextmenu, preventDefault)
+themeslide.com##+js(abort-current-inline-script.js, $, preventDefault)
+themeslide.com##+js(addEventListener-defuser.js, contextmenu, preventDefault)
 ! https://github.com/uBlockOrigin/uAssets/issues/1480
-mimaletadepeliculas.*##script:inject(abort-on-property-read.js, document.oncontextmenu)
+mimaletadepeliculas.*##+js(abort-on-property-read.js, document.oncontextmenu)
 ! https://www.reddit.com/r/uBlockOrigin/comments/82y5kn/how_to_block_this_nagger/
-radioaficion.com##script:inject(abort-on-property-write.js, clickExplorer)
+radioaficion.com##+js(abort-on-property-write.js, clickExplorer)
 ! https://github.com/uBlockOrigin/uAssets/issues/1746
-pelispedia.tv##script:inject(abort-on-property-write.js, document.oncontextmenu)
+pelispedia.tv##+js(abort-on-property-write.js, document.oncontextmenu)
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40386
-n4mo.org##script:inject(set-constant.js, N4M0Site.disableRightClick, false)
+n4mo.org##+js(set-constant.js, N4M0Site.disableRightClick, false)
 ! https://github.com/uBlockOrigin/uAssets/issues/860#issuecomment-379901645
-bestforkodi.com##script:inject(abort-on-property-write.js, disable_hot_keys)
-bestforkodi.com##script:inject(abort-on-property-write.js, nocontext)
+bestforkodi.com##+js(abort-on-property-write.js, disable_hot_keys)
+bestforkodi.com##+js(abort-on-property-write.js, nocontext)
 bestforkodi.com##body:style(-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;)
 ! https://github.com/reek/anti-adblock-killer/issues/3973
-opus.re##script:inject(abort-on-property-write.js, document.oncontextmenu)
+opus.re##+js(abort-on-property-write.js, document.oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/1574
-safelinku.net,sflink.cc##script:inject(abort-on-property-write.js, clickIE)
-safelinku.net,sflink.cc##script:inject(addEventListener-defuser.js, contextmenu, preventDefault)
-safelinku.net,sflink.cc##script:inject(addEventListener-defuser.js, keydown, disabledEvent)
+safelinku.net,sflink.cc##+js(abort-on-property-write.js, clickIE)
+safelinku.net,sflink.cc##+js(addEventListener-defuser.js, contextmenu, preventDefault)
+safelinku.net,sflink.cc##+js(addEventListener-defuser.js, keydown, disabledEvent)
 ! https://github.com/uBlockOrigin/uAssets/issues/2017
-toptech360.com##script:inject(abort-on-property-write.js, disableSelection)
-toptech360.com##script:inject(abort-current-inline-script.js, document.oncontextmenu)
+toptech360.com##+js(abort-on-property-write.js, disableSelection)
+toptech360.com##+js(abort-current-inline-script.js, document.oncontextmenu)
 ! https://github.com/jspenguin2017/uBlockProtector/issues/915
-crackllc.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
+crackllc.com##+js(abort-on-property-read.js, document.oncontextmenu)
 ! https://github.com/NanoAdblocker/NanoCore/issues/166
-cine.to##script:inject(abort-on-property-read.js, oncontextmenu)
+cine.to##+js(abort-on-property-read.js, oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/1001
-hdeuropix.*##script:inject(abort-on-property-write.js, clickIE)
+hdeuropix.*##+js(abort-on-property-write.js, clickIE)
 ! https://github.com/uBlockOrigin/uAssets/issues/2599
-likn.xyz##script:inject(abort-on-property-read.js, oncontextmenu)
+likn.xyz##+js(abort-on-property-read.js, oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/1819
-oload.*,openload.co,streamango.com##script:inject(abort-current-inline-script.js, $, contextmenu)
-rapidvideo.com##script:inject(addEventListener-defuser.js, contextmenu, preventDefault)
+oload.*,openload.co,streamango.com##+js(abort-current-inline-script.js, $, contextmenu)
+rapidvideo.com##+js(addEventListener-defuser.js, contextmenu, preventDefault)
 ! https://github.com/uBlockOrigin/uAssets/issues/708
-syriancivilwarmap.com##script:inject(addEventListener-defuser.js, contextmenu, preventDefault)
-syriancivilwarmap.com##script:inject(addEventListener-defuser.js, keydown, disabledEvent)
+syriancivilwarmap.com##+js(addEventListener-defuser.js, contextmenu, preventDefault)
+syriancivilwarmap.com##+js(addEventListener-defuser.js, keydown, disabledEvent)
 ! https://github.com/reek/anti-adblock-killer/issues/4116
-xtraordinaryfansub.com##script:inject(remove-attr.js, oncontextmenu)
+xtraordinaryfansub.com##+js(remove-attr.js, oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/2884
-djs-jpn.ga##script:inject(addEventListener-defuser.js, contextmenu, undefined)
+djs-jpn.ga##+js(addEventListener-defuser.js, contextmenu, undefined)
 ! https://github.com/uBlockOrigin/uAssets/issues/2897
-files-save.com##script:inject(abort-on-property-write.js, document.onselectstart)
-files-save.com##script:inject(remove-attr.js, oncontextmenu)
+files-save.com##+js(abort-on-property-write.js, document.onselectstart)
+files-save.com##+js(remove-attr.js, oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/2910
-desbloqueador.org##script:inject(abort-on-property-read.js, document.oncontextmenu)
+desbloqueador.org##+js(abort-on-property-read.js, document.oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/1808
-gr8forte.org##script:inject(abort-on-property-read.js, document.oncontextmenu)
+gr8forte.org##+js(abort-on-property-read.js, document.oncontextmenu)
 ! https://github.com/uBlockOrigin/uAssets/issues/2198#issuecomment-406059950
-megapastes.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
-megapastes.com##script:inject(abort-on-property-read.js, document.onselectstart)
+megapastes.com##+js(abort-on-property-read.js, document.oncontextmenu)
+megapastes.com##+js(abort-on-property-read.js, document.onselectstart)
+! https://github.com/uBlockOrigin/uAssets/issues/2981
+converthinks.xyz##+js(abort-on-property-read.js, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1150
-playstation.com##script:inject(abort-current-inline-script.js, $, PopupManager)
+playstation.com##+js(abort-current-inline-script.js, $, PopupManager)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1155
 comandotorrents.com###box
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1171
-weather.com##script:inject(abort-on-property-read.js, _sp_._networkListenerData)
+weather.com##+js(abort-on-property-read.js, _sp_._networkListenerData)
 
 ! enable right click on igram
-igram.im##script:inject(abort-on-property-write.js, document.oncontextmenu)
+igram.im##+js(abort-on-property-write.js, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1295
-chocolatey.org##script:inject(abort-current-inline-script.js, $, chocolatey_hide_cookies_notice)
+chocolatey.org##+js(abort-current-inline-script.js, $, chocolatey_hide_cookies_notice)
 chocolatey.org###package-disclaimer
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1647
 ! enable right click italiashare
-italiashare.*##script:inject(abort-current-inline-script.js, document.onkeydown)
-italiashare.*##script:inject(abort-current-inline-script.js, isCtrl, mousehandler)
-italiashare.*##script:inject(abort-on-property-write.js,  clickIE4)
-italiashare.*##script:inject(remove-attr.js, oncontextmenu)
+italiashare.*##+js(abort-current-inline-script.js, document.onkeydown)
+italiashare.*##+js(abort-current-inline-script.js, isCtrl, mousehandler)
+italiashare.*##+js(abort-on-property-write.js,  clickIE4)
+italiashare.*##+js(remove-attr.js, oncontextmenu)
 
 ! https://forums.lanik.us/viewtopic.php?p=135537#p135537
-nonpiusolo.com##script:inject(abort-current-inline-script.js, document.onkeydown)
-nonpiusolo.com##script:inject(remove-attr.js, oncontextmenu)
-nonpiusolo.com##script:inject(abort-current-inline-script.js, isCtrl, mousehandler)
-nonpiusolo.com##script:inject(abort-current-inline-script.js, message, clickIE4)
-nonpiusolo.com##script:inject(abort-on-property-write.js,  clickIE4)
-nonpiusolo.com##script:inject(abort-on-property-write.js, killCopy)
+nonpiusolo.com##+js(abort-current-inline-script.js, document.onkeydown)
+nonpiusolo.com##+js(remove-attr.js, oncontextmenu)
+nonpiusolo.com##+js(abort-current-inline-script.js, isCtrl, mousehandler)
+nonpiusolo.com##+js(abort-current-inline-script.js, message, clickIE4)
+nonpiusolo.com##+js(abort-on-property-write.js,  clickIE4)
+nonpiusolo.com##+js(abort-on-property-write.js, killCopy)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1343
 ! https://github.com/uBlockOrigin/uAssets/issues/1879
-agar.io##script:inject(abort-on-property-write.js, hasAdblock)
+agar.io##+js(abort-on-property-write.js, hasAdblock)
 @@||imasdk.googleapis.com/js/sdkloader/outstream.js$script,domain=agar.io
 agar.io###advertisement
 
@@ -129,12 +132,12 @@ agar.io###advertisement
 ||cdn.mangaeden.com/js/ad/advertisement.js$script,first-party,redirect=noopjs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1445
-wings.io##script:inject(abort-on-property-read.js, hasAdblock)
+wings.io##+js(abort-on-property-read.js, hasAdblock)
 wings.io###mpu-top
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1446
 brutal.io###mpu-top
-brutal.io##script:inject(set-constant.js, hasAdblock, false)
+brutal.io##+js(set-constant.js, hasAdblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1447
 starve.io###trevda
@@ -143,10 +146,10 @@ starve.io###trevda
 @@||doomed.io/scripts/ads.min.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1449
-glap.io##script:inject(set-constant.js, adsSupported, true)
+glap.io##+js(set-constant.js, adsSupported, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1454
-surviv.io##script:inject(abort-on-property-write.js, adBlockDetected)
+surviv.io##+js(abort-on-property-write.js, adBlockDetected)
 surviv.io###ad-block-main-med-rect
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1451
@@ -160,7 +163,7 @@ vanar.io##.frame-data
 @@||mope.io^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1457
-slain.io##script:inject(abort-current-inline-script.js, $, ablocked)
+slain.io##+js(abort-current-inline-script.js, $, ablocked)
 slain.io###ads
 
 ! https://github.com/uBlockOrigin/uAssets/issues/933
@@ -169,7 +172,7 @@ slain.io###ads
 ! https://github.com/jspenguin2017/uBlockProtector/issues/843
 ! https://github.com/jspenguin2017/uBlockProtector/issues/848
 ! https://github.com/jspenguin2017/uBlockProtector/issues/869
-dn.pt,jn.pt,tsf.pt##script:inject(abort-on-property-read.js, canRunAds)
+dn.pt,jn.pt,tsf.pt##+js(abort-on-property-read.js, canRunAds)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1532
 wikia.com##.featured-video__wrapper
@@ -186,12 +189,13 @@ spanishdict.com##.ad-wrapper
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1582
 ! https://github.com/jspenguin2017/uBlockProtector/issues/974
-newatlas.com,pgatour.com##script:inject(abort-on-property-read.js, admiral)
+! https://github.com/NanoMeow/QuickReports/issues/8
+newatlas.com,pgatour.com,sevenforums.com,theodysseyonline.com##+js(abort-on-property-read.js, admiral)
 
 ! https://github.com/gorhill/uBlock/issues/3532
 ! https://github.com/NanoAdblocker/NanoFilters/issues/94
 ! https://github.com/uBlockOrigin/uAssets/issues/2475
-cnet.com,techradar.com##script:inject(abort-on-property-read.js, _sp_._networkListenerData)
+cnet.com,techradar.com##+js(abort-on-property-read.js, _sp_._networkListenerData)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1615
 raiplay.it##.tagManagerError
@@ -204,28 +208,28 @@ w3schools.com##.trytopnav:style(top:0px
 w3schools.com###container:style(top:40px !important;)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/873
-bittube.me##script:inject(addEventListener-defuser.js, visibilitychange)
+bittube.me##+js(addEventListener-defuser.js, visibilitychange)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40128
 hgtv.com##.o-AdhesionNotifier
 
 ! whatnetworth remove killcopy
-whatnetworth.com##script:inject(abort-on-property-write.js, killCopy)
+whatnetworth.com##+js(abort-on-property-write.js, killCopy)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1712
-oo-software.com##script:inject(setTimeout-defuser.js, iframe, 5000)
+oo-software.com##+js(setTimeout-defuser.js, iframe, 5000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1727
 jigidi.com##body:style(padding-right: 0px !important)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1734
-marapcana.*##script:inject(abort-current-inline-script.js, document.oncontextmenu)
+marapcana.*##+js(abort-current-inline-script.js, document.oncontextmenu)
 
 ! https://forums.lanik.us/viewtopic.php?p=133969#p133969
 foodnetwork.com##.o-AdhesionNotifier
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1788
-skip.li##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+skip.li##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 skip.li##.chat-mini-block
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1775
@@ -233,9 +237,9 @@ lequipe.fr##.ab-full-wrapper
 lequipe.fr##[rel="stylesheet"][type="text/css"] + * + DIV > DIV:first-child
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1870
-idsly.bid##script:inject(abort-on-property-write.js, clickIE)
-idsly.bid##script:inject(addEventListener-defuser.js, contextmenu, preventDefault)
-idsly.bid##script:inject(addEventListener-defuser.js, keydown, disabledEvent)
+idsly.bid##+js(abort-on-property-write.js, clickIE)
+idsly.bid##+js(addEventListener-defuser.js, contextmenu, preventDefault)
+idsly.bid##+js(addEventListener-defuser.js, keydown, disabledEvent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1881
 iptvforever.com###adBlock
@@ -246,17 +250,18 @@ unileverfoodsolutions.*##body:style(over
 unileverfoodsolutions.it##.lightbox__overlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1917
-dragcave.net##script:inject(setTimeout-defuser.js, adsbygoogle, 2000)
+dragcave.net##+js(setTimeout-defuser.js, adsbygoogle, 2000)
 
 ! https://forums.lanik.us/viewtopic.php?f=91&t=40459
-impots.gouv.fr##script:inject(set-constant.js, PASSER_videoPAS_apres, 0)
+impots.gouv.fr##+js(set-constant.js, PASSER_videoPAS_apres, 0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1978
 @@||publico.pt^$generichide
+publico.pt##.site-message--cookies
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1976
-gay69.stream##script:inject(abort-on-property-read.js, disableSelection)
-gay69.stream##script:inject(abort-on-property-write.js, nocontext)
+gay69.stream##+js(abort-on-property-read.js, disableSelection)
+gay69.stream##+js(abort-on-property-write.js, nocontext)
 gay69.stream##.unselectable:style(-moz-user-select: text !important; khtml-user-select: text !important; -webkit-user-select: text !important;)
 
 ! techonthenet warning anti adb
@@ -270,20 +275,19 @@ techonthenet.com##.hidden-print.row
 ! https://github.com/uBlockOrigin/uAssets/issues/2044
 pinterest.*##[data-test-giftwrap]
 pinterest.*##.FullPageModal__scroller
-pinterest.*##div[style$="z-index: 1000;"]
 pinterest.*###desktopWrapper:style(position: static !important;)
 pinterest.*##.gridCentered:style(margin-top: auto !important;)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2093
-fxporn69.*##script:inject(abort-on-property-write.js, document.oncontextmenu)
-fxporn69.*##script:inject(abort-current-inline-script.js, document.onkeydown)
-fxporn69.*##script:inject(addEventListener-defuser.js, /^(click|keydown|)/, preventDefault)
+fxporn69.*##+js(abort-on-property-write.js, document.oncontextmenu)
+fxporn69.*##+js(abort-current-inline-script.js, document.onkeydown)
+fxporn69.*##+js(addEventListener-defuser.js, /^(click|keydown|)/, preventDefault)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40602
 @@||html-online.com^$generichide
 
 ! right click pinoybay
-pinoybay.ch##script:inject(abort-current-inline-script.js, document.oncontextmenu)
+pinoybay.ch##+js(abort-current-inline-script.js, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2113
 gamepedia.com###bodyContent:style(width:100%!important)
@@ -292,40 +296,40 @@ gamepedia.com###bodyContent:style(width:
 @@||socialblade.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?p=136237#p136237
-mujeres-desnudas.com##script:inject(abort-on-property-write.js, document.oncontextmenu)
-mujeres-desnudas.com##script:inject(abort-on-property-write.js, document.onkeydown)
-mujeres-desnudas.com##script:inject(abort-on-property-read.js, disableSelection)
+mujeres-desnudas.com##+js(abort-on-property-write.js, document.oncontextmenu)
+mujeres-desnudas.com##+js(abort-on-property-write.js, document.onkeydown)
+mujeres-desnudas.com##+js(abort-on-property-read.js, disableSelection)
 
 ! https://forums.lanik.us/viewtopic.php?p=136255#p136255
-m4ufree.com##script:inject(abort-on-property-write.js, document.oncontextmenu)
+m4ufree.com##+js(abort-on-property-write.js, document.oncontextmenu)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/63
-sportsnet.ca##script:inject(abort-on-property-read.js, uxGuid)
+sportsnet.ca##+js(abort-on-property-read.js, uxGuid)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/927
-new.torrnado.win##script:inject(set-constant.js, block, false)
+new.torrnado.win##+js(set-constant.js, block, false)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/65
-ekb.dk.ru##script:inject(setTimeout-defuser.js, myBox, 3000)
+ekb.dk.ru##+js(setTimeout-defuser.js, myBox, 3000)
 
 ! right click https://forums.lanik.us/viewtopic.php?f=62&t=40730
-shrinkpe.com,shrnk.xyz,shrten.xyz##script:inject(abort-current-inline-script.js, $, contextmenu)
-shrinkpe.com,shrnk.xyz,shrten.xyz##script:inject(abort-on-property-read.js, document.onkeydown)
+shrinkpe.com,shrnk.xyz,shrten.xyz##+js(abort-current-inline-script.js, $, contextmenu)
+shrinkpe.com,shrnk.xyz,shrten.xyz##+js(abort-on-property-read.js, document.onkeydown)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/72
-relyonhorror.com##script:inject(setTimeout-defuser.js, checkAdStatus, 500)
+relyonhorror.com##+js(setTimeout-defuser.js, checkAdStatus, 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2269
-globalnews.ca##script:inject(set-constant.js, GNCA_Ad_Support, true)
+globalnews.ca##+js(set-constant.js, GNCA_Ad_Support, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2299
 androidrepublic.org##.samSupportUs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2343
-evworld.com##script:inject(setTimeout-defuser.js, ads, 2000)
+evworld.com##+js(setTimeout-defuser.js, ads, 2000)
 
 ! right click / other popup https://github.com/uBlockOrigin/uAssets/issues/2348
-yfilmy.sk##script:inject(abort-current-inline-script.js, document.oncontextmenu)
+yfilmy.sk##+js(abort-current-inline-script.js, document.oncontextmenu)
 yfilmy.sk###interVeil
 yfilmy.sk###interContainer
 
@@ -334,7 +338,7 @@ yfilmy.sk###interContainer
 windguru.cz##.reklama
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/87
-realcleardefense.com##script:inject(set-constant.js, warning_widget.check_ad_block_status, noopFunc)
+realcleardefense.com##+js(set-constant.js, warning_widget.check_ad_block_status, noopFunc)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/947
 @@||myfavoritecontent.com/js/ads.js$script,first-party
@@ -352,13 +356,13 @@ flickr.com##.spaceball
 
 ! evz.ro right click - select
 evz.ro##body:style(-moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important;)
-evz.ro##script:inject(abort-current-inline-script.js, $, contextmenu)
+evz.ro##+js(abort-current-inline-script.js, $, contextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2486
 ||g17media.com^$script,redirect=noopjs,domain=lcpdfr.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2513 re-enable select
-mcoc-guide.*##script:inject(abort-current-inline-script.js, disableselect, reEnable)
+mcoc-guide.*##+js(abort-current-inline-script.js, disableselect, reEnable)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/104
 xxlmag.com##.brave-bling-overlay
@@ -369,25 +373,25 @@ mydramalist.com##.spnsr-wrapper
 
 ! right-click, select, copy https://github.com/uBlockOrigin/uAssets/issues/2554
 thefirmwareclub.com##body:style(-moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; khtml-user-select: text !important;)
-thefirmwareclub.com##script:inject(abort-on-property-read.js, contentprotector)
-thefirmwareclub.com##script:inject(addEventListener-defuser.js, contextmenu, preventDefault)
+thefirmwareclub.com##+js(abort-on-property-read.js, contentprotector)
+thefirmwareclub.com##+js(addEventListener-defuser.js, contextmenu, preventDefault)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8ryiv5/how_do_i_disable_the_adblock_extensions_will/
-readcomiconline.to##script:inject(set-constant.js, alb, false)
+readcomiconline.to##+js(set-constant.js, alb, false)
 
 ! remove anti-adblock nag from mangareader.net
 mangareader.net###warning
 
 ! https://forums.lanik.us/viewtopic.php?p=138269#p138269
-swatchseries.to##script:inject(abort-on-property-read.js, setAdblockerCookie)
+swatchseries.to##+js(abort-on-property-read.js, setAdblockerCookie)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2715
 lanjutkeun.*##body:style(-moz-user-select: text !important;)
-lanjutkeun.*##script:inject(remove-attr.js, oncontextmenu)
-lanjutkeun.*##script:inject(remove-attr.js, ondragstart)
-lanjutkeun.*##script:inject(remove-attr.js, onkeydown)
-lanjutkeun.*##script:inject(remove-attr.js, onmousedown)
-lanjutkeun.*##script:inject(remove-attr.js, onselectstart)
+lanjutkeun.*##+js(remove-attr.js, oncontextmenu)
+lanjutkeun.*##+js(remove-attr.js, ondragstart)
+lanjutkeun.*##+js(remove-attr.js, onkeydown)
+lanjutkeun.*##+js(remove-attr.js, onmousedown)
+lanjutkeun.*##+js(remove-attr.js, onselectstart)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/118
 kimcartoon.me##.top_page_alert
@@ -396,15 +400,15 @@ kimcartoon.me##.top_page_alert
 @@||cardgames.io^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2734
-mc-mod.net##script:inject(abort-current-inline-script.js, document.oncontextmenu)
-mc-mod.net##script:inject(abort-current-inline-script.js, image_save_msg, key)
+mc-mod.net##+js(abort-current-inline-script.js, document.oncontextmenu)
+mc-mod.net##+js(abort-current-inline-script.js, image_save_msg, key)
 mc-mod.net##body:style(-webkit-touch-callout: default !important; -webkit-user-select: text !important;-moz-user-select: text !important;-ms-user-select: text !important;user-select: text !important;)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2737
-listegaleri.com##script:inject(remove-attr.js, oncontextmenu|onselectstart|ondragstart)
+listegaleri.com##+js(remove-attr.js, oncontextmenu|onselectstart|ondragstart)
 
 ! https://www.ghacks.net/2018/07/02/windows-10-installing-unwanted-store-apps/#comment-4383524
-ghacks.net##script:inject(abort-current-inline-script.js, jQuery, aba_detector)
+ghacks.net##+js(abort-current-inline-script.js, jQuery, aba_detector)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41150
 ||api.live365.com/geocheck
@@ -416,39 +420,39 @@ phillymag.com##.gtp-ad
 files.minecraftforge.net##.ad-container
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/965
-multifilemirror.com##script:inject(abort-current-inline-script.js, $, 'hidden')
+multifilemirror.com##+js(abort-current-inline-script.js, $, 'hidden')
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2825
-gisclub.tv##script:inject(abort-on-property-read.js, ads)
+gisclub.tv##+js(abort-on-property-read.js, ads)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/127
-xclient.info##script:inject(set-constant.js, killads, true)
+xclient.info##+js(set-constant.js, killads, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2854
-resourcepack.net##script:inject(abort-on-property-write.js, clickIE4)
-resourcepack.net##script:inject(abort-on-property-write.js, disableSelection)
+resourcepack.net##+js(abort-on-property-write.js, clickIE4)
+resourcepack.net##+js(abort-on-property-write.js, disableSelection)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/132
 ||readthedocs.org/api/v2/sustainability/*$script,redirect=noopjs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2893
-serial-key.com##script:inject(abort-on-property-read.js, disableSelection)
-serial-key.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
+serial-key.com##+js(abort-on-property-read.js, disableSelection)
+serial-key.com##+js(abort-on-property-read.js, document.oncontextmenu)
 serial-key.com##.unselectable:style(-moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; khtml-user-select: text !important; -webkit-touch-callout: default !important; -webkit-user-select: text !important;)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2903
-programegratuitepc.com##script:inject(abort-on-property-read.js, disableSelection)
-programegratuitepc.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
+programegratuitepc.com##+js(abort-on-property-read.js, disableSelection)
+programegratuitepc.com##+js(abort-on-property-read.js, document.oncontextmenu)
 programegratuitepc.com##.unselectable:style(-moz-user-select: text !important; -ms-user-select: text !important; user-select: text !important; khtml-user-select: text !important; -webkit-touch-callout: default !important; -webkit-user-select: text !important;)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/134
 tv.mademyday.com##.blnotice
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/968
-iosgods.com##script:inject(abort-on-property-write.js, CheckAdLoad)
+iosgods.com##+js(abort-on-property-write.js, CheckAdLoad)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2922
-lffl.org##script:inject(abort-on-property-read.js, anOptions)
+lffl.org##+js(abort-on-property-read.js, anOptions)
 
 ! phys.org anti-adblock nag
 @@||phys.org^$generichide
@@ -460,73 +464,74 @@ lffl.org##script:inject(abort-on-propert
 minijuegos.com###adBlockDisclaimer
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2955
-linkerpt.com##script:inject(abort-current-inline-script.js, jQuery, right_click_restriction)
-linkerpt.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
+linkerpt.com##+js(abort-current-inline-script.js, jQuery, right_click_restriction)
+linkerpt.com##+js(abort-on-property-read.js, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2967
-fmlawkers.club##script:inject(abort-on-property-write.js, document.oncontextmenu)
-fmlawkers.club##script:inject(abort-current-inline-script.js, addEventListener, document.keypress)
+fmlawkers.club##+js(abort-on-property-write.js, document.oncontextmenu)
+fmlawkers.club##+js(abort-current-inline-script.js, addEventListener, document.keypress)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2971
 ||senmanga.com/img/block_*.png$image,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2972
-mimaletamusical.*##script:inject(abort-on-property-write.js, document.oncontextmenu)
+mimaletamusical.*##+js(abort-on-property-write.js, document.oncontextmenu)
 mimaletamusical.*###cboxOverlay
 mimaletamusical.*###colorbox
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2988
-hoquangdai.com##script:inject(abort-on-property-write.js, disableEnterKey)
-hoquangdai.com##script:inject(abort-current-inline-script.js, document.ondragstart, document.oncontextmenu)
+hoquangdai.com##+js(abort-on-property-write.js, disableEnterKey)
+hoquangdai.com##+js(abort-current-inline-script.js, document.ondragstart, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3006
-gardenista.com##script:inject(set-constant.js, adsAreBlocked, false)
+gardenista.com##+js(set-constant.js, adsAreBlocked, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2992
-fmhikayeleri.com##script:inject(abort-on-property-read.js, disableSelection)
-fmhikayeleri.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
+fmhikayeleri.com##+js(abort-on-property-read.js, disableSelection)
+fmhikayeleri.com##+js(abort-on-property-read.js, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3024
-opensubtitles.org##script:inject(set-constant.js, displayed, false)
+opensubtitles.org##+js(set-constant.js, displayed, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3032
 experts-exchange.com###topHeaderBannerWrap
 experts-exchange.com##.navigationWrapper:style(top: 0px !important;)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/972
-emurom.net##script:inject(set-constant.js, adblock, 1)
+emurom.net##+js(set-constant.js, adblock, 1)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/973
-9xbuddy.app##script:inject(setTimeout-defuser.js, isDetected, 2000)
+9xbuddy.app##+js(setTimeout-defuser.js, isDetected, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3062
 ||theoutplay.com/loader.js$script,domain=tomshw.it
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41296
-digitalsynopsis.com##script:inject(abort-on-property-read.js, disableSelection)
-digitalsynopsis.com##script:inject(abort-on-property-read.js, document.oncontextmenu)
+digitalsynopsis.com##+js(abort-on-property-read.js, disableSelection)
+digitalsynopsis.com##+js(abort-on-property-read.js, document.oncontextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2805
 crackwatch.com##.ab.row
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41301
-filefox.cc##script:inject(addEventListener-defuser.js, blur)
+filefox.cc##+js(addEventListener-defuser.js, blur)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/975
 @@||s.aolcdn.com/ads/adswrappermsni.js$script,domain=outlook.live.com
 @@||acdn.adnxs.com/$script,domain=outlook.live.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3096 right click
-visionias.net##script:inject(abort-current-inline-script.js, $, contextmenu)
+visionias.net##+js(abort-current-inline-script.js, $, contextmenu)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2546
-99bitcoins.com##script:inject(setTimeout-defuser.js, (), overlay)
+99bitcoins.com##+js(setTimeout-defuser.js, ThriveGlobal)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/156
-punto-informatico.it##script:inject(abort-on-property-read.js, blazemedia_adBlock)
+punto-informatico.it##+js(abort-on-property-read.js, blazemedia_adBlock)
 
 ! https://github.com/uBlockOrigin/uAssets/pull/3117
 */lib.ucopy/ucopy.js$script,domain=uol.com.br
+uol.com.br##+js(addEventListener-defuser.js, copy)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3115
 @@||umterps.com^$generichide
@@ -537,10 +542,221 @@ cars.com##.dialog
 cars.com##body:style(overflow: auto !important; position: initial !important;)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/161
-wyff4.com##script:inject(setTimeout-defuser.js, [native code], 500)
-
-! https://github.com/uBlockOrigin/uAssets/issues/3131
-smotret-anime.ru##script:inject(setTimeout-defuser.js, HTMLAudioElement, 350)
+wyff4.com##+js(setTimeout-defuser.js, [native code], 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3155
 @@||androgalaxy.in/wp-content/*/js/ads.js$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/2672
+peliculas24.me##+js(abort-on-property-write.js, disableSelection)
+peliculas24.me##+js(addEventListener-defuser.js, contextmenu)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3199
+warringtonguardian.co.uk##+js(abort-on-property-write.js, _sp_)
+
+! right click, select, copy cristoiublog.ro
+cristoiublog.ro##+js(abort-on-property-write.js, document.oncontextmenu)
+cristoiublog.ro##+js(abort-on-property-write.js, document.onselectstart)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3204
+myfxbook.com##+js(set-constant.js, adBlockerDetect, 1)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3220
+planete-205.com###nonono
+
+! https://github.com/uBlockOrigin/uAssets/issues/3221
+@@||vide-greniers.org^$generichide
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=vide-greniers.org
+
+! https://github.com/uBlockOrigin/uAssets/issues/3216
+@@||ps3-infos.fr^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3230
+@@||arammcfly.com^$generichide
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/168
+tweakers.net##.notificationsContainer:has-text(whitelisten of beleef Tweakers)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3318
+hqq.tv##+js(setTimeout-defuser.js, check, 100)
+
+! https://github.com/NanoMeow/QuickReports/issues/29
+zerohedge.com###abd-banner
+
+! https://github.com/NanoMeow/QuickReports/issues/30
+firstonetv.net##+js(setTimeout-defuser.js, fadeIn, 3000)
+
+! https://github.com/NanoMeow/QuickReports/issues/32
+@@||motherjones.com/*/ads.js$script,first-party
+
+! https://github.com/reek/anti-adblock-killer/issues/4147
+@@||racefans.net^$generichide
+racefans.net##.textwidget
+
+! https://github.com/uBlockOrigin/uAssets/issues/3319
+eca-anime.net##+js(abort-current-inline-script.js, document.getElementById, advert-tester)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3325
+gazetadopovo.com.br##+js(abort-on-property-write.js, addLink)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3324
+filmgourmand.com##*:style( -moz-user-select: text !important; -khtml-user-select: text !important; user-select: text !important;)
+
+! https://github.com/uBlockOrigin/uAssets/issues/854
+foodnetwork.com##.o-AdhesionNotifier
+
+! https://github.com/uBlockOrigin/uAssets/issues/3372
+gaypornmasters.com##+js(abort-on-property-read.js, document.oncontextmenu)
+
+! https://github.com/NanoMeow/QuickReports/issues/47
+gearside.com##+js(set-constant.js, nebula.session.flags.adblock, undefined)
+
+! https://github.com/uBlockOrigin/uAssets/issues/124#issuecomment-417767157
+congressoemfoco.uol.com.br##+js(abort-on-property-write.js, anOptions)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3380
+braziljournal.com##+js(abort-current-inline-script.js, $, copyHolder)
+braziljournal.com##body:style(overflow: auto !important;)
+braziljournal.com##.in.fade
+
+! https://github.com/uBlockOrigin/uAssets/issues/3382
+emol.com##+js(abort-on-property-read.js, addLink)
+
+! https://forums.lanik.us/viewtopic.php?p=140374#p140374
+youtube.com###dismissable:has-text(Recommended for you)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41597
+blog.naver.com##+js(abort-on-property-write.js, rightClickOpenYn)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3411
+@@||radioline.co/*/ad$first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/2938#issuecomment-419927582
+voirfilms.ws##+js(abort-on-property-read.js, document.oncontextmenu)
+voirfilms.ws##+js(abort-on-property-read.js, document.onselectstart)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3278#issuecomment-421038747
+@@||nyt.com/ads/google/adsbygoogle.js$script,domain=nytimes.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/2682#issuecomment-421085748
+@@||xiaomitoday.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/2235#issuecomment-421114325
+mixmods.com.br##+js(setTimeout-defuser.js, showAbove, 3000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3458
+gecce.com.tr##+js(set-constant.js, fakeadloaded, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3466
+unknowncheats.me##+js(abort-current-inline-script.js, $, undefined)
+||unknowncheats.me/forum/images/*ban$image
+
+! https://github.com/uBlockOrigin/uAssets/issues/3489
+columbiaspectator.com##+js(setTimeout-defuser.js, ads, 2000)
+
+! https://github.com/NanoMeow/QuickReports/issues/97
+knshow.com##+js(abort-on-property-read.js, document.oncontextmenu)
+knshow.com##+js(addEventListener-defuser.js, /^(?:contextmenu|copy|selectstart)$/)
+@@||knshow.com^$generichide
+knshow.com##.adsbygoogle
+knshow.com##div[id^="div-gpt-ad-"]
+
+! https://github.com/uBlockOrigin/uAssets/issues/3510
+lequipe.fr###cookiesLequipe
+
+! https://github.com/uBlockOrigin/uAssets/issues/3514
+classicreload.com###sliding-popup.sliding-popup-bottom
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9gr8tv/force_allow_text_copy/
+jusbrasil.com.br##+js(addEventListener-defuser.js, /^(?:contextmenu|copy)$/, preventDefault)
+
+! https://github.com/NanoMeow/QuickReports/issues/108
+descarga-animex.*##+js(addEventListener-defuser.js, /^(?:contextmenu|keydown)$/)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3447#issuecomment-422715065
+deezer.com##+js(abort-on-property-read.js, onbeforeunload)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3535
+tvtropes.org##+js(set-constant.js, valid_user, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3541
+gazetaonline.com.br##+js(addEventListener-defuser.js, copy)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3545
+springfieldspringfield.co.uk##+js(abort-on-property-read.js, addLink)
+
+! https://adblockplus.org/forum/viewtopic.php?f=10&t=59511&p=180294#p180294
+nu.nl##+js(set-constant.js, is_adblocker_in_use, false)
+
+! https://github.com/NanoMeow/QuickReports/issues/117
+@@||justtrucks.com.au^$generichide
+justtrucks.com.au##+js(set-constant.js, Drupal.behaviors.detectAdblockers, noopFunc)
+@@||justtrucks.com.au^$image
+
+! https://github.com/ryanbr/fanboy-adblock/issues/554
+omr.com###dsgvoModal
+omr.com##.modal-backdrop
+omr.com##body:style(overflow: auto !important;)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3553
+indiatimes.com##+js(addEventListener-defuser.js, copy)
+
+! https://github.com/uBlockOrigin/uAssets/issues/911#issuecomment-423771909
+||adsrt.com/assets/js/particles.min.js$script
+
+! https://github.com/uBlockOrigin/uAssets/issues/3591
+nulled.life##+js(remove-attr.js, oncontextmenu)
+
+! https://github.com/jspenguin2017/uBlockProtector/issues/992
+mediafire.com##+js(abort-current-inline-script.js, document.getElementById, adblocker)
+mediafire.com##+js(setTimeout-defuser.js, scan, 500)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3599
+ebc.com.br##+js(remove-attr.js, oncopy)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3232#issuecomment-425087069
+londynek.net##+js(set-constant.js, canRunAds, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3614
+||tours.fr/include/js/tagAnalyticsCNIL.php$script,first-party
+
+! https://github.com/NanoMeow/QuickReports/issues/142
+flyertalk.com##+js(abort-current-inline-script.js, $, AdBlock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3620
+dicionariocriativo.com.br##+js(abort-on-property-read.js, getSelection)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41811
+artsy.net##+js(addEventListener-defuser.js, scroll)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3621
+searchenginewatch.com##+js(abort-current-inline-script.js, jQuery, #sign-up-popup)
+
+! popular on FB
+facebook.com,facebookcorewwwi.onion##.fbUserStory:has-text(Popular Across Facebook)
+facebook.com,facebookcorewwwi.onion##.userContentWrapper:has-text(Popular Across Facebook)
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/189
+@@||programiz.com^$xmlhttprequest,first-party
+
+! right click, select, copy => http://www.oggiscuola.com/web/2018/09/22/alzarsi-in-piedi-quando-entra-il-professore-e-una-forma-di-saluto-che-va-recuperata/
+oggiscuola.com##+js(abort-current-inline-script.js, jQuery, overlay)
+||oggiscuola.com^$csp=style-src 'self' *
+||oggiscuola.com/*/banner$image
+
+! https://github.com/uBlockOrigin/uAssets/issues/3660
+odiario.com##+js(addEventListener-defuser.js, copy)
+
+! select, copy cittadinanza.biz | glistranieri.it
+cittadinanza.biz,glistranieri.it##+js(set-constant.js, disableSelection, noopFunc)
+cittadinanza.biz,glistranieri.it##+js(abort-on-property-write.js, document.oncontextmenu)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3668
+cnbeta.com##+js(set-constant.js, JB, noopFunc)
+
+! https://github.com/NanoMeow/QuickReports/issues/179
+esercizinglese.com,pelisfull.tv##+js(abort-on-property-write.js, adBlockDetected)
+masternodes.pro###adblocker
+
+! https://github.com/NanoMeow/QuickReports/issues/182
+ancient.eu##+js(set-constant.js, ADBdetected, noopFunc)
diff -pruN 1.16.14+dfsg-1/uAssets/filters/badware.txt 1.17.0+dfsg-2/uAssets/filters/badware.txt
--- 1.16.14+dfsg-1/uAssets/filters/badware.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/badware.txt	2018-10-10 09:19:19.000000000 +0000
@@ -76,9 +76,12 @@ chip.de##[href^="javascript:DownloadStar
 ||securetoolext.com^$document
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/99
-douploads.com,uplod.*##script:inject(remove-attr.js, checked, #chkIsAdd)
+douploads.com,upload.ac##+js(remove-attr.js, checked, #chkIsAdd)
 
-! scammy site ublock.org
+! https://github.com/HandyUserscripts/AntiAdware/issues/52
+upload4earn.org##+js(remove-attr.js, checked)
+
+! https://github.com/gorhill/uBlock/wiki/Badware-risks#ublockorg
 ||ublock.org^$document
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3060
diff -pruN 1.16.14+dfsg-1/uAssets/filters/filters.txt 1.17.0+dfsg-2/uAssets/filters/filters.txt
--- 1.16.14+dfsg-1/uAssets/filters/filters.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/filters.txt	2018-10-10 09:19:19.000000000 +0000
@@ -7,12 +7,12 @@
 ! GitHub issues: https://github.com/uBlockOrigin/uAssets/issues
 ! GitHub pull requests: https://github.com/uBlockOrigin/uAssets/pulls
 
-# https://github.com/chrisaljoudi/uBlock/issues/57
-# https://github.com/chrisaljoudi/uBlock/issues/98
-# New filter class: entity filters, where entity = domain minus public suffix
-# The following filters were taken out of EasyList and given an entity name,
-# which makes them candidates to be injected early in the page.
-# Last updated: 2017-10-10
+! https://github.com/chrisaljoudi/uBlock/issues/57
+! https://github.com/chrisaljoudi/uBlock/issues/98
+! New filter class: entity filters, where entity = domain minus public suffix
+! The following filters were taken out of EasyList and given an entity name,
+! which makes them candidates to be injected early in the page.
+! Last updated: 2017-10-10
 google.*###center_col > #\5f Emc
 google.*###center_col > #main > .dfrd > .mnr-c > .c._oc._zs
 google.*###center_col > #res > #topstuff + #search > div > #ires > #rso > #flun
@@ -73,9 +73,16 @@ google.*##.widget-pane-section-result[da
 ! https://www.reddit.com/r/uBlockOrigin/comments/8xg7p0/ublock_origin_is_not_blocking_google_sponsored/
 google.*##.ads-ad
 
-# https://github.com/chrisaljoudi/uBlock/issues/381
+! https://github.com/chrisaljoudi/uBlock/issues/381
 google.*###sqh
 
+! https://github.com/uBlockOrigin/uAssets/issues/3482
+!#if env_firefox
+!#if env_mobile
+google.*###main > div[data-hveid]
+!#endif
+!#endif
+
 ! http://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-25#post-2461804
 ! Specific cosmetic filters for Youtube home page
 youtube.com##.masthead-ad-control
@@ -85,24 +92,26 @@ youtube.com##.pyv-afc-ads-container
 youtube.com###promotion-shelf
 ! https://github.com/uBlockOrigin/uAssets/issues/1408
 *_ad_$media,domain=youtube.com,third-party
+! https://github.com/uBlockOrigin/uAssets/issues/3389#issuecomment-417952656
+youtube.com##.ytp-ad-progress
 
-# https://github.com/chrisaljoudi/uBlock/issues/618
+! https://github.com/chrisaljoudi/uBlock/issues/618
 deviantart.com##.dp-ad-chrome.dp-ad-visible
 
-# https://github.com/chrisaljoudi/uBlock/issues/1013
+! https://github.com/chrisaljoudi/uBlock/issues/1013
 ||mac-system-alert.com^
 
-# https://adblockplus.org/forum/viewtopic.php?f=2&t=38703
-# http://www.christiantoday.com/article/huawei.nexus.release.news.could.be.googles.ticket.back.into.china/58786.htm
-#   `important` must be used as there is one EasyList exception preventing
-#   complete block.
+! https://adblockplus.org/forum/viewtopic.php?f=2&t=38703
+! http://www.christiantoday.com/article/huawei.nexus.release.news.could.be.googles.ticket.back.into.china/58786.htm
+!   `important` must be used as there is one EasyList exception preventing
+!   complete block.
 ||username1.link^$important
 
-# https://github.com/gorhill/uBlock/issues/275
+! https://github.com/gorhill/uBlock/issues/275
 jeu.info###page [class^="banniere-"]
-hentaifr.net,jeu.info,tuxboard.com,xstory-fr.com##script:inject(goyavelab-defuser.js)
+hentaifr.net,jeu.info,tuxboard.com,xstory-fr.com##+js(goyavelab-defuser.js)
 
-# uabInject-related ads
+! uabInject-related ads
 ! https://github.com/gorhill/uBlock/issues/1044#issuecomment-163725136
 ! https://github.com/uBlockOrigin/uAssets/issues/209
 ||adswithsalt.com/*/ad-loading.pic$image,redirect=3x2-transparent.png
@@ -110,46 +119,48 @@ hentaifr.net,jeu.info,tuxboard.com,xstor
 ||de/*/ad_bomb/*$image,redirect=2x2-transparent.png
 ||tisoomitech.com/*/ad-image.png$image,redirect=2x2-transparent.png
 
-# Popunders
+! Popunders
 
-# https://github.com/gorhill/uBlock/issues/991
-# https://github.com/gorhill/uBlock/issues/1094
+! https://github.com/gorhill/uBlock/issues/991
+! https://github.com/gorhill/uBlock/issues/1094
 ||slopeaota.com^$document,popup
-# https://github.com/gorhill/uBlock/issues/1053
+! https://github.com/gorhill/uBlock/issues/1053
 ||zinturax.com^$document,popunder,script
-# https://github.com/gorhill/uBlock/issues/995
+! https://github.com/gorhill/uBlock/issues/995
 ||trafficstars.com^$document
-# https://forums.lanik.us/viewtopic.php?f=62&t=25212&start=15
+! https://forums.lanik.us/viewtopic.php?f=62&t=25212&start=15
 ||branchroughlend.info^$popup
 ||market-buster.com^$popup
-# https://github.com/gorhill/uBlock/issues/1177
+! https://github.com/gorhill/uBlock/issues/1177
 ||globaltraffico.com^$popup
-# https://github.com/gorhill/uBlock/issues/1208
+! https://github.com/gorhill/uBlock/issues/1208
 ||data.*.info^$popunder,popup
 ||pornsharing.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.google-analytics.com
 
-# https://github.com/gorhill/uBlock/issues/1347
+! https://github.com/gorhill/uBlock/issues/1347
 ||traffichunt.com^$document,popup
 ||trhnt.com^$document,popup
 ||trhunt.com^$document,popup
 
-# https://skystreaming.net/canali/sky/guarda-sky-sport-1-in-streaming-live
+! https://skystreaming.net/canali/sky/guarda-sky-sport-1-in-streaming-live
 @@||skystreaming.net^$generichide
 skystreaming.net###fanback + style + div[id]
 
-# https://github.com/gorhill/uBlock/issues/1049
+! https://github.com/gorhill/uBlock/issues/1049
 ||d1zatounuylvwg.cloudfront.net/abw.js$script,third-party
 
-# https://github.com/gorhill/uBlock/issues/1100
-# https://github.com/uBlockOrigin/uAssets/issues/588
-# https://adblockplus.org/forum/viewtopic.php?f=1&t=54986
-# AdDefend
-4-liga.com,4fansites.de,4players.de,9monate.de,aachener-nachrichten.de,aachener-zeitung.de,abendblatt.de,abendzeitung-muenchen.de,abseits-ka.de,airliners.de,ajaxshowtime.com,allgemeine-zeitung.de,allaboutphones.nl,antenne.de,arcor.de,areadvd.de,areamobile.de,ariva.de,astronews.com,aussenwirtschaftslupe.de,auto-motor-und-sport.de,auto-service.de,autobild.de,autoextrem.de,autopixx.de,autorevue.at,baby-vornamen.de,bafoeg-aktuell.de,berliner-kurier.de,berliner-zeitung.de,bigfm.de,bikerszene.de,bildderfrau.de,boerse-online.de,boerse.de,boersennews.de,braunschweiger-zeitung.de,brieffreunde.de,buerstaedter-zeitung.de,buffed.de,caravaning.de,cavallo.de,chefkoch.de,clever-tanken.de,computerbild.de,computerhilfen.de,computerworld.nl,comunio.de,connect.de,dbna.de,deine-tierwelt.de,derwesten.de,dhd24.com,dieblaue24.com,digitalfernsehen.de,dnn.de,donnerwetter.de,e-hausaufgaben.de,eatsmarter.de,echo-online.de,einfachschoen.me,elektrobike-online.com,e-mountainbike.com,epochtimes.de,express.de,f1maximaal.nl,fanfiktion.de,fettspielen.de,fid-gesundheitswissen.de,finanztreff.de,finya.de,fitforfun.de,focus.de,football365.fr,formel1.de,frag-mutti.de,fremdwort.de,frustfrei-lernen.de,fussballdaten.de,futurezone.de,gala.de,gamersglobal.de,gamesaktuell.de,gamestar.de,gameswelt.at,gameswelt.de,gamezone.de,gartendialog.de,gartenlexikon.de,geissblog.koeln,gelnhaeuser-tageblatt.de,general-anzeiger-bonn.de,genialetricks.de,geniale-tricks.com,gesundheit.de,gevestor.de,giessener-anzeiger.de,gipfelbuch.ch,gmuender-tagespost.de,golem.de,gusto.at,gut-erklaert.de,gutfuerdich.co,hamburg.de,hardwareluxx.de,hartziv.org,haus-garten-test.de,hausgarten.net,haz.de,heftig.de,heftig.tv,heilpraxisnet.de,heise.de,hftg.co,hochheimer-zeitung.de,hofheimer-zeitung.de,hoerzu.de,iban-rechner.de,immobilienscout24.de,ingame.de,inside-handy.de,investor-verlag.de,jpgames.de,juraforum.de,kabeleins.de,kamelle.de,kicker.de,kindergeld.info,kindergeld.org,klettern.de,klettern-magazin.de,kochbar.de,kreis-anzeiger.de,ksta.de,lablue.*,lachainemeteo.com,lampertheimer-zeitung.de,landwirt.com,laut.de,lauterbacher-anzeiger.de,leckerschmecker.me,lesfoodies.com,levif.be,lifeline.de,liga3-online.de,likemag.com,ln-online.de,lustaufsleben.at,lustich.de,lvz.de,lz.de,macwelt.de,main-spitze.de,mathepower.com,maz-online.de,medisite.fr,mehr-tanken.de,mein-kummerkasten.de,mein-mmo.de,mein-wahres-ich.de,meinestadt.de,menshealth.de,mercato365.com,messen.de,metal-hammer.de,metalflirt.de,minecraft-serverlist.net,mittelbayerische.de,modhoster.de,mopo.de,morgenpost.de,motor-talk.de,motorbasar.de,motorradonline.de,motorsport-total.com,motortests.de,mountainbike-magazin.de,moviejones.de,moviepilot.de,mt.de,mtb-news.de,musikexpress.de,musikradar.de,mz-web.de,netzwelt.de,neuepresse.de,neueroeffnung.info,news.at,news.de,news38.de,newsbreak24.de,nickles.de,nicknight.de,nnn.de,notebookchat.com,notebookcheck.*,notebookcheck-tr.com,noz.de,noz-cdn.de,nw.de,nwzonline.de,oberhessische-zeitung.de,onlinekosten.de,onvista.de,op-marburg.de,outdoor-magazin.com,outdoorchannel.de,paradisi.de,pc-magazin.de,pcgames.de,pcgameshardware.de,pcwelt.de,pcworld.pl,pferde.de,pietsmiet.de,pixelio.de,pkw-forum.de,planetsnow.de,play3.de,playfront.de,pnn.de,pons.com,prad.de,prignitzer.de,profil.at,promipool.de,promobil.de,prosieben.de,prosiebenmaxx.de,psychic.de,quoka.de,quotenmeter.de,ran.de,readmore.de,rechtslupe.de,reuters.com,rhein-main-presse.de,rheinische-anzeigenblaetter.de,rimondo.com,roadbike.de,roemische-zahlen.net,rollingstone.de,rot-blau.com,rp-online.de,rtl.de,rugby365.fr,rundschau-online.de,runnersworld.de,safelist.eu,salzgitter-zeitung.de,sat1.de,sat1gold.de,schwaebische-post.de,serienjunkies.de,shz.de,sixx.de,skodacommunity.de,smart-wohnen.net,sn.at,spiegel.de,spielen.de,spielfilm.de,sport.de,sportal.de,sport365.fr,spox.com,svz.de,szene1.at,szene38.de,tagesspiegel.de,taschenhirn.de,techstage.de,testedich.*,the-voice-of-germany.de,thueringen24.de,tichyseinblick.de,tierfreund.co,tiervermittlung.de,torgranate.de,transfermarkt.*,trend.at,truckscout24.de,tv-media.at,tvdigital.de,tvinfo.de,tvspielfilm.de,tvtoday.de,unicum.de,unterhalt.net,usinger-anzeiger.de,usp-forum.de,videogameszone.de,vienna.at,vip.de,virtualnights.com,vox.de,wallstreet-online.de,webfail.com,webwereld.nl,welt.de,weltfussball.at,weristdeinfreund.de,werkzeug-news.de,weser-kurier.de,wetter.*,wetteronline.*,wieistmeineip.*,wiesbadener-kurier.de,wiesbadener-tagblatt.de,wintotal.de,winboard.org,windows-7-forum.net,wize.life,wn.de,wohngeld.org,woman.at,womenshealth.de,wormser-zeitung.de,woxikon.de,yachtrevue.at##script:inject(uabinject-defuser.js)
-stickermanager.com##script:inject(abort-on-property-write.js, trckd)
-t-online.de##script:inject(nowebrtc.js)
+! https://github.com/gorhill/uBlock/issues/1100
+! https://github.com/uBlockOrigin/uAssets/issues/588
+! https://adblockplus.org/forum/viewtopic.php?f=1&t=54986
+! https://github.com/uBlockOrigin/uAssets/issues/3166
+! AdDefend
+4-liga.com,4fansites.de,4players.de,9monate.de,aachener-nachrichten.de,aachener-zeitung.de,abendblatt.de,abendzeitung-muenchen.de,abseits-ka.de,airliners.de,ajaxshowtime.com,allgemeine-zeitung.de,allaboutphones.nl,antenne.de,arcor.de,areadvd.de,areamobile.de,ariva.de,astronews.com,aussenwirtschaftslupe.de,auszeit.bio,auto-motor-und-sport.de,auto-service.de,autobild.de,autoextrem.de,autopixx.de,autorevue.at,baby-vornamen.de,bafoeg-aktuell.de,berliner-kurier.de,berliner-zeitung.de,bigfm.de,bikerszene.de,bildderfrau.de,blackd.de,boerse-online.de,boerse.de,boersennews.de,braunschweiger-zeitung.de,brieffreunde.de,buerstaedter-zeitung.de,buffed.de,caravaning.de,cavallo.de,chefkoch.de,cinema.de,clever-tanken.de,computerbild.de,computerhilfen.de,computerworld.nl,comunio.*,connect.de,dbna.de,deine-tierwelt.de,derwesten.de,dhd24.com,dieblaue24.com,digitalfernsehen.de,dnn.de,donnerwetter.de,e-hausaufgaben.de,eatsmarter.de,echo-online.de,einfachschoen.me,elektrobike-online.com,e-mountainbike.com,epochtimes.de,express.de,f1maximaal.nl,fanfiktion.de,fettspielen.de,fid-gesundheitswissen.de,finanztreff.de,finya.de,fitforfun.de,focus.de,football365.fr,formel1.de,frag-mutti.de,fremdwort.de,frustfrei-lernen.de,fussballdaten.de,futurezone.de,gala.de,gamersglobal.de,gamesaktuell.de,gamestar.de,gameswelt.at,gameswelt.de,gamezone.de,gartendialog.de,gartenlexikon.de,geissblog.koeln,gelnhaeuser-tageblatt.de,general-anzeiger-bonn.de,genialetricks.de,geniale-tricks.com,gesundheit.de,gevestor.de,giessener-anzeiger.de,gipfelbuch.ch,gmuender-tagespost.de,golem.de,gusto.at,gut-erklaert.de,gutefrage.net,gutfuerdich.co,hamburg.de,hardwareluxx.de,hartziv.org,haus-garten-test.de,hausgarten.net,haz.de,heftig.*,heilpraxisnet.de,heise.de,hftg.co,hochheimer-zeitung.de,hofheimer-zeitung.de,hoerzu.de,iban-rechner.de,immobilienscout24.de,ingame.de,inside-handy.de,investor-verlag.de,jpgames.de,juraforum.de,kabeleins.de,kamelle.de,kicker.de,kindergeld.info,kindergeld.org,klettern.de,klettern-magazin.de,kochbar.de,kreis-anzeiger.de,ksta.de,lablue.*,lachainemeteo.com,lampertheimer-zeitung.de,landwirt.com,laut.de,lauterbacher-anzeiger.de,leckerschmecker.me,lesfoodies.com,levif.be,lifeline.de,liga3-online.de,likemag.com,ln-online.de,lustaufsleben.at,lustich.de,lvz.de,lz.de,macwelt.de,main-spitze.de,mathepower.com,maz-online.de,medisite.fr,mehr-tanken.de,mein-kummerkasten.de,mein-mmo.de,mein-wahres-ich.de,meinestadt.de,menshealth.de,mercato365.com,messen.de,metal-hammer.de,metalflirt.de,minecraft-serverlist.net,mittelbayerische.de,modhoster.de,mopo.de,morgenpost.de,motor-talk.de,motorbasar.de,motorradonline.de,motorsport-total.com,motortests.de,mountainbike-magazin.de,moviejones.de,moviepilot.de,mt.de,mtb-news.de,musikexpress.de,musikradar.de,mz-web.de,netzwelt.de,neuepresse.de,neueroeffnung.info,news.at,news.de,news38.de,newsbreak24.de,nickles.de,nicknight.de,nnn.de,notebookchat.com,notebookcheck.*,notebookcheck-tr.com,noz.de,noz-cdn.de,nw.de,nwzonline.de,oberhessische-zeitung.de,onlinekosten.de,onvista.de,op-marburg.de,outdoor-magazin.com,outdoorchannel.de,paradisi.de,pc-magazin.de,pcgames.de,pcgameshardware.de,pcwelt.de,pcworld.pl,pferde.de,pietsmiet.de,pixelio.de,pkw-forum.de,planetsnow.de,play3.de,playboy.de,playfront.de,pnn.de,pons.com,prad.de,prignitzer.de,profil.at,promipool.de,promobil.de,prosieben.de,prosiebenmaxx.de,psychic.de,quoka.de,quotenmeter.de,ran.de,readmore.de,rechtslupe.de,reuters.com,rhein-main-presse.de,rheinische-anzeigenblaetter.de,rimondo.com,roadbike.de,roemische-zahlen.net,rollingstone.de,rot-blau.com,rp-online.de,rtl.de,rugby365.fr,rundschau-online.de,runnersworld.de,safelist.eu,salzgitter-zeitung.de,sat1.de,sat1gold.de,schwaebische-post.de,serienjunkies.de,shz.de,sixx.de,skodacommunity.de,smart-wohnen.net,sn.at,spiegel.de,spielen.de,spielfilm.de,sport.de,sportal.de,sport365.fr,spox.com,svz.de,szene1.at,szene38.de,tagesspiegel.de,taschenhirn.de,techstage.de,testedich.*,the-voice-of-germany.de,thueringen24.de,tichyseinblick.de,tierfreund.co,tiervermittlung.de,torgranate.de,transfermarkt.*,trend.at,truckscout24.de,tv-media.at,tvdigital.de,tvinfo.de,tvspielfilm.de,tvtoday.de,unicum.de,unterhalt.net,usinger-anzeiger.de,usp-forum.de,videogameszone.de,vienna.at,vip.de,virtualnights.com,vox.de,wallstreet-online.de,webfail.com,webwereld.nl,welt.de,weltfussball.at,weristdeinfreund.de,werkzeug-news.de,weser-kurier.de,wetter.*,wetteronline.*,wieistmeineip.*,wiesbadener-kurier.de,wiesbadener-tagblatt.de,wintotal.de,winboard.org,windows-7-forum.net,wize.life,wn.de,wohngeld.org,woman.at,womenshealth.de,wormser-zeitung.de,woxikon.de,yachtrevue.at##+js(abort-on-property-read.js, trckd)
+4-liga.com,4fansites.de,4players.de,9monate.de,aachener-nachrichten.de,aachener-zeitung.de,abendblatt.de,abendzeitung-muenchen.de,abseits-ka.de,airliners.de,ajaxshowtime.com,allgemeine-zeitung.de,allaboutphones.nl,antenne.de,arcor.de,areadvd.de,areamobile.de,ariva.de,astronews.com,aussenwirtschaftslupe.de,auto-motor-und-sport.de,auto-service.de,autobild.de,autoextrem.de,autopixx.de,autorevue.at,baby-vornamen.de,bafoeg-aktuell.de,berliner-kurier.de,berliner-zeitung.de,bigfm.de,bikerszene.de,bildderfrau.de,blackd.de,boerse-online.de,boerse.de,boersen.manager-magazin.de,boersennews.de,braunschweiger-zeitung.de,brieffreunde.de,buerstaedter-zeitung.de,buffed.de,caravaning.de,cavallo.de,chefkoch.de,cinema.de,clever-tanken.de,computerbild.de,computerhilfen.de,computerworld.nl,comunio.*,comunio-cl.com,connect.de,dbna.de,deine-tierwelt.de,derwesten.de,dhd24.com,dieblaue24.com,digitalfernsehen.de,dnn.de,donnerwetter.de,e-hausaufgaben.de,eatsmarter.de,echo-online.de,einfachschoen.me,elektrobike-online.com,e-mountainbike.com,epochtimes.de,express.de,f1maximaal.nl,fanfiktion.de,fettspielen.de,fid-gesundheitswissen.de,finanztreff.de,finya.de,fitforfun.de,focus.de,football365.fr,formel1.de,frag-mutti.de,fremdwort.de,frustfrei-lernen.de,fussballdaten.de,futurezone.de,gala.de,gamersglobal.de,gamesaktuell.de,gamestar.de,gameswelt.at,gameswelt.de,gamezone.de,gartendialog.de,gartenlexikon.de,geissblog.koeln,gelnhaeuser-tageblatt.de,general-anzeiger-bonn.de,genialetricks.de,geniale-tricks.com,gesundheit.de,gevestor.de,giessener-anzeiger.de,gipfelbuch.ch,gmuender-tagespost.de,golem.de,gusto.at,gut-erklaert.de,gutefrage.net,gutfuerdich.co,hamburg.de,hardwareluxx.de,hartziv.org,haus-garten-test.de,hausgarten.net,haz.de,heftig.*,heilpraxisnet.de,heise.de,hftg.co,hochheimer-zeitung.de,hofheimer-zeitung.de,hoerzu.de,iban-rechner.de,immobilienscout24.de,ingame.de,inside-handy.de,investor-verlag.de,jpgames.de,juraforum.de,kabeleins.de,kamelle.de,kicker.de,kindergeld.info,kindergeld.org,klettern.de,klettern-magazin.de,kochbar.de,kreis-anzeiger.de,ksta.de,lablue.*,lachainemeteo.com,lampertheimer-zeitung.de,landwirt.com,laut.de,lauterbacher-anzeiger.de,leckerschmecker.me,lesfoodies.com,levif.be,lifeline.de,liga3-online.de,likemag.com,ln-online.de,lustaufsleben.at,lustich.de,lvz.de,lz.de,macwelt.de,main-spitze.de,mathepower.com,maz-online.de,medisite.fr,mehr-tanken.de,mein-kummerkasten.de,mein-mmo.de,mein-wahres-ich.de,meinestadt.de,menshealth.de,mercato365.com,messen.de,metal-hammer.de,metalflirt.de,minecraft-serverlist.net,mittelbayerische.de,modhoster.de,mopo.de,morgenpost.de,motor-talk.de,motorbasar.de,motorradonline.de,motorsport-total.com,motortests.de,mountainbike-magazin.de,moviejones.de,moviepilot.de,mt.de,mtb-news.de,musikexpress.de,musikradar.de,mz-web.de,netzwelt.de,neuepresse.de,neueroeffnung.info,news.at,news.de,news38.de,newsbreak24.de,nickles.de,nicknight.de,nnn.de,notebookchat.com,notebookcheck.*,notebookcheck-tr.com,noz.de,noz-cdn.de,nw.de,nwzonline.de,oberhessische-zeitung.de,onlinekosten.de,onvista.de,op-marburg.de,outdoor-magazin.com,outdoorchannel.de,paradisi.de,pc-magazin.de,pcgames.de,pcgameshardware.de,pcwelt.de,pcworld.pl,pferde.de,pietsmiet.de,pixelio.de,pkw-forum.de,planetsnow.de,play3.de,playboy.de,playfront.de,pnn.de,pons.com,prad.de,prignitzer.de,profil.at,promipool.de,promobil.de,prosieben.de,prosiebenmaxx.de,psychic.de,quoka.de,quotenmeter.de,ran.de,readmore.de,rechtslupe.de,reuters.com,rhein-main-presse.de,rheinische-anzeigenblaetter.de,rimondo.com,roadbike.de,roemische-zahlen.net,rollingstone.de,rot-blau.com,rp-online.de,rtl.de,rtv.de,rugby365.fr,rundschau-online.de,runnersworld.de,safelist.eu,salzgitter-zeitung.de,sat1.de,sat1gold.de,schwaebische-post.de,serienjunkies.de,shz.de,sixx.de,skodacommunity.de,smart-wohnen.net,sn.at,spiegel.de,spielen.de,spielfilm.de,sport.de,sportal.de,sport365.fr,spox.com,svz.de,szene1.at,szene38.de,tagesspiegel.de,taschenhirn.de,techstage.de,testedich.*,the-voice-of-germany.de,thueringen24.de,tichyseinblick.de,tierfreund.co,tiervermittlung.de,torgranate.de,transfermarkt.*,trend.at,truckscout24.de,tv-media.at,tvdigital.de,tvinfo.de,tvspielfilm.de,tvtoday.de,unicum.de,unterhalt.net,usinger-anzeiger.de,usp-forum.de,videogameszone.de,vienna.at,vip.de,virtualnights.com,vox.de,wallstreet-online.de,webfail.com,webwereld.nl,welt.de,weltfussball.at,weristdeinfreund.de,werkzeug-news.de,weser-kurier.de,wetter.*,wetteronline.*,wieistmeineip.*,wiesbadener-kurier.de,wiesbadener-tagblatt.de,wintotal.de,winboard.org,windows-7-forum.net,wize.life,wn.de,wohngeld.org,woman.at,womenshealth.de,wormser-zeitung.de,woxikon.de,yachtrevue.at##+js(abort-on-property-read.js, uabpd3)
+stickermanager.com##+js(abort-on-property-write.js, trckd)
+kino.de,t-online.de##+js(nowebrtc.js)
 ! https://github.com/jspenguin2017/uBlockProtector/issues/635
-gamepro.de,gamestar.de##script:inject(abort-on-property-write.js, uabInject)
-# To counter unnecessary exception filters
+gamepro.de,gamestar.de##+js(abort-on-property-write.js, uabInject)
+! To counter unnecessary exception filters
 ||focus.de^$generichide,important
 ||pcwelt.de^$generichide,important
 ||stern.de^$generichide,important
@@ -158,56 +169,56 @@ gamepro.de,gamestar.de##script:inject(ab
 ||sascdn.com^$script,important,domain=autobild.de|metal-hammer.de|musikexpress.de|rollingstone.de
 ||smartadserver.com^$script,important,domain=metal-hammer.de|musikexpress.de|rollingstone.de|welt.de
 
-# Yavli ads
+! Yavli ads
 ! https://www.reddit.com/r/uBlockOrigin/comments/7cgb7h/pjmediacom_has_a_right_sidebar_that_is_labeled/
 ! https://github.com/uBlockOrigin/uAssets/issues/1589
-100percentfedup.com,activistpost.com,addictinginfo.*,alfonzorachel.com,allenbwest.com,allenwestrepublic.com,allkpop.com,allthingsvegas.com,americanewshub.com,americasfreedomfighters.com,ancensored.com,barbwire.com,bestfunnyjokes4u.com,bighealthreport.com,bugout.news,bulletsfirst.net,buzzlamp.com,canadafreepress.com,celebrity-gossip.net,cheapism.com,cheatsheet.com,chicksonright.com,clashdaily.com,collapse.news,comicallyincorrect.com,constitution.com,craigjames.com,creepybasement.com,cyberwar.news,dailyheadlines.net,dailysurge.com,damnlol.com,deneenborelli.com,designbump.com,directexpose.com,eaglerising.com,evil.news,faithit.com,firstinfreedomdaily.com,fitnessconnoisseur.com,foreverymom.com,freedom.news,freedomdaily.com,freedomforce.com,freedomoutpost.com,funnyand.com,glitch.news,godfatherpolitics.com,gopocalypse.org,guardianlv.com,guns.news,hautereport.com,hispolitica.com,icepop.com,ifyouonlynews.com,instigatornews.com,intellectualconservative.com,janmorganmedia.com,joeforamerica.com,juicerhead.com,justdiy.com,keepandbear.com,knowledgedish.com,lastresistance.com,legalinsurrection.com,liberty.news,libertyunyielding.com,lidblog.com,lifebuzz.com,madworldnews.com,millionpictures.co,moneyversed.com,natural.news,naturalblaze.com,naturalsociety.com,opednews.com,patriotoutdoornews.com,pjmedia.com,politicalcowboy.com,politicaloutcast.com,politichicks.com,practicallyviral.com,profitconfidential.com,quirlycues.com,realmomsrealreviews.com,redhotchacha.com,redmaryland.com,reverbpress.com,reviveusa.com,shark-tank.com,shedthoselbs.com,slender.news,sonsoflibertymedia.com,stupid.news,supercheats.com,survivalnation.com,sweepstakesfanatics.com,techconsumer.com,technobuffalo.com,terezowens.com,theblacksphere.net,theboredmind.com,thedesigninspiration.com,thefreethoughtproject.com,thegatewaypundit.com,thehayride.com,thelastlineofdefense.org,thelibertydaily.com,themattwalshblog.com,thepoke.co.uk,thepolitistick.com,therealside.com,threepercenternation.com,tiebreaker.com,tosavealife.com,twisted.news,videogamesblogger.com,viralnova.com,visiontoamerica.com,wakingtimes.com,westernjournalism.com,wnd.com,worldlifestyle.com,xtribune.com,youngcons.com##script:inject(set-constant.js, oio, true)
+100percentfedup.com,4chan.org,activistpost.com,addictinginfo.*,alfonzorachel.com,allenbwest.com,allenwestrepublic.com,allkpop.com,allthingsvegas.com,americanewshub.com,americasfreedomfighters.com,ancensored.com,barbwire.com,bestfunnyjokes4u.com,bighealthreport.com,bugout.news,bulletsfirst.net,buzzlamp.com,canadafreepress.com,celebrity-gossip.net,cheapism.com,cheatsheet.com,chicksonright.com,clashdaily.com,collapse.news,comicallyincorrect.com,constitution.com,craigjames.com,creepybasement.com,cyberwar.news,dailyheadlines.net,dailysurge.com,damnlol.com,deneenborelli.com,designbump.com,directexpose.com,eaglerising.com,evil.news,faithit.com,firstinfreedomdaily.com,fitnessconnoisseur.com,foreverymom.com,freedom.news,freedomdaily.com,freedomforce.com,freedomoutpost.com,funnyand.com,gamersheroes.com,glitch.news,godfatherpolitics.com,gopocalypse.org,guardianlv.com,guns.news,hautereport.com,hispolitica.com,icepop.com,ifyouonlynews.com,instigatornews.com,intellectualconservative.com,janmorganmedia.com,joeforamerica.com,juicerhead.com,justdiy.com,keepandbear.com,knowledgedish.com,lastresistance.com,legalinsurrection.com,liberty.news,libertyunyielding.com,lidblog.com,lifebuzz.com,madworldnews.com,millionpictures.co,moneyversed.com,natural.news,naturalblaze.com,naturalsociety.com,o4anews.com,opednews.com,patriotoutdoornews.com,pjmedia.com,politicalcowboy.com,politicaloutcast.com,politichicks.com,practicallyviral.com,profitconfidential.com,quirlycues.com,realmomsrealreviews.com,redhotchacha.com,redmaryland.com,reverbpress.com,reviveusa.com,shark-tank.com,shedthoselbs.com,slender.news,sonsoflibertymedia.com,stupid.news,supercheats.com,survivalnation.com,sweepstakesfanatics.com,techconsumer.com,technobuffalo.com,terezowens.com,theblacksphere.net,theboredmind.com,thedesigninspiration.com,thefreethoughtproject.com,thegatewaypundit.com,thehayride.com,thelastlineofdefense.org,thelibertydaily.com,themattwalshblog.com,thepoke.co.uk,thepolitistick.com,therealside.com,threepercenternation.com,tiebreaker.com,tosavealife.com,twisted.news,videogamesblogger.com,viralnova.com,visiontoamerica.com,wakingtimes.com,westernjournalism.com,wnd.com,worldlifestyle.com,xtribune.com,youngcons.com##+js(abort-current-inline-script.js, MutationObserver, compareDocumentPosition)
 @@||wpengine.netdna-cdn.com^$image,domain=100percentfedup.com|clashdaily.com|constitution.com|eaglerising.com|freedomdaily.com|freedomoutpost.com|hispolitica.com
 @@||galaxant.com^$image,domain=viralnova.com
 ! Found during routine check to verify above filters still work.
-activistpost.com##script:inject(noeval-if.js, Aderz)
+activistpost.com##+js(noeval-if.js, Aderz)
 
-# https://github.com/gorhill/uBlock/issues/1094
-extremetube.com,pornhub.com,primewire.*,redtube.*,spankwire.com,tube8.*,youporn.com,youporngay.com##script:inject(pornhub-popup-defuser.js)
-# Using important will prevent the site from leveraging random exception filters
+! https://github.com/gorhill/uBlock/issues/1094
+extremetube.com,pornhub.com,primewire.*,redtube.*,spankwire.com,tube8.*,youporn.com,youporngay.com##+js(pornhub-popup-defuser.js)
+! Using important will prevent the site from leveraging random exception filters
 ||trafficjunky.net^$third-party,important
 ||xxxmyself.com^$important
 ||xxxnavy.com^$important
 
-# https://adblockplus.org/forum/viewtopic.php?f=2&t=43192
-# Users should not have to punch holes in their blockers if it can be avoided.
+! https://adblockplus.org/forum/viewtopic.php?f=2&t=43192
+! Users should not have to punch holes in their blockers if it can be avoided.
 */fuckadblock-$script,redirect=fuckadblock.js-3.2.0
 */fuckadblock.$script,redirect=fuckadblock.js-3.2.0
-# https://github.com/gorhill/uBlock/issues/1271
-# https://forums.lanik.us/viewtopic.php?f=62&t=40409
+! https://github.com/gorhill/uBlock/issues/1271
+! https://forums.lanik.us/viewtopic.php?f=62&t=40409
 */blockadblock.$script,redirect=fuckadblock.js-3.2.0
 */blockadblock-$script,redirect=fuckadblock.js-3.2.0
-# https://adblockplus.org/forum/viewtopic.php?f=2&t=43762
+! https://adblockplus.org/forum/viewtopic.php?f=2&t=43762
 ||leporno.org/english.js$script,redirect=fuckadblock.js-3.2.0,first-party
 ! https://github.com/uBlockOrigin/uAssets/issues/1551
 ! https://github.com/uBlockOrigin/uAssets/issues/1554
 */wp-adblock-$script,redirect=fuckadblock.js-3.2.0
 
-# https://github.com/gorhill/uBlock/issues/1136
+! https://github.com/gorhill/uBlock/issues/1136
 ||dailymotion.com/ac/video/$image,first-party,redirect=2x2-transparent.png
-# https://github.com/gorhill/uBlock/issues/1136#issuecomment-170371863
+! https://github.com/gorhill/uBlock/issues/1136#issuecomment-170371863
 ||liverail.com^$important,domain=dailymotion.com
 
-# https://news.ycombinator.com/item?id=10814913
-forbes.com##script:inject(forbes-defuser.js)
+! https://news.ycombinator.com/item?id=10814913
+forbes.com##+js(forbes-defuser.js)
 
-# https://github.com/gorhill/uBlock/issues/949
+! https://github.com/gorhill/uBlock/issues/949
 ||s3.amazonaws.com/homad-global-configs.schneevonmorgen.com/hd-main.js$script,domain=autobild.de|chip.de|cinema.de|computerbild.de|cdnapi.kaltura.com|erdbeerlounge.de|focus.de|gamona.de|giga.de|spiegel.de|spieleaffe.de|spieletipps.de|sueddeutsche.de|t-online.de,redirect=hd-main.js
 ||svonm.com/hd-main.js$script,redirect=hd-main.js,domain=chip.de|cinema.de|cdnapi.kaltura.com
 ! https://forums.lanik.us/viewtopic.php?p=129561#p129561
 @@||a.bf-ad.net/makabo/ads_fol_init.js$script,domain=chip.de
 ! https://github.com/uBlockOrigin/uAssets/issues/1841
 ||filestorage.chip.de/videoplayer^$first-party
-chip.de##script:inject(damoh-defuser.js)
+chip.de##+js(damoh-defuser.js)
 chip.de##.video-wrapper > div.video-js
 chip.de##.video-wrapper > video[style]:style(display:block!important;padding-top:0!important;)
 
-# https://github.com/gorhill/uBlock/issues/1078
+! https://github.com/gorhill/uBlock/issues/1078
 ||eurotransport.de/*/antiAdBlock.js$script,first-party,redirect=antiAdBlock.js
 
 ! openload and related sites
@@ -216,25 +227,27 @@ chip.de##.video-wrapper > video[style]:s
 ! https://github.com/uBlockOrigin/uAssets/issues/1284
 ! https://github.com/jspenguin2017/uBlockProtector/issues/870
 ! https://github.com/uBlockOrigin/uAssets/issues/1722
-oload.site##script:inject(nano-setInterval-booster.js)
-fruitadblock.net,fruitstreams.com,oload.*,openload.co,streamango.com##script:inject(openload.co.js)
-fruitadblock.net,fruitstreams.com,oload.*,openload.co##script:inject(window.open-defuser.js)
-fruitstreams.com,streamango.com##script:inject(abort-current-inline-script.js, isSandboxed, fruitadblock)
-streamango.com##script:inject(abort-on-property-read.js, BetterJsPop)
-streamango.com##script:inject(abort-on-property-write.js, _0xd959)
-streamango.com##script:inject(window.open-defuser.js)
+oload.site##+js(nano-setInterval-booster.js)
+fruitadblock.net,fruitstreams.com,oload.*,openload.co,streamango.com##+js(openload.co.js)
+fruitadblock.net,fruitstreams.com,oload.*,openload.co##+js(window.open-defuser.js)
+fruitstreams.com,streamango.com##+js(abort-current-inline-script.js, isSandboxed, fruitadblock)
+streamango.com##+js(abort-on-property-read.js, BetterJsPop)
+streamango.com##+js(abort-on-property-write.js, _0xd959)
+streamango.com##+js(window.open-defuser.js)
 ! https://forums.lanik.us/viewtopic.php?f=64&p=132254
 @@||oloadcdn.net/subtitle/*$xmlhttprequest,domain=openload.co
 @@||openload.co^$popup,first-party
 ! https://github.com/uBlockOrigin/uAssets/issues/2431
-openload.co##script:inject(abort-current-inline-script.js, adblock, adblock2)
+openload.co##+js(abort-current-inline-script.js, adblock, adblock2)
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=27505
 ! https://github.com/uBlockOrigin/uAssets/issues/1292
 ! https://github.com/uBlockOrigin/uAssets/issues/2704
-kissanime.*##script:inject(kissanime-defuser.js)
-kissanime.ac,kissanime.co##script:inject(set-constant.js, check_adblock, true)
-kissanime.ru##script:inject(abort-current-inline-script.js, $, AdBlock)
+! https://github.com/uBlockOrigin/uAssets/issues/2719
+kissanime.*##+js(kissanime-defuser.js)
+kissanime.ac,kissanime.co##+js(set-constant.js, check_adblock, true)
+kissanime.ru##+js(abort-current-inline-script.js, $, AdBlock)
+kissanime.ru##+js(abort-current-inline-script.js, parseInt, incrementClicks)
 ||kissanime.ru^$subdocument,first-party
 @@||static.animecdn.stream/themes/vast/videojs.ads.min.js$script,domain=kissanime.ac
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=kissanime.ac
@@ -243,9 +256,9 @@ kissanime.ru##script:inject(abort-curren
 
 ! https://github.com/uBlockOrigin/uAssets/issues/241
 ! https://www.reddit.com/r/uBlockOrigin/comments/8aug3p/how_to_block_kisscartoonac_ads
-kisscartoon.*##script:inject(addEventListener-defuser.js, mousedown, clientX)
-kisscartoon.*##script:inject(noeval.js)
-kisscartoon.*##script:inject(setInterval-defuser.js, (), 500)
+kisscartoon.*##+js(addEventListener-defuser.js, mousedown, clientX)
+kisscartoon.*##+js(noeval.js)
+kisscartoon.*##+js(setInterval-defuser.js, (), 500)
 ! https://forums.lanik.us/viewtopic.php?p=119974#p119974
 ! https://github.com/uBlockOrigin/uAssets/issues/2840
 @@||kisscartoon.*^$script,first-party
@@ -253,56 +266,56 @@ kisscartoon.*##script:inject(setInterval
 ! https://github.com/uBlockOrigin/uAssets/issues/2363
 kisscartoon.*###upgrade_pop
 
-# https://forums.lanik.us/viewtopic.php?f=64&t=27908
-# https://github.com/gorhill/uBlock/issues/1354
-androidaba.com,animes-mangas-ddl.com,automobile-catalog.com,best-movies.info,bnonews.com,crazymeds.us,d-h.st,davinsurance.com,futeboltv.com,hulkusc.com,ip-address.org,lustich.de,macappdownload.com,megapanda.net,mixtapemonkey.com,nplay.com,playlivenewz.com,reqlinks.net,sadeempc.com,streamlord.com,studylecturenotes.com,teachertube.com,upload.so,uploadshub.com,userscdn.com,yourvideohost.com##script:inject(bab-defuser.js)
+! https://forums.lanik.us/viewtopic.php?f=64&t=27908
+! https://github.com/gorhill/uBlock/issues/1354
+androidaba.com,animes-mangas-ddl.com,automobile-catalog.com,best-movies.info,blackmod.net,bnonews.com,crazymeds.us,d-h.st,davinsurance.com,freetimelearning.com,futeboltv.com,geekgiant.in,hulkusc.com,ip-address.org,indiatyping.co,justnerd.it,lustich.de,macappdownload.com,megapanda.net,mixtapemonkey.com,nplay.com,pixelexperience.org,playlivenewz.com,readheroacademia.com,reqlinks.net,sadeempc.com,snowfiles.com,streamlord.com,studylecturenotes.com,superyachtfan.com,teachertube.com,upload.so,uploadshub.com,userscdn.com,videoadept.com,yourvideohost.com##+js(bab-defuser.js)
 
-# https://adblockplus.org/forum/viewtopic.php?f=2&t=41860
-filmstreaming-hd.com,gaara-fr.com,gaytube.com,gum-gum-streaming.com,hentaifr.net,hentaihaven.org,narutoshippudenvf.com,thebadbuzz.com,tuxboard.com,xstory-fr.com##script:inject(phenv-defuser.js)
+! https://adblockplus.org/forum/viewtopic.php?f=2&t=41860
+filmstreaming-hd.com,gaara-fr.com,gaytube.com,gum-gum-streaming.com,hentaifr.net,hentaihaven.org,narutoshippudenvf.com,thebadbuzz.com,tuxboard.com,xstory-fr.com##+js(phenv-defuser.js)
 
-# https://github.com/gorhill/uBlock/issues/1401
+! https://github.com/gorhill/uBlock/issues/1401
 armorgames.com,mmohuts.com,newgrounds.com,onrpg.com,silvergames.com##a[href*="mmo123.co/egame?"]
 
-# https://forums.lanik.us/viewtopic.php?f=62&t=28856
+! https://forums.lanik.us/viewtopic.php?f=62&t=28856
 ||godlessnightsfilm.co.uk/scripts/ad-gallery/$important,third-party
 
-# https://github.com/gorhill/uBlock/issues/1340#issuecomment-191082824
+! https://github.com/gorhill/uBlock/issues/1340#issuecomment-191082824
 ||gamingaffiliation.com^$third-party
 
-# https://twitter.com/DThibaut67/status/707624770653843456
+! https://twitter.com/DThibaut67/status/707624770653843456
 ! https://forums.lanik.us/viewtopic.php?f=90&t=28654
 ! https://forums.lanik.us/viewtopic.php?f=90&t=40773
-sport1.de##script:inject(abort-on-property-read.js, cursorAd)
+sport1.de##+js(abort-on-property-read.js, cursorAd)
 ||adnxs.com/*/sport1.js$script,redirect=noopjs,domain=sport1.de
 ||acdn.adnxs.com/as/1h/pages/sport1_mediathek.js$script,redirect=noopjs,domain=sport1.de
 
-# https://twitter.com/FabienTipon/status/711877626638503936
+! https://twitter.com/FabienTipon/status/711877626638503936
 @@||f1g.fr/*/adsense.js$script
 
 ||lemde.fr/*/xitistatus.js$script,redirect=fuckadblock.js-3.2.0,domain=lemonde.fr
 ||d1447tq2m68ekg.cloudfront.net/advertisement.js$script,redirect=noopjs,domain=leparisien.fr
 @@||static.lexpress.fr/*/ads.$script,stylesheet
-lemonde.fr##script:inject(lemonde-defuser.js)
-# https://forums.lanik.us/viewtopic.php?f=91&t=29267
+lemonde.fr##+js(lemonde-defuser.js)
+! https://forums.lanik.us/viewtopic.php?f=91&t=29267
 www.rtl.fr###modal-warning
-rtl.fr##script:inject(rtlfr-defuser.js)
+rtl.fr##+js(rtlfr-defuser.js)
 
-# http://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-77
-imore.com##script:inject(imore-sanitizer.js)
+! http://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-77
+imore.com##+js(imore-sanitizer.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=25212&start=15
 ! https://github.com/uBlockOrigin/uAssets/issues/3
-animeuploads.com,christianpost.com,cizgifilmlerizle.com,thefreethoughtproject.com##script:inject(impspcabe-defuser.js)
+christianpost.com,cizgifilmlerizle.com,thefreethoughtproject.com##+js(impspcabe-defuser.js)
 ||christianpost.com/js/plugins/sticky/sticky.js
 ||letsadvertisetogether.com^$important,domain=christianpost.com
 
-# https://github.com/uBlockOrigin/uAssets/issues/8
-navigaweb.net##script:inject(alert-buster.js)
+! https://github.com/uBlockOrigin/uAssets/issues/8
+navigaweb.net##+js(alert-buster.js)
 
-# https://adblockplus.org/forum/viewtopic.php?f=10&t=44887
+! https://adblockplus.org/forum/viewtopic.php?f=10&t=44887
 vaughnlive.tv##.abvsDynamic
 
-# https://github.com/uBlockOrigin/uAssets/issues/15
+! https://github.com/uBlockOrigin/uAssets/issues/15
 ||file-upload.net^$subdocument
 file-upload.net##iframe
 
@@ -311,7 +324,7 @@ file-upload.net##iframe
 @@|data:text/html$popup,domain=lomapornotube.com|namesakeoscilloscopemarquis.com
 
 ! https://archive.rebeccablacktech.com/g/thread/S54040346#p54046766
-pornhub.com##script:inject(pornhub-sanitizer.js)
+pornhub.com##+js(pornhub-sanitizer.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=25847&start=30#p91604
 ||widgethost.barnebys.com^$third-party
@@ -326,14 +339,14 @@ pornhub.com##script:inject(pornhub-sanit
 ||w87.eu/ads/banner.png$image,redirect=32x32-transparent.png,domain=im9.eu
 
 ! https://github.com/ryanbr/fanboy-adblock/issues/8
-etc.se##script:inject(overlay-buster.js)
+etc.se##+js(overlay-buster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/36
-play.spotify.com##script:inject(nr-unwrapper.js)
+play.spotify.com##+js(nr-unwrapper.js)
 
 ! Computers seizing thanks to these moronic scripts leading to system-wide out
 ! of memory condition
-# https://github.com/gorhill/uBlock/issues/1449
+! https://github.com/gorhill/uBlock/issues/1449
 ||twnmm.com/js/*/adobe_audience_manager$script
 ! https://forums.informaction.com/viewtopic.php?f=10&t=21675
 ||twnmm.com/js/*/dfpad$script
@@ -343,9 +356,9 @@ play.spotify.com##script:inject(nr-unwra
 ||partner.googleadservices.com/gpt/pubads_impl_$script,important,domain=cityam.com
 ||ad.crwdcntrl.net^$script,important,domain=cityam.com
 
-# https://forums.lanik.us/viewtopic.php?f=91&t=27188
+! https://forums.lanik.us/viewtopic.php?f=91&t=27188
 ||ligatus.com/*/angular-tag.js$script,redirect=ligatus.com/*/angular-tag.js
-# https://forums.lanik.us/viewtopic.php?f=91&t=29609
+! https://forums.lanik.us/viewtopic.php?f=91&t=29609
 ||ligatus.com/*/angular-tag-https.js$script,redirect=ligatus.com/*/angular-tag.js
 
 ! Use on `http://thewatchseries.to/` to deliver ads
@@ -362,12 +375,12 @@ ibtimes.co.uk##body:style(overflow: auto
 
 ! https://github.com/uBlockOrigin/uAssets/issues/58
 ||cdn*.deadline.com^
-deadline.com,tweaktown.com##script:inject(gpt-defuser.js)
-deadline.com##script:inject(abort-on-property-write.js, _sp_)
+deadline.com,tweaktown.com##+js(gpt-defuser.js)
+deadline.com##+js(abort-on-property-write.js, _sp_)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=45634#p157317
 ! https://github.com/uBlockOrigin/uAssets/issues/362
-allmusic.com,sidereel.com##script:inject(abort-on-property-read.js, require)
+allmusic.com,sidereel.com##+js(abort-on-property-read.js, require)
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=45634
 ||1rx.s3.amazonaws.com/advert.js$script,redirect=noopjs,domain=allmusic.com
 ||cdn.complexmedianetwork.com/js/cmnUNT.js$important,script,redirect=noopjs,domain=allmusic.com
@@ -393,23 +406,22 @@ bloomberg.com###adBlockerContainer
 ||104.197.199.227^
 ||104.197.199.227^$popup
 ! https://github.com/uBlockOrigin/uAssets/issues/699
-opensubtitles.org##script:inject(abort-current-inline-script.js, atob)
+opensubtitles.org##+js(abort-current-inline-script.js, atob)
 opensubtitles.org###loginBoxSubs
 opensubtitles.org###network
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31363
-videowood.tv##script:inject(videowood.tv.js)
+videowood.tv##+js(videowood.tv.js)
 
 ! https://github.com/gorhill/uBlock/issues/1340#issuecomment-230280766
-generation-nt.com##script:inject(phenv-defuser.js)
+generation-nt.com##+js(phenv-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31389
-livenewschat.eu##script:inject(bab-defuser.js)
+livenewschat.eu##+js(bab-defuser.js)
 livenewschat.eu##ins[id^="aswift_"]
 
 ! uBO's own solution for incessant attempts at circumventing blockers:
 ! "important" option used to bypass EasyList exception filters.
-*$script,websocket,third-party,domain=gaytube.com|pornhub.com|redtube.com|redtube.it|tube8.com|tube8.es|tube8.fr|xtube.com|youjizz.com|youporn.com|youporngay.com
 ||cdn.engine.*.doublepimp.com^$important,domain=gaytube.com|pornhub.com|redtube.com|redtube.it|tube8.com|tube8.es|tube8.fr|xtube.com|youjizz.com|youporn.com|youporngay.com
 @@||ajax.googleapis.com^$script,domain=gaytube.com|pornhub.com|redtube.com|redtube.it|tube8.com|tube8.es|tube8.fr|xtube.com|youjizz.com|youporn.com|youporngay.com
 @@||phncdn.com^$image,media,object,stylesheet,domain=gaytube.com|pornhub.com|redtube.com|redtube.it|tube8.com|tube8.es|tube8.fr|xtube.com|youjizz.com|youporn.com|youporngay.com
@@ -421,12 +433,13 @@ livenewschat.eu##ins[id^="aswift_"]
 ! https://github.com/uBlockOrigin/uAssets/issues/39
 ||comeadvertisewithus.com.*/ads.js$important,domain=pornhub.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|xtube.com|youporn.com|youporngay.com
 ||traffichaus.com.*/ads.js$important,domain=pornhub.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|xtube.com|youporn.com|youporngay.com
+! https://github.com/NanoMeow/QuickReports/issues/144
 redtube.com###ab_banner
 redtube.com##.clearfix:has-text(Ads)
-redtube.com###content_container > [class]:has-text(Ads)
+redtube.com###browse_section > div:has(:scope > div > a.ad-link)
 ||fotzenparty.eu^$important
 ||192.168.*/images/$important,domain=pornhub.com|xtube.com
-pornhub.com,xtube.com##script:inject(abort-on-property-write.js, AdDelivery)
+pornhub.com,xtube.com##+js(abort-on-property-write.js, AdDelivery)
 pornhub.com##.sectionWrapper > div[class]:has(:scope > div > .ad-link)
 ! https://twitter.com/471_ba/status/801463415382441988
 @@||static.pornhub.phncdn.com^$script,domain=pornhub.com
@@ -434,17 +447,17 @@ pornhub.com##.sectionWrapper > div[class
 @@||static.images-gaytube.com^$script,domain=gaytube.com
 ! https://github.com/uBlockOrigin/uAssets/issues/39#issuecomment-269403620
 /fp.eng?id=$popunder
-pornhub.com##script:inject(abort-on-property-write.js, rAb)
+pornhub.com##+js(abort-on-property-write.js, rAb)
 ! https://forums.lanik.us/viewtopic.php?p=117780#p117780
-pornhub.com##script:inject(csp.js, img-src 'self' *; media-src 'self' *)
+pornhub.com##+js(csp.js, img-src 'self' *; media-src 'self' *)
 ! https://github.com/uBlockOrigin/uAssets/issues/2913
-pornhub.com##script:inject(addEventListener-defuser.js, DOMContentLoaded, [native code])
+pornhub.com##+js(addEventListener-defuser.js, DOMContentLoaded, [native code])
 pornhub.com##sads
 ! https://github.com/uBlockOrigin/uAssets/issues/356
 ! https://forums.lanik.us/viewtopic.php?p=120148#p120148
-youjizz.com##script:inject(abort-on-property-write.js, nb)
+youjizz.com##+js(abort-on-property-write.js, nb)
 @@||yjcontentdelivery.com^$script,domain=youjizz.com
-youjizz.com##script:inject(noeval.js)
+youjizz.com##+js(noeval.js)
 youjizz.com###desktopFooterPr
 
 ! https://github.com/uBlockOrigin/uAssets/issues/78
@@ -453,7 +466,7 @@ youjizz.com###desktopFooterPr
 *$websocket,domain=nowvideo.ag|nowvideo.co|nowvideo.ec|nowvideo.li|nowvideo.sx|nowvideo.to
 
 ! https://github.com/gorhill/uBlock/issues/1340#issuecomment-230495317
-mangas-fr.com##script:inject(__$dc-defuser.js)
+mangas-fr.com##+js(__$dc-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/80
 upornia.com##.mjs-closeplay:style(z-index:-1)
@@ -465,31 +478,31 @@ strikeout.me##body > div:has(img[alt="Ad
 go.mail.ru##.responses__wrapper > div > div:has([href^="http://an.yandex.ru/"])
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31220
-merriam-webster.com##script:inject(abort-on-property-write.js, adonisHash)
+merriam-webster.com##+js(abort-on-property-write.js, adonisHash)
 ! https://forums.lanik.us/viewtopic.php?f=62&t=34903
 merriam-webster.com##.abl
 
 ! https://forums.lanik.us/viewtopic.php?f=91&t=31272
-dpstream.net##script:inject(fuckadblock.js-3.2.0)
-dpstream.net##script:inject(abort-on-property-write.js, Fingerprint2)
+dpstream.net##+js(fuckadblock.js-3.2.0)
+dpstream.net##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=35109
 ! https://github.com/uBlockOrigin/uAssets/issues/1144
 ||ad2up.com^$subdocument,redirect=noopframe,domain=al.ly|ally.sh
 ||clksite.com^$subdocument,redirect=noopframe,domain=al.ly|ally.sh
-al.ly##script:inject(addEventListener-defuser.js, click, popunder)
-al.ly,ally.sh##script:inject(noeval.js)
-al.ly,ally.sh##script:inject(popads.net.js)
+al.ly##+js(addEventListener-defuser.js, click, popunder)
+al.ly,ally.sh##+js(noeval.js)
+al.ly,ally.sh##+js(popads.net.js)
 ||adservice.google.com^$script,important,domain=al.ly|ally.sh
 @@||al.ly^$generichide
 @@||ally.sh^$generichide
 @@||ally.sh/static/*$script,domain=al.ly
 @@||pagead2.googlesyndication.com/pagead/$script,domain=ally.sh|al.ly
-al.ly,ally.sh##[id^=aswift]
+al.ly,ally.sh##[id^="aswift"]
 
 ! https://www.reddit.com/r/dataisbeautiful/comments/4t4d16/chart_shows_why_pharma_companies_are_fighting/d5ejqc0
 ! https://github.com/uBlockOrigin/uAssets/issues/2317
-washingtonpost.com##script:inject(abort-current-inline-script.js, InstallTrigger, _0x)
+washingtonpost.com##+js(abort-current-inline-script.js, InstallTrigger, _0x)
 washingtonpost.com##.adblocker-root
 ! https://bugzilla.mozilla.org/show_bug.cgi?id=1466730
 washingtonpost.com##html:style(overflow: auto !important;)
@@ -501,14 +514,14 @@ yadi.sk##.aside-public__info-wrapper > d
 yadi.sk##.folder-public__content-wrapper:matches-css(position: absolute)
 
 ! https://www.reddit.com/r/firefox/comments/4ucrvy/can_ublock_origin_disable_javascript_for_a/
-hindustantimes.com##script:inject(hindustantimes.com.js)
+hindustantimes.com##+js(hindustantimes.com.js)
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31600
 hindustantimes.com###div_adblock
 hindustantimes.com###div_storyContent:style(display: initial !important;)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31285&start=30
 ||indiatimes.com/detector$script
-indiatimes.com##script:inject(indiatimes.com.js)
+indiatimes.com##+js(indiatimes.com.js)
 ||static.clmbtech.com^$script,important,domain=indiatimes.com
 ||chartbeat.com/js/chartbeat.js$script,important,domain=indiatimes.com
 ||tags.crwdcntrl.net^$script,important,domain=indiatimes.com
@@ -517,13 +530,17 @@ mumbaimirror.indiatimes.com##body:style(
 mumbaimirror.indiatimes.com###container:style(opacity: 1 !important;)
 mumbaimirror.indiatimes.com###blcontent
 mumbaimirror.indiatimes.com###blwrapper
+timesofindia.indiatimes.com##:xpath(//p[contains(text(),"Ad ")]/../..)
+economictimes.indiatimes.com##.active > ul > li:has-text(Ad:)
+timesofindia.indiatimes.com##.hm_adlist
+timesofindia.indiatimes.com##.esi_container:has([onclick] P:matches-css-before(content:/Ad/))
 
 ! https://github.com/gorhill/uBlock/issues/1789
 ! https://forums.lanik.us/viewtopic.php?p=98839
-bhaskar.com,divyabhaskar.co.in##script:inject(bhaskar.com.js)
+bhaskar.com,divyabhaskar.co.in##+js(bhaskar.com.js)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=47754
-thesimsresource.com##script:inject(thesimsresource.com.js)
+thesimsresource.com##+js(thesimsresource.com.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/88
 ! https://github.com/uBlockOrigin/uAssets/issues/211
@@ -531,15 +548,15 @@ thesimsresource.com##script:inject(thesi
 ! https://github.com/uBlockOrigin/uAssets/issues/622
 ! https://github.com/uBlockOrigin/uAssets/issues/753
 ! https://github.com/uBlockOrigin/uAssets/issues/1404
-||svonm.com/hd-main.js$script,redirect=hd-main.js,domain=4players.de|brigitte.de|buffed.de|erdbeerlounge.de|gamesaktuell.de|gamezone.de|gamona.de|giga.de|gmx.net|golem.de|kicker.de|kino.de|myspass.de|pcgames.de|pcgameshardware.de|spiegel.de|spiegel.tv|spielaffe.de|spieletipps.de|t-online.de|thrashermagazine.com|web.de|welt.de|videogameszone.de
-4players.de,brigitte.de,buffed.de,chip.de,erdbeerlounge.de,gamesaktuell.de,gamezone.de,gamona.de,giga.de,gmx.net,golem.de,kicker.de,kino.de,myspass.de,pcgames.de,pcgameshardware.de,spiegel.de,spiegel.tv,spielaffe.de,spieletipps.de,t-online.de,thrashermagazine.com,videogameszone.de,web.de,welt.de##script:inject(golem.de.js)
+||svonm.com/hd-main.js$script,redirect=hd-main.js,domain=4players.de|brigitte.de|buffed.de|erdbeerlounge.de|gamesaktuell.de|gamezone.de|gamona.de|giga.de|golem.de|kicker.de|kino.de|myspass.de|pcgames.de|pcgameshardware.de|spiegel.de|spiegel.tv|spielaffe.de|spieletipps.de|t-online.de|thrashermagazine.com|welt.de|videogameszone.de
+4players.de,brigitte.de,buffed.de,chip.de,erdbeerlounge.de,gamesaktuell.de,gamezone.de,gamona.de,giga.de,golem.de,kicker.de,kino.de,myspass.de,pcgames.de,pcgameshardware.de,spiegel.de,spiegel.tv,spielaffe.de,spieletipps.de,t-online.de,thrashermagazine.com,videogameszone.de,welt.de##+js(golem.de.js)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=45273&start=15#p156427
 dailycaller.com##[id^="outbrain_widget"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/70
 ! https://forums.lanik.us/viewtopic.php?p=99583#p99583
-aranzulla.it##script:inject(abort-on-property-read.js, navigator.userAgent)
+aranzulla.it##+js(abort-on-property-read.js, navigator.userAgent)
 
 ! https://forums.lanik.us/viewtopic.php?f=102&t=29381
 seasonvar.ru##.td-for-left-block
@@ -547,10 +564,10 @@ seasonvar.ru##html > body:style(padding-
 seasonvar.ru###b_sl_51
 
 ! https://github.com/uBlockOrigin/uAssets/issues/90
-pikabu.ru##.story:has(a[href*='pikabu.ru/html.php?id=ad'])
+pikabu.ru##.story:has(a[href*="pikabu.ru/html.php?id=ad"])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/66
-blogfolha.uol.com.br,economia.uol.com.br,educacao.uol.com.br,folha.uol.com.br##script:inject(folha-de-sp.js)
+blogfolha.uol.com.br,economia.uol.com.br,educacao.uol.com.br,folha.uol.com.br##+js(folha-de-sp.js)
 ||paywall.folha.uol.com.br/wall.jsonp?callback=paywall.inicio$domain=blogfolha.uol.com.br|educacao.uol.com.br|folha.uol.com.br
 ! https://github.com/uBlockOrigin/uAssets/issues/124
 ||jsuol.com.br/*/detectadblock/$script,important,domain=uol.com.br
@@ -604,7 +621,7 @@ businesstoday.in###story-maincontent:sty
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=46010
 ! https://github.com/uBlockOrigin/uAssets/issues/102
-indiatoday.in,indiatoday.intoday.in##script:inject(indiatoday.intoday.in.js)
+indiatoday.in,indiatoday.intoday.in##+js(indiatoday.intoday.in.js)
 indiatoday.in,indiatoday.intoday.in##.ad_bn.row
 indiatoday.in,intoday.in###adbocker_alt
 indiatoday.in,intoday.in###zedoads1:style(height: 1px !important)
@@ -620,10 +637,10 @@ fastpic.ru##body:style(cursor: default !
 fastpic.ru##html:style(cursor: default !important;)
 
 ! https://github.com/gorhill/uBlock/issues/1879#issuecomment-239651221
-123bay.*,inbypass.*,tormirror.*,tpb.*,unlockme.*,yts.ag##script:inject(noeval.js)
+123bay.*,inbypass.*,tormirror.*,tpb.*,unlockme.*,yts.ag##+js(noeval.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32108
-imgpile.com##script:inject(bab-defuser.js)
+imgpile.com##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=102&t=30468&start=15
 hdrezka.me##html > body.active-brand.pp:style(padding-top: 0 !important;)
@@ -641,21 +658,26 @@ eurogamer.net##html:style(cursor: defaul
 ||bit.ly^$popup,domain=eurogamer.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/98
-facebook.com###stream_pagelet div[id^="hyperfeed_story_id_"]:has(a.uiStreamSponsoredLink)
+facebook.com,facebookcorewwwi.onion###stream_pagelet div[id^="hyperfeed_story_id_"]:has(a.uiStreamSponsoredLink)
 ! "People You May Know": EasyList tries to block these, might as well block them fully
-facebook.com###stream_pagelet div[id^="hyperfeed_story_id_"]:if(h6:has-text(People You May Know))
+facebook.com,facebookcorewwwi.onion###stream_pagelet div[id^="hyperfeed_story_id_"]:if(h6:has-text(People You May Know))
 m.facebook.com##article:has(footer > div > div > a[href^="/friends/center/?fb_ref="])
 ! https://www.reddit.com/r/uBlockOrigin/comments/58o3k6/facebook_ads_solution/
-facebook.com##.ego_section:has(a.adsCategoryTitleLink)
+facebook.com,facebookcorewwwi.onion##.ego_section:has(a.adsCategoryTitleLink)
 ! https://github.com/uBlockOrigin/uAssets/issues/507
-facebook.com###stream_pagelet [id^="hyperfeed_story_id_"]:has(span._4dcu)
+facebook.com,facebookcorewwwi.onion###stream_pagelet [id^="hyperfeed_story_id_"]:has(span._4dcu)
 ! https://github.com/uBlockOrigin/uAssets/issues/722
-facebook.com##.ego_column:if(a[href^="/campaign/landing"])
+facebook.com,facebookcorewwwi.onion##.ego_column:if(a[href^="/campaign/landing"])
 ! https://forums.lanik.us/viewtopic.php?p=128997#p128997
-facebook.com##[id^="hyperfeed_story_id_"]:if([id^="feed_subtitle_"] a[href]:matches-css-after(content:/Gesponsert|Sponsored|Sponsrad/))
-facebook.com##div[data-testid="fbfeed_story"]:if(a[href*="[is_sponsored]"])
-facebook.com##.ego_section:if(a[href^="/ad_campaign"])
-facebook.com##.userContentWrapper:has(a[href*="/ads/"])
+facebook.com,facebookcorewwwi.onion##[id^="hyperfeed_story_id_"]:if([id^="feed_subtitle_"] a[href]:matches-css-after(content:/Gesponsert|Sponsored|Sponsrad/))
+facebook.com,facebookcorewwwi.onion##div[data-testid="fbfeed_story"]:if(a[href*="[is_sponsored]"])
+facebook.com,facebookcorewwwi.onion##.ego_section:if(a[href^="/ad_campaign"])
+facebook.com,facebookcorewwwi.onion##.userContentWrapper:has(a[href*="/ads/"])
+! https://github.com/uBlockOrigin/uAssets/issues/3367
+facebook.com,facebookcorewwwi.onion##[id^="hyperfeed_story_id_"]:has(a[href*="client_token"])
+facebook.com#@#div[id^="hyperfeed_story_id_"]:has(a[href*="utm_campaign"])
+facebook.com,facebookcorewwwi.onion##.userContentWrapper>div div>span>span:has-text(^Suggested Post$)
+facebook.com,facebookcorewwwi.onion##div[id^="hyperfeed_story_id_"]:if(div[id*="feed_subtitle_"] > span:matches-css(display:none):has(abbr .timestampContent))
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32142
 ||ruiguozhi.cc^
@@ -664,16 +686,16 @@ facebook.com##.userContentWrapper:has(a[
 mail.yahoo.com###shellcontent:style(right: 0px !important;)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/103
-happy-hack.ru##script:inject(noeval.js)
+happy-hack.ru##+js(noeval.js)
 ||pagead2.googlesyndication.com^$script,important,domain=happy-hack.ru
 ||google.com/ads/popudner/banner.jpg$image,important,domain=happy-hack.ru
 happy-hack.ru##.adsbygoogle
-happy-hack.ru##table[id^='blockblock']
+happy-hack.ru##table[id^="blockblock"]
 happy-hack.ru##body > *[id^="blockblock"]:style(visibility: visible !important; display: block !important;)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32070
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32255
-xnxx.com,xvideos.com##script:inject(xvideos.com.js)
+xnxx.com,xvideos.com##+js(xvideos.com.js)
 xvideos.com###content > [id]:has(:scope > img:first-of-type + img:last-of-type)
 xvideos.com###page > [id]:has(:scope > img:only-of-type)
 xvideos.com###main > [id]:has(a[href^="https://main.trafficfactory.biz/"])
@@ -682,16 +704,16 @@ xvideos.com###page.video-page > [id]:has
 xvideos.com##.sponsor_popup
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32165
-watch8x.com##script:inject(noeval.js)
+watch8x.com##+js(noeval.js)
 ||fieldpprofile.com^
 ||fieldpprofile.com^$popup
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31796
-fullstuff.co##script:inject(bab-defuser.js)
+fullstuff.co##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32190
 ! https://github.com/uBlockOrigin/uAssets/issues/689
-short.am##script:inject(abort-current-inline-script.js, en)
+short.am##+js(abort-current-inline-script.js, en)
 ||pagead2.googlesyndication.com^$important,script,domain=short.am
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32208
@@ -706,34 +728,35 @@ hastlegames.com###pageWrapper:style(disp
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31322&start=30
 ndtv.com###ndtv-myModal
 ndtv.com##body:style(overflow: auto !important)
-ndtv.com##script:inject(ndtv.com.js)
+ndtv.com##+js(ndtv.com.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31409&start=15
-nmac.to##script:inject(bab-defuser.js)
+nmac.to##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=24179
 ||googlesyndication.com^$script,redirect=noopjs,important,domain=sc2casts.com
 ! https://github.com/uBlockOrigin/uAssets/issues/252
-sc2casts.com##script:inject(abort-current-inline-script.js, setTimeout, ins.adsbygoogle)
+sc2casts.com##+js(abort-current-inline-script.js, setTimeout, ins.adsbygoogle)
 
 ! https://twitter.com/xxdesmus/status/767410203792805888
 foreignpolicy.com###TB_window
 foreignpolicy.com##body:style(overflow: auto !important;)
 
-! https://forums.lanik.us/viewtopic.php?f=62&t=33031
 ! https://github.com/uBlockOrigin/uAssets/issues/2106
-userscloud.com##script:inject(abort-on-property-write.js, Fingerprint2)
-userscloud.com##script:inject(abort-on-property-write.js, open)
-userscloud.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-userscloud.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-userscloud.com##script:inject(remove-attr.js, onclick)
+! https://github.com/uBlockOrigin/uAssets/issues/3573
+userscloud.com##+js(abort-on-property-write.js, Fingerprint2)
+userscloud.com##+js(abort-on-property-write.js, open)
+userscloud.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+userscloud.com##+js(remove-attr.js, onclick)
+userscloud.com##+js(abort-current-inline-script.js, atob, decodeURIComponent)
+userscloud.com##A[href$=".html"][rel="nofollow norefferer noopener"]
 @@||userscloud.com^$generichide
 ||userscloud.com/sw.js$script
 ||pix.sr/images/banner
 ||free-cloud-storage.com^$popup
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=32278
-jpost.com##script:inject(abort-current-inline-script.js, atob, TextDecoder)
+jpost.com##+js(abort-current-inline-script.js, atob, TextDecoder)
 ||ufraton.com^
 
 ! https://forums.lanik.us/viewtopic.php?f=91&t=22581
@@ -743,22 +766,22 @@ jpost.com##script:inject(abort-current-i
 diablofans.com##div[class]:has(:scope > div[data-google-query-id])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/108
-wetteronline.de##script:inject(wetteronline.de.js)
+wetteronline.de##+js(wetteronline.de.js)
 wetteronline.de###woRect
 wetteronline.de###woCsiAdContent
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=48156
-trafictube.ro##script:inject(trafictube.ro.js)
+trafictube.ro##+js(trafictube.ro.js)
 trafictube.ro##.smecher
 trafictube.ro##.widget-smecher
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=30547
-dragoart.com##script:inject(bab-defuser.js)
+dragoart.com##+js(bab-defuser.js)
 ||pagead2.googlesyndication.com^$script,important,domain=dragoart.com
 dragoart.com###centercol_io > div[style]:has(script[src^="https://pagead2.googlesyndication.com/"])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/104
-timesofindia.com##script:inject(indiatimes.com.js)
+timesofindia.com##+js(indiatimes.com.js)
 m.timesofindia.com,m.photos.timesofindia.com##.ad1
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=m.timesofindia.com
 ! https://github.com/uBlockOrigin/uAssets/issues/176
@@ -774,32 +797,35 @@ m.aajtak.in##body > .secArticleImage:sty
 m.aajtak.in##body > .storyBody:style(display: block !important)
 
 ! As of 2016-12-02, found site uses WebRTC to deliver ads
-tomshardware.*##script:inject(abort-on-property-write.js, tmnramp)
-tomshardware.*##script:inject(nowebrtc.js)
+tomshardware.*##+js(abort-on-property-write.js, tmnramp)
+tomshardware.*##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/110
-finanzen.*##script:inject(uabinject-defuser.js)
-finanzen.*##script:inject(smartadserver.com.js)
+finanzen.*##+js(abort-on-property-read.js, uabpd3)
+finanzen.*##+js(smartadserver.com.js)
 finanzen.*###bs_abstand
 finanzen.*##[id^="sas_"]:style(height: 1px !important)
 
 ! https://github.com/gorhill/uBlock/issues/1936
-parentherald.com##script:inject(noeval.js)
-parentherald.com##script:inject(abort-on-property-read.js, ADBlocked)
+parentherald.com##+js(noeval.js)
+parentherald.com##+js(abort-on-property-read.js, ADBlocked)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32381
 ||trackpprofile.com^$popup
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32401
-minecraftbuildinginc.com##script:inject(bab-defuser.js)
-minecraftbuildinginc.com##script:inject(set-constant.js, $tieE3, true)
+minecraftbuildinginc.com##+js(bab-defuser.js)
+minecraftbuildinginc.com##+js(set-constant.js, $tieE3, true)
 
 ! https://github.com/reek/anti-adblock-killer/issues/2000
 @@||360haven.com/*ad$script
-360haven.com##script:inject(bab-defuser.js)
+360haven.com##+js(bab-defuser.js)
 ||pagead2.googlesyndication.com^$script,important,domain=360haven.com
 360haven.com###pageWrapper:style(display: initial !important;)
 360haven.com###notices
+360haven.com##+js(set-constant.js, blockAdblockUser, noopFunc)
+360haven.com###ad_global_above_footer
+||adsagony.com$third-party
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32150
 ||bpasyspro.com^
@@ -811,7 +837,7 @@ minecraftbuildinginc.com##script:inject(
 
 
 ! https://github.com/uBlockOrigin/uAssets/issues/101
-tugaflix.*##script:inject(fuckadblock.js-3.2.0)
+tugaflix.*##+js(fuckadblock.js-3.2.0)
 openload.co#@#.vjs-poster
 openload.co#@##videooverlay
 ||tugaflix.net/tema/marsbet_3.gif
@@ -820,14 +846,14 @@ openload.co#@##videooverlay
 ! https://github.com/uBlockOrigin/uAssets/issues/125
 ||d3pkae9owd2lcf.cloudfront.net/*.gz.js$important,script,redirect=d3pkae9owd2lcf.cloudfront.net/mb105.js,domain=hotslogs.com|poe.trade|wowhead.com
 ! https://github.com/uBlockOrigin/uAssets/issues/227#issuecomment-294275439
-wowhead.com##script:inject(abort-on-property-write.js, MonkeyBroker)
+wowhead.com##+js(abort-on-property-write.js, MonkeyBroker)
 ||volantix.com^$domain=wowhead.com
 
 ! http://www.linuxtricks.fr/news/10-logiciels-libres/169-contourner-les-anti-bloqueurs-de-pub-la-revanche/
-lesechos.fr##script:inject(lesechos.fr.js)
+lesechos.fr##+js(lesechos.fr.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/126
-uploaded.net##script:inject(fuckadblock.js-3.2.0)
+uploaded.net##+js(fuckadblock.js-3.2.0)
 uploaded.net###pico-1
 uploaded.net##.pico-overlay
 uploaded.net###fakeContentBoxContainer
@@ -837,7 +863,7 @@ uploaded.net###fakeContentBoxContainer
 ! https://github.com/uBlockOrigin/uAssets/issues/127
 gadgets.ndtv.com##.adblockerContent:style(display: initial !important;)
 gadgets.ndtv.com###ndtv-message-userss
-ndtv.com##script:inject(abort-on-property-read.js, ___p__p)
+ndtv.com##+js(abort-on-property-read.js, ___p__p)
 
 ! https://issues.adblockplus.org/ticket/4390
 joyreactor.cc,reactor.cc###content:matches-css(font-size: 31px)
@@ -861,38 +887,35 @@ amazon.*##.s-result-item:has(:scope > .s
 ||tripadvisor.*/PricefinderPopunder$popunder,popup
 
 ! https://github.com/gorhill/uBlock/issues/1984
-avaxhome.co##script:inject(bab-defuser.js)
+avaxhome.co##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/141
-viedemerde.fr##script:inject(criteo.net.js)
+viedemerde.fr##+js(criteo.net.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/144
-animmex.*##script:inject(bab-defuser.js)
+animmex.*##+js(bab-defuser.js)
 ||4553t5pugtt1qslvsnmpc0tpfz5fo.xyz^$inline-script
 
-! https://github.com/gorhill/uBlock/issues/1993
-||cda-online.pl/wp-content/uploads/*.js$script
-
 ! https://www.reddit.com/r/uBlockOrigin/comments/52llxu/adchoices/
 ! https://github.com/uBlockOrigin/uAssets/issues/234
-dictionary.com,thesaurus.com##script:inject(abort-on-property-write.js, _sp_)
+dictionary.com,thesaurus.com##+js(abort-on-property-write.js, _sp_)
 
 ! https://www.reddit.com/r/technology/comments/53olb5/users_lash_out_as_adblock_plus_opens_the_door_to/
 livemint.com###div_storyContent:style(display: block !important;)
 livemint.com###div_adblock
 
 ! https://forum.adguard.com/index.php?threads/block-rtcpeerconnection.13808/
-alltube.tv##script:inject(noeval.js)
+alltube.tv##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/38
 ! https://github.com/uBlockOrigin/uAssets/issues/150
-investmentweek.co.uk,professionaladviser.com,techworld.com,theinquirer.net##script:inject(r3z-defuser.js)
+investmentweek.co.uk,professionaladviser.com,techworld.com,theinquirer.net##+js(r3z-defuser.js)
 ||googletagservices.com/tag/js/gpt.js$script,important,domain=theinquirer.net
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=31813
 ! https://github.com/uBlockOrigin/uAssets/issues/1319
-imagefap.com##script:inject(abort-on-property-read.js, Buu.serve)
-imagefap.com##script:inject(addEventListener-defuser.js, click, [native code])
+imagefap.com##+js(abort-on-property-read.js, Buu.serve)
+imagefap.com##+js(addEventListener-defuser.js, click, [native code])
 imagefap.com##iframe[src="about:blank"]
 ! https://forums.lanik.us/viewtopic.php?p=131942#p131942
 @@||beta.imagefap.com/jscripts/lazyload.js
@@ -907,7 +930,8 @@ beta.imagefap.com##.ad_placeholder
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=30370
 ! https://github.com/uBlockOrigin/uAssets/issues/1347
-motherless.com##script:inject(abort-on-property-read.js, _ml_ads_ns)
+motherless.com##+js(abort-current-inline-script.js, setTimeout, PopSettings)
+motherless.com##+js(abort-on-property-read.js, _ml_ads_ns)
 motherless.com##.view-right:has(table > tbody > tr > td > script[src^="https://ads.exoclick.com/"])
 motherless.com###main > div:has(:scope > div > script[src^="https://ads.exoclick.com/"])
 motherless.com##[href^="https://syndication.dynsrvwer.com/splash.php"]
@@ -921,14 +945,12 @@ bangaloremirror.com##body:style(overflow
 ! https://forums.lanik.us/viewtopic.php?f=62&t=33080
 ! https://twitter.com/southro_p/status/932863110011961344
 twitter.com##.stream .tweet[data-card2-type="promo_website"]
-! https://twitter.com/kuvosa/status/783534512626098176
-twitter.com##.promoted-tweet[data-disclosure-type="promoted"]
 
 ! https://github.com/gorhill/uBlock/issues/2036
 bucksfreepress.co.uk###__nq__hh:style(visibility: collapse !important)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=33131
-lasprovincias.es##script:inject(ideal.es.js)
+lasprovincias.es##+js(ideal.es.js)
 
 ! https://twitter.com/stephan_ssc/status/781569828058521604
 latribune.fr###geste_getoff
@@ -938,8 +960,8 @@ latribune.fr##.modal-open:style(overflow
 ! https://github.com/gorhill/uBlock/issues/2039
 ||go.*.com^$domain=kickass.cd
 ||go.*.com^$popup,domain=kickass.cd
-kickass.cd##script:inject(abort-on-property-write.js, Fingerprint2)
-kickass.cd##script:inject(window.open-defuser.js)
+kat.sx,kickass.cd##+js(abort-on-property-write.js, Fingerprint2)
+kat.sx,kickass.cd##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/154
 ||usersfiles.com^$inline-script
@@ -950,13 +972,13 @@ kickass.cd##script:inject(window.open-de
 planetsuzy.org##div[style]:has(:scope > script[src*="ads.exoclick.com/"])
 
 ! https://github.com/reek/anti-adblock-killer/issues/1839
-minecrafthousedesign.com##script:inject(bab-defuser.js)
+minecrafthousedesign.com##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=33194
 /?*&callback=callback_json_adblade*$script
 
 ! https://github.com/gorhill/uBlock/issues/1271
-startlr.com##script:inject(bab-defuser.js)
+startlr.com##+js(bab-defuser.js)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=48864
 xvideos.ninja##.gallery > div:has(:scope > script[src*="://ads.exoclick.com"])
@@ -969,13 +991,13 @@ xvideos.ninja##.container > div:has(:sco
 ||cdn.videoplaza1.tv/contrib/se-expressen/aab/pulse-custom-svm-plugin.min.js$script,redirect=noopjs,domain=expressen.se
 
 ! https://github.com/uBlockOrigin/uAssets/issues/156
-mmorpg.org.pl##script:inject(fuckadblock.js-3.2.0)
+mmorpg.org.pl##+js(fuckadblock.js-3.2.0)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32878
 freethesaurus.com,thefreedictionary.com##div:has(:scope > a:not([href*="/"]) > img:not([src*="/"]))
-freethesaurus.com,thefreedictionary.com##script:inject(setTimeout-defuser.js, warn)
+freethesaurus.com,thefreedictionary.com##+js(setTimeout-defuser.js, warn)
 ! https://github.com/uBlockOrigin/uAssets/issues/1896
-freethesaurus.com,thefreedictionary.com##script:inject(abort-on-property-read.js, adc)
+freethesaurus.com,thefreedictionary.com##+js(abort-on-property-read.js, adc)
 freethesaurus.com,thefreedictionary.com##div[class][id]:not(.logo):if-not(*):has-text(/^$/)
 freethesaurus.com,thefreedictionary.com###sidebar > .widget:not([id]):has(>.holder > a[href])
 ! To counter exception filters
@@ -1008,23 +1030,23 @@ cnn.com##.OUTBRAIN
 1337x.*##a[href^="/spyoff"]
 1337x.*##a[href*="//steepto.com/"]
 ! TODO: might be obsolete, find out eventually
-1337x.*##script:inject(abort-on-property-write.js, Fingerprint2)
+1337x.*##+js(abort-on-property-write.js, Fingerprint2)
 ! https://github.com/uBlockOrigin/uAssets/issues/635
 ! https://www.reddit.com/r/uBlockOrigin/comments/81hcu5/1337xto_annoying_popup/
-1337x.*,x1337x.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, popunder)
-1337x.*,x1337x.*##script:inject(setInterval-defuser.js, (), 500)
-1337x.*##script:inject(window.open-defuser.js)
+1337x.*,x1337x.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, popunder)
+1337x.*,x1337x.*##+js(setInterval-defuser.js, (), 500)
+1337x.*##+js(window.open-defuser.js)
 x1337x.eu##.mgbox
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2#issuecomment-253926602
-coreimg.net##script:inject(noeval.js)
+coreimg.net##+js(noeval.js)
 
 ! https://discourse.mozilla-community.org/t/support-ublock-origin/6746/224
 ! https://github.com/uBlockOrigin/uAssets/issues/1915
 ! https://github.com/uBlockOrigin/uAssets/issues/3142
-linkneverdie.com##script:inject(bab-defuser.js)
-linkneverdie.com##script:inject(setTimeout-defuser.js, _$_, 7000)
-linkneverdie.com##[href="https://acegalaxy.asia/"]
+! https://github.com/NanoMeow/QuickReports/issues/6
+linkneverdie.com##+js(bab-defuser.js)
+linkneverdie.com##+js(setTimeout-defuser.js, _$_, 7000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/161
 ||uim.tifbs.net/js/*.js$script,redirect=noopjs,domain=gmx.net|web.de
@@ -1032,10 +1054,10 @@ linkneverdie.com##[href="https://acegala
 ! https://twitter.com/pourmecoffee/status/788789408224931840
 ! https://github.com/uBlockOrigin/uAssets/issues/1744
 ||cdn.theatlantic.com/assets/*/vendors.min*.js$script,first-party
-theatlantic.com##script:inject(setTimeout-defuser.js, [native code], 8000)
+theatlantic.com##+js(setTimeout-defuser.js, [native code], 8000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/169
-v3.co.uk##script:inject(r3z-defuser.js)
+v3.co.uk##+js(r3z-defuser.js)
 
 ! https://github.com/gorhill/uBlock/issues/2088
 kiplinger.com###overlay
@@ -1064,29 +1086,30 @@ thenextweb.com##html > body.is-canvas.tn
 ! https://github.com/uBlockOrigin/uAssets/issues/693
 ! https://github.com/reek/anti-adblock-killer/issues/3817
 ! https://github.com/uBlockOrigin/uAssets/issues/1333
-italiashare.*##script:inject(abort-on-property-read.js, adblock)
-italiashare.*##script:inject(abort-on-property-read.js, admrlPreviewEngage)
-italiashare.*##script:inject(bab-defuser.js)
-italiashare.*,nonpiusolo.com##script:inject(nowebrtc.js)
+italiashare.*,oasivip.com##+js(abort-on-property-read.js, adblock)
+italiashare.*,oasivip.com##+js(abort-on-property-read.js, admrlPreviewEngage)
+italiashare.*,oasivip.com##+js(bab-defuser.js)
+italiashare.*,nonpiusolo.com,oasivip.com##+js(nowebrtc.js)
 @@||italiashare.*^$generichide
+@@||oasivip.com^$generichide
 @@||italiashare.*^$image,first-party
-italiashare.*###adblockplus
-italiashare.*###blockblockA
-italiashare.*###admitad-cookie-check-popup
-*$script,domain=italiashare.life|italiashare.net,third-party
-italiashare.*##script:inject(abort-on-property-write.js, BlockAdBlock)
-italiashare.net##script:inject(abort-on-property-write.js, checkAds)
-*/ad*$script,redirect=noopjs,domain=italiashare.net
-italiashare.net##script:inject(noeval.js)
-italiashare.net##script:inject(set-constant.js, adBlock, true)
-italiashare.net##script:inject(abort-current-inline-script.js, adblockblock, adblocktest)
+italiashare.*,oasivip.com###adblockplus
+italiashare.*,oasivip.com###blockblockA
+italiashare.*,oasivip.com###admitad-cookie-check-popup
+*$script,domain=italiashare.life|italiashare.net|oasivip.com,third-party
+italiashare.*,oasivip.com##+js(abort-on-property-write.js, BlockAdBlock)
+italiashare.net,oasivip.com##+js(abort-on-property-write.js, checkAds)
+*/ad*$script,redirect=noopjs,domain=italiashare.net|oasivip.com
+italiashare.net,oasivip.com##+js(noeval.js)
+italiashare.net,oasivip.com##+js(set-constant.js, adBlock, true)
+italiashare.net,oasivip.com##+js(abort-current-inline-script.js, adblockblock, adblocktest)
 
 ! https://github.com/gorhill/uBlock/issues/2154
-mio.to##script:inject(setTimeout-defuser.js, e=d(), 1000)
-mio.to##script:inject(setInterval-defuser.js, e=d(), 5000)
+mio.to##+js(setTimeout-defuser.js, e=d(), 1000)
+mio.to##+js(setInterval-defuser.js, e=d(), 5000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/195
-techsupportpk.com##script:inject(bab-defuser.js)
+techsupportpk.com##+js(bab-defuser.js)
 
 ! https://github.com/gorhill/uBlock/issues/2163
 @@||cdn.vidyomani.com/c/p/showads.js$script,first-party
@@ -1095,19 +1118,19 @@ techsupportpk.com##script:inject(bab-def
 ||smartwall.swisspay.ch$xmlhttprequest,domain=letemps.ch
 
 ! https://github.com/uBlockOrigin/uAssets/issues/200
-criminalcasetools.com##script:inject(bab-defuser.js)
+criminalcasetools.com##+js(bab-defuser.js)
 
 ! https://github.com/gorhill/uBlock/issues/2172
 ! https://forums.lanik.us/viewtopic.php?f=62&t=34856
-vidtodo.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-vidstodo.me,vidtod.me,vidtudu.com##script:inject(abort-on-property-write.js, _pop)
-vidto.me,vidtod.me##script:inject(abort-on-property-write.js, adcashMacros)
-vidstodo.me,vidto.me,vidtod.me,vidtodo.com,vidtudu.com##script:inject(abort-on-property-write.js, Fingerprint2)
-vidstodo.me,vidtod.me##script:inject(abort-on-property-write.js, n3zz)
-vidto.me##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-vidtodo.com,vidtod.me,vidtudu.com##script:inject(nowebrtc.js)
-vidto.me##script:inject(setInterval-defuser.js, system.popunder, 500)
-vidto.me##script:inject(window.open-defuser.js)
+vidtodo.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+vidstodo.me,vidtod.me,vidtudu.com##+js(abort-on-property-write.js, _pop)
+vidto.me,vidtod.me##+js(abort-on-property-write.js, adcashMacros)
+vidstodo.me,vidto.me,vidtod.me,vidtodo.com,vidtudu.com##+js(abort-on-property-write.js, Fingerprint2)
+vidstodo.me,vidtod.me##+js(abort-on-property-write.js, n3zz)
+vidto.me##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+vidtodo.com,vidtod.me,vidtudu.com##+js(nowebrtc.js)
+vidto.me##+js(setInterval-defuser.js, system.popunder, 500)
+vidto.me##+js(window.open-defuser.js)
 ||6zw2rcfd.com^
 ||egnatius-ear.com^$script,domain=vidstodo.me|vidtod.me
 ||hemnes.win^$third-party
@@ -1116,29 +1139,30 @@ vidto.me##script:inject(window.open-defu
 ||revivestar.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/205
-ahzahg6ohb.com,ay8ou8ohth.com##script:inject(abort-on-property-read.js, adsShowPopup1)
+ahzahg6ohb.com,ay8ou8ohth.com##+js(abort-on-property-read.js, adsShowPopup1)
 ! Remove once 1.10.0 is released.
 @@||ay8ou8ohth.com/js/adpop.js$script,first-party
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=49891
-golem.de,tweaktown.com##script:inject(abort-on-property-write.js, _sp_)
+golem.de,tweaktown.com##+js(abort-on-property-write.js, _sp_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/206
-geektime.co.il##script:inject(setTimeout-defuser.js, adObjects)
+geektime.co.il##+js(setTimeout-defuser.js, adObjects)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/179
-uploadocean.com##script:inject(bab-defuser.js)
+uploadocean.com##+js(bab-defuser.js)
 *$important,script,third-party,xmlhttprequest,domain=uploadocean.com
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=34324
-carbuyer.co.uk##script:inject(abort-on-property-read.js, _sp_.mms.startMsg)
+carbuyer.co.uk##+js(abort-on-property-read.js, _sp_.mms.startMsg)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/216
 ! https://github.com/uBlockOrigin/uAssets/issues/225
 ! https://github.com/uBlockOrigin/uAssets/issues/1130
-hackintosh.zone,hackintoshzone.com##script:inject(abort-current-inline-script.js, jQuery, secrets)
-hackintosh.computer,hackintosh.zone,hackintoshzone.com##script:inject(addEventListener-defuser.js, DOMContentLoaded, console)
-hackintosh.zone,hackintoshzone.com##script:inject(setTimeout-defuser.js, _0x)
+! https://github.com/uBlockOrigin/uAssets/issues/3241
+hackintosh.zone,hackintoshzone.com##+js(abort-current-inline-script.js, jQuery, secrets)
+hackintosh.computer,hackintosh.zone,hackintoshzone.com##+js(addEventListener-defuser.js, DOMContentLoaded, console)
+hackintosh.zone,hackintoshzone.com##+js(setTimeout-defuser.js, _0x)
 ||doubleclick.net^$subdocument,redirect=noopframe,domain=hackintosh.computer|hackintosh.zone|hackintoshzone.com
 ||google-analytics.com/collect$image,redirect=1x1-transparent.gif,domain=hackintosh.computer|hackintosh.zone|hackintoshzone.com
 ||googlesyndication.com^$script,important,redirect=noopjs,domain=hackintosh.computer|hackintosh.zone|hackintoshzone.com
@@ -1151,6 +1175,10 @@ hackintosh.zone,hackintoshzone.com##scri
 @@||cdn.hackintosh.zone^$first-party,script,stylesheet
 @@||hackintosh.computer^$first-party,script,stylesheet
 @@||hackintoshzone.com^$first-party,script,stylesheet
+@@||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$xmlhttprequest,domain=hackintoshzone.com
+hackintoshzone.com##.onp-sl-outer-wrap
+hackintoshzone.com##.onp-sl-timer-label
+hackintoshzone.com##.onp-sl-flat-theme
 
 ! As of 2016-12-04, spotted use on http://www.vox.com/
 ! `0emn.com` belongs to Google Inc., created in October.
@@ -1162,19 +1190,21 @@ hackintosh.zone,hackintoshzone.com##scri
 ! https://github.com/uBlockOrigin/uAssets/issues/477
 ! https://github.com/uBlockOrigin/uAssets/issues/2923
 ! https://github.com/uBlockOrigin/uAssets/issues/3035
-bild.de##script:inject(setInterval-defuser.js, (), 10)
-bild.de##script:inject(setTimeout-defuser.js, _abeh, 700)
+! https://github.com/uBlockOrigin/uAssets/issues/3560
+bild.de##+js(abort-on-property-write.js, _abeh)
+bild.de##+js(setInterval-defuser.js, (), 10)
+bild.de##+js(setTimeout-defuser.js, _abeh, 700)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/174
-sueddeutsche.de##script:inject(abort-on-property-write.js, SZAdBlockDetection)
+sueddeutsche.de##+js(abort-on-property-write.js, SZAdBlockDetection)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/224
-uploads.to##script:inject(bab-defuser.js)
+uploads.to##+js(bab-defuser.js)
 ||uploads.to^$inline-script
 @@|https://uploads.to^|$inline-script
 
 ! https://forums.warframe.com/topic/737248-adblock-now-banned-on-wikia-including-warframe-wiki/
-wikia.com##script:inject(abort-on-property-write.js, _sp_)
+wikia.com##+js(abort-on-property-write.js, _sp_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/238
 8muses.com#@#[style*="background: transparent url(\"data:image/gif;base64,"]
@@ -1195,7 +1225,7 @@ wikia.com##script:inject(abort-on-proper
 ! https://github.com/uBlockOrigin/uAssets/issues/1153
 ! https://github.com/uBlockOrigin/uAssets/issues/1194
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38315
-123movies.net,2ddl.*,allitebooks.com,arabseed.tv,buzzfil.net,byter.tv,clicknupload.org,convertinmp4.com,ddlvalley.me,dramamate.com,entervideo.net,eztv.*,filmvf.cc,ganool.se,go4up.com,icefilms.info,igg-games.com,kiss-anime.me,letmewatchthis.ac,mac-torrents.com,mkvcage.com,movie4k.org,oceanoffgames.com,openload.ch,pdf-giant.com,pelispedia.*,readmanga.today,sawlive.tv,skidrowcrack.com,sportshd.me,strdef.world,streamfilmzzz.com,streamzzz.online,thevideobee.to,torrentz.to,torrentz2.*,tny.ec,tomadivx.org,uploading.site,uptobox.com,watchers.to,watchonline.to,yts.ag,yts.gs,yts.am,zooqle.com##script:inject(nowebrtc.js)
+123movies.net,2ddl.*,allitebooks.com,arabseed.tv,bonstreams.net,buzzfil.net,byter.tv,clicknupload.org,convertinmp4.com,ddlvalley.me,dramamate.com,entervideo.net,eztv.*,filmvf.cc,ganool.se,go4up.com,icefilms.info,igg-games.com,kiss-anime.*,letmewatchthis.ac,mac-torrents.com,mkvcage.com,movie4k.org,oceanoffgames.com,openload.ch,pdf-giant.com,pelispedia.*,readmanga.today,sawlive.tv,skidrowcrack.com,sportshd.me,strdef.world,streamfilmzzz.com,streamzzz.online,subswiki.com,thevideobee.to,torrentz.to,torrentz2.*,tny.ec,tomadivx.org,ublock.pw,uploading.site,uptobox.com,watchers.to,watchonline.to,yts.ag,yts.gs,yts.am,zooqle.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/243
 blastingnews.com###blasting-modal-login-ad-block
@@ -1205,36 +1235,36 @@ blastingnews.com##div[id^="taboola-below
 
 ! https://github.com/uBlockOrigin/uAssets/issues/245
 gamer.com.tw##img[onload="AntiAd.check(this)"]
-gamer.com.tw##script:inject(abort-on-property-read.js, AntiAd.check)
+gamer.com.tw##+js(abort-on-property-read.js, AntiAd.check)
 
 ! https://twitter.com/TritTriton/status/815145351074185216
-nextinpact.com##script:inject(sharedWorker-defuser.js, /^data:|^blob:/)
+nextinpact.com##+js(sharedWorker-defuser.js, /^data:|^blob:/)
 nextinpact.com###list_news > section[class]:if(:scope > span:has-text(Publicité))
 
 ! https://github.com/uBlockOrigin/uAssets/issues/254
-androidcentral.com,connectedly.com,crackberry.com,imore.com,teslacentral.com,vrheads.com,windowscentral.com##script:inject(abort-on-property-write.js, adonisHash)
+androidcentral.com,connectedly.com,crackberry.com,imore.com,teslacentral.com,vrheads.com,windowscentral.com##+js(abort-on-property-write.js, adonisHash)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/190#issuecomment-269949614
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38124
 ! https://www.reddit.com/r/uBlockOrigin/comments/7r408x/something_interfered_with_this_website_loading/
 ! https://github.com/uBlockOrigin/uAssets/issues/1968
-ack.net,allkpop.com,ancient.eu,audioholics.com,barnstablepatriot.com,boredpanda.com,bridoz.com,britannica.com,brobible.com,businessnewsdaily.com,cantonrep.com,capecodtimes.com,champion.gg,cheeseheadtv.com,closerweekly.com,collegehumor.com,columbiatribune.com,cougarboard.com,csgolounge.com,destructoid.com,dispatch.com,dorkly.com,dota2lounge.com,enterprisenews.com,eternallysunny.com,fayobserver.com,fhm.com,firstforwomen.com,flexonline.com,gainesville.com,gastongazette.com,geekzone.co.nz,goerie.com,gosunoob.com,goupstate.com,gsmarena.com,healthline.com,heraldtribune.com,houmatoday.com,intouchweekly.com,investopedia.com,j-14.com,kiplinger.com,laptopmag.com,lifeandstylemag.com,liquipedia.net,listverse.com,lolcounter.com,m-magazine.com,madamenoire.com,maketecheasier.com,medicalnewstoday.com,medievalists.net,mensfitness.com,metrowestdailynews.com,moneyversed.com,muscleandfitness.com,news-journalonline.com,newsarama.com,nintendoeverything.com,nwfdailynews.com,nydailynews.com,ocala.com,oraridiapertura24.it,phonearena.com,pjstar.com,plantillas-powerpoint.com,poconorecord.com,probuilds.net,providencejournal.com,providr.com,radaronline.com,recordonline.com,royalroadl.com,salon.com,sj-r.com,slickdeals.net,snopes.com,soapoperadigest.com,solomid.net,space.com,starnewsonline.com,teamliquid.net,telegram.com,theberry.com,theboneonline.com,thechive.com,theledger.com,thepoliticalinsider.com,tmn.today,tomsguide.com,topix.com,topixoffbeat.com,trakt.tv,tuscaloosanews.com,uproxx.com,uticaod.com,vvdailypress.com,wikia.com,winchristmas.co.uk,womansworld.com,wuxiaworld.com,xda-developers.com##script:inject(abort-on-property-write.js, adonisHash)
-xda-developers.com##script:inject(nowebrtc.js)
+ack.net,allkpop.com,ancient.eu,audioholics.com,barnstablepatriot.com,boredpanda.com,bridoz.com,britannica.com,brobible.com,businessnewsdaily.com,cantonrep.com,capecodtimes.com,champion.gg,cheeseheadtv.com,closerweekly.com,collegehumor.com,columbiatribune.com,cougarboard.com,csgolounge.com,destructoid.com,dispatch.com,dorkly.com,dota2lounge.com,enterprisenews.com,eternallysunny.com,fayobserver.com,fhm.com,firstforwomen.com,flexonline.com,gainesville.com,gastongazette.com,geekzone.co.nz,goerie.com,gosunoob.com,goupstate.com,gsmarena.com,healthline.com,heraldtribune.com,houmatoday.com,intouchweekly.com,investopedia.com,j-14.com,kiplinger.com,laptopmag.com,lifeandstylemag.com,liquipedia.net,listverse.com,lolcounter.com,m-magazine.com,madamenoire.com,maketecheasier.com,medicalnewstoday.com,medievalists.net,mensfitness.com,metrowestdailynews.com,moneyversed.com,muscleandfitness.com,news-journalonline.com,newsarama.com,nintendoeverything.com,nwfdailynews.com,nydailynews.com,ocala.com,oraridiapertura24.it,phonearena.com,pjstar.com,plantillas-powerpoint.com,poconorecord.com,probuilds.net,providencejournal.com,providr.com,radaronline.com,recordonline.com,royalroadl.com,salon.com,sj-r.com,slickdeals.net,snopes.com,soapoperadigest.com,solomid.net,space.com,starnewsonline.com,teamliquid.net,telegram.com,theberry.com,theboneonline.com,thechive.com,theledger.com,thepoliticalinsider.com,tmn.today,tomsguide.com,topix.com,topixoffbeat.com,trakt.tv,tuscaloosanews.com,uproxx.com,uticaod.com,vvdailypress.com,wikia.com,winchristmas.co.uk,womansworld.com,wuxiaworld.com,xda-developers.com##+js(abort-on-property-write.js, adonisHash)
+xda-developers.com##+js(nowebrtc.js)
 ! https://www.reddit.com/r/uBlockOrigin/comments/6fvuo0/ads_leaking_through_on_drudge_report/
-drudgereport.com,mashable.com##script:inject(abort-on-property-read.js, ADONIS_BOOTSTRAP_STATS)
+drudgereport.com,mashable.com##+js(abort-on-property-read.js, ADONIS_BOOTSTRAP_STATS)
 ! To counter unnecessary exception filters
 ||pagead2.googlesyndication.com^$script,important,domain=champion.gg|gsmarena.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/244
-skidrowreloaded.com##script:inject(popads.net.js)
+skidrowreloaded.com##+js(popads.net.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/258
-business.dk##script:inject(abort-on-property-write.js, _sp_)
+business.dk##+js(abort-on-property-write.js, _sp_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/394#issuecomment-299711450
 ! https://github.com/uBlockOrigin/uAssets/issues/601
-fullmatchesandshows.com,motor1.com##script:inject(noeval.js)
-phonesreview.co.uk##script:inject(csp.js, script-src 'self' * 'unsafe-inline' data:)
+fullmatchesandshows.com,motor1.com##+js(noeval.js)
+phonesreview.co.uk##+js(csp.js, script-src 'self' * 'unsafe-inline' data:)
 
 ! Spotted while investigating sites reported in issue
 ! https://github.com/uBlockOrigin/uAssets/issues/394
@@ -1242,24 +1272,24 @@ phonesreview.co.uk##script:inject(csp.js
 ||wodizapt.com^
 
 ! https://github.com/gorhill/uBlock/issues/139#issuecomment-271506941
-itswatchseries.to##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+itswatchseries.to##+js(abort-current-inline-script.js, parseInt, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/261
-javadecompilers.com##script:inject(bab-defuser.js)
+javadecompilers.com##+js(bab-defuser.js)
 ||googlesyndication.com^$important,script,domain=javadecompilers.com
 
 ! https://github.com/gorhill/uBlock/issues/1059#issuecomment-185434177
-stern.de##script:inject(uabinject-defuser.js)
-stern.de##script:inject(abort-on-property-write.js, exportz)
+stern.de##+js(uabinject-defuser.js)
+stern.de##+js(abort-on-property-write.js, exportz)
 ||veeseo.com^$domain=stern.de
 ||stern.de/gujadstatic/stern/gujAd.js$important,script,domain=www.stern.de
 
 ! Sourcepoint
 ! https://forums.lanik.us/viewtopic.php?f=62&t=34570
 ! https://github.com/uBlockOrigin/uAssets/issues/266
-autobytel.com,brigitte.de,cesoirtv.com,chip.de,erdbeerlounge.de,gamesradar.com,huffingtonpost.co.uk,huffingtonpost.com,moviefone.com,playboy.de,usatoday.com##script:inject(abort-on-property-write.js, _sp_)
-faz.net##script:inject(abort-current-inline-script.js, $, _sp_._networkListenerData)
-eltern.de,essen-und-trinken.de,focus.de,spiegel.de##script:inject(abort-on-property-read.js, _sp_.mms.startMsg)
+autobytel.com,brigitte.de,cesoirtv.com,chip.de,erdbeerlounge.de,gamesradar.com,huffingtonpost.co.uk,huffingtonpost.com,moviefone.com,playboy.de,usatoday.com##+js(abort-on-property-write.js, _sp_)
+faz.net##+js(abort-current-inline-script.js, $, _sp_._networkListenerData)
+eltern.de,essen-und-trinken.de,focus.de,spiegel.de##+js(abort-on-property-read.js, _sp_.mms.startMsg)
 ! https://github.com/jspenguin2017/uBlockProtector/issues/367
 ! https://github.com/uBlockOrigin/uAssets/issues/701
 ! https://github.com/uBlockOrigin/uAssets/issues/848
@@ -1269,27 +1299,27 @@ eltern.de,essen-und-trinken.de,focus.de,
 ! https://github.com/uBlockOrigin/uAssets/issues/1442
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40162
 ! https://github.com/uBlockOrigin/uAssets/issues/461
-20min.ch,al.com,alphr.com,autoexpress.co.uk,bento.de,bikeradar.com,cleveland.com,cyclingnews.com,digitalspy.com,denofgeek.com,eurogamer.de,eurogamer.es,eurogamer.net,eurogamer.pt,evo.co.uk,finanzfrage.net,ft.com,gala.de,gala.fr,gentside.com,gesundheitsfrage.net,gutefrage.net,ligainsider.de,livingathome.de,masslive.com,metabomb.net,mlive.com,muthead.com,neonmag.fr,newyorkupstate.com,ngin-mobility.com,nj.com,nola.com,oregonlive.com,pcgamer.com,pennlive.com,programme.tv,programme-tv.net,radiotimes.com,silive.com,stern.de,syracuse.com,theweek.co.uk##script:inject(abort-on-property-read.js, _sp_._networkListenerData)
+20min.ch,al.com,alphr.com,autoexpress.co.uk,bento.de,bikeradar.com,blick.ch,cleveland.com,cyclingnews.com,digitalspy.com,denofgeek.com,esgentside.com,eurogamer.de,eurogamer.es,eurogamer.net,eurogamer.pt,evo.co.uk,exclusivomen.com,finanzfrage.net,ft.com,gala.de,gala.fr,gentside.*,gesundheitsfrage.net,gutefrage.net,heatworld.com,ligainsider.de,livingathome.de,masslive.com,maxisciences.com,metabomb.net,mlive.com,motherandbaby.co.uk,motorcyclenews.com,muthead.com,neonmag.fr,newyorkupstate.com,ngin-mobility.com,nj.com,nola.com,ohmirevista.com,ohmymag.com,ohmymag.com.br,ohmymag.de,oregonlive.com,pcgamer.com,pennlive.com,programme.tv,programme-tv.net,radiotimes.com,silive.com,simplyvoyage.com,stern.de,syracuse.com,theweek.co.uk##+js(abort-on-property-read.js, _sp_._networkListenerData)
 ! https://forums.lanik.us/viewtopic.php?f=90&t=35106
-gamona.de,giga.de,kino.de,spielaffe.de,spieletipps.de##script:inject(abort-on-property-write.js, _sp_)
+gamona.de,giga.de,kino.de,spielaffe.de,spieletipps.de##+js(abort-on-property-write.js, _sp_)
 ! https://github.com/uBlockOrigin/uAssets/issues/271
 ! https://forums.lanik.us/viewtopic.php?p=112285#p112285
-car.com,codeproject.com,familyhandyman.com,goldderby.com,headlinepolitics.com,html.net,indiewire.com,itpro.co.uk,marmiton.org,mymotherlode.com,nypost.com,realgm.com,tvline.com,wwd.com##script:inject(abort-on-property-write.js, _sp_)
-codeproject.com##script:inject(abort-on-property-read.js, retrievalService)
-speedtest.net##script:inject(abort-on-property-read.js, _sp_)
+car.com,codeproject.com,familyhandyman.com,goldderby.com,headlinepolitics.com,html.net,indiewire.com,itpro.co.uk,marmiton.org,mymotherlode.com,nypost.com,realgm.com,tvline.com,wwd.com##+js(abort-on-property-write.js, _sp_)
+codeproject.com##+js(abort-on-property-read.js, retrievalService)
+speedtest.net##+js(abort-on-property-read.js, _sp_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/273
-cwtv.com##script:inject(noeval.js)
+cwtv.com##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/280
-download.mokeedev.com##script:inject(abort-on-property-write.js, adBlockDetected)
-download.mokeedev.com##script:inject(setTimeout-defuser.js, adsbygoogle, 5000)
-download.mokeedev.com##script:inject(setTimeout-defuser.js, alert-danger-enabled)
+download.mokeedev.com##+js(abort-on-property-write.js, adBlockDetected)
+download.mokeedev.com##+js(setTimeout-defuser.js, adsbygoogle, 5000)
+download.mokeedev.com##+js(setTimeout-defuser.js, alert-danger-enabled)
 ||download.mokeedev.com/js/jquery-common.js.*$first-party,script,redirect=fuckadblock.js-3.2.0
 ||pagead2.googlesyndication.com^$script,redirect=noopjs,domain=download.mokeedev.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/278
-pocketnow.com##script:inject(abort-on-property-read.js, InstallTrigger)
+pocketnow.com##+js(abort-on-property-read.js, InstallTrigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/240
 ||myadcash.com/video_landing/js/*.js$script,redirect=noopjs,domain=multiup.eu|multiup.org
@@ -1297,7 +1327,7 @@ pocketnow.com##script:inject(abort-on-pr
 ||leadzutw.com^$third-party
 ||smilewanted.com^$third-party
 multiup.*##.text-center.success.well
-multiup.*##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+multiup.*##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 multiup.*##.trtbl:has(.warnIp)
 
 ! https://twitter.com/cudeso/status/827505057570643968
@@ -1311,6 +1341,7 @@ howtogeek.com##.thecontent > div:has(a[h
 ! https://github.com/uBlockOrigin/uAssets/issues/2114
 ! https://github.com/uBlockOrigin/uAssets/issues/2262
 ! https://github.com/uBlockOrigin/uAssets/issues/2404
+! https://github.com/uBlockOrigin/uAssets/issues/3640
 quora.com##.upper_content:has(.promoted_link)
 quora.com##.upper_content:has(.promoted_url)
 quora.com##.upper_content:has(.promoted_href)
@@ -1326,8 +1357,8 @@ quora.com##.pagedlist_item:has([href*="u
 quora.com##.PromptsList
 quora.com##.AdBundle
 quora.com##.AdStory
-quora.com##[id*=content_wrapper]:has-text(ad by)
-quora.com##[id*=content_wrapper]:has-text(promo)
+quora.com##[id*="content_wrapper"]:has-text(ad by)
+quora.com##[id*="content_wrapper"]:has-text(promo)
 quora.com##[rel="nofollow noopener"]
 quora.com##div:has-text(/^ad by/)
 quora.com##div:has-text(/^ad/)
@@ -1337,12 +1368,22 @@ quora.com##.top_slot
 quora.com##div[id$="_content_box"]
 quora.com##.lower_slot
 quora.com##[disable_auto_login*="True"]
+quora.com##.pagedlist_item + div:not(.pagedlist_item):has(a > div:has-text(promoted))
+! https://github.com/uBlockOrigin/uAssets/commits/master
+quora.com##:xpath(//div[not(@class="ui_qtext_para") and contains(text(), 'ad') and contains(text(), 'by')]/parent::div/parent::div/parent::div[@id])
+quora.com##:xpath(//div[not(@class="ui_qtext_para") and contains(text(), 'promoted') and contains(text(), 'by')]/parent::a/parent::div/parent::div/parent::div[@id])
+quora.com##:xpath(//div[not(@class="ui_qtext_para") and contains(text(), 'Quora') and contains(text(), 'by') and contains(text(), 'Business')]/parent::a/parent::div/parent::div/parent::div[@id])
+quora.com##.FeedStory.feed_item > div > div:has-text(/Promoted/i)
+quora.com##.FeedStory.feed_item > div > div:has-text(/by Quora for Business/i)
+quora.com##.Toggle.SimpleToggle.ToggleAnswerFooterWrapper > div:has-text(/Promoted/i)
+quora.com##.UnifiedAnswerPagedList > .paged_list_wrapper > div[id]:if(a[href][target="_blank"][rel="noopener nofollow"]:not(.external_link))
+quora.com##:xpath(//a[@rel="noopener nofollow"][not(@data-qt-tooltip)]/../../../..)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/291
 ! https://github.com/uBlockOrigin/uAssets/issues/831
 ! https://github.com/uBlockOrigin/uAssets/issues/1835
-worldfree4u.club##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-worldfree4u.lol,worldfree4u.ws##script:inject(popads-dummy.js)
+worldfree4u.club##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+worldfree4u.lol,worldfree4u.ws##+js(popads-dummy.js)
 @@||worldfree4u.ws^$generichide
 ||worldfree4u.ws/promotion/*$subdocument
 @@||cdnjs.cloudflare.com/ajax/libs/*$script,domain=worldfree4u.ws
@@ -1354,23 +1395,23 @@ worldfree4u.ws##.adButton
 ! https://forums.lanik.us/viewtopic.php?p=112050#p112050
 ! https://www.reddit.com/r/uBlockOrigin/comments/8stv3y
 ! https://github.com/uBlockOrigin/uAssets/issues/2667
-eurogamer.net,rockpapershotgun.com,vg247.com##script:inject(abort-on-property-write.js, yafaIt)
-rockpapershotgun.com,vg247.com##script:inject(abort-on-property-read.js, _sp_._networkListenerData)
+eurogamer.net,rockpapershotgun.com,vg247.com##+js(abort-on-property-write.js, yafaIt)
+rockpapershotgun.com,vg247.com##+js(abort-on-property-read.js, _sp_._networkListenerData)
 
 ! https://forums.lanik.us/viewtopic.php?p=101913#p101913
-auto-motor-und-sport.de,caravaning.de,womenshealth.de##script:inject(abort-on-property-write.js, adblockActive)
+auto-motor-und-sport.de,caravaning.de,womenshealth.de##+js(abort-on-property-write.js, adblockActive)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/5w0phj/massive_amount_of_popup_not_getting_blocked_since/
 ! https://github.com/uBlockOrigin/uAssets/issues/299
 ! https://github.com/uBlockOrigin/uAssets/issues/846
 ! https://www.reddit.com/r/uBlockOrigin/comments/94c6rr/im_a_bit_of_a_noob_and_need_some_help_blocking/
-zippyshare.com##script:inject(noeval.js)
-rarbg.unblockall.org##script:inject(abort-on-property-read.js, __htapop)
-rarbg.bypassed.org##script:inject(abort-on-property-write.js, Fingerprint2)
-rarbg.bypassed.org,rarbg.is,rarbg.to,rarbgto.org,rarbg.unblockall.org,rarbg.unblocked.kim,rarbgaccess.org,rarbgdata.org,rarbgmirror.*,rarbgproxy.*,rarbgunblock.*,rarbgweb.org##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-rarbg.bypassed.org,rarbg.is,rarbg.to,rarbgto.org,rarbg.unblockall.org,rarbg.unblocked.kim,rarbgaccess.org,rarbgdata.org,rarbgmirror.*,rarbgproxy.*,rarbgunblock.*,rarbgweb.org##script:inject(setInterval-defuser.js, (), 500)
-rarbgproxy.org##script:inject(window.open-defuser.js)
-fullmatchesandshows.com,gowatchfreemovies.to,mediafire.com,newser.com,pornhub.com,rlslog.net,scienceworldreport.com,streamcloud.eu,tinypic.com##script:inject(abort-on-property-write.js, UAParser)
+zippyshare.com##+js(noeval.js)
+rarbg.unblockall.org##+js(abort-on-property-read.js, __htapop)
+rarbg.bypassed.org##+js(abort-on-property-write.js, Fingerprint2)
+rarbg.bypassed.org,rarbg.is,rarbg.to,rarbgget.org,rarbgprx.org,rarbgto.org,rarbg.unblockall.org,rarbg.unblocked.kim,rarbgaccess.org,rarbgdata.org,rarbggo.org,rarbgmirror.*,rarbgproxy.*,rarbgunblock.*,rarbgweb.org##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+rarbg.bypassed.org,rarbg.is,rarbg.to,rarbgget.org,rarbgprx.org,rarbgto.org,rarbg.unblockall.org,rarbg.unblocked.kim,rarbgaccess.org,rarbgdata.org,rarbggo.org,rarbgmirror.*,rarbgproxy.*,rarbgunblock.*,rarbgweb.org##+js(setInterval-defuser.js, (), 500)
+rarbgproxy.org##+js(window.open-defuser.js)
+fullmatchesandshows.com,gowatchfreemovies.to,mediafire.com,newser.com,pornhub.com,rlslog.net,scienceworldreport.com,streamcloud.eu,tinypic.com##+js(abort-on-property-write.js, UAParser)
 
 ! https://github.com/gorhill/uBlock/issues/2417
 ##.side-left /deep/ [id^="ecbr-"]
@@ -1380,12 +1421,12 @@ fullmatchesandshows.com,gowatchfreemovie
 ! https://www.reddit.com/r/uBlockOrigin/comments/6o9hax/ublockorigin_no_longer_works_on_gelbooru_as_of/
 ! https://github.com/uBlockOrigin/uAssets/issues/603
 ! https://forums.lanik.us/viewtopic.php?f=64&t=31945
-gelbooru.com##script:inject(abort-current-inline-script.js, ExoDetector)
+gelbooru.com##+js(abort-current-inline-script.js, ExoDetector)
 ||exosrv.com^$script,redirect=noopjs,domain=gelbooru.com
 |https://$script,domain=gelbooru.com,badfilter
 @@||gelbooru.com^$generichide
 @@||gelbooru.com^$first-party,script
-gelbooru.com##script:inject(popads-dummy.js)
+gelbooru.com##+js(popads-dummy.js)
 gelbooru.com##a[href^="https://gelbooru.com/redirect.php"]
 gelbooru.com##a[href^="https://media.r18.com/"]
 gelbooru.com#@#[style*="height:"][width]
@@ -1397,14 +1438,14 @@ gelbooru.com#@#center > a[href]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1081
 ! https://www.reddit.com/r/uBlockOrigin/comments/8sbjjk
-thedoujin.com,xbooru.com##script:inject(abort-current-inline-script.js, ExoLoader)
-realbooru.com,rule34.xxx,xbooru.com##script:inject(addEventListener-defuser.js, DOMContentLoaded, newcontent.innerHTML)
+thedoujin.com,xbooru.com##+js(abort-current-inline-script.js, ExoLoader)
+realbooru.com,rule34.xxx,xbooru.com##+js(addEventListener-defuser.js, DOMContentLoaded, newcontent.innerHTML)
 ! https://github.com/uBlockOrigin/uAssets/issues/1080
-xbooru.com##script:inject(abort-on-property-write.js, ads_priv)
+xbooru.com##+js(abort-on-property-write.js, ads_priv)
 ||tm-offers.gamingadult.com^
 
 ! https://adblockplus.org/forum/viewtopic.php?p=166637#p165607
-kbb.com##script:inject(abort-on-property-read.js, KBB.DetectBlockerExtensions)
+kbb.com##+js(abort-on-property-read.js, KBB.DetectBlockerExtensions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/305
 ||ads.pro-market.net/ads/scripts/site-120903.js$script,redirect=silent-noeval.js,domain=destructoid.com
@@ -1413,49 +1454,52 @@ kbb.com##script:inject(abort-on-property
 ||1yqbp.com^$popup
 
 ! https://github.com/uBlockOrigin/uAssets/issues/308
-movie-blog.org##script:inject(abort-on-property-write.js, DCVU)
-movie-blog.org##script:inject(popads-dummy.js)
+movie-blog.org##+js(abort-on-property-write.js, DCVU)
+movie-blog.org##+js(popads-dummy.js)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/5yszvt/flashplayer_scam/
 ! https://forums.lanik.us/viewtopic.php?p=118390#p118390
 ! https://www.reddit.com/r/uBlockOrigin/comments/71avqz/piratebay_found_a_new_method_to_bypass_ublock/
 ! https://github.com/uBlockOrigin/uAssets/issues/734
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39238
-9xbuddy.com,adf.ly,albumkings.org,ay.gy,azvideo.net,bestfilmeshd.com,bombuj.eu,cloudyfiles.org,crackingpatching.com,daclips.in,divxtotal3.net,downsub.com,english-subtitles.pro,filescdn.com,filmuptobox.net,freegamesdl.net,gomovies.es,gorillavid.in,hulkload.com,j.gs,jkanime.net,karanpc.com,livewidget.net,macserial.com,microify.com,minecraft-forum.net,monova.org,newmusic.trade,onmovies.to,opensubtitles.org,pintient.com,pirateproxy.*,pleermp3.net,powvideo.net,psarips.com,q.gs,security-links.com,solidfiles.com,stream2watch.cc,suprafiles.org,thepiratebay.org,torrentexx.com,uploadrocket.net,uptobox.com,vidabc.com,zippyshare.com##script:inject(abort-on-property-write.js, Fingerprint2)
+9xbuddy.com,adf.ly,albumkings.org,ay.gy,azvideo.net,bestfilmeshd.com,bombuj.eu,cloudyfiles.org,crackingpatching.com,daclips.in,dfiles.eu,divxtotal3.net,downsub.com,easyview.eu,english-subtitles.pro,filescdn.com,filmuptobox.net,freegamesdl.net,gomovies.es,gorillavid.in,hulkload.com,j.gs,jkanime.net,karanpc.com,livewidget.net,macserial.com,microify.com,minecraft-forum.net,monova.org,newmusic.trade,onmovies.to,opensubtitles.org,pintient.com,pirateproxy.*,pleermp3.net,psarips.com,q.gs,ripple.is,security-links.com,snowfiles.com,solidfiles.com,stream2watch.cc,suprafiles.org,thepiratebay.org,torrentexx.com,uploadrocket.net,uptobox.com,vidabc.com,zippyshare.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/5ywxnd/anyone_know_how_to_block_this_ad/
 ! https://forums.lanik.us/viewtopic.php?p=124411#p124411
-watchcartoononline.io##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-watchcartoononline.*##script:inject(abort-on-property-read.js, BB_ind)
-watchcartoononline.io##script:inject(fuckadblock.js-3.2.0)
+watchcartoononline.io##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+watchcartoononline.*##+js(abort-on-property-read.js, BB_ind)
+watchcartoononline.io##+js(fuckadblock.js-3.2.0)
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=watchcartoononline.io
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=watchcartoononline.io
-watchcartoononline.*##script:inject(noeval.js)
+watchcartoononline.*##+js(noeval.js)
+watchcartoononline.io##a[href$=".png"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/319
-fdesouche.com##script:inject(bab-defuser.js)
+fdesouche.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/326
 pornhub.com##div video[id]:first-child > source[src^="data:"]:xpath(../../..)
-pornhub.com##script:inject(abort-on-property-write.js, isAdblockOn)
+pornhub.com##+js(abort-on-property-write.js, isAdblockOn)
 
 ! https://news.ycombinator.com/item?id=13958134
 ||tribdss.com/meter$script,domain=latimes.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/331
-handelsblatt.com,wiwo.de##script:inject(abort-current-inline-script.js, hcf_userconfig, hcf_userconfig.cgi_adb_redirect_url)
+handelsblatt.com##+js(abort-current-inline-script.js, hcf_userconfig, hcf_userconfig.cgi_adb_redirect_url)
 ||handelsblatt.com/*/empty.js$script,first-party
 ||wiwo.de/preparesite/empty.js$script,first-party
+wiwo.de##+js(set-constant.js, AdController, noopFunc)
+@@||wiwo.de^$generichide
 
 ! https://github.com/gorhill/uBO-Extra/issues/37
 wowhead.com##.blocks
 
 ! https://github.com/gorhill/uBlock/issues/2490
-vivo.sx##script:inject(abort-on-property-write.js, _0x773d)
+vivo.sx##+js(abort-on-property-write.js, _0x773d)
 ||buzzadexchange.com/a/display.php$script,important,domain=vivo.sx
 
 ! https://github.com/uBlockOrigin/uAssets/issues/345
-math-aids.com##script:inject(abort-on-property-write.js, __drizzleSettings)
+math-aids.com##+js(abort-on-property-write.js, __drizzleSettings)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/347
 transfermarkt.*##body > div[id]:has(a[href^="/intern/adblock"])
@@ -1465,11 +1509,11 @@ transfermarkt.*##body > div[id]:has(a[hr
 ! https://github.com/uBlockOrigin/uAssets/issues/348
 ! https://github.com/uBlockOrigin/uAssets/issues/695
 ! https://github.com/uBlockOrigin/uAssets/issues/1236
-shink.me##script:inject(abort-current-inline-script.js, $, blockAdBlock)
-shink.me##script:inject(abort-on-property-read.js, jsPopunder)
-shink.me##script:inject(abort-on-property-read.js, pup)
-shink.me##script:inject(abort-on-property-write.js, Fingerprint2)
-shink.me##script:inject(popads.net.js)
+shink.me##+js(abort-current-inline-script.js, $, blockAdBlock)
+shink.me##+js(abort-on-property-read.js, jsPopunder)
+shink.me##+js(abort-on-property-read.js, pup)
+shink.me##+js(abort-on-property-write.js, Fingerprint2)
+shink.me##+js(popads.net.js)
 @@||ajax.googleapis.com/ajax/libs/jquery/*$script,domain=shink.me
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=51946
@@ -1479,8 +1523,9 @@ shink.me##script:inject(popads.net.js)
 ! https://www.reddit.com/r/firefox/comments/6uwafs/what_are_your_must_have_userscripts/dlwbzf6/
 ||pubmatic.com^$script,redirect=noopjs,domain=kissasian.ch|kissasian.sh
 ! https://github.com/uBlockOrigin/uAssets/issues/2450
-kissasian.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-kissasian.*##script:inject(setInterval-defuser.js, (), 500)
+kissasian.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+kissasian.*##+js(setInterval-defuser.js, (), 500)
+kissasian.*##+js(setTimeout-defuser.js, (), 45000)
 @@||kissasian.*^$generichide
 kissasian.*##[id*="ScriptRoot"]
 
@@ -1495,19 +1540,19 @@ rockfile.eu##.adsbygoogle:style(height:
 ||pagead2.googlesyndication.com^$script,important,domain=rockfile.eu
 
 ! https://github.com/uBlockOrigin/uAssets/issues/360
-coshurl.co##script:inject(setTimeout-defuser.js, checkAdblockUser)
+coshurl.co##+js(setTimeout-defuser.js, checkAdblockUser)
 
 ! https://www.reddit.com/r/ublock/comments/5mbam8/blockadblock/
 ! https://forums.lanik.us/viewtopic.php?p=131132#p131132
-australianfrequentflyer.com.au##script:inject(bab-defuser.js)
-australianfrequentflyer.com.au##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+australianfrequentflyer.com.au##+js(bab-defuser.js)
+australianfrequentflyer.com.au##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 
 ! https://github.com/gorhill/uBlock/issues/2527
-putlockers.cc##script:inject(noeval.js)
+putlockers.cc##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/260
 ! https://github.com/uBlockOrigin/uAssets/issues/681
-bicycling.com,menshealth.com,prevention.com,rodalesorganiclife.com,runnersworld.com,womenshealthmag.com##script:inject(abort-on-property-read.js, adBlockPromise)
+bicycling.com,menshealth.com,prevention.com,rodalesorganiclife.com,runnersworld.com,womenshealthmag.com##+js(abort-on-property-read.js, adBlockPromise)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/239
 ! https://github.com/uBlockOrigin/uAssets/issues/401
@@ -1526,12 +1571,12 @@ bicycling.com,menshealth.com,prevention.
 ! https://github.com/uBlockOrigin/uAssets/issues/2809
 ! https://github.com/uBlockOrigin/uAssets/issues/2898
 ! https://github.com/uBlockOrigin/uAssets/issues/3089
-advocate.com,cultofmac.com,dailycaller.com,fallbrook247.com,gamesgames.com,gazettenet.com,insidenova.com,leitesculinaria.com,onmsft.com,post-gazette.com,practicalpainmanagement.com,sanangelolive.com,sanfoundry.com,stylecaster.com,viraliq.com,yourtango.com##script:inject(abort-on-property-read.js, HTMLScriptElement)
-sporcle.com##script:inject(abort-on-property-read.js, admiral)
+advocate.com,cultofmac.com,dailycaller.com,fallbrook247.com,gamesgames.com,gazettenet.com,insidenova.com,jetztspielen.de,leitesculinaria.com,onmsft.com,post-gazette.com,practicalpainmanagement.com,sanangelolive.com,sanfoundry.com,stylecaster.com,viraliq.com,yourtango.com##+js(abort-on-property-read.js, HTMLScriptElement)
+sporcle.com##+js(abort-on-property-read.js, admiral)
 ! https://github.com/uBlockOrigin/uAssets/issues/618#issuecomment-333248119
 ! https://forums.lanik.us/viewtopic.php?p=117475#p117475
 ! https://github.com/uBlockOrigin/uAssets/issues/852
-androidcentral.com,crackberry.com,imore.com,windowscentral.com##script:inject(abort-current-inline-script.js, Date.now, adBlocker)
+androidcentral.com,crackberry.com,imore.com,windowscentral.com##+js(abort-current-inline-script.js, Date.now, admiral)
 ||doubleclick.net^$script,redirect=noopjs,domain=androidcentral.com|crackberry.com|imore.com|windowscentral.com
 ||androidcentral.com/sites/androidcentral.com/files/advagg_js/$script,badfilter
 ||crackberry.com/sites/crackberry.com/files/advagg_js/$script,badfilter
@@ -1541,14 +1586,14 @@ androidcentral.com,crackberry.com,imore.
 ! https://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-107#post-2668597
 ! https://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-126#post-2719661
 ! https://github.com/uBlockOrigin/uAssets/issues/1493
-thewindowsclub.com##script:inject(abort-current-inline-script.js, Date.now, adBlocker)
+thewindowsclub.com##+js(abort-on-property-read.js, admiral)
 @@||google.com/*/search/*$script,domain=thewindowsclub.com
 
 ! https://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-107#post-2668814
-dwrean.net##script:inject(bab-defuser.js)
+dwrean.net##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?p=116998#p116998
-kabeleins.de,prosieben.de,prosiebenmaxx.de,ran.de,sat1.de,sat1gold.de,sixx.de##script:inject(abort-on-property-write.js, SOI_LPY)
+kabeleins.de,prosieben.de,prosiebenmaxx.de,ran.de,sat1.de,sat1gold.de,sixx.de##+js(abort-on-property-write.js, SOI_LPY)
 ||mdsglvod-a.akamaihd.net/vod$media,redirect=noopmp3-0.1s,domain=moviepilot.de|sport1.de|wetter.com
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=52379
@@ -1557,10 +1602,10 @@ afreesms.com###smspage:style(display: bl
 afreesms.com##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/377
-salefiles.com##script:inject(abort-on-property-read.js, adblock)
-salefiles.com##script:inject(abort-on-property-write.js, Fingerprint2)
-salefiles.com##script:inject(noeval.js)
-salefiles.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+salefiles.com##+js(abort-on-property-read.js, adblock)
+salefiles.com##+js(abort-on-property-write.js, Fingerprint2)
+salefiles.com##+js(noeval.js)
+salefiles.com##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! Anti-blocker covering content
 @@||plantaobrasil.net^$generichide
@@ -1568,22 +1613,22 @@ plantaobrasil.net##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/383
 ! https://github.com/uBlockOrigin/uAssets/issues/2175
-vidzi.*##script:inject(abort-on-property-read.js, head)
-vidzi.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.pops2.popunderCondition)
-vidzi.*##script:inject(nowebrtc.js)
+vidzi.*##+js(abort-on-property-read.js, head)
+vidzi.*##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.pops2.popunderCondition)
+vidzi.*##+js(nowebrtc.js)
 ! https://forums.lanik.us/viewtopic.php?p=117549#p117549
 ||ww1.vidzi.tv^
 ||ww2.vidzi.tv^
 ||ww3.vidzi.tv^
 ! https://github.com/uBlockOrigin/uAssets/issues/1149
-vidzi.*##script:inject(window.open-defuser.js)
+vidzi.*##+js(window.open-defuser.js)
 vidzi.tv##a[href="https://vidzi.tv/download.html"]
 vidzi.*##[href*="/download.html"]
 ! https://forums.lanik.us/viewtopic.php?p=137531#p137531
 @@||static.vidzi.*/$script,domain=vidzi.tv|vidzi.si
 
 ! https://github.com/uBlockOrigin/uAssets/issues/183
-exrapidleech.info##script:inject(bab-defuser.js)
+exrapidleech.info##+js(bab-defuser.js)
 
 ! https://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-109#post-2671338
 ||adtechus.com^$image,redirect=3x2-transparent.png,domain=sport-fm.gr
@@ -1592,43 +1637,40 @@ exrapidleech.info##script:inject(bab-def
 ! https://forums.lanik.us/viewtopic.php?f=62&t=35774
 ||adtechus.com^$image,important,redirect=3x2-transparent.png,domain=cinemablend.com|goalsarena.org
 
-# https://forums.lanik.us/viewtopic.php?f=64&t=29410#p91041
+! https://forums.lanik.us/viewtopic.php?f=64&t=29410#p91041
 *$popup,third-party,domain=anilinkz.tv
-# https://github.com/uBlockOrigin/uAssets/issues/389
-# https://github.com/uBlockOrigin/uAssets/issues/407
-anilinkz.io##script:inject(abort-on-property-write.js, _$_1923)
-anilinkz.io##script:inject(abort-on-property-write.js, Fingerprint2)
-vidstreaming.io##script:inject(noeval.js)
+
+! vidstreaming.io
+vidstreaming.io##+js(noeval.js)
+vidstreaming.io##+js(abort-current-inline-script.js, parseInt, tabunder)
+vidstreaming.io##+js(abort-current-inline-script.js, decodeURIComponent, parseInt)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/392
-arduino-board.com##script:inject(abort-on-property-write.js, abc)
+arduino-board.com##+js(abort-on-property-write.js, abc)
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=29322
-mma-core.com##script:inject(setTimeout-defuser.js, displayAdBlockedVideo)
+mma-core.com##+js(setTimeout-defuser.js, displayAdBlockedVideo)
 ! Cancel exception filters in EasyList (added because of ABP's shortcomings)
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$important,script,domain=mma-core.com
 ||mma-core.com^$important,generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=103&t=35513
-elsate.com##script:inject(setTimeout-defuser.js, a, 450)
+elsate.com##+js(setTimeout-defuser.js, a, 450)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=36686
 ||adnxs.com^$subdocument,redirect=noopframe,domain=televisaofutebol.com
 ||betfair.com^$subdocument,redirect=noopframe,domain=tvdez.com
-embeducaster.com##script:inject(abort-on-property-write.js, h9c0)
+embeducaster.com##+js(abort-on-property-write.js, h9c0)
 
 ! https://forum.palemoon.org/viewtopic.php?p=113693#p113693
-myip.ms##script:inject(bab-defuser.js)
+myip.ms##+js(bab-defuser.js)
 
-! https://github.com/uBlockOrigin/uAssets/issues/400
-! https://github.com/uBlockOrigin/uAssets/issues/693
-wstream.video##script:inject(abort-current-inline-script.js, setTimeout, .myads)
+! https://github.com/uBlockOrigin/uAssets/issues/3622
+wstream.video##+js(setTimeout-defuser.js, (), 2000)
+||wstream.video^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.googletagmanager.com *.wstream.video
 ||wstream.video/imgad/$image,redirect=2x2-transparent.png,first-party
 wstream.video##div[onclick^="window.open"]
 
-! https://adblockplus.org/forum/viewtopic.php?f=10&t=52546
-9cartoon.me,animeflv.co,animeflv.me##script:inject(setTimeout-defuser.js, #player, 5000)
-
 ! https://forums.lanik.us/viewtopic.php?f=62&t=36750
 ! https://github.com/uBlockOrigin/uAssets/issues/406
 ! https://www.reddit.com/r/uBlockOrigin/comments/6ty9xz/tvtropes_is_blocking_with_options_to_buy_an_ad/
@@ -1636,7 +1678,7 @@ wstream.video##div[onclick^="window.open
 ! https://www.reddit.com/r/uBlockOrigin/comments/7uro6c/accuweathercom_asking_you_to_buy_an_ad_removal/
 ! https://github.com/NanoAdblocker/NanoFilters/issues/100
 ! https://github.com/uBlockOrigin/uAssets/issues/2509
-accuweather.com,androidpolice.com,beliefnet.com,billingsgazette.com,bismarcktribune.com,businessinsider.com,champions.co,comicbook.com,eurogamer.net,givemesport.com,grubstreet.com,hotair.com,jg-tc.com,lacrossetribune.com,madison.com,magicvalley.com,missoulian.com,moviepilot.com,napavalleyregister.com,nationalpost.com,notalwaysright.com,nowloading.co,ottawacitizen.com,pantagraph.com,parkers.co.uk,patheos.com,popculture.com,poststar.com,qctimes.com,rapidcityjournal.com,rawstory.com,stltoday.com,thesouthern.com,thestudentroom.co.uk,townhall.com,trendblog.net,trib.com,tucson.com,tvtropes.org,twitchy.com,watoday.com.au,wwg.com##script:inject(abort-on-property-read.js, stop)
+accuweather.com,androidpolice.com,beliefnet.com,billingsgazette.com,bismarcktribune.com,businessinsider.com,champions.co,comicbook.com,eurogamer.net,givemesport.com,grubstreet.com,hotair.com,jg-tc.com,lacrossetribune.com,madison.com,magicvalley.com,missoulian.com,moviepilot.com,napavalleyregister.com,nationalpost.com,notalwaysright.com,nowloading.co,ottawacitizen.com,pantagraph.com,parkers.co.uk,patheos.com,popculture.com,poststar.com,qctimes.com,rapidcityjournal.com,rawstory.com,stltoday.com,thesouthern.com,thestudentroom.co.uk,townhall.com,trendblog.net,trib.com,tucson.com,tvtropes.org,twitchy.com,watoday.com.au,wwg.com##+js(abort-on-property-read.js, stop)
 ||0mme.com^$script,domain=comicbook.com|popculture.com
 ||1emn.com^$script,domain=hotair.com|lacrossetribune.com|moviepilot.com|nationalpost.com|notalwaysright.com
 ||1enm.com^$script,domain=champions.co|pantagraph.com|parkers.co.uk
@@ -1652,7 +1694,7 @@ accuweather.com,androidpolice.com,belief
 ||static.tvtropes.org/design/js/google-adblock.js$script
 ! https://github.com/uBlockOrigin/uAssets/issues/3045
 ||p.d.*.com^$script,domain=11alive.com|12news.com|12newsnow.com|13newsnow.com|13wmaz.com|9news.com|abc10.com|cbs19.tv|firstcoastnews.com|fox15abilene.com|kagstv.com|kare11.com|kcentv.com|kens5.com|kgw.com|khou.com|kiiitv.com|king5.com|krem.com|ksdk.com|ktvb.com|kvue.com|myatltv.com|myfoxzone.com|news10.net|newscentermaine.com|thv11.com|todaysthv.com|wbir.com|wcnc.com|wfaa.com|wfmynews2.com|wgrz.com|whas11.com|wltx.com|wtsp.com|wusa9.com|wvec.com|wwltv.com|wzzm13.com
-11alive.com,12news.com,12newsnow.com,13newsnow.com,13wmaz.com,9news.com,abc10.com,cbs19.tv,firstcoastnews.com,fox15abilene.com,kagstv.com,kare11.com,kcentv.com,kens5.com,kgw.com,khou.com,kiiitv.com,king5.com,krem.com,ksdk.com,ktvb.com,kvue.com,myatltv.com,myfoxzone.com,news10.net,newscentermaine.com,thv11.com,todaysthv.com,wbir.com,wcnc.com,wfaa.com,wfmynews2.com,wgrz.com,whas11.com,wltx.com,wtsp.com,wusa9.com,wvec.com,wwltv.com,wzzm13.com##script:inject(abort-on-property-read.js, stop)
+11alive.com,12news.com,12newsnow.com,13newsnow.com,13wmaz.com,9news.com,abc10.com,cbs19.tv,firstcoastnews.com,fox15abilene.com,kagstv.com,kare11.com,kcentv.com,kens5.com,kgw.com,khou.com,kiiitv.com,king5.com,krem.com,ksdk.com,ktvb.com,kvue.com,myatltv.com,myfoxzone.com,news10.net,newscentermaine.com,thv11.com,todaysthv.com,wbir.com,wcnc.com,wfaa.com,wfmynews2.com,wgrz.com,whas11.com,wltx.com,wtsp.com,wusa9.com,wvec.com,wwltv.com,wzzm13.com##+js(abort-on-property-read.js, stop)
 
 ! https://github.com/gorhill/uBlock/issues/2609
 segodnya.ua##iframe:not([src]):style(max-height: 1px !important;)
@@ -1669,16 +1711,16 @@ golovbukh.ua##body:style(overflow: auto
 ! https://forums.lanik.us/viewtopic.php?p=128461#p128461
 ! https://github.com/uBlockOrigin/uAssets/issues/1177
 ! https://github.com/uBlockOrigin/uAssets/issues/1602
-tvad.me##script:inject(abort-on-property-read.js, app.adblockPop)
-tvad.me,thevideo.*##script:inject(popads-dummy.js)
-thevideo.*##script:inject(abort-current-inline-script.js, lm2, autoThreads)
-thevideo.*##script:inject(abort-on-property-read.js, popHandler.init)
-thevideo.cc,thevideo.io,thevideo.us##script:inject(window.open-defuser.js)
-thevideo.cc,thevideo.me,thevideo.us##script:inject(abort-current-inline-script.js, app.config.adblock_domain)
-thevideo.cc,thevideo.me,thevideo.us##script:inject(abort-on-property-read.js, app.main.adblock)
-thevideo.cc,thevideo.me,thevideo.us##script:inject(abort-on-property-read.js, MarketGidJSON)
-vev.io##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mouseup)$/, Xc.)
-thevideo.cc,thevideo.me,thevideo.us##script:inject(addEventListener-defuser.js, click, void)
+tvad.me##+js(abort-on-property-read.js, app.adblockPop)
+tvad.me,thevideo.*##+js(popads-dummy.js)
+thevideo.*##+js(abort-current-inline-script.js, lm2, autoThreads)
+thevideo.*##+js(abort-on-property-read.js, popHandler.init)
+thevideo.cc,thevideo.io,thevideo.us##+js(window.open-defuser.js)
+thevideo.cc,thevideo.me,thevideo.us##+js(abort-current-inline-script.js, app.config.adblock_domain)
+thevideo.cc,thevideo.me,thevideo.us##+js(abort-on-property-read.js, app.main.adblock)
+thevideo.cc,thevideo.me,thevideo.us##+js(abort-on-property-read.js, MarketGidJSON)
+vev.io##+js(addEventListener-defuser.js, /^(?:click|mousedown|mouseup)$/, Xc.)
+thevideo.cc,thevideo.me,thevideo.us##+js(addEventListener-defuser.js, click, void)
 thevideo.io##.vjs-overlay-no-background.hidden-xs-down.vjs-overlay-banner300x.vjs-overlay-top.vjs-overlay
 ||thevideo.me/assets/g=adb
 ||thevideo.us/assets/g=adb
@@ -1690,7 +1732,7 @@ thevideo.*##.inplayer_signup_link
 
 ! https://github.com/uBlockOrigin/uAssets/issues/413
 ! https://github.com/uBlockOrigin/uAssets/issues/1503
-shrink-service.it##script:inject(nano-setInterval-booster.js)
+shrink-service.it##+js(nano-setInterval-booster.js)
 @@||shrink-service.it^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/365
@@ -1698,7 +1740,7 @@ shrink-service.it##script:inject(nano-se
 
 ! https://github.com/uBlockOrigin/uAssets/issues/414
 ||bq.si/banner/$popunder
-bq.si##script:inject(window.name-defuser)
+bq.si##+js(window.name-defuser)
 
 ! https://arstechnica.com/information-technology/2017/05/boston-globe-website-no-longer-lets-you-read-articles-in-private-mode/
 bostonglobe.com##.gip__modal
@@ -1706,7 +1748,7 @@ bostonglobe.com##body:style(overflow: au
 bostonglobe.com##.mfp-ready
 
 ! https://github.com/uBlockOrigin/uAssets/issues/416
-full-film.me,full-serie.co##script:inject(abort-on-property-write.js, h9c0)
+full-film.me,full-serie.co##+js(abort-on-property-write.js, h9c0)
 
 ! Prevent popunders + redirections on multiple websites
 ||go.oclasrv.com/apu.php$script,redirect=noopjs
@@ -1715,7 +1757,7 @@ full-film.me,full-serie.co##script:injec
 ||xxlargepop.com/apu.php$script,redirect=noopjs
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6blj0x/block_adblock_is_really_starting_to_irk_me/
-randomarchive.com##script:inject(bab-defuser.js)
+randomarchive.com##+js(bab-defuser.js)
 
 ! https://twitter.com/SilicaAndPina/status/867364367448252417
 @@||hackinformer.com^$first-party,script
@@ -1732,15 +1774,18 @@ hackinformer.com##.adsbygoogle:style(max
 
 ! https://forums.lanik.us/viewtopic.php?p=117739#p117739
 ! https://github.com/gorhill/uBlock/issues/3176
-rule34hentai.net##script:inject(abort-current-inline-script.js, atob, tabunder)
-rule34hentai.net##script:inject(bab-defuser.js)
-||rule34hentai.net^$csp=script-src 'self' *.googleapis.com *.cloudflare.com
+rule34hentai.net##+js(abort-current-inline-script.js, atob, tabunder)
+rule34hentai.net##+js(bab-defuser.js)
+||rule34hentai.net^$first-party,script,badfilter
+@@||ajax.googleapis.com^$script,domain=rule34hentai.net
+@@||fluidplayer.com^$script,domain=rule34hentai.net
+||rule34hentai.net^$csp=script-src 'self' 'unsafe-inline' *.googleapis.com *.cloudflare.com *.fluidplayer.com *.google.com *.gstatic.com *.google-analytics.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/394#issuecomment-304461367
 ||videotoolbox.com^$csp=script-src 'self' * 'unsafe-inline'
 
 ! https://github.com/uBlockOrigin/uAssets/issues/428
-cineblog.it##script:inject(noeval.js)
+cineblog.it##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/430
 freeroms.com##a.download:style(visibility: hidden;)
@@ -1775,7 +1820,7 @@ wwg.com##.ad_blk
 digiday.com###ipu_article_article
 
 ! https://github.com/uBlockOrigin/uAssets/issues/449
-extreme-down.pro##script:inject(abort-current-inline-script.js, firstLink, newLink)
+extreme-down.pro##+js(abort-current-inline-script.js, firstLink, newLink)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/446
 h5.fotor.com###main:style(right: 0 !important;)
@@ -1787,11 +1832,11 @@ mind42.com###content.sidebar2:style(marg
 ! https://github.com/uBlockOrigin/uAssets/issues/448
 ||d7zatysqm84hv.cloudfront.net/mp3-ad/$media,redirect=noopmp3-0.1s,domain=open.spotify.com
 ! https://github.com/uBlockOrigin/uAssets/issues/724
-||audio-akp-spotify-com.akamaized.net/audio/*$media,redirect=noopmp3-0.1s,domain=open.spotify.com
+||akamaized.net/audio/*$media,redirect=noopmp3-0.1s,domain=open.spotify.com
 ||audio-fa.scdn.co/audio/*$media,redirect=noopmp3-0.1s,domain=open.spotify.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/450
-vooxe.com##script:inject(abort-on-property-read.js, canRunAds)
+vooxe.com##+js(abort-on-property-read.js, canRunAds)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/452
 ||zdnet.com/*promo$xmlhttprequest,domain=zdnet.com
@@ -1799,13 +1844,13 @@ vooxe.com##script:inject(abort-on-proper
 ! https://github.com/uBlockOrigin/uAssets/issues/453
 ! https://github.com/uBlockOrigin/uAssets/issues/457
 ! https://forums.lanik.us/viewtopic.php?f=62&t=37792
-hdencoders.com,ls-streaming.com,worldwidetorrents.eu##script:inject(abort-on-property-write.js, spot_code)
+hdencoders.com,ls-streaming.com,worldwidetorrents.eu##+js(abort-on-property-write.js, spot_code)
 
 ! https://github.com/gorhill/uBlock/issues/2701
 ||d1n7ypf85zfej7.cloudfront.net^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/455
-bouncebreak.com##script:inject(popads.net.js)
+bouncebreak.com##+js(popads.net.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/458
 ||latimes.com^$generichide,important
@@ -1815,11 +1860,11 @@ bouncebreak.com##script:inject(popads.ne
 ||rubiconproject.com^$script,important,domain=latimes.com
 
 ! https://forums.lanik.us/viewtopic.php?p=119671#p119671
-xhamster.com##script:inject(abort-on-property-write.js, dataPopUnder)
-xhamster.com##script:inject(addEventListener-defuser.js, popstate, backUrl)
+xhamster.com##+js(abort-on-property-write.js, dataPopUnder)
+xhamster.com##+js(addEventListener-defuser.js, popstate, backUrl)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/462
-idnes.cz##script:inject(abort-on-property-write.js, bmone2n)
+idnes.cz##+js(abort-on-property-write.js, bmone2n)
 idnes.cz##body > div#main > table[id][class]
 idnes.cz###space-g
 
@@ -1838,15 +1883,11 @@ elmundo.es##.disabled-vscroll:style(over
 ! further investigation, this fixes the issue.
 ||4chan.org^$csp=connect-src https: http:
 ! https://rbt.asia/g/thread/63902030/
-4chan.org##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-
-! https://github.com/uBlockOrigin/uAssets/issues/467
-iwatchonline.cr,iwatchonline.eu##script:inject(abort-on-property-write.js, Fingerprint2)
-||s3.amazonaws.com^$xmlhttprequest,domain=iwatchonline.cr|iwatchonline.eu
-||ov2ochu.bid^
+4chan.org##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/470
-xclusivejams.com##script:inject(abort-on-property-read.js, anOptions)
+xclusivejams.com##+js(abort-on-property-read.js, anOptions)
+xclusivejams.com##+js(abort-on-property-write.js, Fingerprint2)
 ||xclusivejams.com/sw.js$script
 ||refuzzlizing.pro^$third-party
 
@@ -1854,13 +1895,13 @@ xclusivejams.com##script:inject(abort-on
 qrz.ru##.content_row > div[class]:has(a[href="/help/adblock/"])
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=53351
-pornovore.fr##script:inject(abort-on-property-write.js, popUrl)
+pornovore.fr##+js(abort-on-property-write.js, popUrl)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=53354
 ! https://github.com/uBlockOrigin/uAssets/issues/489
-vidnow.to##script:inject(abort-on-property-read.js, BetterJsPop)
-vshare.eu##script:inject(abort-on-property-read.js, BetterJsPop)
-vidup.me##script:inject(abort-on-property-read.js, adsShowPopup)
+vidnow.to##+js(abort-on-property-read.js, BetterJsPop)
+vshare.eu##+js(abort-on-property-read.js, BetterJsPop)
+vidup.me##+js(abort-on-property-read.js, adsShowPopup)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=53362
 hdfree.se###advPlayer
@@ -1868,7 +1909,7 @@ hdfree.se###videoplayer:style(display: b
 
 ! https://github.com/uBlockOrigin/uAssets/issues/492
 ||andreas-unterberger.at/includes/js/helperFunctions.js$script,first-party
-wz.de##script:inject(abort-on-property-read.js, jsABLoaded)
+wz.de##+js(abort-on-property-read.js, jsABLoaded)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/84
 news.yandex.ru##.page-content__left > div[class]:has(a[href*="/clck/jsredir"])
@@ -1877,21 +1918,21 @@ news.yandex.ru##.page-content__right > d
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=53374
 ||xstory-fr.com^$first-party,script,badfilter
-xstory-fr.com##script:inject(abort-on-property-write.js, checkRealLoad)
+xstory-fr.com##+js(abort-on-property-write.js, checkRealLoad)
 
 ! https://github.com/gorhill/uBlock/issues/2759
 ! https://github.com/uBlockOrigin/uAssets/issues/652
-slideplayer.*##script:inject(abort-on-property-read.js, service.mode)
+slideplayer.*##+js(abort-on-property-read.js, service.mode)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/497
 ! https://forums.lanik.us/viewtopic.php?p=133524#p133524
-bitporno.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-bitporno.com##script:inject(nowebrtc.js)
-bitporno.com##script:inject(popads.net.js)
-bitporno.com##script:inject(window.open-defuser.js)
+bitporno.com##+js(abort-current-inline-script.js, atob, tabunder)
+bitporno.com##+js(nowebrtc.js)
+bitporno.com##+js(popads.net.js)
+bitporno.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/498
-receive-sms-online.info##script:inject(abort-on-property-read.js, ga.length)
+receive-sms-online.info##+js(abort-on-property-read.js, ga.length)
 
 ! https://github.com/gorhill/uBlock/issues/2769
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=googletagmanager.com/gtm.js,domain=breitbart.com
@@ -1912,28 +1953,28 @@ hltv.org##[class^="col-rek"][id]
 ! https://github.com/uBlockOrigin/uAssets/issues/2073
 ||popads.net^$script,redirect=popads-dummy.js,domain=vidlox.tv
 ! https://www.reddit.com/r/uBlockOrigin/comments/8pdji6
-vidlox.*##script:inject(abort-current-inline-script.js, atob, tabunder)
-vidlox.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-vidlox.*##script:inject(nowebrtc.js)
-vidlox.*##script:inject(set-constant.js, popns, true)
+vidlox.*##+js(abort-current-inline-script.js, atob, tabunder)
+vidlox.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+vidlox.*##+js(nowebrtc.js)
+vidlox.*##+js(set-constant.js, popns, true)
 
 ! https://forums.lanik.us/viewtopic.php?p=120875#p120875
 ! https://github.com/uBlockOrigin/uAssets/issues/548
-daclips.com,imgchili.net,movpod.in,nextorrent.pw,nowvideo.sx,vidlox.tv,watchers.to,wholecloud.net##script:inject(abort-on-property-write.js, Fingerprint2)
+daclips.com,imgchili.net,movpod.in,nextorrent.pw,nowvideo.sx,vidlox.tv,watchers.to,wholecloud.net##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6mg25x/ublock_origin_ublock_origin_extra_is_not_working/
-pcgames-download.com##script:inject(nowebrtc.js)
-pcgames-download.com##script:inject(set-constant.js, niceAdsCheck, true)
+pcgames-download.com##+js(nowebrtc.js)
+pcgames-download.com##+js(set-constant.js, niceAdsCheck, true)
 ! https://forums.lanik.us/viewtopic.php?f=62&t=36339
 ! skidrow sites
 skidrowcrack.com##^script:has-text(3f87b0eaddd)
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=skidrowcrack.com
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=skidrowcrack.com
-skidrowgamesreloaded.com##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-skidrowgamesreloaded.com##script:inject(popads.net.js)
+skidrowgamesreloaded.com##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+skidrowgamesreloaded.com##+js(popads.net.js)
 
 ! https://twitter.com/Lennox__Cassidy/status/885459529072353280
-sport365.live##script:inject(setTimeout-defuser.js, /location\.replace|setRefreshAdFloat|setRotateAdSlice/)
+sport365.live##+js(setTimeout-defuser.js, /location\.replace|setRefreshAdFloat|setRotateAdSlice/)
 
 ! http://qz.com/877193/how-this-hyderabad-resident-built-an-illegal-marijuana-plantation-in-his-three-bedroom-apartment/
 qz.com###marquee
@@ -1944,52 +1985,52 @@ qz.com##.ad-engage
 ||doubleclick.net^$important,domain=qz.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/512
-dailymail.co.uk##script:inject(abort-on-property-write.js, s_adblock)
+dailymail.co.uk##+js(abort-on-property-write.js, s_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=37524
-android-zone.ws##script:inject(bab-defuser.js)
+android-zone.ws##+js(bab-defuser.js)
 
 ! https://www.reddit.com/r/KissAnime/comments/6ng3gn/ublock_origin_not_blocking_all_ads/
-rapidvideo.com##script:inject(popads.net.js)
+rapidvideo.com##+js(popads.net.js)
 ! https://www.reddit.com/r/uBlockOrigin/comments/6tewvm/i_got_a_horrible_adpop_up_that_spawned_itself/
-rapidvideo.com##script:inject(noeval.js)
-rapidvideo.com##script:inject(abort-on-property-write.js, executed)
+rapidvideo.com##+js(noeval.js)
+rapidvideo.com##+js(abort-on-property-write.js, executed)
 ! https://github.com/uBlockOrigin/uAssets/issues/833
-rapidvideo.com##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+rapidvideo.com##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
 ! https://github.com/uBlockOrigin/uAssets/issues/2739
-rapidvideo.com##script:inject(set-constant.js, onload, noopFunc)
+rapidvideo.com##+js(set-constant.js, onload, noopFunc)
 ! https://github.com/uBlockOrigin/uAssets/issues/2669#issuecomment-409005490
-rapidvideo.com##script:inject(addEventListener-defuser.js, mousedown, preventDefault)
+rapidvideo.com##+js(addEventListener-defuser.js, mousedown, preventDefault)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/516
 @@||thepiratebay.run^$generichide
-thepiratebay.*##script:inject(abort-on-property-read.js, _wm)
+thepiratebay.*##+js(abort-on-property-read.js, _wm)
 @@||wallpapermania.eu^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/517
 ! https://github.com/uBlockOrigin/uAssets/issues/2628
-hollaforums.com##script:inject(set-constant.js, adsBlocked, false)
-hollaforums.com##script:inject(window.open-defuser.js)
+hollaforums.com##+js(set-constant.js, adsBlocked, false)
+hollaforums.com##+js(window.open-defuser.js)
 @@||hollaforums.com^$generichide
 ||hollaforums.com/if/rc/ecigs/$subdocument,first-party
 hollaforums.com##.sidebar-rcs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/518
-wallpapershome.com,wallpapersite.com##script:inject(abort-on-property-read.js, canRunAds)
+wallpapershome.com,wallpapersite.com##+js(abort-on-property-read.js, canRunAds)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/522
-supforums.com##script:inject(abort-on-property-read.js, adsLoaded)
+supforums.com##+js(abort-on-property-read.js, adsLoaded)
 @@||supforums.com^$generichide
 ||supforums.com/if/rc/ecigs/$subdocument,first-party
 supforums.com##.sidebar-rcs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/521
 ! https://www.reddit.com/r/uBlockOrigin/comments/84vav1/redirects_on_sites/
-primewire.*##script:inject(abort-on-property-read.js, console.clear)
-primewire.*##script:inject(abort-on-property-read.js, _wwwp)
-primewire.*##script:inject(nowebrtc.js)
-primewire.*##script:inject(setInterval-defuser.js, (), 500)
-primewire.*##script:inject(window.open-defuser.js)
+primewire.*##+js(abort-on-property-read.js, console.clear)
+primewire.*##+js(abort-on-property-read.js, _wwwp)
+primewire.*##+js(nowebrtc.js)
+primewire.*##+js(setInterval-defuser.js, (), 500)
+primewire.*##+js(window.open-defuser.js)
 primewire.*##.actual_tab > table:if(td:first-of-type + td + td:has-text(/Promo Host|Sponsor Host/))
 @@||engine.*/tag.engine?$script,domain=primewire.ag|primewire.in,badfilter
 @@||cdn.engine.*^guid^$third-party,script,domain=primewire.ag|primewire.in,badfilter
@@ -2012,10 +2053,10 @@ primewire.*##.actual_tab > table:if(td:f
 ||playbill.com^$csp=script-src 'self' * 'unsafe-inline' data:
 
 ! https://github.com/uBlockOrigin/uAssets/issues/531
-championat.com,gazeta.ru,lenta.ru,rambler.ru##script:inject(palacesquare.rambler.ru-defuser.js)
+championat.com,gazeta.ru,lenta.ru,rambler.ru##+js(palacesquare.rambler.ru-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/535
-periscopel.com##script:inject(bab-defuser.js)
+periscopel.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/458#issuecomment-315818190
 metacritic.com##.ad_unit
@@ -2028,12 +2069,10 @@ ign.com###king
 @@||opencarry.org^$generichide
 ||opencarry.org/wp-content/uploads/*468x103$image
 ||opencarry.org/wp-content/uploads/*468x165$image
-opencarry.org##[id^=ad_global]
-
-! https://github.com/uBlockOrigin/uAssets/issues/544
-||xximg.net/ads/banner.jpg$image,important,first-party,redirect=32x32-transparent.png
+opencarry.org##[id^="ad_global"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/547
+techtimes.com##+js(abort-current-inline-script.js, MutationObserver, compareDocumentPosition)
 techtimes.com##.sec-title2:has-text(From Our Sponsor)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/546
@@ -2043,20 +2082,24 @@ techtimes.com##.sec-title2:has-text(From
 /faloo.js$script,first-party,domain=4tube.com|fux.com|pornerbros.com|porntube.com
 4tube.com,fux.com,pornerbros.com,porntube.com##.cpp:has(a[href*="/channel-redirect/"])
 ! https://github.com/uBlockOrigin/uAssets/issues/905
-fux.com##script:inject(abort-on-property-read.js, ExoLoader)
-fux.com##script:inject(abort-on-property-write.js, ads_priv)
+fux.com##+js(abort-on-property-read.js, ExoLoader)
+fux.com##+js(abort-on-property-write.js, ads_priv)
 ||fux.com/*banner$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/550
+! https://github.com/NanoAdblocker/NanoFilters/issues/178
+speedvid.net##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+speedvid.net##+js(setInterval-defuser.js, (), 500)
+speedvid.net##+js(abort-on-property-write.js, _pop)
+speedvid.net##+js(abort-on-property-write.js, Fingerprint2)
 ||dl.www.speedvid.net^$popup
-speedvid.net##script:inject(abort-on-property-write.js, _pop)
-speedvid.net##script:inject(abort-on-property-write.js, Fingerprint2)
+@@||speedvid.net/dl?op=download$popup,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/549
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40089
-streamplay.*##script:inject(abort-on-property-read.js, miner)
-streamplay.*##script:inject(abort-on-property-write.js, Fingerprint2)
-streamplay.*##script:inject(window.open-defuser.js)
+streamplay.*##+js(abort-on-property-read.js, miner)
+streamplay.*##+js(abort-on-property-write.js, Fingerprint2)
+streamplay.*##+js(window.open-defuser.js)
 @@||streamplay.to/js/pop$script,first-party
 ##a[href*="://3wr110.xyz/"]
 @@||mydarewatch.com^$generichide
@@ -2065,10 +2108,10 @@ streamplay.*##script:inject(window.open-
 *$csp=script-src 'self' * 'unsafe-inline' data:,domain=acidcow.com|www.bolde.com|breaking911.com|convertcase.net|convertfiles.com|financemagnates.com|gostica.com|heraldweekly.com|neonnettle.com|powerpyx.com|schoolholidayseurope.eu|tamilo.com|tfln.co|thecomeback.com|truthfeed.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/554
-tomsguide.com##script:inject(abort-on-property-write.js, tmnramp)
+tomsguide.com##+js(abort-on-property-write.js, tmnramp)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/552
-daily.bhaskar.com##script:inject(abort-on-property-write.js, popupAdCall)
+daily.bhaskar.com##+js(abort-on-property-write.js, popupAdCall)
 
 ! https://github.com/gorhill/uBlock/issues/2804
 ! https://github.com/uBlockOrigin/uAssets/issues/564
@@ -2077,8 +2120,8 @@ daily.bhaskar.com##script:inject(abort-o
 
 ! https://github.com/uBlockOrigin/uAssets/issues/556
 ! https://github.com/uBlockOrigin/uAssets/issues/1286
-yourbittorrent.com##script:inject(abort-on-property-write.js, _pop)
-yourbittorrent.com##script:inject(abort-on-property-write.js, Fingerprint2)
+yourbittorrent.com##+js(abort-on-property-write.js, _pop)
+yourbittorrent.com##+js(abort-on-property-write.js, Fingerprint2)
 yourbittorrent.com##.grid_4:has(a[href*=".download/torrent/"])
 yourbittorrent.com##a[href*=".t0r.download/torrent/"]
 
@@ -2088,40 +2131,32 @@ torrent.cd##.but > noindex:has(a[href*="
 
 ! https://github.com/uBlockOrigin/uAssets/issues/560
 ||sun.torrentfunk.com^$subdocument
-torrentfunk.com##script:inject(abort-on-property-write.js, bidrev)
-torrentfunk.com##script:inject(abort-on-property-write.js, Fingerprint2)
+torrentfunk.com##+js(abort-on-property-write.js, bidrev)
+torrentfunk.com##+js(abort-on-property-write.js, Fingerprint2)
 torrentfunk.com##.content td:has(a[href*=".pl4y.download/"])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/565
-ville-ideale.fr##script:inject(setTimeout-defuser.js, contrformpub, 5000)
+ville-ideale.fr##+js(setTimeout-defuser.js, contrformpub, 5000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/558
 ! https://github.com/uBlockOrigin/uAssets/issues/578
-torrentz2.*##script:inject(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
-torrentz2.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-
-! https://github.com/uBlockOrigin/uAssets/issues/561
-! https://github.com/uBlockOrigin/uAssets/issues/1286
-limetorrents.cc##.torrentinfo tr:has(a[href*="//movie4u.ch/"])
-limetorrents.cc##.torrentinfo > div:has(a[href*="/fast.php"])
-limetorrents.cc##.torrentinfo > div:has(a[href*="/redir.php"])
-limetorrents.cc##a[href*="/rel/index.cfm?RST="]
-limetorrents.cc##table:has(a[href*="//goo.gl/"])
+torrentz2.*##+js(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
+torrentz2.*##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/557
 torrentbit.net##tr:has(a[href*="/click/"])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/568
-calciomercato.it##script:inject(setTimeout-defuser.js, disabledAdBlock, 10000)
+calciomercato.it##+js(setTimeout-defuser.js, disabledAdBlock, 10000)
 ! https://forums.lanik.us/viewtopic.php?p=130215#p130215
-calciomercato.com##script:inject(abort-on-property-read.js, overlayAdId)
+calciomercato.com##+js(abort-on-property-read.js, overlayAdId)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/571
-informer.com##script:inject(abort-on-property-read.js, adblock_added)
-informer.com##script:inject(abort-on-property-read.js, canRunAds)
+informer.com##+js(abort-on-property-read.js, adblock_added)
+informer.com##+js(abort-on-property-read.js, canRunAds)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/572
-softonic.com##script:inject(fuckadblock.js-3.2.0)
+softonic.com##+js(fuckadblock.js-3.2.0)
 @@||softonic.com^$generichide
 @@||softonic.com/shared/abp_detection/$script,first-party
 softonic.com###show_banner_leaderboard
@@ -2138,14 +2173,15 @@ softonic.com###show_banner_medium_rectan
 @@||startclass.com/ad$xmlhttprequest,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/575
-10-download.com##script:inject(bab-defuser.js)
+10-download.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/583
 ! https://github.com/uBlockOrigin/uAssets/issues/1286
-torlock.com##script:inject(abort-on-property-write.js, _pop)
-torlock.com##script:inject(abort-on-property-write.js, Fingerprint2)
+torlock.com##+js(abort-on-property-write.js, _pop)
+torlock.com##+js(abort-on-property-write.js, Fingerprint2)
 torlock.com##a[href*=".europeantorrents.download/"]
 torlock.com##a[href*=".t0r.download/torrent"]
+torlock.com##[href*="an0n.stream"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/582
 inoreader.com###reader_pane:style(padding-right: 0px !important;)
@@ -2153,18 +2189,18 @@ inoreader.com###sinner_container
 
 ! https://github.com/uBlockOrigin/uAssets/issues/590
 ! https://www.reddit.com/r/uBlockOrigin/comments/76srms/local_news_sites_in_the_uk_now_attempting_to/
-bordertelegraph.com,bournemouthecho.co.uk,dailyecho.co.uk,dorsetecho.co.uk,eveningtimes.co.uk,guardian-series.co.uk,heraldscotland.com,iwcp.co.uk,lancashiretelegraph.co.uk,oxfordmail.co.uk,salisburyjournal.co.uk,theargus.co.uk,thetelegraphandargus.co.uk,yorkpress.co.uk##script:inject(abort-on-property-write.js, _sp_)
+bordertelegraph.com,bournemouthecho.co.uk,dailyecho.co.uk,dorsetecho.co.uk,eveningtimes.co.uk,guardian-series.co.uk,heraldscotland.com,iwcp.co.uk,lancashiretelegraph.co.uk,oxfordmail.co.uk,salisburyjournal.co.uk,theargus.co.uk,thetelegraphandargus.co.uk,yorkpress.co.uk##+js(abort-on-property-write.js, _sp_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/596
-bittorrent.am##script:inject(bab-defuser.js)
-bittorrent.am##script:inject(nowebrtc.js)
+bittorrent.am##+js(bab-defuser.js)
+bittorrent.am##+js(nowebrtc.js)
 bittorrent.am##.no2ref
 bittorrent.am##.torrentsTable:has-text(Kb/s)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/595
 ! https://github.com/uBlockOrigin/uAssets/issues/1286
-monova.org,monova.to##script:inject(abort-on-property-read.js, adblock)
-monova.to##script:inject(abort-on-property-write.js, Fingerprint2)
+monova.org,monova.to##+js(abort-on-property-read.js, adblock)
+monova.to##+js(abort-on-property-write.js, Fingerprint2)
 monova.org#@#script + [class] > [class]:first-child
 
 ! https://github.com/uBlockOrigin/uAssets/issues/597
@@ -2173,7 +2209,7 @@ torrentz.to##tr:if(> td:has-text(Sponsor
 
 ! https://github.com/uBlockOrigin/uAssets/issues/598
 ! https://www.reddit.com/r/uBlockOrigin/comments/6w2o8c/i_keep_seeing_ads_on_9to5mac/
-9to5google.com,9to5mac.com,9to5toys.com,electrek.co##script:inject(abort-on-property-read.js, canRunAds)
+9to5google.com,9to5mac.com,9to5toys.com,electrek.co##+js(abort-on-property-read.js, canRunAds)
 ||wp.com/*/adsbygoogle.js$script,important,domain=9to5mac.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/602
@@ -2185,28 +2221,29 @@ alluc.ee##^script:has-text(676574456c656
 alluc.ee##.clickable:has(img[src*="/icoad."])
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6qq40e/popups_in_httpsdropapkcom/
-dropapk.com##script:inject(abort-on-property-write.js, Fingerprint2)
-dropapk.com##script:inject(nowebrtc.js)
+dropapk.com##+js(abort-on-property-write.js, Fingerprint2)
+dropapk.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/609
-ig2fap.com,igfap.com##script:inject(abort-on-property-read.js, anOptions)
-ig2fap.com,igfap.com##script:inject(abort-on-property-write.js, _pop)
+ig2fap.com,igfap.com##+js(abort-on-property-read.js, anOptions)
+ig2fap.com,igfap.com##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/610
-fas.li##script:inject(abort-on-property-read.js, blockAdBlock)
+fas.li##+js(abort-on-property-read.js, blockAdBlock)
 ||cloudflare.com/*/blockadblock$script,important,domain=fas.li
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32686
 ! https://github.com/uBlockOrigin/uAssets/issues/2743
-whosampled.com##script:inject(setTimeout-defuser.js, _detectAdBlocker, 5000)
-whosampled.com##script:inject(abort-on-property-write.js, showAdBlockerOverlay)
+whosampled.com##+js(setTimeout-defuser.js, _detectAdBlocker, 5000)
+whosampled.com##+js(abort-on-property-write.js, showAdBlockerOverlay)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/611
-animes-mangas-ddl.net,dslr-forum.de,it-times.de,linkdrop.net,wowebook.org##script:inject(bab-defuser.js)
+animes-mangas-ddl.net,dslr-forum.de,it-times.de,linkdrop.net,wowebook.org##+js(bab-defuser.js)
+||dslr-forum.de/ads/$image
 
 ! https://github.com/gorhill/uBlock/issues/2835
 ! https://github.com/uBlockOrigin/uAssets/issues/780
-gamespot.com##script:inject(abort-current-inline-script.js, $, sp.blocking)
+gamespot.com##+js(abort-current-inline-script.js, $, sp.blocking)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=53755
 @@||amarujala.com/ads.$subdocument,first-party
@@ -2228,7 +2265,7 @@ gamespot.com##script:inject(abort-curren
 @@||pubads.g.doubleclick.net/ssai/event/$xmlhttprequest,domain=mitele.es
 
 ! https://github.com/uBlockOrigin/uAssets/issues/618
-meta-calculator.com,meta-chart.com##script:inject(abort-current-inline-script.js, Promise)
+meta-calculator.com,meta-chart.com##+js(abort-current-inline-script.js, Promise)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6t1yw7/pga_championship_stream_please_disable_your/
 ||z.moatads.com^$script,redirect=noopjs,domain=pga.com
@@ -2241,14 +2278,14 @@ imdb.com##body#styleguide-v2:style(backg
 imdb.com###injected_navstrip_wrapper
 
 ! https://forums.lanik.us/viewtopic.php?f=90&t=35977
-hdfilme.tv##script:inject(abort-on-property-read.js, x3B5W)
-hdfilme.tv##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+hdfilme.tv##+js(abort-on-property-read.js, x3B5W)
+hdfilme.tv##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6tek9j/how_to_block_popups_in_ublockorigin_on_this_site/
 ! https://github.com/uBlockOrigin/uAssets/issues/3138
-myreadingmanga.info##script:inject(abort-on-property-read.js, ExoLoader.serve)
-myreadingmanga.info##script:inject(popads.net.js)
-myreadingmanga.info##script:inject(popads-dummy.js)
+myreadingmanga.info##+js(abort-on-property-read.js, ExoLoader.serve)
+myreadingmanga.info##+js(popads.net.js)
+myreadingmanga.info##+js(popads-dummy.js)
 @@||myreadingmanga.disqus.com^$script
 myreadingmanga.info##[href^="http://www.gaming-adult.com/"]
 
@@ -2263,32 +2300,33 @@ msn.com##.nativeadasideplaceholder
 msn.com##.nativeadserversidecontentmodule
 
 ! https://github.com/reek/anti-adblock-killer/issues/3492
-newser.com##script:inject(abort-on-property-read.js, checkAds)
-newser.com##script:inject(abort-on-property-read.js, oio)
+newser.com##+js(abort-current-inline-script.js, MutationObserver, compareDocumentPosition)
+newser.com##+js(abort-on-property-read.js, checkAds)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6u2isr/i_cant_scroll_on_know_your_meme_when_i_use_ublock/
 @@||knowyourmeme.com^$generichide
-knowyourmeme.com##script:inject(abort-on-property-write.js, upManager)
+knowyourmeme.com##+js(abort-on-property-write.js, upManager)
 
 ! https://www.heise.de/forum/p-30878216/
-spiegel.de##script:inject(abort-on-property-write.js, adBlockDetected)
+spiegel.de##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/630
 forum.xda-developers.com##.postbit-wrapper:if(.postbit-userinfo-cell:has-text(Sponsor Content))
 
 ! https://github.com/uBlockOrigin/uAssets/issues/638
-cloudwebcopy.com##script:inject(bab-defuser.js)
+cloudwebcopy.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/639
 bleepingcomputer.com##LI:has(.nl_spons)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6vc7l5/fmoviesis_website_will_not_allow_ublock_need_help/
-vidnode.net##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+vidnode.net##+js(abort-current-inline-script.js, parseInt, tabunder)
 ! https://github.com/jspenguin2017/uBlockProtector/issues/871
-fmovies.*##script:inject(abort-on-property-read.js, zfgloadedpopup)
-fmovies.*##script:inject(abort-current-inline-script.js, atob, tabunder)
-fmovies.*##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-fmovies.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+fmovies.*##+js(abort-on-property-read.js, zfgloadedpopup)
+fmovies.*##+js(abort-current-inline-script.js, atob, tabunder)
+fmovies.*##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+fmovies.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+fmovies.*##+js(nowebrtc.js)
 mcloud.to###jwa
 
 ! https://github.com/uBlockOrigin/uAssets/issues/605
@@ -2296,25 +2334,26 @@ mcloud.to###jwa
 ! https://github.com/jspenguin2017/uBlockProtector/issues/781
 ! https://github.com/uBlockOrigin/uAssets/issues/2084#issuecomment-385204003
 ! https://github.com/uBlockOrigin/uAssets/issues/2333
-9anime.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+9anime.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+9anime.*##+js(setTimeout-defuser.js, return, 2000)
+||9anime.is/scripts/*$script,first-party
 @@||9anime.*^$generichide
 @@||ajax.googleapis.com/ajax/libs/jquery/*$script,domain=9anime.is
 @@||trends.revcontent.com/serve.js.php$script,domain=9anime.is|9anime.ru
 9anime.*#@#.rc-item-wrapper
 9anime.*##.rc-item-wrapper:style(visibility: collapse !important)
 9anime.*###sidebar > .text-center.crop.widget:style(height: 6px !important)
-||9anime.is/$script
-9anime.*##script:inject(setTimeout-defuser.js, return, 2000)
 9anime.*##a[href$=".png"]
+||9anime.*/sw.js$script
 
 ! https://github.com/uBlockOrigin/uAssets/pull/643
-serienstream.to##script:inject(abort-current-inline-script.js, document.readyState, /(?:\\x[0-9a-f]{2}){20}/)
+serienstream.to##+js(abort-current-inline-script.js, document.readyState, /(?:\\x[0-9a-f]{2}){20}/)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6vid45/odd_unblockable_ads_on_watchcartoonsonlineeu/
 ||watchcartoonsonline.*^$csp=script-src 'unsafe-inline' 'unsafe-eval' data: *
-watchcartoonsonline.*##script:inject(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
-watchcartoonsonline.*##script:inject(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
-watchcartoonsonline.*##script:inject(set-constant.js, check_adblock, true)
+watchcartoonsonline.*##+js(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
+watchcartoonsonline.*##+js(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
+watchcartoonsonline.*##+js(set-constant.js, check_adblock, true)
 watchcartoonsonline.*##header
 watchcartoonsonline.*##[id*="ScriptRoot"]
 
@@ -2322,16 +2361,19 @@ watchcartoonsonline.*##[id*="ScriptRoot"
 computerbild.de##.startdownload > a[data-is-manager-usable="1"]
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6vsahb/streamcloudeu_doesnt_work_with_ubo/
-streamcloud.eu##script:inject(set-constant.js, adBlockDetected, noopFunc)
-streamcloud.eu###login > div[style^='width']:style(display: block !important)
+streamcloud.eu##+js(abort-on-property-read.js, zfgloadedpopup)
+streamcloud.eu##+js(nowebrtc.js)
+streamcloud.eu##+js(set-constant.js, adBlockDetected, noopFunc)
+streamcloud.eu##[id*="ScriptRoot"]
+streamcloud.eu###login > div[style^="width"]:style(display: block !important)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/653
-web2.0calc.com##script:inject(abort-on-property-read.js, doads)
+web2.0calc.com##+js(abort-on-property-read.js, doads)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/533
 ! https://github.com/uBlockOrigin/uAssets/issues/1286
-torrentdownloads.me##script:inject(abort-on-property-write.js, Fingerprint2)
-torrentexx.com##script:inject(abort-on-property-write.js, _pop)
+torrentdownloads.me##+js(abort-on-property-write.js, Fingerprint2)
+torrentexx.com##+js(abort-on-property-write.js, _pop)
 torrentdownloads.me,torrentsdownload.co##.grey_bar1:has-text(Stream:)
 torrentdownloads.me,torrentsdownload.co,torrentexx.com##.grey_bar3:has(a:not([href^="/"]))
 torrentdownloads.me,torrentsdownload.co,torrentexx.com##.inner_container:has(> .titl_4)
@@ -2350,31 +2392,33 @@ torrentdownload.ch##[href^="https://goo.
 torrentdownload.ch##TR:has-text(Stream:)
 torrentdownload.ch##.table2:has-text(Sponsored)
 
-! https://forums.lanik.us/viewtopic.php?f=62&t=36723
-streamlive.to##script:inject(abort-current-inline-script.js, parseInt, charAt)
-streamlive.to##script:inject(nowebrtc.js)
-@@||streamlive.to^$generichide
-streamlive.to###WarningCodecBanner
+! https://forums.lanik.us/viewtopic.php?f=62&t=41875
+streamlive.to##+js(abort-current-inline-script.js, parseInt, charAt)
+streamlive.to##+js(abort-on-property-write.js, decodeURIComponent)
+streamlive.to##+js(addEventListener-defuser.js, load, onload)
+streamlive.to##+js(nowebrtc.js)
+||streamlive.to/images/iptv.png
+||streamlive.to/images/movies10.png
 
 ! https://github.com/uBlockOrigin/uAssets/issues/658
-journaldev.com##script:inject(abort-on-property-write.js, KillAdBlock)
+journaldev.com##+js(abort-on-property-write.js, KillAdBlock)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6ww60b/looks_like_a_new_antiadblock_scripting_is_out/
 @@||parasitipedia.net^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=37970
-imgsrc.ru##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+imgsrc.ru##+js(abort-current-inline-script.js, parseInt, tabunder)
 ||imgsrc.ru^$csp=script-src 'self' 'unsafe-inline' *.yandex.ru *.google.com *.cloudflare.com
-imgsrc.ru##script:inject(window.open-defuser.js)
+imgsrc.ru##+js(window.open-defuser.js)
 imgsrc.ru##A[href$=".html"][rel="nofollow norefferer noopener"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/662
-liferayiseasy.*##script:inject(addEventListener-defuser.js, load, getComputedStyle)
-liferayiseasy.*##script:inject(addEventListener-defuser.js, load, adsense)
+liferayiseasy.*##+js(addEventListener-defuser.js, load, getComputedStyle)
+liferayiseasy.*##+js(addEventListener-defuser.js, load, adsense)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38053
 ! https://github.com/uBlockOrigin/uAssets/issues/829
-iptvbin.com##script:inject(abort-on-property-write.js, Math.floor)
+iptvbin.com##+js(abort-on-property-write.js, Math.floor)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/672
 @@||playok.com^$generichide
@@ -2391,10 +2435,10 @@ allboxing.ru##^script:has-text(676574456
 @@||video-download.co/*/advertisement.js$xmlhttprequest,first-party
 
 ! https://www.youtube.com/watch?v=t6oyXKqB2vY
-blackspigot.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+blackspigot.com##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6youok/how_to_get_pass_through_this_website_which_uses/
-androidsage.com##script:inject(abort-on-property-write.js, blckad)
+androidsage.com##+js(abort-on-property-write.js, blckad)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/678
 ||vidgg.to/video/$inline-script
@@ -2411,54 +2455,55 @@ androidsage.com##script:inject(abort-on-
 ! https://github.com/uBlockOrigin/uAssets/issues/683
 ! https://github.com/gorhill/uBlock/issues/3515
 ! https://github.com/uBlockOrigin/uAssets/issues/2436
-korrespondent.net##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-tapochek.net##script:inject(abort-current-inline-script.js, atob, void)
-tapochek.net##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+korrespondent.net##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+tapochek.net##+js(abort-current-inline-script.js, atob, void)
+tapochek.net##+js(abort-current-inline-script.js, parseInt, tabunder)
+tapochek.net##+js(window.open-defuser.js)
 foxi.tv,nnm-club.me,nnm-club.name,nnmclub.to,tapochek.net##^script:has-text(KGZ1bmN0)
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=foxi.tv|tapochek.net
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=foxi.tv|nnm-club.me|nnm-club.name|nnmclub.to|tapochek.net
-nnm-club.me##[id*=Composite]
+nnm-club.me##[id*="Composite"]
 nnm-club.me##.request
 
 ! https://github.com/uBlockOrigin/uAssets/issues/686
-urlcloud.us##script:inject(bab-defuser.js)
+urlcloud.us##+js(bab-defuser.js)
 @@||urlcloud.us^*ad$script,first-party
 ! https://github.com/uBlockOrigin/uAssets/issues/1570
-urlcloud.us##script:inject(abort-on-property-write.js, Fingerprint2)
+urlcloud.us##+js(abort-on-property-write.js, Fingerprint2)
 ||urlcloud.us^$csp=script-src 'self' 'unsafe-inline' data: *.gstatic.com *.google-analytics.com *.google.com
-urlcloud.us##script:inject(window.open-defuser.js)
+urlcloud.us##+js(window.open-defuser.js)
 urlcloud.us##A[href$=".html"][rel="nofollow norefferer noopener"]
 ||joegamersapps.com^$subdocument,domain=urlcloud.us
 
 ! https://github.com/uBlockOrigin/uAssets/issues/688
-spaste.com##script:inject(fuckadblock.js-3.2.0)
+spaste.com##+js(fuckadblock.js-3.2.0)
 spaste.com##h5:has(> a[href^="javascript:"])
 spaste.com##h5 > a[href^="http://amzn.to/"]
 spaste.com##h5 > a[href^="http://bit.ly/"]
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/6zx3xi/any_way_to_bypass_disable_adblock_message_on/
-viewasian.com##script:inject(abort-current-inline-script.js, eval, anti_adblock)
+viewasian.com##+js(abort-current-inline-script.js, eval, anti_adblock)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/70enct/rulu_has_some_fun_ads/
 ||rulu.co/cdn-cgi/apps/head/$script
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/70ai5v/popups_at_zippyshare/
-zippyshare.com##script:inject(abort-current-inline-script.js, String.fromCharCode, decodeURIComponent)
+zippyshare.com##+js(abort-current-inline-script.js, String.fromCharCode, decodeURIComponent)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/70eyk1/help_ads_on_website/
-watchcartoononline.com##script:inject(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
-watchcartoononline.com##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-watchcartoononline.com##script:inject(setTimeout-defuser.js, o(), 1)
-watchcartoononline.com##script:inject(setTimeout-defuser.js, Pu.call, 1)
+watchcartoononline.com##+js(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
+watchcartoononline.com##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+watchcartoononline.com##+js(setTimeout-defuser.js, o(), 1)
+watchcartoononline.com##+js(setTimeout-defuser.js, Pu.call, 1)
 watchcartoononline.com##^script:has-text(3f87b0eaddd)
 watchcartoononline.com##a[href*="/1.0/go"]
 ! https://github.com/NanoAdblocker/NanoFilters/issues/118
-kimcartoon.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-kimcartoon.*##script:inject(abort-on-property-write.js, callExo)
-kimcartoon.*##script:inject(abort-on-property-write.js, Fingerprint2)
-kimcartoon.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-kimcartoon.*##script:inject(set-constant.js, check_adblock, true)
-kimcartoon.*##script:inject(setInterval-defuser.js, (), 500)
+kimcartoon.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+kimcartoon.*##+js(abort-on-property-write.js, callExo)
+kimcartoon.*##+js(abort-on-property-write.js, Fingerprint2)
+kimcartoon.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+kimcartoon.*##+js(set-constant.js, check_adblock, true)
+kimcartoon.*##+js(setInterval-defuser.js, (), 500)
 kimcartoon.*##^script:has-text(this[atob)
 ||fghtem.com^$xmlhttprequest,redirect=nooptext,domain=kimcartoon.me
 @@||kimcartoon.me/ads/fb.aspx$subdocument,first-party
@@ -2466,94 +2511,105 @@ kimcartoon.*##.kcAds1
 kimcartoon.*##a[href*=".jpg"]
 
 ! https://forums.lanik.us/viewtopic.php?p=124271#p124271
-dailyuploads.*##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
-dailyuploads.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-dailyuploads.*##script:inject(window.open-defuser.js)
+dailyuploads.*##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
+dailyuploads.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+dailyuploads.*##+js(window.open-defuser.js)
 ||dailyuploads.net/images/redbuttonx.png$image
+||dailyuploads.net/sw.js$script
 dailyuploads.net##a[href^="http://hh-btr.com/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/265
 ! https://github.com/uBlockOrigin/uAssets/issues/692
-arenabg.ch,yifymovies.to##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+arenabg.ch,yifymovies.to##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/703
 ! https://github.com/uBlockOrigin/uAssets/issues/795
-emty.space,livecamtv.me,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,realcam.me,realtimetv.me,seelive.me,strikeout.co##script:inject(bab-defuser.js)
-fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-fbstream.io,mlbstream.io,nbastream.io,nflstream.io,rugbystream.me,soccerstream.me,tennisstream.me##script:inject(abort-on-property-write.js, _0x5bed)
-fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##script:inject(abort-on-property-write.js, adcashMacros)
-fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,vipleague.*##script:inject(abort-on-property-write.js, Fingerprint2)
-fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##script:inject(nowebrtc.js)
-fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##script:inject(popads.net.js)
+! https://github.com/uBlockOrigin/uAssets/issues/3370
+emty.space,livecamtv.me,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,realcam.me,realtimetv.me,seelive.me,strikeout.co##+js(bab-defuser.js)
+fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+realtimetv.me,seelive.me,ublock.pw##+js(abort-on-property-read.js, zfgloadedpopup)
+fbstream.io,mlbstream.io,nbastream.io,nflstream.io,rugbystream.me,soccerstream.me,tennisstream.me##+js(abort-on-property-write.js, _0x5bed)
+fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##+js(abort-on-property-write.js, adcashMacros)
+fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,vipleague.*##+js(abort-on-property-write.js, Fingerprint2)
+fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,seelive.me,strikeout.co,vipleague.*##+js(nowebrtc.js)
+fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##+js(popads.net.js)
 fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##a[href*="/www.movie4all.co/"]
 fbstream.io,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,soccerstream.me,strikeout.co,tennisstream.me,vipleague.*##a[href*="/www.top-games.me/"]
-mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co##script:inject(abort-current-inline-script.js, $, uBlock)
-vipleague.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-livecamtv.me,realcam.me,seelive.me##script:inject(abort-on-property-write.js, _pop)
+mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co##+js(abort-current-inline-script.js, $, uBlock)
+vipleague.*##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+livecamtv.me,realcam.me,seelive.me##+js(abort-on-property-write.js, _pop)
+vipleague.*##+js(nano-setInterval-booster.js)
+vipleague.*##+js(window.open-defuser.js)
+||dgafgadsgkjg.top^$third-party
 fbstreams.me,mlbstream.io,nbastream.io,nflstream.io,nhlstream.io,strikeout.co,vipleague.*##script + [id][style]
 livecamtv.me,realcam.me,seelive.me##style + [id][style]
+vipleague.*##.btn-lg
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39344
-mlbstream.io##script:inject(abort-current-inline-script.js, decodeURI, atob)
+mlbstream.io##+js(abort-current-inline-script.js, decodeURI, atob)
 ||amadagasca.com^
 
 ! https://github.com/uBlockOrigin/uAssets/pull/705
 ! https://github.com/uBlockOrigin/uAssets/issues/1617
-trustedreviews.com##script:inject(abort-current-inline-script.js, InstallTrigger, ad-blocker)
+trustedreviews.com##+js(abort-current-inline-script.js, InstallTrigger, ad-blocker)
 trustedreviews.com##^script:has-text(a.HTMLImageElement.prototype)
 trustedreviews.com##^script:has-text(a.HTMLObjectElement.prototype)
 trustedreviews.com##.header-advert-wrapper
 
 ! https://github.com/uBlockOrigin/uAssets/issues/704
 ! https://github.com/easylist/easylist/commit/8b6e6544f04b3ded98fbd70bd832dfcc4e61db52#commitcomment-27222476
-imgking.co,imgkings.com,imgprime.com,newpornup.com##script:inject(abort-on-property-read.js, document.createElement)
+imgking.co,imgkings.com,imgprime.com,newpornup.com##+js(abort-on-property-read.js, document.createElement)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/707
 telegraph.co.uk##.adblocker-message
 
 ! https://github.com/uBlockOrigin/uAssets/issues/708
-syriancivilwarmap.com##script:inject(bab-defuser.js)
-syriancivilwarmap.com##script:inject(abort-on-property-write.js, lockMap)
+syriancivilwarmap.com##+js(bab-defuser.js)
+syriancivilwarmap.com##+js(abort-on-property-write.js, lockMap)
 @@||syriancivilwarmap.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/709
 ||fastly.net^$image,important,redirect=2x2-transparent.png,domain=cbs.com
 ||fastly.net^$script,important,redirect=noopjs,domain=cbs.com
 @@||cbs.com^$generichide
-cbs.com##script:inject(set-constant.js, cbsplayer.hasAdBlocker, false)
+cbs.com##+js(set-constant.js, cbsplayer.hasAdBlocker, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/716
 @@||imagebam.com^*ad$first-party,script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/718
-cs-fundamentals.com##script:inject(setTimeout-defuser.js, adBlockerAlert, 7000)
+cs-fundamentals.com##+js(setTimeout-defuser.js, adBlockerAlert, 7000)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/72bind/blocking_of_all_popups_option_no_longer_working/
-watchparksandrecreation.net##script:inject(abort-on-property-write.js, _pop)
+watchparksandrecreation.net##+js(abort-on-property-write.js, _pop)
 ! https://www.reddit.com/r/uBlockOrigin/comments/72bind/blocking_of_all_popups_option_no_longer_working/dnj376f/
-embedtvseries.com##script:inject(abort-on-property-write.js, _pop)
+embedtvseries.com##+js(abort-on-property-write.js, _pop)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38361
 ! https://github.com/uBlockOrigin/uAssets/issues/1838
-torrentrapid.com##script:inject(abort-on-property-read.js, q7x69)
-torrentlocura.com,torrentrapid.com,tumejortorrent.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-torrentlocura.com,tumejortorrent.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-torrentlocura.com,torrentrapid.com,tumejortorrent.com##script:inject(nowebrtc.js)
-torrentlocura.com##script:inject(abort-on-property-write.js, _pop)
+torrentrapid.com##+js(abort-on-property-read.js, q7x69)
+torrentlocura.com,torrentrapid.com,tumejortorrent.com##+js(abort-current-inline-script.js, atob, tabunder)
+torrentlocura.com,tumejortorrent.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+torrentlocura.com,torrentrapid.com,tumejortorrent.com##+js(nowebrtc.js)
+torrentlocura.com##+js(abort-on-property-write.js, _pop)
 ! https://github.com/uBlockOrigin/uAssets/commit/a6c77af4afb45800d4fd7c268a2a5eab5a64daf3#commitcomment-24611606
-torrentlocura.com,torrentrapid.com,tumejortorrent.com##script:inject(window.open-defuser.js)
+torrentlocura.com,torrentrapid.com,tumejortorrent.com##+js(window.open-defuser.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/2259
-torrentlocura.com,tumejortorrent.com##script:inject(addEventListener-defuser.js, mousedown, (b){u()})
-torrentrapid.com,tumejortorrent.com##script:inject(setInterval-defuser.js, (), 500)
-torrentrapid.com,tumejortorrent.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+torrentlocura.com,tumejortorrent.com##+js(addEventListener-defuser.js, mousedown, (b){u()})
+torrentrapid.com,tumejortorrent.com##+js(setInterval-defuser.js, (), 500)
+! for firefox
+tumejortorrent.com##+js(setInterval-defuser.js, _0x, 500)
+torrentrapid.com,tumejortorrent.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
 ||llqd75c56i.com^
+||subdo.tumejortorrent.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/723
-xmoviesforyou.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-xmoviesforyou.com##script:inject(abort-on-property-write.js, __htapop)
-xmoviesforyou.com##script:inject(abort-on-property-write.js, miner)
-streamcherry.com##script:inject(abort-on-property-write.js, _0xd959)
-streamcherry.com##script:inject(abort-on-property-write.js, JiLk)
-streamcherry.com##script:inject(abort-on-property-write.js, N5ii.M4)
+xmoviesforyou.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+xmoviesforyou.com##+js(abort-on-property-write.js, __htapop)
+xmoviesforyou.com##+js(abort-on-property-write.js, miner)
+xmoviesforyou.com##+js(window.open-defuser.js)
+streamcherry.com##+js(abort-on-property-write.js, _0xd959)
+streamcherry.com##+js(abort-on-property-write.js, JiLk)
+streamcherry.com##+js(abort-on-property-write.js, N5ii.M4)
 strdef.world##div[style]:has(> a[href="http://www.streamdefence.com/index.php"])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/721
@@ -2564,13 +2620,25 @@ techpowerup.com##section[class]:has(> a[
 ||2leep.link^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/731
-receive-a-sms.com##script:inject(abort-current-inline-script.js, $, showads.js)
-receive-a-sms.com##[id^=aswift]
+receive-a-sms.com##+js(abort-current-inline-script.js, $, showads.js)
+receive-a-sms.com##+js(set-constant.js, canRunAds, true)
+receive-a-sms.com##[id^="aswift"]
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/73c1go/help_blocking_elements
 ! https://github.com/reek/anti-adblock-killer/issues/3988
-kissmanga.com##script:inject(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
-kissmanga.com##script:inject(bab-defuser.js)
+! https://www.reddit.com/r/uBlockOrigin/comments/99jyob/kissmanga_invisible_ad_againhow_to_block/
+! https://www.reddit.com/r/uBlockOrigin/comments/9hwn43/kissmanga_isnt_working
+! https://github.com/NanoMeow/QuickReports/issues/124
+kissmanga.com##+js(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
+kissmanga.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+kissmanga.com##+js(bab-defuser.js)
+kissmanga.com##+js(setInterval-defuser.js, (), 500)
+||kissmanga.com^$subdocument,first-party
+||adsterra.com^$script,redirect=noopjs,domain=kissmanga.com
+||popads.net^$script,redirect=noopjs,domain=kissmanga.com
+||propellerads.com^$script,redirect=noopjs,domain=kissmanga.com
+@@||kissmanga.com/ads/adprotect$subdocument,first-party
+@@||kissmanga.com^$generichide
 @@||imgur.com^$image,domain=kissmanga.com
 @@||wp.com^$image,domain=kissmanga.com
 
@@ -2579,69 +2647,64 @@ kissmanga.com##script:inject(bab-defuser
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/73l2sz/adblock_blocker_issue/
 ! https://www.reddit.com/r/uBlockOrigin/comments/7awigu/steamideu_antiadblock_popup/
-smps.us,steamid.eu##script:inject(bab-defuser.js)
+smps.us,steamid.eu##+js(bab-defuser.js)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/73kz4a/cloudfront_adverts_display/
 ||d25ezbwokoefx6.cloudfront.net^$script,redirect=noopjs,domain=trueachievements.com
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/624#issuecomment-333700969
-kisshentai.net##script:inject(abort-on-property-read.js, adblock)
-kisshentai.net##script:inject(abort-on-property-read.js, BetterJsPop)
+kisshentai.net##+js(abort-on-property-read.js, adblock)
+kisshentai.net##+js(abort-on-property-read.js, BetterJsPop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/739
 ||zergnet.com/zerg-inf-multi$third-party,script
 ||zergnet.com/zerg.js$script,third-party
 
 ! https://www.reddit.com/r/Documentaries/comments/744cjq/til_mark_twain_traveled_extensively_and_once/
-trendnew.ml##script:inject(abort-current-inline-script.js, addEventListener, DivTopAd)
+trendnew.ml##+js(abort-current-inline-script.js, addEventListener, DivTopAd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/591
 ! https://www.reddit.com/r/uBlockOrigin/comments/74a9x1/iframe_important_blocking_on_sockshare/
-sockshare.net##script:inject(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
-sockshare.net##script:inject(abort-current-inline-script.js, atob, tabunder)
-sockshare.net##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+sockshare.net##+js(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
+sockshare.net##+js(abort-current-inline-script.js, atob, tabunder)
+sockshare.net##+js(abort-current-inline-script.js, parseInt, tabunder)
 sockshare.net##^script:has-text(676574456c656d656e747342795461674e616d65)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=sockshare.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/741
 @@||demolandia.net^$generichide
 
-! https://www.reddit.com/r/uBlockOrigin/comments/74tiik/stopping_popunder_load_new_page_ubo_on_sceperws/
-! https://forums.lanik.us/viewtopic.php?f=62&t=38226
-! https://github.com/uBlockOrigin/uAssets/issues/1835
-downloadhub.ws##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-downloadhub.ws##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-sceper.ws##script:inject(abort-on-property-write.js, bidrev)
-downloadhub.ws,sceper.ws##script:inject(abort-on-property-write.js, Fingerprint2)
-*.gif$domain=downloadhub.ws,image
-downloadhub.ws##a[href="/watchnowbuttons.php"]
-
 ! https://github.com/gorhill/uBlock/issues/3112
-ikshow.net##script:inject(abort-on-property-read.js, BetterJsPop)
+ikshow.net##+js(abort-on-property-read.js, BetterJsPop)
 
 ! https://github.com/gorhill/uBlock/issues/3114
-wunderground.com##script:inject(abort-on-property-write.js, _sp_)
+wunderground.com##+js(abort-on-property-write.js, _sp_)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38489
 ! https://github.com/uBlockOrigin/uAssets/issues/841
-putlocker.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-putlocker.*##script:inject(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
-putlocker.io##script:inject(nowebrtc.js)
+putlocker.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+putlocker.*##+js(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
+putlocker.io##+js(nowebrtc.js)
 putlocker.*##[id*="ScriptRoot"]
+putlocker.*##.ep_buttons
+||putlocker.*^*banner
+
 ! https://forums.lanik.us/viewtopic.php?p=127431#p127431
-putlockerhd.is##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+putlockerhd.is##+js(abort-current-inline-script.js, parseInt, tabunder)
 ! https://github.com/uBlockOrigin/uAssets/issues/857
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39483
-putlockers.*##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-putlockers.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-putlockers.*##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-putlockers.*##script:inject(nowebrtc.js)
-entervideo.net##script:inject(window.open-defuser.js)
+putlockers.*##+js(abort-on-property-read.js, zfgloadedpopup)
+putlockers.*##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+putlockers.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+putlockers.*##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+putlockers.*##+js(nowebrtc.js)
+entervideo.net##+js(window.open-defuser.js)
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40397
-putlockertv.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+putlockertv.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+putlocker.ninja##+js(abort-on-property-read.js, decodeURIComponent)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38536
-10fastfingers.com##script:inject(abort-current-inline-script.js, document.createElement, decodeURIComponent)
+10fastfingers.com##+js(abort-current-inline-script.js, document.createElement, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/755
 @@||architecturaldigest.in/wp-content/*/ads.js$script,first-party
@@ -2650,7 +2713,7 @@ putlockertv.*##script:inject(abort-curre
 @@||vogue.in/wp-content/*/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/757
-ultrahorny.com##script:inject(abort-on-property-write.js, _pop)
+ultrahorny.com##+js(abort-on-property-write.js, _pop)
 @@||ultrahorny.com^$generichide
 @@||ajax.googleapis.com^$script,domain=ultrahorny.com
 ultrahorny.com##.afs_ads
@@ -2658,24 +2721,24 @@ ultrahorny.com###hideads
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/75zmyk/ublock_not_blocking_grammarly_ads_on_citation/
 ! https://github.com/uBlockOrigin/uAssets/issues/806
-bibme.org,citationmachine.net,easybib.com##script:inject(abort-on-property-read.js, canRunAds)
-bibme.org##script:inject(abort-on-property-read.js, SBMGlobal.run.pcCallback)
-citationmachine.net,citethisforme.com,easybib.com##script:inject(abort-on-property-read.js, SBMGlobal.run.gramCallback)
+bibme.org,citationmachine.net,easybib.com##+js(abort-on-property-read.js, canRunAds)
+bibme.org,citationmachine.net##+js(abort-on-property-read.js, SBMGlobal.run.pcCallback)
+citationmachine.net,citethisforme.com,easybib.com##+js(abort-on-property-read.js, SBMGlobal.run.gramCallback)
 citethisforme.com##.sbm-ad
 ! https://github.com/uBlockOrigin/uAssets/issues/2155
-bibme.org,citationmachine.net,citethisforme.com##script:inject(addEventListener-defuser.js, load, (!o))
-easybib.com##script:inject(addEventListener-defuser.js, load, (!i))
+bibme.org,citationmachine.net,citethisforme.com##+js(addEventListener-defuser.js, load, (!o))
+easybib.com##+js(addEventListener-defuser.js, load, (!i))
 
 ! https://github.com/uBlockOrigin/uAssets/issues/763
-hdrezka.ag##script:inject(abort-current-inline-script.js, parseInt, decodeURIComponent)
+hdrezka.ag##+js(abort-current-inline-script.js, parseInt, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/764
-apkmirror.com##script:inject(abort-on-property-write.js, ranTwice)
+apkmirror.com##+js(abort-on-property-write.js, ranTwice)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38067
-lavamovies.se##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-lavamovies.se##script:inject(window.open-defuser.js)
-lavacdn.xyz##script:inject(abort-on-property-write.js, F3Z9)
+lavamovies.se##+js(abort-current-inline-script.js, parseInt, tabunder)
+lavamovies.se##+js(window.open-defuser.js)
+lavacdn.xyz##+js(abort-on-property-write.js, F3Z9)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/766
 wabetainfo.com#@##adsense
@@ -2684,16 +2747,16 @@ wabetainfo.com#@##adsense
 @@||onitube.com^$generichide
 onitube.com###MGWrap130103
 ! https://forums.lanik.us/viewtopic.php?p=129416#p129416
-onitube.com##script:inject(abort-on-property-read.js, miner)
-onitube.com##script:inject(setTimeout-defuser.js, newBody)
-finalservers.net##script:inject(setInterval-defuser.js, visibility, 1000)
+onitube.com##+js(abort-on-property-read.js, miner)
+onitube.com##+js(setTimeout-defuser.js, newBody)
+finalservers.net##+js(setInterval-defuser.js, visibility, 1000)
 /cdn-cgi/pe/bag2?r[]=*.mgid.com
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38653
-radio.at,radio.de,radio.dk,radio.es,radio.fr,radio.it,radio.net,radio.pl,radio.pt,radio.se##script:inject(uabinject-defuser.js)
+radio.at,radio.de,radio.dk,radio.es,radio.fr,radio.it,radio.net,radio.pl,radio.pt,radio.se##+js(abort-on-property-read.js, uabpd3)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/772sm4/help_me_figure_out_how_to_block_these/
-mmorpg.com##script:inject(abort-current-inline-script.js, btoa, upManager)
+mmorpg.com##+js(abort-current-inline-script.js, btoa, upManager)
 mmorpg.com##a[href^="http://v2.g.99.com/"]
 mmorpg.com##.vhadb
 
@@ -2703,20 +2766,21 @@ mmorpg.com##.vhadb
 mylink.nu,mylink.st##a[href^="https://go.nordvpn.net/"]
 
 ! https://github.com/reek/anti-adblock-killer/issues/3669
-cookiesflix.com##script:inject(addEventListener-defuser.js, load, adsense)
+cookiesflix.com##+js(addEventListener-defuser.js, load, adsense)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/775
 ! https://github.com/uBlockOrigin/uAssets/issues/2520#issuecomment-396112781
-postimg.*,radikal.ru##script:inject(abort-current-inline-script.js, atob, void)
+postimg.*,radikal.ru##+js(abort-current-inline-script.js, atob, void)
+||postimg.cc/service-push.js$script,first-party
 
 ! Uponit
 ! https://github.com/uBlockOrigin/uAssets/issues/259
 ! https://github.com/uBlockOrigin/uAssets/issues/394
 ! https://github.com/uBlockOrigin/uAssets/issues/592
-101greatgoals.com,ancient-origins.net,biology-online.org,roadracerunner.com,trifind.com,x17online.com,yocore.com##script:inject(abort-on-property-write.js, upManager)
+101greatgoals.com,ancient-origins.net,biology-online.org,roadracerunner.com,trifind.com,x17online.com,yocore.com##+js(abort-on-property-write.js, upManager)
 ! https://github.com/uBlockOrigin/uAssets/issues/628
 ! https://www.reddit.com/r/uBlockOrigin/comments/6yqyni/help_persistent_trending_articles_ads_on_website/
-allpar.com,antonymsfor.com,cheezburger.com,colourlovers.com,daily-stuff.com,dietlast.com,ebaumsworld.com,emathhelp.net,grammar.net,smartchoiceshealthyliving.com,spellcheck.net,spellweb.com,sportspickle.com,tbc.tetrisfb.com,the4thofficial.net,thesaurus.net##script:inject(abort-current-inline-script.js, btoa, upManager)
+allpar.com,antonymsfor.com,cheezburger.com,colourlovers.com,daily-stuff.com,dietlast.com,ebaumsworld.com,emathhelp.net,grammar.net,smartchoiceshealthyliving.com,spellcheck.net,spellweb.com,sportspickle.com,tbc.tetrisfb.com,the4thofficial.net,thesaurus.net##+js(abort-current-inline-script.js, btoa, upManager)
 ! https://github.com/uBlockOrigin/uAssets/issues/537
 ! https://github.com/uBlockOrigin/uAssets/issues/776
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38744
@@ -2727,8 +2791,8 @@ allpar.com,antonymsfor.com,cheezburger.c
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40237&p=133935#p133934
 ! https://github.com/uBlockOrigin/uAssets/issues/1856
 ! https://github.com/uBlockOrigin/uAssets/issues/2072
-abandonedspaces.com,activistpost.com,allthetests.com,almasdarnews.com,asheepnomore.net,blacklistednews.com,blog-rct.com,bobshideout.com,brain-sharper.com,broadwayworld.com,clashdaily.com,daclips.in,dailygalaxy.com,datpiff.com,debka.com,downsub.com,eternallifestyle.com,fetchsport.com,ffxivguild.com,freebeacon.com,fullmatchesandshows.com,geekycamel.com,getinmybelly.com,gorillavid.in,graduatez.com,grammarist.com,greeningz.com,healthyfocus.org,hiphopearly.com,hiphoplately.com,humansarefree.com,hyperactivz.com,jspuzzles.com,israelnationalnews.com,jerusalemonline.com,kiwireport.com,kshowonline.com,ludokado.com,miniplay.com,monagiza.com,moviepredators.com,movpod.in,neonnettle.com,netzwelt.de,ninjajournalist.com,noteabley.com,nysun.com,parentztalk.com,pensandpatron.com,popmatters.com,powerofpositivity.com,presidentmommy.com,readarsenal.com,readlightnovel.org,readliverpoolfc.com,readmng.com,seneweb.com,sobusygirls.fr,soundreview.org,spellchecker.net,spiele-umsonst.de,sportsretriever.com,talkwithstranger.com,tetrisfriends.com,textsfromlastnight.com,theamericanmirror.com,thecelticblog.com,thehornnews.com,timesofisrael.com,topbestalternatives.com,toptenz.net,travelfuntu.com,tworeddots.com,vidmax.com,virtualjerusalem.com,walterfootball.com,wnd.com,worldation.com,yepi.com,youtubeonrepeat.com##script:inject(abort-current-inline-script.js, atob, TextDecoder)
-convert-me.com,dailygalaxy.com,diffen.com,eurweb.com,footyroom.com,izzygames.com,mathwarehouse.com,meta-calculator.com,meta-chart.com,netzwelt.de,nowtheendbegins.com,pocketnow.com,spiele-umsonst.de##script:inject(abort-on-property-read.js, TextDecoder)
+abandonedspaces.com,activistpost.com,allthetests.com,almasdarnews.com,asheepnomore.net,blacklistednews.com,blog-rct.com,bobshideout.com,brain-sharper.com,broadwayworld.com,clashdaily.com,daclips.in,dailygalaxy.com,datpiff.com,debka.com,downsub.com,eternallifestyle.com,fetchsport.com,ffxivguild.com,freebeacon.com,fullmatchesandshows.com,geekycamel.com,getinmybelly.com,gorillavid.in,graduatez.com,grammarist.com,greeningz.com,healthyfocus.org,hiphopearly.com,hiphoplately.com,humansarefree.com,hyperactivz.com,jspuzzles.com,israelnationalnews.com,jerusalemonline.com,kiwireport.com,kshowonline.com,ludokado.com,miniplay.com,monagiza.com,moviepredators.com,movpod.in,neonnettle.com,netzwelt.de,ninjajournalist.com,noteabley.com,nysun.com,parentztalk.com,pensandpatron.com,popmatters.com,powerofpositivity.com,presidentmommy.com,readarsenal.com,readbundesliga.com,readlightnovel.org,readliverpoolfc.com,readmng.com,seneweb.com,sobusygirls.fr,soundreview.org,spellchecker.net,spiele-umsonst.de,sportsretriever.com,talkwithstranger.com,tetrisfriends.com,textsfromlastnight.com,theamericanmirror.com,thecelticblog.com,thehornnews.com,timesofisrael.com,topbestalternatives.com,toptenz.net,travelfuntu.com,tworeddots.com,videocelts.com,vidmax.com,virtualjerusalem.com,walterfootball.com,wnd.com,worldation.com,yepi.com,youtubeonrepeat.com##+js(abort-current-inline-script.js, atob, TextDecoder)
+convert-me.com,dailygalaxy.com,diffen.com,eurweb.com,footyroom.com,izzygames.com,mathwarehouse.com,meta-calculator.com,meta-chart.com,netzwelt.de,nowtheendbegins.com,pocketnow.com,spiele-umsonst.de##+js(abort-on-property-read.js, TextDecoder)
 ||akrazappi.com^
 ||gordipucha.com^
 ||jojilabola.com^
@@ -2737,11 +2801,11 @@ convert-me.com,dailygalaxy.com,diffen.co
 ||trasholita.com^
 ||ulajilala.com^
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39280&p=129024#p129024
-readcomics.website##script:inject(abort-on-property-write.js, decodeURIComponent)
-readcomics.website##script:inject(abort-on-property-write.js, Fingerprint2)
+readcomics.website##+js(abort-on-property-write.js, decodeURIComponent)
+readcomics.website##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=37406
-sankakucomplex.com##script:inject(popads-dummy.js)
+sankakucomplex.com##+js(popads-dummy.js)
 @@||sankakucomplex.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/778
@@ -2750,18 +2814,22 @@ sankakucomplex.com##script:inject(popads
 @@||anghamiwebcdn.akamaized.net/ads.$script,domain=play.anghami.com
 @@||d24n15hnbwhuhn.cloudfront.net/libs/amplitude-$script,domain=play.anghami.com
 play.anghami.com##.sideBox:has(.adsbox)
+anghami.com##+js(setTimeout-defuser.js, isDesktopApp, 1000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/779
 ||mdsglvod-a.akamaihd.net/vod$media,redirect=noopmp3-0.1s,domain=glomex.com
 ||player-abc.glomex.com^$media,redirect=noopmp3-0.1s,domain=glomex.com
+||player-abcd.glomex.com/$media,redirect=noopmp4-1s,domain=player.glomex.com
 
 ! https://github.com/reek/anti-adblock-killer/issues/3673
-pasteca.sh##script:inject(abort-on-property-read.js, blockAdBlock)
-pasteca.sh##script:inject(abort-on-property-write.js, Fingerprint2)
-pasteca.sh##script:inject(abort-on-property-write.js, _pop)
+pasteca.sh##+js(abort-on-property-read.js, blockAdBlock)
+pasteca.sh##+js(abort-on-property-write.js, Fingerprint2)
+pasteca.sh##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/781
-||addkt.com/slader$script,redirect=noopjs,domain=slader.com
+! https://github.com/uBlockOrigin/uAssets/issues/3327
+@@||ad.lkqd.net/vpaid/formats.js$script,domain=slader.com
+@@||plus.addkt.com/slader_exdetail.js$script,domain=slader.com
 slader.com##.ad.inner
 slader.com##.ads-to-hide
 slader.com##section.solutions-list.loading:style(height: auto !important;)
@@ -2775,18 +2843,18 @@ wired.com###around-the-web
 ||pagead2.googlesyndication.com/pagead/*/show_ads_impl.js$script,important,domain=wired.com
 ||pagead2.googlesyndication.com/pagead/show_ads.js$script,important,domain=wired.com
 ||wired.com/ams/page-ads.js$important,script
-wired.com##script:inject(setTimeout-defuser.js, Bait)
+wired.com##+js(setTimeout-defuser.js, Bait)
 ! "Sponsored stories" section spotted 1st-hand at:
 ! https://www.wired.com/2011/08/google-studying-re-ranking-search-results-using-1-button-data-but-its-touchy/
 wired.com##.sponsored-stories-component
 ! wired.com: more EasyList's exception filters to counter
 ||doubleclick.net^$important,script,domain=wired.com
 wired.com##[id^="cns_ads_"]
-wired.com##[class^=adv]
+wired.com##[class^="adv"]
 wired.com##.failsafe-desktop
 
 ! https://github.com/uBlockOrigin/uAssets/issues/790
-androidrepublic.org##script:inject(bab-defuser.js)
+androidrepublic.org##+js(bab-defuser.js)
 ||googlesyndication.com/pagead/js/adsbygoogle.js$script,important,domain=androidrepublic.org
 
 ! https://github.com/uBlockOrigin/uAssets/issues/789
@@ -2795,28 +2863,31 @@ picload.org##.stageAds
 picload.org###stageAds
 
 ! https://github.com/uBlockOrigin/uAssets/issues/796
-biqle.ru##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-biqle.ru##script:inject(setInterval-defuser.js, (), 500)
-daxab.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-daxab.com##script:inject(nowebrtc.js)
+biqle.ru##+js(abort-current-inline-script.js, atob, _0x)
+biqle.ru##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+biqle.ru##+js(setInterval-defuser.js, (), 500)
+daxab.com##+js(abort-current-inline-script.js, atob, tabunder)
+daxab.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/797
-onhax.me,onhax.net##script:inject(abort-on-property-write.js, Fingerprint2)
+onhax.me,onhax.net##+js(abort-on-property-write.js, Fingerprint2)
 @@||onhax.net^$generichide
-onhax.me,onhax.net##[id*=prom]
+onhax.me,onhax.net##[id*="prom"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/804
 ||amazon-adsystem.com/*/apstag.js$script,redirect=noopjs,domain=aetv.com|history.com
 ||mssl.fwmrm.net/*/AdManager.js$script,redirect=noopjs,domain=history.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/811
-aargauerzeitung.ch##script:inject(setTimeout-defuser.js, [native code], 3000)
+aargauerzeitung.ch##+js(setTimeout-defuser.js, [native code], 3000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/812
 @@||blog.nulledfun.com^$generichide
 
 ! https://news.ycombinator.com/item?id=12654591
-nytimes.com##article.story:style(opacity: 1.0 !important;)
+! https://forums.lanik.us/viewtopic.php?f=62&t=41501
+nytimes.com,nytimes3xbfgragh.onion##article.story:style(opacity: 1.0 !important;)
+nytimes.com,nytimes3xbfgragh.onion##:xpath(//div[starts-with(@id, "dfp-ad")]/../../..)
 ! https://github.com/uBlockOrigin/uAssets/issues/816
 cooking.nytimes.com##[class^="nytc---modal-window"]
 cooking.nytimes.com##body:style(height: auto !important; overflow: auto !important)
@@ -2824,110 +2895,117 @@ cooking.nytimes.com##html:style(height:
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32450
 ! https://github.com/uBlockOrigin/uAssets/issues/2973
-mp4upload.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-mp4upload.com##script:inject(popads-dummy.js)
+! https://github.com/NanoMeow/QuickReports/issues/26
+mp4upload.com##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+mp4upload.com##+js(popads-dummy.js)
 ||bitcoadz.io/display/items.php$xmlhttprequest,redirect=noopjs,domain=mp4upload.com
 ||server.cpmstar.com^$xmlhttprequest,redirect=nooptext,domain=mp4upload.com
 ||adc.stream.moe^$script
 ||c.stream.moe^$script
 @@||ajax.googleapis.com/ajax/libs/jquery/*$script,domain=mp4upload.com
+@@||mp4upload.com/ads.js$script,first-party
 mp4upload.com###overlay
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=37976
-userupload.net##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
-userupload.net##script:inject(abort-current-inline-script.js, parseInt, Adblock)
+userupload.net##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
+userupload.net##+js(abort-current-inline-script.js, parseInt, Adblock)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3723
-at.wetter.com##script:inject(abort-on-property-write.js, openLity)
+at.wetter.com##+js(abort-on-property-write.js, openLity)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/827
-dreamfilmhd.info##script:inject(abort-on-property-write.js, tnAdditionalParams)
-vkpass.com##script:inject(popads-dummy.js)
+dreamfilmhd.info##+js(abort-on-property-write.js, tnAdditionalParams)
+vkpass.com##+js(popads-dummy.js)
 ||fqsbi.com^$third-party
 ||ibb.co/*/rsz_banner2.jpg$image,domain=dreamfilmhd.info
 
 ! https://github.com/gorhill/uBlock/issues/3226
-streaming-foot.club##script:inject(abort-current-inline-script.js, atob, tabunder)
-streaming-foot.club##script:inject(abort-on-property-write.js, adcashMacros)
-streaming-foot.club##script:inject(nowebrtc.js)
-hdmyt.info,playerhd2.pw,streaming-foot.club##script:inject(abort-on-property-write.js, Fingerprint2)
+streaming-foot.club##+js(abort-current-inline-script.js, atob, tabunder)
+streaming-foot.club##+js(abort-on-property-write.js, adcashMacros)
+streaming-foot.club##+js(nowebrtc.js)
+hdmyt.info,playerhd2.pw,streaming-foot.club##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/833
 ! https://github.com/uBlockOrigin/uAssets/issues/1819
-otakustream.tv##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-otakustream.tv##script:inject(abort-on-property-read.js, zfgloadedpopup)
+otakustream.tv##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+otakustream.tv##+js(abort-on-property-read.js, zfgloadedpopup)
 otakustream.tv###outer
 
 ! https://forums.lanik.us/viewtopic.php?p=127624#p127624
-bmovies.to##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-bmovies.is,bmovies.to##script:inject(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
-bmovies.to##script:inject(abort-on-property-write.js, Fingerprint2)
+bmovies.to##+js(abort-current-inline-script.js, parseInt, tabunder)
+bmovies.is,bmovies.to##+js(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
+bmovies.to##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/gorhill/uBlock/issues/2252#issuecomment-344231715
-sport.ua##script:inject(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
+sport.ua##+js(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/837
-bookfi.net##script:inject(abort-current-inline-script.js, atob, void)
+bookfi.net##+js(set-constant.js, atob, noopFunc)
 en.bookfi.net##noindex
 
 ! https://github.com/reek/anti-adblock-killer/issues/3743
-liens-telechargement.com##script:inject(abort-current-inline-script.js, jQuery, desactiver)
-liens-telechargement.com##script:inject(abort-on-property-write.js, Fingerprint2)
-liens-telechargement.com##script:inject(setTimeout-defuser.js, getElementBy)
-liens-telechargement.com##script:inject(window.open-defuser.js)
+liens-telechargement.com##+js(abort-current-inline-script.js, jQuery, desactiver)
+liens-telechargement.com##+js(abort-on-property-write.js, Fingerprint2)
+liens-telechargement.com##+js(setTimeout-defuser.js, getElementBy)
+liens-telechargement.com##+js(window.open-defuser.js)
 liens-telechargement.com##.trtbl
 liens-telechargement.com##a[href^="https://www.dl-protecte.com/"]
 
 ! https://www.camp-firefox.de/forum/viewtopic.php?p=1057609#p1057609
 ! https://forums.lanik.us/viewtopic.php?p=127880#p127880
-motorradonline.de,zentralplus.ch##script:inject(fuckadblock.js-3.2.0)
+motorradonline.de,zentralplus.ch##+js(fuckadblock.js-3.2.0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/843
-business-standard.com##script:inject(abort-current-inline-script.js, $, blockThisUrl)
+business-standard.com##+js(abort-current-inline-script.js, $, blockThisUrl)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39052
-powerthesaurus.org##script:inject(abort-on-property-write.js, ad_abblock_ad)
+powerthesaurus.org##+js(abort-on-property-write.js, ad_abblock_ad)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/846
 ! https://github.com/jspenguin2017/uBlockProtector/issues/816
-myegy.tv##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-myegy.tv##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-myegy.tv##script:inject(setInterval-defuser.js, (), 500)
+myegy.tv##+js(abort-current-inline-script.js, parseInt, tabunder)
+myegy.tv##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+myegy.tv##+js(setInterval-defuser.js, (), 500)
 ||adscpm.site^$third-party
 ! Popups triggered by popads
-123tvseries.co,animepahe.com,clicknupload.org,cloudy.ec,mactorrents.org,mkvcage.com,newmusic.trade,nodefiles.com,pahe.in,owndrives.com,psarips.com,smallencode.com,twoddl.co,vidabc.com,weshare.me##script:inject(abort-on-property-write.js, _pop)
+123tvseries.co,animepahe.com,clicknupload.org,cloudy.ec,mactorrents.org,mkvcage.com,newmusic.trade,nodefiles.com,pahe.in,owndrives.com,psarips.com,smallencode.com,twoddl.co,vidabc.com,weshare.me##+js(abort-on-property-write.js, _pop)
 
 ! Reported by a reader
-brasil247.com##script:inject(bab-defuser.js)
+brasil247.com##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39085
-sendit.cloud##script:inject(window.open-defuser.js)
-sendit.cloud##script:inject(abort-on-property-write.js, Fingerprint2)
+sendit.cloud##+js(window.open-defuser.js)
+sendit.cloud##+js(abort-on-property-write.js, Fingerprint2)
+||sendit.cloud^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.cloudflare.com *.google-analytics.com *.addthis.com *.query.com
+||sendit.cloud/sw.js$script
+||legistrike.pro^
+||makemyvids.com^
+||aristianewr.club^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/858
-freebytecoin.cf##script:inject(abort-current-inline-script.js, miner, isAdBlockActive)
+freebytecoin.cf##+js(abort-current-inline-script.js, miner, isAdBlockActive)
 @@||freebytecoin.cf^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=39161
-4-traders.com##script:inject(abort-current-inline-script.js, setTimeout, AdBlocker)
-zonebourse.com##script:inject(abort-current-inline-script.js, $, AdBlocker)
+4-traders.com##+js(abort-current-inline-script.js, setTimeout, AdBlocker)
+zonebourse.com##+js(abort-current-inline-script.js, $, AdBlocker)
 
 ! bad*.it network sites
-badcomics.it,badgames.it,badtaste.it,badtv.it##script:inject(abort-current-inline-script.js, jQuery, adbChecked)
+badcomics.it,badgames.it,badtaste.it,badtv.it##+js(abort-current-inline-script.js, jQuery, adbChecked)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3760
-aofsoru.com##script:inject(abort-current-inline-script.js, addEventListener, displayMessage)
+aofsoru.com##+js(abort-current-inline-script.js, addEventListener, displayMessage)
 
 ! https://yts.am/movie/cars-3-2017
 ! https://github.com/uBlockOrigin/uAssets/issues/2100
-yts.am##script:inject(abort-current-inline-script.js, atob, tabunder)
-yts.am##script:inject(abort-on-property-write.js, adcashMacros)
-yts.am##script:inject(abort-current-inline-script.js, decodeURI, atob)
+yts.am##+js(abort-current-inline-script.js, atob, tabunder)
+yts.am##+js(abort-on-property-write.js, adcashMacros)
+yts.am##+js(abort-current-inline-script.js, decodeURI, atob)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=4&t=54579
 ! https://github.com/jspenguin2017/uBlockProtector/issues/949
-filebebo.com##script:inject(abort-current-inline-script.js, keys, adblockinfo)
-filebebo.com##script:inject(nano-setTimeout-booster.js)
+filebebo.com##+js(abort-current-inline-script.js, keys, adblockinfo)
+filebebo.com##+js(nano-setTimeout-booster.js)
 ||adpixo.com^$third-party
 ! pussl-domains
 ||pussl2.com^$script,third-party
@@ -2970,12 +3048,12 @@ filebebo.com##script:inject(nano-setTime
 ||pussl48.com^$script,third-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7fr9jc/help_with_disabling_the_antiadbock_message_on/
-sarugbymag.co.za##script:inject(abort-on-property-read.js, showAds)
+sarugbymag.co.za##+js(abort-on-property-read.js, showAds)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39202
-imgadult.com,imgdrive.net,imgtaxi.com,imgwallet.com##script:inject(abort-on-property-read.js, ExoLoader)
-imgadult.com,imgdrive.net,imgtaxi.com,imgwallet.com##script:inject(abort-on-property-write.js, cticodes)
-imgadult.com,imgdrive.net,imgtaxi.com,imgwallet.com##script:inject(abort-on-property-write.js, imgadbpops)
+imgadult.com,imgdrive.net,imgtaxi.com,imgwallet.com##+js(abort-on-property-read.js, ExoLoader)
+imgadult.com,imgdrive.net,imgtaxi.com,imgwallet.com##+js(abort-on-property-write.js, cticodes)
+imgadult.com,imgdrive.net,imgtaxi.com,imgwallet.com##+js(abort-on-property-write.js, imgadbpops)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39203
 @@||cryptlife.com^$generichide
@@ -2986,59 +3064,66 @@ imgadult.com,imgdrive.net,imgtaxi.com,im
 @@/hyper-assets/app*$script,domain=aftonbladet.se
 @@/hyper-assets/preload*$script,domain=aftonbladet.se
 @@||aftonbladet.se^$generichide
-aftonbladet.se##[id^=innerabAdArea-]
+aftonbladet.se##[id^="innerabAdArea-"]
 
 ! https://github.com/reek/anti-adblock-killer/issues/3761
-funcinema.ga##script:inject(abort-on-property-write.js, _pop)
+funcinema.ga##+js(abort-on-property-write.js, _pop)
 @@||funcinema.ga^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/869
-porntrex.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-porntrex.com##script:inject(popads-dummy.js)
+porntrex.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+porntrex.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/870
-yourporn.sexy##script:inject(abort-on-property-write.js, Fingerprint2)
-yourporn.sexy##script:inject(noeval.js)
+yourporn.sexy##+js(abort-on-property-write.js, Fingerprint2)
+yourporn.sexy##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1197
 ! https://github.com/NanoAdblocker/NanoFilters/issues/144
-mage.si,magesy.pw##script:inject(abort-current-inline-script.js, document.getElementById, undefined)
-magesy.*##script:inject(abort-current-inline-script.js, adBlockDetected)
-majesy.*##script:inject(bab-defuser.js)
-magesy.*,majesy.*##script:inject(noeval.js)
-magesy.*,majesy.*##script:inject(set-constant.js, jQuery.adblock, false)
-majesy.*##script:inject(setInterval-defuser.js, visibility, 1000)
+mage.si,magesy.eu,majesy.com##+js(addEventListener-defuser.js, load, onload)
+mage.si,magesy.pw##+js(abort-current-inline-script.js, document.getElementById, undefined)
+magesy.*##+js(abort-current-inline-script.js, adBlockDetected)
+majesy.*##+js(bab-defuser.js)
+magesy.*,majesy.*##+js(noeval.js)
+magesy.*,majesy.*##+js(set-constant.js, jQuery.adblock, false)
+magesy.*,majesy.*##+js(set-constant.js, adblock, 1)
+majesy.*##+js(setInterval-defuser.js, visibility, 1000)
+magesy.*,majesy.*##+js(addEventListener-defuser.js, load, onload)
 @@*$generichide,domain=magesy.be|magesy.eu|magesy.club|magesy.info|magesy.website|majesy.com|magesy.audio
 ||magesy.*/cdn-cgi/apps/head/*$script,first-party
 magesy.*###adblockplus
 majesy.*##.dark.jquery-adi
 
 ! https://forums.lanik.us/viewtopic.php?p=128630#p128630
-tohax.com##script:inject(abort-on-property-write.js, Fingerprint2)
+tohax.com##+js(abort-on-property-write.js, Fingerprint2)
 @@||tohax.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39221
-linx.cloud##script:inject(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
-linx.cloud##script:inject(abort-on-property-read.js, document.createElement)
+linx.cloud##+js(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
+linx.cloud##+js(abort-on-property-read.js, document.createElement)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/874
 ! https://github.com/uBlockOrigin/uAssets/issues/1683
+! https://github.com/uBlockOrigin/uAssets/issues/3493
 ||identi.li/cacho/license*.js$script,first-party
 ||musicatorrents.com/*/license.js$script,domain=identi.li
+@@||musicatorrents.com/wp-content/themes/Alexis/js/script.js$script,domain=identi.li
 
 ! https://github.com/reek/anti-adblock-killer/issues/3787
-anitoonstv.com##script:inject(abort-on-property-write.js, cicklow_XcVCCW)
-anitoonstv.com##script:inject(nowebrtc.js)
-hqq.*##script:inject(abort-on-property-write.js, smrtSB)
-hqq.*##script:inject(abort-on-property-write.js, smrtSP)
-hqq.*##script:inject(popads-dummy.js)
+! https://github.com/uBlockOrigin/uAssets/issues/3596
+anitoonstv.com##+js(abort-on-property-write.js, cicklow_XcVCCW)
+anitoonstv.com##+js(abort-on-property-write.js, Fingerprint2)
+anitoonstv.com##+js(nowebrtc.js)
+hqq.*##+js(abort-on-property-write.js, smrtSB)
+hqq.*##+js(abort-on-property-write.js, smrtSP)
+hqq.*##+js(popads-dummy.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39244
-filescdn.com##script:inject(window.open-defuser.js)
+filescdn.com##+js(window.open-defuser.js)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7h5xky/popup_opens_for_a_second_then_gets_blocked_and/
-palimas.tv##script:inject(abort-on-property-write.js, Fingerprint2)
-palimas.tv##script:inject(window.open-defuser.js)
+palimas.tv##+js(abort-on-property-write.js, Fingerprint2)
+palimas.tv##+js(window.open-defuser.js)
 @@||palimas.tv^$generichide
 palimas.tv##.ad-ind
 
@@ -3048,52 +3133,53 @@ palimas.tv##.ad-ind
 ! https://github.com/reek/anti-adblock-killer/issues/3791
 ! https://github.com/reek/anti-adblock-killer/issues/3970
 ! https://github.com/uBlockOrigin/uAssets/issues/2270
-mangahost.cc,mangahostbr.*##script:inject(bab-defuser.js)
-mangahost.cc,mangahostbr.*##script:inject(setTimeout-defuser.js, testDisplay, 3000)
+mangahost.cc,mangahostbr.*##+js(bab-defuser.js)
+mangahost.cc,mangahostbr.*##+js(setTimeout-defuser.js, testDisplay, 3000)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=54641
-journalstar.com##script:inject(abort-current-inline-script.js, document.createElement, m80fg)
+journalstar.com##+js(abort-current-inline-script.js, document.createElement, m80fg)
 
 ! https://forums.lanik.us/viewtopic.php?p=128927#p128927
-wrestlingtalk.org##script:inject(bab-defuser.js)
+wrestlingtalk.org##+js(bab-defuser.js)
 
 ! URL Shortener
-! https://github.com/uBlockOrigin/uAssets/issues/883
 ! https://github.com/uBlockOrigin/uAssets/issues/2768
-adbull.*,adyou.me##script:inject(bab-defuser.js)
+adbull.*,adyou.me##+js(bab-defuser.js)
 adbull.*##[href^="https://www.cryptominingfarm.io/"]
-adyou.me,srt.am##script:inject(nowebrtc.js)
-srt.am##script:inject(abort-on-property-read.js, RunAds)
-srt.am##script:inject(abort-on-property-write.js, _pop)
-srt.am##script:inject(abort-on-property-write.js, Fingerprint2)
+adyou.me,srt.am##+js(nowebrtc.js)
+srt.am##+js(abort-on-property-read.js, RunAds)
+srt.am##+js(abort-on-property-write.js, _pop)
+srt.am##+js(abort-on-property-write.js, Fingerprint2)
 ! https://github.com/uBlockOrigin/uAssets/issues/3091
-adyou.me##script:inject(setInterval-defuser.js, (), 500)
-adyou.me##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, bypassEventsInProxies)
-! https://github.com/uBlockOrigin/uAssets/issues/3091#issuecomment-409649079
+adyou.*##+js(setInterval-defuser.js, (), 500)
+adyou.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, bypassEventsInProxies)
 adyou.me#@#.adscontainer
+@@||adyou.co^$generichide
+adyou.co###bannerUrl
 ||7lstw4cd.top^$third-party
+! https://github.com/uBlockOrigin/uAssets/issues/883
 ! AdFly
-activeation.com,adf.ly,atomcurve.com,atominik.com,auto-login-xxx.com,ay.gy,babblecase.com,bitigee.com,bluenik.com,brisktopia.com,casualient.com,clearload.bid,coginator.com,cogismith.com,dl.android-zone.org,dl.underclassblog.com,dataurbia.com,download.replaymod.com,gamecopyworld.click,go.awanpc.me,j.gs,kaitect.com,kializer.com,kibuilder.com,kimechanic.com,microify.com,mmoity.com,picocurl.com,pintient.com,q.gs,quainator.com,quamiller.com,queuecosm.bid,restorecosm.bid,riffhold.com,simizer.com,skamaker.com,skamason.com,sostieni.ilwebmaster21.com,special.picons.eu,threadsphere.bid,tinyical.com,tinyium.com,twineer.com,viahold.com,vializer.com,viwright.com,yabuilder.com,yamechanic.com,yoalizer.com,yobuilder.com,yoineer.com,yoitect.com,zo.ee##script:inject(adfly-defuser.js)
+activeation.com,activetect.net,adf.ly,atomcurve.com,atominik.com,auto-login-xxx.com,ay.gy,babblecase.com,bitigee.com,bluenik.com,brightvar.bid,brisktopia.com,casualient.com,clearload.bid,coginator.com,cogismith.com,dl.android-zone.org,dl.underclassblog.com,dataurbia.com,download.replaymod.com,gamecopyworld.click,go.awanpc.me,j.gs,kaitect.com,kializer.com,kibuilder.com,kimechanic.com,microify.com,mmoity.com,picocurl.com,pintient.com,q.gs,quainator.com,quamiller.com,queuecosm.bid,restorecosm.bid,riffhold.com,simizer.com,skamaker.com,skamason.com,sostieni.ilwebmaster21.com,special.picons.eu,threadsphere.bid,tinyical.com,tinyium.com,twineer.com,viahold.com,vializer.com,viwright.com,yabuilder.com,yamechanic.com,yoalizer.com,yobuilder.com,yoineer.com,yoitect.com,zo.ee##+js(adfly-defuser.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/1009#issuecomment-352160776
 ! https://github.com/jspenguin2017/uBlockProtector/issues/791
 ! https://github.com/jspenguin2017/uBlockProtector/issues/792
-123link.co,22o.co,adbull.*,adshorte.com,bbf.lt,bit-url.com,coin.mg,coinb.ink,cut-win.com,cutearn.com,cuturlink.com,cutwi.in,cutwin.com,cutwin.pro,eg4link.*,egy-links.com,infinityurl.co,linkatk.net,linkkawy.com,linkkch.com,lyon.kim,meulink.tk,ourl.io,psl.*,shortzero.com,teqani-plus.com,url.gem-flash.com,veneapp.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-123link.co##script:inject(abort-on-property-read.js, jQuery.adblock)
-cuturlink.com##script:inject(abort-on-property-write.js, Fingerprint2)
-meulink.tk##script:inject(bab-defuser.js)
+123link.*,22o.co,adbull.*,adshorte.com,bbf.lt,bit-url.com,coin.mg,coinb.ink,ctui.in,cut-win.com,cutearn.com,cuturlink.com,cutwi.in,cutwin.com,cutwin.pro,eg4link.*,egy-links.com,infinityurl.co,linkatk.net,linkkawy.com,linkkch.com,lyon.kim,meulink.tk,ourl.io,psl.*,shortzero.com,teqani-plus.com,url.gem-flash.com,veneapp.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+123link.*##+js(abort-on-property-read.js, jQuery.adblock)
+cuturlink.com##+js(abort-on-property-write.js, Fingerprint2)
+meulink.tk##+js(bab-defuser.js)
 linkkawy.com###exestylepopupdiv
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39252&p=128960#p128838
 ||player.ooyala.com/static/*ad$script,redirect=noopjs,domain=dugout.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/886
-gram.im##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+gram.im##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 gram.im##.more-igram
-igram.*##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+igram.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 igram.*##.more-igram
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39258
-arconaitv.us##script:inject(abort-on-property-read.js, ab_detection)
+arconaitv.us##+js(abort-on-property-read.js, ab_detection)
 arconaitv.us###videoadv
 ||adshost.site^$third-party
 
@@ -3104,15 +3190,16 @@ arconaitv.us###videoadv
 ! https://github.com/uBlockOrigin/uAssets/issues/895
 ! https://github.com/uBlockOrigin/uAssets/issues/914
 ! https://github.com/uBlockOrigin/uAssets/issues/963
-alotporn.com,bobs-tube.com,canalporno.com,dreamamateurs.com,eroxia.com,porndoe.com,pornozot.com##script:inject(abort-on-property-read.js, ExoLoader)
-alotporn.com##script:inject(abort-on-property-write.js, __htapop)
-dreamamateurs.com##script:inject(popads-dummy.js)
+alotporn.com,bobs-tube.com,canalporno.com,dreamamateurs.com,eroxia.com,porndoe.com,pornozot.com##+js(abort-on-property-read.js, ExoLoader)
+alotporn.com##+js(abort-on-property-write.js, __htapop)
+||alotporn.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' *.alotporn.com *.google-analytics.com
+dreamamateurs.com##+js(popads-dummy.js)
 bobs-tube.com##.adv
 @@||bobs-tube.com/player/player_ads.html$first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/891
-sheshaft.com##script:inject(abort-on-property-read.js, raSettings)
-sheshaft.com##script:inject(popads-dummy.js)
+sheshaft.com##+js(abort-on-property-read.js, raSettings)
+sheshaft.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/892
 ||misslk.com^$image,domain=alrincon.com
@@ -3122,20 +3209,21 @@ sheshaft.com##script:inject(popads-dummy
 playview.io##.ads_player
 
 ! https://github.com/uBlockOrigin/uAssets/issues/896
-hdporn.net##script:inject(abort-on-property-read.js, exoOpts)
+hdporn.net##+js(abort-on-property-read.js, exoOpts)
 ||grandfuckauto.xxx^$third-party
 ||long.xxx^$third-party
 ||amateurporn.net/*.gif$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/897
-watchmyexgf.net##script:inject(abort-on-property-read.js, prPuShown)
+watchmyexgf.net##+js(abort-on-property-read.js, prPuShown)
+watchmyexgf.net##+js(window.open-defuser.js)
 ||watchmyexgf.net/*.gif$image
 watchmyexgf.net##.adv
 watchmyexgf.net##[href^="http://wct.link/click"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/901
 @@||tny.ec/js/advertisement.js$script
-tny.ec##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+tny.ec##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/902
 @@||neumanga.tv^$generichide
@@ -3143,102 +3231,112 @@ tny.ec##script:inject(abort-on-property-
 .gif$image,domain=neumanga.tv
 
 ! https://github.com/uBlockOrigin/uAssets/issues/898
-hclips.com##script:inject(abort-on-property-read.js, ExoLoader)
+hclips.com##+js(abort-on-property-read.js, ExoLoader)
 hclips.com##.adv-box-holder
-hclips.com##[class^=pl_]
+hclips.com##[class^="pl_"]
 hclips.com##iframe[src="javascript:false"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/907
-clik.pw##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-clik.pw##script:inject(nowebrtc.js)
-clik.pw##script:inject(addEventListener-defuser.js, mousedown, preventDefault)
+clik.pw##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+clik.pw##+js(nowebrtc.js)
+clik.pw##+js(addEventListener-defuser.js, mousedown, preventDefault)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/908
-urle.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-urle.co##script:inject(abort-on-property-write.js, Fingerprint2)
+urle.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+urle.co##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/909
-adbilty.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adbilty.me##script:inject(abort-on-property-read.js, open)
-adbilty.me##script:inject(abort-on-property-write.js, Fingerprint2)
-adbilty.me##script:inject(abort-on-property-write.js, K4kk)
-adbilty.me##script:inject(abort-on-property-write.js, _pop)
+adbilty.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adbilty.me##+js(abort-on-property-read.js, open)
+adbilty.me##+js(abort-on-property-write.js, Fingerprint2)
+adbilty.me##+js(abort-on-property-write.js, K4kk)
+adbilty.me##+js(abort-on-property-write.js, _pop)
 @@||adbilty.me^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/910
 ! https://github.com/uBlockOrigin/uAssets/issues/1920
 @@||l2s.io^$generichide
-l2s.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+l2s.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 @@||api.solvemedia.com^$script
-l2s.io##script:inject(nowebrtc.js)
+l2s.io##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/911
-adshort.im##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adshort.im##script:inject(abort-on-property-write.js, Fingerprint2)
-adshort.im##script:inject(popads.net.js)
-||bid^$script,domain=adshort.im
-||dailymotion.com^$subdocument,domain=adshort.im
+adshort.im##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adshort.im##+js(abort-on-property-write.js, Fingerprint2)
+adshort.im##+js(popads.net.js)
+adshort.im,adsrt.*##+js(window.open-defuser.js)
 adshort.im##A[href$=".html"][rel="nofollow norefferer noopener"]
-adshort.im##script:inject(popads-dummy.js)
-adshort.im##script:inject(addEventListener-defuser.js, click, trigger)
+adshort.im##+js(popads-dummy.js)
+adshort.im##+js(addEventListener-defuser.js, click, trigger)
 ||adshort.im^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.gstatic.com
+||bid^$script,domain=adshort.im
+||dailymotion.com^$subdocument,domain=adshort.im
+||hibids10.com^$third-party
 @@||adshort.im/js/ads.js$script,first-party
+adshort.im,adsrt.*##[id*="frme"]
+! https://github.com/uBlockOrigin/uAssets/issues/911#issuecomment-417348509
+adshort.im,adsrt.*#@#[id*="ScriptRoot"]
+! https://github.com/uBlockOrigin/uAssets/issues/911#issuecomment-423769642
+adsrt.*###captchaShortlink:style(display: block !important; margin-left: 35% !important;)
+||adsrt.*/sw.js$script,first-party
+adsrt.*##div[id^="SC_TBlock"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/906
-up-4ever.com##script:inject(abort-on-property-read.js, adsDisabled)
+up-4ever.com##+js(abort-on-property-read.js, adsDisabled)
 up-4ever.com###hiddensection:style(display: block !important)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/899
 ! https://github.com/uBlockOrigin/uAssets/issues/2470
-keezmovies.com##script:inject(abort-on-property-read.js, exbl)
-keezmovies.com##script:inject(abort-on-property-write.js, ppAb)
-keezmovies.com##script:inject(abort-on-property-write.js, raSettings)
+keezmovies.com##+js(abort-on-property-read.js, exbl)
+keezmovies.com##+js(abort-on-property-write.js, ppAb)
+keezmovies.com##+js(abort-on-property-write.js, raSettings)
 ||api.freewebfonts.org/lib/*$script,domain=keezmovies.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/900
 ! https://github.com/uBlockOrigin/uAssets/issues/2482#issuecomment-395244585
-tube8.com##script:inject(abort-on-property-write.js, AdDelivery)
-tube8.com##script:inject(abort-on-property-write.js, IS_ADBLOCK)
-tube8.com##script:inject(abort-on-property-write.js, loadAdFromHeaderTab)
-tube8.com##script:inject(abort-on-property-write.js, rAb)
+tube8.com##+js(abort-on-property-write.js, AdDelivery)
+tube8.com##+js(abort-on-property-write.js, IS_ADBLOCK)
+tube8.com##+js(abort-on-property-write.js, loadAdFromHeaderTab)
+tube8.com##+js(abort-on-property-write.js, rAb)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/903
-tv-porinternet.com##script:inject(abort-on-property-write.js, adcashMacros)
-tv-porinternet.com##script:inject(abort-on-property-write.js, Fingerprint2)
-tv-porinternet.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-tv-porinternet.com##script:inject(nowebrtc.js)
+tv-porinternet.com##+js(abort-on-property-write.js, adcashMacros)
+tv-porinternet.com##+js(abort-on-property-write.js, Fingerprint2)
+tv-porinternet.com##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+tv-porinternet.com##+js(nowebrtc.js)
 ||tv-porinternet.com^$csp=script-src 'self'
-pxstream.tv##script:inject(abort-on-property-write.js, Fingerprint2)
+pxstream.tv##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/912
-tmearn.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-tmearn.com##script:inject(window.open-defuser.js)
-tmearn.com##script:inject(noeval-if.js, clickAnywhere)
+tmearn.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+tmearn.*##+js(window.open-defuser.js)
+tmearn.com##+js(noeval-if.js, clickAnywhere)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/919
-foxurl.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-foxurl.net##script:inject(popads.net.js)
+foxurl.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+foxurl.net##+js(popads.net.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/1869
-3rabshort.*##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+3rabshort.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/920
-cutw.in##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutw.in##script:inject(abort-on-property-write.js, adss)
-cutw.in##script:inject(abort-on-property-write.js, Fingerprint2)
+cutw.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutw.in##+js(abort-on-property-write.js, adss)
+cutw.in##+js(abort-on-property-write.js, Fingerprint2)
 cutw.in##.banner-inner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/921
 @@||corporacionwarez.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/915
-hdpornt.com##script:inject(abort-on-property-read.js, ExoLoader)
+hdpornt.com##+js(abort-on-property-read.js, ExoLoader)
+hdpornt.com##+js(abort-on-property-write.js, __NA)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/922
-simply-hentai.com##script:inject(abort-on-property-read.js, ExoLoader)
-simply-hentai.com##script:inject(abort-on-property-read.js, BetterJsPop)
+simply-hentai.com##+js(abort-on-property-read.js, NBLoader.addZone)
+simply-hentai.com##+js(abort-on-property-read.js, BetterJsPop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/916
-daporn.com##script:inject(abort-on-property-read.js, BetterJsPop)
+daporn.com##+js(abort-on-property-read.js, BetterJsPop)
 ||daporn.com/*banner$image
 ||daporn.com/frames/$subdocument
 daporn.com##.ntv-media
@@ -3247,27 +3345,27 @@ daporn.com###mediaOverlay
 daporn.com###close-aff
 
 ! https://github.com/uBlockOrigin/uAssets/issues/917
-tgpdog.com##script:inject(abort-on-property-read.js, ExoLoader)
+tgpdog.com##+js(abort-on-property-read.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/918
-4tube.com##script:inject(abort-on-property-read.js, ExoLoader)
-4tube.com##script:inject(abort-on-property-write.js, ads_priv)
+4tube.com##+js(abort-on-property-read.js, ExoLoader)
+4tube.com##+js(abort-on-property-write.js, ads_priv)
 ||4tube.com/*banner$image
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=54673
-mp3cut.net##script:inject(abort-on-property-write.js, ab_detected)
+mp3cut.net##+js(abort-on-property-write.js, ab_detected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/924
-mofosex.com##script:inject(abort-on-property-write.js, ppAb)
-mofosex.com##script:inject(abort-on-property-write.js, raSettings)
+mofosex.com##+js(abort-on-property-write.js, ppAb)
+mofosex.com##+js(abort-on-property-write.js, raSettings)
 ||api.freewebfonts.org/lib/*$script,domain=mofosex.com
 mofosex.com##.vjs-inplayer-container
 mofosex.com##.underplayer
 @@||phncdn.com/iframe$subdocument,domain=mofosex.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/925
-pornerbros.com##script:inject(abort-on-property-read.js, ExoLoader)
-pornerbros.com##script:inject(abort-on-property-write.js, ads_priv)
+pornerbros.com##+js(abort-on-property-read.js, ExoLoader)
+pornerbros.com##+js(abort-on-property-write.js, ads_priv)
 ||pornerbros.com/*banner$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/927
@@ -3276,37 +3374,37 @@ pornerbros.com##script:inject(abort-on-p
 serienjunkies.de#@#.afs_ads
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39297
-thaivisa.com##script:inject(abort-current-inline-script.js, $, adBlockEnabled)
+thaivisa.com##+js(abort-current-inline-script.js, $, adBlockEnabled)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/913
-hdpass.net##script:inject(disable-newtab-links.js)
+hdpass.net##+js(disable-newtab-links.js)
 ! https://forums.lanik.us/viewtopic.php?f=96&p=131752#p131743
-hdpass.net##script:inject(nano-setInterval-booster.js, #timer)
+hdpass.net##+js(nano-setInterval-booster.js, #timer)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/929
-beeg.com##script:inject(abort-on-property-read.js, ExoLoader)
+beeg.com##+js(abort-on-property-read.js, ExoLoader)
 beeg.com##.n1.spor
 
 ! https://github.com/uBlockOrigin/uAssets/issues/930
-pichaloca.com##script:inject(abort-on-property-read.js, ExoLoader)
+pichaloca.com##+js(abort-on-property-read.js, ExoLoader)
 pichaloca.com##.publis-bottom
 
 ! https://github.com/uBlockOrigin/uAssets/issues/931
-pornodoido.com##script:inject(abort-on-property-read.js, ExoLoader)
+pornodoido.com##+js(abort-on-property-read.js, ExoLoader)
 
 ! anti adb https://ooze.ninja/javascript/poisonjs/
 @@||ooze.ninja^$generichide
-ooze.ninja##script:inject(bab-defuser.js)
+ooze.ninja##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39303
 ! https://github.com/uBlockOrigin/uAssets/issues/2346
 kinos.*,kinox.*##^script:has-text(676574456c656d656e747342795461674e616d65)
-kinos.*,kinox.*##script:inject(abort-current-inline-script.js, adcashMacros)
+kinos.*,kinox.*##+js(abort-current-inline-script.js, adcashMacros)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=kinos.to|kinox.am|kinox.io|kinox.me|kinox.nu|kinox.sg|kinox.si|kinox.sx|kinox.to|kinox.tv
 
 ! https://forums.lanik.us/viewtopic.php?p=129242#p129242
-streaming-football.org##script:inject(abort-on-property-write.js, adcashMacros)
-streaming-football.org##script:inject(abort-on-property-write.js, Fingerprint2)
+streaming-football.org##+js(abort-on-property-write.js, adcashMacros)
+streaming-football.org##+js(abort-on-property-write.js, Fingerprint2)
 @@||hdmyt.info^$generichide
 @@||streaming-football.org^$generichide
 @@||streaming-foot.xyz^$generichide
@@ -3316,27 +3414,24 @@ streaming-football.org##script:inject(ab
 ||brand.ad^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/938
-tui.click##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+tui.click##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 tui.click##.banner-inner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/939
-mangacanblog.com##script:inject(abort-on-property-read.js, adblock)
-
-! https://github.com/uBlockOrigin/uAssets/issues/940
-@@||animetake4.life^$generichide
+mangacanblog.com##+js(abort-on-property-read.js, adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/941
 ||js.latino-webtv.com/player/ad$script,redirect=fuckadblock.js-3.2.0
-latino-webtv.com##script:inject(nowebrtc.js)
+latino-webtv.com##+js(nowebrtc.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/941#issuecomment-405022292
-kastream.biz##script:inject(abort-on-property-write.js, _pop)
-kastream.biz##script:inject(abort-on-property-write.js, Fingerprint2)
-kastream.biz##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-kastream.biz##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, isOpened)
-kastream.biz##script:inject(bab-defuser.js)
-kastream.biz##script:inject(nowebrtc.js)
-kastream.biz##script:inject(setInterval-defuser.js, (), 500)
-kastream.biz##script:inject(window.open-defuser.js)
+kastream.biz##+js(abort-on-property-write.js, _pop)
+kastream.biz##+js(abort-on-property-write.js, Fingerprint2)
+kastream.biz##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+kastream.biz##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, isOpened)
+kastream.biz##+js(bab-defuser.js)
+kastream.biz##+js(nowebrtc.js)
+kastream.biz##+js(setInterval-defuser.js, (), 500)
+kastream.biz##+js(window.open-defuser.js)
 @@||televisionparatodos.tv^$generichide
 @@||ucoz.com^$generichide
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=shidurlive.com
@@ -3345,185 +3440,178 @@ kastream.biz##script:inject(window.open-
 ||vertelevisor.com/publi
 
 ! https://github.com/uBlockOrigin/uAssets/issues/942
-dvdcover.com##script:inject(abort-on-property-read.js, anOptions)
+dvdcover.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/943
 @@||sengame.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/944
-arpa7com.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+arpa7com.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/945
 @@||vortez.net^$generichide
-vortez.net##script:inject(noeval.js)
+vortez.net##+js(noeval.js)
 about:blank$popup,domain=vortez.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/910#issuecomment-350560041
 @@||u2s.io^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/947
-mountainbike.es##script:inject(abort-current-inline-script.js, mpAdblockOpts, blockAdBlock.onDetected)
+mountainbike.es##+js(abort-current-inline-script.js, mpAdblockOpts, blockAdBlock.onDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/948
-platinmods.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
-platinmods.*##script:inject(bab-defuser.js)
-platinmods.*##script:inject(nano-setInterval-booster.js)
+! https://forums.lanik.us/viewtopic.php?p=140858#p140858
+platinmods.com##+js(abort-on-property-read.js, adBlockDetected)
+platinmods.*##+js(bab-defuser.js)
+platinmods.*##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/949
-whentai.com##script:inject(abort-on-property-read.js, canRunAds)
+whentai.com##+js(abort-on-property-read.js, canRunAds)
 ||whentai.com/*.gif$image
 
-! https://github.com/uBlockOrigin/uAssets/issues/950
-@@*$generichide,domain=animesgo.net|animesgo.info
-||i.imgur.com/$image,domain=animesgo.info
-||jyz.com.br/ads$subdocument
-
-! https://github.com/uBlockOrigin/uAssets/issues/951
-wstream.video##script:inject(abort-current-inline-script.js, setTimeout, mypop)
-
 ! https://github.com/uBlockOrigin/uAssets/issues/952
-javdude.com##script:inject(abort-on-property-read.js, miner)
-javdude.com,thplayers.com##script:inject(abort-on-property-write.js, _pop)
-javdude.com##script:inject(fuckadblock.js-3.2.0)
+javdude.com##+js(abort-on-property-read.js, miner)
+javdude.com,thplayers.com##+js(abort-on-property-write.js, _pop)
+javdude.com##+js(fuckadblock.js-3.2.0)
 javdude.com##a[href*=".php"]
 ||pxplayer.com/watch.php$subdocument
 
 ! https://github.com/uBlockOrigin/uAssets/issues/953
-txxx.com##script:inject(abort-on-property-read.js, ExoLoader)
-txxx.com##script:inject(abort-on-property-write.js, ads_priv)
+txxx.com##+js(abort-on-property-read.js, ExoLoader)
+txxx.com##+js(abort-on-property-write.js, ads_priv)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/954
-proxybunker.online##script:inject(abort-on-property-read.js, _wwwp)
-proxybunker.online##script:inject(abort-on-property-write.js, Fingerprint2)
+proxybunker.online##+js(abort-on-property-read.js, _wwwp)
+proxybunker.online##+js(abort-on-property-write.js, Fingerprint2)
 proxybunker.online##.alert-info
 
 ! https://github.com/uBlockOrigin/uAssets/issues/956
-voyeurhit.com##script:inject(abort-on-property-read.js, ExoLoader)
-voyeurhit.com##script:inject(abort-on-property-write.js, ads_priv)
+voyeurhit.com##+js(abort-on-property-read.js, ExoLoader)
+voyeurhit.com##+js(abort-on-property-write.js, ads_priv)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/957
-upornia.com##script:inject(abort-on-property-read.js, ExoLoader)
-upornia.com##script:inject(abort-on-property-write.js, ads_priv)
+upornia.com##+js(abort-on-property-read.js, ExoLoader)
+upornia.com##+js(abort-on-property-write.js, ads_priv)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/958
 ! https://github.com/uBlockOrigin/uAssets/issues/2074
-hotmovs.com##script:inject(abort-on-property-read.js, ExoLoader)
-hotmovs.com##script:inject(abort-on-property-write.js, ads_priv)
+hotmovs.com##+js(abort-on-property-read.js, ExoLoader)
+hotmovs.com##+js(abort-on-property-write.js, ads_priv)
 hotmovs.com###mjs-undervideo
 hotmovs.com##.ntv-banners-container.sidebar
-hotmovs.com##script:inject(window.open-defuser.js)
+hotmovs.com##+js(window.open-defuser.js)
 hotmovs.com##.footer-banners
 
 ! https://github.com/uBlockOrigin/uAssets/issues/959
-vjav.com##script:inject(abort-on-property-read.js, ExoLoader)
-vjav.com##script:inject(abort-on-property-write.js, ads_priv)
+vjav.com##+js(abort-on-property-read.js, ExoLoader)
+vjav.com##+js(abort-on-property-write.js, ads_priv)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/960
-thegay.com##script:inject(abort-on-property-read.js, ExoLoader)
-thegay.com##script:inject(abort-on-property-write.js, ads_priv)
+thegay.com##+js(abort-on-property-read.js, ExoLoader)
+thegay.com##+js(abort-on-property-write.js, ads_priv)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/961
 ! https://github.com/uBlockOrigin/uAssets/issues/962
-extremetube.com##script:inject(abort-on-property-read.js, exbl)
-extremetube.com,spankwire.com##script:inject(abort-on-property-write.js, ppAb)
+extremetube.com##+js(abort-on-property-read.js, exbl)
+extremetube.com,spankwire.com##+js(abort-on-property-write.js, ppAb)
 ||api.freewebfonts.org/lib/*$script,domain=extremetube.com|spankwire.com
 extremetube.com##.noPopunder
 
 ! https://github.com/uBlockOrigin/uAssets/issues/964
-adlinkme.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+adlinkme.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/965
-cuon.io,curs.io,ecurs.co,eurs.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cuon.io,curs.io,ecurs.co,eurs.io##script:inject(window.open-defuser.js)
+cuon.io,curs.io,ecurs.co,eurs.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cuon.io,curs.io,ecurs.co,eurs.io##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/966
-mcfucker.com##script:inject(abort-on-property-write.js, t4PP)
+mcfucker.com##+js(abort-on-property-write.js, t4PP)
 sponsor=$domain=mcfucker.com
 mcfucker.com##.vadv
 mcfucker.com##.c2p
 
 ! https://github.com/uBlockOrigin/uAssets/issues/973
-imgprime.com##script:inject(abort-on-property-read.js, ExoLoader)
+imgprime.com##+js(abort-on-property-read.js, ExoLoader)
 ||imgprime.com/*.php$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/969
-imgshots.com##script:inject(popads.net.js)
+imgshots.com##+js(popads.net.js)
 imgshots.com###introOverlayBg
 
 ! https://github.com/uBlockOrigin/uAssets/issues/970
-xxxhost.me##script:inject(abort-current-inline-script.js, puShown , /doOpen|popundr/)
+xxxhost.me##+js(abort-current-inline-script.js, puShown , /doOpen|popundr/)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/971
 imgsin.com###overlayBg
-imgsin.com##script:inject(window.open-defuser.js)
+imgsin.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/972
-imagefruit.com##script:inject(popads.net.js)
+imagefruit.com##+js(popads.net.js)
 imagefruit.com###introOverlayBg
 
 ! https://github.com/uBlockOrigin/uAssets/issues/968
 ! https://github.com/uBlockOrigin/uAssets/issues/1005
-porn.com##script:inject(window.open-defuser.js)
+porn.com##+js(window.open-defuser.js)
 ||porn.com/*system/*.gif
-porn.com##[class$=-zone]
+porn.com##[class$="-zone"]
 porn.com##.itemw.item
 porn.com##.ownersite
-porn.com##[class$=-zne]
+porn.com##[class$="-zne"]
 
 ! https://adblockplus.org/forum/viewtopic.php?f=10&t=54692
-serial49.com##script:inject(noeval.js)
+serial49.com##+js(noeval.js)
 @@||serial49.com^$generichide
 
 ! https://github.com/gorhill/uBlock/issues/3338
 ! https://github.com/uBlockOrigin/uAssets/issues/1835
-7starhd.info##script:inject(abort-on-property-write.js, _pop)
-bdupload.info##script:inject(abort-current-inline-script.js, atob, tabunder)
-bdupload.info##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-bdupload.info##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-bdupload.info##script:inject(abort-on-property-write.js, Fingerprint2)
-bdupload.info##script:inject(nano-setTimeout-booster.js)
+7starhd.info##+js(abort-on-property-write.js, _pop)
+bdupload.info##+js(abort-current-inline-script.js, atob, tabunder)
+bdupload.info##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+bdupload.info##+js(abort-current-inline-script.js, parseInt, tabunder)
+bdupload.info##+js(abort-on-property-write.js, Fingerprint2)
+bdupload.info##+js(nano-setTimeout-booster.js)
 ||solihullah.info^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/974
-pilot.wp.pl##script:inject(set-constant.js, PWA_adbd, 0)
+pilot.wp.pl##+js(set-constant.js, PWA_adbd, 0)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3812
-ddlfr.pw##script:inject(bab-defuser.js)
-ddlfr.pw##script:inject(popads-dummy.js)
+ddlfr.pw##+js(bab-defuser.js)
+ddlfr.pw##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/976
-taroot-rangi.com##script:inject(abort-on-property-write.js, sc_adv_out)
+taroot-rangi.com##+js(abort-on-property-write.js, sc_adv_out)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/980
-pornwatchers.com##script:inject(abort-on-property-read.js, ExoLoader)
+pornwatchers.com##+js(abort-on-property-read.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/983
-sotemnovinhas.com##script:inject(fuckadblock.js-3.2.0)
+sotemnovinhas.com##+js(fuckadblock.js-3.2.0)
 ||sotemnovinhas.com/*.gif$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/984
 @@||ondemandkorea.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/981
-porntube.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+porntube.com##+js(abort-on-property-read.js, ExoLoader.serve)
 ||porntube.com/*banner$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/978
-katestube.com##script:inject(abort-on-property-read.js, BetterJsPop)
-katestube.com##script:inject(abort-on-property-read.js, raSettings)
+katestube.com##+js(abort-on-property-read.js, BetterJsPop)
+katestube.com##+js(abort-on-property-read.js, raSettings)
 ||katestube.com/contents/other/player/*.mp4$media
 
 ! https://github.com/uBlockOrigin/uAssets/issues/979
-gotporn.com##script:inject(abort-on-property-read.js, ExoLoader)
+gotporn.com##+js(abort-on-property-read.js, ExoLoader)
 ||gotporn.com/*/exo-loader/*$script
 gotporn.com##a[href^="https://www.gotporn.com/click.php"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/883#issuecomment-351542884
-qe.pe##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-qe.pe##script:inject(abort-on-property-read.js, open)
+qe.pe##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+qe.pe##+js(abort-on-property-read.js, open)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/883#issuecomment-351542884
-onlinebee.in##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+onlinebee.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 ||ignitna.info^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/992
@@ -3532,7 +3620,7 @@ mypapercraft.net##.blocker-notice
 mypapercraft.net##.blocker-overlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/994
-beelink.in##script:inject(abort-current-inline-script.js, $, adi_content)
+beelink.in##+js(abort-current-inline-script.js, $, adi_content)
 @@||beelink.in^$generichide
 beelink.in###adblockplus
 ||magesy.biz/banner$subdocument
@@ -3545,14 +3633,14 @@ beelink.in###adblockplus
 ||pop.verplusonline.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/989
-byetv.org##script:inject(popads.net.js)
-deportesmax.com##script:inject(abort-on-property-write.js, _pop)
+byetv.org##+js(popads.net.js)
+deportesmax.com##+js(abort-on-property-write.js, _pop)
 ||vip.freelive365.com/adblocker.js$script,redirect=fuckadblock.js-3.2.0,domain=byetv.org
 @@||deportesmax.com^$generichide
 ||waframedia16.com^$script,domain=deportesmax.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/991
-69games.xxx##script:inject(window.open-defuser.js)
+69games.xxx##+js(window.open-defuser.js)
 69games.xxx##.side_flash
 69games.xxx##a[href^="/ads/"]
 
@@ -3585,31 +3673,37 @@ arawatch.online##a[href="https://vidfast
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1001
 ! https://forums.lanik.us/viewtopic.php?p=138275#p138275
-hdeuropix.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+hdeuropix.com##+js(abort-current-inline-script.js, parseInt, tabunder)
 ||antivirustoolext.com^
 ||tooladblockerext.com^
 ||hdeuropix.io/css/ad-hover.png$image
 hdeuropix.*###MyImageId
 @@|blob:$domain=hdeuropix.cc
-hdeuropix.*##script:inject(popads-dummy.js)
+hdeuropix.*##+js(popads-dummy.js)
+hdeuropix.*##+js(disable-newtab-links.js)
+hdeuropix.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+hdeuropix.*##+js(setInterval-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1002
 ! https://github.com/uBlockOrigin/uAssets/issues/1002#issuecomment-369038123
-descargas2020.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-descargas2020.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-descargas2020.com##script:inject(abort-on-property-write.js, _pop)
-descargas2020.com##script:inject(abort-on-property-write.js, Fingerprint2)
-descargas2020.com##script:inject(addEventListener-defuser.js, mousedown, (b){u()})
-descargas2020.com##script:inject(window.open-defuser.js)
-descargas2020.com##script:inject(nowebrtc.js)
+descargas2020.com##+js(abort-on-property-read.js, l8l1X)
+descargas2020.com##+js(abort-on-property-write.js, _pop)
+descargas2020.com##+js(abort-on-property-write.js, Fingerprint2)
+descargas2020.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+descargas2020.com##+js(addEventListener-defuser.js, mousedown, (b){u()})
+descargas2020.com##+js(noeval.js)
+descargas2020.com##+js(nowebrtc.js)
+descargas2020.com##+js(setInterval-defuser.js, (), 500)
+descargas2020.com##+js(window.open-defuser.js)
+||65mjvw6i1z.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1004
-redditgirls.com##script:inject(abort-on-property-read.js, canRunAds)
+redditgirls.com##+js(abort-on-property-read.js, canRunAds)
 
 ! https://forums.lanik.us/viewtopic.php?p=129505#p129505
 ! https://github.com/uBlockOrigin/uAssets/issues/1672
 ! https://github.com/uBlockOrigin/uAssets/issues/1872
-grantorrent.com##script:inject(abort-on-property-read.js, miner)
+grantorrent.com##+js(abort-on-property-read.js, miner)
 ||grantorrent.co^$csp=script-src 'unsafe-inline' 'self' *.ytimg.com *.youtube.com
 ||grantorrent.com^$csp=script-src 'unsafe-inline' 'self' *.ytimg.com *.youtube.com
 
@@ -3627,13 +3721,14 @@ $script,domain=zdnet.fr,third-party
 @@||ajax.googleapis.com^$script,domain=zdnet.fr
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1011
-amateurporn1.com##script:inject(abort-current-inline-script.js, ExoLoader)
-amateurporn1.com##script:inject(abort-on-property-write.js, popns)
+amateurporn1.com##+js(abort-current-inline-script.js, ExoLoader)
+amateurporn1.com##+js(abort-on-property-write.js, popns)
 ||amateurporn1.com/ab_im_desktop.html
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1010
-pornxs.com##script:inject(abort-current-inline-script.js, ExoLoader)
-pornxs.com##script:inject(abort-on-property-read.js, raSettings)
+pornxs.com##+js(abort-current-inline-script.js, ExoLoader)
+pornxs.com##+js(abort-on-property-read.js, raSettings)
+pornxs.com##+js(abort-on-property-read.js, _abb)
 ||pornxs.com/*.php
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/762
@@ -3650,13 +3745,14 @@ megayoungsex.com##.SHVidBlockR
 xhamster.com##.xplayer-banner-bottom
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1014
-mangoporn.net##script:inject(abort-on-property-read.js, ExoLoader)
-mangoporn.net##script:inject(abort-on-property-write.js, _pop)
-mangoporn.net##script:inject(abort-on-property-write.js, pURL)
+mangoporn.net##+js(abort-on-property-read.js, ExoLoader)
+mangoporn.net##+js(abort-on-property-write.js, _pop)
+mangoporn.net##+js(abort-on-property-write.js, pURL)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1016
-vqporn.com##script:inject(abort-on-property-read.js, ExoLoader)
-vqporn.com##script:inject(abort-on-property-write.js, adblockDetect)
+vqporn.com##+js(abort-on-property-read.js, ExoLoader)
+vqporn.com##+js(abort-on-property-write.js, adblockDetect)
+vqporn.com##+js(addEventListener-defuser.js, load, nextFunction)
 ||gpjph.com^$third-party
 
 
@@ -3670,26 +3766,26 @@ vqporn.com##script:inject(abort-on-prope
 @@||manga99.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1017
-cut-earn.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut-earn.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1019
-imgdone.com##script:inject(abort-current-inline-script.js, ExoLoader)
+imgdone.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1022
-imgpeak.com##script:inject(abort-on-property-read.js, ExoLoader.addZone)
-imgpeak.com##script:inject(noeval.js)
+imgpeak.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+imgpeak.com##+js(noeval.js)
 .gif$image,domain=imgpeak.com
 imgpeak.com###container > center
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1020
-frprn.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+frprn.com##+js(abort-on-property-read.js, ExoLoader.serve)
 frprn.com##.js-spot
 
 ! https://github.com/reek/anti-adblock-killer/issues/3818
-sozcu.com.tr##script:inject(abort-on-property-read.js, canRunAds)
+sozcu.com.tr##+js(abort-on-property-read.js, canRunAds)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1028
-imojado.org##script:inject(bab-defuser.js)
+imojado.org##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1029
 @@||fckdescargas.com.ve^$generichide
@@ -3698,52 +3794,47 @@ imojado.org##script:inject(bab-defuser.j
 ||blogblog.com^*.png#$image,domain=fckdescargaspaste.com.ve,redirect=2x2-transparent.png
 *.gif$domain=fckdescargaspaste.com.ve,image
 
-! https://github.com/uBlockOrigin/uAssets/issues/1030
-||freeapkgame.net/wp-content/themes/nyeo-final/js/bypasskiller.js$script,redirect=fuckadblock.js-3.2.0
-
 ! https://github.com/uBlockOrigin/uAssets/issues/1031
-uskip.me##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-uskip.me##script:inject(abort-on-property-read.js, RunAds)
+uskip.me##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+uskip.me##+js(abort-on-property-read.js, RunAds)
+uskip.me##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1032
 @@||androgalaxy.in^$generichide
-androgalaxy.in##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
-androgalaxy.in##script:inject(set-constant.js, adblock, 1)
+androgalaxy.in##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
+androgalaxy.in##+js(set-constant.js, adblock, 1)
 @@||androgalaxy.in/js/Siropu/AM/ads.min.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1033
-sgxnifty.org##script:inject(abort-on-property-write.js, adBlockDetected)
+sgxnifty.org##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1034
 @@||mydaddy.cc/js/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1035
-sznpaste.net##script:inject(bab-defuser.js)
+sznpaste.net##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39376
-eusouandroid.co##script:inject(bab-defuser.js)
-
-! https://github.com/uBlockOrigin/uAssets/issues/1037
-chiaanime.co##script:inject(setTimeout-defuser.js, $)
-chiaanime.co##^script:has-text(676574456c656d656e747342795461674e616d65)
-||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=chiaanime.co
+eusouandroid.co##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1038
-mangatail.com##script:inject(abort-on-property-write.js, adb_checker)
-jetanime.co,mangasail.com,mangatail.me##script:inject(set-constant.js, adblock, 1)
+mangatail.com##+js(abort-on-property-write.js, adb_checker)
+jetanime.co,mangasail.com,mangatail.me##+js(set-constant.js, adblock, 1)
+||jetanime.co^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.googleapis.com *.cloudflare.com *.bootstrapcdn.com *.google-analytics.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1040
 @@||streamarmy.co.uk^$generichide
 
-! watchseries.unblocked.vc popups
-watchseries.unblocked.vc##script:inject(noeval.js)
+! watchseries.unblocked.gdn popups
+watchseries.unblocked.gdn##+js(nowebrtc.js)
+vidlox.*##A[href$=".html"][rel="nofollow norefferer noopener"]
 
 ! divxtotal2.net popups
-divxtotal2.net##script:inject(abort-on-property-write.js, Fingerprint2)
-divxtotal2.net##script:inject(abort-on-property-read.js, BetterJsPop)
+divxtotal2.net##+js(abort-on-property-write.js, Fingerprint2)
+divxtotal2.net##+js(abort-on-property-read.js, BetterJsPop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1024
-games.baltimoresun.com,games.charlotteobserver.com,games.chicagotribune.com,games.dailypress.com,games.express.co.uk,games.mcall.com,games.nydailynews.com,games.orlandosentinel.com,games.parade.com,games.reviewjournal.com,games.sandiegouniontribune.com,games.somersetlive.co.uk,games.sun-sentinel.com,puzzles.bestforpuzzles.com,puzzles.independent.co.uk,puzzles.standard.co.uk##script:inject(set-constant.js, Adv_ab, 0)
+games.baltimoresun.com,games.charlotteobserver.com,games.chicagotribune.com,games.dailypress.com,games.express.co.uk,games.mcall.com,games.nydailynews.com,games.orlandosentinel.com,games.parade.com,games.reviewjournal.com,games.sandiegouniontribune.com,games.somersetlive.co.uk,games.sun-sentinel.com,puzzles.bestforpuzzles.com,puzzles.independent.co.uk,puzzles.standard.co.uk##+js(set-constant.js, Adv_ab, false)
 @@||amsarkadium-a.akamaihd.net/assets/*/advertisements.js$script,domain=games.baltimoresun.com|games.charlotteobserver.com|games.chicagotribune.com|games.dailypress.com|games.express.co.uk|games.mcall.com|games.nydailynews.com|games.orlandosentinel.com|games.parade.com|games.reviewjournal.com|games.sandiegouniontribune.com|games.somersetlive.co.uk|games.sun-sentinel.com|puzzles.bestforpuzzles.com|puzzles.independent.co.uk|puzzles.standard.co.uk
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=games.baltimoresun.com|games.charlotteobserver.com|games.chicagotribune.com|games.dailypress.com|games.express.co.uk|games.mcall.com|games.nydailynews.com|games.orlandosentinel.com|games.parade.com|games.reviewjournal.com|games.sandiegouniontribune.com|games.somersetlive.co.uk|games.sun-sentinel.com|puzzles.bestforpuzzles.com|puzzles.independent.co.uk|puzzles.standard.co.uk
 @@||games.chicagotribune.com/*/video-prebid.html$subdocument,first-party
@@ -3752,23 +3843,25 @@ games.baltimoresun.com,games.charlotteob
 
 ! https://github.com/reek/anti-adblock-killer/issues/2242
 ! https://github.com/jspenguin2017/uBlockProtector/issues/831
-hentaihaven.org##script:inject(abort-on-property-read.js, popunder_record)
-hentaihaven.org##script:inject(popads-dummy.js)
-hentaihaven.org##script:inject(set-constant.js, canRunAds, noopFunc)
+hentaihaven.org##+js(abort-on-property-read.js, popunder_record)
+hentaihaven.org##+js(popads-dummy.js)
+hentaihaven.org##+js(set-constant.js, canRunAds, noopFunc)
 @@||hentaihaven.org/*-ad-home.js$script,first-party
 @@||hentaihaven.disqus.com/embed.js$script,domain=hentaihaven.org
 @@||disqus.com/next/config.js$script,domain=hentaihaven.org
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7kg792/need_help_blocking_this_persistent_ad/
-nwanime.tv##script:inject(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
-vidstreaming.io##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+nwanime.tv##+js(abort-current-inline-script.js, MutationObserver, 676574456c656d656e747342795461674e616d65)
+||nwanime.tv^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.googleapis.com *.scorecardresearch.com *.disqus.com *.google-analytics.com
 ||telllwrite.com^$third-party
+||2hanwriten.com^
 
 ! https://github.com/uBlockOrigin/uAssets/commit/91f936dbaeaa681fab4d9259a818458db2200e74#commitcomment-26342002
 /all-for-adsense/*
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1045
-ah-me.com##script:inject(abort-on-property-read.js, ExoLoader)
+ah-me.com##+js(abort-on-property-read.js, ExoLoader)
+ah-me.com##+js(abort-on-property-read.js, __NA)
 ah-me.com##.allIMwindow
 ah-me.com##.movie-pop
 
@@ -3792,60 +3885,61 @@ anyfreeporn.com##.rmedia
 @@||telecinco.es^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1049
-jkanime.co##script:inject(setTimeout-defuser.js, $)
+jkanime.co##+js(setTimeout-defuser.js, $)
 jkanime.co##^script:has-text(676574456c656d656e747342795461674e616d65)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=jkanime.co
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1051
 ! https://github.com/uBlockOrigin/uAssets/issues/2752
-ouo.press##script:inject(abort-current-inline-script.js, decodeURI, HTMLIFrameElement)
-ouo.press##script:inject(abort-on-property-read.js, jsPopunder)
-ouo.press##script:inject(abort-on-property-write.js, _pop)
+ouo.press##+js(abort-current-inline-script.js, decodeURI, HTMLIFrameElement)
+ouo.press##+js(abort-on-property-read.js, jsPopunder)
+ouo.press##+js(abort-on-property-write.js, _pop)
 ||egnatius-ear.com^$script,domain=ouo.press
 ||waframedia20.com^$script,domain=ouo.press
+ouo.press##iframe:not([src])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1053
 @@||down2hub.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1056
-tufutbolpro.com##script:inject(abort-on-property-write.js, Fingerprint2)
+tufutbolpro.com##+js(abort-on-property-write.js, Fingerprint2)
 tufutbolpro.com##a[href^="http://bit.ly/"]
 tufutbolpro.com###g207
-tufutbolpro.com##script:inject(abort-on-property-write.js, smrtSP)
-tufutbolpro.com##script:inject(abort-on-property-write.js, smrtSB)
-tvcanales.cf##script:inject(nowebrtc.js)
+tufutbolpro.com##+js(abort-on-property-write.js, smrtSP)
+tufutbolpro.com##+js(abort-on-property-write.js, smrtSB)
+tvcanales.cf##+js(nowebrtc.js)
 ||i.imgur.com/*.png$image,domain=tufutbolpro.com
 tufutbolpro.com###ventana-flotante
 tufutbolpro.com##a[href*="/clk"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1057
-cutwi.in,cutwin.com,cutwin.pro##script:inject(abort-on-property-write.js, adss)
-cutwi.in##script:inject(abort-on-property-write.js, Fingerprint2)
+ctui.in,cutwi.in,cutwin.com,cutwin.pro##+js(abort-on-property-write.js, adss)
+cutwi.in##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1059
-geturlpr.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+geturlpr.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?p=129726#p129726
 ||qdistand.com^
 1337x.st##[href*=".php"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1062
-samehadaku.net##script:inject(set-constant.js, $tieE3, true)
+samehadaku.net##+js(set-constant.js, $tieE3, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1063
-xiaopan.co##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+xiaopan.co##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1064
-shooshtime.com##script:inject(abort-on-property-read.js, raSettings)
-shooshtime.com##script:inject(window.open-defuser.js)
+shooshtime.com##+js(abort-on-property-read.js, raSettings)
+shooshtime.com##+js(window.open-defuser.js)
 ||monad.network^$script,domain=shooshtime.com
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7l40lk/need_antiadblock_for_seattle_times/
-seattletimes.com##script:inject(setTimeout-defuser.js, SEATIMESCO.browser.adBlock.baitLoaded, 300)
+seattletimes.com##+js(setTimeout-defuser.js, SEATIMESCO.browser.adBlock.baitLoaded, 300)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1065
-oceanofdownload.com##script:inject(abort-on-property-write.js, Fingerprint2)
-oceanofdownload.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+oceanofdownload.com##+js(abort-on-property-write.js, Fingerprint2)
+oceanofdownload.com##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1067
 @@||comando-filmes.org^$generichide
@@ -3857,37 +3951,40 @@ comando-filmes.org##body:style(backgroun
 comando-filmes.org##a[href^="https://goo.gl/"]
 
 ! https://forums.lanik.us/viewtopic.php?f=96&t=39414
-animeforce.org##script:inject(abort-on-property-read.js, BetterJsPop)
-animeforce.org##script:inject(abort-on-property-read.js, popns)
+animeforce.org##+js(abort-on-property-read.js, BetterJsPop)
+animeforce.org##+js(abort-on-property-read.js, popns)
+||animeforce.org^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.facebook.com *.pinterest.com *.google-analytics.com
+||dreamsub.co^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.facebook.com *.googletagmanager.com
+animeforce.org##+js(addEventListener-defuser.js, load, onload)
 ||advfeeds.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1068
-noticias.gospelmais.com.br##script:inject(set-constant.js, blockAdBlock, true)
+noticias.gospelmais.com.br##+js(set-constant.js, blockAdBlock, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1071
-shrinklink.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+shrinklink.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1070
-songs.pk##script:inject(popads-dummy.js)
+songs.pk##+js(popads-dummy.js)
 ||evenexcite.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1072
-megaseriestorrent.*##script:inject(abort-on-property-read.js, adBlockDetected)
+megaseriestorrent.*##+js(abort-on-property-read.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/292
 ! https://github.com/uBlockOrigin/uAssets/issues/1074
 ! https://forums.lanik.us/viewtopic.php?f=62&p=136740
-linkshrink.net##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-linkshrink.net##script:inject(abort-on-property-write.js, Fingerprint2)
-linkshrink.net##script:inject(nano-setInterval-booster.js, , 100)
+linkshrink.net##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+linkshrink.net##+js(abort-on-property-write.js, Fingerprint2)
+linkshrink.net##+js(nano-setInterval-booster.js, , 100)
 ||linkshrink.net^$popunder
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1076
-mel.fm##script:inject(fuckadblock.js-3.2.0)
+mel.fm##+js(fuckadblock.js-3.2.0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1077
-abliker.com,devliker.net,fbfriendrequest.com,igflash.com,igzoom.com,kpliker.*,leetgram.com,likesgroup.com##script:inject(setTimeout-defuser.js, getComputedStyle, 250)
-devliker.net,leetgram.com,likesgroup.com##script:inject(addEventListener-defuser.js, load, adsense)
+abliker.com,devliker.net,fbfriendrequest.com,igflash.com,igzoom.com,kpliker.*,leetgram.com,likesgroup.com##+js(setTimeout-defuser.js, getComputedStyle, 250)
+devliker.net,leetgram.com,likesgroup.com##+js(addEventListener-defuser.js, load, adsense)
 @@.png#$image,domain=fbfriendrequest.com|igflash.com|likesgroup.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1078
@@ -3910,31 +4007,31 @@ ilgeniodellostreaming.org###playerads
 @@||tvsportslive.stream^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1086
-business-service.biz##script:inject(set-constant.js, blockAdBlock, true)
+business-service.biz##+js(set-constant.js, blockAdBlock, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1091
-linxtablet.co.uk##script:inject(setTimeout-defuser.js)
+linxtablet.co.uk##+js(setTimeout-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1101
-dailygeekshow.com##script:inject(abort-on-property-read.js, jQuery.hello)
+dailygeekshow.com##+js(abort-on-property-read.js, jQuery.hello)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1094
 ps4news.com###blockblockA
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1100
-dthforum.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+dthforum.com##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1103
 @@||themarker.com^$xmlhttprequest,first-party
-themarker.com##script:inject(set-constant.js, showAds, true)
+themarker.com##+js(set-constant.js, showAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1095
 @@||yomowo.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1093
-seirsanduk.com##script:inject(set-constant.js, canRunAds, true)
-seirsanduk.com##script:inject(popads.net.js)
-seirsanduk.com##[id^=fbox-]
+seirsanduk.com##+js(set-constant.js, canRunAds, true)
+seirsanduk.com##+js(popads.net.js)
+seirsanduk.com##[id^="fbox-"]
 ||seirsanduk.com/images/baner$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1097
@@ -3942,7 +4039,7 @@ seirsanduk.com##[id^=fbox-]
 .gif$domain=mangashiro.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1099
-yiv.com##script:inject(set-constant.js, adBlocker, false)
+yiv.com##+js(set-constant.js, adBlocker, false)
 yiv.com#@##adsContainer
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=4j.com
 
@@ -3950,43 +4047,40 @@ yiv.com#@##adsContainer
 @@||mackungfu.org^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1090
-jacquieetmicheltv.net##script:inject(set-constant.js, is_adblocked, false)
+jacquieetmicheltv.net##+js(set-constant.js, is_adblocked, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1088
-yalujailbreak.net##script:inject(bab-defuser.js)
+yalujailbreak.net##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1087
-bonertube.com##script:inject(abort-on-property-read.js, ExoLoader)
-bonertube.com##script:inject(popads-dummy.js)
+bonertube.com##+js(abort-on-property-read.js, ExoLoader)
+bonertube.com##+js(popads-dummy.js)
 bonertube.com##.overlay-ggf
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1096
 @@||futbolchile.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1102
-uplod.*##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
-uplod.*##.btn-dl-plus
+upload.ac##+js(abort-current-inline-script.js, document.getElementById, banner)
+upload.ac##.btn-dl-plus
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1098
 @@||lukkr.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1089
-hentaitake.net##script:inject(abort-on-property-read.js, anOptions)
+hentaitake.net##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/771
-rue89lyon.fr##script:inject(abort-on-property-read.js, isShowingAd)
+rue89lyon.fr##+js(abort-on-property-read.js, isShowingAd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1107
-layer13.net##script:inject(abort-on-property-read.js, adBlockDetected)
+layer13.net##+js(abort-on-property-read.js, adBlockDetected)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38298
-kitguru.net##script:inject(abort-on-property-read.js, anOptions)
+kitguru.net##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1108
-pornktube.com##script:inject(abort-on-property-write.js, __htapop)
-
-! https://github.com/uBlockOrigin/uAssets/issues/1110
-mirole.com##script:inject(bab-defuser.js)
+pornktube.com##+js(abort-on-property-write.js, __htapop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1113
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=viki.com
@@ -3994,107 +4088,109 @@ mirole.com##script:inject(bab-defuser.js
 @@||viki.io/cms-uploads/uncategorized/ima3.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1114
-hdzog.com##script:inject(abort-on-property-read.js, ExoLoader)
-hdzog.com##script:inject(abort-on-property-write.js, ads_priv)
+hdzog.com##+js(abort-on-property-read.js, ExoLoader)
+hdzog.com##+js(abort-on-property-write.js, ads_priv)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1115
-realgfporn.com##script:inject(abort-on-property-read.js, ExoLoader)
-realgfporn.com##script:inject(abort-on-property-write.js, __htapop)
-realgfporn.com##script:inject(popads-dummy.js)
+realgfporn.com##+js(abort-on-property-read.js, ExoLoader)
+realgfporn.com##+js(abort-on-property-write.js, __htapop)
+realgfporn.com##+js(popads-dummy.js)
 realgfporn.com###fixedBanner
 realgfporn.com##.overlay-banner
 realgfporn.com##.video-overlay
-realgfporn.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+realgfporn.com##+js(abort-on-property-read.js, ExoLoader.serve)
 realgfporn.com##.banner-video-right
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1116
-flowyourvideo.com##script:inject(abort-on-property-write.js, Fingerprint2)
+flowyourvideo.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1120
 @@||shyav.com^$generichide
-shyav.com##script:inject(abort-on-property-write.js, Fingerprint2)
+shyav.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1121
-zmovs.com##script:inject(window.open-defuser.js)
-zmovs.com##script:inject(abort-on-property-read.js, ALoader)
+zmovs.com##+js(window.open-defuser.js)
+zmovs.com##+js(abort-on-property-read.js, ALoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1122
 picturelol.com###rang2
-picturelol.com##script:inject(abort-on-property-read.js, ExoLoader)
-picturelol.com##script:inject(abort-on-property-read.js, raSettings)
-picturelol.com##script:inject(window.open-defuser.js)
+picturelol.com##+js(abort-on-property-read.js, ExoLoader)
+picturelol.com##+js(abort-on-property-read.js, raSettings)
+picturelol.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1123
-imgspice.com##script:inject(window.open-defuser.js)
-imgspice.com##script:inject(abort-on-property-read.js, ExoLoader)
+imgspice.com##+js(window.open-defuser.js)
+imgspice.com##+js(abort-on-property-read.js, ExoLoader)
+imgspice.com##+js(addEventListener-defuser.js, mousedown, popundrInit)
+imgspice.com###widepage
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1124
-@@||mrtechmyth.com^$generichide
+@@||mrtechmyth.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1128
-mitly.us##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-mitly.us##script:inject(nano-setInterval-booster.js)
+mitly.us##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+mitly.us##+js(nano-setInterval-booster.js)
 @@||mitly.us^$generichide
 ||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=mitly.us
 ||mitly.us/*ad$image,redirect=2x2-transparent.png
 about:blank$popup,domain=mitly.us
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1127
-minkly.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+minkly.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1129
-zlshorte.net##script:inject(abort-on-property-read.js, open)
-zlshorte.net##script:inject(abort-on-property-write.js, Fingerprint2)
+zlshorte.net##+js(abort-on-property-read.js, open)
+zlshorte.net##+js(abort-on-property-write.js, Fingerprint2)
 zlshorte.net##.banner-inner
 about:blank$popup,domain=zlshorte.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1126
-shortelink.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shortelink.co##script:inject(abort-on-property-write.js, _pop)
+shortelink.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shortelink.co##+js(abort-on-property-write.js, _pop)
 shortelink.co###capaclick
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1125
-jzrputtbut.net,mmwgopsoyfhzk.net,olgkzlwln.net,rhvgmritmziwcm.net,zbqhfbetlmni.net##script:inject(addEventListener-defuser.js, click, popunder)
+jzrputtbut.net,mmwgopsoyfhzk.net,olgkzlwln.net,rhvgmritmziwcm.net,zbqhfbetlmni.net##+js(addEventListener-defuser.js, click, popunder)
 *$subdocument,domain=dobgwewmsp.net
 *$subdocument,domain=zmgyogmgghuc.net
 ||jzrputtbut.net^*?name=$popup
 
 ! https://forums.lanik.us/viewtopic.php?p=129948#p129948
 ! https://www.reddit.com/r/uBlockOrigin/comments/7sv0ku/help_blocking_this_type_of_ad/
-dwatchseries.to##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-dwatchseries.to##script:inject(abort-on-property-write.js, upManager)
-dwatchseries.to##script:inject(abort-on-property-write.js, decodeURIComponent)
-dwatchseries.to##script:inject(window.open-defuser.js)
+dwatchseries.to##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+dwatchseries.to##+js(abort-on-property-write.js, upManager)
+dwatchseries.to##+js(abort-on-property-write.js, decodeURIComponent)
+dwatchseries.to##+js(window.open-defuser.js)
 dwatchseries.to##.notify
 dwatchseries.to##.shd_button
 ! https://forums.lanik.us/viewtopic.php?p=138269#p138269
-swatchseries.to##script:inject(abort-current-inline-script.js, atob, TextDecoder)
-swatchseries.to##script:inject(abort-on-property-write.js, Fingerprint2)
-swatchseries.to##script:inject(nowebrtc.js)
+swatchseries.to##+js(abort-current-inline-script.js, atob, TextDecoder)
+swatchseries.to##+js(abort-on-property-write.js, Fingerprint2)
+swatchseries.to##+js(nowebrtc.js)
 ||swatchseries.to/sw.js$script
 
 ! https://forums.lanik.us/viewtopic.php?p=130030#p130030
-mexashare.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+mexashare.com##+js(abort-current-inline-script.js, parseInt, tabunder)
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=mexashare.com
 ||mexashare.com^*.png#$image,domain=mexashare.com,redirect=2x2-transparent.png
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1132
-fetishshrine.com##script:inject(abort-on-property-read.js, raSettings)
-fetishshrine.com##script:inject(popads-dummy.js)
+fetishshrine.com##+js(abort-on-property-read.js, raSettings)
+fetishshrine.com##+js(popads-dummy.js)
 /plugin.php?js=1&s=$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1133
-sleazyneasy.com##script:inject(abort-on-property-read.js, raSettings)
-sleazyneasy.com##script:inject(popads-dummy.js)
+sleazyneasy.com##+js(abort-on-property-read.js, raSettings)
+sleazyneasy.com##+js(popads-dummy.js)
 ||sleazyneasy.com/contents/other/player/*.mp4$media
 sleazyneasy.com##.im_block
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1131
-vikiporn.com##script:inject(abort-on-property-read.js, raSettings)
-vikiporn.com##script:inject(popads-dummy.js)
+vikiporn.com##+js(abort-on-property-read.js, raSettings)
+vikiporn.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1135
-sancaklar.org##script:inject(set-constant.js, adblock, false)
+sancaklar.org##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1136
 @@||gocomics.com^$generichide
@@ -4104,10 +4200,10 @@ gocomics.com##.ad-leaderboard-container
 @@||anime-loads.org^$generichide
 
 ! https://github.com/reek/anti-adblock-killer/issues/3825
-globalrph.com##script:inject(bab-defuser.js)
+globalrph.com##+js(bab-defuser.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/755
-onlinemschool.com##script:inject(abort-on-property-read.js, oms.ads_detect)
+onlinemschool.com##+js(abort-on-property-read.js, oms.ads_detect)
 onlinemschool.com###oms_left_block
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1139
@@ -4115,49 +4211,49 @@ onlinemschool.com###oms_left_block
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1142
 @@||gamekings.tv^$generichide
-gamekings.tv##script:inject(set-constant.js, canRunAds, true)
+gamekings.tv##+js(set-constant.js, canRunAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1143
-bro.adca.st##script:inject(window.open-defuser.js)
+bro.adca.st##+js(window.open-defuser.js)
 ||assets.bro.adca.st/rectangular.html
 ||assets.bro.adca.st/debug.js
 ||assets.bro.adca.st/cuadrado.html
 ||assets.bro.adca.st/adpops.html
 ||assets.bro.adca.st/watch.png
-tarjetarojatv.net##script:inject(abort-on-property-read.js, popTimes)
-tarjetarojatv.net##script:inject(abort-on-property-write.js, smrtSP)
+tarjetarojatv.net##+js(abort-on-property-read.js, popTimes)
+tarjetarojatv.net##+js(abort-on-property-write.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1138
-modelsxxxtube.com##script:inject(abort-on-property-read.js, ExoLoader)
-modelsxxxtube.com##script:inject(abort-on-property-read.js, advobj)
-modelsxxxtube.com##script:inject(abort-on-property-read.js, Aloader)
+modelsxxxtube.com##+js(abort-on-property-read.js, ExoLoader)
+modelsxxxtube.com##+js(abort-on-property-read.js, advobj)
+modelsxxxtube.com##+js(abort-on-property-read.js, Aloader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1144
-e-glossa.it##script:inject(setTimeout-defuser.js, Blocco, 2000)
+e-glossa.it##+js(setTimeout-defuser.js, Blocco, 2000)
 
 ! https://forums.lanik.us/viewtopic.php?p=127380#p127380
-letmewatchthis.ac##script:inject(window.open-defuser.js)
+letmewatchthis.ac##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1147
-flightradar24.com##script:inject(abort-on-property-write.js, googletag)
+flightradar24.com##+js(abort-on-property-write.js, googletag)
 flightradar24.com###responsiveBottomPanel
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/130
-dejure.org##script:inject(set-constant.js, ad_allowed, true)
+dejure.org##+js(set-constant.js, ad_allowed, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1151
-pornsocket.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-pornsocket.com##script:inject(set-constant.js, _site_ads_ns, true)
+pornsocket.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+pornsocket.com##+js(set-constant.js, _site_ads_ns, true)
 ||adspaces.ero-advertising.com/adspace/*$script,redirect=noopjs,domain=pornsocket.com
 
 ! http://forum.chip.de/rund-um-online/werbeterror-spendenaufruf-pic-upload-de-microsoft-alarm-u-google-benachr-1879678.html
-pic-upload.de##script:inject(abort-on-property-write.js, Fingerprint2)
+pic-upload.de##+js(abort-on-property-write.js, Fingerprint2)
 
 ! nxxporn anti adb
-nxxporn.com##script:inject(set-constant.js, blockAdBlock, false)
+nxxporn.com##+js(set-constant.js, blockAdBlock, false)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39513
-r4dm.com##script:inject(popads-dummy.js)
+r4dm.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1154
 @@||biography.com^$generichide
@@ -4174,37 +4270,41 @@ biography.com#@#.square-advertisment-mod
 limerickleader.ie###abr_purchase_div
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/780
-lkky.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+lkky.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1159
-pornhd.com##script:inject(abort-on-property-read.js, hasAdBlock)
-pornhd.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-pornhd.com##script:inject(popads-dummy.js)
+pornhd.com##+js(abort-on-property-read.js, hasAdBlock)
+pornhd.com##+js(abort-on-property-read.js, ExoLoader.serve)
+pornhd.com##+js(popads-dummy.js)
 ||syndication.exoclick.com/ads-iframe-display.php$script,redirect=noopjs,domain=pornhd.com
 pornhd.com##.phdZone
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1160
 ! https://github.com/uBlockOrigin/uAssets/issues/2375
 ||afgr2.com^
-luxuretv.com##script:inject(popads-dummy.js)
+luxuretv.com##+js(popads-dummy.js)
 ||nudevista.com/xhr/xhr.html
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1161
-sexu.com##script:inject(abort-current-inline-script.js, ExoLoader)
+sexu.com##+js(abort-current-inline-script.js, ExoLoader)
 sexu.com##.footerBanners
 sexu.com###jw_video_popup
 ||clickaine.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1162
-pussyspace.com##script:inject(abort-current-inline-script.js, ExoLoader)
+! https://github.com/uBlockOrigin/uAssets/issues/3616
+pussyspace.com##+js(abort-current-inline-script.js, ExoLoader)
+pussyspace.com##+js(abort-current-inline-script.js, $, exoclick)
+pussyspace.com##:xpath(//span[contains(text(),"PARTNER")]/..)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1163
-planetatvonlinehd.com##script:inject(nowebrtc.js)
+planetatvonlinehd.com##+js(nowebrtc.js)
+planetatvonlinehd.com##+js(set-constant.js, atob, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1164
-adpop.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adpop.me##script:inject(abort-on-property-read.js, smrtAdSySBanner)
-adpop.me##script:inject(addEventListener-defuser.js, click, trigger)
+adpop.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adpop.me##+js(abort-on-property-read.js, smrtAdSySBanner)
+adpop.me##+js(addEventListener-defuser.js, click, trigger)
 @@||adpop.me^$generichide
 /adpop.$domain=~adpop.ro,badfilter
 /adpop.$domain=~adpop.ro|~adpop.me
@@ -4212,45 +4312,42 @@ adpop.me##[id*="ScriptRoot"]
 ||dany.superwebs.pro^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1165
-vier.be##script:inject(abort-on-property-write.js, _sp_)
+vier.be##+js(abort-on-property-write.js, _sp_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1168
-jkmk.net##script:inject(abort-on-property-read.js, anOptions)
+jkmk.net##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1169
 ||verliga.net/canales/adblock.js$script,redirect=fuckadblock.js-3.2.0,first-party
 ||verliga.net^*pub$subdocument
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1170
-downace.com##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-downace.com##script:inject(nowebrtc.js)
+downace.com##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+downace.com##+js(nowebrtc.js)
 downace.com##a[href^="https://9xmovie.co/download/"]
 
-! https://github.com/jspenguin2017/uBlockProtector/issues/785
-przegladsportowy.pl##script:inject(abort-current-inline-script.js, $onet, adblock-detect)
-
 ! https://github.com/uBlockOrigin/uAssets/issues/1172
-java-forum.org##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+java-forum.org##+js(setTimeout-defuser.js, nextFunction, 2000)
 java-forum.org###messageList > li.message:has-text(Anzeige)
 
 ! https://github.com/gorhill/uBlock/issues/3403
-kaztorka.org##script:inject(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
-kaztorka.org##[id*=Composite]
+kaztorka.org##+js(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
+kaztorka.org##[id*="Composite"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1175
-cut-urls.com##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-cut-urls.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut-urls.com##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+cut-urls.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1291
 ! https://github.com/uBlockOrigin/uAssets/issues/2233
-flashx.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-flashx.*##script:inject(abort-on-property-read.js, y0b8W)
-flashx.*##script:inject(abort-on-property-write.js, Fingerprint2)
-flashx.*##script:inject(nowebrtc.js)
-flashx.*##script:inject(popads-dummy.js)
-flashx.*##script:inject(popads.net.js)
-flashx.*##script:inject(set-constant.js, jQuery.adblock, false)
-flashx.*##script:inject(window.open-defuser.js)
+flashx.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+flashx.*##+js(abort-on-property-read.js, y0b8W)
+flashx.*##+js(abort-on-property-write.js, Fingerprint2)
+flashx.*##+js(nowebrtc.js)
+flashx.*##+js(popads-dummy.js)
+flashx.*##+js(popads.net.js)
+flashx.*##+js(set-constant.js, jQuery.adblock, false)
+flashx.*##+js(window.open-defuser.js)
 flashx.*##a[href^="https://adsrvmedia.adk2x.com/"]
 @@||ajax.googleapis.com/ajax/libs/jquery/*$script,domain=flashx.tv
 @@||fastcontentdelivery.com/js/showad*.js$script,domain=flashx.to
@@ -4261,21 +4358,21 @@ flashx.*##A[href$=".html"][rel="nofollow
 flashx.*###download_div2
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/786
-gadzetomania.pl##script:inject(abort-on-property-write.js, __serviceAbModal)
+gadzetomania.pl##+js(abort-on-property-write.js, __serviceAbModal)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1178
-coinlink.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-coinlink.co##script:inject(abort-on-property-write.js, _pop)
+coinlink.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+coinlink.co##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/hoshsadiq/adblock-nocoin-list/issues/90
-thepiratebay.cr##script:inject(abort-on-property-write.js, adcashMacros)
-thepiratebay.cr##script:inject(abort-on-property-write.js, Fingerprint2)
-thepiratebay.cr##script:inject(window.open-defuser.js)
+thepiratebay.cr##+js(abort-on-property-write.js, adcashMacros)
+thepiratebay.cr##+js(abort-on-property-write.js, Fingerprint2)
+thepiratebay.cr##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1179
-bigtitsxxxsex.com##script:inject(abort-on-property-read.js, ALoader)
-bigtitsxxxsex.com##script:inject(window.open-defuser.js)
-bigtitsxxxsex.com##script:inject(noeval.js)
+bigtitsxxxsex.com##+js(abort-on-property-read.js, ALoader)
+bigtitsxxxsex.com##+js(window.open-defuser.js)
+bigtitsxxxsex.com##+js(noeval.js)
 bigtitsxxxsex.com###invideo_2
 bigtitsxxxsex.com##.bano1
 
@@ -4294,80 +4391,81 @@ videos.porndig.com##.pop_parent
 ! https://github.com/uBlockOrigin/uAssets/issues/1183
 xxvids.net##a[href^="https://t.frtyi.com/"]
 ||imglnka.com^
-xvideos.com##script:inject(window.open-defuser.js)
-xvideos.com##script:inject(nowebrtc.js)
+xvideos.com##+js(window.open-defuser.js)
+xvideos.com##+js(nowebrtc.js)
 ||xxvids.net^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.googletagmanager.com
 xxvids.net##[href*="offer_id"]
 xxvids.net##[href^="http://rabbits.webcam/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1185
-perfectgirls.*,perfektdamen.*##script:inject(abort-current-inline-script.js, ExoLoader)
-perfectgirls.*,perfektdamen.*##script:inject(abort-on-property-write.js, ads_priv)
-perfectgirls.*,perfektdamen.*##script:inject(noeval.js)
+perfectgirls.*,perfektdamen.*##+js(abort-current-inline-script.js, ExoLoader)
+perfectgirls.*,perfektdamen.*##+js(abort-on-property-write.js, ads_priv)
+perfectgirls.*,perfektdamen.*##+js(noeval.js)
 perfectgirls.*,perfektdamen.*##.advertisement
 perfectgirls.*,perfektdamen.*##.promo
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1182
-area51.porn##script:inject(abort-current-inline-script.js, ExoLoader)
+area51.porn##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1184
+fakeporn.tv##+js(abort-on-property-write.js, prPuShown)
+fakeporn.tv##+js(setTimeout-defuser.js, (), 600)
 ||fakeporn.tv/*.gif$image
 fakeporn.tv##.bottom-adv
-fakeporn.tv##script:inject(abort-on-property-write.js, prPuShown)
 fakeporn.tv##img[src^="/bb/fake"]
 @@||fakeporn.tv/player/$subdocument
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1186
-hentaipulse.com##script:inject(abort-current-inline-script.js, ExoLoader)
+hentaipulse.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://forums.lanik.us/viewtopic.php?p=130321#p130321
 @@||jhub.pw^$generichide
 
 ! https://adblockplus.org/forum/viewtopic.php?p=173649#p173649
-cn.ru##script:inject(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
+cn.ru##+js(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/788
-megaurl.in##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-megaurl.in##script:inject(abort-on-property-read.js, jQuery.adblock)
+megaurl.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+megaurl.in##+js(abort-on-property-read.js, jQuery.adblock)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/789
-freewebscript.com##script:inject(setTimeout-defuser.js, documentElement.classList.add, 400)
+freewebscript.com##+js(setTimeout-defuser.js, documentElement.classList.add, 400)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1188
-imgmonkey.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-imgmonkey.com##script:inject(abort-on-property-read.js, BetterJsPop)
+imgmonkey.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+imgmonkey.com##+js(abort-on-property-read.js, BetterJsPop)
 imgmonkey.com##A[href$=".html"][rel="nofollow norefferer noopener"]
-imgmonkey.com##script:inject(popads-dummy.js)
+imgmonkey.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1189
-1fichier.com##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-1fichier.com,multiup.org##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-1fichier.com##script:inject(nowebrtc.js)
+1fichier.com##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+1fichier.com,multiup.org##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+1fichier.com##+js(nowebrtc.js)
 ||1fichier.com^$csp=script-src 'self' 'unsafe-inline' data:
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1190
-pornodeblack.com##script:inject(window.open-defuser.js)
+pornodeblack.com##+js(window.open-defuser.js)
 ||pornodeblack.com/data/*.gif$image,first-party
 pornodeblack.com##a[href^="http://www.pornodeblack.com/link/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1191
-vivud.com##script:inject(abort-on-property-read.js, ALoader)
-vivud.com##script:inject(abort-current-inline-script.js, ExoLoader)
-vivud.com##script:inject(window.open-defuser.js)
+vivud.com##+js(abort-on-property-read.js, ALoader)
+vivud.com##+js(abort-current-inline-script.js, ExoLoader)
+vivud.com##+js(window.open-defuser.js)
 vivud.com##.inplayer_banners
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/790
-linkurl.org##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkurl.org##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 @@||linkurl.org^$generichide
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/793
-uploadedpremiumlink.xyz##script:inject(bab-defuser.js)
+uploadedpremiumlink.xyz##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1195
 ! https://www.reddit.com/r/uBlockOrigin/comments/8897fw/hlsjs_video_file_not_found/
-estream.to##script:inject(abort-on-property-read.js, encodeURIComponent)
-estream.to##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-estream.to##script:inject(setInterval-defuser.js, (), 500)
+estream.to##+js(abort-on-property-read.js, encodeURIComponent)
+estream.to##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+estream.to##+js(setInterval-defuser.js, (), 500)
 ||www2.escdn.co^$script,important,domain=estream.to
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1202
@@ -4375,17 +4473,17 @@ estream.to##script:inject(setInterval-de
 @@||incredibox.com/ad/*$xmlhttprequest,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1203
-ur.ly##script:inject(popads-dummy.js)
+ur.ly##+js(popads-dummy.js)
 ur.ly##a[href^="http://ur.ly/cnt.php"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1204
 @@||hubturkey.net/*/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1196
-webcheats.com.br##script:inject(set-constant.js, can_run_ads, true)
+webcheats.com.br##+js(set-constant.js, can_run_ads, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1198
-bro.adca.st##script:inject(nowebrtc.js)
+bro.adca.st##+js(nowebrtc.js)
 @@||gozonasports.me^$generichide
 gozonasports.me###adsdiv
 
@@ -4393,163 +4491,167 @@ gozonasports.me###adsdiv
 ! https://github.com/uBlockOrigin/uAssets/issues/1201
 ! https://github.com/uBlockOrigin/uAssets/issues/1200
 ! https://github.com/uBlockOrigin/uAssets/issues/1848
-ceesty.com,clkmein.com,corneey.com,destyy.com,festyy.com,gestyy.com,sh.st,skiip.me,skipp.io,viid.me##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+ceesty.com##+js(set-constant.js, adsBlockerDetector, noopFunc)
+ceesty.com,clkmein.com,corneey.com,destyy.com,festyy.com,gestyy.com,sh.st,skiip.me,skipp.io,viid.me##+js(abort-current-inline-script.js, parseInt, tabunder)
 @@*$generichide,domain=ceesty.com|clkmein.com|corneey.com|destyy.com|festyy.com|gestyy.com|sh.st|skiip.me|skipp.io|viid.me
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1193
-vidup.me##script:inject(abort-on-property-read.js, miner)
-vidup.me##script:inject(popads-dummy.js)
+vidup.me##+js(abort-on-property-read.js, miner)
+vidup.me##+js(popads-dummy.js)
 $websocket,domain=vidup.me
 ! https://github.com/uBlockOrigin/uAssets/issues/1620
 vidup.me^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' *.facebook.com *.facebook.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1205
-dir50.net##script:inject(bab-defuser.js)
-dir50.net##script:inject(abort-on-property-read.js, jsPopunder)
-dir50.net##script:inject(popads-dummy.js)
-dir50.net##script:inject(nano-setTimeout-booster.js)
+dir50.net##+js(bab-defuser.js)
+dir50.net##+js(abort-on-property-read.js, jsPopunder)
+dir50.net##+js(popads-dummy.js)
+dir50.net##+js(nano-setTimeout-booster.js)
 dir50.net##a[href^="https://ad."]
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/794
-arabcut.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+arabcut.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1208
-kfluke.com##script:inject(bab-defuser.js)
-kfluke.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+kfluke.com##+js(bab-defuser.js)
+kfluke.com##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 @@||kfluke.com/*/ads.min.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1209
-imgcloud.pw##script:inject(popads-dummy.js)
+imgcloud.pw##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1210
-xxxstreams.org##script:inject(popads-dummy.js)
-xxxstreams.org##script:inject(abort-on-property-read.js, raSettings)
+xxxstreams.org##+js(popads-dummy.js)
+xxxstreams.org##+js(abort-on-property-read.js, raSettings)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39613
-angrybirdsnest.com##script:inject(set-constant.js, adblock, false)
+angrybirdsnest.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1192
-uv9ieb2ohr.com##script:inject(set-constant.js, adsShowPopup1, true)
-uv9ieb2ohr.com##script:inject(set-constant.js, adsShowPopup, true)
-uv9ieb2ohr.com##script:inject(abort-on-property-write.js, earn)
-uv9ieb2ohr.com##script:inject(abort-on-property-write.js, jsPopunder)
+uv9ieb2ohr.com,zikjkh4d.site##+js(set-constant.js, adsShowPopup1, true)
+uv9ieb2ohr.com##+js(set-constant.js, adsShowPopup, true)
+uv9ieb2ohr.com##+js(abort-on-property-write.js, earn)
+uv9ieb2ohr.com,zikjkh4d.site##+js(abort-on-property-write.js, jsPopunder)
 ||uv9ieb2ohr.com/images/*.gif$image
+||zikjkh4d.site/images/*.gif$image,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1211
-nitroflare.com##script:inject(abort-current-inline-script.js, $, window.open)
-nitroflare.com##script:inject(abort-current-inline-script.js, pop3, window.open)
+nitroflare.com##+js(abort-current-inline-script.js, $, window.open)
+nitroflare.com##+js(abort-current-inline-script.js, pop3, window.open)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1212
-coshink.co##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-coshink.co##script:inject(setTimeout-defuser.js, checkAdblockUser, 1000)
+coshink.co##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+coshink.co##+js(setTimeout-defuser.js, checkAdblockUser, 1000)
 ||rotumal.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1213
 ||s2block.com^
-git.tc##script:inject(popads-dummy.js)
+git.tc##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1214
-4downfiles.org##script:inject(setTimeout-defuser.js, nextFunction, 250)
+4downfiles.org##+js(setTimeout-defuser.js, nextFunction, 250)
+@@||4downfiles.org^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1217
-imgsay.com##script:inject(abort-on-property-read.js, ExoLoader)
+imgsay.com##+js(abort-on-property-read.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1218
-imgtornado.com##script:inject(abort-on-property-read.js, ExoLoader)
-imgtornado.com##script:inject(noeval.js)
-imgtornado.com##script:inject(popads-dummy.js)
+imgtornado.com##+js(abort-on-property-read.js, ExoLoader)
+imgtornado.com##+js(noeval.js)
+imgtornado.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1219
-hotimage.uk##script:inject(abort-on-property-read.js, ExoLoader.addZone)
+hotimage.uk##+js(abort-on-property-read.js, ExoLoader.addZone)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1222
-0day.kiev.ua##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-0day.kiev.ua##script:inject(abort-on-property-read.js, _mgq)
+0day.kiev.ua##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+0day.kiev.ua##+js(abort-on-property-read.js, _mgq)
 0day.kiev.ua##[id*="Composite"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1223
-sexytrunk.com##script:inject(abort-current-inline-script.js, ExoLoader)
+sexytrunk.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1224
-planetsuzy.org##script:inject(set-constant.js, __ads, true)
+planetsuzy.org##+js(set-constant.js, __ads, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1226
 ||lubetube.com/cdn-cgi/apps/head/$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1227
-zrozz.com##script:inject(set-constant.js, adblock, false)
+zrozz.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1228
-empflix.com##script:inject(abort-on-property-write.js, popzone)
-empflix.com##script:inject(window.open-defuser.js)
-empflix.com##script:inject(abort-on-property-read.js, ALoader)
+empflix.com##+js(abort-on-property-write.js, popzone)
+empflix.com##+js(window.open-defuser.js)
+empflix.com##+js(abort-on-property-read.js, ALoader)
 empflix.com##.padAdvx
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1229
-hotclips24.com##script:inject(abort-on-property-write.js, ExoLoader)
-hotclips24.com##script:inject(popads-dummy.js)
+hotclips24.com##+js(abort-on-property-write.js, ExoLoader)
+hotclips24.com##+js(popads-dummy.js)
 hotclips24.com###playerOverlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1230
-pornclipsxxx.com##script:inject(abort-on-property-write.js, ExoLoader)
-pornclipsxxx.com##script:inject(popads-dummy.js)
+pornclipsxxx.com##+js(abort-on-property-write.js, ExoLoader)
+pornclipsxxx.com##+js(popads-dummy.js)
 pornclipsxxx.com###playerOverlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1231
-fantasti.cc##script:inject(abort-on-property-write.js, ExoLoader)
-fantasti.cc##script:inject(noeval.js)
+fantasti.cc##+js(abort-on-property-write.js, ExoLoader)
+fantasti.cc##+js(noeval.js)
 ||gmyze.com^
 ||spankmasters.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1232
-xxxkingtube.com##script:inject(abort-on-property-write.js, ExoLoader)
-xxxkingtube.com##script:inject(popads-dummy.js)
+xxxkingtube.com##+js(abort-on-property-write.js, ExoLoader)
+xxxkingtube.com##+js(popads-dummy.js)
 xxxkingtube.com###playerOverlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1233
-pornomovies.com##script:inject(abort-on-property-write.js, ExoLoader)
-pornomovies.com##script:inject(popads-dummy.js)
+pornomovies.com##+js(abort-on-property-read.js, ExoLoader.serve)
+pornomovies.com##+js(popads-dummy.js)
 pornomovies.com##.overlay-ggf
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39628
-bilasport.com##script:inject(popads-dummy.js)
+bilasport.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1234
 ! https://www.reddit.com/r/uBlockOrigin/comments/8ikcyk/new_ads_in_httpsanimeflvnet/
-animeflv.net##script:inject(abort-on-property-read.js, BBRaven)
-animeflv.net##script:inject(set-constant.js, loadingAds, true)
+animeflv.net##+js(abort-on-property-read.js, BBRaven)
+animeflv.net##+js(set-constant.js, loadingAds, true)
 animeflv.net##a[href*="watch?key"]
 ||ssraju3n.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1235
 ! https://github.com/uBlockOrigin/uAssets/issues/2754
 ! https://github.com/uBlockOrigin/uAssets/issues/3055
-ouo.io##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-ouo.io##script:inject(abort-current-inline-script.js, decodeURI, HTMLIFrameElement)
-ouo.io##script:inject(abort-on-property-write.js, _pop)
-ouo.io##script:inject(nowebrtc.js)
+ouo.io##+js(abort-on-property-read.js, zfgloadedpopup)
+ouo.io##+js(abort-current-inline-script.js, decodeURI, HTMLIFrameElement)
+ouo.io##+js(abort-on-property-write.js, _pop)
+ouo.io##+js(nowebrtc.js)
 ouo.io##[id*="ScriptRoot"]
 ||aj1110.online^$third-party
 ||tagbucket.cc^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1237
-akorto.eu##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-akorto.eu##script:inject(abort-on-property-write.js, _pop)
+akorto.eu##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+akorto.eu##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1238
-urlcero.*##script:inject(abort-on-property-read.js, open)
-urlcero.*##script:inject(bab-defuser.js)
-urlcero.*##script:inject(setTimeout-defuser.js, checkAdblockUser, 1000)
+urlcero.*##+js(abort-on-property-read.js, open)
+urlcero.*##+js(bab-defuser.js)
+urlcero.*##+js(setTimeout-defuser.js, checkAdblockUser, 1000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1239
-minkly.us##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+minkly.us##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1240
-kanqite.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-kanqite.com##script:inject(abort-on-property-read.js, open)
-kanqite.com##script:inject(nano-setInterval-booster.js)
+kanqite.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+kanqite.com##+js(abort-on-property-read.js, open)
+kanqite.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1241
+denverpost.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 @@||denverpost.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1242
@@ -4560,27 +4662,28 @@ kanqite.com##script:inject(nano-setInter
 @@||vergol.com/player/ads.js$script,domain=verliga.net
 ||vercanalestv1.com/publimia.html$subdocument
 ! https://github.com/uBlockOrigin/uAssets/issues/3081#issuecomment-409314084
-glorinlost.rocks,vercanalestv1.com,vertelevision.tv##script:inject(abort-on-property-write.js, Fingerprint2)
-vergol.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-telerium.tv,vercanalestv1.com,vergol.com,verliga-net,verliga1.net##script:inject(nowebrtc.js)
-vergol.com##script:inject(setInterval-defuser.js, (), 500)
+glorinlost.rocks,vercanalestv1.com,vertelevision.tv##+js(abort-on-property-write.js, Fingerprint2)
+vergol.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+telerium.tv,vercanalestv1.com,vergol.com,verliga-net,verliga1.net##+js(nowebrtc.js)
+vergol.com##+js(setInterval-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1243
 ||superligatv.com/adblocks.js$script,redirect=fuckadblock.js-3.2.0
 @@||superligatv.com/js/advertisement.js$script
-depo.superligatv.com##[id^=floatLayer]
+depo.superligatv.com##[id^="floatLayer"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1244
 @@||tv-en-vivo.org/js/advertisement.js$script
-onlinetv.planetfools.com##script:inject(abort-current-inline-script.js, setTimeout, 1000)
-tv-en-vivo.org##[id^=floatLayer]
+onlinetv.planetfools.com##+js(abort-current-inline-script.js, setTimeout, 1000)
+planetfools.com##+js(nowebrtc.js)
+tv-en-vivo.org##[id^="floatLayer"]
 
 ! https://forums.lanik.us/viewtopic.php?f=91&t=39633
 ! https://github.com/uBlockOrigin/uAssets/pull/1248
-gala.fr,gentside.com,geo.fr,hbrfrance.fr,nationalgeographic.fr,ohmymag.com,serengo.net,vsd.fr##script:inject(setTimeout-defuser.js, checkPub, 6000)
+gala.fr,gentside.com,geo.fr,hbrfrance.fr,nationalgeographic.fr,ohmymag.com,serengo.net,vsd.fr##+js(setTimeout-defuser.js, checkPub, 6000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1247
-wi.cr##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+wi.cr##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1251
 @@||idsly.com^$generichide
@@ -4588,18 +4691,18 @@ wi.cr##script:inject(abort-on-property-r
 ||idsly.com/download.png$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1252
-img2share.com##script:inject(abort-on-property-write.js, ExoLoader)
+img2share.com##+js(abort-on-property-write.js, ExoLoader)
 img2share.com###ImSlider
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1253
-torjackan.info##script:inject(abort-on-property-read.js, anOptions)
+torjackan.info##+js(abort-on-property-read.js, anOptions)
 @@||torjackan.info^$generichide
 @@||patorjack.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1254
-homemoviestube.com##script:inject(setTimeout-defuser.js, test, 400)
-homemoviestube.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-homemoviestube.com##script:inject(popads-dummy.js)
+homemoviestube.com##+js(setTimeout-defuser.js, test, 400)
+homemoviestube.com##+js(abort-on-property-read.js, ExoLoader.serve)
+homemoviestube.com##+js(popads-dummy.js)
 homemoviestube.com###fixedBanner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1255
@@ -4607,46 +4710,46 @@ homemoviestube.com###fixedBanner
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=scotsman.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1225
-newsextv.com##script:inject(abort-current-inline-script.js, ExoLoader)
+newsextv.com##+js(abort-current-inline-script.js, ExoLoader)
 ||tds.21pron.com^$domain=newsextv.com
 anyporn.com###block-ffb
-anyporn.com##script:inject(popads-dummy.js)
-anyporn.com##script:inject(window.open-defuser.js)
-anyporn.com##script:inject(abort-current-inline-script.js, ExoLoader)
+anyporn.com##+js(popads-dummy.js)
+anyporn.com##+js(window.open-defuser.js)
+anyporn.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://forums.lanik.us/viewtopic.php?p=130635#p130635
-widestream.io##script:inject(popads-dummy.js)
+widestream.io##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1257
-iiv.pl##script:inject(abort-on-property-read.js, miner)
+iiv.pl##+js(abort-on-property-read.js, miner)
 @@||iiv.pl^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1258
-crockolinks.com##script:inject(setTimeout-defuser.js, test, 100)
+crockolinks.com##+js(setTimeout-defuser.js, test, 100)
 crockolinks.com##.frame
-crockolinks.com##script:inject(window.open-defuser.js)
-crockolinks.com##script:inject(abort-on-property-write.js, _pop)
+crockolinks.com##+js(window.open-defuser.js)
+crockolinks.com##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/803
-adcoin.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adcoin.me##script:inject(abort-on-property-write.js, Fingerprint2)
+adcoin.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adcoin.me##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1261
-cutwin.us##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutwin.us##script:inject(window.open-defuser.js)
+cutwin.us##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutwin.us##+js(window.open-defuser.js)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3841
 ||img.stomp.com.sg/sites/all/themes/stompst/images/placeholder.jpg$image
 stomp.straitstimes.com##.content:if(:scope > div:has-text(Branded Content))
 
 ! https://github.com/reek/anti-adblock-killer/issues/3848
-firmgoogle.com##script:inject(abort-on-property-write.js, killAdBlock)
+firmgoogle.com##+js(abort-on-property-write.js, killAdBlock)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/11
 ! https://github.com/uBlockOrigin/uAssets/issues/1262
-bitcoadz.pw,btc.ms,cimi.website,cryptoadz.win,cryptoskipad.com,cryptosmo.com,elibtc.win,iziwinmoney.info,madurls.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cryptoskipad.com,elibtc.win,iziwinmoney.info##script:inject(abort-on-property-read.js, open)
-btc.ms##script:inject(bab-defuser.js)
+bitcoadz.pw,btc.ms,cimi.website,cryptoadz.win,cryptoskipad.com,cryptosmo.com,elibtc.win,iziwinmoney.info,madurls.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cryptoskipad.com,elibtc.win,iziwinmoney.info##+js(abort-on-property-read.js, open)
+btc.ms##+js(bab-defuser.js)
 ||awdigit.info^
 ||bitraffic.com^$third-party
 ||freebtcmine.com^$subdocument,domain=btc.ms
@@ -4657,13 +4760,13 @@ bitcoadz.pw,cryptoskipad.com##.slickModa
 iziwinmoney.info##.banner
 
 ! https://forums.lanik.us/viewtopic.php?p=130672#p130672
-serietvsubita.net##script:inject(abort-on-property-write.js, Fingerprint2)
-serietvsubita.net##script:inject(nowebrtc.js)
+serietvsubita.net##+js(abort-on-property-write.js, Fingerprint2)
+serietvsubita.net##+js(nowebrtc.js)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/13
-linkrex.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-linkrex.net##script:inject(abort-on-property-read.js, open)
-linkrex.net##script:inject(abort-on-property-write.js, __htapop)
+linkrex.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkrex.net##+js(abort-on-property-read.js, open)
+linkrex.net##+js(abort-on-property-write.js, __htapop)
 ||replainy.co^$third-party
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/809
@@ -4673,101 +4776,109 @@ linkrex.net##script:inject(abort-on-prop
 @@||minecraftpolska.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1270
-leecher.xyz##script:inject(abort-on-property-read.js, jQuery.adblock)
+leecher.xyz##+js(abort-on-property-read.js, jQuery.adblock)
 leecher.xyz##a[href="https://bytes.id"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1271
-publicleech.xyz##script:inject(bab-defuser.js)
-publicleech.xyz##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+publicleech.xyz##+js(bab-defuser.js)
+publicleech.xyz##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1272
-batshort.com##script:inject(abort-on-property-write.js, _pop)
-batshort.com##script:inject(abort-on-property-write.js, Fingerprint2)
-batshort.com##script:inject(bab-defuser.js)
+batshort.com##+js(abort-on-property-write.js, _pop)
+batshort.com##+js(abort-on-property-write.js, Fingerprint2)
+batshort.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1274
-shrtfly.*##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shrtfly.*##script:inject(abort-on-property-read.js, open)
+shrtfly.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shrtfly.*##+js(abort-on-property-read.js, open)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1273
-oke.io##script:inject(abort-on-property-read.js, open)
-oke.io##script:inject(abort-on-property-write.js, Fingerprint2)
+oke.io##+js(abort-on-property-read.js, open)
+oke.io##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7pyzt3/lots_of_ads_on_gogoanime/
 ! https://github.com/uBlockOrigin/uAssets/issues/2256
 ! https://www.reddit.com/r/uBlockOrigin/comments/94alm0/gogoanimesh_prevalent_ads_bypasses_older/
-gogoanime.*##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
-gogoanime.*##script:inject(setTimeout-defuser.js, o(), 1)
+gogoanime.*##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+gogoanime.*##+js(setTimeout-defuser.js, o(), 1)
 gogoanime.*##a[href$=".jpg"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1276
-ourl.io##script:inject(abort-on-property-write.js, _pop)
-ourl.io##script:inject(nowebrtc.js)
+ourl.io##+js(abort-on-property-write.js, _pop)
+ourl.io##+js(nowebrtc.js)
 ||ourl.io^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com
-myurl.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-ourl.io,myurl.io##script:inject(window.open-defuser.js)
-myurl.io##script:inject(nowebrtc.js)
+myurl.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+ourl.io,myurl.io##+js(window.open-defuser.js)
+myurl.io##+js(nowebrtc.js)
+ourl.io##+js(setTimeout-defuser.js, (), 200)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1277
-cpmlink.net##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-cpmlink.net##script:inject(abort-on-property-write.js, _pop)
-cpmlink.net##script:inject(nowebrtc.js)
+cpmlink.net##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+cpmlink.net##+js(abort-on-property-write.js, _pop)
+cpmlink.net##+js(nowebrtc.js)
 ||cpmlink.net^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.gstatic.com *.google-analytics.com *.google.com *.cloudflare.com
 *$subdocument,third-party,domain=cpmlink.net
 ||hitcpm.com^$third-party
 cpmlink.net##iframe[src="about:blank"]
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/811
-win4cut.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+win4cut.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/easylist/easylist/issues/834
 @@||animetake1.pro^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1282
-sunporno.com##script:inject(abort-current-inline-script.js, ExoLoader)
-sunporno.com##script:inject(abort-on-property-write.js, ExoLoader)
+sunporno.com##+js(abort-on-property-read.js, ExoLoader.addZone)
 sunporno.com###videoContainer_a
+sunporno.com##.atv
+sunporno.com##.a-block
+sunporno.com##.flirt
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1283
-hotgirlclub.com##script:inject(abort-current-inline-script.js, ExoLoader)
+hotgirlclub.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1285
-namethatporn.com##script:inject(popads-dummy.js)
+namethatporn.com##+js(popads-dummy.js)
 ||9content.com^$domain=namethatporn.com
 namethatporn.com###parto_block
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1286
-magnetdl.com##script:inject(window.open-defuser.js)
+magnetdl.com##+js(window.open-defuser.js)
 magnetdl.com##a[href="/site/vpn/"]
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/812
-tejikarao.kodaisi.net##script:inject(abort-on-property-write.js, KillAdBlock)
+tejikarao.kodaisi.net##+js(abort-on-property-write.js, KillAdBlock)
 
 ! katcr tabunder
-katcr.stream##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+katcr.stream##+js(abort-current-inline-script.js, parseInt, tabunder)
 ||katcr.stream/images/download.jpg$image
 ||katcr.stream/images/watch.jpg$image
 ||katcr.host^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.jquery.com *.google-analytics.com
-katcrs.download##script:inject(abort-on-property-write.js, Fingerprint2)
-katcrs.download##script:inject(nowebrtc.js)
+katcrs.download##+js(abort-on-property-write.js, Fingerprint2)
+katcrs.download##+js(nowebrtc.js)
+||kickasskatcr.bid/sw.js$script,first-party
+kickasskatcr.bid##+js(abort-on-property-write.js, Fingerprint2)
+kickasskatcr.bid##+js(nowebrtc.js)
+||kickasskatcr.bid/images/download.jpg$image
+kickasskatcr.bid##[href="https://greatsongsfree.com/"]
 
 ! https://forums.lanik.us/viewtopic.php?f=91&t=39679
-malekal.com##script:inject(abort-on-property-read.js, anOptions)
+malekal.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/easylist/easylist/issues/839
-btdb.to##script:inject(popads-dummy.js)
-btdb.to##script:inject(nowebrtc.js)
+btdb.to##+js(popads-dummy.js)
+btdb.to##+js(nowebrtc.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/815
 @@||alts4free.com^$generichide
-alts4free.com##script:inject(noeval.js)
+alts4free.com##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1290
 ! https://github.com/jspenguin2017/uBlockProtector/issues/835
-vivads.net##script:inject(abort-on-property-read.js, _0x372a)
-vivads.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-vivads.net##script:inject(abort-on-property-read.js, open)
-vivads.net##script:inject(setInterval-defuser.js, (), 500)
+vivads.net##+js(abort-on-property-read.js, _0x372a)
+vivads.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+vivads.net##+js(abort-on-property-read.js, open)
+vivads.net##+js(setInterval-defuser.js, (), 500)
 vivads.net##a[href^="http://vivads.net/ref/"]
 @@||vivads.net^$generichide
 
@@ -4775,51 +4886,52 @@ vivads.net##a[href^="http://vivads.net/r
 @@||stadium-live.biz^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1294
-tecnofullpc.com##script:inject(abort-on-property-write.js, KillAdBlock)
+tecnofullpc.com##+js(abort-on-property-write.js, KillAdBlock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1299
-freeviewmovies.com##script:inject(abort-on-property-write.js, encodeURIComponent)
+freeviewmovies.com##+js(abort-on-property-write.js, encodeURIComponent)
 freeviewmovies.com###pause-container
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1298
-badjojo.com##script:inject(abort-on-property-write.js, encodeURIComponent)
-pornhost.com##script:inject(abort-on-property-read.js, raConf)
+badjojo.com##+js(abort-on-property-write.js, encodeURIComponent)
+pornhost.com##+js(abort-on-property-read.js, raConf)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1300
-eroprofile.com##script:inject(abort-current-inline-script.js, ExoLoader)
+eroprofile.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1301
-feet9.com##script:inject(abort-on-property-read.js, __ADX_URL_U)
+feet9.com##+js(abort-on-property-read.js, __ADX_URL_U)
 ||feet9.com/*.gif$image
 feet9.com###player-bouton
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1302
-euon.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-euon.io##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+euon.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+euon.io##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1303
 @@||sehatlega.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1305
 ! https://github.com/uBlockOrigin/uAssets/issues/1599
-appdrop.net##script:inject(abort-on-property-write.js, Fingerprint2)
-appdrop.net##script:inject(popads-dummy.js)
+appdrop.net##+js(abort-on-property-write.js, Fingerprint2)
+appdrop.net##+js(popads-dummy.js)
 @@||appdrop.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1304
-locopelis.com##script:inject(abort-on-property-read.js, popTimes)
-locopelis.com##script:inject(abort-on-property-read.js, smrtSB)
-locopelis.com##script:inject(abort-on-property-read.js, smrtSP)
+locopelis.com##+js(abort-on-property-read.js, popTimes)
+locopelis.com##+js(abort-on-property-read.js, smrtSB)
+locopelis.com##+js(abort-on-property-read.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1306
 ! https://github.com/uBlockOrigin/uAssets/issues/1600
-macupload.net##script:inject(abort-current-inline-script.js, document.getElementById, remove)
-macupload.net##script:inject(abort-on-property-write.js, Fingerprint2)
-macupload.net##script:inject(popads-dummy.js)
-macupload.net##script:inject(window.open-defuser.js)
+macupload.net##+js(abort-current-inline-script.js, document.getElementById, remove)
+macupload.net##+js(abort-on-property-write.js, Fingerprint2)
+macupload.net##+js(popads-dummy.js)
+macupload.net##+js(window.open-defuser.js)
+macupload.net##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1297
-absoluporn.*##script:inject(abort-current-inline-script.js, ExoLoader)
+absoluporn.*##+js(abort-current-inline-script.js, ExoLoader)
 @@||chaturbate.com/*embed$subdocument,domain=absoluporn.com
 /code/script/back.php|
 
@@ -4827,54 +4939,55 @@ absoluporn.*##script:inject(abort-curren
 @@||tabtter.jp^$generichide
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/820
-darkcomet.net##script:inject(abort-on-property-write.js, KillAdBlock)
+darkcomet.net##+js(abort-on-property-write.js, KillAdBlock)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/813
-sg-siken.com##script:inject(setTimeout-defuser.js, adsbygoogle)
+sg-siken.com##+js(setTimeout-defuser.js, adsbygoogle)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3859
-atlasweb.net##script:inject(abort-on-property-read.js, anOptions)
+atlasweb.net##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1309
 ! https://github.com/uBlockOrigin/uAssets/issues/2699
-short.pe,szs.pw##script:inject(abort-current-inline-script.js, atob, tabunder)
-short.pe##script:inject(abort-current-inline-script.js, RegExp, POSTBACK_PIXEL)
-short.pe,szs.pw##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-short.pe,szs.pw##script:inject(abort-on-property-write.js, adcashMacros)
-short.pe##script:inject(addEventListener-defuser.js, mousedown, preventDefault)
+short.pe,szs.pw##+js(abort-current-inline-script.js, atob, tabunder)
+short.pe##+js(abort-current-inline-script.js, RegExp, POSTBACK_PIXEL)
+short.pe,szs.pw##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+short.pe,szs.pw##+js(abort-on-property-write.js, adcashMacros)
+short.pe##+js(addEventListener-defuser.js, mousedown, preventDefault)
 *$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.gstatic.com *.google-analytics.com *.google.com *.solvemedia.com *.scorecardresearch.com *.googletagmanager.com *.googletagservices.com,domain=short.pe|szs.pw
 *$subdocument,third-party,domain=short.pe
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39694
-xrares.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-xrares.com##script:inject(popads-dummy.js)
+xrares.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+xrares.com##+js(popads-dummy.js)
 xrares.com###anuevo
 xrares.com##.nvheader
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1311
 /wp-content/plugins/agreeable-button/*
+sapib.ca##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1310
-cutbit.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutbit.io##script:inject(addEventListener-defuser.js, click, trigger)
+cutbit.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutbit.io##+js(addEventListener-defuser.js, click, trigger)
 ||cutbit.io^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.gstatic.com
 ||chikhanos.info^$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1312
-viewdrama.com##script:inject(nowebrtc.js)
-viewdrama.com##script:inject(set-constant.js, allow_ads, true)
+viewdrama.com##+js(nowebrtc.js)
+viewdrama.com##+js(set-constant.js, allow_ads, true)
 
 ! https://forums.lanik.us/viewtopic.php?p=130943#p130943
-eues.io##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-eues.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+eues.io##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+eues.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39711
-olpair.com##script:inject(popads-dummy.js)
-olpair.com##script:inject(window.open-defuser.js)
-olpair.com##script:inject(abort-on-property-read.js, BetterJsPop)
+olpair.com##+js(popads-dummy.js)
+olpair.com##+js(window.open-defuser.js)
+olpair.com##+js(abort-on-property-read.js, BetterJsPop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1315
-freecline.com##script:inject(popads-dummy.js)
+freecline.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1314
 ||1120057983.world^$image,domain=vipmarathi.com
@@ -4883,152 +4996,150 @@ vipmarathi.com##a[href*="/Ck.php"]
 vipmarathi.com##a[href^="http://adgup.com/Google.php"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1317
-rockfile.co##script:inject(abort-on-property-read.js, _0x6b25)
-rockfile.co##script:inject(abort-on-property-read.js, _0x6b20)
-rockfile.co##script:inject(abort-on-property-read.js, HTMLScriptElement)
+rockfile.co##+js(abort-on-property-read.js, _0x6b25)
+rockfile.co##+js(abort-on-property-read.js, _0x6b20)
+rockfile.co##+js(abort-on-property-read.js, HTMLScriptElement)
 ||rockfile.co/cdn-cgi/apps/head/$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1320
-gturls.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+gturls.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1323
 ||movie4kto.st^$csp=script-src 'self' 'unsafe-inline' data: *.googleapis.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1325
-gamegtx.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+gamegtx.com##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 @@||gamegtx.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1326
-won.pe##script:inject(set-constant.js, adblock, false)
-won.pe##script:inject(disable-newtab-links.js)
+won.pe##+js(set-constant.js, adblock, false)
+won.pe##+js(disable-newtab-links.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1327
 @@||stealive.club/js/ads.js$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1329
-alemdarleech.com##script:inject(set-constant.js, koddostu_com_adblock_yok, false)
+alemdarleech.com##+js(set-constant.js, koddostu_com_adblock_yok, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1331
 @@||premiumtoss.com^$generichide
 *.png#$image,redirect=2x2-transparent.png,domain=premiumtoss.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1330
-filespace.com##script:inject(set-constant.js, fuckAdBlock, false)
+filespace.com##+js(set-constant.js, fuckAdBlock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1332
-orgyxxxhub.com##script:inject(abort-on-property-read.js, ExoLoader)
-orgyxxxhub.com##script:inject(abort-on-property-read.js, Aloader)
-orgyxxxhub.com##script:inject(abort-on-property-read.js, advobj)
+orgyxxxhub.com##+js(abort-on-property-read.js, ExoLoader)
+orgyxxxhub.com##+js(abort-on-property-read.js, Aloader)
+orgyxxxhub.com##+js(abort-on-property-read.js, advobj)
 orgyxxxhub.com###invideo_2
 orgyxxxhub.com###advobj
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1324
-repelis.net##script:inject(abort-on-property-read.js, popTimes)
-repelis.net##script:inject(abort-on-property-read.js, smrtSP)
-repelis.net##script:inject(abort-on-property-read.js, smrtSB)
+repelis.net##+js(abort-on-property-read.js, popTimes)
+repelis.net##+js(abort-on-property-read.js, smrtSP)
+repelis.net##+js(abort-on-property-read.js, smrtSB)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/824
-twik.pw##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-twik.pw##script:inject(addEventListener-defuser.js, click, trigger)
-twik.pw##script:inject(abort-on-property-write.js, Fingerprint2)
-
-! https://github.com/uBlockOrigin/uAssets/issues/1342
-123link.pw##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-123link.pw##script:inject(abort-on-property-read.js, jQuery.adblock)
+twik.pw##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+twik.pw##+js(addEventListener-defuser.js, click, trigger)
+twik.pw##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7run3r/ublock_origin_extra_not_blocking_an_adblock/
 @@||ausbt.com.au^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1349
-iran021.com##script:inject(popads-dummy.js)
+iran021.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1355
-pornomico.com##script:inject(abort-on-property-read.js, addElementToBody)
-pornomico.com##script:inject(popads-dummy.js)
+pornomico.com##+js(abort-on-property-read.js, addElementToBody)
+pornomico.com##+js(popads-dummy.js)
 pornomico.com##.vjs-overlay
 ||trafficfabrik.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1356
-donkparty.com##script:inject(abort-on-property-read.js, phantomPopunders)
-donkparty.com##script:inject(abort-on-property-read.js, raSettings)
-donkparty.com##script:inject(window.open-defuser.js)
+donkparty.com##+js(abort-on-property-read.js, phantomPopunders)
+donkparty.com##+js(abort-on-property-read.js, raSettings)
+donkparty.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1357
-watchmygf.me##script:inject(noeval.js)
+watchmygf.me##+js(noeval.js)
 ||watchmygf.me/js/popupimage.js
 ||watchmygf.me/banner/
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1358
-mylust.com##script:inject(popads-dummy.js)
-mylust.com##script:inject(abort-on-property-write.js, encodeURIComponent)
-mylust.com##script:inject(abort-on-property-read.js, ExoLoader.addZone)
+mylust.com##+js(popads-dummy.js)
+mylust.com##+js(abort-on-property-write.js, encodeURIComponent)
+mylust.com##+js(abort-on-property-read.js, ExoLoader.addZone)
 mylust.com##.fp-bnr
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39765
-deepbrid.com##script:inject(abort-current-inline-script.js, document.getElementById, undefined)
+deepbrid.com##+js(abort-current-inline-script.js, document.getElementById, undefined)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39763
 @@||bemetal.net^$generichide
-bemetal.net##script:inject(popads-dummy.js)
+bemetal.net##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1361
-pinsystem.co.uk##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-pinsystem.co.uk##script:inject(setInterval-defuser.js, (), 500)
+pinsystem.co.uk##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+pinsystem.co.uk##+js(setInterval-defuser.js, (), 500)
 @@||pinsystem.co.uk^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1348
-varagh.com##script:inject(abort-current-inline-script.js, $, adBlock)
+varagh.com##+js(abort-current-inline-script.js, $, adBlock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1374
-boysfood.com##script:inject(abort-on-property-write.js, encodeURIComponent)
+boysfood.com##+js(abort-on-property-write.js, encodeURIComponent)
 boysfood.com###pause-container
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1375
-submityourflicks.com##script:inject(popads-dummy.js)
-submityourflicks.com##script:inject(abort-current-inline-script.js, ExoLoader)
+submityourflicks.com##+js(popads-dummy.js)
+submityourflicks.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1377
-pandaporn.net##script:inject(abort-on-property-read.js, ExoLoader.addZone)
-pandaporn.net##script:inject(popads-dummy.js)
-pandaporn.net##script:inject(window.open-defuser.js)
+pandaporn.net##+js(abort-on-property-read.js, ExoLoader.addZone)
+pandaporn.net##+js(popads-dummy.js)
+pandaporn.net##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1381
-sextingforum.net##script:inject(abort-on-property-write.js, stagedPopUnder)
+sextingforum.net##+js(abort-on-property-write.js, stagedPopUnder)
 sextingforum.net##a[href^="http://poinary-haries.com/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1378
 ! https://github.com/uBlockOrigin/uAssets/issues/2369
-pornscum.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+pornscum.com##+js(abort-current-inline-script.js, atob, tabunder)
 ||pornscum.com/*.php$popup,first-party
 @@||pornscum.com/player/player_ads.html$subdocument,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1379
 ! https://github.com/uBlockOrigin/uAssets/issues/2225
-maxdeportv.net##script:inject(abort-current-inline-script.js, atob, tabunder)
-maxdeportv.net##script:inject(addEventListener-defuser.js, load, 2000)
-maxdeportv.net##script:inject(abort-on-property-write.js, Fingerprint2)
-maxdeportv.net##script:inject(window.open-defuser.js)
+maxdeportv.net##+js(abort-current-inline-script.js, atob, tabunder)
+maxdeportv.net##+js(addEventListener-defuser.js, load, 2000)
+maxdeportv.net##+js(abort-on-property-write.js, Fingerprint2)
+maxdeportv.net##+js(window.open-defuser.js)
 maxdeportv.net##A[href$=".html"][rel="nofollow norefferer noopener"]
 maxdeportv.net###adsdiv
 maxdeportv.net###iframe1
 @@||deportesmax.info^$generichide
 ||maxdeportv.club/lateral.html$subdocument
 ||maxdeportv.net/jquerymin1.js$script,first-party
-deportesmax.info##script:inject(addEventListener-defuser.js, load, 2000)
-mitierratvco2.com##script:inject(addEventListener-defuser.js, load, 2000)
-deportesmax.info##script:inject(nowebrtc.js)
-mitierratvco2.com##script:inject(nowebrtc.js)
-chatytvgratis.net##script:inject(nowebrtc.js)
-mitierratvco2.com##script:inject(abort-on-property-write.js, Fingerprint2)
-vertelevision.tv##script:inject(nowebrtc.js)
+deportesmax.info##+js(addEventListener-defuser.js, load, 2000)
+mitierratvco2.com##+js(addEventListener-defuser.js, load, 2000)
+deportesmax.info##+js(nowebrtc.js)
+mitierratvco2.com##+js(nowebrtc.js)
+chatytvgratis.net##+js(nowebrtc.js)
+mitierratvco2.com##+js(abort-on-property-write.js, Fingerprint2)
+vertelevision.tv##+js(nowebrtc.js)
+||vertelevision.tv/repro$subdocument,first-party
+vertelevision.tv###closeX
 ||mitierratvco2.com/canales/canalpub.html
 cdn.chatytvgratis.net###interContainer
 cdn.chatytvgratis.net###interVeil
 ||earnco.in^$third-party
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39786
 ! https://github.com/NanoAdblocker/NanoFilters/issues/50
-bonstreams.net##script:inject(popads-dummy.js)
-bro.adca.st##script:inject(abort-on-property-write.js, opened)
+bonstreams.net##+js(popads-dummy.js)
+bro.adca.st##+js(abort-on-property-write.js, opened)
 bro.adca.st##.close
 bro.adca.st##.load-more
 bro.adca.st##.mask
@@ -5042,133 +5153,132 @@ bro.adca.st###markup
 vipracing.tv##.in-video-adds.row
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1380
-programinadresi.com##script:inject(abort-on-property-read.js, adBlock)
+programinadresi.com##+js(abort-on-property-read.js, adBlock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1384
-pururin.io##script:inject(abort-on-property-write.js, BetterJsPop)
+pururin.io##+js(abort-on-property-write.js, BetterJsPop)
+pururin.io##+js(abort-current-inline-script.js, $, PururinPopJs)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1390
-coinarge.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-coinarge.com##script:inject(abort-on-property-read.js, delegateTarget)
+coinarge.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+coinarge.com##+js(abort-on-property-read.js, delegateTarget)
 @@||web.industrybrains.com/js/ads/async/show.js$script,domain=coinarge.com
 @@||web.industrybrains.com/impsc.php$domain=coinarge.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1385
-icutit.ca##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-icutit.ca##script:inject(setTimeout-defuser.js, nextFunction, 250)
+icutit.ca##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+icutit.ca##+js(setTimeout-defuser.js, nextFunction, 250)
 ||icutit.ca^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.statcounter.com *.googleapis *.youtube.com
 icutit.ca##iframe[src^="https://www.youtube.com/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1386
-uclick.in##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-uclick.in##script:inject(abort-current-inline-script.js, atob, tabunder)
+uclick.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+uclick.in##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1396
-tl.tc##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+tl.tc##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1395
 @@||adslash.me^$generichide
 
-! https://github.com/uBlockOrigin/uAssets/issues/1391
-artocoin.com##script:inject(abort-current-inline-script.js, atob)
-artocoin.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-
 ! https://github.com/uBlockOrigin/uAssets/issues/1389
-man2link.com##script:inject(setTimeout-defuser.js, checkAdblockUser)
+man2link.com##+js(setTimeout-defuser.js, checkAdblockUser)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1394
-linkshorts.info##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-linkshorts.info##script:inject(addEventListener-defuser.js, click, trigger)
+linkshorts.info##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkshorts.info##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1393
-skipad.bid##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+skipad.bid##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1392
-dz4link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-dz4link.com##script:inject(abort-on-property-write.js, Fingerprint2)
+dz4link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+dz4link.com##+js(abort-on-property-write.js, Fingerprint2)
 ||mediapeartree.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1397
-goshrt.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-goshrt.xyz##script:inject(addEventListener-defuser.js, click, trigger)
+goshrt.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+goshrt.xyz##+js(addEventListener-defuser.js, click, trigger)
 ||ad2upapp.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1387
-payshorturl.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+payshorturl.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39797
 @@||300mbfilms.org^$generichide
 *.jpg#$image,redirect=2x2-transparent.png,domain=300mbfilms.org
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=32110
-pixhost.*##script:inject(abort-on-property-read.js, ExoDetector)
-pixhost.*##script:inject(abort-on-property-read.js, ShowIt)
-pixhost.*##script:inject(abort-on-property-write.js, readyADN)
+pixhost.*##+js(abort-on-property-read.js, ExoDetector)
+pixhost.*##+js(abort-on-property-read.js, ShowIt)
+pixhost.*##+js(abort-on-property-write.js, readyADN)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39442
-azvideo.net##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+azvideo.net##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/829
-earn-guide.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+earn-guide.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! weather com anti adb
 @@||weather.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39806
-anibatch.id##script:inject(abort-on-property-read.js, anOptions)
+anibatch.id##+js(abort-on-property-read.js, anOptions)
 
 ! https://adblockplus.org/forum/viewtopic.php?f=1&t=54957
 ||whitwise.com^$third-party
 ||playwire.com^$domain=readmng.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1401
-next-episode.net##script:inject(abort-on-property-write.js, tryCheckA3)
+next-episode.net##+js(abort-on-property-write.js, tryCheckA3)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1402
-movie4k.is##script:inject(abort-on-property-read.js, urlToShow)
+movie4k.is##+js(abort-on-property-read.js, urlToShow)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39824
 ||beinsports.com/*/adbw/
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40070
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=beinsports.com
-beinsports.com##[id^=div-gpt-ad]
+beinsports.com##[id^="div-gpt-ad"]
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7ttwdv/cant_figure_how_to_block_5movies_dialogue_popup/
-5movies.to##script:inject(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
-5movies.to##script:inject(popads.net.js)
+5movies.to##+js(abort-current-inline-script.js, document.createElement, jsc.mgid.com)
+5movies.to##+js(popads.net.js)
 5movies.to##[id*="MarketGidWrap"]
+5movies.to###fb_popup
+5movies.to##.watch-now
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1405
-zupload.me##script:inject(abort-on-property-write.js, Fingerprint2)
-zupload.me##script:inject(window.open-defuser.js)
+zupload.me##+js(abort-on-property-write.js, Fingerprint2)
+zupload.me##+js(window.open-defuser.js)
 zupload.me##a[href="https://www.9xyoutube.com"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1406
-indishare.me##script:inject(abort-current-inline-script.js, atob, tabunder)
-indishare.me##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-indishare.me##script:inject(abort-on-property-write.js, Fingerprint2)
-indishare.me##script:inject(abort-current-inline-script.js, decodeURI, atob)
+indishare.me##+js(abort-current-inline-script.js, atob, tabunder)
+indishare.me##+js(abort-current-inline-script.js, parseInt, tabunder)
+indishare.me##+js(abort-on-property-write.js, Fingerprint2)
+indishare.me##+js(abort-current-inline-script.js, decodeURI, atob)
 ||dwf6crl4raal7.cloudfront.net^$script,third-party
 ||defpush.com^$third-party
 ||indishare.me^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google-analytics.com
 indishare.me##a[href*="/dloadbutton.php"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1407
-clicknupload.org##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+clicknupload.org##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=clicknupload.org
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=clicknupload.org
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1411
 ! https://github.com/uBlockOrigin/uAssets/issues/3105
-reevown.com##script:inject(abort-on-property-write.js, adBlockDetected)
-reevown.com##script:inject(bab-defuser.js)
-reevown.com##script:inject(setInterval-defuser.js, eval)
-reevown.com##script:inject(setTimeout-defuser.js, newBody)
+reevown.com##+js(abort-on-property-write.js, adBlockDetected)
+reevown.com##+js(bab-defuser.js)
+reevown.com##+js(setInterval-defuser.js, eval)
+reevown.com##+js(setTimeout-defuser.js, newBody)
 @@||reevown.com^$generichide
 @@||reevown.com^$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1412
-shaanig.se##script:inject(abort-on-property-write.js, Fingerprint2)
+shaanig.se##+js(abort-on-property-write.js, Fingerprint2)
 ||shaanig.se/*banner$image
 shaanig.se##a[href="https://www.shaanig.se/advertising/"]
 
@@ -5177,26 +5287,27 @@ shaanig.se##a[href="https://www.shaanig.
 ||dniadops-a.akamaihd.net/video-assets/*.mp4$media,domain=dplay.dk
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1687
-updato.com##script:inject(setTimeout-defuser.js, document.querySelector, 5000)
+updato.com##+js(setTimeout-defuser.js, document.querySelector, 5000)
 
 ! https://github.com/easylist/easylist/commit/8b6e6544f04b3ded98fbd70bd832dfcc4e61db52#commitcomment-27222476
-damimage.com,dimtus.com,imagedecode.com,imageteam.org##script:inject(abort-current-inline-script.js, loadTool, popping)
+damimage.com,dimtus.com,imagedecode.com,imageteam.org##+js(abort-current-inline-script.js, loadTool, popping)
 
 ! https://github.com/easylist/easylist/commit/8b6e6544f04b3ded98fbd70bd832dfcc4e61db52#commitcomment-27222476
 ! https://github.com/uBlockOrigin/uAssets/issues/3126
-imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##script:inject(abort-current-inline-script.js, atob, tabunder)
-imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##script:inject(abort-on-property-read.js, CustomEvent)
-imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##script:inject(abort-on-property-read.js, ExoLoader.addZone)
-imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##script:inject(abort-on-property-write.js, _pop)
-imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##script:inject(abort-on-property-write.js, Fingerprint2)
+imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##+js(abort-current-inline-script.js, atob, tabunder)
+imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##+js(abort-on-property-read.js, CustomEvent)
+imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##+js(abort-on-property-read.js, ExoLoader.addZone)
+imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##+js(abort-on-property-write.js, _pop)
+imgdew.*,imgmaze.*,imgoutlet.*,imgtown.*,imgview.*##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/easylist/easylist/commit/8b6e6544f04b3ded98fbd70bd832dfcc4e61db52#commitcomment-27222476
-imgclick.net##script:inject(abort-on-property-write.js, Fingerprint2)
-imgclick.net##script:inject(noeval.js)
+imgclick.net##+js(abort-on-property-write.js, Fingerprint2)
+imgclick.net##+js(noeval.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=34830
-gsurl.in,gsurl.me,g5u.pw##script:inject(abort-on-property-read.js, K4kk.g4)
+gsurl.in,gsurl.me##+js(abort-on-property-read.js, K4kk.g4)
 gsurl.in,gsurl.me,g5u.pw##A[href$=".html"][rel="nofollow norefferer noopener"]
+g5u.pw##+js(abort-on-property-read.js, K200.R00)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1417
 behindwoods.com###cboxOverlay
@@ -5205,7 +5316,7 @@ behindwoods.com###colorbox
 behindwoods.com##.vedio-block
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1418
-boxasian.com##script:inject(nowebrtc.js)
+boxasian.com##+js(nowebrtc.js)
 boxasian.com##.inside-video
 boxasian.com##.inside-video-before
 
@@ -5232,19 +5343,19 @@ bro.adca.st###overlay
 bro.adca.st##.chabon
 ||refbanners.com^
 bro.adca.st###roviralta
-bro.adca.st##script:inject(abort-current-inline-script.js, runningPop, isInArray)
+bro.adca.st##+js(abort-current-inline-script.js, runningPop, isInArray)
 ||livesports.pw/*adblock.js$script,redirect=fuckadblock.js-3.2.0
-livesports.pw##script:inject(abort-on-property-write.js, Fingerprint2)
+livesports.pw##+js(abort-on-property-write.js, Fingerprint2)
 ||test.verplusonline.com/$subdocument
 ! https://github.com/uBlockOrigin/uAssets/issues/1425#issuecomment-373231208
-tvcanales.cf##script:inject(popads-dummy.js)
+tvcanales.cf##+js(popads-dummy.js)
 ||tvcanales.cf/player/adblocker.js$script,first-party,redirect=fuckadblock.js-3.2.0
 
 ! https://github.com/reek/anti-adblock-killer/issues/3882
-mangaindo.web.id##script:inject(abort-on-property-read.js, anOptions)
+mangaindo.web.id##+js(abort-on-property-read.js, anOptions)
 
 ! crichd popups http://cdn2.crichd.info/euro-sport-1-live-streaming
-crichd.info##script:inject(abort-on-property-write.js, encodeURIComponent)
+crichd.info##+js(abort-on-property-write.js, encodeURIComponent)
 crichd.info##.sport-ad2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1427
@@ -5253,8 +5364,8 @@ faucy.win##[id*="ScriptRoot"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1428
 @@||adlpu.com^$generichide
-adlpu.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adlpu.com##script:inject(addEventListener-defuser.js, click, trigger)
+adlpu.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adlpu.com##+js(addEventListener-defuser.js, click, trigger)
 adlpu.com##.banner-inner
 adlpu.com##.adsbygoogle
 
@@ -5268,7 +5379,8 @@ adlpu.com##.adsbygoogle
 ! https://github.com/uBlockOrigin/uAssets/issues/1437
 ! https://github.com/uBlockOrigin/uAssets/issues/1438
 ! https://github.com/uBlockOrigin/uAssets/issues/1439
-adcut.link,adlink4y.com,dzurls.com,egyptoz.net,goldshorten.com,mycut.me,pureurls.com,rb7url.com,surls.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+adcut.link,adlink4y.com,dzurls.com,egyptoz.net,goldshorten.com,mycut.me,pureurls.com,rb7url.com,surls.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+@@||mycut.me^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1430
 @@||loks.us^$generichide
@@ -5276,27 +5388,29 @@ adcut.link,adlink4y.com,dzurls.com,egypt
 ||loks.us/ebkbv/$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1440
-bitshortener.site##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+bitshortener.site##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 bitshortener.site##.banner-inner
 bitshortener.site###frame
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1441
-urlad.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-urlad.co##script:inject(addEventListener-defuser.js, click, trigger)
+urlad.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+urlad.co##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7uncmj/help_remove_dynamic_antiadblocker_overlay/
-ekstrabladet.dk##script:inject(abort-current-inline-script.js, ADTECH, adblock)
+@@||ekstrabladet.dk^$generichide
+@@||adtech.de/dt/common/DAC.js$domain=ekstrabladet.dk
+ekstrabladet.dk##.eb-placement
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1452
-atrix.ovh##script:inject(setTimeout-defuser.js, noAds, 2000)
+atrix.ovh##+js(setTimeout-defuser.js, noAds, 2000)
 atrix.ovh###topswindow
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1458
-webnovel.com##script:inject(set-constant.js, adblockSuspected, false)
+webnovel.com##+js(set-constant.js, adblockSuspected, false)
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=webnovel.com
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39864
-apkmirrorfull.com##script:inject(popads-dummy.js)
+apkmirrorfull.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1443
 ||dfs.ivi.ru/mp4-hi/*/storage*.mp4|$media,redirect=noopmp3-0.1s,domain=ivi.ru
@@ -5305,25 +5419,25 @@ apkmirrorfull.com##script:inject(popads-
 ! nbc anti adb https://forums.lanik.us/viewtopic.php?p=131769#p131769
 @@||doubleclick.net^$image,domain=nbc.com
 @@||googlesyndication.com^$image,domain=nbc.com
-nbc.com##script:inject(set-constant.js, canRunAds, true)
+nbc.com##+js(set-constant.js, canRunAds, true)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39865
-watcheng.tv##script:inject(popads-dummy.js)
+watcheng.tv##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1334
-derstandard.at##script:inject(set-constant.js, nuggprof, noopFunc)
+derstandard.at##+js(set-constant.js, nuggprof, noopFunc)
 @@||imagesrv.adition.com/js/srp.js$script,domain=derstandard.at
 @@||derstandard.at/MetaAdServer/MAS.aspx$xmlhttprequest,first-party
 @@||derstandard.at/s/*$image,first-party
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/835
 ! https://github.com/uBlockOrigin/uAssets/issues/1845
-bits.yt##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-bits.yt##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-bits.yt##script:inject(abort-on-property-write.js, _pop)
-bits.yt##script:inject(abort-on-property-write.js, adcashMacros)
-bits.yt##script:inject(abort-on-property-write.js, Fingerprint2)
-bits.yt##script:inject(nowebrtc.js)
+bits.yt##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+bits.yt##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+bits.yt##+js(abort-on-property-write.js, _pop)
+bits.yt##+js(abort-on-property-write.js, adcashMacros)
+bits.yt##+js(abort-on-property-write.js, Fingerprint2)
+bits.yt##+js(nowebrtc.js)
 ||monditomasks.co^$third-party
 ||xtube.com^$domain=bits.yt
 bits.yt##a[href^="https://crockmine.com/"]
@@ -5332,8 +5446,8 @@ bits.yt##.banner
 ||bits.yt^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.jsdelivr.net
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39869
-sunmusiq.com##script:inject(abort-on-property-read.js, isAdBlockActive)
-sunmusiq.com##script:inject(abort-on-property-write.js, _pop)
+sunmusiq.com##+js(abort-on-property-read.js, isAdBlockActive)
+sunmusiq.com##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1462
 @@||hail-lf.mx^$generichide
@@ -5341,20 +5455,21 @@ sunmusiq.com##script:inject(abort-on-pro
 ! https://github.com/uBlockOrigin/uAssets/issues/1463
 @@||totaldebrid.org^$generichide
 *.gif#$image,redirect=1x1-transparent.gif,domain=totaldebrid.org
+@@||cdnjs.cloudflare.com/ajax/libs/fuckadblock/$script,domain=totaldebrid.org
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1464
 @@||porndish.com^$generichide
-porndish.com##script:inject(popads-dummy.js)
+porndish.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1465
 @@||wallpaperhdzone.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1466
-adshort.pro##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adshort.pro##script:inject(addEventListener-defuser.js, click, trigger)
-adshort.pro##script:inject(abort-on-property-write.js, Fingerprint2)
-adshort.pro##script:inject(nano-setInterval-booster.js)
-adshort.pro##script:inject(popads.net.js)
+adshort.pro##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adshort.pro##+js(addEventListener-defuser.js, click, trigger)
+adshort.pro##+js(abort-on-property-write.js, Fingerprint2)
+adshort.pro##+js(nano-setInterval-booster.js)
+adshort.pro##+js(popads.net.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/835#issuecomment-362782205
 ! Add filters to boost timers, for the reasoning read the link above
@@ -5362,60 +5477,60 @@ adshort.pro##script:inject(popads.net.js
 ! https://github.com/uBlockOrigin/uAssets/issues/1497
 ! https://github.com/uBlockOrigin/uAssets/issues/1521
 ! https://github.com/uBlockOrigin/uAssets/issues/1731
-123link.co,123link.io,123link.press,123link.top,22o.co,3rabshort.*,adbull.*,adcoin.me,adlinkme.com,admove.co,adshort.co,adshort.im,adsurl.xyz,al.ly,ally.sh,apkmirror.com,arabcut.com,arpa7com.com,bbf.lt,bilink.xyz,bitcoadz.pw,btc.ms,cimi.website,coin.mg,coinb.ink,coinlink.co,coinlink.us,coshurl.co,cpmlink.net,crockolinks.com,croco.site,cryptoadz.win,cryptoskipad.com,cryptosmo.com,curs.io,cut-egy.ml,cut-urls.com,cut-win.com,cutbit.io,cutearn.com,cuturlink.com,cutwi.in,cutwin.com,cutwin.pro,cutwin.us,ecurs.co,ecut.io,eg4link.*,egy-links.com,elibtc.win,eurs.io,fas.li,firstone.tv,firstonetv.net,geturlpr.com,git.tc,gram.im,gsurl.in,gturls.com,idlelivelink.*,igram.*,iiv.pl,infinityurl.co,iziwinmoney.info,l2s.io,leechall.com,leechall.download,leenlink.com,lewat.id,linclik.com,link-cash.com,link-money.com,linkatk.net,linkdrop.net,linkhits.net,linkhits.us,linkkawy.com,linkkch.com,linksh.top,linkurl.org,lkcash.net,madurls.com,met.bz,meulink.tk,minkly.me,mlink.club,oke.io,oload.stream,onlinebee.in,ouo.*,openload.co,ourl.io,peliculasmegahdd.net,psl.*,qe.pe,shink.me,shink.xyz,shortelink.co,shorteurl.com,shortzero.com,shrinklink.co,shst.co,so.gd,teqani-plus.com,twik.pw,ur.ly,url.gem-flash.com,urle.co,ulshare.me,uskip.me,vivads.net,win4cut.com,wolink.in,xess.pro,xurl.us,zeiz.me,zlshorte.net,zonadescarga.info##script:inject(nano-setInterval-booster.js)
-globalbesthosting.com,goldescargas.com,katfile.com,shortify.pw,srt.am,userupload.net##script:inject(nano-setTimeout-booster.js)
+123link.*,3rabshort.*,adbull.*,adcoin.me,adlinkme.com,admove.co,adshort.co,adshort.im,adsurl.xyz,al.ly,ally.sh,apkmirror.com,arabcut.com,arpa7com.com,bbf.lt,bilink.xyz,bitcoadz.pw,btc.ms,cimi.website,coin.mg,coinb.ink,coinlink.us,coshurl.co,cpmlink.net,crockolinks.com,croco.site,cryptoadz.win,cryptoskipad.com,cryptosmo.com,curs.io,cut-egy.ml,cut-urls.com,cut-win.com,cutbit.io,cutearn.com,cuturlink.com,cutwi.in,cutwin.com,cutwin.pro,cutwin.us,ecurs.co,ecut.io,eg4link.*,egy-links.com,elibtc.win,eurs.io,fas.li,firstone.tv,firstonetv.net,geturlpr.com,git.tc,gram.im,gsurl.in,gturls.com,idlelivelink.*,igram.*,iiv.pl,infinityurl.co,iziwinmoney.info,l2s.io,leechall.com,leechall.download,leenlink.com,lewat.id,linclik.com,link-cash.com,link-money.com,linkatk.net,linkdrop.net,linkhits.net,linkhits.us,linkkawy.com,linkkch.com,linksh.top,linkurl.org,lkcash.net,madurls.com,minkly.me,mlink.club,oke.io,oload.stream,onlinebee.in,ouo.*,openload.co,ourl.io,peliculasmegahdd.net,qe.pe,shink.me,shink.xyz,shortelink.co,shorteurl.com,shortzero.com,shrinklink.co,shst.co,so.gd,teqani-plus.com,twik.pw,ur.ly,url.gem-flash.com,urle.co,ulshare.me,uskip.me,vivads.net,win4cut.com,wolink.in,xess.pro,xurl.us,zeiz.me,zlshorte.net,zonadescarga.info##+js(nano-setInterval-booster.js)
+globalbesthosting.com,goldescargas.com,katfile.com,shortify.pw,srt.am,userupload.net##+js(nano-setTimeout-booster.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/1481
-1ink.cc##script:inject(nano-setInterval-booster.js, mSec, 1050)
+1ink.cc##+js(nano-setInterval-booster.js, mSec, 1050)
 ! https://github.com/jspenguin2017/uBlockProtector/issues/173
-freepdf-books.com##script:inject(nano-setInterval-booster.js, myTimer, 1500)
+freepdf-books.com##+js(nano-setInterval-booster.js, myTimer, 1500)
 
 ! backin.net anti adb + popups
-backin.net##script:inject(setTimeout-defuser.js, (), 3000)
-backin.net##script:inject(window.open-defuser.js)
+backin.net##+js(setTimeout-defuser.js, (), 3000)
+backin.net##+js(window.open-defuser.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/840
-engageme.tv##script:inject(abort-current-inline-script.js, stop, adblock)
+engageme.tv##+js(abort-current-inline-script.js, stop, adblock)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7v0h2t/any_help_blocking_these_messages/
 @@||bludv.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1057#issuecomment-362942633
-cut-w.in##script:inject(abort-on-property-write.js, adss)
-cut-w.in##script:inject(abort-on-property-write.js, Fingerprint2)
-cut-w.in##script:inject(setTimeout-defuser.js, checkAdblockUser)
+cut-w.in##+js(abort-on-property-write.js, adss)
+cut-w.in##+js(abort-on-property-write.js, Fingerprint2)
+cut-w.in##+js(setTimeout-defuser.js, checkAdblockUser)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1473
-girlsfuck-tube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-girlsfuck-tube.com##script:inject(noeval.js)
+girlsfuck-tube.com##+js(abort-on-property-read.js, Aloader.serve)
+girlsfuck-tube.com##+js(noeval.js)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3886
-oploverz.in##script:inject(setTimeout-defuser.js, nextFunction, 450)
+oploverz.in##+js(setTimeout-defuser.js, nextFunction, 450)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1475
 @@||pastpapers.papacambridge.com^$generichide
-pastpapers.papacambridge.com##[id^=aswift]
+pastpapers.papacambridge.com##[id^="aswift"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1476
-cmacapps.com##script:inject(abort-on-property-write.js, Fingerprint2)
-cmacapps.com##script:inject(bab-defuser.js)
+cmacapps.com##+js(abort-on-property-write.js, Fingerprint2)
+cmacapps.com##+js(bab-defuser.js)
 
 ! https://github.com/easylist/easylist/issues/887
-hanime.tv##script:inject(abort-current-inline-script.js, BetterJsPop)
+hanime.tv##+js(abort-current-inline-script.js, BetterJsPop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1480
-mimaletadepeliculas.*##script:inject(addEventListener-defuser.js, load, advertising)
+mimaletadepeliculas.*##+js(addEventListener-defuser.js, load, advertising)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1486
-cinestrenostv.tv##script:inject(addEventListener-defuser.js, load, 2000)
-cinestrenostv.tv,latelete.tv##script:inject(nowebrtc.js)
+cinestrenostv.tv##+js(addEventListener-defuser.js, load, 2000)
+cinestrenostv.tv,latelete.tv##+js(nowebrtc.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/845
 @@||mangarock.com^$generichide
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/228#issuecomment-311761121
-themeslide.com##script:inject(abort-current-inline-script.js, jQuery, ai_adb_message_undismissible)
-themeslide.com##script:inject(bab-defuser.js)
-themeslide.com##script:inject(nano-setInterval-booster.js, countdown, 1500)
+themeslide.com##+js(abort-current-inline-script.js, jQuery, ai_adb_message_undismissible)
+themeslide.com##+js(bab-defuser.js)
+themeslide.com##+js(nano-setInterval-booster.js, countdown, 1500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1491
 @@||globalcryptopress.com^$generichide
@@ -5425,15 +5540,15 @@ themeslide.com##script:inject(nano-setIn
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1027
 gjirafa.com##iframe
-gjirafa.com##[id^=an-holder]
-gjirafa.com##script:inject(addEventListener-defuser.js, message, videoAd)
+gjirafa.com##[id^="an-holder"]
+gjirafa.com##+js(addEventListener-defuser.js, message, videoAd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1501
-gratismas.org##script:inject(bab-defuser.js)
+gratismas.org##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1502
-adshorte.*##script:inject(abort-on-property-write.js, Fingerprint2)
-adshorte.*##script:inject(abort-on-property-write.js, window.open)
+adshorte.*##+js(abort-on-property-write.js, Fingerprint2)
+adshorte.*##+js(abort-on-property-write.js, window.open)
 ||dailymotion.com^$subdocument,domain=adshorte.com
 ||megapeliculas.net^$subdocument,domain=adshorte.com
 ||s3.amazonaws.com/dmas-public/revcontent/bundle.js
@@ -5447,40 +5562,41 @@ pcworld.com###amazon-bottom-widget
 thedailywtf.com##.article-body > div:has(a[href*="utm_medium"])
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/847
-nmn900.com##script:inject(abort-on-property-read.js, nmn900ads)
+nmn900.com##+js(abort-on-property-read.js, nmn900ads)
 nmn900.com##a[href^="https://www.pinbo.es/anuncios"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1512
-oturl.com##script:inject(abort-on-property-read.js, _0x1ee4)
-oturl.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+oturl.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+oturl.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+oturl.com##+js(setInterval-defuser.js, (), 500)
 ||omoukkkj.stream^$third-party
 @@||dz4up.com/themes/flow/frontend_assets/js/advertisement.js$script,first-party
 oturl.com###myModal
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1514
-pornobae.com##script:inject(abort-current-inline-script.js, ExoLoader)
-imgdigs.com##script:inject(abort-current-inline-script.js, ExoLoader)
+pornobae.com##+js(abort-current-inline-script.js, ExoLoader)
+imgdigs.com##+js(abort-current-inline-script.js, ExoLoader)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1517
 ! https://github.com/uBlockOrigin/uAssets/issues/1518
 ! https://github.com/uBlockOrigin/uAssets/issues/1519
 ! https://github.com/uBlockOrigin/uAssets/issues/1520
-cut-link.me,digacortador.com,geturls.me,vhb.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cut-link.me,digacortador.com,geturls.me,vhb.io##script:inject(nano-setInterval-booster.js)
+cut-link.me,digacortador.com,geturls.me,vhb.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut-link.me,digacortador.com,geturls.me,vhb.io##+js(nano-setInterval-booster.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/850
 @@*$generichide,domain=eurosport.bg|eurosport.co.uk|eurosport.com|eurosport.cz|eurosport.de|eurosport.dk|eurosport.fi|eurosport.fr|eurosport.hu|eurosport.nl|eurosport.no|eurosport.pl|eurosport.pt|eurosport.ro|eurosport.rs|eurosport.ru|eurosport.se
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1522
-befap.com##script:inject(abort-on-property-read.js, ExoLoader)
+befap.com##+js(abort-on-property-read.js, ExoLoader)
 befap.com##.row-middle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1523
-tubemania.org##script:inject(window.open-defuser.js)
+tubemania.org##+js(window.open-defuser.js)
 ||tubemania.org^$subdocument,first-party
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/856
-hiapphere.com##script:inject(abort-on-property-read.js, _d)
+hiapphere.com##+js(abort-on-property-read.js, _d)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/857
 @@||dl.go4up.com/*$script,first-party
@@ -5488,15 +5604,16 @@ hiapphere.com##script:inject(abort-on-pr
 ||dl.go4up.com/*/dbuttoned.png$image
 go4up.com##img[src="https://cache.go4up.com/assets/img/abutoned.gif"]
 ! https://github.com/uBlockOrigin/uAssets/issues/1583
-go4up.com##script:inject(set-constant.js, _0xd348, true)
+go4up.com##+js(set-constant.js, _0xd348, true)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7wpk97/cant_block_ad_at_the_bottom_of_readcomiconline/
 ! https://forums.lanik.us/viewtopic.php?p=136688#p136688
 readcomiconline.to##^script:has-text(this[atob)
-readcomiconline.to##script:inject(abort-on-property-write.js, callExo)
-readcomiconline.to##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-readcomiconline.to##script:inject(setInterval-defuser.js, (), 500)
-readcomiconline.to##script:inject(setTimeout-defuser.js, callExo)
+readcomiconline.to##+js(abort-on-property-read.js, zfgloadednative)
+readcomiconline.to##+js(abort-on-property-write.js, callExo)
+readcomiconline.to##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+readcomiconline.to##+js(setInterval-defuser.js, (), 500)
+readcomiconline.to##+js(setTimeout-defuser.js, callExo)
 ||fghtem.com^$xmlhttprequest,redirect=nooptext,domain=readcomiconline.to
 ||readcomiconline.to/widgets/exo$subdocument,first-party
 ||readcomiconline.to/Scripts/*.html$subdocument,first-party
@@ -5505,7 +5622,7 @@ readcomiconline.to##a[href*=".jpg"]
 
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1526
-arbwarez.com##script:inject(set-constant.js, $tieE3, true)
+arbwarez.com##+js(set-constant.js, $tieE3, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1527
 @@||hdliveextra-a.akamaihd.net/*/config/ads.js$script,domain=nbcolympics.com
@@ -5516,7 +5633,7 @@ wp-time.com##a[href^="https://goo.gl/"]:
 wp-time.com###pop-ad-wrap
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1528
-linksocean.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+linksocean.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 linksocean.net##.banner-inner
 ||piratepc.net/*.gif$image
 
@@ -5532,7 +5649,7 @@ animestreams.tv##.spu-box
 animestreams.tv##^script:has-text(3f87b0eaddd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1529
-bc.vc##script:inject(window.open-defuser.js)
+bc.vc##+js(window.open-defuser.js)
 *$subdocument,third-party,domain=bc.vc
 ||bc.vc/mload.gif$image
 ||smrtrdrct.top^$third-party
@@ -5542,24 +5659,24 @@ bc.vc##script:inject(window.open-defuser
 @@/wp-content/plugins/detect-adblock/js/ads.js$script,first-party
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/756
-data-raid-recovery-link.com##script:inject(setTimeout-defuser.js, _creatBait)
+data-raid-recovery-link.com##+js(setTimeout-defuser.js, _creatBait)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/752
 ! https://github.com/uBlockOrigin/uAssets/issues/2531
 @@||wolframclient.net^$generichide
 
 ! https://github.com/reek/anti-adblock-killer/issues/3904
-salon.com##script:inject(set-constant.js, adblock, false)
+salon.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1533
-cut4links.com##script:inject(bab-defuser.js)
-cut4links.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut4links.com##+js(bab-defuser.js)
+cut4links.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1536
-telolet.in##script:inject(abort-current-inline-script.js, addEventListener, DivTopAd)
+telolet.in##+js(abort-current-inline-script.js, addEventListener, DivTopAd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1538
-cumlouder.com##script:inject(abort-on-property-write.js, ExoLoader)
+cumlouder.com##+js(abort-on-property-write.js, ExoLoader)
 cumlouder.com##.promo
 cumlouder.com###promocion_bottom
 cumlouder.com##.p-bottom
@@ -5569,7 +5686,7 @@ cumlouder.com##.widget_bnrs
 @@||thestar.co.uk^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39983
-nme.com##script:inject(abort-current-inline-script.js, InstallTrigger, ad-blocker)
+nme.com##+js(abort-current-inline-script.js, InstallTrigger, ad-blocker)
 nme.com##^script:has-text(a.HTMLImageElement.prototype)
 nme.com##^script:has-text(a.HTMLObjectElement.prototype)
 nme.com##.advert:style(z-index: -999999 !important;)
@@ -5577,9 +5694,9 @@ nme.com##.header-advert-wrapper
 nme.com###wrapper:style(padding-top: 0 !important;)
 ! add sites using the same ad reinsertion script
 ! https://github.com/uBlockOrigin/uAssets/issues/2700
-amateurphotographer.co.uk,asiancorrespondent.com,celebsnow.co.uk,countrylife.co.uk,cyclingweekly.com,decanter.com,drinksmixer.com,idealhome.co.uk,golf-monthly.co.uk,goodtoknow.co.uk,horseandhound.co.uk,lifedeathprizes.com,look.co.uk,marieclaire.co.uk,mbr.co.uk,pbo.co.uk,rugbyworld.com,shootinguk.co.uk,superyachtworld.com,techwireasia.com,thefield.co.uk,theguardian.com,uncut.co.uk,whatsontv.co.uk,womanandhome.com,womanmagazine.co.uk,worldsoccer.com,yachtingmonthly.com,yachtingworld.com,ybw.com##script:inject(abort-current-inline-script.js, InstallTrigger, ad-blocker)
-amateurphotographer.co.uk,asiancorrespondent.com,celebsnow.co.uk,countrylife.co.uk,cyclingweekly.com,decanter.com,drinksmixer.com,idealhome.co.uk,golf-monthly.co.uk,goodtoknow.co.uk,horseandhound.co.uk,lifedeathprizes.com,look.co.uk,marieclaire.co.uk,mbr.co.uk,pbo.co.uk,rugbyworld.com,shootinguk.co.uk,superyachtworld.com,techwireasia.com,thefield.co.uk,theguardian.com,uncut.co.uk,whatsontv.co.uk,womanandhome.com,womanmagazine.co.uk,worldsoccer.com,yachtingmonthly.com,yachtingworld.com,ybw.com##^script:has-text(a.HTMLImageElement.prototype)
-amateurphotographer.co.uk,asiancorrespondent.com,celebsnow.co.uk,countrylife.co.uk,cyclingweekly.com,decanter.com,drinksmixer.com,idealhome.co.uk,golf-monthly.co.uk,goodtoknow.co.uk,horseandhound.co.uk,lifedeathprizes.com,look.co.uk,marieclaire.co.uk,mbr.co.uk,pbo.co.uk,rugbyworld.com,shootinguk.co.uk,superyachtworld.com,techwireasia.com,thefield.co.uk,theguardian.com,uncut.co.uk,whatsontv.co.uk,womanandhome.com,womanmagazine.co.uk,worldsoccer.com,yachtingmonthly.com,yachtingworld.com,ybw.com##^script:has-text(a.HTMLObjectElement.prototype)
+amateurgardening.com,amateurphotographer.co.uk,anglersmail.co.uk,asiancorrespondent.com,celebsnow.co.uk,countrylife.co.uk,cyclingweekly.com,decanter.com,drinksmixer.com,idealhome.co.uk,golf-monthly.co.uk,goodtoknow.co.uk,horseandhound.co.uk,lifedeathprizes.com,look.co.uk,marieclaire.co.uk,mbr.co.uk,mby.com,pbo.co.uk,rugbyworld.com,shootinguk.co.uk,superyachtworld.com,techwireasia.com,thefield.co.uk,theguardian.com,uncut.co.uk,whatsontv.co.uk,womanandhome.com,womanmagazine.co.uk,womansown.co.uk,womansweekly.com,worldsoccer.com,yachtingmonthly.com,yachtingworld.com,ybw.com##+js(abort-current-inline-script.js, InstallTrigger, ad-blocker)
+amateurgardening.com,amateurphotographer.co.uk,anglersmail.co.uk,asiancorrespondent.com,celebsnow.co.uk,countrylife.co.uk,cyclingweekly.com,decanter.com,drinksmixer.com,idealhome.co.uk,golf-monthly.co.uk,goodtoknow.co.uk,horseandhound.co.uk,lifedeathprizes.com,look.co.uk,marieclaire.co.uk,mbr.co.uk,mby.com,pbo.co.uk,rugbyworld.com,shootinguk.co.uk,superyachtworld.com,techwireasia.com,thefield.co.uk,theguardian.com,uncut.co.uk,whatsontv.co.uk,womanandhome.com,womanmagazine.co.uk,womansown.co.uk,womansweekly.com,worldsoccer.com,yachtingmonthly.com,yachtingworld.com,ybw.com##^script:has-text(a.HTMLImageElement.prototype)
+amateurgardening.com,amateurphotographer.co.uk,anglersmail.co.uk,asiancorrespondent.com,celebsnow.co.uk,countrylife.co.uk,cyclingweekly.com,decanter.com,drinksmixer.com,idealhome.co.uk,golf-monthly.co.uk,goodtoknow.co.uk,horseandhound.co.uk,lifedeathprizes.com,look.co.uk,marieclaire.co.uk,mbr.co.uk,mby.com,pbo.co.uk,rugbyworld.com,shootinguk.co.uk,superyachtworld.com,techwireasia.com,thefield.co.uk,theguardian.com,uncut.co.uk,whatsontv.co.uk,womanandhome.com,womanmagazine.co.uk,womansown.co.uk,womansweekly.com,worldsoccer.com,yachtingmonthly.com,yachtingworld.com,ybw.com##^script:has-text(a.HTMLObjectElement.prototype)
 idealhome.co.uk,look.co.uk##body > div#wrapper:style(padding-top: 0px !important;)
 goodtoknow.co.uk,marieclaire.co.uk,womanandhome.com##.header-advert-wrapper
 
@@ -5588,17 +5705,17 @@ goodtoknow.co.uk,marieclaire.co.uk,woman
 @@||systemed.fr/assets/js/advertisement$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1544
-cutw.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutw.me##script:inject(abort-on-property-write.js, adss)
-cutw.me##script:inject(abort-on-property-write.js, Fingerprint2)
-cutw.me##script:inject(nano-setInterval-booster.js)
+cutw.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutw.me##+js(abort-on-property-write.js, adss)
+cutw.me##+js(abort-on-property-write.js, Fingerprint2)
+cutw.me##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1548
 @@||geo.de^$generichide
 
 ! mejortorrent.com popups
-mejortorrent.*##script:inject(abort-on-property-write.js, getScript)
-mejortorrent.*##script:inject(nowebrtc.js)
+mejortorrent.*##+js(abort-on-property-write.js, getScript)
+mejortorrent.*##+js(nowebrtc.js)
 ||mejortorrent.*/bannner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1549
@@ -5608,7 +5725,7 @@ xfreehd.com##.nvheader > span:has-text(A
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=googlesyndication.com/adsbygoogle.js,domain=downloadfullfree.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1553
-mynbc5.com##script:inject(abort-on-property-read.js, alert)
+mynbc5.com##+js(abort-on-property-read.js, alert)
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=mynbc5.com
 
 ! https://github.com/gorhill/uBlock/issues/3522
@@ -5618,124 +5735,125 @@ liga.net##^script:has-text(3f87b0eaddd)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=liga.net
 
 ! https://github.com/uBlockOrigin/uAssets/issues/911#issuecomment-366335870
-adsrt.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adsrt.com##script:inject(abort-on-property-write.js, Fingerprint2)
-adsrt.com##script:inject(nano-setInterval-booster.js)
-||adsrt.com^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.gstatic.com
+adsrt.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adsrt.*##+js(abort-on-property-write.js, Fingerprint2)
+||adsrt.*^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.gstatic.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1555
-linclik.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+linclik.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39985
-rd.com##script:inject(abort-current-inline-script.js, btoa, Adblock)
-
-! https://github.com/uBlockOrigin/uAssets/issues/1558
-mystream.la##script:inject(abort-current-inline-script.js, decodeURI, doSecondPop)
-mystream.la##script:inject(abort-on-property-write.js, Fingerprint2)
+rd.com##+js(abort-current-inline-script.js, btoa, Adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1560
-betikom.com##script:inject(setTimeout-defuser.js, document.querySelectorAll, 2000)
+betikom.com##+js(setTimeout-defuser.js, document.querySelectorAll, 2000)
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40008&p=132600#p132599
-conservativetribune.com##script:inject(set-constant.js, oio, true)
+conservativetribune.com##+js(set-constant.js, oio, true)
 @@||jwpsrv.com^$xmlhttprequest
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1562
-samehadaku.tv##script:inject(set-constant.js, $tieE3, true)
+samehadaku.tv##+js(set-constant.js, $tieE3, true)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7y6q0j/k2nblog_popups_not_getting_blocked/
-k2nblog.com##script:inject(abort-on-property-write.js, Fingerprint2)
-k2nblog.com##script:inject(nano-setTimeout-booster.js)
+k2nblog.com##+js(abort-on-property-write.js, Fingerprint2)
+k2nblog.com##+js(nano-setTimeout-booster.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=96&t=40018
 @@||cinafoniaci.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40017
 @@||marvelousga.com^$generichide
-marvelousga.com##script:inject(abort-current-inline-script.js, $, openNewWindow)
+marvelousga.com##+js(abort-current-inline-script.js, $, openNewWindow)
 
 ! https://github.com/gorhill/uBlock/issues/3486
 @@||imasdk.googleapis.com^$script,domain=uptostream.com
 @@||uptostream.com^$generichide
-720pizle.com##script:inject(noeval.js)
+720pizle.com##+js(noeval.js)
 720pizle.com###reklamarkaplan
 
 ! https://forums.lanik.us/viewtopic.php?p=132672#p132672
-! https://www.reddit.com/r/uBlockOrigin/comments/81am26/anyone_has_any_idea_on_how_to_block_1movie/
-1movies.to##script:inject(abort-current-inline-script.js, atob, encodeURIComponent)
-1movies.to##script:inject(window.open-defuser.js)
-||loadshare.org/custom/*/1m_video.mp4$media,domain=1movies.se|1movies.to
+! https://www.reddit.com/r/uBlockOrigin/comments/81am26
+! https://www.reddit.com/r/uBlockOrigin/comments/9byeux
+1movies.to##+js(abort-current-inline-script.js, atob, encodeURIComponent)
+||loadshare.org/custom/$media,redirect=noopmp4-1s,domain=1movies.se|1movies.to|1movies.is
 1movies.se,1movies.to###no_po_share
 ! https://github.com/uBlockOrigin/uAssets/issues/1718
-1movies.se##script:inject(abort-on-property-write.js, Fingerprint2)
-1movies.se##^script:has-text(3f87b0eaddd)
-||amgload.net^$xmlhttprequest,redirect=nooptext,domain=1movies.se
-||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=1movies.se
+1movies.*##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+1movies.se##+js(abort-on-property-write.js, Fingerprint2)
+1movies.*##^script:has-text(3f87b0eaddd)
+||1movies.*/sw.js$script,first-party
+||amgload.net^$xmlhttprequest,redirect=nooptext,domain=1movies.se|1movies.is
+||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=1movies.se|1movies.is
 1movies.se###a_wrap
+1movies.is##a[href^="https://vpn-stream.com"]
+||1movies.*^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.jwpcdn.com *.gstatic.com *.googletagmanager.com *.addthis.com *.google.com 
+1movies.*##+js(abort-on-property-write.js, decodeURIComponent)
+1movies.*##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1568
-tinypaste.cc##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-tinypaste.cc##script:inject(abort-on-property-write.js, Fingerprint2)
+tinypaste.cc##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+tinypaste.cc##+js(abort-on-property-write.js, Fingerprint2)
 @@||tinypaste.cc^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2165
-bs.to##script:inject(abort-current-inline-script.js, _0xd05a)
-bs.to##script:inject(addEventListener-defuser.js, click, 0x)
+bs.to##+js(abort-current-inline-script.js, _0xd05a)
+bs.to##+js(addEventListener-defuser.js, click, 0x)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7ys9hz/nsfw_how_do_you_get_rid_of_those_dancing_girls/
-hentaigo.com##script:inject(abort-on-property-read.js, loadTool)
-hentaigo.com##script:inject(abort-on-property-read.js, r3H4)
+hentaigo.com##+js(abort-on-property-read.js, loadTool)
+hentaigo.com##+js(abort-on-property-read.js, r3H4)
 hentaigo.com##a[href*="//www.nutaku.net/signup/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1574
 ! https://github.com/uBlockOrigin/uAssets/issues/1573
-safelinku.net,sflink.cc##script:inject(addEventListener-defuser.js, load, 2000)
-safelinku.net,sflink.cc##script:inject(abort-on-property-write.js, Fingerprint2)
-safelinku.net,sflink.cc##script:inject(nano-setInterval-booster.js)
+safelinku.net,sflink.cc##+js(addEventListener-defuser.js, load, 2000)
+safelinku.net,sflink.cc##+js(abort-on-property-write.js, Fingerprint2)
+safelinku.net,sflink.cc##+js(nano-setInterval-booster.js)
 ||idsly.com/downlaod1.png$image
 safelinku.net,sflink.cc##.col-md-3
 safelinku.net,sflink.cc##a[href^="https://wadooo.com/"]
 safelinku.net,sflink.cc##a[href^="https://zoomwebs.bid/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1577
-onlinebee.in##script:inject(abort-on-property-write.js, _pop)
+onlinebee.in##+js(abort-on-property-write.js, _pop)
 ||onlinebee.in^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.solvemedia.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1578
-kokemoon.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-kokemoon.com##script:inject(nano-setInterval-booster.js)
+kokemoon.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+kokemoon.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1580
-link-zero.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+link-zero.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1581
 ||myownads.space^
 ||adconity.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1584
-encurta.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-encurta.net##script:inject(abort-on-property-write.js, Fingerprint2)
-lin-ks.net##script:inject(nano-setInterval-booster.js)
+encurta.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+encurta.net##+js(abort-on-property-write.js, Fingerprint2)
+lin-ks.net##+js(nano-setInterval-booster.js)
 ||360direct.click^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1585
-lin-ks.net##script:inject(set-constant.js, canRunAds, true)
+lin-ks.net##+js(set-constant.js, canRunAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1586
-protecturl.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+protecturl.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 @@||protecturl.xyz^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1587
-0link.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+0link.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 ||muzotur.info^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1588
-adsprolink.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adsprolink.win##script:inject(nano-setInterval-booster.js)
+adsprolink.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adsprolink.win##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1591
-gomostream.com##script:inject(abort-on-property-write.js, Fingerprint2)
-streamfare.com##[id^=wb_AdText]
+gomostream.com##+js(abort-on-property-write.js, Fingerprint2)
+streamfare.com##[id^="wb_AdText"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1593
 @@||realkana.com^$generichide
@@ -5746,36 +5864,36 @@ streamfare.com##[id^=wb_AdText]
 ! https://github.com/uBlockOrigin/uAssets/issues/1594
 ?zoneid=$subdocument,domain=updatetube.com
 ||updatetube.com^$csp=script-src 'self' 'unsafe-inline' *.updatetube.com
-updatetube.com##script:inject(abort-current-inline-script.js, relateds_url_click)
+updatetube.com##+js(abort-current-inline-script.js, relateds_url_click)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1595
-kustvaartforum.com##script:inject(bab-defuser.js)
+kustvaartforum.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1596
-uploadfiles.io##script:inject(abort-on-property-read.js, HTMLScriptElement)
-uploadfiles.io##script:inject(nano-setInterval-booster.js)
+uploadfiles.io##+js(abort-on-property-read.js, HTMLScriptElement)
+uploadfiles.io##+js(nano-setInterval-booster.js)
 uploadfiles.io##.ad-blocked
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1598
-link4.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+link4.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1601
-allmyvideos.net##script:inject(abort-on-property-write.js, SCrypt)
+allmyvideos.net##+js(abort-on-property-write.js, SCrypt)
 
 ! https://github.com/gorhill/uBlock/issues/3539
-webdesigndev.com##script:inject(popads-dummy.js)
+webdesigndev.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1605
 ! https://github.com/uBlockOrigin/uAssets/issues/1606
 ! https://github.com/uBlockOrigin/uAssets/issues/2257
-mispelisyseries.com,tvsinpagar.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-mispelisyseries.com,tvsinpagar.com##script:inject(abort-on-property-write.js, _pop)
-mispelisyseries.com,tvsinpagar.com##script:inject(abort-on-property-write.js, Fingerprint2)
-mispelisyseries.com,tvsinpagar.com##script:inject(addEventListener-defuser.js, mousedown, (b){u()})
-mispelisyseries.com,tvsinpagar.com##script:inject(window.open-defuser.js)
+mispelisyseries.com,tvsinpagar.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+mispelisyseries.com,tvsinpagar.com##+js(abort-on-property-write.js, _pop)
+mispelisyseries.com,tvsinpagar.com##+js(abort-on-property-write.js, Fingerprint2)
+mispelisyseries.com,tvsinpagar.com##+js(addEventListener-defuser.js, mousedown, (b){u()})
+mispelisyseries.com,tvsinpagar.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1604
-fembed.com##script:inject(abort-on-property-write.js, _pop)
+fembed.com##+js(abort-on-property-write.js, _pop)
 pornqd.net##a[href^="http://www.poweredbyliquidfire.mobi/"]
 pornqd.net###preroll
 
@@ -5783,84 +5901,93 @@ pornqd.net###preroll
 @@||schwaebische.de/*/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1608
-dz4soft.*##script:inject(noeval.js)
-dz4soft.*##script:inject(addEventListener-defuser.js, load, 2000)
+dz4soft.*##+js(noeval.js)
+dz4soft.*##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1607
-imageweb.ws##script:inject(popads-dummy.js)
+imageweb.ws##+js(popads-dummy.js)
 ||imageweb.ws/*.gif$image
 imageweb.ws##a[href^="http://refer.ccbill.com/"]
 
 ! https://forums.lanik.us/viewtopic.php?p=132949#p132949
-haber1903.com##script:inject(set-constant.js, adblock, false)
+haber1903.com##+js(set-constant.js, adblock, false)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7zosxy/annoying_adblock_detected_overlay/
-vortez.net##script:inject(abort-current-inline-script.js, $, Adblock)
+vortez.net##+js(abort-current-inline-script.js, $, Adblock)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7zseji/cant_bypass_adlocker/
-peliculasgoogledrive.info##script:inject(addEventListener-defuser.js, load, 2000)
+peliculasgoogledrive.info##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40063
 ||prodmg2.blob.core.windows.net^$xmlhttprequest,domain=myajc.com
 @@||api.chartbeat.com/live/*$xmlhttprequest,domain=myajc.com
 
+! https://github.com/uBlockOrigin/uAssets/issues/3321
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40065
-jurl.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-jurl.io##script:inject(abort-on-property-write.js, _pop)
-jurl.io##script:inject(nano-setInterval-booster.js)
-jurl.io##script:inject(nowebrtc.js)
+jurl.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+jurl.io##+js(abort-on-property-write.js, _pop)
+jurl.io##+js(nano-setInterval-booster.js)
+jurl.io##+js(nowebrtc.js)
+jurl.io##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+jurl.io##+js(setInterval-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1614
-stream2watch.*##script:inject(abort-on-property-write.js, Fingerprint2)
-stream2watch.org##script:inject(set-constant.js, ab, false)
-wizhdsports.fi##script:inject(nowebrtc.js)
+stream2watch.*##+js(abort-on-property-write.js, Fingerprint2)
+stream2watch.org##+js(set-constant.js, ab, false)
+||stream2watch.org/sw.js$script
+wizhdsports.fi##+js(nowebrtc.js)
 ||d3q33rbmdkxzj.cloudfront.net^
+@@||sportsbay.org^$subdocument,domain=stream2watch.org
+@@||vipbox.im^$subdocument,domain=stream2watch.org
+||cdn.easylist.pw/*.js|$xmlhttprequest
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1618
-cnnamador.com##script:inject(noeval.js)
+cnnamador.com##+js(noeval.js)
 cnnamador.com##.banner
 ||cnnamador.com/player/float.php
 cnnamador.com##.is-ad-visible
 ||cnnamador.com/contents/other/player/*.mp4$media
-cnnamador.com##script:inject(abort-on-property-write.js, adv_pre_duration)
-cnnamador.com##script:inject(abort-on-property-write.js, adv_post_duration)
+cnnamador.com##+js(abort-on-property-write.js, adv_pre_duration)
+cnnamador.com##+js(abort-on-property-write.js, adv_post_duration)
+cnnamador.com##+js(addEventListener-defuser.js, /^(click|mousedown|mousemove|touchstart|touchend|touchmove)/, system.popunder)
 
 ! https://adblockplus.org/forum/viewtopic.php?p=174439#p174439
-kissasian.info##script:inject(set-constant.js, blockAdBlock, true)
+kissasian.info##+js(set-constant.js, blockAdBlock, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1621
-mspik.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-mspik.com##script:inject(addEventListener-defuser.js, click, trigger)
+mspik.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+mspik.com##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1429
-goldshorten.com##script:inject(addEventListener-defuser.js, click, trigger)
-goldshorten.com##script:inject(abort-on-property-write.js, PopUP)
+goldshorten.com##+js(addEventListener-defuser.js, click, trigger)
+goldshorten.com##+js(abort-on-property-write.js, PopUP)
 goldshorten.com##.banner-inner
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=35634
-itdmusic.site##script:inject(abort-on-property-write.js, _pop)
-itdmusic.site##script:inject(abort-on-property-write.js, Fingerprint2)
-itdmusic.site##script:inject(popads-dummy.js)
-@@||itdmusic.site^$generichide
+itdmusic.*##+js(abort-on-property-write.js, _pop)
+itdmusic.*##+js(abort-on-property-write.js, Fingerprint2)
+itdmusic.*##+js(popads-dummy.js)
+@@||itdmusic.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/pull/1623
 dirpy.com##a[href*="bit.ly"]
 dirpy.com###dirpy-news
 
 ! https://github.com/uBlockOrigin/uAssets/pull/1624
-123movies.cafe##script:inject(popads.net.js)
+123movies.cafe##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+123movies.cafe##+js(popads.net.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/863
-nod32key.xyz##script:inject(bab-defuser.js)
+nod32key.xyz##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/pull/1625
 @@||player.r7.com^$generichide
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/865
-clix4btc.com##script:inject(set-constant.js, adblock, false)
+clix4btc.com##+js(set-constant.js, adblock, false)
 
 ! https://forums.lanik.us/viewtopic.php?f=107&t=40076&p=133083#p133083
-mp3skull-tube.net##script:inject(addEventListener-defuser.js, click, trigger)
+mp3skull-tube.net##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1626
 @@||win10.vn^$generichide
@@ -5869,44 +5996,46 @@ mp3skull-tube.net##script:inject(addEven
 ||damoh.vgtv.no/*$media,redirect=noopmp3-0.1s,domain=vgtv.no
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1629
-mp3guild.*,mp3clan.*##script:inject(abort-on-property-write.js, Fingerprint2)
+mp3guild.*,mp3clan.*##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1631
 @@||go-ez.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1633
-fileflares.com##script:inject(window.open-defuser.js, , hicpm10)
-fileflares.com##script:inject(window.open-defuser.js, , oclasrv)
+fileflares.com##+js(window.open-defuser.js, , hicpm10)
+fileflares.com##+js(window.open-defuser.js, , oclasrv)
 @@||fileflares.com^$generichide
 ||pagead2.googlesyndication.com^$script,redirect=noopjs,domain=fileflares.com
+@@||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,domain=fileflares.com
 @@||fileflares.com^$xmlhttprequest,script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1632
-vidoza.net##script:inject(noeval.js)
-vidoza.net##script:inject(window.open-defuser.js)
+vidoza.net##+js(noeval.js)
+vidoza.net##+js(window.open-defuser.js)
 vidoza.net###plo_0
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1634
-katfile.com##script:inject(set-constant.js, adblock, false)
+katfile.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1637
 @@||fwmrm.net/ad/$script,xmlhttprequest,domain=nieuws.vtm.be|medialaancdn.be
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/867
-ethereum.cpucap.com##script:inject(set-constant.js, ADSController, true)
+ethereum.cpucap.com##+js(set-constant.js, ADSController, true)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/868
 ! https://github.com/uBlockOrigin/uAssets/issues/2695
-freeopenvpn.org##script:inject(set-constant.js, adBlock, false)
+freeopenvpn.org##+js(set-constant.js, adBlock, false)
 @@||freeopenvpn.org^$generichide
+@@||freeopenvpn.org/units/adv.png$image,first-party
 freeopenvpn.org##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1638
-||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=nowwatchtvlive.net
-nowwatchtvlive.net##^script:has-text(676574456c656d656e747342795461674e616d65)
-nowwatchtvlive.net##script:inject(popads-dummy.js)
-whostreams.net##script:inject(popads-dummy.js)
-||nowwatchtvlive.net/matomyads728x90.php$subdocument
+nowwatchtvlive.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+nowwatchtvlive.*##+js(popads-dummy.js)
+nowwatchtvlive.*##+js(setInterval-defuser.js, (), 500)
+whostreams.net##+js(popads-dummy.js)
+yoursports.stream##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1639
 ! https://forums.lanik.us/viewtopic.php?f=103&t=32877
@@ -5914,13 +6043,13 @@ whostreams.net##script:inject(popads-dum
 ||static.vocento.com/dab/*.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1640
-tubeload.tv##script:inject(setTimeout-defuser.js, window.location.href, 300)
+tubeload.tv##+js(setTimeout-defuser.js, window.location.href, 300)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/80sgak/antiadblock_coding_help/
 ||repo.xarold.com/*/survival.min.js$script,first-party,redirect=fuckadblock.js-3.2.0
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40101&p=133246#p133238
-ksbw.com##script:inject(setTimeout-defuser.js, [native code], 500)
+ksbw.com##+js(setTimeout-defuser.js, [native code], 500)
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=ksbw.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1641
@@ -5930,7 +6059,7 @@ ksbw.com##script:inject(setTimeout-defus
 ||focus.de/src/js/spmsg$script,redirect=noopjs,first-party
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40097
-animesorion.tv##script:inject(popads-dummy.js)
+animesorion.tv##+js(popads-dummy.js)
 animesorion.tv###yb_mm
 animesorion.tv###yb_bb
 animesorion.tv##.rlAvisoAdulto
@@ -5939,15 +6068,15 @@ animesorion.tv##.rlAvisoAdulto
 @@||ariva.de^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1649
-cloudtime.to##script:inject(abort-on-property-write.js, adcashMacros)
-nowvideo.sx,wholecloud.net##script:inject(nowebrtc.js)
+cloudtime.to##+js(abort-on-property-write.js, adcashMacros)
+nowvideo.sx,wholecloud.net##+js(nowebrtc.js)
 ||querylead.com^
 ||webma.space^
-haxmaps.com##script:inject(abort-current-inline-script.js, ab1, ab2)
+haxmaps.com##+js(abort-current-inline-script.js, ab1, ab2)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/81mhzf/asianvote_adblock_detected/
-asianvote.com##script:inject(abort-on-property-write.js, anti_adblock)
-asianvote.com##script:inject(nowebrtc.js)
+asianvote.com##+js(abort-on-property-write.js, anti_adblock)
+asianvote.com##+js(nowebrtc.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38333
 @@||sat-universe.com^$generichide
@@ -5976,8 +6105,8 @@ gannikus.com##.sam_pro_place_widget
 ! https://github.com/uBlockOrigin/uAssets/issues/1627
 ! https://github.com/uBlockOrigin/uAssets/issues/1650
 ! https://github.com/uBlockOrigin/uAssets/issues/2732
-mercurynews.com##script:inject(set-constant.js, dfmCanRunAds, true)
-mercurynews.com##script:inject(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+mercurynews.com##+js(set-constant.js, dfmCanRunAds, true)
+mercurynews.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 @@||mercurynews.com^$generichide
 /wp-content/client-mu-plugins/src/Paywall/static/js/connext-paywall-analytics.min.js
 
@@ -5990,119 +6119,122 @@ vsco.co##.page-wrap > section:has-text(D
 bittorrentstart.com,btscene.com,btscene.org,btsproxy.com,btstor.cc##div > a[class][rel="nofollow"][onclick]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1660
-bemad.es,divinity.es,eltiempohoy.es,energytv.es,factoriadeficcion.com,mtmad.es,radioset.es##script:inject(abort-on-property-write.js, adsInfoClient)
-bemad.es,divinity.es,eltiempohoy.es,energytv.es,factoriadeficcion.com,mtmad.es,radioset.es##script:inject(addEventListener-defuser.js, load, hasAdblock)
+bemad.es,divinity.es,eltiempohoy.es,energytv.es,factoriadeficcion.com,mtmad.es,radioset.es##+js(abort-on-property-write.js, adsInfoClient)
+bemad.es,cincomas.com,divinity.es,eltiempohoy.es,energytv.es,factoriadeficcion.com,mtmad.es,radioset.es##+js(addEventListener-defuser.js, load, hasAdblock)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/874
-smarturlref.net##script:inject(addEventListener-defuser.js, load, 2000)
-smarturlref.net##script:inject(nano-setInterval-booster.js)
+smarturlref.net##+js(addEventListener-defuser.js, load, 2000)
+smarturlref.net##+js(nano-setInterval-booster.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/873
 @@||bittube.me/*/js/ads2.js$xmlhttprequest,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1662
-tivocommunity.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+tivocommunity.com##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1664
 @@||getmyfile.ga^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1665
-mp3converter.net##script:inject(abort-on-property-write.js, Fingerprint2)
+mp3converter.net##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1666
-gt-urls.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+gt-urls.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1667
-kutz.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-kutz.io##script:inject(nano-setInterval-booster.js)
+kutz.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+kutz.io##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1669
-generacionretro.net##script:inject(addEventListener-defuser.js, load, 2000)
+generacionretro.net##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1673
-divxtotal.co##script:inject(abort-on-property-write.js, Fingerprint2)
-divxtotal.co##script:inject(popads-dummy.js)
+divxtotal.co##+js(abort-on-property-write.js, Fingerprint2)
+divxtotal.co##+js(popads-dummy.js)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/39
-arlinadzgn.com,idntheme.com##script:inject(abort-on-property-write.js, hidekeep)
+arlinadzgn.com,idntheme.com##+js(abort-on-property-write.js, hidekeep)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/876
-ma-x.org##script:inject(abort-on-property-write.js, KillAdBlock)
+! https://github.com/uBlockOrigin/uAssets/issues/3441
+ma-x.org##+js(abort-on-property-write.js, KillAdBlock)
+ma-x.org##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40157
 ||pagead2.googlesyndication.com/pagead/show_ads.js$script,redirect=noopjs,domain=ehubsoft.net|herokuapp.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1679
 rawconfessions.com##^script:has-text(3f87b0eaddd83253c051702170303dfa84d6ecc3)
-rawconfessions.com##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+rawconfessions.com##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=rawconfessions.com
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=rawconfessions.com
 @@||rawconfessions.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1680
-minecraft-forum.net##script:inject(set-constant.js, ab, false)
+minecraft-forum.net##+js(set-constant.js, ab, false)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/82y5kn/how_to_block_this_nagger/
-radioaficion.com##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+radioaficion.com##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40167
-waybig.com##script:inject(abort-on-property-read.js, BetterJsPop)
+waybig.com##+js(abort-on-property-read.js, BetterJsPop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1689
 ! https://github.com/uBlockOrigin/uAssets/issues/1953
-animeflv.ru##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-animeflv.ru##script:inject(setInterval-defuser.js, (), 500)
-||animeflv.ru^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.facebook.com *.google-analytics.com *.googleapis.com *.gstatic.com *.facebook.net *.disquscdn.com https://disqus.com *.disqus.com
+animeflv.ru##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+animeflv.ru##+js(setInterval-defuser.js, (), 500)
+||animeflv.ru^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: blob: *.google.com *.facebook.com *.google-analytics.com *.googleapis.com *.gstatic.com *.facebook.net *.disquscdn.com https://disqus.com *.disqus.com
 @@||animeflv.ru/assets/vast/videojs$script,first-party
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=animeflv.ru
+animeflv.ru##+js(set-constant.js, check_adblock, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1690
-jkanime.net##script:inject(abort-on-property-write.js, adcashMacros)
-jkanime.net##script:inject(window.open-defuser.js)
+jkanime.net##+js(abort-on-property-write.js, adcashMacros)
+jkanime.net##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1686
 @@||8tracks.com/ads.js$script,first-party
-8tracks.com##script:inject(set-constant.js, App.views.adsView.adblock, false)
+8tracks.com##+js(set-constant.js, App.views.adsView.adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1692
-nudecelebforum.com##script:inject(abort-on-property-read.js, __ads)
-nudecelebforum.com##script:inject(noeval.js)
-nudecelebforum.com##script:inject(setTimeout-defuser.js, document.querySelectorAll, 1000)
+nudecelebforum.com##+js(abort-on-property-read.js, __ads)
+nudecelebforum.com##+js(noeval.js)
+nudecelebforum.com##+js(setTimeout-defuser.js, document.querySelectorAll, 1000)
 nudecelebforum.com###floatingbar
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1693
-itiurl.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+itiurl.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1696
-shortli.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shortli.net##script:inject(addEventListener-defuser.js, click, trigger)
-shortli.net##script:inject(nano-setInterval-booster.js)
+shortli.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shortli.net##+js(addEventListener-defuser.js, click, trigger)
+shortli.net##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1697
 ! https://github.com/NanoAdblocker/NanoFilters/issues/103
 @@||hyperdebrid.*^$generichide
-hyperdebrid.*##script:inject(abort-current-inline-script.js, decodeURI, atob)
+hyperdebrid.*##+js(abort-current-inline-script.js, decodeURI, atob)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1694
-vodlock.co##script:inject(popads-dummy.js)
-vodlock.co##script:inject(abort-on-property-write.js, Fingerprint2)
-vodlock.co##script:inject(nowebrtc.js)
+vodlock.co##+js(popads-dummy.js)
+vodlock.co##+js(abort-on-property-write.js, Fingerprint2)
+vodlock.co##+js(nowebrtc.js)
 ||xelllwrite.com^
 
 ! https://github.com/gorhill/uBlock/issues/3593
 @@||intercelestial.com^$generichide
 @@||adzeni.com^$generichide
-adzeni.com##script:inject(nano-setInterval-booster.js)
+adzeni.com##+js(nano-setInterval-booster.js)
 adzeni.com##.banner-inner
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/83f3nn/please_verify_this_antiadblock_filter_for/
-pronpic.org##script:inject(abort-current-inline-script.js, $, AdBlock)
-pronpic.org##script:inject(abort-on-property-read.js, document.createEvent)
-pronpic.org##script:inject(abort-on-property-read.js, VisitWeb)
-pronpic.org##script:inject(abort-on-property-write.js, ShowAdbblock)
+pronpic.org##+js(abort-current-inline-script.js, $, AdBlock)
+pronpic.org##+js(abort-on-property-read.js, document.createEvent)
+pronpic.org##+js(abort-on-property-read.js, VisitWeb)
+pronpic.org##+js(abort-on-property-write.js, ShowAdbblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1700
-dl-android.com##script:inject(nowebrtc.js)
+dl-android.com##+js(nowebrtc.js)
 dl-android.com##.btnDownload
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1702
@@ -6114,36 +6246,38 @@ dl-android.com##.btnDownload
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40207
 ||ziurim.eu^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.facebook.net *.facebook.com *.google-analytics.com *.googletagmanager.com *.google.com
-ziurim.eu##script:inject(abort-current-inline-script.js, atob, tabunder)
-ziurim.eu##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+ziurim.eu##+js(abort-current-inline-script.js, atob, tabunder)
+ziurim.eu##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1706
 @@||techbii.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1707
-img.yt##script:inject(abort-on-property-read.js, ExoLoader)
+img.yt##+js(abort-on-property-read.js, ExoLoader)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/883
 ! https://github.com/jspenguin2017/uBlockProtector/issues/940
-ccbluex.net##script:inject(set-constant.js, adsBool, true)
-ccbluex.net##script:inject(set-constant.js, passed, true)
+ccbluex.net##+js(set-constant.js, adsBool, true)
+ccbluex.net##+js(set-constant.js, passed, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1708
-thewebflash.com##script:inject(setTimeout-defuser.js, Adblock, 20)
+thewebflash.com##+js(setTimeout-defuser.js, Adblock, 20)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1709
-chyoa.com##script:inject(abort-on-property-write.js, ExoLoader)
-chyoa.com##script:inject(set-constant.js, canRunAds, true)
+! https://github.com/uBlockOrigin/uAssets/issues/3172
+chyoa.com##+js(abort-on-property-read.js, __NA)
+chyoa.com##+js(abort-on-property-write.js, ExoLoader)
+chyoa.com##+js(set-constant.js, canRunAds, true)
 chyoa.com##.chyoa-banner
 chyoa.com##.chyoa-adzone
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1711
-3movs.com##script:inject(popads-dummy.js)
+3movs.com##+js(popads-dummy.js)
 ||dat.itsup.com^
 ||3movs.com/*.php
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/46
-sourceforge.net##script:inject(nano-setTimeout-booster.js)
+sourceforge.net##+js(nano-setTimeout-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1705
 @@||seekingalpha.com^$generichide
@@ -6153,10 +6287,10 @@ mobile.twitter.com##[data-testid="tweet"
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40228#p133884
 ||popularmechanics.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' *.hearstapps.com *.hearst.io *.hdmtools.com
-popularmechanics.com##script:inject(setTimeout-defuser.js, addEventListener, 0)
+popularmechanics.com##+js(setTimeout-defuser.js, addEventListener, 0)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/84l63s/filter_to_block_popunders_on_cliupconvertercc/
-clipconverter.cc##script:inject(abort-current-inline-script.js, atob, tabunder)
+clipconverter.cc##+js(abort-current-inline-script.js, atob, decodeURIComponent)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/84oyc9/cant_block_admixernets_ads/
 112.ua##^script:has-text(3f87b0eaddd)
@@ -6164,31 +6298,31 @@ clipconverter.cc##script:inject(abort-cu
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=112.ua
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1723
-shortenow.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shortenow.com##script:inject(nano-setInterval-booster.js)
+shortenow.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shortenow.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1724
-3burl.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-3burl.me##script:inject(nano-setInterval-booster.js)
+3burl.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+3burl.me##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1725
 @@||azlink.xyz^$generichide
-azlink.xyz##script:inject(nano-setInterval-booster.js)
+azlink.xyz##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1438
 ||redense.com^$third-party
-rb7url.com##script:inject(abort-on-property-write.js, Fingerprint2)
+rb7url.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1726
 @@||listaiptvbrasil.com^$generichide
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/84vav1/redirects_on_sites/
-cricfree.sc##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+cricfree.sc##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=33564
-xmovies8.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-xmovies8.*##script:inject(set-constant.js, check_adblock, true)
-xmovies8.*##script:inject(setInterval-defuser.js, (), 500)
+xmovies8.*##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+xmovies8.*##+js(set-constant.js, check_adblock, true)
+xmovies8.*##+js(setInterval-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1730
 nsfwyoutube.com##^script:has-text(3f87b0eaddd)
@@ -6199,7 +6333,7 @@ nsfwyoutube.com##^script:has-text(3f87b0
 ##.adholder2
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40239
-bzbasel.ch##script:inject(setTimeout-defuser.js, [native code], 3000)
+bzbasel.ch##+js(setTimeout-defuser.js, [native code], 3000)
 
 ! https://github.com/uBlockOrigin/uAssets/pull/1733
 ||universeseries.org^$csp=script-src 'self' 'unsafe-inline' data: *.fbcdn.net *.facebook.com *.google-analytics.com
@@ -6219,41 +6353,46 @@ main-echo.de##.parallax-ad__wrapper
 @@||cronachedellacampania.it^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1739
-divxtotal1.org##script:inject(popads-dummy.js)
-divxtotal1.org##script:inject(abort-on-property-write.js, Fingerprint2)
+divxtotal1.org##+js(popads-dummy.js)
+divxtotal1.org##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1740
 ||broadwayworld.com^$csp=script-src 'self' 'unsafe-inline' data: *.fbcdn.net *.facebook.com *.google-analytics.com *.facebook.net *.bwwstatic.com *.addthis.com *.cloudflare.com *.fontawesome.com *.onesignal.com *.googleapis.com
 broadwayworld.com##a[href^="https://ad.doubleclick.net/ddm/"]
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/85m6fp/ublock_origin_is_showing_adds_on_a_website_for_me/
-op.gg##script:inject(abort-on-property-write.js, lifeOnwer)
+op.gg##+js(abort-on-property-write.js, lifeOnwer)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/85mgro/%C2%B5block_doesnt_block_ads_on_this_site/
-autojournal.fr,autoplus.fr,birdsandblooms.com,collegehumor.com,dorkly.com,dryscalpgone.com,eclypsia.com,familyhandyman.com,gala.fr,gentlemansgazette.com,hotbeautyhealth.com,ketoconnect.net,mjsbigblog.com,printablecrush.com,psychologyjunkie.com,skinnyms.com,sportauto.fr,thecelticblog.com,thelovenerds.com,thisisfutbol.com##script:inject(abort-current-inline-script.js, btoa, BOOTLOADER_LOADED)
-pcwelt.de##script:inject(abort-on-property-read.js, proxyLocation)
+autojournal.fr,autoplus.fr,birdsandblooms.com,bombshellbling.com,collegehumor.com,dorkly.com,dryscalpgone.com,eclypsia.com,familyhandyman.com,gala.fr,gentlemansgazette.com,homeschoolgiveaways.com,hotbeautyhealth.com,ketoconnect.net,mjsbigblog.com,mom4real.com,mynaturalfamily.com,oneessentialcommunity.com,pageflutter.com,printablecrush.com,psychologyjunkie.com,skinnyms.com,skintagsgone.com,sportauto.fr,stayglam.com,tasteandtellblog.com,thecelticblog.com,thecozyapron.com,theendlessmeal.com,thehappierhomemaker.com,thelovenerds.com,thisisfutbol.com,yellowblissroad.com##+js(abort-current-inline-script.js, btoa, BOOTLOADER_LOADED)
+pcwelt.de##+js(abort-on-property-read.js, proxyLocation)
+sixsistersstuff.com##+js(abort-on-property-read.js, Int32Array)
 ||deoi3kwqhv0d5.cloudfront.net^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1748
-kuturl.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-kuturl.com##script:inject(nano-setInterval-booster.js)
+kuturl.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=90&t=40270
-hd-streams.org##script:inject(abort-on-property-write.js, Fingerprint2)
-nxload.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+hd-streams.org##+js(abort-on-property-write.js, Fingerprint2)
+hd-streams.org##+js(window.open-defuser.js)
+nxload.com##+js(abort-current-inline-script.js, atob, tabunder)
+||hd-streams.org/sw.js$script
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40273
 ||cracksnow.com^$csp=script-src 'self' 'unsafe-eval' 'unsafe-inline' data: *.cloudflare.com *.google-analytics.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1756
-short2win.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+! https://github.com/uBlockOrigin/uAssets/issues/2504
+short2win.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+short2win.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+short2win.*##+js(nowebrtc.js)
 $subdocument,third-party,domain=short2win.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1758
 /ad5.$badfilter
 /ad5.$domain=~ad5.pw
-ad5.pw##script:inject(nano-setInterval-booster.js)
-ad5.pw##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+ad5.pw##+js(nano-setInterval-booster.js)
+ad5.pw##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40283
 ||damoh.tv2.no^$media,redirect=noopmp3-0.1s,domain=tv2.no
@@ -6271,22 +6410,22 @@ moondoge.co.in,moonliteco.in##.captchaAd
 bestarticles.me,tellycolors.me##.adsbygoogle
 
 ! https://github.com/NanoAdblocker/NanoFilters/commit/f711954f407c43329b5d242a7516a5a38c3bee4e#commitcomment-28218753
-revealname.com##script:inject(set-constant.js, $.fx.off, true)
+revealname.com##+js(set-constant.js, $.fx.off, true)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/891
-makeuseof.com##script:inject(setTimeout-defuser.js, document.body.classList.add, 100)
+makeuseof.com##+js(setTimeout-defuser.js, document.body.classList.add, 100)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1763
 ||linkskeeper.in^$csp=script-src 'self' 'unsafe-eval' 'unsafe-inline' data: *.statcounter.com *.google-analytics.com
-linkskeeper.in##script:inject(nano-setInterval-booster.js)
+linkskeeper.in##+js(nano-setInterval-booster.js)
 ||comegarage.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1764
 ||d-h.st^$csp=script-src 'self' 'unsafe-eval' 'unsafe-inline' data: *.jquery.com *.google-analytics.com *.addthis.com *.google.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1768
-alphaporno.com##script:inject(popads-dummy.js)
-alphaporno.com##script:inject(abort-on-property-read.js, ExoLoader)
+alphaporno.com##+js(popads-dummy.js)
+alphaporno.com##+js(abort-on-property-read.js, ExoLoader)
 ||alphaporno.com/*.php
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1769
@@ -6297,14 +6436,16 @@ alphaporno.com##script:inject(abort-on-p
 @@||saikocloud.ml^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1775
+! https://github.com/NanoMeow/QuickReports/issues/129
+lequipe.fr##+js(set-constant.js, Math.random, noopFunc)
 @@||lequipe.fr^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1772
-shesfreaky.com##script:inject(popads-dummy.js)
+shesfreaky.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1767
 ||pornoid.com^$csp=script-src 'self' 'unsafe-inline' data:
-pornoid.com##script:inject(abort-on-property-write.js, relateds_url_click)
+pornoid.com##+js(abort-on-property-write.js, relateds_url_click)
 ?zoneId=*&sponsor$subdocument
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1770
@@ -6315,17 +6456,17 @@ pornoid.com##script:inject(abort-on-prop
 porntube.com##.relatedContainer
 porntube.com##.hidden-md-down.related-kodplayer
 ! https://github.com/uBlockOrigin/uAssets/issues/1821
-porntube.com##script:inject(set-constant.js, adsEnabled, true)
+porntube.com##+js(set-constant.js, adsEnabled, true)
 ||porntube.com/api/iframe/$subdocument
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40297
-vijf.be##script:inject(abort-on-property-read.js, _sp_.mms.startMsg)
+vijf.be##+js(abort-on-property-read.js, _sp_.mms.startMsg)
 
 ! https://forums.lanik.us/viewtopic.php?f=103&t=40300
 @@||elrellano.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40302
-labnol.org##script:inject(abort-on-property-read.js, _0x2704)
+labnol.org##+js(abort-on-property-read.js, _0x2704)
 
 ! https://bugzilla.mozilla.org/show_bug.cgi?id=1404468#c44
 jeuxvideo.com##^script:has-text(wadsBlocking)
@@ -6334,34 +6475,34 @@ jeuxvideo.com##^script:has-text(wadsBloc
 @@||cdn.vuplay.co.uk/*/comscore.$script,domain=vrt.be
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1789
-earnbig.ca##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-earnbig.ca##script:inject(abort-on-property-write.js, Fingerprint2)
-earnbig.ca##script:inject(setTimeout-defuser.js, nextFunction, 250)
+earnbig.ca##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+earnbig.ca##+js(abort-on-property-write.js, Fingerprint2)
+earnbig.ca##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1790
-cutearn.ca##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutearn.ca##script:inject(abort-on-property-write.js, Fingerprint2)
-cutearn.ca##script:inject(setTimeout-defuser.js, nextFunction, 250)
+cutearn.ca##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutearn.ca##+js(abort-on-property-write.js, Fingerprint2)
+cutearn.ca##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1791
-rbhni.com##script:inject(nano-setInterval-booster.js)
-rbhni.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-rbhni.com##script:inject(addEventListener-defuser.js, click, trigger)
+rbhni.com##+js(nano-setInterval-booster.js)
+rbhni.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+rbhni.com##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1792
-gtu-rls.com##script:inject(nano-setInterval-booster.js)
-gtu-rls.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+gtu-rls.com##+js(nano-setInterval-booster.js)
+gtu-rls.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1794
-klickurl.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-klickurl.com##script:inject(addEventListener-defuser.js, click, trigger)
+klickurl.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+klickurl.com##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1796
-comunidadgzone.es##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+comunidadgzone.es##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1797
-tubous.com##script:inject(abort-current-inline-script.js, $, nasl)
-tubous.com##script:inject(abort-on-property-read.js, ExoLoader)
+tubous.com##+js(abort-current-inline-script.js, $, nasl)
+tubous.com##+js(abort-on-property-read.js, ExoLoader)
 ||fuckandcdn.com/*/ads/
 ||fuckandcdn.com/*/frms/
 tubous.com##.allIM
@@ -6374,26 +6515,28 @@ kickassanime.ru##^script:has-text(3f87b0
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=kickassanime.ru
 
 ! https://github.com/NanoAdblocker/NanoCore/issues/142
-vizer.tv##script:inject(abort-on-property-write.js, Fingerprint2)
-vizer.tv##script:inject(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
-vizer.tv##script:inject(setInterval-defuser.js, system.popunder, 500)
+vizer.tv##+js(abort-on-property-write.js, Fingerprint2)
+vizer.tv##+js(addEventListener-defuser.js, /^(?:click|mousedown|mousemove|touchstart|touchend|touchmove)$/, system.popunder)
+vizer.tv##+js(setInterval-defuser.js, system.popunder, 500)
 @@||vizer.tv^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1800
-apurogol.net##script:inject(abort-on-property-write.js, smrtSB)
-apurogol.net##script:inject(abort-on-property-write.js, smrtSP)
+apurogol.net##+js(abort-on-property-write.js, smrtSB)
+apurogol.net##+js(abort-on-property-write.js, smrtSP)
 
 ! https://forums.lanik.us/viewtopic.php?p=134331#p134331
-revdownload.com##script:inject(abort-on-property-read.js, __bdExecutedScripts)
+revdownload.com##+js(abort-on-property-read.js, __bdExecutedScripts)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1802
 @@||jpopsingles.eu^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1803
-shortify.pw##script:inject(abort-current-inline-script.js, document.getElementById, adblock)
+shortify.pw##+js(abort-current-inline-script.js, document.getElementById, adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1804
 @@||freecoursesonline.us^$generichide
+freecoursesonline.us##+js(abort-on-property-write.js, Fingerprint2)
+||freecoursesonline.us/sw.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1805
 @@||asianovel.com^$generichide
@@ -6403,52 +6546,58 @@ shortify.pw##script:inject(abort-current
 @@||seomafia.net/stylesheets/ads.css$stylesheet,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1814
-globaldjmix.com##script:inject(set-constant.js, canRun, true)
+globaldjmix.com##+js(set-constant.js, canRun, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1809
 estrenos10.com##^script:has-text(676574456c656d656e747342795461674e616d65)
-estrenos10.com##script:inject(setInterval-defuser.js, disable_ads, 15000)
-estrenos10.com##script:inject(window.open-defuser.js)
+estrenos10.com##+js(setInterval-defuser.js, disable_ads, 15000)
+estrenos10.com##+js(window.open-defuser.js)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=estrenos10.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1813
 @@||dupedornot.com^$generichide
-dupedornot.com##script:inject(abort-current-inline-script.js, $, haveVisited)
+dupedornot.com##+js(abort-current-inline-script.js, $, haveVisited)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1815
 @@||fileoops.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1810
 ! https://github.com/uBlockOrigin/uAssets/issues/2393
-pelisplus.tv##script:inject(abort-on-property-write.js, smrtSP)
-pelisplus.tv##script:inject(abort-on-property-write.js, smrtSB)
-pelisplus.tv##[class^=smartadtags]
+pelisplus.*##+js(abort-on-property-write.js, smrtSP)
+pelisplus.*##+js(abort-on-property-write.js, smrtSB)
+pelisplus.*##[class^="smartadtags"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1816
-hardsextube.com##script:inject(abort-on-property-read.js, ExoLoader)
+hardsextube.com##+js(abort-on-property-read.js, ExoLoader)
 hardsextube.com##.featured-wrap
+hardsextube.com##.featured-image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1806
-pornshare.org##script:inject(abort-current-inline-script.js, document.getElementById, undefined)
+pornshare.org##+js(abort-current-inline-script.js, document.getElementById, undefined)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1808
-gr8forte.org##script:inject(setTimeout-defuser.js, ad-check, 500)
+gr8forte.org##+js(setTimeout-defuser.js, ad-check, 500)
 gr8forte.org###in-video
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1811
-dwindly.io##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-dwindly.io##script:inject(nano-setInterval-booster.js, , 100)
-dwindly.io##script:inject(window.open-defuser.js, , lh5lg)
-dwindly.io##a.adBtn
+dwindly.io##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+dwindly.io##+js(nano-setInterval-booster.js, , 100)
+dwindly.io##+js(window.open-defuser.js, , lh5lg)
 ||lh5lg.top^$popunder
+dwindly.io##+js(abort-on-property-write.js, Fingerprint2)
+dwindly.io##+js(window.open-defuser.js, , buzzadnetwork)
+dwindly.io###frme1
+dwindly.io##a.adBtn
+*$subdocument,domain=dwindly.io
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1812
 ! https://github.com/uBlockOrigin/uAssets/issues/2141
-@@||firstonetv.net^$xmlhttprequest,first-party
+! https://github.com/uBlockOrigin/uAssets/issues/3258
+@@*$xmlhttprequest,domain=firstonetv.net
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/50
-adca.st##script:inject(window.open-defuser.js)
-deportesmax.info##script:inject(abort-on-property-write.js, Fingerprint2)
+adca.st##+js(window.open-defuser.js)
+deportesmax.info##+js(abort-on-property-write.js, Fingerprint2)
 ||max-deportv.com/arriba2.html$subdocument
 ||max-deportv.com/lateral.html$subdocument
 ||netdna-cdn.com^$subdocument,domain=bro.adca.st
@@ -6460,86 +6609,88 @@ whiskypreisvergleich.de,whiskyprices.co.
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/87bseo/httpnyafilmerbz/
 nyafilmer.bz##^script:has-text(3f87b0eaddd)
-jawcloud.co,nyafilmer.bz##script:inject(popads-dummy.js)
+jawcloud.co,nyafilmer.bz##+js(popads-dummy.js)
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=nyafilmer.bz
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=nyafilmer.bz
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1787
-inn.co.il,walla.co.il##script:inject(abort-on-property-read.js, TextDecoder)
+inn.co.il,walla.co.il##+js(abort-on-property-read.js, TextDecoder)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/87h7ve/block_adblock_on_gofobocom_keeps_getting_through/
 @@||gofobo.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1823
-jellynote.com##script:inject(setTimeout-defuser.js, byepopup, 5000)
+jellynote.com##+js(setTimeout-defuser.js, byepopup, 5000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1824
-kisscosplay.moe##script:inject(setTimeout-defuser.js, nextFunction, 250)
+kisscosplay.moe##+js(setTimeout-defuser.js, nextFunction, 250)
+@@||kisscosplay.moe^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1826
-povw1deo.*,povwideo.*##script:inject(abort-on-property-write.js, Fingerprint2)
-povw1deo.*##script:inject(nowebrtc.js)
-povw1deo.*,povwideo.*##script:inject(window.open-defuser.js)
+povw1deo.*,povwideo.*##+js(abort-on-property-write.js, Fingerprint2)
+povw1deo.*,powvideo.*##+js(nowebrtc.js)
+povw1deo.*,povwideo.*##+js(window.open-defuser.js)
 ||go.pub2srv.com/apu.php$script,redirect=noopjs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1827
-pcbolsa.com##script:inject(abort-on-property-write.js, adBlockDetected)
+pcbolsa.com##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1828
-minecraftraffle.com##script:inject(abort-current-inline-script.js, awm, location)
+minecraftraffle.com##+js(abort-current-inline-script.js, awm, location)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/885
 @@||akamaihd.net/*/ads.js$script,domain=golfchannel.com
 @@||stream.golfchannel.com/*/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1830
+downloadpirate.com##+js(abort-on-property-read.js, zfgloadedpopup)
+downloadpirate.com##+js(abort-on-property-write.js, Fingerprint2)
 ||downloadpirate.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: disqus.com *.disqus.com disquscdn.com *.disquscdn.com
-downloadpirate.com##A[href$=".html"][rel="nofollow norefferer noopener"]
+||downloadpirate.com/sw.js$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1833
 ! https://github.com/uBlockOrigin/uAssets/issues/2253
-reddit.com##.size-compact.Post:has([class*=promoted])
+reddit.com##.size-compact.Post:has([class*="promoted"])
 reddit.com##.vuIDB
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40330
-toyoheadquarters.com##script:inject(abort-current-inline-script.js, AdBlockDetectorWorkaround)
+toyoheadquarters.com##+js(abort-current-inline-script.js, AdBlockDetectorWorkaround)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1831
 *$subdocument,domain=so.gd,third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1836
-csonline2.net##script:inject(bab-defuser.js)
+csonline2.net##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40332#p134448
-etztorrents.org##script:inject(abort-current-inline-script.js, atob, tabunder)
-etztorrents.org##script:inject(abort-current-inline-script.js, parseInt, 676574456c656d656e747342795461674e616d65)
-etztorrents.org##A[href$=".html"][rel="nofollow norefferer noopener"]
+etztorrents.*##A[href$=".html"][rel="nofollow norefferer noopener"]
+etztorrents.*##+js(abort-current-inline-script.js, atob, decodeURIComponent)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/52
-insidemarketing.it##script:inject(abort-on-property-read.js, adblock)
+insidemarketing.it##+js(abort-on-property-read.js, adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1835
-300mbfree4u.org,9xupload.me,desiupload.info,upgrand.net,uploadbaz.net,world4ufree.to##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-9xupload.me,uploadbaz.net##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-desiupload.*##script:inject(abort-on-property-write.js, decodeURIComponent)
-9xupload.me##script:inject(setInterval-defuser.js, (), 500)
-desiupload.*,upgrand.net,uploadbaz.net##script:inject(nano-setTimeout-booster.js)
+300mbfree4u.org,9xupload.me,desiupload.info,upgrand.net,uploadbaz.net,world4ufree.to##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+9xupload.me,uploadbaz.net##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+desiupload.*##+js(abort-on-property-write.js, decodeURIComponent)
+9xupload.me##+js(setInterval-defuser.js, (), 500)
+desiupload.*,upgrand.net,uploadbaz.net##+js(nano-setTimeout-booster.js)
 300mbfree4u.org##.code-block
 world4ufree.to##a[href*="/redirect"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1839
-vermangasporno.com##script:inject(abort-on-property-write.js, __htapop)
-vermangasporno.com##script:inject(popads-dummy.js)
+vermangasporno.com##+js(abort-on-property-write.js, __htapop)
+vermangasporno.com##+js(popads-dummy.js)
 ||alogationa.co^$third-party
 ##a[href^="http://gamingadult.biz/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1842
-bdsmstreak.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+bdsmstreak.com##+js(abort-on-property-read.js, ExoLoader.serve)
 bdsmstreak.com##.onvideo
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1843
-gamcore.com,porcore.com##script:inject(abort-current-inline-script.js, puShown , /doOpen|popundr/)
-69games.xxx,gamcore.com,porcore.com##script:inject(abort-current-inline-script.js, cpmstar_rnd , Math.round)
+gamcore.com,porcore.com##+js(abort-current-inline-script.js, puShown , /doOpen|popundr/)
+69games.xxx,gamcore.com,porcore.com##+js(abort-current-inline-script.js, cpmstar_rnd , Math.round)
 gamcore.com##a[href^="/ads/"]
 gamcore.com##.side_flashes
 gamcore.com##.wide.alphadelta_block
@@ -6549,79 +6700,89 @@ porcore.com##.adscolumn
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1844
 ||cutly.win^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com
-cutly.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutly.win##script:inject(nano-setInterval-booster.js)
-cutly.win##script:inject(addEventListener-defuser.js, click, trigger)
+cutly.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutly.win##+js(nano-setInterval-booster.js)
+cutly.win##+js(addEventListener-defuser.js, click, trigger)
 ||pubovore.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1846
 ! https://github.com/uBlockOrigin/uAssets/issues/1993
-cinedetodo.com##script:inject(abort-on-property-write.js, smrtSP)
-cinedetodo.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-cinedetodo.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-cinedetodo.com##script:inject(abort-on-property-read.js, mz_str)
-cinedetodo.com##script:inject(nowebrtc.js)
-cinedetodo.com##^script:has-text(?n:void)
-cinedetodo.com##script:inject(abort-on-property-read.js, decodeURIComponent)
-cinedetodo.com##.alignnone
-cinedetodo.com##[href="https://www.veranimes.me/"]
-cinedetodo.com##[id*=yellow]
+cinedetodo.*##+js(window.open-defuser.js)
+cinedetodo.*##+js(abort-current-inline-script.js, atob, tabunder)
+cinedetodo.*##+js(abort-current-inline-script.js, parseInt, tabunder)
+cinedetodo.*##+js(abort-on-property-read.js, decodeURIComponent)
+cinedetodo.*##+js(abort-on-property-write.js, encodeURIComponent)
+cinedetodo.*##+js(abort-on-property-write.js, smrtSB)
+cinedetodo.*##+js(abort-on-property-write.js, smrtSP)
+cinedetodo.*##+js(abort-on-property-read.js, mz_str)
+cinedetodo.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+cinedetodo.*##+js(nowebrtc.js)
+cinedetodo.*##+js(setInterval-defuser.js, (), 500)
+cinedetodo.*##+js(window.open-defuser.js)
+cinedetodo.*##^script:has-text(?n:void)
+cinedetodo.*##.alignnone
+cinedetodo.*##.bnr
+cinedetodo.*##[href="https://www.veranimes.me/"]
+cinedetodo.*##[id*="yellow"]
+||4f2sm1y1ss.com^$third-party
+||cda-online.pl/wp-content/uploads/*.js$script
 ||srcsmrtgs.com^
 ! https://github.com/uBlockOrigin/uAssets/issues/1846#issuecomment-408513233
-jawcloud.co##script:inject(abort-on-property-write.js, Fingerprint2)
+jawcloud.co##+js(abort-on-property-write.js, Fingerprint2)
 ||djv99sxoqpv11.cloudfront.net^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1847
-cinemahd.co##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-cinemahd.co##script:inject(abort-on-property-read.js, zfgloadedpopup)
-cinemahd.co##script:inject(abort-on-property-write.js, document.currentScript)
-cinemahd.co##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, (b){u()})
-cinemahd.co##script:inject(nowebrtc.js)
+cinemahd.co##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+cinemahd.co##+js(abort-on-property-read.js, zfgloadedpopup)
+cinemahd.co##+js(abort-on-property-write.js, document.currentScript)
+cinemahd.co##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, (b){u()})
+cinemahd.co##+js(nowebrtc.js)
 ||cinemahd.co^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.widgetpack.com *.jwpcdn.com *.google-analytics.com *.povwideo.net *.clipwatching.com *.vshare.io *.rapidvideo.com *.fastplay.to *.facebook.com *.fbcdn.net
 ##a[href^="https://bj1110.online/"]
 ! https://github.com/uBlockOrigin/uAssets/issues/1847#issuecomment-407225486
-fastplay.to##script:inject(abort-current-inline-script.js, atob, tabunder)
-fastplay.to##script:inject(nowebrtc.js)
+fastplay.to##+js(abort-current-inline-script.js, atob, tabunder)
+fastplay.to##+js(nowebrtc.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40353
-megaup.net##script:inject(nowebrtc.js)
+megaup.net##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1850
-aquipelis.net##script:inject(abort-on-property-write.js, smrtSB)
-aquipelis.tv##script:inject(abort-on-property-write.js, document.currentScript)
-aquipelis.net##[class^=adsbutt]
+aquipelis.*##+js(abort-on-property-write.js, smrtSB)
+aquipelis.*##+js(abort-on-property-write.js, smrtSP)
+aquipelis.*##+js(abort-on-property-write.js, document.currentScript)
+aquipelis.net##[class^="adsbutt"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1851
-gnula.biz##script:inject(nowebrtc.js)
+gnula.biz##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1852
 ||adsurl.co^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com
-adsurl.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adsurl.co##script:inject(nowebrtc.js)
+adsurl.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adsurl.co##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2081
 eporner.eu##.vjs-inplayer-container
-eporner.eu##script:inject(popads-dummy.js)
-eporner.eu##script:inject(window.open-defuser.js)
-eporner.com##script:inject(addEventListener-defuser.js, click, trigger)
-eporner.com##script:inject(abort-on-property-read.js, ExoLoader)
-eporner.com##script:inject(abort-on-property-read.js, exoDocumentProtocol)
+eporner.eu##+js(popads-dummy.js)
+eporner.eu##+js(window.open-defuser.js)
+eporner.com##+js(addEventListener-defuser.js, click, trigger)
+eporner.com##+js(abort-on-property-read.js, ExoLoader)
+eporner.com##+js(abort-on-property-read.js, exoDocumentProtocol)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1855
 ! https://forums.lanik.us/viewtopic.php?p=134829#p134829
 @@*$generichide,domain=arenavision.biz|arenavision.co.in|arenavision.in|arenavision.link|arenavision.ru|arenavision.us|arenavision2017.cf|arenavision2018.ml|arenavision2018.tk|arenavision2017.tk
-arenavision.*,arenavision2017.*,arenavision2018.*##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-arenavision2018.*##script:inject(bab-defuser.js)
-arenavision.*,arenavision2017.cf,arenavision2018.*##script:inject(window.open-defuser.js)
+arenavision.*,arenavision2017.*,arenavision2018.*##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+arenavision2018.*##+js(bab-defuser.js)
+arenavision.*,arenavision2017.cf,arenavision2018.*##+js(window.open-defuser.js)
 ||imgpfx.arenavision.
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1857
-vintage-erotica-forum.com##script:inject(abort-current-inline-script.js, __ads)
-vintage-erotica-forum.com##script:inject(abort-current-inline-script.js, setTimeout, ____POP)
+vintage-erotica-forum.com##+js(abort-current-inline-script.js, __ads)
+vintage-erotica-forum.com##+js(abort-current-inline-script.js, setTimeout, ____POP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1858
-btcleets.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-btcleets.xyz##script:inject(nano-setInterval-booster.js)
+btcleets.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+btcleets.xyz##+js(nano-setInterval-booster.js)
 ||cryptoads.space^$third-party
 @@||btcleets.xyz^$generichide
 
@@ -6629,14 +6790,14 @@ btcleets.xyz##script:inject(nano-setInte
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=htmlgames.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1864
-siamfishing.com##script:inject(abort-current-inline-script.js, is_noadblock, window.location)
+siamfishing.com##+js(abort-current-inline-script.js, is_noadblock, window.location)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1865
 @@||wroffle.com^$generichide
 wroffle.com###text-10:has-text(Advertisement)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40349
-allday2.com,itog.info,hdpicture.ru,hdrezka.*,kinogo.cc,tfile-soft.cc##script:inject(abort-current-inline-script.js, atob, constructor)
+allday2.com,itog.info,hdpicture.ru,hdrezka.*,kinogo.cc,tfile-soft.cc##+js(abort-current-inline-script.js, atob, constructor)
 allday2.com##^script:has-text(26b215c9)
 allday2.com##^script:has-text(KGZ1bmN0)
 kinogo.cc##^script:has-text(3f87b0eaddd)
@@ -6650,17 +6811,18 @@ kinogo.cc##^script:has-text(3f87b0eaddd)
 @@||tubeninja.net/ads.js$xmlhttprequest,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1868
-matly.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+matly.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+matly.me##+js(abort-on-property-write.js, smrtSB)
 @@||matly.me^$generichide
 matly.me##.bidv
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1871
-loadurl.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+loadurl.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1870
-idsly.bid##script:inject(addEventListener-defuser.js, load, adsense)
-idsly.bid##script:inject(nano-setInterval-booster.js)
-idsly.bid##script:inject(setTimeout-defuser.js, getComputedStyle, 250)
+idsly.bid##+js(addEventListener-defuser.js, load, adsense)
+idsly.bid##+js(nano-setInterval-booster.js)
+idsly.bid##+js(setTimeout-defuser.js, getComputedStyle, 250)
 idsly.bid##.col-md-3
 idsly.bid##img[src="https://idsly.bid/download3.png"]
 
@@ -6668,7 +6830,7 @@ idsly.bid##img[src="https://idsly.bid/do
 @@||sltrib.com/*/scripts/utils/ads/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1875
-patrika.com##script:inject(set-constant.js, canRunAds, true)
+patrika.com##+js(set-constant.js, canRunAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1878
 @@||agarserv.com^$generichide
@@ -6684,12 +6846,12 @@ pornbimbo.com##.bottom-adv
 @@||daciaclub.cz^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1883
-filechoco.net##script:inject(noeval.js)
+filechoco.net##+js(noeval.js)
 /pu-placer.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1887
-vipserversat.com##script:inject(setTimeout-defuser.js, nextFunction, 250)
-vipserversat.*##script:inject(window.open-defuser.js)
+vipserversat.com##+js(setTimeout-defuser.js, nextFunction, 250)
+vipserversat.*##+js(window.open-defuser.js)
 vipserversat.*###fbox-background
 vipserversat.com###open-fb
 
@@ -6698,11 +6860,11 @@ vipserversat.com###open-fb
 @@||api.bntech.io^$script,domain=buffalonews.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1890
-momondo.com##script:inject(window.open-defuser.js)
+momondo.com##+js(window.open-defuser.js)
 momondo.com##[onclick*="inline.ad"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1891
-haaretz.com##script:inject(abort-current-inline-script.js, $, AdBlockUtil)
+haaretz.com##+js(abort-current-inline-script.js, $, AdBlockUtil)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/900
 nulledpk.com##.onp-sl-content:style(display: block !important;)
@@ -6711,17 +6873,14 @@ nulledpk.com##.onp-sl-social-locker
 ! https://www.reddit.com/r/uBlockOrigin/comments/89qlyu/how_do_i_figure_out_what_type_of_adblocker_this_is/
 @@||d33wubrfki0l68.cloudfront.net/*/js/ads.js$script,domain=dlmbeta.netlify.com
 
-! https://www.reddit.com/r/uBlockOrigin/comments/89tfkf/how_do_i_stop_we_see_youre_using_an_ad_blocker/
-miaminewtimes.com##script:inject(set-constant.js, VMG.Components.Adblock, false)
-
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40386
 @@||n4mo.org/advert.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1892
-avoiderrors.com##script:inject(setTimeout-defuser.js, (), undefined)
+avoiderrors.com##+js(setTimeout-defuser.js, undefined, 10000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1894
-lovepedia.net##script:inject(bab-defuser.js)
+lovepedia.net##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1895
 slate.com##.adblock-message
@@ -6729,26 +6888,29 @@ slate.com##body:style(overflow: visible
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1897
 ! https://github.com/uBlockOrigin/uAssets/issues/2397
-anime-extremo.com##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+anime-extremo.com##+js(abort-current-inline-script.js, jQuery, Proteger)
+anime-extremo.com##+js(abort-on-property-write.js, smrtSB)
+anime-extremo.com##+js(setTimeout-defuser.js, nextFunction, 2000)
 @@||anime-extremo.com^$generichide
+anime-extremo.com##[href="https://cero.tv/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1898
-anime-rebornx.*##script:inject(bab-defuser.js)
+anime-rebornx.*##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1899
 animeidhentai.com##a[target] > img[src$=".gif"]
 animeidhentai.com##.desktopads
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1904
-cutl.in##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutl.in##script:inject(abort-on-property-write.js, adss)
-cutl.in##script:inject(nano-setInterval-booster.js)
+cutl.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutl.in##+js(abort-on-property-write.js, adss)
+cutl.in##+js(nano-setInterval-booster.js)
 
 ! https://forums.lanik.us/viewtopic.php?p=134852#p134749
-goal.com##script:inject(abort-on-property-read.js, ads)
+goal.com##+js(abort-on-property-read.js, ads)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1907
-4tests.com##script:inject(set-constant.js, adblock, false)
+4tests.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1911
 @@||apnetv.tv^$generichide
@@ -6769,7 +6931,7 @@ goal.com##script:inject(abort-on-propert
 ! https://github.com/uBlockOrigin/uAssets/issues/1910
 ||sersh.com^
 ||befuck.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.google-analytics.com
-befuck.com##script:inject(window.open-defuser.js)
+befuck.com##+js(window.open-defuser.js)
 befuck.com##.dnl
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40424
@@ -6777,66 +6939,61 @@ befuck.com##.dnl
 ||guidedhacking.com/*/ads/$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1918
-abcast.net##script:inject(bab-defuser.js)
-abcast.net##script:inject(nowebrtc.js)
-abcast.net##script:inject(window.open-defuser.js)
+abcast.net##+js(bab-defuser.js)
+abcast.net##+js(nowebrtc.js)
+abcast.net##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1921
-boveda7k.es##script:inject(addEventListener-defuser.js, load, 2000)
+boveda7k.es##+js(addEventListener-defuser.js, load, 2000)
 *.png#$image,domain=boveda7k.es,redirect=2x2-transparent.png
 @@||boveda7k.es^$generichide
 ||pvclouds.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1923
-koylinks.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+koylinks.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1922
-shorten7k.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shorten7k.com##script:inject(nano-setInterval-booster.js)
+shorten7k.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shorten7k.com##+js(nano-setInterval-booster.js)
 ||shorten7k.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com
 
-! https://github.com/uBlockOrigin/uAssets/issues/1924
-shrinkcash.com##script:inject(addEventListener-defuser.js, load, 2000)
-shrinkcash.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shrinkcash.com##script:inject(nano-setInterval-booster.js)
-
 ! https://github.com/jspenguin2017/uBlockProtector/issues/902
-niagotch.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-niagotch.com##script:inject(bab-defuser.js)
+niagotch.com##+js(abort-current-inline-script.js, atob, tabunder)
+niagotch.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1741
-theralphretort.com##script:inject(abort-on-property-write.js, adBlockDetected)
+theralphretort.com##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40436
 ||ads.puhutv.com/i.jpg$image,redirect=2x2-transparent.png
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1926
-benjaminphamchannel.com##script:inject(addEventListener-defuser.js, load, 2000)
+benjaminphamchannel.com##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://forums.lanik.us/viewtopic.php?f=90&t=40441
 @@||widget.spoods.io/loader.js$script,domain=winfuture.de
 
 ! https://forums.lanik.us/viewtopic.php?f=96&t=40440
-hdblog.it##script:inject(setInterval-defuser.js, (), 3000)
-hdblog.it##script:inject(setTimeout-defuser.js, CANG, 3000)
+hdblog.it##+js(setInterval-defuser.js, (), 3000)
+hdblog.it##+js(setTimeout-defuser.js, CANG, 3000)
 @@||hdblog.it^$generichide
 hdblog.it#@#.item_compra
 hdblog.it#@#.box_flame
 hdblog.it#@#.box_grampa_shadow
 hdblog.it##.item_prod
 hdblog.it##body:style(background: none !important; overflow: auto !important;)
-hdblog.it##[id^=google_ads_iframe]
+hdblog.it##[id^="google_ads_iframe"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1927
-clk.press##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-clk.press##script:inject(addEventListener-defuser.js, load, nextFunction)
+clk.press##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+clk.press##+js(addEventListener-defuser.js, load, nextFunction)
 @@||clk.press^$generichide
 clk.press##.adsbygoogle
 clk.press##.SC_TBlock
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1928
-clicksfly.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-clicksfly.xyz##script:inject(addEventListener-defuser.js, load, nextFunction)
+clicksfly.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+clicksfly.xyz##+js(addEventListener-defuser.js, load, nextFunction)
 @@||clicksfly.xyz^$generichide
 clicksfly.xyz##.adsbygoogle
 clicksfly.xyz##.SC_TBlock
@@ -6844,10 +7001,10 @@ clicksfly.xyz##.SC_TBlock
 ! https://forums.lanik.us/viewtopic.php?f=96&t=40447
 @@||hdmotori.it^$generichide
 hdmotori.it##body:style(background: none !important; overflow: auto !important;)
-hdmotori.it##script:inject(setTimeout-defuser.js, CANG, 3000)
+hdmotori.it##+js(setTimeout-defuser.js, CANG, 3000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1929
-cliver.tv##script:inject(abort-on-property-write.js, smrtSB)
+cliver.tv##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1931
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=zonarutoppuden.com
@@ -6855,67 +7012,73 @@ cliver.tv##script:inject(abort-on-proper
 zonarutoppuden.com##^script:has-text(3f87b0eaddd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1932
-megawarez.org##script:inject(abort-on-property-write.js, smrtSB)
+megawarez.org##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1933
 @@||solowarez.org^$generichide
-solowarez.org##script:inject(noeval.js)
-solowarez.org##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+solowarez.org##+js(noeval.js)
+solowarez.org##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1930
-peliculasio.com##script:inject(abort-on-property-write.js, smrtSB)
+peliculasio.com##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/691
 ! https://github.com/uBlockOrigin/uAssets/issues/1935
-hentai2read.com,hentai2w.com##script:inject(abort-on-property-read.js, BetterJsPop)
-hentai2read.com,hentai2w.com##script:inject(set-constant.js, ads, 1)
+hentai2read.com,hentai2w.com##+js(abort-on-property-read.js, BetterJsPop)
+hentai2read.com,hentai2w.com##+js(set-constant.js, ads, 1)
 hentai2read.com##a[href^="//www.nutaku.net/"]
 hentai2read.com##a[href^="https://network.nutaku.net/"]
 hentai2w.com###playerOverlay
 
 ! https://github.com/reek/anti-adblock-killer/issues/3973
-opus.re##script:inject(bab-defuser.js)
+opus.re##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1940
-sonpelishd.com##script:inject(abort-on-property-write.js, smrtSB)
+sonpelishd.com##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1938
-tumegadescarga.net##script:inject(abort-on-property-write.js, adsurgeNode)
+tumegadescarga.net##+js(abort-on-property-write.js, adsurgeNode)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1937
-pelislatino3gp.biz##script:inject(nowebrtc.js)
+pelislatino3gp.biz##+js(abort-on-property-read.js, _paq)
+pelislatino3gp.biz##+js(abort-on-property-write.js, smrtSB)
+pelislatino3gp.biz##+js(nowebrtc.js)
+||hugeincome.tk^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1939
-peliculasgoogledrive.info##script:inject(nowebrtc.js)
+peliculasgoogledrive.info##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1945
-clipwatching.com##script:inject(set-constant.js, adblock, false)
-clipwatching.com##script:inject(window.open-defuser.js)
+clipwatching.com##+js(set-constant.js, adblock, false)
+clipwatching.com##+js(window.open-defuser.js)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/905
-updato.com##script:inject(setTimeout-defuser.js, updato-overlay, 500)
+updato.com##+js(setTimeout-defuser.js, updato-overlay, 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1946
-animeland.tv##script:inject(abort-on-property-write.js, Fingerprint2)
-animeland.tv##script:inject(nowebrtc.js)
-animeland.tv##^script:has-text(676574456c656d656e747342795461674e616d65)
-animeland.tv##script:inject(abort-current-inline-script.js, atob, void)
+animeland.*##+js(abort-on-property-write.js, Fingerprint2)
+animeland.*##+js(nowebrtc.js)
+animeland.*##^script:has-text(676574456c656d656e747342795461674e616d65)
+animeland.*##+js(abort-current-inline-script.js, atob, void)
+lolhentai.net##+js(window.open-defuser.js)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=animeland.tv
 ! ! adding sites using the same script
-animeland.tv,animenova.org,animeplus.tv,animetoon.org,animewow.org,goodanime.co,mangareader.net,toonget.net,toonova.net##a[href$=".jpg"]
-animeland.tv,animenova.org,animeplus.tv,animetoon.org,animewow.org,goodanime.co,kiss-anime.me,mangareader.net,toonget.net,toonova.net##a[href$=".png"]
+animeland.*,animenova.org,animeplus.tv,animetoon.org,animewow.org,goodanime.co,mangareader.net,toonget.net,toonova.net##a[href$=".jpg"]
+animeland.*,animenova.org,animeplus.tv,animetoon.org,animewow.org,goodanime.co,kiss-anime.*,lolhentai.net,mangaku.info,mangareader.net,toonget.net,toonova.net##a[href$=".png"]
 memecenter.com##a[href$=".png"]
 mangareader.net##iframe[sandbox*="allow-popups-to-escape-sandbox"]
+||kiss-anime.tv^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: blob: *.fbcdn.net *.gstatic.com *.google.com *.facebook.com *.disquscdn.com *.twitter.com https://disqus.com *.addthis.com *.facebook.net *.disqus.com *.kiss-anime.tv
+kiss-anime.tv##tbody
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1949
 ||pagead2.googlesyndication.com^$script,redirect=noopjs,domain=offidocs.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1948
-tecmaxsoft.com##script:inject(nowebrtc.js)
-tecmaxsoft.com##script:inject(abort-on-property-write.js, smrtSB)
+tecmaxsoft.com##+js(nowebrtc.js)
+tecmaxsoft.com##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1950
-desmaxgo.com##script:inject(abort-on-property-write.js, smrtSB)
+desmaxgo.com##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1951
 ||googletagmanager.com/gtm.js$script,redirect=noopjs,domain=kinoheld.de
@@ -6924,55 +7087,55 @@ desmaxgo.com##script:inject(abort-on-pro
 @@||google.com^*recaptcha/$subdocument
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1957
-sharecool.us##script:inject(addEventListener-defuser.js, load, nextFunction)
+sharecool.us##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1958
 @@||androidescomplicado.*$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1959
-filmesonlinegratis.com##script:inject(abort-on-property-write.js, smrtSB)
+filmesonlinegratis.com##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1965
-freepornvideo.sex,teenpornvideo.xxx##script:inject(abort-on-property-read.js, ExoLoader.serve)
+freepornvideo.sex,teenpornvideo.xxx##+js(abort-on-property-read.js, ExoLoader.serve)
 freepornvideo.sex##noindex
 teenpornvideo.xxx##.aside-spots
 teenpornvideo.xxx##.bottom-spots
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1964
-fbdown.net##script:inject(set-constant.js, harshblock, false)
+fbdown.net##+js(set-constant.js, harshblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1963
-tubsexer.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+tubsexer.com##+js(abort-on-property-read.js, ExoLoader.serve)
 tubsexer.com###pre-1adv
 tubsexer.com##.table
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1969
-yourlust.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-yourlust.com##script:inject(popads-dummy.js)
+yourlust.com##+js(abort-on-property-read.js, ExoLoader.serve)
+yourlust.com##+js(popads-dummy.js)
 yourlust.com##.banner_right
 yourlust.com##iframe[src="/im/footer.html"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1970
-audioz.cc##script:inject(abort-current-inline-script.js, document.getElementById, adblockplus)
-audioz.cc##script:inject(bab-defuser.js)
-audioz.cc##script:inject(setTimeout-defuser.js, ShowAdbblock, 500)
-audioz.cc##script:inject(addEventListener-defuser.js, load, 2000)
+audioz.cc##+js(abort-current-inline-script.js, document.getElementById, adblockplus)
+audioz.cc##+js(bab-defuser.js)
+audioz.cc##+js(setTimeout-defuser.js, ShowAdbblock, 500)
+audioz.cc##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/719
-twitch.tv##script:inject(twitch-videoad.js)
+twitch.tv##+js(twitch-videoad.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1972
 @@||deutsche-vogelstimmen.de^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40480
-macup.org##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
+macup.org##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1975
-94lauin.com##script:inject(addEventListener-defuser.js, load, nextFunction)
+94lauin.com##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1977
-imx.to##script:inject(abort-on-property-read.js, ExoLoader.serve)
-imx.to##script:inject(popads-dummy.js)
+imx.to##+js(abort-on-property-read.js, ExoLoader.serve)
+imx.to##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1979
 @@||baomay01.com^$generichide
@@ -6982,35 +7145,35 @@ imx.to##script:inject(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1980
 ||trafforsrv.com^
-crazyshit.com##script:inject(abort-current-inline-script.js, phtData, canPopunder)
+crazyshit.com##+js(abort-current-inline-script.js, phtData, canPopunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1982
-strikeout.nu##script:inject(abort-on-property-read.js, _0xd1b1)
-strikeout.nu##script:inject(popads-dummy.js)
+strikeout.nu##+js(abort-on-property-read.js, _0xd1b1)
+strikeout.nu##+js(popads-dummy.js)
 ||clkcln.com^$popup
 ||steakafka.pro^$third-party
 ||uncyane.com^$third-party
 
 ! https://github.com/NanoAdblocker/NanoDefender/issues/38
-lejdd.fr##script:inject(abort-on-property-read.js, SmartWallSDK)
+lejdd.fr##+js(abort-on-property-read.js, SmartWallSDK)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1984
 @@||forum.mgame.us^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1986
-xilften.net##script:inject(abort-on-property-write.js, smrtSB)
-xilften.net##script:inject(abort-on-property-write.js, smrtSP)
-unitplay.net##script:inject(abort-on-property-read.js, popTimes)
+xilften.net##+js(abort-on-property-write.js, smrtSB)
+xilften.net##+js(abort-on-property-write.js, smrtSP)
+unitplay.net##+js(abort-on-property-read.js, popTimes)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1988
-cashat.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cashat.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1989
-ab-short.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-ab-short.com##script:inject(nano-setInterval-booster.js)
+ab-short.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+ab-short.com##+js(nano-setInterval-booster.js)
 
 ! https://forums.lanik.us/viewtopic.php?p=135238#p135238
-ivg.it##script:inject(abort-on-property-read.js, adBlockDetected)
+ivg.it##+js(abort-on-property-read.js, adBlockDetected)
 ivg.it##.slider-elezioni-bottom-container
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1992
@@ -7021,16 +7184,21 @@ peliculastoday.com##.selected:has-text(A
 peliculasmx.net###pbar_outerdiv
 peliculasmx.net##.selected:has-text(Ads)
 ||acortame.net^
+peliculasmx.net##+js(nowebrtc.js)
+peliculasmx.net##+js(abort-on-property-write.js, _pop)
+peliculasmx.net##+js(abort-on-property-write.js, segs_pop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1998
-povw1deo.com,powvideo.net##script:inject(window.open-defuser.js)
+povw1deo.com,powvideo.*##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1995
-ciberdvd.*##script:inject(window.open-defuser.js)
-ciberdvd.*##script:inject(abort-on-property-write.js, smrtSB)
+ciberdvd.*##+js(window.open-defuser.js)
+ciberdvd.*##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1996
-ojomovies.com##script:inject(abort-on-property-write.js, Fingerprint2)
+ojomovies.com##+js(abort-on-property-write.js, Fingerprint2)
+ojomovies.com##+js(abort-on-property-write.js, smrtSB)
+ojomovies.com##.anuncionomovil
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2001
 @@||windows10gadgets.pro^$generichide
@@ -7039,35 +7207,32 @@ ojomovies.com##script:inject(abort-on-pr
 @@||ilpuntotecnicoeadsl.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2005
-practicetestgeeks.com##script:inject(bab-defuser.js)
+practicetestgeeks.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2006
 freestocks.org##.popup
 
-! https://github.com/uBlockOrigin/uAssets/issues/2008
-@@||gentside.com.br/*/advertisement.js$xmlhttprequest,first-party
-
 ! https://github.com/uBlockOrigin/uAssets/issues/2009
-elfqrin.com##script:inject(setTimeout-defuser.js, alert, 8000)
+elfqrin.com##+js(setTimeout-defuser.js, alert, 8000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2011
-secretflying.com##script:inject(abort-on-property-read.js, anOptions)
+secretflying.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40509
-mikymoons.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-mikymoons.com##script:inject(nano-setInterval-booster.js)
+mikymoons.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+mikymoons.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2016
-speed4up.com##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
+speed4up.com##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2017
-toptech360.com##script:inject(setTimeout-defuser.js, nextFunction, 500)
+toptech360.com##+js(setTimeout-defuser.js, nextFunction, 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2018
-anonymousemail.me##script:inject(abort-current-inline-script.js, document.getElementById, adblock)
+anonymousemail.me##+js(abort-current-inline-script.js, document.getElementById, adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2019
-porngem.com##script:inject(popads-dummy.js)
+porngem.com##+js(popads-dummy.js)
 ||porngem.com/ai/*$subdocument,first-party
 porngem.com##.video-right
 
@@ -7075,67 +7240,74 @@ porngem.com##.video-right
 @@||e-komplet.dk^$generichide
 
 ! https://issues.adblockplus.org/ticket/6598
-coed.com##script:inject(abort-on-property-read.js, TextDecoder)
+coed.com##+js(abort-on-property-read.js, TextDecoder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2026
-onprojectfreetv.com##script:inject(bab-defuser.js)
-onprojectfreetv.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-onprojectfreetv.com##script:inject(nowebrtc.js)
+onprojectfreetv.com##+js(bab-defuser.js)
+onprojectfreetv.com##+js(abort-current-inline-script.js, atob, tabunder)
+onprojectfreetv.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2027
-verpeliculasenlatino.com##script:inject(abort-on-property-write.js, smrtSB)
-verpeliculasenlatino.com##script:inject(set-constant.js, _popwnd, true)
+verpeliculasenlatino.com##+js(abort-on-property-write.js, smrtSB)
+verpeliculasenlatino.com##+js(set-constant.js, _popwnd, true)
 verpeliculasenlatino.com##.adsmovie
 verpeliculasenlatino.com##.pfake
+||verpeliculasenlatino.com/player/show.php
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2029
-goldpelis.net##script:inject(abort-on-property-write.js, smrtSB)
+goldpelis.net##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2030
-peliculasveo.gratis##script:inject(abort-on-property-write.js, Fingerprint2)
-peliculasveo.gratis##.btn-block
-||amgload.net^$xmlhttprequest,redirect=nooptext,domain=peliculasveo.gratis
-||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=peliculasveo.gratis
-peliculasveo.gratis##^script:has-text(3f87b0eaddd)
+peliculasveo.gratis,peliculasver.online##+js(abort-on-property-write.js, Fingerprint2)
+peliculasveo.gratis,peliculasver.online##.btn-block
+||amgload.net^$xmlhttprequest,redirect=nooptext,domain=peliculasveo.gratis|peliculasver.online
+||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=peliculasveo.gratis|peliculasver.online
+peliculasveo.gratis,peliculasver.online##^script:has-text(3f87b0eaddd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2033
-cartoon8.tv##script:inject(set-constant.js, check_adblock, true)
-
-! https://github.com/uBlockOrigin/uAssets/issues/2031
-solarmoviefreez.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-||imgur.com/*.png$image,domain=solarmoviefreez.com
+cartoon8.tv##+js(set-constant.js, check_adblock, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2035
-emol.com##script:inject(abort-on-property-write.js, OA_zones)
+emol.com##+js(abort-on-property-write.js, OA_zones)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40519
 encceja2018.pro.br##.blocker-overlay
 encceja2018.pro.br##.blocker-notice
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8dk0dl/foxebook_redirect_ad_only_when_ublock_is_active/
-foxebook.net##script:inject(abort-current-inline-script.js, atob, tabunder)
+foxebook.net##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40530
-0123movies.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+0123movies.com##+js(abort-current-inline-script.js, atob, tabunder)
 @@||imdb.com^$popup,domain=0123movies.com
 
 ! https://forums.lanik.us/viewtopic.php?p=135477#p135477
 @@||btc-echo.de^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2040
-asr-games.net##script:inject(abort-current-inline-script.js, document.getElementById, undefined)
+asr-games.net##+js(abort-current-inline-script.js, document.getElementById, undefined)
 
 ! https://forum.kuketz-blog.de/viewtopic.php?f=29&p=7929
 ! https://github.com/uBlockOrigin/uAssets/issues/845
+! https://github.com/uBlockOrigin/uAssets/issues/3438
+! https://github.com/uBlockOrigin/uAssets/issues/3443
+! https://www.reddit.com/r/uBlockOrigin/comments/9imaqx/help_blocking_video_ads/
+||damoh.cinema.de/*$media,redirect=noopmp3-0.1s,domain=cinema.de
+||damoh.gmx.net/*$media,redirect=noopmp3-0.1s,domain=gmx.net
 ||damoh.golem.de/*$media,redirect=noopmp3-0.1s,domain=golem.de
 ||damoh.n-tv.de/*$media,redirect=noopmp3-0.1s,domain=n-tv.de
+||damoh.tvnow.de/*$media,redirect=noopmp3-0.1s,domain=tvnow.de
 ||damoh.watchbox.de/*$media,redirect=noopmp3-0.1s,domain=watchbox.de
+||damoh.web.de/*$media,redirect=noopmp3-0.1s,domain=web.de
+! https://github.com/uBlockOrigin/uAssets/issues/3443#issuecomment-420714439
+||amazonaws.com/homad-global-configs.schneevonmorgen.com/global_config.json$xmlhttprequest,redirect=nooptext,domain=tele5.de
+! ||damoh.tele5.de/*$media,redirect=noopmp3-0.1s,domain=tele5.de
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2041
-akorto.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-akorto.com##script:inject(abort-on-property-read.js, fuckAdBlock)
-akorto.com##script:inject(abort-on-property-read.js, open)
-akorto.com##script:inject(nano-setInterval-booster.js)
+akorto.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+akorto.com##+js(abort-on-property-read.js, fuckAdBlock)
+akorto.com##+js(abort-on-property-read.js, open)
+akorto.com##+js(nano-setInterval-booster.js)
 ||tweowhvrim.review^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2045
@@ -7146,43 +7318,45 @@ artikeltekno.com##.top_banner
 ! https://github.com/uBlockOrigin/uAssets/issues/2048
 @@||gifswithsound.eu^$generichide
 
-! https://forums.lanik.us/viewtopic.php?f=62&t=40103
-foxsports.com.au##script:inject(abort-on-property-write.js, XMLHttpRequest.prototype.realSend)
+! https://forums.lanik.us/viewtopic.php?f=62&t=41254
+foxsports.com.au##+js(set-constant.js, cxStartDetectionProcess, noopFunc)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/911
-zlounge.co##script:inject(bab-defuser.js)
+zlounge.co##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2060
-nicematin.com##script:inject(abort-current-inline-script.js, $, checkAds)
+nicematin.com##+js(abort-current-inline-script.js, $, checkAds)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2065
-faucy.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+faucy.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2064
-thememypc.net##script:inject(abort-on-property-read.js, Abd_Detector)
+thememypc.net##+js(abort-on-property-read.js, Abd_Detector)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2063
-eurosolidaire.com##script:inject(setTimeout-defuser.js, aavvvya)
+eurosolidaire.com##+js(setTimeout-defuser.js, aavvvya)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2068
-cityam.com##script:inject(setTimeout-defuser.js, (), AdBlock)
+cityam.com##+js(setTimeout-defuser.js, t(), 0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2061
-thesimsresource.com##script:inject(nano-setInterval-booster.js)
-thesimsresource.com##script:inject(set-constant.js, isAdBlocked, false)
+thesimsresource.com##+js(nano-setInterval-booster.js)
+thesimsresource.com##+js(set-constant.js, isAdBlocked, false)
 
 ! https://github.com/reek/anti-adblock-killer/issues/3999
-animesync.tv##script:inject(abort-current-inline-script.js, document.getElementById, Blocking)
+! https://github.com/uBlockOrigin/uAssets/issues/3420
+animesync.tv##+js(abort-current-inline-script.js, document.getElementById, Blocking)
+@@||animesync.tv^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?p=135590#p135590
-gnula.nu##script:inject(abort-current-inline-script.js, atob, tabunder)
-gnula.nu##script:inject(abort-current-inline-script.js, decodeURI, zfgloadedpopup)
-gnula.nu##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+gnula.nu##+js(abort-current-inline-script.js, atob, tabunder)
+gnula.nu##+js(abort-current-inline-script.js, decodeURI, zfgloadedpopup)
+gnula.nu##+js(abort-current-inline-script.js, parseInt, tabunder)
 ||best-cdn.pl^
 ||netflare.info^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2076
-overthumbs.com##script:inject(abort-on-property-read.js, raConf)
+overthumbs.com##+js(abort-on-property-read.js, raConf)
 overthumbs.com##.ntvAds
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2075
@@ -7193,47 +7367,51 @@ xbabe.com##.bnnr
 xbabe.com##.bnnrs-bottom
 
 ! https://github.com/reek/anti-adblock-killer/issues/4002
-top9space.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-top9space.com##script:inject(nano-setInterval-booster.js)
+top9space.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+top9space.com##+js(nano-setInterval-booster.js)
 
 ! https://www.camp-firefox.de/forum/viewtopic.php?p=1081244#p1081244
 ||akamaihd.net/vod/*$media,redirect=noopmp3-0.1s,domain=7tv.de
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2082
-satcesc.com##script:inject(abort-current-inline-script.js, anOptions)
-satcesc.com##script:inject(abort-current-inline-script.js, document.oncontextmenu)
+satcesc.com##+js(abort-current-inline-script.js, anOptions)
+satcesc.com##+js(abort-current-inline-script.js, document.oncontextmenu)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8eu975/embedded_twitter_posts_being_cropped/
 @@||deadspin.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2085
-pornoreino.com##script:inject(abort-on-property-read.js, ExoLoader)
+pornoreino.com##+js(abort-on-property-read.js, ExoLoader)
 pornoreino.com##.banner
 
 ! https://forums.lanik.us/viewtopic.php?p=135735#p135735
 ! https://forums.lanik.us/viewtopic.php?f=103&t=41081
-atresplayer.com##script:inject(setTimeout-defuser.js, _creatBait)
+atresplayer.com##+js(setTimeout-defuser.js, _creatBait)
 @@||adpass.atresmedia.com/*/adjs.js$xmlhttprequest,domain=atresplayer.com
 @@||atresplayer.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2088
-animedigitalnetwork.fr##script:inject(set-constant.js, adblocked, false)
+animedigitalnetwork.fr##+js(set-constant.js, adblocked, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2091
 @@||jpidols.tv^$generichide
-jpidols.tv##script:inject(setInterval-defuser.js)
-jpidols.tv##script:inject(nowebrtc.js)
-jpidols.tv##script:inject(noeval.js)
-jpidols.tv##[id^=bsa]
+jpidols.tv##+js(setInterval-defuser.js)
+jpidols.tv##+js(nowebrtc.js)
+jpidols.tv##+js(noeval.js)
+jpidols.tv##[id^="bsa"]
 ||smopy.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2089
-gamesplaza.com##script:inject(set-constant.js, noAdblock, true)
-video-static.tunnl.com##script:inject(set-constant.js, canRunAds, true)
+! https://github.com/uBlockOrigin/uAssets/issues/3248
+gamesplaza.com##+js(set-constant.js, noAdblock, true)
+@@||games.gamesplaza.com/shared/loader/gads.js$script,first-party
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=games.gamesplaza.com
+@@||gamesplaza.com^$generichide
+video-static.tunnl.com##+js(set-constant.js, canRunAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2097
 @@||dogefaucet.com^$generichide
-dogefaucet.com##script:inject(set-constant.js, $.adblock, false)
+dogefaucet.com##+js(set-constant.js, $.adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2094
 @@||jppinto.com^$generichide
@@ -7249,26 +7427,31 @@ dogefaucet.com##script:inject(set-consta
 @@||mytunnel.info^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2092
-shrt10.com##script:inject(abort-on-property-read.js,app_vars.force_disable_adblock)
-shrt10.com##script:inject(nano-setInterval-booster.js)
+shrt10.com##+js(abort-on-property-read.js,app_vars.force_disable_adblock)
+shrt10.com##+js(nano-setInterval-booster.js)
 ||dx-tv.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2093
-fxporn69.*##script:inject(addEventListener-defuser.js, click, exopop)
-fxporn69.*##script:inject(set-constant.js, adblock, noopFunc)
-fxporn69.*##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+fxporn69.*##+js(addEventListener-defuser.js, click, exopop)
+fxporn69.*##+js(set-constant.js, adblock, noopFunc)
+fxporn69.*##+js(setTimeout-defuser.js, nextFunction, 2000)
 @@||stream.porntv69.com/*/advertisement.js$script,first-party
 porntv69.com##.banner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2103
-vipbox.live##script:inject(abort-on-property-write.js, Fingerprint2)
+vipbox.live##+js(abort-on-property-write.js, Fingerprint2)
+vipbox.live##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+vipbox.live##+js(setInterval-defuser.js, (), 500)
+vipbox.live##+js(window.open-defuser.js)
+||vipbox.live/sw.js$script
 ||olswr.27684.club^$third-party
 ||valshara.com^$third-party
-||vipbox.live/sw.js$script
+*$popup,domain=vipbox.live
 vipbox.live##a[href^="https://s3.amazonaws.com/"]
+vipbox.live##.btn-lg.btn
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2104
-wkyc.com##script:inject(abort-current-inline-script.js, btoa)
+wkyc.com##+js(abort-current-inline-script.js, btoa)
 wkyc.com##.grid__sticky-column_side_left
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/915
@@ -7277,23 +7460,23 @@ crackllc.com##.onp-sl-social-locker
 crackllc.com##a[href^="https://dartfolior.info/"]
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40607
-animeid.tv##script:inject(nowebrtc.js)
+animeid.tv##+js(nowebrtc.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40609
-pinoybay.ch##script:inject(nowebrtc.js)
-pinoybay.ch##script:inject(set-constant.js, allowads, 1)
-estream.*##script:inject(abort-on-property-read.js, _0x372a)
+pinoybay.ch##+js(nowebrtc.js)
+pinoybay.ch##+js(set-constant.js, allowads, 1)
+estream.*##+js(abort-on-property-read.js, _0x372a)
 ||estream.to^$script
 ||estream.nu^$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2111
 nation.co.ke##^script:has-text(BOOTLOADER_LOADED)
-geo.fr,nation.co.ke##script:inject(abort-on-property-write.js, $getWin)
+geo.fr,nation.co.ke##+js(abort-on-property-write.js, $getWin)
 ||uzwcfbi.com^
 ||cwxiazwt.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2109
-tfc.tv##script:inject(abort-on-property-write.js, adBlockDetected)
+tfc.tv##+js(abort-on-property-write.js, adBlockDetected)
 @@||tfc.tv/Scripts/*ads.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2115
@@ -7308,29 +7491,29 @@ tfc.tv##script:inject(abort-on-property-
 ! https://github.com/uBlockOrigin/uAssets/issues/2478
 ! https://github.com/uBlockOrigin/uAssets/issues/2490
 ! https://github.com/uBlockOrigin/uAssets/issues/3016
-pluspremieres.*##script:inject(abort-current-inline-script.js, $, adblock)
+pluspremieres.*##+js(abort-current-inline-script.js, $, adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2119
-cwin.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cwin.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2120
-dlik.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-dlik.win##script:inject(abort-current-inline-script.js, atob, tabunder)
+dlik.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+dlik.win##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2121
-ms4link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+ms4link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2122
-hotcopper.com.au##script:inject(abort-current-inline-script.js, $, blockAds)
+hotcopper.com.au##+js(abort-current-inline-script.js, $, blockAds)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40623
-uploadbr.com##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
+uploadbr.com##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40624
 @@||xmp3.xyz^$generichide
-xmp3.xyz##script:inject(abort-current-inline-script.js, atob, tabunder)
-xmp3.xyz##script:inject(noeval.js)
-xmp3.xyz##script:inject(abort-on-property-write.js, smrtSP)
+xmp3.xyz##+js(abort-current-inline-script.js, atob, tabunder)
+xmp3.xyz##+js(noeval.js)
+xmp3.xyz##+js(abort-on-property-write.js, smrtSP)
 ||xmp3.xyz^$csp=child-src 'self' *.onesignal.com *.facebook.com
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/916
@@ -7339,7 +7522,7 @@ jcbtechno.com##.adsbygoogle
 jcbtechno.com##a[href^="https://www.anrdoezrs.net/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2132
-kenhtao.net##script:inject(abort-on-property-read.js, anOptions)
+kenhtao.net##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2131
 @@||movieforhd.com^$generichide
@@ -7368,29 +7551,29 @@ trekbbs.com##div[style^="width:970px"]
 @@||btcsmile.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2142
-hdbox.ws##script:inject(bab-defuser.js)
+hdbox.ws##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2128
 ||piguiqproxy.com^$xmlhttprequest,domain=chia-anime.tv
 ||chia-anime.tv/thebox.php$subdocument,first-party
-chia-anime.tv##script:inject(abort-on-property-read.js, document.styleSheets)
-chia-anime.tv##script:inject(nano-setTimeout-booster.js)
+chia-anime.tv##+js(abort-on-property-read.js, document.styleSheets)
+chia-anime.tv##+js(nano-setTimeout-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2129
-mp4mania.xyz##script:inject(abort-on-property-read.js, zoneNativeSett)
-mp4mania.xyz##script:inject(nowebrtc.js)
-mp4mania.xyz##script:inject(setTimeout-defuser.js, _creatBait)
+mp4mania.xyz##+js(abort-on-property-read.js, zoneNativeSett)
+mp4mania.xyz##+js(nowebrtc.js)
+mp4mania.xyz##+js(setTimeout-defuser.js, _creatBait)
 @@||cloudflare.com/ajax/libs/fuckadblock/*$script,domain=mp4mania.xyz
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2130
 @@||benkhouya.com^$script,domain=anonymousemail.me
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2137
-timeforbitco.in##script:inject(set-constant.js, adBlock, false)
+timeforbitco.in##+js(set-constant.js, adBlock, false)
 @@||timeforbitco.in^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2143
-inmanga.com##script:inject(abort-current-inline-script.js, setTimeout, manageAntiBlock)
+inmanga.com##+js(abort-current-inline-script.js, setTimeout, manageAntiBlock)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/919
 designmodo.com##.onp-sl-content:style(display: block !important;)
@@ -7401,62 +7584,62 @@ ctrl.blog##.abox
 ||ctrl.blog/ac/rba$subdocument,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2150
-ekhtsr.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-ekhtsr.net##script:inject(nano-setInterval-booster.js)
+ekhtsr.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+ekhtsr.net##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2151
-corme.site##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-corme.site##script:inject(nano-setInterval-booster.js)
-corme.site##script:inject(abort-on-property-write.js, Fingerprint2)
+corme.site##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+corme.site##+js(nano-setInterval-booster.js)
+corme.site##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2149
 @@||adz.bz^$generichide
 adz.bz###frameAd:style(height: 51 px !important; display: block !important; visibility: collapse !important;)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40642
-3rabcut.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-3rabcut.com##script:inject(nano-setInterval-booster.js)
-3rabcut.com##script:inject(abort-on-property-read.js, open)
+3rabcut.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+3rabcut.com##+js(nano-setInterval-booster.js)
+3rabcut.com##+js(abort-on-property-read.js, open)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2153
 */wp-content/plugins/adunblocker/*$script,first-party
 ! https://github.com/uBlockOrigin/uAssets/commit/de1a12fbfcc5bf8942173a395e3746cc45575166#commitcomment-28816238
-ad4msan.com##script:inject(addEventListener-defuser.js, load, adsense)
-ad4msan.com##script:inject(setTimeout-defuser.js, getComputedStyle, 250)
+ad4msan.com##+js(addEventListener-defuser.js, load, adsense)
+ad4msan.com##+js(setTimeout-defuser.js, getComputedStyle, 250)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2154
-japscan.*##script:inject(abort-on-property-write.js, Fingerprint2)
+japscan.*##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2158
-3bst.co##script:inject(abort-on-property-read.js,app_vars.force_disable_adblock)
-3bst.co##script:inject(nano-setInterval-booster.js)
+3bst.co##+js(abort-on-property-read.js,app_vars.force_disable_adblock)
+3bst.co##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2159
-watchearn.me##script:inject(abort-on-property-read.js,app_vars.force_disable_adblock)
-watchearn.me##script:inject(nano-setInterval-booster.js)
+watchearn.me##+js(abort-on-property-read.js,app_vars.force_disable_adblock)
+watchearn.me##+js(nano-setInterval-booster.js)
 ||youtube.com/embed/$subdocument,domain=link.watchearn.me
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2160
-wezo.me##script:inject(abort-on-property-read.js,app_vars.force_disable_adblock)
+wezo.me##+js(abort-on-property-read.js,app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2161
-arabdollar.com##script:inject(abort-on-property-read.js,app_vars.force_disable_adblock)
-arabdollar.com##script:inject(nano-setInterval-booster.js)
+arabdollar.com##+js(abort-on-property-read.js,app_vars.force_disable_adblock)
+arabdollar.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2162
-urls-short.com##script:inject(abort-on-property-read.js,app_vars.force_disable_adblock)
+urls-short.com##+js(abort-on-property-read.js,app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2163
-pes-patch.com##script:inject(bab-defuser.js)
+pes-patch.com##+js(bab-defuser.js)
 
 ! https://github.com/reek/anti-adblock-killer/issues/4022
-autovisie.nl##script:inject(set-constant.js, canRunAds, 0)
+autovisie.nl##+js(set-constant.js, canRunAds, 0)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/922
-download.ipeenk.com##script:inject(abort-on-property-write.js, Fingerprint2)
+download.ipeenk.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2166
-cnnturk.com##script:inject(set-constant.js, hasAdBlock, false)
+cnnturk.com##+js(set-constant.js, hasAdBlock, false)
 ||gemius.pl/gplayer.js$script,redirect=noopjs,domain=cnnturk.com
 @@||cnnturk.com/action/media/$xmlhttprequest,first-party
 @@||dogannet.tv/*/comscore/streamsense.$script,domain=cnnturk.com
@@ -7465,29 +7648,31 @@ cnnturk.com##script:inject(set-constant.
 ||portalcentric.net/cdn-cgi/apps/head/$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2168
-revivelink.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+revivelink.com##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2169
-kodi-tutorials.uk##script:inject(bab-defuser.js)
+kodi-tutorials.uk##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2170
-moviesak47.net##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-moviesak47.net##script:inject(popads-dummy.js)
+moviesak47.net##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+moviesak47.net##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2171
-luxembourgmeetstheworld.com##script:inject(abort-on-property-write.js, Fingerprint2)
+luxembourgmeetstheworld.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2173
-sportlife.es##script:inject(set-constant.js, blockAdBlock, noopFunc)
+sportlife.es##+js(set-constant.js, blockAdBlock, noopFunc)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40656
-xcafe.com##script:inject(abort-on-property-read.js, ExoLoader.addZone)
-xcafe.com##script:inject(popads-dummy.js)
+xcafe.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+xcafe.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2176
 *$subdocument,domain=vidto.se
-vidto.se##script:inject(abort-on-property-write.js, Fingerprint2)
-vidto.se##script:inject(window.open-defuser.js)
+vidto.se##+js(abort-on-property-write.js, Fingerprint2)
+vidto.se##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+vidto.se##+js(setInterval-defuser.js, (), 500)
+vidto.se##+js(window.open-defuser.js)
 ##a[href*="/open?bver"]
 ##a[href*="/open?refer"]
 
@@ -7501,27 +7686,26 @@ cinedoblego.com##.accordion .sub-menu:st
 e-mailscamalerts.*##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2180
-hacknetfl1x.net##script:inject(addEventListener-defuser.js, load, 2000)
+hacknetfl1x.net##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2184
-d0stream.com##script:inject(nano-setTimeout-booster.js)
+d0stream.com##+js(nano-setTimeout-booster.js)
 @@||d0stream.com/*/ads.js$script,first-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8h4udu/solarmoviezto_saying_disable_adblock_despite/
-loadvid.online##script:inject(set-constant.js, adBlockNotDetected, true)
-loadvid.online##script:inject(set-constant.js, pop_cnt, 2)
-loadvid.online##script:inject(setTimeout-defuser.js, _creatBait)
-loadvid.online##script:inject(abort-current-inline-script.js, fileID, adblock)
+loadvid.online##+js(abort-current-inline-script.js, fileID, adblock)
+loadvid.online##+js(abort-on-property-read.js, BetterJsPop)
+loadvid.online##+js(set-constant.js, adBlockNotDetected, true)
+loadvid.online##+js(set-constant.js, pop_cnt, 2)
+loadvid.online##+js(setTimeout-defuser.js, _creatBait)
+||bit.ly^$subdocument,domain=loadvid.online
 solarmoviez.*,yesmovies.to##a[href^="https://watchasap.com/"]
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40676
-inhabitat.com##script:inject(abort-on-property-read.js, registerSlideshowAd)
-
-! https://github.com/uBlockOrigin/uAssets/issues/2188
-phoenixnewtimes.com##script:inject(set-constant.js, VMG.Components.Adblock, false)
+inhabitat.com##+js(abort-on-property-read.js, registerSlideshowAd)
 
 ! https://forums.lanik.us/viewtopic.php?p=136237#p136237
-mujeres-desnudas.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+mujeres-desnudas.com##+js(abort-on-property-read.js, ExoLoader.serve)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2191
 @@||tvarticles.me^$generichide
@@ -7530,16 +7714,16 @@ mujeres-desnudas.com##script:inject(abor
 @@||newsforbolly.org^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2193
-vertelevisor.com##script:inject(nowebrtc.js)
+vertelevisor.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2194
 *$subdocument,domain=lusthero.com,third-party
-lusthero.com##script:inject(setTimeout-defuser.js, (), 50)
+lusthero.com##+js(setTimeout-defuser.js, (), 50)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1849
 ! https://forums.lanik.us/viewtopic.php?p=136255#p136255
-m4ufree.*,streamm4u.*##script:inject(nowebrtc.js)
-m4ufree.*,streamm4u.*##script:inject(abort-current-inline-script.js, atob, tabunder)
+m4ufree.*,streamm4u.*##+js(nowebrtc.js)
+m4ufree.*,streamm4u.*##+js(abort-current-inline-script.js, atob, tabunder)
 ##[href^="//look.ufinkln.com/"]
 ##[href*="https://recommendedforyou.xyz/"]
 ||m4ufree.*$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.google-analytics.com *.jwpcdn.com *.twimg.com *.twitter.com *.hydrax.net *.facebook.com *.googleapis.com *.facebook.net *.iomovies.info
@@ -7553,7 +7737,7 @@ mega-estrenos.org##.linkhidder.alikemal
 @@||audiograb.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2199
-peliculasputlocker.co##script:inject(set-constant.js, blockAdBlock, noopFunc)
+peliculasputlocker.co##+js(set-constant.js, blockAdBlock, noopFunc)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39212
 ||toots-a.akamaihd.net/priority/*ITVMarketing$media,redirect=noopmp4-1s,domain=itv.com
@@ -7562,8 +7746,8 @@ peliculasputlocker.co##script:inject(set
 mail.yahoo.com##div[aria-describedby="adblock-upsell-description"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2198
-peliculas-mp4.com##script:inject(abort-on-property-write.js, adsurgeNode)
-peliculas-mp4.com##script:inject(setTimeout-defuser.js, (), undefined)
+peliculas-mp4.com##+js(abort-on-property-write.js, adsurgeNode)
+peliculas-mp4.com##+js(setTimeout-defuser.js, rejectWith)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/926
 @@||anime-update*.*^$generichide
@@ -7575,8 +7759,8 @@ peliculas-mp4.com##script:inject(setTime
 avclub.com,deadspin.com,earther.com,gizmodo.com,jalopnik.com,jezebel.com,kotaku.com,lifehacker.com,splinternews.com,thetakeout.com,theroot.com##article.postlist__item:has(.meta__network)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2200
-cmacapps.com,techsini.com##script:inject(abort-current-inline-script.js, jQuery, Adblocker)
-cmacapps.com##script:inject(nowebrtc.js)
+cmacapps.com,techsini.com##+js(abort-current-inline-script.js, jQuery, Adblocker)
+cmacapps.com##+js(nowebrtc.js)
 @@||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$xmlhttprequest,domain=cmacapps.com
 ||basepush.com^
 ||fortpush.com^
@@ -7585,11 +7769,11 @@ cmacapps.com##script:inject(nowebrtc.js)
 @@||itdunya.pk^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2203
-pichodescargas.com##script:inject(set-constant.js, blockAdBlock, noopFunc)
+pichodescargas.com##+js(set-constant.js, blockAdBlock, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2204
 @@||worldfreeware.com^$generichide
-worldfreeware.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+worldfreeware.com##+js(abort-current-inline-script.js, atob, tabunder)
 ||luckypushh.com^
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2205
@@ -7601,7 +7785,7 @@ tibiabr.com##div[id^="div-gpt-ad"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2208
 @@||dompl3.info^$generichide
-dompl3.info##script:inject(nowebrtc.js)
+dompl3.info##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2206
 ||springserve.com/vast/*einthusan$xmlhttprequest,redirect=nooptext,domain=imasdk.googleapis.com
@@ -7613,60 +7797,61 @@ dompl3.info##script:inject(nowebrtc.js)
 bestgore.com##.ai_widget:has-text(Log In)
 
 ! https://forums.lanik.us/viewtopic.php?p=136393#p136393
-tusfiles.com,tusfiles.net##script:inject(abort-on-property-write.js, Fingerprint2)
-tusfiles.com##script:inject(window.open-defuser.js)
+tusfiles.com,tusfiles.net##+js(abort-on-property-write.js, Fingerprint2)
+tusfiles.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2216
-lyon.kim##script:inject(setTimeout-defuser.js, popupContainer, 1000)
-lyon.kim##script:inject(addEventListener-defuser.js, DOMContentLoaded, Popup)
+lyon.kim##+js(setTimeout-defuser.js, popupContainer, 1000)
+lyon.kim##+js(addEventListener-defuser.js, DOMContentLoaded, Popup)
 
 ! example link http://bitcolife.ru/doge2/?token=ca17ee37ba5d5d211662d5671
-bitcolife.ru##script:inject(bab-defuser.js)
+bitcolife.ru##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2219
-mykinggo.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+mykinggo.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2220
-short4fly.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+short4fly.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2221
-elkolx1.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-elkolx1.com##script:inject(nano-setInterval-booster.js)
+elkolx1.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+elkolx1.com##+js(nano-setInterval-booster.js)
+elkolx1.com##+js(abort-current-inline-script.js, decodeURI, atob)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2222
-cut-ps.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cut-ps.com##script:inject(nano-setInterval-booster.js)
+cut-ps.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut-ps.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2223
-donia2link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+donia2link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2224
-geistlink.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+geistlink.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40704&p=136397#p136373
-pornspark.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-pornspark.com##script:inject(setTimeout-defuser.js, textContent, 600)
+pornspark.com##+js(abort-current-inline-script.js, atob, tabunder)
+pornspark.com##+js(setTimeout-defuser.js, textContent, 600)
 pornspark.com##[href*=".php"]
 ||tubecorporate.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2226
 ! https://github.com/uBlockOrigin/uAssets/issues/2383
-techmoviles.com##script:inject(abort-on-property-read.js, ai_debugging)
+techmoviles.com##+js(abort-on-property-read.js, ai_debugging)
 @@||techmoviles.com^$generichide
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/928
-savetodrive.net##script:inject(setTimeout-defuser.js, isAdsBlocked, 2000)
+savetodrive.net##+js(setTimeout-defuser.js, isAdsBlocked, 2000)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/929
-gsul.me##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-gsul.me##script:inject(nano-setInterval-booster.js)
+gsul.me##+js(abort-current-inline-script.js, parseInt, tabunder)
+gsul.me##+js(nano-setInterval-booster.js)
 gsul.me##^script:has-text(decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2231
-mp4cloud.net##script:inject(set-constant.js, detector_active, true)
+mp4cloud.net##+js(set-constant.js, detector_active, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2232
-seriesblanco.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+seriesblanco.com##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2234
 @@||wallpaperenginefree.com^$generichide
@@ -7675,30 +7860,32 @@ seriesblanco.com##script:inject(abort-cu
 @@||mixmods.com.br^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2236
-nuevos-mu.ucoz.com##script:inject(addEventListener-defuser.js, load, 2000)
-at.ua,ucoz.com,ucoz.net,ucoz.ru,ucoz.ua##script:inject(abort-current-inline-script.js, atob, tabunder)
+nuevos-mu.ucoz.com##+js(addEventListener-defuser.js, load, 2000)
+at.ua,ucoz.com,ucoz.net,ucoz.ru,ucoz.ua##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://forums.lanik.us/viewtopic.php?p=136424#p136424
-libertaddigital.com##script:inject(set-constant.js, publd.ads_blocked, false)
+libertaddigital.com##+js(set-constant.js, publd.ads_blocked, false)
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=storage.oraclecloud.com
 @@||storage.oraclecloud.com/*/smartclip-services/sc_player/$script,first-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8vg377/how_to_block_ads_that_change_names_all_the_time/
-dailydot.com##script:inject(set-constant.js, oio, true)
+dailydot.com##+js(set-constant.js, oio, true)
 ! Fix navbar being stuck in the middle of the page
 dailydot.com##.dd-nav-global:style(top: 0 !important; transform: none !important;)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2241
-giuliamanset.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-giuliamanset.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-giuliamanset.com##script:inject(window.open-defuser.js)
-giuliamanset.com##script:inject(abort-on-property-write.js, Fingerprint2)
+giuliamanset.com##+js(abort-current-inline-script.js, atob, tabunder)
+giuliamanset.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+giuliamanset.com##+js(window.open-defuser.js)
+giuliamanset.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2242
-pornfay.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-pornfay.com##script:inject(abort-on-property-write.js, GPU)
-pornfay.com##script:inject(setTimeout-defuser.js, textContent, 600)
-pornfay.com##script:inject(window.open-defuser.js)
+pornfay.com##+js(abort-current-inline-script.js, atob, tabunder)
+pornfay.com##+js(abort-on-property-write.js, GPU)
+pornfay.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+pornfay.com##+js(setInterval-defuser.js, (), 500)
+pornfay.com##+js(setTimeout-defuser.js, textContent, 600)
+pornfay.com##+js(window.open-defuser.js)
 ||pvrtx.net^
 pornfay.com##.bottom-adv
 pornfay.com##[href="http://pornfay.com/xxx/free-porn-videos.php"]
@@ -7707,10 +7894,10 @@ pornfay.com##[href="http://pornfay.com/x
 @@||fuyufs.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2244
-post4earn.com##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
+post4earn.com##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/930
-damasgate.com##script:inject(bab-defuser.js)
+damasgate.com##+js(bab-defuser.js)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/70
 @@||gomovies.cd^$generichide
@@ -7721,17 +7908,18 @@ damasgate.com##script:inject(bab-defuser
 @@||streamapi.xyz/ad/banner/*$xmlhttprequest,first-party
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40729&sid=ae2544373bf857109fa3bbe74f0c8c65
-streamanime.tv##script:inject(set-constant.js, AlobaidiDetectAdBlock, true)
+streamanime.tv##+js(set-constant.js, AlobaidiDetectAdBlock, true)
+@@||streamanime.tv^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40727
 @@||aphim.co^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40730
-shrinkpe.com,shrnk.xyz,shrten.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shrinkpe.com,shrnk.xyz,shrten.xyz##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+shrinkpe.com,shrnk.xyz,shrten.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shrinkpe.com,shrnk.xyz,shrten.xyz##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2247
-finofilipino.org##script:inject(set-constant.js, caca, noopFunc)
+finofilipino.org##+js(set-constant.js, caca, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2249
 in.search.yahoo.com###right:has-text(/ ads /i)
@@ -7740,16 +7928,19 @@ in.search.yahoo.com##.reg:has([href*="ac
 in.search.yahoo.com##.reg:has([href*="clk"])
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40733
-mypornstarbook.net##script:inject(abort-on-property-read.js, ExoLoader.serve)
+mypornstarbook.net##+js(abort-on-property-read.js, ExoLoader.serve)
 mypornstarbook.net##table > tbody > tr:has-text(Advertisement)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2252
-mbahhanif.site##script:inject(abort-on-property-write.js, hidekeep)
+mbahhanif.site##+js(abort-on-property-write.js, hidekeep)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2254
-mazterize.me,masterkreatif.com##script:inject(abort-on-property-write.js, Fingerprint2)
+mazterize.*,masterkreatif.com##+js(abort-on-property-write.js, Fingerprint2)
+||masterkreatif.com/sw.js$script
 masterkreatif.com###fbox-background
+masterkreatif.com##input#user-act
 mazterize.me,masterkreatif.com##.user
+mazterize.com##center
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2255
 ||pagead2.googlesyndication.com^$script,redirect=noopjs,domain=sportspf.com
@@ -7759,23 +7950,23 @@ mazterize.me,masterkreatif.com##.user
 @@||seriesgato.tv^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2260
-grantorrent.net##script:inject(abort-on-property-write.js, Fingerprint2)
-grantorrent.net##script:inject(abort-on-property-read.js, _0x9fec)
+grantorrent.net##+js(abort-on-property-write.js, Fingerprint2)
+grantorrent.net##+js(abort-on-property-read.js, _0x9fec)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=16610
-ddlvalley.*##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-ddlvalley.*##script:inject(abort-on-property-write.js, Fingerprint2)
+ddlvalley.*##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+ddlvalley.*##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2263
-speedtest.net##script:inject(set-constant.js, isBlocked, false)
+speedtest.net##+js(set-constant.js, isBlocked, false)
 
 ! https://forums.lanik.us/viewtopic.php?p=136580#p136580
-seehd.pl##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-seehd.pl##script:inject(setInterval-defuser.js, (), 500)
-seehd.pl##script:inject(window.open-defuser.js)
+seehd.pl##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+seehd.pl##+js(setInterval-defuser.js, (), 500)
+seehd.pl##+js(window.open-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40741
-mangaku.in##script:inject(nowebrtc.js)
+mangaku.in##+js(nowebrtc.js)
 ||mangaku.in/Gambar/Ads$subdocument
 ||mangaku.in/manga/img/*-background.
 mangaku.in###cba
@@ -7783,26 +7974,26 @@ mangaku.in###kanan
 benfile.org##[href="https://javtoys.com"]
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=29217
-mac2sell.net##script:inject(setTimeout-defuser.js, adblock, 200)
+mac2sell.net##+js(setTimeout-defuser.js, adblock, 200)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2267
-xberuang.*##script:inject(set-constant.js, safelink.adblock, false)
-xberuang.*##script:inject(nano-setInterval-booster.js)
+xberuang.*##+js(set-constant.js, safelink.adblock, false)
+xberuang.*##+js(nano-setInterval-booster.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=91&t=40756
 @@||v.fwmrm.net/ad/g/$xmlhttprequest,domain=mycanal.fr
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40758
-goafricaonline.com##script:inject(abort-on-property-read.js, goafricaSplashScreenAd)
+goafricaonline.com##+js(abort-on-property-read.js, goafricaSplashScreenAd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2271
 @@||marcosfranciscodesouza.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2273
-9ketsuki.info##script:inject(bab-defuser.js)
+9ketsuki.info##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2274
-gigadownloads.co##script:inject(bab-defuser.js)
+gigadownloads.co##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2275
 @@||intoupload.com^$generichide
@@ -7812,64 +8003,64 @@ gigadownloads.co##script:inject(bab-defu
 @@||youmath.it^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2280
-egy.best,egybest.site##script:inject(window.open-defuser.js)
-egy.best,egybest.site##script:inject(nowebrtc.js)
-egy.best,egybest.site##script:inject(set-constant.js, _AdBlock, noopFunc)
+egy.best,egybest.site##+js(window.open-defuser.js)
+egy.best,egybest.site##+js(nowebrtc.js)
+egy.best,egybest.site##+js(set-constant.js, _AdBlock, noopFunc)
 
 ! https://github.com/NanoAdblocker/NanoDefender/issues/42
-freetutorials.us##script:inject(abort-on-property-write.js, Fingerprint2)
+freetutorials.us##+js(abort-on-property-write.js, Fingerprint2)
 @@||freetutorials.us^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2281
 @@||billiongraves.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2282
-ashemaletube.com##script:inject(set-constant.js, popunder, noopFunc)
+ashemaletube.com##+js(set-constant.js, popunder, noopFunc)
 ||las4srv.com^
 ashemaletube.com##.ads-block-rightside
 
 ! piguiqproxy ads https://mirsegondya.com/politika/shantazh-s-pritselom-na-rossiyu-eksperty-raskryli-sut-horoshej-sdelki-kotoruyu-tramp-predlagaet-iranu/
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=mirsegondya.com
-mirsegondya.com##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+mirsegondya.com##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40768
 @@||connectwww.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2286
-hotscope.tv##script:inject(window.open-defuser.js)
-hotscope.tv##script:inject(popads-dummy.js)
+hotscope.tv##+js(window.open-defuser.js)
+hotscope.tv##+js(popads-dummy.js)
 ||hotscope.tv^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: https://disqus.com *.disqus.com *.google-analytics.com *.disquscdn.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2287
-japanesefuck.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+japanesefuck.com##+js(abort-on-property-read.js, ExoLoader.serve)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2292
 */wp-content/plugins/deadblocker/*$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2293
-der-postillon.com##script:inject(setTimeout-defuser.js, (), undefined)
+der-postillon.com##+js(setTimeout-defuser.js, rejectWith)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2294
-todopolicia.com##script:inject(abort-on-property-write.js, AdBlockDetectorWorkaround)
+todopolicia.com##+js(abort-on-property-write.js, AdBlockDetectorWorkaround)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2288
 @@||freeiptv.life^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2289
-poedb.tw##script:inject(abort-current-inline-script.js, document.getElementById, modal)
+poedb.tw##+js(abort-current-inline-script.js, document.getElementById, modal)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2290
 @@||tubitv.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2291
-uploadkadeh.com##script:inject(bab-defuser.js)
+uploadkadeh.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2283
 ! https://github.com/uBlockOrigin/uAssets/issues/2349
-search.stream.cr##script:inject(abort-current-inline-script.js, $, _0x)
-stream.cr##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-stream.cr##script:inject(abort-on-property-write.js, Fingerprint2)
-stream.cr##script:inject(popads-dummy.js)
+search.stream.cr##+js(abort-current-inline-script.js, $, _0x)
+stream.cr##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+stream.cr##+js(abort-on-property-write.js, Fingerprint2)
+stream.cr##+js(popads-dummy.js)
 ||search.stream.cr/cdn-cgi/apps/head/*$script,first-party
 ||search.stream.cr/core/webfonts.js$script
 ||search.stream.cr/sw.js$script,first-party
@@ -7882,26 +8073,26 @@ stream.cr##script:inject(popads-dummy.js
 search.stream.cr###iFrameResizer0
 
 ! https://github.com/NanoAdblocker/NanoCore/issues/166
-cine.to##script:inject(abort-on-property-read.js, _0x68fb)
+cine.to##+js(abort-on-property-read.js, _0x68fb)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2296
 @@||afdah.to/show-ad*.js$script,first-party
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40784
-crus.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-crus.io##script:inject(nano-setInterval-booster.js)
+crus.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+crus.io##+js(nano-setInterval-booster.js)
 
 ! https://forums.lanik.us/viewtopic.php?p=136714#p136714
-4cut.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-4cut.io##script:inject(nano-setInterval-booster.js)
+4cut.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+4cut.io##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2306
-micloudfiles.com##script:inject(addEventListener-defuser.js, load, 2000)
-micloudfiles.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+micloudfiles.com##+js(addEventListener-defuser.js, load, 2000)
+micloudfiles.com##+js(abort-current-inline-script.js, atob, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2305
-zdonlot.in##script:inject(abort-on-property-write.js, Fingerprint2)
-zdonlot.in##script:inject(nano-setInterval-booster.js)
+zdonlot.in##+js(abort-on-property-write.js, Fingerprint2)
+zdonlot.in##+js(nano-setInterval-booster.js)
 liz.zdonlot.in###my-modal
 liz.zdonlot.in##.in.fade.modal-backdrop
 ||apps.drakor.id/images/$image
@@ -7910,14 +8101,17 @@ liz.zdonlot.in###fob
 medbooksvn.donlot.in##[src$=".gif"]
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40787
-coinfaucet.io##script:inject(abort-current-inline-script.js, atob, tabunder)
-coinfaucet.io,freecardano.com,freenem.com##script:inject(nowebrtc.js)
-coinfaucet.io##script:inject(abort-current-inline-script.js, decodeURI, zfgloadedpopup)
+coinfaucet.io##+js(abort-current-inline-script.js, atob, tabunder)
+coinfaucet.io,freecardano.com,freenem.com##+js(nowebrtc.js)
+coinfaucet.io##+js(abort-current-inline-script.js, decodeURI, zfgloadedpopup)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2308
 ! https://github.com/uBlockOrigin/uAssets/issues/2369
-porntopic.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-porntopic.com##script:inject(abort-on-property-read.js, _cpp)
+porntopic.com##+js(abort-current-inline-script.js, atob, tabunder)
+porntopic.com##+js(abort-on-property-read.js, _cpp)
+porntopic.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+porntopic.com##+js(setInterval-defuser.js, (), 500)
+porntopic.com##+js(abort-on-property-write.js, Fingerprint2)
 ||porntopic.com/*.php$popup,first-party
 @@||porntopic.com/player/player_ads.html$subdocument,first-party
 
@@ -7926,11 +8120,11 @@ porntopic.com##script:inject(abort-on-pr
 cloudstorageoptions.com##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2300
-cbc.ca##script:inject(abort-on-property-write.js, XMLHttpRequest.prototype.realSend)
+cbc.ca##+js(abort-on-property-write.js, XMLHttpRequest.prototype.realSend)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2313
-sitioswebmexi.com##script:inject(nano-setInterval-booster.js)
-sitioswebmexi.com##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+sitioswebmexi.com##+js(nano-setInterval-booster.js)
+sitioswebmexi.com##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2312
 @@||coinad.com/ads/show/show.php$subdocument,domain=bitfun.co|moonbitcoin.cash
@@ -7943,22 +8137,20 @@ moonbitcoin.cash###slideIn
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40798
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40799
-yify-torrent.xyz,ytsyify.com##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-
-! https://github.com/uBlockOrigin/uAssets/issues/2319
-segodnya.ua##script:inject(abort-on-property-read.js, mz_str)
+yify-torrent.xyz,ytsyify.com##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2320
-freemcserver.net##script:inject(bab-defuser.js)
+freemcserver.net##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2322
-up-4.net##script:inject(nowebrtc.js)
+up-4.net##+js(nowebrtc.js)
+up-4.net##+js(abort-current-inline-script.js, atob, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2323
-royurls.bid##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+royurls.bid##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2324
-shorterlink.trade##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+shorterlink.trade##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40809
 @@||getfreesmsnumber.com^$generichide
@@ -7968,46 +8160,47 @@ shorterlink.trade##script:inject(abort-o
 @@||cdn-surfline.com/*/ads.js$script,domain=surfline.com
 
 ! popups http://assia.tv/live/betsport/?lang=rs
-assia.tv##script:inject(set-constant.js, ClickUnder, noopFunc)
+assia.tv##+js(set-constant.js, ClickUnder, noopFunc)
 
 ! http://cricfree.sc/update/skysportsmix.php (using webtv.ws server) popups
-webtv.ws##script:inject(window.open-defuser.js)
+webtv.ws##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2327
-dallasnews.com##script:inject(setTimeout-defuser.js, initializeCourier, 3000)
+dallasnews.com##+js(setTimeout-defuser.js, initializeCourier, 3000)
 @@||courier-js.dallasnews.com^$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2328
-comment-tech.com##script:inject(abort-on-property-read.js, anOptions)
+comment-tech.com##+js(abort-on-property-read.js, anOptions)
 */mts_ad_sense/*$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2329
-nulledteam.com##script:inject(setInterval-defuser.js, visibility, 1000)
+nulledteam.com##+js(setInterval-defuser.js, visibility, 1000)
+nulledteam.com##+js(abort-on-property-read.js, adblock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40812
-turbobit.net##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-turbobit.net##script:inject(abort-on-property-read.js, open)
-turbobit.net##script:inject(popads-dummy.js)
+turbobit.net##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+turbobit.net##+js(abort-on-property-read.js, open)
+turbobit.net##+js(popads-dummy.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40461
-mangapanda.com##script:inject(set-constant.js, Math.random, trueFunc)
+mangapanda.com##+js(set-constant.js, Math.random, trueFunc)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/80
 @@||bigspeeds.com/*/advertisement.js$script,first-party
 
 ! https://forums.lanik.us/viewtopic.php?p=136716#p136716
-link.tl##script:inject(abort-on-property-read.js, _0xbeb9)
-link.tl##script:inject(nano-setInterval-booster.js, , 1800)
+link.tl##+js(abort-on-property-read.js, _0xbeb9)
+link.tl##+js(nano-setInterval-booster.js, , 1800)
 ||link.tl/interstitial/*$subdocument,first-party
 ||link.tl/splash/*$script,first-party
 ||jetinteraktif.com^$image,domain=link.tl
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40825
-premiumzen.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-premiumzen.com##script:inject(nano-setInterval-booster.js)
+premiumzen.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+premiumzen.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2335
-nzbstars.com##script:inject(set-constant.js, adsBlocked, noopFunc)
+nzbstars.com##+js(set-constant.js, adsBlocked, noopFunc)
 ||nzbstars.com/images/*.gif$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2336
@@ -8017,41 +8210,41 @@ nzbstars.com##script:inject(set-constant
 @@||muhendisimaaslari.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2339
-cash4url.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cash4url.com##script:inject(nano-setInterval-booster.js)
+cash4url.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cash4url.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2340
-freemegalinks.com##script:inject(bab-defuser.js)
+freemegalinks.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2342
-frkn64modding.com##script:inject(abort-on-property-read.js, anOptions)
+frkn64modding.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2337
-cutsmile.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutsmile.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/reek/anti-adblock-killer/issues/4046
-diavoletto-tv.com##script:inject(abort-on-property-write.js, KillAdBlock)
+diavoletto-tv.com##+js(abort-on-property-write.js, KillAdBlock)
 
 ! https://github.com/reek/anti-adblock-killer/issues/4047
-eg4earn.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+eg4earn.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 ||templeteking.com^$subdocument,domain=eg4earn.com
 eg4earn.com#@#.banner-468x60
 eg4earn.com#@#.banner-728x90
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2345
-linkshorts.net##script:inject(set-constant.js, ab, false)
+linkshorts.net##+js(set-constant.js, ab, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2348
-yfilmy.sk##script:inject(set-constant.js, canRunAds, true)
-yfilmy.sk##[class^=frame-over]
+yfilmy.sk##+js(set-constant.js, canRunAds, true)
+yfilmy.sk##[class^="frame-over"]
 yfilmy.sk##[href*="/PartnerRedirectAction.do"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2350
 @@||cdn.vuplay.co.uk/*/comscore.$script,domain=sporza.be
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=35089#p131529
-arabloads.net##script:inject(abort-current-inline-script.js, atob, tabunder)
-arabloads.net##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+arabloads.net##+js(abort-current-inline-script.js, atob, tabunder)
+arabloads.net##+js(abort-current-inline-script.js, parseInt, tabunder)
 
 ! https://forums.lanik.us/viewtopic.php?f=96&t=40712
 @@||accordo.it/js/advert.js$first-party
@@ -8059,99 +8252,112 @@ accordo.it###bglink
 ||assets.accordo.it/cloud-assets/x/sfondi/
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40849
-mkvcage.ws##script:inject(abort-on-property-read.js, encodeURIComponent)
+mkvcage.ws##+js(abort-on-property-read.js, encodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uBlock-issues/issues/48
-kino-hd1080.ru##script:inject(abort-on-property-read.js, performance)
+kino-hd1080.ru##+js(abort-on-property-read.js, performance)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/79
-bitcoinspinner.io##script:inject(bab-defuser.js)
+bitcoinspinner.io##+js(bab-defuser.js)
 @@||bitcoinspinner.io/themes/*/ads.js$xmlhttprequest,first-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8lmjam/please_help_me_bypass_the_adblock_detection_on/
-dreamdth.com##script:inject(set-constant.js, adBlockDetected, false)
+dreamdth.com##+js(set-constant.js, adBlockDetected, false)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40852
-seatguru.com##script:inject(window.open-defuser.js)
+seatguru.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2358
-javcare.com##script:inject(setTimeout-defuser.js, (), 7000)
+javcare.com##+js(setTimeout-defuser.js, (), 7000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2359
-vixenless.com##script:inject(abort-current-inline-script.js, azar, redirect)
+vixenless.com##+js(abort-current-inline-script.js, azar, redirect)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2361
-megaxtreme.net,zoogirls.org##script:inject(abort-on-property-write.js, Fingerprint2)
-megaxtreme.net##script:inject(abort-current-inline-script.js, clickObject, redirect)
-zoogirls.org##script:inject(bab-defuser.js)
-zoogirls.org##script:inject(noeval.js)
+megaxtreme.net,zoogirls.org##+js(abort-on-property-write.js, Fingerprint2)
+megaxtreme.net##+js(abort-current-inline-script.js, clickObject, redirect)
+zoogirls.org##+js(bab-defuser.js)
+zoogirls.org##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2362
-camwhores.tv##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-camwhores.tv##script:inject(abort-on-property-read.js, _wm)
-camwhores.tv##script:inject(abort-on-property-read.js, loadTool)
+camwhores.tv##+js(abort-current-inline-script.js, parseInt, tabunder)
+camwhores.tv##+js(abort-on-property-read.js, _wm)
+camwhores.tv##+js(abort-on-property-read.js, loadTool)
 ||camsoda1.com/promos/iframe/*$subdocument,domain=camwhores.tv
 ||lexozfldkklgvc.com^$third-party
 ||lite-iframe.stripcdn.com^$subdocument,domain=camwhores.tv
 camwhores.tv##.row-models
 camwhores.tv###list_videos_friends
+*$subdocument,domain=camwhores.tv
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2364
 ! https://github.com/uBlockOrigin/uAssets/issues/2376
-bestialitytaboo.tv,bestialitysextaboo.com,mujeresdesnudas.club##script:inject(abort-current-inline-script.js, $, azar)
-bestialitysexanimals.com,bestialporn.com,mujeresdesnudas.club,mynakedwife.video##script:inject(abort-on-property-read.js, open)
-zootube1.com##script:inject(abort-on-property-read.js, popunderSetup)
-videoszoofiliahd.com##script:inject(abort-on-property-read.js, open)
-videoszoofiliahd.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, popunder)
-asiananimaltube.org,zoosex.pink##script:inject(window.open-defuser.js)
+bestialitytaboo.tv,bestialitysextaboo.com,mujeresdesnudas.club##+js(abort-current-inline-script.js, $, azar)
+bestialitysexanimals.com,bestialporn.com,mujeresdesnudas.club,mynakedwife.video##+js(abort-on-property-read.js, open)
+zootube1.com##+js(abort-on-property-read.js, popunderSetup)
+videoszoofiliahd.com##+js(abort-on-property-read.js, open)
+videoszoofiliahd.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, popunder)
+asiananimaltube.org,zoosex.pink##+js(window.open-defuser.js)
 videoszoofiliahd.com##[href^="https://redirect.ero-advertising.com/"]
 allbestiality.com,beastwomans.com,beastzoo.org,bestialitysexvideos.com,bestialitytaboo.tv,bestialityworld.org,bestialporn.net,bestialzoo.*,fakingszoo.com,hispajotes.com,portalzoo.com,videosbizarre.com,zoofiliak9.com,zoofilianet.com,zoofiliataboo.com,zookings.com,zoosexnet.com,zoosexsite.com,zootubex.tv,zootubex.us##[href^="https://www.skypeis"]
 ! https://github.com/uBlockOrigin/uAssets/issues/2364#issuecomment-393353226
-pornfay.com,pornscum.com,pornspark.com,porntopic.com##script:inject(abort-on-property-read.js, loadTool)
+pornfay.com,pornscum.com,pornspark.com,porntopic.com##+js(abort-on-property-read.js, loadTool)
+pornspark.com##+js(abort-on-property-read.js, _cpp)
+pornspark.com##+js(abort-on-property-write.js, Fingerprint2)
 ||grtyb.com^$third-party
 ||irtyf.com^
 ||ochko.biz^$domain=asiananimaltube.org
 ! https://github.com/uBlockOrigin/uAssets/issues/2364#issuecomment-406739691
-xxxtubezoo.com,zooredtube.com##script:inject(abort-on-property-read.js, popunderSetup)
-xxxtubezoo.com,zooredtube.com##script:inject(addEventListener-defuser.js, DOMContentLoaded, preventExit)
+xxxtubezoo.com,zooredtube.com##+js(abort-on-property-read.js, popunderSetup)
+xxxtubezoo.com,zooredtube.com##+js(addEventListener-defuser.js, DOMContentLoaded, preventExit)
+datoporn.co##+js(set-constant.js, cRAds, true)
+||datoporn.co^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: blob: *.peer5.com
+datoporn.co##+js(window.open-defuser.js)
+! https://github.com/uBlockOrigin/uAssets/issues/2364#issuecomment-420387843
+xblaze.com##+js(abort-on-property-read.js, encodeURIComponent)
+xblaze.com###newVisitorPopup
+xblaze.com##.in.modal-backdrop
+xblaze.com##[href^="http://track."]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2365
-fapdig.com##script:inject(popads-dummy.js)
+fapdig.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2366
 ! https://github.com/uBlockOrigin/uAssets/issues/2367
 ! https://github.com/uBlockOrigin/uAssets/issues/2368
 ! https://github.com/uBlockOrigin/uAssets/issues/2379
-pornbraze.com##script:inject(popads-dummy.js)
-fembed.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-fembed.com##script:inject(setInterval-defuser.js, (), 500)
+! https://github.com/uBlockOrigin/uAssets/issues/3292
+pornbraze.com##+js(popads-dummy.js)
+fembed.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+fembed.com##+js(setInterval-defuser.js, (), 500)
+fembed.com##+js(abort-on-property-read.js, decodeURI)
 ||kidnepishlient.pro^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2370
-videos1002.com##script:inject(abort-current-inline-script.js, $, azar)
+videos1002.com##+js(abort-current-inline-script.js, $, azar)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2371
-vietmod.pro##script:inject(bab-defuser.js)
+vietmod.pro##+js(bab-defuser.js)
 
 ! https://github.com/reek/anti-adblock-killer/issues/4053
-udemycoursedownloader.net##script:inject(abort-on-property-write.js, KillAdBlock)
+udemycoursedownloader.net##+js(abort-on-property-write.js, KillAdBlock)
 
 ! https://github.com/reek/anti-adblock-killer/issues/4055
-musculacao.net##script:inject(abort-on-property-read.js, anOptions)
+musculacao.net##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2377
-2ddl.*##script:inject(abort-on-property-write.js, _pop)
-2ddl.*,ancensored.com,ganol.*,ganool.*##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-2ddl.*,ancensored.com,ganol.*,ganool.*##script:inject(setInterval-defuser.js, (), 500)
-ganol.*,ganool.*##script:inject(nowebrtc.js)
+2ddl.*##+js(abort-on-property-write.js, _pop)
+2ddl.*,ancensored.com,ganol.*,ganool.*##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+2ddl.*,ancensored.com,ganol.*,ganool.*##+js(setInterval-defuser.js, (), 500)
+ganol.*,ganool.*##+js(nowebrtc.js)
 ||d0p21g2fep.com^$third-party
 ||s24hc8xzag.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2380
-sportnews.to##script:inject(abort-on-property-write.js, KillAdBlock)
+sportnews.to##+js(abort-on-property-write.js, KillAdBlock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2382
-0mniscient.github.io##script:inject(bab-defuser.js)
+0mniscient.github.io##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=98&t=39364
 kinozal.tv##^script:has-text(676574456c656d656e747342795461674e616d65)
@@ -8160,26 +8366,26 @@ kinozal.tv##^script:has-text(676574456c6
 !#endif
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2394
-shortez.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-shortez.com##script:inject(nano-setInterval-booster.js)
+shortez.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+shortez.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2396
-hvylya.net##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+hvylya.net##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2398
-tvcatchup.com##script:inject(bab-defuser.js)
+tvcatchup.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2399
-viewasian.tv##script:inject(set-constant.js, allow_ads, true)
+viewasian.tv##+js(set-constant.js, allow_ads, true)
 viewasian.tv##.inside-video
 viewasian.tv##.inside-video-before
-viewasian.tv##script:inject(nowebrtc.js)
+viewasian.tv##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2400
 @@||h-anime.com^$generichide
 h-anime.com##[href^="https://www.yedclip.com/"]
-h-anime.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-h-anime.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+h-anime.com##+js(abort-current-inline-script.js, atob, tabunder)
+h-anime.com##+js(abort-current-inline-script.js, parseInt, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2401
 @@||nysexoffenders.com^$generichide
@@ -8189,55 +8395,52 @@ h-anime.com##script:inject(abort-current
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2403
 @@||faststore.org^$generichide
-faststore.org##script:inject(abort-on-property-write.js, Fingerprint2)
+faststore.org##+js(abort-on-property-write.js, Fingerprint2)
 faststore.org##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2406
-empressleak.biz##script:inject(popads-dummy.js)
+empressleak.biz##+js(popads-dummy.js)
 ||empressleak.biz/wp-content/uploads/*skin.jpg$image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2407
-zoosintabues.com##script:inject(abort-on-property-write.js, Fingerprint2)
+zoosintabues.com##+js(abort-on-property-write.js, Fingerprint2)
 @@||zoosintabues.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=40357
 ! https://github.com/uBlockOrigin/uAssets/issues/661
 @@*$generichide,domain=boards.net|freeforums.net|proboards.com
 /tortoise.min.js$domain=boards.net|freeforums.net|proboards.com
-boards.net,freeforums.net,proboards.com##script:inject(abort-current-inline-script.js, $, vglnk)
+boards.net,freeforums.net,proboards.com##+js(abort-current-inline-script.js, $, vglnk)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8n1sk4/vidcloud_blocking_but_sometimes_doesnt/
 ! https://github.com/NanoAdblocker/NanoFilters/issues/154
-vcstream.to##script:inject(abort-on-property-read.js, BetterJsPop)
-vcstream.to##script:inject(set-constant.js, pop_cnt, 2)
-vcstream.to##script:inject(setTimeout-defuser.js, _creatBait)
+vcstream.to##+js(abort-on-property-read.js, BetterJsPop)
+vcstream.to##+js(set-constant.js, pop_cnt, 2)
+vcstream.to##+js(setTimeout-defuser.js, _creatBait)
 @@||cdnjs.cloudflare.com/*/fuckadblock.min.js$script,domain=vcstream.to
 
-! https://github.com/reek/anti-adblock-killer/issues/4061
-||player-abc.glomex.com^$media,redirect=noopmp3-0.1s,domain=player.glomex.com
-
 ! https://github.com/uBlockOrigin/uAssets/issues/2413
-crackedgameservers.com##script:inject(set-constant.js, adblock, false)
+crackedgameservers.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2414
-pelisplanet.com##script:inject(abort-on-property-write.js, smrtSB)
-pelisplanet.com##script:inject(abort-on-property-write.js, smrtSP)
+pelisplanet.com##+js(abort-on-property-write.js, smrtSB)
+pelisplanet.com##+js(abort-on-property-write.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2411
 macwelt.de##.loaded.standard.marketplace
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2415
-inkapelis.com##script:inject(abort-on-property-write.js, smrtSB)
-inkapelis.com##script:inject(abort-on-property-write.js, smrtSP)
+inkapelis.com##+js(abort-on-property-write.js, smrtSB)
+inkapelis.com##+js(abort-on-property-write.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2416
-cuevana3.com##script:inject(abort-on-property-write.js, popUpUrl)
-||cuevana3.com/*.php$subdocument
+cuevana3.*##+js(abort-on-property-write.js, popUpUrl)
+||cuevana3.*/*.php$subdocument
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2417
-cinemitas.com##script:inject(nowebrtc.js)
-cinemitas.com##script:inject(abort-on-property-write.js, smrtSB)
-cinemitas.com##script:inject(abort-on-property-write.js, smrtSP)
+cinemitas.com##+js(nowebrtc.js)
+cinemitas.com##+js(abort-on-property-write.js, smrtSB)
+cinemitas.com##+js(abort-on-property-write.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2418
 @@||chimica-online.it^$generichide
@@ -8246,185 +8449,191 @@ cinemitas.com##script:inject(abort-on-pr
 @@||xianzhenyuan.cn/*/adjs.$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2421
-almasdarnews.com##script:inject(abort-on-property-read.js, ai_debugging)
+almasdarnews.com##+js(abort-on-property-read.js, ai_debugging)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2422
-pinknews.co.uk##script:inject(abort-on-property-read.js, HTMLScriptElement)
+pinknews.co.uk##+js(abort-on-property-read.js, HTMLScriptElement)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2423 https://github.com/uBlockOrigin/uAssets/issues/2424
-yoututosjeff.*,yoututosjeff1.*##script:inject(addEventListener-defuser.js, load, 2000)
+yoututosjeff.*,yoututosjeff1.*##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2419
-techmantium.com##script:inject(set-constant.js, adsbygoogle, true)
-techmantium.com##script:inject(set-constant.js, adsbygoogle.loaded, true)
-techmantium.com##script:inject(set-constant.js, ga, true)
+techmantium.com##+js(set-constant.js, adsbygoogle, true)
+techmantium.com##+js(set-constant.js, adsbygoogle.loaded, true)
+techmantium.com##+js(set-constant.js, ga, true)
 
 ! https://forums.lanik.us/viewtopic.php?f=103&t=40888
 @@||andaluciainformacion.es^$generichide
 ||andaluciainformacion.es/*banner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2426
-efukt.com##script:inject(addEventListener-defuser.js, click, preventDefault)
-efukt.com##script:inject(popads-dummy.js)
-efukt.com##script:inject(setTimeout-defuser.js, _0x, 2000)
+efukt.com##+js(addEventListener-defuser.js, click, preventDefault)
+efukt.com##+js(popads-dummy.js)
+efukt.com##+js(setTimeout-defuser.js, _0x, 2000)
+||syndication.twitter.com/i/jot$subdocument,domain=efukt.com,important
 efukt.com##[href^="https://efukt.com/videos/naughty/"]
 efukt.com##.hide_before:has([href*="?utm_source=efukt"])
 efukt.com##div.tile:has(a[href^="https://efukt.com/out.php"])
 efukt.com##.efukt-widget-slider-nice-try-adblockers
 efukt.com##.plugs-nice-try-adblockers
-||afgr3.com^$third-party
-||afgr10.com^$third-party
-||awept.com^$third-party
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/943
-htmlpublish.com##script:inject(set-constant.js, adBlockerEnabled, false)
+htmlpublish.com##+js(set-constant.js, adBlockerEnabled, false)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/944
 @@||godmode-trader.de^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2427
-ownhax.com##script:inject(bab-defuser.js)
+ownhax.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2428
-gtaall.com##script:inject(nowebrtc.js)
+gtaall.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2429
-pornskirt.com##script:inject(abort-on-property-write.js, UAParser)
+pornskirt.com##+js(abort-on-property-write.js, UAParser)
 
 ! https://forums.lanik.us/viewtopic.php?p=137413#p137413
-upbom.com##script:inject(nowebrtc.js)
+upbom.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2434
 ||googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=arlinadzgn.com|idntheme.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2437
-dynamo.kiev.ua##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+dynamo.kiev.ua##+js(set-constant.js, atob, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2439
-danpod.work##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-danpod.work##script:inject(nowebrtc.js)
+danpod.work##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+danpod.work##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2440
-kimo-link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+kimo-link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/946
-download.hr##script:inject(set-constant.js, detector_active, true)
+download.hr##+js(set-constant.js, detector_active, true)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/89
 sportsvideo.net##+js(abort-on-property-read.js, adblockDetector)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&p=137465
-subsmovies.nl##script:inject(abort-current-inline-script.js, atob, void)
-subsmovies.nl##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-subsmovies.nl##script:inject(abort-on-property-read.js, mz_str)
-subsmovies.nl##script:inject(abort-on-property-write.js, Fingerprint2)
-subsmovies.nl##^script:has-text(13a60edeb)
-||subsmovies.nl/sw.js$script
+! https://www.reddit.com/r/uBlockOrigin/comments/9l81mh/ubo_has_recently_started_to_let_a_lot_of_ads/
+subsmovies.*##+js(abort-on-property-write.js, _pop)
+subsmovies.*##+js(abort-on-property-write.js, Fingerprint2)
+subsmovies.*##+js(set-constant.js, atob, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2442
-animeyt.tv##script:inject(set-constant.js, loadingAds, true)
+animeyt.tv##+js(set-constant.js, loadingAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2443
-brainly.*##script:inject(addEventListener-defuser.js, message, data.slice)
+brainly.*##+js(addEventListener-defuser.js, message, data.slice)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2444
-fotbolltransfers.com##script:inject(abort-on-property-read.js, adBlockDetected)
+fotbolltransfers.com##+js(abort-on-property-read.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2445
-androidaba.com##script:inject(abort-on-property-write.js, adBlockDetected)
+androidaba.com##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2446
-ilpuntotecnico.com##script:inject(abort-on-property-write.js, anOptions)
+ilpuntotecnico.com##+js(abort-on-property-write.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2447
-comptoir-hardware.com##script:inject(bab-defuser.js)
+comptoir-hardware.com##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2449
-a2zapk.com##script:inject(set-constant.js, ads, true)
+a2zapk.com##+js(set-constant.js, ads, true)
 
 ! https://github.com/reek/anti-adblock-killer/issues/4071
-o2tvseries.com##script:inject(abort-on-property-write.js, adBlockDetected)
-o2tvseries.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-o2tvseries.com##script:inject(nowebrtc.js)
-o2tvseries.com##script:inject(setInterval-defuser.js, (), 500)
+o2tvseries.com##+js(abort-on-property-write.js, adBlockDetected)
+o2tvseries.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+o2tvseries.com##+js(nowebrtc.js)
+o2tvseries.com##+js(setInterval-defuser.js, (), 500)
 ||putrr8.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2452
-watchtheoffice.online##script:inject(abort-on-property-write.js, _pop)
+! https://github.com/NanoMeow/QuickReports/issues/34
+watchtheoffice.online##+js(abort-on-property-write.js, _pop)
+watchtheoffice.online##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2454
-cellmapper.net##script:inject(set-constant.js, adTestPass, true)
+cellmapper.net##+js(set-constant.js, adTestPass, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2455
-tvtropes.org##script:inject(abort-on-property-read.js, Uint8Array)
+tvtropes.org##+js(abort-on-property-read.js, Uint8Array)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8obvtx/started_getting_some_odd_behavior_on/
-igg-games.com##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+igg-games.com##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+igg-games.com##+js(abort-on-property-read.js, zfgloadedpopup)
 igg-games.com##a[href$=".jpg"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2456
-javwhores.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-javwhores.com##script:inject(setInterval-defuser.js, (), 500)
+javwhores.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+javwhores.com##+js(setInterval-defuser.js, (), 500)
 ||aj1198.online^$third-party
 ||ed9wkbpy.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2458
-pornrabbit.com##script:inject(window.open-defuser.js)
+pornrabbit.com##+js(window.open-defuser.js)
 ||pornrabbit.com/d2.php$script,first-party
 pornrabbit.com##.close-ad
 pornrabbit.com##.txt-a
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2457
-camwhoresbay.com##script:inject(popads-dummy.js)
+camwhoresbay.com##+js(popads-dummy.js)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=38116
-watch-series.*##script:inject(abort-current-inline-script.js, atob, tabunder)
-watch-series.*##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+watch-series.*##+js(abort-current-inline-script.js, atob, tabunder)
+watch-series.*##+js(abort-current-inline-script.js, parseInt, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2469
-spankwire.com##script:inject(abort-on-property-read.js, exbl)
+spankwire.com##+js(abort-on-property-read.js, exbl)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8odwtr/how_to_deal_with_sites_that_detect_ublock_origin/
-yesmangasbr.com##script:inject(setTimeout-defuser.js, testDisplay, 3000)
+yesmangasbr.com##+js(setTimeout-defuser.js, testDisplay, 3000)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/942
 @@||my5.tv^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2474
-femefun.com##script:inject(abort-on-property-write.js, __htapop)
-femefun.com##script:inject(noeval.js)
-@@||namesakeoscilloscopemarquis.com^*/ads.js$domain=~tvil.me,badfilter
+femefun.com##+js(abort-current-inline-script.js, atob, tabunder)
+femefun.com##+js(abort-on-property-write.js, __htapop)
+femefun.com##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2468
-gamepedia.com##script:inject(abort-current-inline-script.js, Array.prototype.filter, Instart)
+gamepedia.com##+js(abort-current-inline-script.js, RegExp, Instart)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2461
-anon-v.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
-anon-v.com##script:inject(abort-current-inline-script.js, atob, tabunder)
+anon-v.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+anon-v.com##+js(abort-current-inline-script.js, atob, tabunder)
+||imglnkc.com^$image,domain=anon-v.com
+anon-v.com##.sponsor
+||cfgr2.com^
+||hrtya.com^
+||nudespree.com/a/av/live.php$subdocument
+||promo-bc.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2476
-dnews.dn.ua##script:inject(abort-current-inline-script.js, atob, /\/\*\w{40}\*\/$/)
+dnews.dn.ua##+js(abort-current-inline-script.js, atob, /\/\*\w{40}\*\/$/)
 ||dnews.dn.ua/*banner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2480
-cartoonporno.xxx##script:inject(abort-on-property-read.js, prPuShown)
+cartoonporno.xxx##+js(abort-on-property-read.js, prPuShown)
+cartoonporno.xxx##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2481
 @@||solvettube.com^$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2472
-softgateon.herokuapp.com##script:inject(set-constant.js, gadb, false)
+softgateon.herokuapp.com##+js(set-constant.js, gadb, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2482
 youporn.com##.ad-bottom-text
 youporn.com##.ad-remove
 youporn.com##ads
 youporn.com###adblock_1
-youporn.com##script:inject(abort-on-property-read.js, zone_2547)
-youporn.com##script:inject(abort-on-property-read.js, AdDelivery.prototype.requestTrafficJunkyAds)
-redtube.com,youporn.com,xtube.com##script:inject(abort-on-property-write.js, rAb)
+youporn.com##+js(abort-on-property-read.js, zone_2547)
+youporn.com##+js(abort-on-property-read.js, AdDelivery.prototype.requestTrafficJunkyAds)
+redtube.com,youporn.com,xtube.com##+js(abort-on-property-write.js, rAb)
 ! https://github.com/uBlockOrigin/uAssets/issues/2482#issuecomment-395244585
-redtube.com##script:inject(abort-on-property-read.js,  _goat)
+redtube.com##+js(abort-on-property-read.js,  _goat)
 
 ! anti adb https://www.tvserial.it/the-generi-serie-tv-sky-maccio-capatonda-video/
 @@||tvserial.it^$generichide
@@ -8434,18 +8643,29 @@ escuchalas.com##^script:has-text(3f87b0)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=escuchalas.com
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=escuchalas.com
 
-! https://github.com/uBlockOrigin/uAssets/issues/2485
-pravda.com.ua##script:inject(abort-on-property-write.js, stop.bind)
+! https://www.reddit.com/r/uBlockOrigin/comments/8n71jv/next_level_ads_injection_via_xhr_or_else_tricky/e6spyt1/
+! piguiqproxy/zmctrack
+5.ua,animeget.net,antidiary.com,avtovod.com.ua,chtyvo.org.ua,comments.ua,facenews.ua,fakty.ua,gazeta.ua,guru.ua,i.ua,makataka.ru,mibius.online,mignews.com.ua,rian.com.ua##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+112.ua,24boxing.com.ua,24tv.ua,autoua.net,censor.net.ua,football24.ua,footballtransfer.com.ua,glavcom.ua,hdreactor.club,history.vn.ua,isport.ua,kolobok.ua,kp.ua,lessons.com.ua,mabila.ua,mama.ua,maximum.fm,meta.ua,mil.in.ua,nashasvadba.ua,newsone.ua,ngs.ru,okino.ua,qp.ua,ringside24.com,smak.ua,strana.ua,telegraf.in.ua,tvgid.ua,ukrlib.com.ua,vchaspik.ua,vgorode.ua,woman.ua,zdorovia.com.ua,zn.ua##+js(set-constant.js, atob, noopFunc)
+dengi.ua,dovidka.biz.ua,epravda.com.ua,eurointegration.com.ua,gismeteo.ua,pravda.com.ua,sinoptik.ua,subject.com.ua,textreferat.com,tv.ua,u-news.com.ua##+js(set-constant.js, JSON.parse, noopFunc)
+||mixadvert.com^$third-party
+!#if env_firefox
+||sinoptik.ua^$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
+!#endif
+
+!#if env_chromium
+||sinoptik.ua^$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval' data:
+!#endif
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2484#issuecomment-395174594
-foumovies.*,full4movies.co,hdpopcorns.*,moviescouch.info,moviescounter.*,mydownloadtube.*,rdxhd.me,123movies.ph,700mbdownload.*##script:inject(abort-on-property-write.js, decodeURIComponent)
-gofilms4u.net,hubfiles.ws,watchvideo17.us##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-123movies.ph##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-moviescounterhd.com,moviefishers.org##script:inject(abort-on-property-write.js, encodeURIComponent)
-freemoviedownloads6.com,fullywatchonline.com,myvidmate.net##script:inject(abort-current-inline-script.js, atob, decodeURIComponent)
-thevideobee.to##script:inject(popads-dummy.js)
-moviefishers.org,moviescouch.info,movizland.org,prozik.net##script:inject(abort-on-property-write.js, Fingerprint2)
-hubfiles.ws##script:inject(window.open-defuser.js)
+foumovies.*,full4movies.co,hdpopcorns.*,moviescouch.info,moviescounter.*,mydownloadtube.*,rdxhd.me,123movies.ph,700mbdownload.*##+js(abort-on-property-write.js, decodeURIComponent)
+gofilms4u.net,hubfiles.ws,watchvideo17.us##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+123movies.ph##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+moviescounterhd.com,moviefishers.org##+js(abort-on-property-write.js, encodeURIComponent)
+freemoviedownloads6.com,fullywatchonline.com,myvidmate.net##+js(abort-current-inline-script.js, atob, decodeURIComponent)
+thevideobee.to##+js(popads-dummy.js)
+moviefishers.org,moviescouch.info,movizland.org,prozik.net##+js(abort-on-property-write.js, Fingerprint2)
+hubfiles.ws##+js(window.open-defuser.js)
 ||moviescouch.info/sw.js$script
 gomostream.com##.adtimes
 /watchbutton11.png$image
@@ -8462,63 +8682,65 @@ douploads.com##a[rel="nofollow"]
 ||mediausamns-a.akamaihd.net^$media,domain=funimation.com
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8p8sin/is_there_a_way_to_block_those_ads_without/
-autobild.de##script:inject(abort-on-property-read.js, adSSetup)
+autobild.de##+js(abort-on-property-read.js, adSSetup)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8pdji6/not_disabling_ads_and_element_zapper_not/
 @@||123moviestube.io^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2491
-akorto.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-akorto.xyz##script:inject(abort-on-property-read.js, open)
-akorto.xyz##script:inject(nano-setInterval-booster.js)
+akorto.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+akorto.xyz##+js(abort-on-property-read.js, open)
+akorto.xyz##+js(nano-setInterval-booster.js)
 ||dz4ad.com^$third-party
 ||ganacontiti.com^$subdocument,domain=akorto.xyz
 ||saludydinero.net^$subdocument,domain=akorto.xyz
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2493
-paidshort.win##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+paidshort.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+paidshort.*##+js(abort-current-inline-script.js, atob, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2496
 ||googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=2pi.pw
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2498
-alimaniac.com##script:inject(abort-on-property-read.js, anOptions)
-alimaniac.com##script:inject(abort-current-inline-script.js, urlForPopup)
+alimaniac.com##+js(abort-on-property-read.js, anOptions)
+alimaniac.com##+js(abort-current-inline-script.js, urlForPopup)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2500
 @@||openelec.tv^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2501
-xxxjizz.net##script:inject(abort-on-property-read.js, ExoLoader.serve)
-xxxjizz.net##script:inject(set-constant.js, jsUnda, noopFunc)
+xxxjizz.net##+js(abort-on-property-read.js, ExoLoader.serve)
+xxxjizz.net##+js(set-constant.js, jsUnda, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2502
 @@||faucethub.io^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2503
-hulkshare.com##script:inject(setInterval-defuser.js, adblockerModal, 1000)
+hulkshare.com##+js(setInterval-defuser.js, adblockerModal, 1000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2506
 @@||proxydocker.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2505
-kickassanime.io##script:inject(abort-current-inline-script.js, atob, void)
+kickassanime.io##+js(abort-current-inline-script.js, atob, void)
 kickassanime.io##^script:has-text(13a60edeb)
+||animo-pace-stream.io^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.jwplatform.com *.jwpcdn.com *.googletagmanager.com *.google-analytics.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2507
-gtatactics.com##script:inject(addEventListener-defuser.js, load, 2000)
+gtatactics.com##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8prah0/ads_script_ublock_cant_block_since_months
-springfieldspringfield.co.uk##script:inject(setTimeout-defuser.js, ads, 750)
+springfieldspringfield.co.uk##+js(setTimeout-defuser.js, ads, 750)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2516
 @@||tvshqiphd.com/adblock.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2517
 @@||cinemamkv.net^$generichide
-cinemamkv.net##script:inject(abort-on-property-read.js, go_get_url)
-cinemamkv.net##script:inject(nowebrtc.js)
-cinemamkv.net##script:inject(set-constant.js, _ocads, noopFunc)
+cinemamkv.net##+js(abort-on-property-read.js, go_get_url)
+cinemamkv.net##+js(nowebrtc.js)
+cinemamkv.net##+js(set-constant.js, _ocads, noopFunc)
 cinemamkv.net##[href^="https://trav4life.site/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2511
@@ -8534,9 +8756,9 @@ inspirationde.com##.adsbygoogle
  ! https://github.com/uBlockOrigin/uAssets/issues/2514
 @@||catcuturl.tk^$generichide
 catcuturl.tk##.banner-inner
-catcuturl.tk##script:inject(window.open-defuser.js)
-catcuturl.tk##script:inject(nano-setInterval-booster.js)
-catcuturl.tk##script:inject(addEventListener-defuser.js, click, trigger)
+catcuturl.tk##+js(window.open-defuser.js)
+catcuturl.tk##+js(nano-setInterval-booster.js)
+catcuturl.tk##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2515
 @@||porngun.net^$generichide
@@ -8554,28 +8776,28 @@ catcuturl.tk##script:inject(addEventList
 @@||themes24x7.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2524
-afrischolarships.com,airlive.net,audiophilefr.com,audiovision.de,bestfreeseotools.in,bigfreegiveaway.com,blaulichtreport-saarland.de,businessforyouand.me,candys-world.com,celebplace.de,coderexample.com,coollinked.com,dailynexus.com,dealsfinders.blog,deephouselounge.com,dl-wordpress.com,givemefiles.xyz,hdlatestwallpaper.com,ikindlebooks.com,insideretail.com.au,internetretailing.com.au,koptalk.com,lendbrand.com,msguides.com,nextdeparture.ca,ribbelmonster.de,smitedatamining.com,sourcecodesite.com,techstext.com,thinkscopes.com,truthinsideofyou.org,tutsgalaxy.com,wdflat.com,wincamp.org,winkeyfinder.com,wranglernetwork.com,zsxtube.com##script:inject(abort-on-property-read.js, anOptions)
+afrischolarships.com,airlive.net,audiophilefr.com,audiovision.de,bestfreeseotools.in,bigfreegiveaway.com,blaulichtreport-saarland.de,businessforyouand.me,candys-world.com,celebplace.de,coderexample.com,coollinked.com,coursesdaddy.com,dailynexus.com,dealsfinders.blog,deephouselounge.com,dl-wordpress.com,givemefiles.xyz,hdlatestwallpaper.com,ikindlebooks.com,insideretail.com.au,internetretailing.com.au,koptalk.com,lendbrand.com,msguides.com,nextdeparture.ca,ribbelmonster.de,smitedatamining.com,sourcecodesite.com,techstext.com,thefalse9.com,thinkscopes.com,truthinsideofyou.org,tutsgalaxy.com,wdflat.com,wincamp.org,winkeyfinder.com,wranglernetwork.com,zsxtube.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2525
 @@||xda-developers-forum.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2526
-jokerfansub.com##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+jokerfansub.com##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2527
-mp3fy.com##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+mp3fy.com##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2528
-fanoffifa.com##script:inject(addEventListener-defuser.js, load, 2000)
+fanoffifa.com##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2529
-ebookmed.*##script:inject(addEventListener-defuser.js, load, 2000)
+ebookmed.*##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2530
 @@||filmpornoita.net/advertisement.js$script,first-party
 
 ! https://github.com/reek/anti-adblock-killer/issues/4084
-waves4you.com##script:inject(set-constant.js, AdsEnabled, true)
+waves4you.com##+js(set-constant.js, AdsEnabled, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2533
 @@||appvn.com^$generichide
@@ -8585,30 +8807,30 @@ waves4you.com##script:inject(set-constan
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2537
 @@||worldofbitco.in^$generichide
-worldofbitco.in##script:inject(set-constant.js, adBlock, false) 
+worldofbitco.in##+js(set-constant.js, adBlock, false) 
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2534
-doridro.net##script:inject(addEventListener-defuser.js, load, 2000)
+doridro.net##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2540
-dailyfreebits.com##script:inject(abort-current-inline-script.js, $, html)
+dailyfreebits.com##+js(abort-current-inline-script.js, $, html)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2538
 @@||getyourbitco.in^$generichide
-getyourbitco.in##script:inject9set-constant.js, adBlock, false)
+getyourbitco.in##+js9set-constant.js, adBlock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2539
 @@||btc4free.site^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2535
-enjoyfuck.com##script:inject(abort-on-property-read.js, Aloader.serve)
-enjoyfuck.com##script:inject(abort-current-inline-script.js, $, anyclick)
+enjoyfuck.com##+js(abort-on-property-read.js, Aloader.serve)
+enjoyfuck.com##+js(abort-current-inline-script.js, $, anyclick)
 enjoyfuck.com##.advin
 enjoyfuck.com###invideo_2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2536
-pornokeep.com##script:inject(abort-on-property-read.js, Aloader.serve)
-pornokeep.com##script:inject(abort-current-inline-script.js, $, anyclick)
+pornokeep.com##+js(abort-on-property-read.js, Aloader.serve)
+pornokeep.com##+js(abort-current-inline-script.js, $, anyclick)
 pornokeep.com##.advin
 pornokeep.com###invideo_2
 
@@ -8616,36 +8838,37 @@ pornokeep.com###invideo_2
 @@||sbs.com.au^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2543
-itsourtree.com##script:inject(abort-current-inline-script.js, document.getElementById, blocker)
+itsourtree.com##+js(abort-current-inline-script.js, document.getElementById, blocker)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2542
 ||reshet.tv//third-party/dfp/dfp$first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2545
-gamestorrent.co##script:inject(nowebrtc.js)
+gamestorrent.co##+js(nowebrtc.js)
 gamestorrent.co##a[href$=".jpg"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2544
-oldsluthardcore.com##script:inject(abort-on-property-write.js, ExoLoader)
+oldsluthardcore.com##+js(abort-on-property-write.js, ExoLoader)
 oldsluthardcore.com##.play
 oldsluthardcore.com##.a_all
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2547
-neko-miku.com##script:inject(addEventListener-defuser.js, load, nextFunction)
+neko-miku.com##+js(addEventListener-defuser.js, load, nextFunction)
+||player.neko-miku.com/*slot$media,redirect=noopmp4-1s,domain=neko-miku.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1322
 ! http://www.subtorrents.io/series/the-durrells/ popups
-subtorrents.*##script:inject(nowebrtc.js)
-subtorrents.*##script:inject(noeval.js)
-subtorrents.*##script:inject(popads-dummy.js)
+subtorrents.*##+js(nowebrtc.js)
+subtorrents.*##+js(noeval.js)
+subtorrents.*##+js(popads-dummy.js)
 
 ! https://eztvtorrent.com/the-durrells-2016/ popups
-eztvtorrent.com##script:inject(abort-on-property-write.js, Fingerprint2)
+eztvtorrent.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2549
 anilinkz.to##.advid.james
 anilinkz.to###jade
-anilinkz.to##script:inject(set-constant.js, daganKwarta, true)
+anilinkz.to##+js(set-constant.js, daganKwarta, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2554
 @@||safeloadfile.*^$generichide
@@ -8655,233 +8878,232 @@ anilinkz.to##script:inject(set-constant.
 @@||fw27.xyz^$generichide
 @@||isite.tw^$generichide
 @@||tulatur.ru^$generichide
-thefirmwareclub.com##script:inject(abort-on-property-write.js, ai_adb_overlay)
+thefirmwareclub.com##+js(abort-on-property-write.js, ai_adb_overlay)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2555
-fuckmonstercock.com##script:inject(abort-current-inline-script.js, $, anyclick)
-fuckmonstercock.com##script:inject(abort-on-property-read.js, Aloader.serve)
+fuckmonstercock.com##+js(abort-current-inline-script.js, $, anyclick)
+fuckmonstercock.com##+js(abort-on-property-read.js, Aloader.serve)
 fuckmonstercock.com##.znaipn
 fuckmonstercock.com##.ztkady
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2556
-phpbb3bbcodes.com##script:inject(abort-current-inline-script.js, $, Adblocker)
+phpbb3bbcodes.com##+js(abort-current-inline-script.js, $, Adblocker)
 @@||phpbb3bbcodes.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2558
-msms4.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+msms4.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2560
-megalatinatube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-megalatinatube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+megalatinatube.com##+js(abort-on-property-read.js, Aloader.serve)
+megalatinatube.com##+js(abort-current-inline-script.js, $, anyclick)
 megalatinatube.com###invideo_2
 megalatinatube.com##.player__ads
 megalatinatube.com##.ads
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2557
-lordpremium.*##script:inject(addEventListener-defuser.js, load, nextFunction)
+lordpremium.*##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2559
-tranny.one##script:inject(abort-on-property-read.js, ExoLoader.serve)
-tranny.one##script:inject(popads-dummy.js)
+tranny.one##+js(abort-on-property-read.js, ExoLoader.serve)
+tranny.one##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2561
-bigtitswishes.com##script:inject(abort-current-inline-script.js, $, anyclick)
-bigtitswishes.com##script:inject(abort-on-property-read.js, Aloader.serve)
+bigtitswishes.com##+js(abort-current-inline-script.js, $, anyclick)
+bigtitswishes.com##+js(abort-on-property-read.js, Aloader.serve)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2562
-pornhost.com##script:inject(abort-on-property-write.js, encodeURIComponent)
+pornhost.com##+js(abort-on-property-write.js, encodeURIComponent)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8r6tr9/about_filecloudio/
 ||filecloud.io/banner_ads.js$script,redirect=fuckadblock.js-3.2.0,domain=filecloud.io
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8r6448/
-tchatche.com##script:inject(abort-current-inline-script.js, document.getElementById, /Content/_AdBlock/AdBlockDetected.html)
-tchatche.com##script:inject(abort-on-property-write.js, adBlckActive)
+tchatche.com##+js(abort-current-inline-script.js, document.getElementById, /Content/_AdBlock/AdBlockDetected.html)
+tchatche.com##+js(abort-on-property-write.js, adBlckActive)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8rer61
-loveroms.com##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
-loveroms.com##script:inject(abort-current-inline-script.js, atob, ADBI)
+loveroms.com##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+loveroms.com##+js(abort-current-inline-script.js, atob, ADBI)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2564
-voyeurspyporn.com##script:inject(abort-on-property-read.js, Aloader.serve)
-voyeurspyporn.com##script:inject(abort-current-inline-script.js, $, anyclick)
+voyeurspyporn.com##+js(abort-on-property-read.js, Aloader.serve)
+voyeurspyporn.com##+js(abort-current-inline-script.js, $, anyclick)
 voyeurspyporn.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2565
-modporntube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-modporntube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+modporntube.com##+js(abort-on-property-read.js, Aloader.serve)
+modporntube.com##+js(abort-current-inline-script.js, $, anyclick)
 modporntube.com###invideo_2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2566
-bigdickwishes.com##script:inject(abort-on-property-read.js, Aloader.serve)
-bigdickwishes.com##script:inject(abort-current-inline-script.js, $, anyclick)
+bigdickwishes.com##+js(abort-on-property-read.js, Aloader.serve)
+bigdickwishes.com##+js(abort-current-inline-script.js, $, anyclick)
 bigdickwishes.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2567
-tubesex.me##script:inject(abort-on-property-read.js, Aloader.serve)
-tubesex.me##script:inject(abort-current-inline-script.js, $, anyclick)
+tubesex.me##+js(abort-on-property-read.js, Aloader.serve)
+tubesex.me##+js(abort-current-inline-script.js, $, anyclick)
 tubesex.me##.adban1
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2568
-pussytubeebony.com##script:inject(abort-on-property-read.js, Aloader.serve)
-pussytubeebony.com##script:inject(abort-current-inline-script.js, $, anyclick)
+pussytubeebony.com##+js(abort-on-property-read.js, Aloader.serve)
+pussytubeebony.com##+js(abort-current-inline-script.js, $, anyclick)
 pussytubeebony.com###invideo_2
 pussytubeebony.com##div.banner-area
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2569
-asssex-hd.com##script:inject(abort-on-property-read.js, Aloader.serve)
-asssex-hd.com##script:inject(abort-current-inline-script.js, $, anyclick)
+asssex-hd.com##+js(abort-on-property-read.js, Aloader.serve)
+asssex-hd.com##+js(abort-current-inline-script.js, $, anyclick)
 asssex-hd.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2570
-vintagesexpass.com##script:inject(abort-on-property-read.js, Aloader.serve)
-vintagesexpass.com##script:inject(abort-current-inline-script.js, $, anyclick)
+vintagesexpass.com##+js(abort-on-property-read.js, Aloader.serve)
+vintagesexpass.com##+js(abort-current-inline-script.js, $, anyclick)
 vintagesexpass.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2571
-freemomstube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-freemomstube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+freemomstube.com##+js(abort-on-property-read.js, Aloader.serve)
+freemomstube.com##+js(abort-current-inline-script.js, $, anyclick)
 freemomstube.com###invideo_2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2572
-xxxtubenote.com##script:inject(abort-on-property-read.js, Aloader.serve)
-xxxtubenote.com##script:inject(abort-current-inline-script.js, $, anyclick)
+xxxtubenote.com##+js(abort-on-property-read.js, Aloader.serve)
+xxxtubenote.com##+js(abort-current-inline-script.js, $, anyclick)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2573
-kissmaturestube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-kissmaturestube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+kissmaturestube.com##+js(abort-on-property-read.js, Aloader.serve)
+kissmaturestube.com##+js(abort-current-inline-script.js, $, anyclick)
 kissmaturestube.com##.block-a
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2574
-1xxx-tube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-1xxx-tube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+1xxx-tube.com##+js(abort-on-property-read.js, Aloader.serve)
+1xxx-tube.com##+js(abort-current-inline-script.js, $, anyclick)
 1xxx-tube.com###invideo_3
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2575
-hd-analporn.com##script:inject(abort-on-property-read.js, Aloader.serve)
-hd-analporn.com##script:inject(abort-current-inline-script.js, $, anyclick)
+hd-analporn.com##+js(abort-on-property-read.js, Aloader.serve)
+hd-analporn.com##+js(abort-current-inline-script.js, $, anyclick)
 hd-analporn.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2576
-gofetishsex.com##script:inject(abort-on-property-read.js, Aloader.serve)
-gofetishsex.com##script:inject(abort-current-inline-script.js, $, anyclick)
+gofetishsex.com##+js(abort-on-property-read.js, Aloader.serve)
+gofetishsex.com##+js(abort-current-inline-script.js, $, anyclick)
 gofetishsex.com###invideo_2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2577
-hard-tubesex.com##script:inject(abort-on-property-read.js, Aloader.serve)
-hard-tubesex.com##script:inject(abort-current-inline-script.js, $, anyclick)
+hard-tubesex.com##+js(abort-on-property-read.js, Aloader.serve)
+hard-tubesex.com##+js(abort-current-inline-script.js, $, anyclick)
 hard-tubesex.com###invideo_2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2578
-hardcorepornhot.com##script:inject(abort-on-property-write.js, ExoLoader)
+hardcorepornhot.com##+js(abort-on-property-write.js, ExoLoader)
 hardcorepornhot.com##.a_all
 hardcorepornhot.com##.play
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2579
-hdfuckxxx.com##script:inject(abort-on-property-write.js, ExoLoader)
+hdfuckxxx.com##+js(abort-on-property-write.js, ExoLoader)
 hdfuckxxx.com##.a_all
 hdfuckxxx.com##.play
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2580
-kingolinks.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+kingolinks.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2581
-shrinkad.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+shrinkad.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2582
-uii.io##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-uii.io##script:inject(nowebrtc.js)
+uii.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+uii.io##+js(nowebrtc.js)
 ||adright.co^$third-party
+||uii.io^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.gstatic.com *.google.com *.googletagmanager.com 
+uii.io##+js(abort-on-property-read.js, adk_pdisp)
+*$subdocument,domain=uii.io,third-party
 
 ! https://torrentking.pro/movies popups
-torrentking.pro##script:inject(nowebrtc.js)
+torrentking.pro##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2584
-yummysextubes.com##script:inject(abort-on-property-read.js, Aloader.serve)
-yummysextubes.com##script:inject(abort-current-inline-script.js, $, anyclick)
+yummysextubes.com##+js(abort-on-property-read.js, Aloader.serve)
+yummysextubes.com##+js(abort-current-inline-script.js, $, anyclick)
 yummysextubes.com###invideo_2
 yummysextubes.com##.block-a
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2585
-hiddencamstube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-hiddencamstube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+hiddencamstube.com##+js(abort-on-property-read.js, Aloader.serve)
+hiddencamstube.com##+js(abort-current-inline-script.js, $, anyclick)
 hiddencamstube.com###invideo_2
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2586
-lesbianfantasyxxx.com##script:inject(abort-on-property-read.js, Aloader.serve)
-lesbianfantasyxxx.com##script:inject(abort-current-inline-script.js, $, anyclick)
+lesbianfantasyxxx.com##+js(abort-on-property-read.js, Aloader.serve)
+lesbianfantasyxxx.com##+js(abort-current-inline-script.js, $, anyclick)
 lesbianfantasyxxx.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2587
-bigcockfreetube.com##script:inject(abort-on-property-read.js, Aloader.serve)
-bigcockfreetube.com##script:inject(abort-current-inline-script.js, $, anyclick)
+bigcockfreetube.com##+js(abort-on-property-read.js, Aloader.serve)
+bigcockfreetube.com##+js(abort-current-inline-script.js, $, anyclick)
 bigcockfreetube.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2588
-pornexpanse.com##script:inject(abort-on-property-read.js, Aloader.serve)
-pornexpanse.com##script:inject(abort-current-inline-script.js, $, anyclick)
+pornexpanse.com##+js(abort-on-property-read.js, Aloader.serve)
+pornexpanse.com##+js(abort-current-inline-script.js, $, anyclick)
 pornexpanse.com##.banners_pl
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2589
-voyeur-pornvideos.com##script:inject(abort-on-property-read.js, Aloader.serve)
-voyeur-pornvideos.com##script:inject(abort-current-inline-script.js, $, anyclick)
+voyeur-pornvideos.com##+js(abort-on-property-read.js, Aloader.serve)
+voyeur-pornvideos.com##+js(abort-current-inline-script.js, $, anyclick)
 voyeur-pornvideos.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2590
-gobigtitsporn.com##script:inject(abort-on-property-read.js, Aloader.serve)
-gobigtitsporn.com##script:inject(abort-current-inline-script.js, $, anyclick)
+gobigtitsporn.com##+js(abort-on-property-read.js, Aloader.serve)
+gobigtitsporn.com##+js(abort-current-inline-script.js, $, anyclick)
 gobigtitsporn.com###invideo_data
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2591
-voyeurxxxfree.com##script:inject(abort-on-property-read.js, Aloader.serve)
-voyeurxxxfree.com##script:inject(abort-current-inline-script.js, $, anyclick)
+voyeurxxxfree.com##+js(abort-on-property-read.js, Aloader.serve)
+voyeurxxxfree.com##+js(abort-current-inline-script.js, $, anyclick)
 voyeurxxxfree.com###invideo_data
 
-! https://github.com/uBlockOrigin/uAssets/issues/2593
-visioncloud.rocks##script:inject(bab-defuser.js)
-@@||visioncloud.rocks/ads/*$script,first-party
-
 ! https://github.com/reek/anti-adblock-killer/issues/4094
-hexafile.net##script:inject(setTimeout-defuser.js, nextFunction, 250)
+hexafile.net##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://forums.lanik.us/viewtopic.php?p=137876#p137876
-lebensmittelpraxis.de##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+lebensmittelpraxis.de##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8rl9c0/is_it_me_or_are_most_websites_beginning_to_block/e0tfevo/
-mundokodi.com##script:inject(abort-on-property-read.js, anOptions)
+mundokodi.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8rnrsa
 ||hdliveextra-a.akamaihd.net/HD/scripts/*/config/ads.js$script,domain=telemundodeportes.com,redirect=noopjs
-telemundodeportes.com##script:inject(set-constant.js, adBlockEnabled, false)
+telemundodeportes.com##+js(set-constant.js, adBlockEnabled, false)
 @@||v.fwmrm.net/ad/$xmlhttprequest,domain=telemundodeportes.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2598
 @@||jagobd.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2599
-likn.xyz##script:inject(nano-setInterval-booster.js)
-likn.xyz##script:inject(abort-on-property-read.js, blockAdBlock)
-likn.xyz##script:inject(abort-on-property-write.js, Fingerprint2)
-likn.xyz##script:inject(abort-on-property-write.js, _pop)
-likn.xyz##script:inject(window.open-defuser.js)
-sloomp.space##script:inject(nano-setInterval-booster.js)
-sloomp.space##script:inject(popads-dummy.js)
-sloomp.space##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/)
-sloomp.space##script:inject(window.open-defuser.js)
+likn.xyz##+js(nano-setInterval-booster.js)
+likn.xyz##+js(abort-on-property-read.js, blockAdBlock)
+likn.xyz##+js(abort-on-property-write.js, Fingerprint2)
+likn.xyz##+js(abort-on-property-write.js, _pop)
+likn.xyz##+js(window.open-defuser.js)
+sloomp.space##+js(nano-setInterval-booster.js)
+sloomp.space##+js(popads-dummy.js)
+sloomp.space##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/)
+sloomp.space##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2600
-watchnewmovienet.com##script:inject(setTimeout-defuser.js, (), 500)
+watchnewmovienet.com##+js(setTimeout-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2601
 @@||asia2tv.co^$generichide
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/106
-akvideo.stream##script:inject(setTimeout-defuser.js, (), 4000)
-akvideo.stream##script:inject(set-constant.js, cRAds, true)
+akvideo.stream##+js(setTimeout-defuser.js, (), 4000)
+akvideo.stream##+js(set-constant.js, cRAds, true)
 akvideo.stream###xo23l4yx
 
-! pirateproxy.mx popups
-pirateproxy.mx##script:inject(nowebrtc.js)
+! pirateproxy.* popups
+pirateproxy.*##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2602
 @@||hindistoponline.com^$generichide
@@ -8893,32 +9115,32 @@ pirateproxy.mx##script:inject(nowebrtc.j
 @@||dongyoungsang.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2606
-ojogos.com.br##script:inject(abort-on-property-read.js, HTMLScriptElement)
-ojogos.com.br##script:inject(set-constant.js, sp_ad, true)
+ojogos.com.br##+js(abort-on-property-read.js, HTMLScriptElement)
+ojogos.com.br##+js(set-constant.js, sp_ad, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2605
-studopedia.org##script:inject(abort-on-property-write.js, detectAdblk)
+studopedia.org##+js(abort-on-property-write.js, detectAdblk)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2607
 @@||vipsub.us^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2614
-sheamateur.com##script:inject(abort-on-property-read.js, __htapop)
+sheamateur.com##+js(abort-on-property-read.js, __htapop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2615
-nekopoi.*##script:inject(abort-current-inline-script.js, atob, tabunder)
-nekopoi.*##script:inject(set-constant.js, isAdsDisplayed, true)
+nekopoi.*##+js(abort-current-inline-script.js, atob, tabunder)
+nekopoi.*##+js(set-constant.js, isAdsDisplayed, true)
 nekopoi.*##[href^="http://bit.ly/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2616
-hargakamera7.com##script:inject(abort-current-inline-script.js, FuckAdBlock)
+hargakamera7.com##+js(abort-current-inline-script.js, FuckAdBlock)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41060
 @@||teutorrent.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41058
-cutsouf.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-cutsouf.com##script:inject(abort-on-property-write.js, Fingerprint2)
+cutsouf.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutsouf.com##+js(abort-on-property-write.js, Fingerprint2)
 cutsouf.com###adsground
 cutsouf.com###topbar
 
@@ -8926,8 +9148,8 @@ cutsouf.com###topbar
 ||d3jcjsor8fnmka.cloudfront.net^ 
 
 ! https://github.com/uBlockOrigin/uAssets/issues/892#issuecomment-398778283
-alrincon.com##script:inject(set-constant.js, makePopunder, noopFunc)
-alrincon.com##script:inject(abort-on-property-read.js, encodeURIComponent)
+alrincon.com##+js(set-constant.js, makePopunder, noopFunc)
+alrincon.com##+js(abort-on-property-read.js, encodeURIComponent)
 *.php$domain=alrincon.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2618
@@ -8935,29 +9157,29 @@ ccn.com##.widget:has-text(/advert|sponso
 ccn.com##.row.divider:has-text(/sponsor|press releases/i)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2619
-eklink.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-eklink.net##script:inject(nano-setInterval-booster.js)
-eklink.net##script:inject(addEventListener-defuser.js, click, trigger)
+eklink.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+eklink.net##+js(nano-setInterval-booster.js)
+eklink.net##+js(addEventListener-defuser.js, click, trigger)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2620
 ||admew.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.googletagmanager.com *.gstatic.com
 admew.com##.banner-inner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2621
-urltips.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+urltips.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2622
-vinaurl.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+vinaurl.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2623
-itiad.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+itiad.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2624
-vnurl.net##script:inject(set-constant.js, jQuery.adblock, false)
-vnurl.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+vnurl.net##+js(set-constant.js, jQuery.adblock, false)
+vnurl.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2625
-liverussia2018.ml##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+liverussia2018.ml##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 @@||liverussia2018.ml^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2627
@@ -8967,13 +9189,13 @@ liverussia2018.ml##script:inject(abort-c
 @@||portsmouth.co.uk^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2628
-powforums.com##script:inject(set-constant.js, adsBlocked, false)
-powforums.com##script:inject(window.open-defuser.js)
+powforums.com##+js(set-constant.js, adsBlocked, false)
+powforums.com##+js(window.open-defuser.js)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/109
-4snip.pw##script:inject(window.open-defuser.js)
+4snip.pw##+js(window.open-defuser.js)
 4snip.pw##[src="https://4snip.pw/poker.html"]
-abysstream.com##script:inject(nano-setInterval-booster.js)
+abysstream.com##+js(nano-setInterval-booster.js)
 @@||abysstream.com/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2635
@@ -8982,13 +9204,10 @@ lapumiafilmes.com###sombra
 lapumiafilmes.com###bannerMontado
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8svk8r
-bubla.io##script:inject(abort-on-property-write.js, adBlockDetected)
-
-! https://github.com/uBlockOrigin/uAssets/issues/2636
-westword.com##script:inject(set-constant.js, VMG.Components.Adblock, false)
+bubla.io##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2637
-usgamer.net##script:inject(abort-on-property-read.js, _sp_._networkListenerData)
+usgamer.net##+js(abort-on-property-read.js, _sp_._networkListenerData)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2639
 @@||evowars.io/ads.js$script,first-party
@@ -9004,28 +9223,29 @@ wallpapersmania.com###cpa_wrap
 @@||last.fm^$script,first-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8t4ib6
-topstreams.info##script:inject(abort-current-inline-script.js, $, showedad)
+topstreams.info##+js(abort-current-inline-script.js, $, showedad)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2640
 @@||devexchanges.info^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3101
 @@||pagead2.googlesyndication.com/pagead/$script,domain=discoveryrom.org
+@@||pagead2.googlesyndication.com/favicon.ico$image,domain=discoveryrom.org
 @@||discoveryrom.org^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41083
-cracksmind.com##script:inject(abort-on-property-write.js, Fingerprint2)
+cracksmind.com##+js(abort-on-property-write.js, Fingerprint2)
 cracksmind.com##button
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2645
-megacams.me##script:inject(set-constant.js, canRunAds, true)
-megacams.me##script:inject(addEventListener-defuser.js, load)
+megacams.me##+js(set-constant.js, canRunAds, true)
+megacams.me##+js(addEventListener-defuser.js, load)
 @@||chaturbate.com/affiliates/$subdocument,domain=megacams.me
 megacams.me#@#a[href^="https://chaturbate.com/affiliates/"]
 @@||chaturbate.com^$popup,domain=megacams.me
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2646
-sexblogpussy.com##script:inject(set-constant.js, adblock, false)
+sexblogpussy.com##+js(set-constant.js, adblock, false)
 sexblogpussy.com#@#a[href^="https://chaturbate.com/affiliates/"]
 @@||chaturbate.com^$subdocument,domain=sexblogpussy.com
 
@@ -9034,19 +9254,25 @@ sexviacam.com#@#a[href^="https://chaturb
 @@||chaturbate.com^$subdocument,domain=sexviacam.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2648
-porndoe.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-porndoe.com##.pop_under_visible
+! https://github.com/uBlockOrigin/uAssets/issues/3568
+porndoe.com##+js(abort-current-inline-script.js, $, PopBar)
+porndoe.com##+js(abort-on-property-read.js, ExoLoader.serve)
+||porndoe.com/movie/preroll/*$media,first-party
+porndoe.com##[href^="http://links.verotel.com"]
+porndoe.com##[id^="zone"]
+porndoe.com##.channel-link
+porndoe.com##.player-right
 porndoe.com##.playerov-en
-porndoe.com###below_player_zone
-porndoe.com##[id^=zone]
+porndoe.com##.pop_under_visible
 porndoe.com##.rem-add
+porndoe.com###below_player_zone
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2649
-naughtymachinima.com##script:inject(abort-current-inline-script.js, __htapop)
+naughtymachinima.com##+js(abort-current-inline-script.js, __htapop)
 ||gamescarousel.com^$subdocument,domain=naughtymachinima.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2650
-tienichmaytinh.com##script:inject(addEventListener-defuser.js, load, m.event.dispatch.apply)
+tienichmaytinh.com##+js(addEventListener-defuser.js, load, m.event.dispatch.apply)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2653
 @@||uploadbank.com^$generichide
@@ -9054,25 +9280,25 @@ tienichmaytinh.com##script:inject(addEve
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2652
 ! https://github.com/uBlockOrigin/uAssets/issues/2742
-filecrypt.cc##script:inject(abort-current-inline-script.js, popsThisDay, under)
-filecrypt.cc##script:inject(set-constant.js, isAdblock, false)
+filecrypt.cc##+js(abort-on-property-read.js, UltraPop.config)
+filecrypt.cc##+js(set-constant.js, isAdblock, false)
 filecrypt.cc###jvb
 filecrypt.cc##.support
 filecrypt.cc##[src^="https://filecrypt.cc/images/"]
 filecrypt.cc##[src^="/images/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2654
-lkky.co##script:inject(addEventListener-defuser.js, load, nextFunction)
-lkky.co##script:inject(addEventListener-defuser.js, click, trigger)
-lkky.co##script:inject(nowebrtc.js)
-danpod.work##script:inject(addEventListener-defuser.js, load, nextFunction)
+lkky.co##+js(addEventListener-defuser.js, load, nextFunction)
+lkky.co##+js(addEventListener-defuser.js, click, trigger)
+lkky.co##+js(nowebrtc.js)
+danpod.work##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2655
 ||pornblade.com/*.php
 pornblade.com##.vjs-overlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2657
-asianxxxvideo.net##script:inject(abort-on-property-write.js, ExoLoader)
+asianxxxvideo.net##+js(abort-on-property-write.js, ExoLoader)
 asianxxxvideo.net##.a_all
 asianxxxvideo.net##.play
 
@@ -9086,10 +9312,10 @@ asianxxxvideo.net##.play
 @@||getfreetutorial.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2658
-webs.com.gt##script:inject(abort-current-inline-script.js, jQuery, Adblocker)
+webs.com.gt##+js(abort-current-inline-script.js, jQuery, Adblocker)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2659
-filehorse.com##script:inject(set-constant.js, isAdBlockActive, false)
+filehorse.com##+js(set-constant.js, isAdBlockActive, false)
 @@||mygoroot.com^$generichide
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=cloud.fw27.xyz
 @@||unlockvungtau.com^$generichide
@@ -9099,33 +9325,35 @@ filehorse.com##script:inject(set-constan
 @@||motortrendondemand.com/advertisements-ad-unit/*$xmlhttprequest,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2661
-ettv.tv##script:inject(popads-dummy.js)
-ettv.tv##script:inject(window.open-defuser.js)
+ettv.tv##+js(popads-dummy.js)
+ettv.tv##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2665
-watchitsalwayssunnyinphiladelphia.net##script:inject(abort-on-property-write.js, _pop)
+watchitsalwayssunnyinphiladelphia.net##+js(abort-on-property-write.js, _pop)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2668
-pelisgratis.tv##script:inject(abort-on-property-write.js, smrtSB)
-pelisgratis.tv##a[href*="look.kfiopkln.com"]
+pelisgratis.*##+js(abort-on-property-write.js, smrtSB)
+pelisgratis.*##a[href*="look.kfiopkln.com"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2669
-ver-peliculas.*##script:inject(window.open-defuser.js)
-ver-peliculas.*##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+ver-peliculas.*##+js(window.open-defuser.js)
+ver-peliculas.*##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2670
-ver-pelis.me##script:inject(window.open-defuser.js)
-ver-pelis.me##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+ver-pelis.me##+js(window.open-defuser.js)
+ver-pelis.me##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2671
-pelix.tv##script:inject(abort-on-property-write.js, smrtSB)
-pelix.tv##script:inject(abort-on-property-write.js, smrtSP)
+pelix.tv##+js(abort-on-property-write.js, smrtSB)
+pelix.tv##+js(abort-on-property-write.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2672
-peliculas24.me##script:inject(abort-on-property-write.js, smrtSB)
+peliculas24.me##+js(abort-current-inline-script.js, blur)
+peliculas24.me##+js(abort-on-property-write.js, smrtSB)
+peliculas24.me##[href^="http://refpadsm.host/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2673
-fcine.net##script:inject(setTimeout-defuser.js, eabpDialog, 100)
+fcine.net##+js(setTimeout-defuser.js, eabpDialog, 100)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2675
 @@||maclife.vn^$generichide
@@ -9140,7 +9368,7 @@ fcine.net##script:inject(setTimeout-defu
 @@||sorcerers.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2679
-topvideosgay.com##script:inject(abort-on-property-write.js, _pop)
+topvideosgay.com##+js(abort-on-property-write.js, _pop)
 @@||topvideosgay.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2677
@@ -9148,10 +9376,10 @@ topvideosgay.com##script:inject(abort-on
 subfb.us##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2682
-xiaomitoday.com##script:inject(set-constant.js, $tieE3, true)
+xiaomitoday.com##+js(set-constant.js, $tieE3, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2681
-kissjav.com##script:inject(popads-dummy.js)
+kissjav.com##+js(popads-dummy.js)
 @@||kissjav.com^$generichide
 kissjav.com###player-advertising
 
@@ -9172,7 +9400,7 @@ galaxy.gala100.net##.metaRedirectWrapper
 @@||ruluthemes.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2666
-capodeportes.net##script:inject(abort-on-property-write.js, _pop)
+capodeportes.net##+js(abort-on-property-write.js, _pop)
 ||netdna-ssl.com^$subdocument,domain=telerium.tv
 *$popup,domain=rojadirectaonlinetv.com,third-party
 *$popup,domain=extremotvplay.com,third-party
@@ -9199,41 +9427,41 @@ thexvid.com##^script:has-text(48971)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=thexvid.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2694
-ihackedgames.com##script:inject(abort-on-property-read.js, _0x5c2f)
+ihackedgames.com##+js(abort-on-property-read.js, _0x5c2f)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8tu65p/bomurl_link_shortener_adblock_detection/
-bomurl.com##script:inject(addEventListener-defuser.js, load, 2000)
-bomurl.com##script:inject(nano-setInterval-booster.js)
+bomurl.com##+js(addEventListener-defuser.js, load, 2000)
+bomurl.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2696
-yxzero.xyz##script:inject(abort-on-property-read.js, adBlockDetected)
+yxzero.xyz##+js(abort-on-property-read.js, adBlockDetected)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8tv52a/onlinevideoconvertercom_adblock_warning_message
 @@||onlinevideoconverter.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2697
-elsfile.org##script:inject(addEventListener-defuser.js, load, nextFunction)
+elsfile.org##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2698
 @@||xavierstuder.com^$generichide
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8u8s64
-digi-tv.ch##script:inject(setTimeout-defuser.js, test.offsetHeight, 100)
+digi-tv.ch##+js(setTimeout-defuser.js, test.offsetHeight, 100)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2701
 @@||yesmangasbr.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2702
-sinoptik.com.ru,sinoptik.ua##script:inject(abort-current-inline-script.js, String.fromCharCode, atob)
+sinoptik.com.ru###adsLeftZone
 ! sites with the same issue and fix
-123tvseries.co##script:inject(abort-current-inline-script.js, String.fromCharCode, atob)
+123tvseries.co##+js(set-constant.js, atob, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2705
-turboserver.tk##script:inject(setInterval-defuser.js, visibility, 1000)
+turboserver.tk##+js(setInterval-defuser.js, visibility, 1000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2706
-pnd.tl##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-pnd.tl##script:inject(abort-on-property-write.js, Fingerprint2)
+pnd.tl##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+pnd.tl##+js(abort-on-property-write.js, Fingerprint2)
 pnd.tl##A[href$=".html"][rel="nofollow norefferer noopener"]
 ||hicpm10.com^$third-party
 
@@ -9241,54 +9469,55 @@ pnd.tl##A[href$=".html"][rel="nofollow n
 @@||micinehd.com^$generichide
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8ufyxq/new_antiadblock_on_dailynewscom/
-dailynews.com##script:inject(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+dailynews.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/957
 @@||wizblogger.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2709
-freebitcoin.win##script:inject(set-constant.js, CaptchmeState.adb, undefined)
+freebitcoin.win##+js(set-constant.js, CaptchmeState.adb, undefined)
 @@||freebitcoin.win^$generichide
 ! https://github.com/uBlockOrigin/uAssets/issues/2709#issuecomment-401538448
-e-monsite.com,freecoinsfor.me##script:inject(set-constant.js, CaptchmeState.adb, undefined)
-freecoinsfor.me##script:inject(bab-defuser.js)
+e-monsite.com,freecoinsfor.me##+js(set-constant.js, CaptchmeState.adb, undefined)
+freecoinsfor.me##+js(bab-defuser.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/2709#issuecomment-402537225
-coindice.win##script:inject(set-constant.js, CaptchmeState.adb, undefined)
+coindice.win##+js(set-constant.js, CaptchmeState.adb, undefined)
 @@||coindice.win^$generichide
 ! https://github.com/uBlockOrigin/uAssets/issues/2709#issuecomment-405121078
-yannik.biz##script:inject(set-constant.js, CaptchmeState.adb, undefined)
+yannik.biz##+js(set-constant.js, CaptchmeState.adb, undefined)
 ||yannik.biz/js/ads.js$script,first-party,redirect=fuckadblock.js-3.2.0
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/117#issuecomment-401351982
-planet-explorers-isos.com##script:inject(set-constant.js, adblock, false)
+planet-explorers-isos.com##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2711
-plusone8.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+plusone8.com##+js(abort-on-property-read.js, ExoLoader.serve)
 plusone8.com###overlay-advertising
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2712
-camvideos.tv##script:inject(abort-current-inline-script.js, atob, tabunder)
-camvideos.tv##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+camvideos.tv##+js(abort-current-inline-script.js, atob, tabunder)
+camvideos.tv##+js(abort-current-inline-script.js, parseInt, tabunder)
+camvideos.tv##.thumbs-items
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2714
-macked.net##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
-macked.net##script:inject(abort-on-property-write.js, Fingerprint2)
+macked.net##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
+macked.net##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2715
-lanjutkeun.*##script:inject(addEventListener-defuser.js, load, 2000)
+lanjutkeun.*##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2710
-urlku.gq##script:inject(set-constant.js, safelink.adblock, false)
+urlku.gq##+js(set-constant.js, safelink.adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2713
 xrares.com###aclose
 ||afgr4.com^
-xrares.com##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+xrares.com##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=xrares.com
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=xrares.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2716
-eastbaytimes.com##script:inject(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+eastbaytimes.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/958
 ||shidurlive.com/adz*.html$subdocument
@@ -9298,40 +9527,40 @@ vipracing.tv##[href="http://www.tvbarata
 vipracing.tv##.rj-publi
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2717
-filmix.co##script:inject(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
+filmix.co##+js(abort-current-inline-script.js, String.fromCharCode, /\/\*[0-9a-f]{40}\*\//)
 
 ! https://github.com/jspenguin2017/uBlockProtector/issues/959
 @@||ccbluex.net^$generichide
 @@||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,domain=dl.ccbluex.net
 @@||pagead2.googlesyndication.com/pagead/js/*/show_ads_impl.js$script,domain=dl.ccbluex.net
-ccbluex.net##[id^=aswift]
+ccbluex.net##[id^="aswift"]
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41116
-solarmoviex.to##script:inject(abort-current-inline-script.js, decodeURI, atob)
+solarmoviex.to##+js(abort-current-inline-script.js, decodeURI, atob)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2721
-leen.link##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+leen.link##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2722
-adfloz.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-adfloz.com##script:inject(nano-setInterval-booster.js)
+adfloz.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+adfloz.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2723
-iclink.6te.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+iclink.6te.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2724
-solo-link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+solo-link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2725
-ar4link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-ar4link.com##script:inject(nano-setInterval-booster.js)
+ar4link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+ar4link.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2726
-linkexa.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkexa.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2727
 ! https://github.com/uBlockOrigin/uAssets/issues/2838
-darksoftware.net##script:inject(set-constant.js, hope, true)
+darksoftware.net##+js(set-constant.js, hope, true)
 @@||forum.darksoftware.net^$generichide
 forum.darksoftware.net##.errorDetails
 
@@ -9339,7 +9568,7 @@ forum.darksoftware.net##.errorDetails
 @@||pesupdate.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2729
-aliancapes.*##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+aliancapes.*##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2730
 @@||moddingtr.com^$generichide
@@ -9350,19 +9579,19 @@ wcvb.com##.ad-label
 wcvb.com##.ad-leaderboard
 
 ! https://forums.lanik.us/viewtopic.php?p=138401#p138401
-rarbgmirror.*##script:inject(addEventListener-defuser.js, mousedown, preventDefault)
-rarbgmirror.*##script:inject(window.open-defuser.js)
+rarbgmirror.*##+js(addEventListener-defuser.js, mousedown, preventDefault)
+rarbgmirror.*##+js(window.open-defuser.js)
 ##a[href*="?bver="]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2735
-skylinewebcams.com##script:inject(setTimeout-defuser.js, change(), 14000)
+skylinewebcams.com##+js(setTimeout-defuser.js, change(), 14000)
 ||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,important,domain=skylinewebcams.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2736
-kanald.com.tr##script:inject(set-constant.js, adBlockDisabled, true)
+kanald.com.tr##+js(set-constant.js, adBlockDisabled, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2737
-listegaleri.com##script:inject(setTimeout-defuser.js, adblock, 1500)
+listegaleri.com##+js(setTimeout-defuser.js, adblock, 1500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2738
 @@||topzone.lt^$generichide
@@ -9371,7 +9600,7 @@ listegaleri.com##script:inject(setTimeou
 @@||wallpaper-house.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2741
-x265mkv.ws##script:inject(abort-on-property-write.js, anOptions)
+x265mkv.ws##+js(abort-on-property-write.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2744
 @@||so-abnehmen.info^$generichide
@@ -9384,38 +9613,38 @@ x265mkv.ws##script:inject(abort-on-prope
 @@||mdsrwdassets-a.akamaihd.net^$script,xmlhttprequest,domain=mediaset.es|yasss.es
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2745
-ultimate-catch.eu##script:inject(setTimeout-defuser.js, data-adback, 0)
+ultimate-catch.eu##+js(setTimeout-defuser.js, data-adback, 0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2749
-giveaway-club.com##script:inject(set-constant.js, gcAdsActive, true)
+giveaway-club.com##+js(set-constant.js, gcAdsActive, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2748
-televall.info##script:inject(set-constant.js, jQuery.adblock, false)
+televall.info##+js(set-constant.js, jQuery.adblock, false)
 televall.info###floatLayer6
 televall.info###floatLayer5
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2751
-wicr.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+wicr.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2757
-nwtehranmusic.com##script:inject(abort-on-property-read.js, needpop)
-nwtehranmusic.com##script:inject(abort-on-property-write.js, open)
+nwtehranmusic.com##+js(abort-on-property-read.js, needpop)
+nwtehranmusic.com##+js(abort-on-property-write.js, open)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2756
 ||cklad.xyz^$third-party
 ||charmour.club^
-shon.xyz##script:inject(abort-on-property-write.js, NotDet)
-shon.xyz##script:inject(window.open-defuser.js)
-shon.xyz##script:inject(popads-dummy.js)
+shon.xyz##+js(abort-on-property-write.js, NotDet)
+shon.xyz##+js(window.open-defuser.js)
+shon.xyz##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2759
-wallpapershome.ru##script:inject(set-constant.js, canRunAds, true)
+wallpapershome.ru##+js(set-constant.js, canRunAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2760
-googledrivelinks.com##script:inject(set-constant.js, canRunAds, true)
+googledrivelinks.com##+js(set-constant.js, canRunAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2761
-a2zp30.com##script:inject(set-constant.js, ads, true)
+a2zp30.com##+js(set-constant.js, ads, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/324
 ! https://github.com/uBlockOrigin/uAssets/issues/2762
@@ -9427,8 +9656,8 @@ a2zp30.com##script:inject(set-constant.j
 @@||wmur.com^$generichide
 
 ! https://forums.lanik.us/viewtopic.php?p=138473#p138473
-torrentken.com,torrentz2eu.top##script:inject(abort-on-property-write.js, _pop)
-torrentken.com,torrentz2eu.top##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+torrentken.com,torrentz2eu.top##+js(abort-on-property-write.js, _pop)
+torrentken.com,torrentz2eu.top##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2770
 @@||sport-tv-guide.live^$generichide
@@ -9444,28 +9673,30 @@ autech.xyz##.adsbygoogle
 autech.xyz###waktu
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2773
-acienciasgalilei.com##script:inject(addEventListener-defuser.js, load, adverts-top-container)
+acienciasgalilei.com##+js(addEventListener-defuser.js, load, adverts-top-container)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2774
-22pixx.xyz##script:inject(abort-on-property-read.js, ExoLoader.addZone)
+22pixx.xyz##+js(abort-on-property-read.js, ExoLoader.addZone)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2775
 @@||teknologilink.com/js/advertisement.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2776
-tinylinks.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+tinylinks.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+@@||tinylinks.net^$generichide
+tinylinks.net##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2779
-payskip.me##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+payskip.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2777
-gocitlink.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+gocitlink.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2778
 @@||imaginetricks.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2781
-earnpanda.co##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+earnpanda.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2780
 @@||kakkoiisafe.us^$generichide
@@ -9483,20 +9714,20 @@ earnpanda.co##script:inject(abort-on-pro
 @@||mp3skull-tube.net/js/ads.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2787
-smsget.net##script:inject(setTimeout-defuser.js, Adblock, 5000)
-smsget.net##script:inject(setTimeout-defuser.js, disable, 200)
+smsget.net##+js(setTimeout-defuser.js, Adblock, 5000)
+smsget.net##+js(setTimeout-defuser.js, disable, 200)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2788
-temp-mails.com##script:inject(abort-current-inline-script.js, document.getElementById, AdBlock)
+temp-mails.com##+js(abort-current-inline-script.js, document.getElementById, AdBlock)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8whs2b
-nyafilmerhd.com##script:inject(abort-current-inline-script.js, decodeURI, atob)
+nyafilmerhd.com##+js(abort-current-inline-script.js, decodeURI, atob)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2791
-zigforums.com##script:inject(abort-on-property-write.js, adsBlocked)
+zigforums.com##+js(abort-on-property-write.js, adsBlocked)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2793
-damelibros.com##script:inject(set-constant.js, adBlockDetected, noopFunc)
+damelibros.com##+js(set-constant.js, adBlockDetected, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2794
 @@||autoiptv.net^$generichide
@@ -9505,22 +9736,24 @@ damelibros.com##script:inject(set-consta
 @@||smskola.com^$generichide
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8whmpf/any_idea_how_bypass_this_block_detection/
-kjanime.net##script:inject(setTimeout-defuser.js, CekAab, 0)
+kjanime.net##+js(setTimeout-defuser.js, CekAab, 0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2797
-novaenreta.space##script:inject(window.open-defuser.js)
+novaenreta.space##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2799
 @@||tf1.fr^$generichide
 
 ! https://github.com/reek/anti-adblock-killer/issues/4116
-xtraordinaryfansub.com##script:inject(set-constant.js, loadingAds, true)
+! https://github.com/uBlockOrigin/uAssets/issues/3308
+xtraordinaryfansub.com##+js(set-constant.js, loadingAds, true)
+@@||st.bebi.com/bebi_*.js$script,domain=xtraordinaryfansub.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2801
-soft112.com##script:inject(nano-setInterval-booster.js)
+soft112.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2800
-popmatters.com##script:inject(abort-on-property-read.js, CatapultTools)
+popmatters.com##+js(abort-on-property-read.js, CatapultTools)
 
 ! https://forums.lanik.us/viewtopic.php?p=138567#p138567
 hypable.com##.advertise
@@ -9538,31 +9771,34 @@ hypable.com##.advertise
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=facepunch.io|biters.io|skyroyale.io|fisp.io
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41168
-4realtorrentz.com##script:inject(abort-on-property-write.js, Fingerprint2)
+4realtorrentz.com##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2806
-goto.com.np##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-goto.com.np##script:inject(abort-on-property-read.js, open)
+goto.com.np##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+goto.com.np##+js(abort-on-property-read.js, open)
 *$subdocument,third-party,domain=goto.com.np
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2807
 @@||wwe2day.com/advertisement.js$script,first-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8xhann/getting_around_antiadblock_on_a_wiki_site/
-undeniable.info##script:inject(abort-current-inline-script.js, document.getElementById, testadblock)
+undeniable.info##+js(abort-current-inline-script.js, document.getElementById, testadblock)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/123
 @@||3bmeteo.com^$generichide
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=3bmeteo.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2808
-overclockers.ru##script:inject(setTimeout-defuser.js, [native code], 9999)
+overclockers.ru##+js(abort-current-inline-script.js, RegExp, '0x)
+overclockers.ru##+js(set-constant.js, chkA, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2822
-morgenweb.de##script:inject(set-constant.js, blockAdBlock, true)
+morgenweb.de##+js(set-constant.js, blockAdBlock, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2821
 @@||mackie100projects.altervista.org^$generichide
+mackie100projects.altervista.org##+js(abort-on-property-read.js, adBlockDetected)
+mackie100projects.altervista.org##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2820
 @@||macbed.com^$generichide
@@ -9592,10 +9828,9 @@ morgenweb.de##script:inject(set-constant
 ! https://www.reddit.com/r/uBlockOrigin/comments/9013un/ublock_blocks_the_episode_list_from_this_site/
 @@||turkanime.tv^$generichide
 @@||turkanime.tv/ad/$xmlhttprequest,first-party
-mail.ru##script:inject(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2830
-webcafe.bg##script:inject(set-constant.js, bDetect, true)
+webcafe.bg##+js(set-constant.js, bDetect, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2829
 ||1tiny.net/1up/*$image
@@ -9604,112 +9839,112 @@ webcafe.bg##script:inject(set-constant.j
 1tiny.net##[href="https://neswangy.net"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2831
-transparentcalifornia.com##script:inject(set-constant.js, $.magnificPopup.open, noopFunc)
+transparentcalifornia.com##+js(set-constant.js, $.magnificPopup.open, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2834
-paksociety.com##script:inject(abort-on-property-write.js, ai_adb_overlay)
+paksociety.com##+js(abort-on-property-write.js, ai_adb_overlay)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2832
-klartext-ne.de##script:inject(bab-defuser.js)
+klartext-ne.de##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2833
-alein.org##script:inject(abort-current-inline-script.js, document.getElementById, tester)
+alein.org##+js(abort-current-inline-script.js, document.getElementById, tester)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2835
-keshavcommoditycalls.com##script:inject(abort-on-property-read.js, anOptions)
+keshavcommoditycalls.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2826
-hangulsoup.com##script:inject(set-constant.js, _ybABC, 0)
+hangulsoup.com##+js(set-constant.js, _ybABC, 0)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2811
-swipe.xxx##script:inject(abort-on-property-write.js, ExoLoader)
-swipe.xxx##script:inject(popads-dummy.js)
+swipe.xxx##+js(abort-on-property-write.js, ExoLoader)
+swipe.xxx##+js(popads-dummy.js)
 swipe.xxx##.playerOverlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2812
-titsbox.com##script:inject(abort-on-property-write.js, ALoader)
-titsbox.com##script:inject(popads-dummy.js)
-titsbox.com##script:inject(addEventListener-defuser.js, click, exopop)
-titsbox.com##[class*=banners]
+titsbox.com##+js(abort-on-property-write.js, ALoader)
+titsbox.com##+js(popads-dummy.js)
+titsbox.com##+js(addEventListener-defuser.js, click, exopop)
+titsbox.com##[class*="banners"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2813
-spycock.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-spycock.com##script:inject(abort-on-property-write.js, Fingerprint2)
+spycock.com##+js(abort-on-property-read.js, ExoLoader.serve)
+spycock.com##+js(abort-on-property-write.js, Fingerprint2)
 ||spycock.com/exa/
 spycock.com##.footer-banner-wrapper
 spycock.com###advertising
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41174
-indoxx1.com##script:inject(abort-current-inline-script.js, atob, tabunder)
-indoxx1.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+indoxx1.com##+js(abort-current-inline-script.js, atob, tabunder)
+indoxx1.com##+js(abort-current-inline-script.js, parseInt, tabunder)
 ||indoxx1.com/sw.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2841
 @@||wurstclient.net^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2842
-sigma4pc.com##script:inject(addEventListener-defuser.js, load, nextFunction)
+sigma4pc.com##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2843
-forumcoin.win##script:inject(bab-defuser.js)
+forumcoin.win##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2844
 @@||mssl.fwmrm.net/p/MTG_Brightcove_HTML5/AdManager.js$script,domain=tv3sport.dk
 @@||v.fwmrm.net/ad/$script,xmlhttprequest,domain=tv3sport.dk
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8xvnev/is_there_a_way_to_bypass_this_blockadblock_thing/
-scrims.io##script:inject(bab-defuser.js)
+scrims.io##+js(bab-defuser.js)
 
 ! https://forums.lanik.us/viewtopic.php?p=138629#p138629
-gorillavid.in##script:inject(abort-on-property-write.js, encodeURIComponent)
+gorillavid.in##+js(abort-on-property-write.js, encodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2845
-jinseinokiduki.com##script:inject(addEventListener-defuser.js, load, 2000)
+jinseinokiduki.com##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2846
 @@||mukulog.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2847
-halchim.jp##script:inject(addEventListener-defuser.js, load, 2000)
+halchim.jp##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2848
-sandrives.*##script:inject(setTimeout-defuser.js, nextFunction, 250)
+sandrives.*##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2851
 @@||peterboroughtoday.co.uk^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2849
-filesrom.com##script:inject(abort-on-property-read.js, anOptions)
+filesrom.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2850
-simpsonsua.com.ua##script:inject(abort-current-inline-script.js, atob, void)
+simpsonsua.com.ua##+js(abort-current-inline-script.js, atob, void)
 ||megastock.ru/doc/*/azure_rus.gif$image,redirect=32x32-transparent.png,domain=simpsonsua.com.ua
 *$script,domain=krutor.org|simpsonsua.com.ua|torrent-doza.me,badfilter
 *$script,domain=krutor.org|torrent-doza.me
 */preroll/*mp4$media,domain=td7vccbywda3.ru
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41177
-movies123.xyz##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-movies123.xyz##script:inject(abort-on-property-read.js, zfgloadedpopup)
+movies123.xyz##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+movies123.xyz##+js(abort-on-property-read.js, zfgloadedpopup)
 movies123.xyz##^script:has-text(3f87b0eaddd)
 ||amgload.net^$xmlhttprequest,redirect=nooptext,domain=movies123.xyz
 ||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=movies123.xyz
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2853
-techsolutiontips.com##script:inject(set-constant.js, google_jobrunner, true)
+techsolutiontips.com##+js(set-constant.js, google_jobrunner, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2855
 @@||hdturk.de^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2856
 @@||dizired.com^$generichide
-dizired.com##script:inject(window.open-defuser.js)
+dizired.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2857
-miuiturkiye.net##script:inject(abort-current-inline-script.js, adblock, .svg-adblock)
+miuiturkiye.net##+js(abort-current-inline-script.js, adblock, .svg-adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2864
-trgala.com##script:inject(set-constant.js, $tieE3, true)
+trgala.com##+js(set-constant.js, $tieE3, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2865
 @@||webellek.com^$generichide
@@ -9725,7 +9960,7 @@ kasvekuvvet.net##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2862
 @@||guzelresimler.info^$generichide
-guzelresimler.info##script:inject(abort-on-property-read.js, FuckAdBlock)
+guzelresimler.info##+js(abort-on-property-read.js, FuckAdBlock)
 guzelresimler.info##.ezoic-ad
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2866
@@ -9740,7 +9975,7 @@ androidmakale.com##.adsbygoogle
 @@||wanaliz.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2858
-maasi.org##script:inject(addEventListener-defuser.js, load, onload)
+maasi.org##+js(addEventListener-defuser.js, load, onload)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2867
 @@||turkcetarih.com^$generichide
@@ -9750,47 +9985,48 @@ turkcetarih.com##.adsbygoogle
 @@||e-webmasters.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2869
-ocregister.com##script:inject(set-constant.js, dfmCanRunAds, true)
-ocregister.com##script:inject(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+ocregister.com##+js(set-constant.js, dfmCanRunAds, true)
+ocregister.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2875
 @@||absolutcheats.com/ad*.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2876
-linkach.com##script:inject(abort-on-property-write.js, adBlockDetected)
+linkach.com##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2877
-freiepresse.de##script:inject(set-constant.js, UhasAB, false)
+freiepresse.de##+js(set-constant.js, UhasAB, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2878
 @@||oxo-nulled.info^$generichide
-oxo-nulled.info##script:inject(abort-current-inline-script.js, decodeURI, atob)
+oxo-nulled.info##+js(abort-current-inline-script.js, decodeURI, atob)
 ||web.tmearn.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2879
 @@||vpnsplit.com/ads/advertisement.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2880
-allgaeuhit.de##script:inject(set-constant.js, adblock, false)
+allgaeuhit.de##+js(set-constant.js, adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2881
 @@||j-talk.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2882
-mufasi.ga##script:inject(nano-setInterval-booster.js)
-mufasi.ga##script:inject(set-constant.js, safelink.adblock, false)
+mufasi.ga##+js(nano-setInterval-booster.js)
+mufasi.ga##+js(set-constant.js, safelink.adblock, false)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8yn0ss
-icy-veins.com##script:inject(abort-on-property-read.js, adbackDebug)
+icy-veins.com##+js(abort-on-property-read.js, adbackDebug)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2883
 @@||kachelmannwetter.com/js/ads.js$script,first-party
+kachelmannwetter.com##.dkpw-billboard-margin
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2886
 ||playwire.com^$domain=discordbots.org
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2887
-zeth.tech##script:inject(abort-on-property-read.js, adBlockDetected)
+zeth.tech##+js(abort-on-property-read.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2888
 @@||megasexporn.com^$generichide
@@ -9807,10 +10043,10 @@ hiddenobjectgames.com##.banner
 @@||media.truex.com/release/*TrueXRenderer.js$script,domain=fxnetworks.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2891
-indoblog.me##script:inject(addEventListener-defuser.js, load, 2000)
+indoblog.me##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2892
-voipsipclient.*##script:inject(addEventListener-defuser.js, load, 2000)
+voipsipclient.*##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2893
 @@||serial-key.com^$generichide
@@ -9825,11 +10061,11 @@ voipsipclient.*##script:inject(addEventL
 @@||bitcoinker.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2897
-files-save.com##script:inject(popads-dummy.js)
+files-save.com##+js(popads-dummy.js)
 @@||files-save.com/Assets/Addon/Css/ads.css$stylesheet,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2899
-gntai.xyz##script:inject(set-constant.js, showAds, true)
+gntai.xyz##+js(set-constant.js, showAds, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2900
 @@||thebeast2.com^$generichide
@@ -9841,16 +10077,16 @@ gntai.xyz##script:inject(set-constant.js
 @@||premium-place.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2903
-programegratuitepc.com##script:inject(abort-on-property-read.js, ai_debugging)
+programegratuitepc.com##+js(abort-on-property-read.js, ai_debugging)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2906
-games.latimes.com##script:inject(set-constant.js, Adv_ab, false)
+games.latimes.com##+js(set-constant.js, Adv_ab, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2907
-tetris.com##script:inject(abort-on-property-write.js, makeIFrameSrc)
+tetris.com##+js(abort-on-property-write.js, makeIFrameSrc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2908
-girlsgogames.co.uk##script:inject(abort-on-property-read.js, admiral)
+girlsgogames.co.uk##+js(abort-on-property-read.js, admiral)
 ||mediamanager.softgames.de^$script,domain=softgames.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2905
@@ -9859,52 +10095,52 @@ girlsgogames.co.uk##script:inject(abort-
 ||cdn.witchhut.com/network-js/witch-afg/*$script,domain=cdn.witchhut.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2910
-redirector.desbloqueador.org##script:inject(set-constant.js, Ok, true)
-redirector.desbloqueador.org##script:inject(window.open-defuser.js, 1, given)
+redirector.desbloqueador.org##+js(set-constant.js, Ok, true)
+redirector.desbloqueador.org##+js(window.open-defuser.js, 1, given)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8z2tlk/ublock_doesnt_work_kissasianes/
-kissasian.es##script:inject(set-constant.js, check_adblock, true)
+kissasian.es##+js(set-constant.js, check_adblock, true)
 @@||kissasian.es/*/videojs*.js$script,first-party
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=kissasian.es
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8z405v/ublock_origin_not_catching_google_ads_in_firefox/
 ! https://github.com/uBlockOrigin/uAssets/issues/3092
 ! added sites using the same ad-reinsertion script
-adivineencounter.com,bloggingawaydebt.com,heresyoursavings.com,investingchannel.com,kompas.com,mjsbigblog.com,mommybunch.com,myfunkytravel.com,mywomenstuff.com,peru21.pe,silverpetticoatreview.com,tamaratattles.com,the2seasons.com,truesteamachievements.com,truetrophies.com##script:inject(abort-current-inline-script.js, Math.floor, axtd)
+adivineencounter.com,au-di-tions.com,badgehungry.com,bloggingawaydebt.com,chipandco.com,cornerstoneconfessions.com,dearcreatives.com,divinelifestyle.com,eslauthority.com,heresyoursavings.com,investingchannel.com,irresistiblepets.net,kompas.com,lovegrowswild.com,mjsbigblog.com,mommybunch.com,mustardseedmoney.com,myfunkytravel.com,mywomenstuff.com,onetimethrough.com,panlasangpinoymeatrecipes.com,peru21.pe,savespendsplurge.com,savvyhoney.com,silverpetticoatreview.com,soccerhighlightstoday.com,tamaratattles.com,the-military-guide.com,the2seasons.com,therelaxedhomeschool.com,thetechieguy.com,truesteamachievements.com,truetrophies.com,waterheaterleakinginfo.com,zeroto60times.com##+js(abort-current-inline-script.js, Math.floor, axtd)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2916
-nakib4short.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+nakib4short.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2917
-mny-short.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-mny-short.com##script:inject(nano-setInterval-booster.js)
+mny-short.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+mny-short.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2919
-gets-link.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-gets-link.com##script:inject(nano-setInterval-booster.js)
-gets-link.com##script:inject(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+gets-link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+gets-link.com##+js(nano-setInterval-booster.js)
+gets-link.com##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2920
-cut-fly.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut-fly.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2921
-ognennoetv.ru##script:inject(abort-on-property-read.js, anOptions)
+ognennoetv.ru##+js(abort-on-property-read.js, anOptions)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/136
-gioialive.it##script:inject(setTimeout-defuser.js, rbm_block_active, 1000)
+gioialive.it##+js(setTimeout-defuser.js, rbm_block_active, 1000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2918
-investing.com##script:inject(set-constant.js, google_ad_status, 1)
+investing.com##+js(set-constant.js, google_ad_status, 1)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2926
-ausfile.com##script:inject(abort-on-property-write.js, Fingerprint2)
-ausfile.com##script:inject(abort-on-property-write.js, SubmitDownload1)
-ausfile.com##script:inject(nano-setTimeout-booster.js)
+ausfile.com##+js(abort-on-property-write.js, Fingerprint2)
+ausfile.com##+js(abort-on-property-write.js, SubmitDownload1)
+ausfile.com##+js(nano-setTimeout-booster.js)
 @@||ausfile.com^$generichide
 ausfile.com##.adsbygoogle
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8zm7bx
-femdomtb.com##script:inject(setTimeout-defuser.js, innerText, 2000)
+femdomtb.com##+js(setTimeout-defuser.js, innerText, 2000)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/8zntay
 @@||aflamtalk.com^$generichide
@@ -9914,16 +10150,16 @@ femdomtb.com##script:inject(setTimeout-d
 vesti-ukr.com##^script:has-text(//\*\w{40}\*/$/)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2927
-peliculasyseries.org##script:inject(abort-on-property-write.js, smrtSB)
+peliculasyseries.org##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2928
 jaffmisshwedd.com###ventana-flotante
-jaffmisshwedd.com##script:inject(abort-on-property-write.js, smrtSB)
-jaffmisshwedd.com##script:inject(nowebrtc.js)
+jaffmisshwedd.com##+js(abort-on-property-write.js, smrtSB)
+jaffmisshwedd.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2929
-telefivegb.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-telefivegb.com##script:inject(setInterval-defuser.js, (), 500)
+telefivegb.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+telefivegb.com##+js(setInterval-defuser.js, (), 500)
 @@||tvenganchado.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2932
@@ -9934,27 +10170,30 @@ leech.thoaimedia.com##.adsbygoogle
 ||4shared.com/sw.js$script,important
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2939
-ur-link.*,url-ink.*,urli-nk.*##script:inject(setTimeout-defuser.js, nextFunction, 2000)
+ur-link.*,url-ink.*,urli-nk.*##+js(setTimeout-defuser.js, nextFunction, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2940
-hdmoza.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-hdmoza.com##script:inject(abort-on-property-write.js, _pop)
-hdmoza.com##script:inject(abort-on-property-write.js, Fingerprint2)
-hdmoza.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, popunder)
-hdmoza.com##script:inject(nowebrtc.js)
-hdmoza.com##script:inject(setInterval-defuser.js, (), 500)
+hdmoza.com##+js(abort-on-property-read.js, ExoLoader.serve)
+hdmoza.com##+js(abort-on-property-write.js, _pop)
+hdmoza.com##+js(abort-on-property-write.js, Fingerprint2)
+hdmoza.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, popunder)
+hdmoza.com##+js(nowebrtc.js)
+hdmoza.com##+js(setInterval-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2941
-licklink.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+licklink.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2943
-aniteca.zlx.com.br##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
+aniteca.zlx.com.br##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2938
 @@||voirfilms.ws^$generichide
+voirfilms.ws##+js(abort-on-property-write.js, smrtSB)
+voirfilms.ws##+js(window.open-defuser.js)
+voirfilms.ws##.lefermeur
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2945
-wokesloth.com##script:inject(abort-on-property-write.js, admiral)
+wokesloth.com##+js(abort-on-property-write.js, admiral)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2946
 @@||coolgames.com^$generichide
@@ -9962,7 +10201,7 @@ wokesloth.com##script:inject(abort-on-pr
 coolgames.com##.ad-wrapper
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2947
-pelismart.com##script:inject(abort-on-property-write.js, _pop)
+pelismart.com##+js(abort-on-property-write.js, _pop)
 @@||pelismart.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2952
@@ -9971,17 +10210,18 @@ pelismart.com##script:inject(abort-on-pr
 paraveronline.com##^script:has-text(3f87b0eaddd)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/90qe2e/ad_block_detection_on_daily_bulletin_news_site/
-dailybulletin.com##script:inject(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+dailybulletin.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2951
-game-dna.de##script:inject(abort-current-inline-script.js, document.getElementById, TVGuideUd)
+game-dna.de##+js(abort-current-inline-script.js, document.getElementById, TVGuideUd)
 ||game-dna.de^$csp=worker-src 'none'
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2955
-linkerpt.com##script:inject(abort-on-property-write.js, adBlockDetected)
+linkerpt.com##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2956
-app4free.ml##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+app4free.ml##+js(abort-on-property-read.js, zfgloadedpopup)
+app4free.ml##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
 @@||app4free.ml^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2958
@@ -9995,23 +10235,24 @@ app4free.ml##script:inject(abort-current
 macplanete.com##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2959
-skips.link##script:inject(addEventListener-defuser.js, load, 2000)
+skips.link##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2957
-ovakode.com##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+ovakode.com##+js(abort-on-property-read.js, zfgloadedpopup)
+ovakode.com##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
 @@||ovakode.com^$generichide
 plg.ovakode.com##.adsbygoogle
 ! https://github.com/uBlockOrigin/uAssets/issues/2957#issuecomment-406818751
-earn-url.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-earn-url.com##script:inject(abort-on-property-write.js, Fingerprint2)
+earn-url.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+earn-url.com##+js(abort-on-property-write.js, Fingerprint2)
 ||earn-url.com/sw.js$script,first-party
 earn-url.com###headlineatas
 ! https://github.com/uBlockOrigin/uAssets/issues/2957#issuecomment-406818751
-linkrag.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-linkrag.com##script:inject(nano-setInterval-booster.js)
+linkrag.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkrag.com##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2962
-gratisjuegos.co,gratisprogramas.co##script:inject(abort-on-property-write.js, Fingerprint2)
+gratisjuegos.co,gratisprogramas.co##+js(abort-on-property-write.js, Fingerprint2)
 ||gratisjuegos.co/sw.js$script,first-party
 gratisjuegos.co,gratisprogramas.co##div[id^="hide"]:style(display: block !important;)
 
@@ -10021,17 +10262,17 @@ classicreload.com##.adsbygoogle
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2954
 ! FanSided Network
-12thmanrising.com,1428elm.com,8points9seconds.com,acceptthisrose.com,airalamo.com,allfortennessee.com,allstokedup.com,allucanheat.com,amazonadviser.com,americansundercover.com,apptrigger.com,aroundthefoghorn.com,aroyalpain.com,arrowheadaddict.com,artofgears.com,atlallday.com,autzenzoo.com,awinninghabit.com,badgerofhonor.com,balldurham.com,bamahammer.com,bamsmackpow.com,bayernstrikes.com,bealestreetbears.com,beargoggleson.com,behindthebuckpass.com,believelandball.com,beyondtheflag.com,beyondwestworld.com,bigeasybeliever.com,bigredlouie.com,birdswatcher.com,blackandteal.com,blackhawkup.com,blackoutdallas.com,bladesofteal.com,bleedinblue.com,bloggingdirty.com,blogoflegends.com,blogredmachine.com,bluelinestation.com,bluemanhoop.com,boilingwithbias.com,boltbeat.com,boltsbythebay.com,bosoxinjection.com,bricksareawesome.com,broadstreetbuzz.com,buffalowdown.com,bustingbrackets.com,bvbbuzz.com,cagepages.com,callsaulnow.com,calltothepen.com,caneswarning.com,capedcrusades.com,cardiaccane.com,catcrave.com,causewaycrowd.com,champagneandshade.com,chopchat.com,chowderandchampions.com,cincyontheprowl.com,cityofchampionssports.com,claireandjamie.com,claretvillans.com,climbingtalshill.com,clipperholics.com,clonesconfidential.com,cubbiescrib.com,culturess.com,dailyddt.com,dailyknicks.com,dairylandexpress.com,dawgpounddaily.com,dawindycity.com,dawnofthedawg.com,dearoldgold.com,deathvalleyvoice.com,detroitjockcity.com,devilsindetail.com,diredota.com,districtondeck.com,doctorwhowatch.com,dodgersway.com,dogoday.com,dorksideoftheforce.com,duffanddonuts.com,dunkingwithwolves.com,ebonybird.com,editorinleaf.com,emeraldcityswagger.com,empirewritesback.com,everythingbarca.com,eyeonbond.com,eyesonisles.com,factoryofsadness.co,fansided.com,fansoftaylor.com,fantasycpr.com,fightinggobbler.com,flameforthought.com,flywareagle.com,foodsided.com,foregals.com,foreverfortnite.com,foxesofleicester.com,friarsonbase.com,frozenfutures.com,garnetandcocky.com,gbmwolverine.com,geeksided.com,gigemgazette.com,glorycolorado.com,gmenhq.com,gojoebruin.com,goldandgopher.com,goldengatesports.com,gonepuckwild.com,greenstreethammers.com,guiltyeats.com,hailfloridahail.com,hailwv.com,halohangout.com,hardwoodhoudini.com,heatwaved.com,hercape.com,hiddenremote.com,highposthoops.com,hookemheadlines.com,hoopshabit.com,hoosierstateofmind.com,horseshoeheroes.com,hotspurhq.com,houseofhouston.com,howlinhockey.com,hoyosrevenge.com,huluwatcher.com,huskercorner.com,inkonindy.com,insideibrox.com,insidethebbhouse.com,insidetheiggles.com,insidetheloudhouse.com,jaysjournal.com,jetswhiteout.com,jugofsnyder.com,justblogbaby.com,justfantasybaseball.com,kardashiandish.com,kckingdom.com,keepingitheel.com,kingjamesgospel.com,kingsofkauffman.com,lakeshowlife.com,lasportshub.com,lastnighton.com,lawlessrepublic.com,lightlybuzzed.com,lobandsmash.com,localpov.com,lombardiave.com,mancitysquare.com,marlinmaniac.com,maroonandwhitenation.com,milehighmaniac.com,milehighsticking.com,mlsmultiplex.com,motorcitybengals.com,mtgsideboard.com,musketfire.com,netflixlife.com,newcastletoons.com,nflmocks.com,nflspinzone.com,ninernoise.com,nolanwritin.com,nothinbutnets.com,nugglove.com,octopusthrower.com,oilonwhyte.com,oldnorthbanter.com,olehottytoddy.com,onechicagocenter.com,orlandomagicdaily.com,paininthearsenal.com,pelicandebrief.com,penslabyrinth.com,phinphanatic.com,pippenainteasy.com,pistonpowered.com,playingfor90.com,pokespost.com,predlines.com,predominantlyorange.com,princerupertstower.com,progolfnow.com,puckettspond.com,puckprose.com,pucksandpitchforks.com,pucksofafeather.com,purpose2play.com,raisingzona.com,ramblinfan.com,raptorsrapture.com,rayscoloredglasses.com,razorbackers.com,redbirdrants.com,reddevilarmada.com,redshirtsalwaysdie.com,reignoftroy.com,reviewingthebrew.com,rhodyrampage.com,rhymejunkie.com,riggosrag.com,rinkroyalty.com,ripcityproject.com,risingapple.com,roxpile.com,rubbingtherock.com,rumbunter.com,rushthekop.com,sabrenoise.com,saintsmarching.com,saturdayblitz.com,scarletandgame.com,section215.com,senshot.com,showsnob.com,sidelionreport.com,sircharlesincharge.com,slapthesign.com,smartcarting.com,soaringdownsouth.com,sodomojo.com,southboundanddown.com,southsideshowdown.com,spacecityscoop.com,spartanavenue.com,spnhunters.com,sportdfw.com,sportingsota.com,starsandsticks.com,starstepping.com,statliners.com,stillcurtain.com,stormininnorman.com,stripehype.com,survivingtribal.com,swarmandsting.com,tenntruth.com,terrapinstationmd.com,thatballsouttahere.com,thebaltimorewire.com,thecanuckway.com,thecelticbhoys.com,thecruelestsport.com,thehuskyhaul.com,thejetpress.com,thejnotes.com,thelandryhat.com,theoutsidegame.com,thepewterplank.com,theprideoflondon.com,therattrick.com,therealchamps.com,thesixersense.com,thesmokingcuban.com,thesoapies.com,thetopflight.com,thevikingage.com,thisisuscrying.com,throughthephog.com,thunderousintentions.com,tipofthetower.com,titansized.com,tomahawktake.com,torotimes.com,trumanstales.com,turnthatchair.com,twinpeaksfans.com,undeadwalking.com,underthelaces.com,unionandblue.com,valleyofthesuns.com,vegashockeyknight.com,venomstrikes.com,victorybellrings.com,viridianforest.com,vivaligamx.com,wakeupmrwest.com,whateveraspidercan.com,whitecleatbeat.com,whodatdish.com,wildcatbluenation.com,winteriscoming.net,withthefirstpick.com,wizardsandwhatnot.com,wizofawes.com,wreckemred.com,writingillini.com,yanksgoyard.com,yellowjackedup.com,zonazealots.com##script:inject(abort-on-property-read.js, HTMLScriptElement)
+12thmanrising.com,1428elm.com,8points9seconds.com,acceptthisrose.com,airalamo.com,allfortennessee.com,allstokedup.com,allucanheat.com,amazonadviser.com,americansundercover.com,apptrigger.com,aroundthefoghorn.com,aroyalpain.com,arrowheadaddict.com,artofgears.com,atlallday.com,autzenzoo.com,awinninghabit.com,badgerofhonor.com,balldurham.com,bamahammer.com,bamsmackpow.com,bayernstrikes.com,bealestreetbears.com,beargoggleson.com,behindthebuckpass.com,believelandball.com,beyondtheflag.com,beyondwestworld.com,bigeasybeliever.com,bigredlouie.com,birdswatcher.com,blackandteal.com,blackhawkup.com,blackoutdallas.com,bladesofteal.com,bleedinblue.com,bloggingdirty.com,blogoflegends.com,blogredmachine.com,bluelinestation.com,bluemanhoop.com,boilingwithbias.com,boltbeat.com,boltsbythebay.com,bosoxinjection.com,bricksareawesome.com,broadstreetbuzz.com,buffalowdown.com,bustingbrackets.com,bvbbuzz.com,cagepages.com,callsaulnow.com,calltothepen.com,caneswarning.com,capedcrusades.com,cardiaccane.com,catcrave.com,causewaycrowd.com,champagneandshade.com,chopchat.com,chowderandchampions.com,cincyontheprowl.com,cityofchampionssports.com,claireandjamie.com,claretvillans.com,climbingtalshill.com,clipperholics.com,clonesconfidential.com,cubbiescrib.com,culturess.com,dailyddt.com,dailyknicks.com,dairylandexpress.com,dawgpounddaily.com,dawindycity.com,dawnofthedawg.com,dearoldgold.com,deathvalleyvoice.com,detroitjockcity.com,devilsindetail.com,diredota.com,districtondeck.com,doctorwhowatch.com,dodgersway.com,dogoday.com,dorksideoftheforce.com,duffanddonuts.com,dunkingwithwolves.com,ebonybird.com,editorinleaf.com,emeraldcityswagger.com,empirewritesback.com,everythingbarca.com,eyeonbond.com,eyesonisles.com,factoryofsadness.co,fansided.com,fansoftaylor.com,fantasycpr.com,fightinggobbler.com,flameforthought.com,flywareagle.com,foodsided.com,foregals.com,foreverfortnite.com,foxesofleicester.com,friarsonbase.com,frozenfutures.com,garnetandcocky.com,gbmwolverine.com,geeksided.com,gigemgazette.com,glorycolorado.com,gmenhq.com,gojoebruin.com,goldandgopher.com,goldengatesports.com,gonepuckwild.com,greenstreethammers.com,guiltyeats.com,hailfloridahail.com,hailwv.com,halohangout.com,hardwoodhoudini.com,heatwaved.com,hercape.com,hiddenremote.com,highposthoops.com,hookemheadlines.com,hoopshabit.com,hoosierstateofmind.com,horseshoeheroes.com,hotspurhq.com,houseofhouston.com,howlinhockey.com,hoyosrevenge.com,huluwatcher.com,huskercorner.com,inkonindy.com,insideibrox.com,insidethebbhouse.com,insidetheiggles.com,insidetheloudhouse.com,jaysjournal.com,jetswhiteout.com,jugofsnyder.com,justblogbaby.com,justfantasybaseball.com,kardashiandish.com,kckingdom.com,keepingitheel.com,kingjamesgospel.com,kingsofkauffman.com,lakeshowlife.com,lasportshub.com,lastnighton.com,lawlessrepublic.com,lightlybuzzed.com,lobandsmash.com,localpov.com,lombardiave.com,mancitysquare.com,marlinmaniac.com,maroonandwhitenation.com,milehighmaniac.com,milehighsticking.com,mlsmultiplex.com,motorcitybengals.com,mtgsideboard.com,musketfire.com,netflixlife.com,newcastletoons.com,nflmocks.com,nflspinzone.com,ninernoise.com,nolanwritin.com,nothinbutnets.com,nugglove.com,octopusthrower.com,oilonwhyte.com,oldnorthbanter.com,olehottytoddy.com,onechicagocenter.com,orlandomagicdaily.com,paininthearsenal.com,pelicandebrief.com,penslabyrinth.com,phinphanatic.com,pippenainteasy.com,pistonpowered.com,playingfor90.com,pokespost.com,predlines.com,predominantlyorange.com,princerupertstower.com,progolfnow.com,puckettspond.com,puckprose.com,pucksandpitchforks.com,pucksofafeather.com,purpose2play.com,raisingzona.com,ramblinfan.com,raptorsrapture.com,rayscoloredglasses.com,razorbackers.com,redbirdrants.com,reddevilarmada.com,redshirtsalwaysdie.com,reignoftroy.com,reviewingthebrew.com,rhodyrampage.com,rhymejunkie.com,riggosrag.com,rinkroyalty.com,ripcityproject.com,risingapple.com,roxpile.com,rubbingtherock.com,rumbunter.com,rushthekop.com,sabrenoise.com,saintsmarching.com,saturdayblitz.com,scarletandgame.com,section215.com,senshot.com,showsnob.com,sidelionreport.com,sircharlesincharge.com,slapthesign.com,smartcarting.com,soaringdownsouth.com,sodomojo.com,southboundanddown.com,southsideshowdown.com,spacecityscoop.com,spartanavenue.com,spnhunters.com,sportdfw.com,sportingsota.com,starsandsticks.com,starstepping.com,statliners.com,stillcurtain.com,stormininnorman.com,stripehype.com,survivingtribal.com,swarmandsting.com,tenntruth.com,terrapinstationmd.com,thatballsouttahere.com,thebaltimorewire.com,thecanuckway.com,thecelticbhoys.com,thecruelestsport.com,thehuskyhaul.com,thejetpress.com,thejnotes.com,thelandryhat.com,theoutsidegame.com,thepewterplank.com,theprideoflondon.com,therattrick.com,therealchamps.com,thesixersense.com,thesmokingcuban.com,thesoapies.com,thetopflight.com,thevikingage.com,thisisuscrying.com,throughthephog.com,thunderousintentions.com,tipofthetower.com,titansized.com,tomahawktake.com,torotimes.com,trumanstales.com,turnthatchair.com,twinpeaksfans.com,undeadwalking.com,underthelaces.com,unionandblue.com,valleyofthesuns.com,vegashockeyknight.com,venomstrikes.com,victorybellrings.com,viridianforest.com,vivaligamx.com,wakeupmrwest.com,whateveraspidercan.com,whitecleatbeat.com,whodatdish.com,wildcatbluenation.com,winteriscoming.net,withthefirstpick.com,wizardsandwhatnot.com,wizofawes.com,wreckemred.com,writingillini.com,yanksgoyard.com,yellowjackedup.com,zonazealots.com##+js(abort-on-property-read.js, HTMLScriptElement)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2967
 @@||fmlawkers.club^$generichide
 fmlawkers.club##.adsbygoogle
-fmlawkers.club##script:inject(abort-current-inline-script.js, $, #pause)
+fmlawkers.club##+js(abort-current-inline-script.js, $, #pause)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2968
-macleech.com##script:inject(abort-current-inline-script.js, document.getElementById, adblockinfo)
-macleech.com##script:inject(abort-on-property-write.js, Fingerprint2)
-macleech.com##script:inject(window.open-defuser.js)
+macleech.com##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
+macleech.com##+js(abort-on-property-write.js, Fingerprint2)
+macleech.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2969
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=stickgames.com
@@ -10040,63 +10281,66 @@ macleech.com##script:inject(window.open-
 @@||software4all-now.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2971
-senmanga.com##script:inject(nowebrtc.js)
+senmanga.com##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2972
 @@||mimaletamusical.*^$generichide
-mimaletamusical.*##script:inject(nowebrtc.js)
+mimaletamusical.*##+js(nowebrtc.js)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/146#issuecomment-406832066
-hawklegend.org##script:inject(nowebrtc.js)
+hawklegend.org##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2974
 ||cdn.rawgit.com^*/arlinablock.js$script
 ||cdn.rawgit.com^*/AdblockRampok.js$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2975
-wroffle.com##script:inject(abort-on-property-write.js, ai_adb_process_content)
+wroffle.com##+js(abort-on-property-write.js, ai_adb_process_content)
 wroffle.com##.special-message-wrapper
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41245
-mcleaks.net##script:inject(abort-on-property-read.js, canRunAds)
+mcleaks.net##+js(abort-on-property-read.js, canRunAds)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/90x6vn
 @@||faucetcrypto.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2978 
-recpelis.net##script:inject(abort-on-property-write.js, smrtSB)
-recpelis.net##script:inject(abort-on-property-write.js, smrtSP)
+recpelis.net##+js(abort-on-property-write.js, smrtSB)
+recpelis.net##+js(abort-on-property-write.js, smrtSP)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2979
-pelishd.live##script:inject(abort-on-property-write.js, smrtSB)
+pelishd.live##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2980
 ultrapeliculashd.com##.content > center
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2981
+converthinks.xyz##+js(addEventListener-defuser.js, load, 2000)
 @@||converthinks.xyz^$generichide
-converthinks.xyz##script:inject(nano-setInterval-booster.js)
+converthinks.xyz##+js(nano-setInterval-booster.js)
 
 ! Issues 2982-2985
-empireshort.com,linkfinal.com,motahrer.com,urlswin.xyz##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-linkfinal.com,motahrer.com,urlswin.xyz##script:inject(nano-setInterval-booster.js)
-urlswin.xyz##script:inject(addEventListener-defuser.js, click)
+empireshort.com,linkfinal.com,motahrer.com,urlswin.xyz##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkfinal.com,motahrer.com,urlswin.xyz##+js(nano-setInterval-booster.js)
+urlswin.xyz##+js(addEventListener-defuser.js, click)
+! https://github.com/uBlockOrigin/uAssets/issues/2984#issuecomment-418822210
+||bj1110.online^$third-party
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/910tjl
-hotpornfile.org##script:inject(abort-on-property-read.js, ExoLoader)
-hotpornfile.org##script:inject(abort-on-property-write.js, popns)
+hotpornfile.org##+js(abort-on-property-read.js, ExoLoader)
+hotpornfile.org##+js(abort-on-property-write.js, popns)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2986
-fullepisodes.me##script:inject(setTimeout-defuser.js, nextFunction, 250)
+fullepisodes.me##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2987
 @@||radiocut.fm^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2988
-hoquangdai.com##script:inject(abort-on-property-write.js, adb_checker)
+hoquangdai.com##+js(abort-on-property-write.js, adb_checker)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2990
-gamereactor.dk##script:inject(abort-on-property-write.js, detectAdblockUser)
+gamereactor.dk##+js(abort-on-property-write.js, detectAdblockUser)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2991
 @@||safeurl.net/theme/js/ads_test.js$script,first-party
@@ -10110,26 +10354,26 @@ gamereactor.dk##script:inject(abort-on-p
 ! https://github.com/uBlockOrigin/uAssets/issues/2994
 ! https://github.com/uBlockOrigin/uAssets/issues/2995
 ! https://github.com/uBlockOrigin/uAssets/issues/2997
-iwatchgot.com,iwatchseries.online,watch30rockonline.com,watchadventuretime.com,watchamericandad.net,watcharcheronline.com,watcharresteddevelopment.com,watchbreakingbad.online,watchcheersonline.com,watchcommunity.online,watchcurbyourenthusiasm.com,watchdoctorwhoonline.com,watcheverybodylovesraymond.com,watchfamilyguy.cc,watchfearthewalkingdead.net,watchfriendsonline.net,watchgreysanatomyonline.com,watchhowimetyourmother.com,watchhowimetyourmother.net,watchitsalwayssunnyinphiladelphia.com,watchkingofthehill.com,watchonetreehillonline.com,watchparksandrecreation.net,watchprisonbreakonline.com,watchpsychonline.net,watchscrubsonline.com,watchseinfeld.com,watchsmallvilleonline.net,watchsouthpark.cc,watchsupernaturalonline.cc,watchthat70show.com,watchtheofficeonline.net,watchthesopranos.com,watchthevampirediaries.com,watchthewalkingdead.online,watchthexfiles.com,watchtopgearonline.net,watchtwoandahalfmenonline.com##script:inject(bab-defuser.js)
+iwatchgot.com,iwatchseries.online,watch30rockonline.com,watchadventuretime.com,watchamericandad.net,watcharcheronline.com,watcharresteddevelopment.com,watchbreakingbad.online,watchcheersonline.com,watchcommunity.online,watchcurbyourenthusiasm.com,watchdoctorwhoonline.com,watcheverybodylovesraymond.com,watchfamilyguy.cc,watchfearthewalkingdead.net,watchfriendsonline.net,watchgreysanatomyonline.com,watchhowimetyourmother.com,watchhowimetyourmother.net,watchitsalwayssunnyinphiladelphia.com,watchkingofthehill.com,watchonetreehillonline.com,watchparksandrecreation.net,watchprisonbreakonline.com,watchpsychonline.net,watchscrubsonline.com,watchseinfeld.com,watchsmallvilleonline.net,watchsouthpark.cc,watchsupernaturalonline.cc,watchthat70show.com,watchtheofficeonline.net,watchthesopranos.com,watchthevampirediaries.com,watchthewalkingdead.online,watchthexfiles.com,watchtopgearonline.net,watchtwoandahalfmenonline.com##+js(bab-defuser.js)
 embedtvseries.com###banner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2996
-moviejones.de##script:inject(abort-current-inline-script.js, document.getElementById, overlayBtn)
+moviejones.de##+js(abort-current-inline-script.js, document.getElementById, overlayBtn)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2999
-blackpoolgazette.co.uk##script:inject(abort-on-property-read.js, EV)
+blackpoolgazette.co.uk##+js(abort-on-property-read.js, EV)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3000
-tugaanimado.net##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-tugaanimado.net##script:inject(abort-on-property-read.js, anOptions)
-tugaanimado.net##script:inject(abort-on-property-read.js, zfgloadedpopup)
-tugaanimado.net##script:inject(abort-on-property-write.js, Fingerprint2)
+tugaanimado.net##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+tugaanimado.net##+js(abort-on-property-read.js, anOptions)
+tugaanimado.net##+js(abort-on-property-read.js, zfgloadedpopup)
+tugaanimado.net##+js(abort-on-property-write.js, Fingerprint2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3004
-hackyouriphone.org##script:inject(abort-on-property-write.js, adBlockDetected)
+hackyouriphone.org##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3005
-donnaglamour.it##script:inject(abort-on-property-write.js, adBlockDetected)
+donnaglamour.it##+js(abort-on-property-write.js, adBlockDetected)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3007
 @@||hindinewstop.com^$generichide
@@ -10141,12 +10385,12 @@ donnaglamour.it##script:inject(abort-on-
 @@||berlingoforum.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3012
-mailbait.info##script:inject(abort-on-property-read.js, adblock_present)
+mailbait.info##+js(abort-on-property-read.js, adblock_present)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3017
-ctwi.in##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-ctwi.in##script:inject(nano-setInterval-booster.js)
-ctwi.in##script:inject(window.open-defuser.js)
+ctwi.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+ctwi.in##+js(nano-setInterval-booster.js)
+ctwi.in##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3018
 @@||globe24.cz^$generichide
@@ -10159,20 +10403,26 @@ globe24.cz##.adsbygoogle
 @@||globaltv.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3019
-repelis.io##script:inject(abort-on-property-read.js, decodeURI)
+repelis.io##+js(abort-on-property-read.js, decodeURI)
+repelis.io##+js(abort-on-property-write.js, document.currentScript)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3021
-pelisplus.online##script:inject(abort-on-property-write.js, mz_str)
+pelisplus.online##+js(abort-on-property-write.js, mz_str)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3022
 @@||bitcoinfaucet.tk^$generichide
+@@||bitcoinfaucet.tk/showads.js$first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2963
-tornadomovies.to##script:inject(abort-on-property-read.js, mz_str)
-||tornadomovies.to/sw.js$script
+tornadomovies.*##+js(abort-on-property-write.js, Fingerprint2)
+tornadomovies.*##+js(set-constant.js, atob, noopFunc)
+||tornadomovies.*/sw.js$script
+||pptchecker.club^
+tornadomovies.*##[href="/user/premiumregistration"]
+||loadshare.org/custom/$media,redirect=noopmp4-1s,domain=tornadomovies.co
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3029
-happyfor.win##script:inject(setTimeout-defuser.js, noAds, 2000)
+happyfor.win##+js(setTimeout-defuser.js, noAds, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3030
 @@||textflix.us^$generichide
@@ -10182,21 +10432,25 @@ textflix.us###fixedban
 experts-exchange.com##.ctaSolutionSticky
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3031
-avgle.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
-avgle.com##script:inject(nowebrtc.js)
-avgle.com##script:inject(set-constant.js, showBlockIf, noopFunc)
+avgle.com##+js(abort-on-property-read.js, ExoLoader.serve)
+avgle.com##+js(nowebrtc.js)
+avgle.com##+js(set-constant.js, showBlockIf, noopFunc)
 ||sub.avgle.com/fd/*$script,first-party
 avgle.com###player_3x2_close:style(font-size: 250% !important;)
 javher.com##.affiliateLink
+! https://github.com/uBlockOrigin/uAssets/issues/1409
+avgle.com##center > div > a[target="_blank"]
+*$third-party,popup,domain=avgle.com
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41272
-feetbay.org##script:inject(bab-defuser.js)
+feetbay.org##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3036
-sexwebvideo.me##script:inject(set-constant.js, canRunAds, true)
+sexwebvideo.*##+js(set-constant.js, canRunAds, true)
+sexwebvideo.*##+js(abort-on-property-write.js, popunder_url)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3038
-novelasesp.*##script:inject(addEventListener-defuser.js, load, 2000)
+novelasesp.*##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3039
 @@||phenom-network.*^$generichide
@@ -10205,25 +10459,25 @@ novelasesp.*##script:inject(addEventList
 @@||tt1069.com^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3042
-pornvibe.org##script:inject(bab-defuser.js)
+pornvibe.org##+js(bab-defuser.js)
 ||pornvibe.org/sw.js$script
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3043
-playrust.io##script:inject(setTimeout-defuser.js, as_check, 3000)
+playrust.io##+js(setTimeout-defuser.js, as_check, 3000)
 
 ! https://forums.lanik.us/viewtopic.php?p=139108#p139108
-tralhasvarias.*##script:inject(bab-defuser.js)
+tralhasvarias.*##+js(bab-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3053
-pinflix.com##script:inject(abort-on-property-read.js, ExoLoader.serve)
+pinflix.com##+js(abort-on-property-read.js, ExoLoader.serve)
 ||syndication.exoclick.com/ads-iframe-display.php$script,redirect=noopjs,domain=pinflix.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3054
-free-sex-video.net##script:inject(abort-on-property-read.js, ExoLoader.serve)
+free-sex-video.net##+js(abort-on-property-read.js, ExoLoader.serve)
 free-sex-video.net###playerOverlay
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3056
-siestrenos.com##script:inject(abort-on-property-write.js, smrtSB)
+siestrenos.com##+js(abort-on-property-write.js, smrtSB)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3064
 @@||kapteen.com^$generichide
@@ -10231,16 +10485,16 @@ kapteen.com##.adsbygoogle
 kapteen.com##.navigation-banner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3065
-supforums.com##script:inject(set-constant.js, adsBlocked, false)
-supforums.com##script:inject(abort-on-property-read.js, htaUrl)
+supforums.com##+js(set-constant.js, adsBlocked, false)
+supforums.com##+js(abort-on-property-read.js, htaUrl)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3067
 @@||a-o.ninja^$generichide
-vidfile.net##script:inject(abort-current-inline-script.js, decodeURI, getScriptFromCss)
-vidfile.net##script:inject(addEventListener-defuser.js, mousedown, preventDefault)
+vidfile.net##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+vidfile.net##+js(addEventListener-defuser.js, mousedown, preventDefault)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41296
-digitalsynopsis.com##script:inject(abort-on-property-read.js, anOptions)
+digitalsynopsis.com##+js(abort-on-property-read.js, anOptions)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41298
 ||tamilrockers.cl^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data:
@@ -10249,10 +10503,10 @@ digitalsynopsis.com##script:inject(abort
 crackwatch.com##div[id]:has(>a>span[style*="data:image"])
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3073
-barurotero.net##script:inject(setInterval-defuser.js, visibility, 1000)
+barurotero.net##+js(setInterval-defuser.js, visibility, 1000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3077
-doridro.com##script:inject(addEventListener-defuser.js, load, 2000)
+doridro.com##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/NanoAdblocker/NanoFilters/issues/153
 @@||discordemoji.com^$generichide
@@ -10260,78 +10514,76 @@ discordemoji.com##.advertisement
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41255
 @@||itopmusic.com^$generichide
+itopmusic.com##+js(set-constant.js, jQuery.adblock, false)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3081
-verbeinlaliga.com##script:inject(abort-on-property-read.js, encodeURIComponent)
+verbeinlaliga.com##+js(abort-on-property-read.js, encodeURIComponent)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3079
-viamichelin.*##script:inject(addEventListener-defuser.js, click, undefined)
+! https://github.com/uBlockOrigin/uAssets/issues/3287
+||booking.com^$popunder,domain=viamichelin.at|viamichelin.be|viamichelin.ch|viamichelin.co.uk|viamichelin.com|viamichelin.de|viamichelin.es|viamichelin.fr|viamichelin.is|viamichelin.it|viamichelin.nl|viamichelin.pl|viamichelin.pt
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3085
-qaru.site##script:inject(set-constant.js, adBlockDetected, noopFunc)
+qaru.site##+js(set-constant.js, adBlockDetected, noopFunc)
+@@||qaru.site^$generichide
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=qaru.site
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41306
 @@||lep.co.uk^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3086
-mp3fiber.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-mp3fiber.com##script:inject(addEventListener-defuser.js, load, nextFunction)
-mp3fiber.com##script:inject(set-constant.js, _pop, noopFunc)
-mp3fiber.com##script:inject(setInterval-defuser.js, (), 500)
+mp3fiber.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+mp3fiber.com##+js(addEventListener-defuser.js, load, nextFunction)
+mp3fiber.com##+js(set-constant.js, _pop, noopFunc)
+mp3fiber.com##+js(setInterval-defuser.js, (), 500)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3090
-imgskull.com##script:inject(abort-on-property-write.js, _pop)
-imgskull.com##script:inject(noeval.js)
+imgskull.com##+js(abort-on-property-write.js, _pop)
+imgskull.com##+js(noeval.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3095
-softmaroc.org##script:inject(addEventListener-defuser.js, load, nextFunction)
+softmaroc.org##+js(addEventListener-defuser.js, load, nextFunction)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3097
-tv-onlinehd.com##script:inject(addEventListener-defuser.js, load, onload)
+tv-onlinehd.com##+js(addEventListener-defuser.js, load, onload)
 ||tv-onlinehd.com/publi/
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3098
-chicoer.com##script:inject(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+chicoer.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3099
 @@||skidrowgamescpy.org^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3100
-anonyviet.com##script:inject(setTimeout-defuser.js, nextFunction, 250)
+anonyviet.com##+js(setTimeout-defuser.js, nextFunction, 250)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3096
-visionias.net##script:inject(addEventListener-defuser.js, load, 2000)
+visionias.net##+js(addEventListener-defuser.js, load, 2000)
 *.gif$domain=www.visionias.net,image
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3102
-tennisactu.net##script:inject(abort-current-inline-script.js, document.getElementById, ads)
+tennisactu.net##+js(abort-current-inline-script.js, document.getElementById, ads)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41313
-cuurl.net##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+cuurl.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3106
-torrentdosfilmeshd.net##script:inject(abort-on-property-read.js, carregarJS)
+torrentdosfilmeshd.net##+js(abort-on-property-read.js, carregarJS)
 ||torrentdosfilmeshd.ga^$script,domain=torrentdosfilmeshd.net
 torrentdosfilmeshd.net##[href^="http://www.tradeadexchange.com/script/preurl.php"]
 
-! https://github.com/uBlockOrigin/uAssets/issues/3107
-downloadhub.cc##script:inject(abort-on-property-write.js, decodeURIComponent)
-downloadhub.cc##a[href*=".php"]
-*.gif$domain=downloadhub.cc,image
-downloadhub.cc##.header-adcode
-downloadhub.cc##.alignnone
-
 ! https://forums.lanik.us/viewtopic.php?f=62&p=139311
-ustv247.com##script:inject(set-constant.js, google_jobrunner, true)
+ustv247.com##+js(set-constant.js, google_jobrunner, true)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3110
-verplusonline.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-verplusonline.com##script:inject(setInterval-defuser.js, (), 500)
+verplusonline.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+verplusonline.com##+js(setInterval-defuser.js, (), 500)
 ||netdna-ssl.com^$popup,domain=vercanalestv1.com|verplusonline.com
 ||nsvfl7p9.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3111
 @@||av01.tv/wp-content/*/trigger_video_hls.js$script,first-party
+@@||av01.tv/av01/videojs/imads.js$script,first-party
 
 ! https://forums.lanik.us/viewtopic.php?p=139328#p139328
 ||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=iptv-freelinks.blogspot.com
@@ -10340,46 +10592,48 @@ verplusonline.com##script:inject(setInte
 ||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=multi-evolution.tech
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3114
-xrivonet.info##script:inject(abort-on-property-write.js, Fingerprint2)
-xrivonet.info##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-xrivonet.info##script:inject(nowebrtc.js)
-xrivonet.info##script:inject(setInterval-defuser.js, (), 500)
-xrivonet.info##script:inject(window.open-defuser.js)
+xrivonet.info##+js(abort-on-property-write.js, Fingerprint2)
+xrivonet.info##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+xrivonet.info##+js(nowebrtc.js)
+xrivonet.info##+js(setInterval-defuser.js, (), 500)
+xrivonet.info##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3116
-suedkurier.de##script:inject(set-constant.js, _ti_update_user, noopFunc)
+! https://github.com/NanoMeow/QuickReports/issues/185
+suedkurier.de##+js(set-constant.js, _ti_update_user, noopFunc)
+||suedkurier.de/ads.js$script,first-party,redirect=noopjs
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3118
-watchpornfree.ws##script:inject(abort-on-property-read.js, ExoLoader.serve)
-watchpornfree.ws##script:inject(window.open-defuser.js)
+watchpornfree.ws##+js(abort-on-property-read.js, ExoLoader.serve)
+watchpornfree.ws##+js(window.open-defuser.js)
 ! https://github.com/uBlockOrigin/uAssets/issues/3118
-gounlimited.to##script:inject(abort-on-property-write.js, Fingerprint2)
-gounlimited.to##script:inject(nowebrtc.js)
+gounlimited.to##+js(abort-on-property-write.js, Fingerprint2)
+gounlimited.to##+js(nowebrtc.js)
+||gounlimited.to^$csp=script-src 'self' 'unsafe-eval' 'unsafe-inline' data: 
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3115
 @@||imasdk.googleapis.com/js/sdkloader/ima3_debug.js$script,domain=cbssports.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3121
-animeheaven.eu##script:inject(fuckadblock.js-3.2.0)
+animeheaven.eu##+js(fuckadblock.js-3.2.0)
 @@||animeheaven.eu^$script,first-party
 
 ! https://forums.lanik.us/viewtopic.php?p=139367#p139367
 @@||bizjournals.com^$generichide
-||assets.bizjournals.com/dist/js/vendor.min.js
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3122
-shrinkbucks.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+shrinkbucks.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3123
-nashort.site##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
-nashort.site##script:inject(nano-setInterval-booster.js)
+nashort.site##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+nashort.site##+js(nano-setInterval-booster.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3124
-bitstlk.com##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+bitstlk.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 ||adcoin.click^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3125
-payskip.org##script:inject(abort-on-property-read.js, app_vars.force_disable_adblock)
+payskip.org##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3128
 @@||clubbingtv.com/*/ads/showad.js$xmlhttprequest,first-party
@@ -10396,27 +10650,29 @@ shortit.pw##.animated.slide
 @@||thedigitalarc.com/*/googleads/$stylesheet,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3134
-ahoypirate.click,alivbay.org,batpirate.info,baybaypirate.org,baypirate.click,baypiratebay.be,baypirateproxy.pw,bayproxy.eu,baythepirate.fi,capjackproxy.net,duckingproxy.eu,hyperproxy.net,ikwildepiratebay.org,indiaproxy.in,pirat2.club,pirataibay.in,piratbaypirate.link,pirate.*,pirateahoy.net,piratebaai.*piratebay.*,piratebay247.net,piratebaymirror.eu,piratebayproxy.tf,piratebays.co,piratenbucht.eu,piratepirate.eu,pirateprox.club,pirateproxy.*piratetoday.click,proxybayduck.fi,proxyfl.info,proxyoneahoy.net,proxypirate.in,proxyproxyproxy.nl,proxyship.click,proxytpb.*,rowpirate.org,thepirate.click,thepiratebay-proxy.com,thepiratebay.*,tpb.tw,tpbairproxy.in,tpbbay.eu,tpbmirror.us,tpbportal.in,tpbproxy.club,tpbproxyone.org,ukpirate.*,ukpirateproxy.xyz,unblockedhyperbay.info,unblocktpb.com,urbanproxy.eu,wearepirates.click,zombay.org##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-ahoypirate.click,alivbay.org,batpirate.info,baybaypirate.org,baypirate.click,baypiratebay.be,baypirateproxy.pw,bayproxy.eu,baythepirate.fi,capjackproxy.net,duckingproxy.eu,hyperproxy.net,ikwildepiratebay.org,indiaproxy.in,pirat2.club,pirataibay.in,piratbaypirate.link,pirate.*,pirateahoy.net,piratebaai.*piratebay.*,piratebay247.net,piratebaymirror.eu,piratebayproxy.tf,piratebays.co,piratenbucht.eu,piratepirate.eu,pirateprox.club,pirateproxy.*piratetoday.click,proxybayduck.fi,proxyfl.info,proxyoneahoy.net,proxypirate.in,proxyproxyproxy.nl,proxyship.click,proxytpb.*,rowpirate.org,thepirate.click,thepiratebay-proxy.com,thepiratebay.*,tpb.tw,tpbairproxy.in,tpbbay.eu,tpbmirror.us,tpbportal.in,tpbproxy.club,tpbproxyone.org,ukpirate.*,ukpirateproxy.xyz,unblockedhyperbay.info,unblocktpb.com,urbanproxy.eu,wearepirates.click,zombay.org##script:inject(setInterval-defuser.js, (), 500)
+ahoypirate.click,alivbay.org,batpirate.info,baybaypirate.org,baypirate.click,baypiratebay.be,baypirateproxy.pw,bayproxy.eu,baythepirate.fi,capjackproxy.net,duckingproxy.eu,hyperproxy.net,ikwildepiratebay.org,indiaproxy.in,pirat2.club,pirataibay.in,piratbaypirate.link,pirate.*,pirateahoy.net,piratebaai.*piratebay.*,piratebay247.net,piratebaymirror.eu,piratebayproxy.tf,piratebays.co,piratenbucht.eu,piratepirate.eu,pirateprox.club,pirateproxy.*piratetoday.click,proxybayduck.fi,proxyfl.info,proxyoneahoy.net,proxypirate.in,proxyproxyproxy.nl,proxyship.click,proxytpb.*,rowpirate.org,thepirate.click,thepiratebay-proxy.com,thepiratebay.*,tpb.tw,tpbairproxy.in,tpbbay.eu,tpbmirror.us,tpbportal.in,tpbproxy.club,tpbproxyone.org,ukpirate.*,ukpirateproxy.xyz,unblockedhyperbay.info,unblocktpb.com,urbanproxy.eu,wearepirates.click,zombay.org##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+ahoypirate.click,alivbay.org,batpirate.info,baybaypirate.org,baypirate.click,baypiratebay.be,baypirateproxy.pw,bayproxy.eu,baythepirate.fi,capjackproxy.net,duckingproxy.eu,hyperproxy.net,ikwildepiratebay.org,indiaproxy.in,pirat2.club,pirataibay.in,piratbaypirate.link,pirate.*,pirateahoy.net,piratebaai.*piratebay.*,piratebay247.net,piratebaymirror.eu,piratebayproxy.tf,piratebays.co,piratenbucht.eu,piratepirate.eu,pirateprox.club,pirateproxy.*piratetoday.click,proxybayduck.fi,proxyfl.info,proxyoneahoy.net,proxypirate.in,proxyproxyproxy.nl,proxyship.click,proxytpb.*,rowpirate.org,thepirate.click,thepiratebay-proxy.com,thepiratebay.*,tpb.tw,tpbairproxy.in,tpbbay.eu,tpbmirror.us,tpbportal.in,tpbproxy.club,tpbproxyone.org,ukpirate.*,ukpirateproxy.xyz,unblockedhyperbay.info,unblocktpb.com,urbanproxy.eu,wearepirates.click,zombay.org##+js(setInterval-defuser.js, (), 500)
 ##[href^="http://squirrel.surpriseway.science/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3139
-tomadivx.tv##script:inject(nowebrtc.js)
+tomadivx.tv##+js(nowebrtc.js)
 ||tomadivx.tv/banner
 ||tomadivx.tv/publi
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3140
-anitubebr.com##script:inject(abort-on-property-write.js, abreJanela)
-anitubebr.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-anitubebr.com##script:inject(bab-defuser.js)
-anitubebr.com##script:inject(setInterval-defuser.js, (), 500)
+anitubebr.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+anitubebr.com##+js(bab-defuser.js)
+anitubebr.com##+js(setInterval-defuser.js, (), 500)
 ||anitubebr.com/load.php$subdocument,first-party
 @@||anitubebr.com/templates/*/js/ads.js$script,first-party
+||adsterra.com^$script,redirect=noopjs,domain=anitubebr.com
+@@||anitubebr.com^$generichide
+@@||cdnjs.cloudflare.com/ajax/libs/fuckadblock/$script,domain=anitubebr.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3143
-vidcloud.co##script:inject(abort-on-property-read.js, BetterJsPop)
-vidcloud.co##script:inject(abort-on-property-write.js, adBlockDetected)
-vidcloud.co##script:inject(set-constant.js, pop_cnt, 2)
+vidcloud.co##+js(abort-on-property-read.js, BetterJsPop)
+vidcloud.co##+js(abort-on-property-write.js, adBlockDetected)
+vidcloud.co##+js(set-constant.js, pop_cnt, 2)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3148
 @@||freemium-iptv.org^$generichide
@@ -10428,59 +10684,1647 @@ devast.io###advert
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1220
 ! https://github.com/uBlockOrigin/uAssets/issues/3149
-imgrock.*##script:inject(abort-on-property-read.js, jsPopunder)
-imgrock.*##script:inject(abort-on-property-write.js, Fingerprint2)
-imgrock.*##script:inject(abort-on-property-read.js, CustomEvent)
-imgrock.*##script:inject(nano-setTimeout-booster.js, /.?/, 4000)
-imgrock.*##script:inject(popads-dummy.js)
-imgrock.*##script:inject(window.open-defuser.js)
+imgrock.*##+js(abort-on-property-read.js, jsPopunder)
+imgrock.*##+js(abort-on-property-write.js, Fingerprint2)
+imgrock.*##+js(abort-on-property-read.js, CustomEvent)
+imgrock.*##+js(nano-setTimeout-booster.js, /.?/, 4000)
+imgrock.*##+js(popads-dummy.js)
+imgrock.*##+js(window.open-defuser.js)
+@@||imgrock.*^$generichide
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3150
 ! https://github.com/uBlockOrigin/uAssets/issues/3151
-imgazure.com,imgking.xyz##script:inject(abort-on-property-read.js, ExoLoader.serve)
-imgazure.com,imgking.xyz##script:inject(abort-on-property-read.js, pndrCodeScript)
-imgazure.com,imgking.xyz##script:inject(nowebrtc.js)
+imgazure.com,imgking.xyz##+js(abort-on-property-read.js, ExoLoader.serve)
+imgazure.com,imgking.xyz##+js(abort-on-property-read.js, pndrCodeScript)
+imgazure.com,imgking.xyz##+js(nowebrtc.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3152
-imgtorrnt.in##script:inject(abort-on-property-read.js, ExoLoader.serve)
+imgtorrnt.in##+js(abort-on-property-read.js, ExoLoader.serve)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3153
-pornsilo.net##script:inject(abort-on-property-read.js, ExoLoader.serve)
+pornsilo.net##+js(abort-on-property-read.js, ExoLoader.serve)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3154
-funimg.net##script:inject(abort-on-property-read.js, ExoLoader)
-funimg.net##script:inject(abort-on-property-read.js, ExoLoader.serve)
+funimg.net##+js(abort-on-property-read.js, ExoLoader)
+funimg.net##+js(abort-on-property-read.js, ExoLoader.serve)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3155
 ||googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=googlesyndication.com/adsbygoogle.js,domain=androgalaxy.in
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3156
-pokyun.tv##script:inject(abort-current-inline-script.js, document.getElementById, Blocking)
+pokyun.tv##+js(abort-current-inline-script.js, document.getElementById, Blocking)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3158
-javqd.com,qdembed.com##script:inject(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
-javqd.com,qdembed.com##script:inject(setInterval-defuser.js, (), 500)
-javqd.com##script:inject(window.open-defuser.js)
+javqd.com,qdembed.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+javqd.com,qdembed.com##+js(setInterval-defuser.js, (), 500)
+javqd.com##+js(window.open-defuser.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3159
-javhay.net##script:inject(addEventListener-defuser.js, load, 2000)
+javhay.net##+js(addEventListener-defuser.js, load, 2000)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3160
-anysex.com##script:inject(abort-on-property-read.js, ExoLoader)
-anysex.com##script:inject(popads-dummy.js)
+anysex.com##+js(abort-on-property-read.js, ExoLoader)
+anysex.com##+js(popads-dummy.js)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3157
-spraytanwichitaks.com##script:inject(abort-on-property-write.js, closebar_l)
-spraytanwichitaks.com##script:inject(abort-current-inline-script.js, parseInt, tabunder)
+spraytanwichitaks.com##+js(abort-on-property-write.js, closebar_l)
+spraytanwichitaks.com##+js(abort-current-inline-script.js, parseInt, tabunder)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3162
-basellandschaftlichezeitung.ch##+js(setTimeout-defuser.js, [native code], 3000)
+basellandschaftlichezeitung.ch,solothurnerzeitung.ch##+js(setTimeout-defuser.js, [native code], 3000)
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=41371
-mp3im.org##script:inject(abort-current-inline-script.js, decodeURIComponent, zfgloadedpopup)
+mp3im.org##+js(abort-current-inline-script.js, decodeURIComponent, zfgloadedpopup)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3164
-cnet.com##^script:has-text(IXC_)
+baltimoresun.com,boston.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnet.com,courant.com,ctnow.com,dailypress.com,delmartimes.net,edmunds.com,emedicinehealth.com,growthspotter.com,hoylosangeles.com,lajollalight.com,lolking.net,mcall.com,orlandosentinel.com,ranchosantafereview.com,sandiegouniontribune.com,seattlepi.com,sfgate.com,slickdeals.net,southflorida.com,sun-sentinel.com,sun-sentinel.com,twincities.com,wowhead.com##^script:has-text(IXC_)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3165
-thirdsector.com.au##script:inject(abort-on-property-read.js, anOptions)
+thirdsector.com.au##+js(abort-on-property-read.js, anOptions)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3168
+@@||lowframe.com^$generichide
+
+! https://www.reddit.com/r/Adblock/comments/95ipg0
+gocurrycracker.com##+js(abort-on-property-read.js, encodeURIComponent)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3170
+gomiblog.com##+js(set-constant.js, isAdsDisplayed, true)
+gomiblog.com##+js(setTimeout-defuser.js, instance.check, 1)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3171
+doub.io##+js(abort-on-property-write.js, KillAdBlock)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41390
+javfor.me##+js(abort-current-inline-script.js, $, r18pop)
+||javfor.me/*/banner/
+
+! https://github.com/LiCybora/NanoDefenderFirefox/issues/47
+! https://github.com/uBlockOrigin/uAssets/issues/3399
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=esgentside.com|exclusivomen.com|gentside.com|gentside.co.uk|gentside.de|gentside.it|maxisciences.com|ohmirevista.com|ohmymag.co.uk|ohmymag.com|ohmymag.de|ohmymag.it
+@@||esgentside.com/js/prebid/config/*$script,first-party
+@@||exclusivomen.com/js/prebid/config/*$script,first-party
+@@||gentside.com/js/prebid/config/*$script,first-party
+@@||gentside.co.uk/js/prebid/config/*$script,first-party
+@@||gentside.de/js/prebid/config/*$script,first-party
+@@||gentside.it/js/prebid/config/*$script,first-party
+@@||maxisciences.com/js/prebid/config/*$script,first-party
+@@||ohmirevista.com/js/prebid/config/*$script,first-party
+@@||ohmymag.com/js/prebid/config/*$script,first-party
+@@||ohmymag.co.uk/js/prebid/config/*$script,first-party
+@@||ohmymag.de/js/prebid/config/*$script,first-party
+@@||ohmymag.it/js/prebid/config/*$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3174
+elasticfaucet.info##+js(abort-current-inline-script.js, document.getElementById, AdBlock)
+
+! https://github.com/NanoAdblocker/NanoCore/issues/197
+antarvasnastories.com##+js(abort-on-property-read.js, ExoLoader)
+antarvasnastories.com##[href^="https://www.kirtu.com/"]
+
+! it-boltwise.de anti adb
+@@||it-boltwise.de^$generichide
+it-boltwise.de##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3176
+thurrott.com##+js(abort-current-inline-script.js, $, adblockDetected)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3177
+@@||myfree-tivi.com^$generichide
+myfree-tivi.com###videoad
+
+! https://github.com/uBlockOrigin/uAssets/issues/3178
+@@||1me.club^$generichide
+1me.club##+js(abort-on-property-write.js, encodeURIComponent)
+1me.club##+js(noeval.js)
+||1me.club/hidden.php$subdocument,first-party
+1me.club###streamonsports
+1me.club###html3
+1me.club###html1
+
+! https://github.com/uBlockOrigin/uAssets/issues/3182
+adbtc.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3184
+justfor.fund##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3183
+hustle.im##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3185
+earnz.xyz##+js(set-constant.js, canRunAds, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3186
+best5link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3180
+icdrama.se##+js(set-constant.js, adblock, 1)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3181
+file-upload.com##+js(setTimeout-defuser.js, nextFunction, 2000)
+file-upload.com##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3189
+yify-torrent.org##+js(nowebrtc.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3190
+@@||tzampa.tv/assets/js/ads.js$xmlhttprequest,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3191
+@@||tailieupro.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3194
+@@||nordpresse.be^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3196
+@@||hulkpop.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3197
+@@||titulky.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3195
+@@||qbasic.net^$generichide
+@@||pagead2.googlesyndication.com/pagead/$script,domain=qbasic.net
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41412
+streamdreams.org##+js(abort-on-property-write.js, encodeURIComponent)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3200
+||2mdn.net^$media,redirect=noopmp4-1s,domain=wowescape.com
+||youtube.com/get_video$media,redirect=noopmp4-1s,domain=wowescape.com
+@@||wowescape.com^$generichide
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=wowescape.com
+@@||pagead2.googlesyndication.com/pagead/$script,domain=wowescape.com
+@@||g.doubleclick.net/dbm/vast?dbm_c=$xmlhttprequest,domain=imasdk.googleapis.com
+@@||googleads.g.doubleclick.net/pagead/*wowescape.com$xmlhttprequest,domain=imasdk.googleapis.com
+@@||wowescape.com/node_modules/*$script,first-party
+wowescape.com##[id^="aswift"]
+
+! https://www.reddit.com/r/uBlockOrigin/comments/96sf7n
+! https://forums.lanik.us/viewtopic.php?f=62&t=41575
+duellinksmeta.com##+js(abort-on-property-write.js, checkadb)
+||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=duellinksmeta.com
+@@||duellinksmeta.com/js/ads.js$xmlhttprequest,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3202
+||ah.pe^$popunder
+
+! https://github.com/uBlockOrigin/uAssets/issues/3205
+pornve.com##+js(set-constant.js, frg, 1)
+pornve.com##+js(window.open-defuser.js)
+pornve.com###close-teaser
+
+! https://github.com/uBlockOrigin/uAssets/issues/3214
+seselah.com##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3213
+||cloudvideoplatform.com/advert.jpg$image,domain=10tv.nana10.co.il,redirect=2x2-transparent.png
+@@||akamai.advsnx.net/CDN/nana10/html5/amsdk.js$script,domain=10tv.nana10.co.il
+
+! https://github.com/uBlockOrigin/uAssets/issues/3212
+@@||venstrike.jimdo.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3211
+@@||programasve.*^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3208
+@@||maxcheaters.com^$generichide
+||maxcheaters.com/*.gif$image
+
+! https://github.com/uBlockOrigin/uAssets/issues/3210
+||googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=googlesyndication.com/adsbygoogle.js,domain=insuranceloansonline.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3206
+@@||mivo.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3209
+afreesms.com##+js(bab-defuser.js)
+||googlesyndication.com/pagead/$script,redirect=noopjs,important,domain=afreesms.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3215
+@@||radiocockpit.fr^$generichide
+*.jpg#$image,domain=radiocockpit.fr,redirect=3x2-transparent.png
+
+! https://github.com/uBlockOrigin/uAssets/issues/3217
+annuaire-bleu.net##+js(setTimeout-defuser.js, adblock, 1000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3219
+@@||dozenofelites.com^$generichide
+dozenofelites.com##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3218
+crash-aerien.aero##+js(bab-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3222
+sportsplays.com##+js(setTimeout-defuser.js, abDetected)
+
+! https://github.com/NanoAdblocker/NanoCore/issues/199
+mega-debrit.com##+js(setTimeout-defuser.js, nextFunction, 2000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3223
+! https://github.com/NanoAdblocker/NanoFilters/issues/186
+rmdown.com##+js(abort-on-property-write.js, open)
+rmdown.com###foote1r:style(height: 1 px !important; visibility: collapse !important;)
+rmdown.com##A[href][target="_blank"]:style(height: 1px !important; visibility: collapse !important;)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3224
+animehub.ac##+js(set-constant.js, check_adblock, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3226
+@@||tout-debrid.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3229
+shippuden.tv###ads
+vidoza.net##.in-block
+shippuden.tv##+js(nowebrtc.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3231
+||filmovizija.fun^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' *.sharethis.com *.facebook.com
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41417
+dailybreeze.com,pasadenastarnews.com,pe.com,presstelegram.com,redlandsdailyfacts.com,sgvtribune.com,twincities.com,whittierdailynews.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3233
+link4win.*##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+@@||cointalk.club^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3234
+adspuma.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3235
+ujv.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+@@||ujv.me^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3236
+niagoshort.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+niagoshort.com##+js(nano-setInterval-booster.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3237
+flylink.io##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3238
+@@||visioncloud.info^$generichide
+visioncloud.info##+js(setTimeout-defuser.js, .modal();, 2000)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=40238
+gameofporn.net##+js(abort-current-inline-script.js, parseInt, tabunder)
+gameofporn.net##+js(abort-current-inline-script.js, atob, tabunder)
+gameofporn.net##.video-banner-close-play
+
+! https://github.com/jspenguin2017/uBlockProtector/issues/982
+bitformations.website##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://www.reddit.com/r/Adblock/comments/97c1sp
+vidload.co##+js(abort-current-inline-script.js, decodeURI, getScriptFromCss)
+vidload.co###banner
+
+! https://github.com/uBlockOrigin/uAssets/issues/3240
+@@||r7.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3242
+@@||modd.io/showads.js$xmlhttprequest,first-party
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41429
+tenforums.com##+js(abort-on-property-read.js, HTMLScriptElement)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3243
+allpeliculas.com##+js(nowebrtc.js)
+
+! https://github.com/uBlockOrigin/uAssets/commit/d3da1a8ea7ca2065f4616aacc4d542e2ac4f8e72#commitcomment-30109151
+@@||mobinozer.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3249
+@@||pixlr.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3252
+sdw-net.me##+js(addEventListener-defuser.js, load, onload)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3254
+schoener-wohnen.de##+js(abort-on-property-read.js, _sp_._networkListenerData)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3131
+smotret-anime.ru##div[style*="opacity: 1; z-index: 9600;"]:style(opacity: 0 !important; pointer-events: none !important;)
+||smotret-anime.ru^$csp=media-src *
+
+! https://www.mahjong.com/game/Candyland+Mahjong anti adb
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=mahjong.com
+
+! http://www.gamesgames.com/game/mahjong-quest anti adb
+@@||gamesgames.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3255
+mega-anime.org##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3257
+savemedia.website##+js(abort-on-property-write.js, encodeURIComponent)
+
+! popups https://www.livefootballol.me/acestream-channel-list-2017.html
+livefootballol.me##+js(abort-on-property-write.js, decodeURIComponent)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3259
+sellforearn.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3260
+wowshort.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3261
+2shorten.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+2shorten.com###headlineatas
+
+! https://github.com/uBlockOrigin/uAssets/issues/3262
+hd-easyporn.com##+js(abort-on-property-write.js, updateIframe)
+hd-easyporn.com##.vjs-overlay
+
+! https://www.reddit.com/r/uBlockOrigin/comments/98kqk1
+@@||northamptonchron.co.uk^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3263#issuecomment-414133567
+@@||watchhouseonline.net^$generichide
+watchhouseonline.net##+js(abort-on-property-read.js, decodeURI)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3264
+yify-movies.net##+js(abort-current-inline-script.js, JSON, isFinite)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3268
+linkedin.com##.feed-shared-update:has-text(Promoted)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3269
+limpi.tv##+js(nowebrtc.js)
+||verliga1.net/reproad300.html$subdocument
+###windowads
+
+! https://github.com/uBlockOrigin/uAssets/issues/3270
+pornrox.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3271
+@@||ebook3000.biz^$generichide
+ebook3000.biz##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3272
+gty.pw##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+gty.pw##+js(nano-setInterval-booster.js)
+||bit.ly^$popup,domain=gty.pw
+@@||gty.pw^$generichide
+gty.pw###invisibleCaptchaShortlink:style(visibility: visible !important; display: block !important;)
+gty.pw##.null-ad
+
+! https://github.com/uBlockOrigin/uAssets/issues/3273
+cll.press##+js(abort-on-property-write.js, Fingerprint2)
+cll.press##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+@@||cll.press^$generichide
+||cll.press/sw.js$script
+cll.press##.adsbygoogle
+cll.press###headlineatas
+
+! https://github.com/uBlockOrigin/uAssets/issues/3274
+@@||bspin.club^$generichide
+@@||bspin.club/themes/demo/assets/javascript/ads.js$xmlhttprequest,first-party
+bspin.club##.adsbygoogle
+
+! https://github.com/NanoMeow/QuickReports/issues/4
+||2mdn.net^$media,redirect=noopmp4-1s,domain=games2rule.com
+||youtube.com/get_video$media,redirect=noopmp4-1s,domain=games2rule.com
+@@||games2rule.com^$generichide
+@@||games2rule.com/node_modules/*$script,first-party
+@@||googleads.g.doubleclick.net/pagead/*games2rule$xmlhttprequest,domain=imasdk.googleapis.com
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=games2rule.com
+games2rule.com##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3276
+whostreams.net##^script:has-text(document.location)
+whostreams.net##.stream-offline.tb
+elixx.me##+js(abort-on-property-write.js, decodeURIComponent)
+whostreams.net##+js(abort-on-property-write.js, _pop)
+whostreams.net##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+whostreams.net##+js(nowebrtc.js)
+whostreams.net##+js(setInterval-defuser.js, (), 500)
+||apyoth.com^$third-party
+||wdaxvjr9dc.com^$third-party
+
+! https://adblockplus.org/forum/viewtopic.php?p=179431#p179431
+watchonlineclub.com##+js(abort-on-property-write.js, decodeURIComponent)
+
+! ads, popups https://www.limetorrents.info/search/all/duck/
+limetorrents.*##+js(abort-on-property-write.js, Fingerprint2)
+limetorrents.*##[href^="/fast.php"]
+limetorrents.*##tr:has-text(VPN)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3279
+pornozinhostorrent.com##+js(abort-current-inline-script.js, atob, tabunder)
+pornozinhostorrent.com##+js(setTimeout-defuser.js, nextFunction, 450)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3285
+@@||oddreaders.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/14
+||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$script,redirect=noopjs,domain=tanked.io
+
+! https://github.com/NanoMeow/QuickReports/issues/15
+asiansister.com##+js(abort-current-inline-script.js, document.getElementById, adsBlockAlert)
+
+! https://github.com/NanoMeow/QuickReports/issues/16
+@@||megahfilmeshd.net^$generichide
+
+! https://www.wilderssecurity.com/threads/ublock-a-lean-and-fast-blocker.365273/page-140#post-2776717
+@@||looopings.nl/adsbygoogle.js$script,first-party
+
+! https://github.com/easylist/easylist/issues/1732
+okcaller.com,synonymbog.com##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3288
+@@||ebookdz.com^$generichide
+ebookdz.com##+js(nowebrtc.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3289
+fulltelevisionhd.li,fulltvhd.fi##+js(nowebrtc.js)
+telerium.tv##+js(setTimeout-defuser.js, KeepOpeningPops, 1000)
+telerium.tv##+js(window.open-defuser.js)
+||netdna-ssl.com^$popup,domain=fulltelevisionhd.li
+
+! https://github.com/NanoMeow/QuickReports/issues/17
+@@||homegrownfreaks.net/player/player_ads.html$subdocument,first-party
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41500
+upbom.net##+js(nowebrtc.js)
+||da3uf5ucdz00u.cloudfront.net^$script,domain=upbom.net
+
+! https://github.com/NanoMeow/QuickReports/issues/20
+enasian.com##+js(set-constant.js, allow_ads, true)
+enasian.com##.inside-video
+enasian.com##.inside-video-before
+
+! https://github.com/jspenguin2017/uBlockProtector/issues/984
+0info.xyz##+js(abort-current-inline-script.js, document.getElementById, adblockinfo)
+
+! https://github.com/NanoMeow/QuickReports/issues/23
+@@||amc.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3297
+@@||carmagazine.co.uk^$generichide
+carmagazine.co.uk###stickyMpuAdContainer
+carmagazine.co.uk###topAdContainer
+carmagazine.co.uk##.show-for-xlarge-up
+
+! https://github.com/uBlockOrigin/uAssets/issues/3298
+pornvideospass.com##+js(abort-on-property-write.js, Aloader)
+pornvideospass.com##+js(abort-on-property-write.js, bindall)
+pornvideospass.com###invideo_data
+
+! https://github.com/uBlockOrigin/uAssets/issues/3300
+barfuck.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+barfuck.com##+js(disable-newtab-links.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3301
+pornvideotop.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3303
+vporn.com##+js(addEventListener-defuser.js, load, siteGuid)
+||baletingo.com^$third-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3309
+@@||vinaurl.in^$generichide
+vinaurl.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+vinaurl.in##.adsbygoogle
+||i.imgur.com/$image,domain=vinaurl.in
+
+! https://github.com/uBlockOrigin/uAssets/issues/3312
+@@||medicalopium.*^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3311
+gshort.cf##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+gshort.cf###popback
+gshort.cf##.Banner
+
+! https://github.com/uBlockOrigin/uAssets/issues/3314
+milaulas.com##+js(bab-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/1886#issuecomment-415991715
+! https://forums.lanik.us/viewtopic.php?f=103&t=35451
+/mod_ablockdetector/*
+@@||trecetv.es^$generichide
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=shares.enetres.net
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=videos.13tv.es
+@@||player.enetres.net/js/videojs-plugins/videojs-ads-contrib/videojs.ads.js$script,domain=shares.enetres.net|videos.13tv.es
+enetres.net##+js(set-constant.js, N3CanRunAds, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3315
+@@||rl-hackers.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3316
+@@||futeboltvgratis.com^$generichide
+futeboltvgratis.com###adstab01
+futeboltvgratis.com##.linkantes
+
+! https://github.com/uBlockOrigin/uAssets/issues/3310
+@@||seriesgato.net^$generichide
+seriesgato.net##.Current.STPb.Button
+seriesgato.net##.externo
+
+! https://github.com/uBlockOrigin/uAssets/issues/3306
+@@||bagusdl.pro^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3313
+seucinema.net##+js(bab-defuser.js)
+seucinema.net##[href^="//toroadvertisingmedia.com/ads"]
+
+! https://github.com/uBlockOrigin/uAssets/issues/3317
+file4go.me##+js(abort-current-inline-script.js, document.getElementById, ad_block)
+
+! https://github.com/NanoMeow/QuickReports/issues/28
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=thoptv.world
+@@||thoptv.world^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/30
+firstonetv.net##+js(abort-on-property-write.js, isBlocked)
+
+! https://github.com/uBlockOrigin/uAssets/issues/1603
+av8x.com,javboss.com,tubeqd.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+av8x.com,javboss.com,tubeqd.com##+js(setInterval-defuser.js, (), 500)
+qdembed.com##+js(abort-on-property-read.js, decodeURI)
+av8x.com,javboss.com,javfinder.is###preroll
+||abc.hostedbyfembed.com/freezone.js
+##a[href^="http://www.poweredbyliquidfire.mobi/"]
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9argxo
+||smashseek.com^$script,domain=holavid.com
+holavid.com##+js(abort-on-property-write.js, decodeURIComponent)
+||rotana.video/sw.js$script
+
+! Similar group of german porn sites
+! https://github.com/uBlockOrigin/uAssets/issues/3349
+deinesexfilme.com,einfachtitten.com,halloporno.com,herzporno.com,hd-pornos.net,lesbenhd.com,milffabrik.com,porn-monkey.com,porndrake.com,pornhubdeutsch.net,pornoaffe.com,pornodavid.com,pornoente.tv,pornofisch.com,pornofelix.com,pornohammer.com,pornohelm.com,pornoklinge.com,pornotom.com,pornotommy.com,pornovideos-hd.com,pornozebra.com,xhamsterdeutsch.xyz,xnxx-sexfilme.com##+js(abort-on-property-write.js, updateIframe)
+deinesexfilme.com,einfachtitten.com,halloporno.com,herzporno.com,hd-pornos.net,lesbenhd.com,milffabrik.com,porndrake.com,pornoaffe.com,pornodavid.com,pornoente.tv,pornofisch.com,pornofelix.com,pornohammer.com,pornohelm.com,ornoklinge.com,pornovideos-hd.com,pornotom.com,ornotommy.com,pornozebra.com,xnxx-sexfilme.com##.vjs-overlay
+deinesexfilme.com,herzporno.com,lesbenhd.com,milffabrik.com,pornoaffe.com,pornoente.tv,pornohelm.com,pornoklinge.com,xnxx-sexfilme.com###wa_join_btn
+einfachtitten.com,halloporno.com,hd-pornos.net,pornodavid.com,pornofisch.com,pornofelix.com,pornohammer.com,pornotom.com,pornotommy.com,pornovideos-hd.com,pornozebra.com##.send_event.widget_btn.cf
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41542
+@@||pastepub.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3353
+urlcloud.es##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+urlcloud.es##+js(abort-current-inline-script.js, $, #pop)
+
+! https://github.com/NanoMeow/QuickReports/issues/39
+marie-claire.es##+js(set-constant.js, ads, true)
+
+! https://github.com/NanoMeow/QuickReports/issues/41
+||starbits.io/libs/check.js$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3354
+muymascotas.es##+js(set-constant.js, ads, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3355
+serpadres.es##+js(set-constant.js, ads, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3356
+miarevista.es##+js(set-constant.js, ads, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3357
+muyhistoria.es##+js(set-constant.js, ads, true)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41547
+torrentgalaxy.org##+js(abort-current-inline-script.js, blur)
+torrentgalaxy.org##+js(abort-on-property-read.js, ExoLoader.serve)
+
+! https://github.com/abp-filters/abp-filters-anti-cv/issues/6
+@@||railpictures.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3359
+linkat4all.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3360
+linkatak.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkatak.com##+js(setTimeout-defuser.js, nextFunction, 250)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3361
+shrtz.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3362
+newswatan.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! sawlive.tv popups
+sawlive.tv##+js(abort-on-property-write.js, Fingerprint2)
+sawlive.tv##+js(window.open-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3366
+vidup.io##+js(abort-on-property-read.js, __INITIAL_STATE__.ads.pops)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9bk0es
+converto.io##+js(abort-current-inline-script.js, atob, decodeURIComponent)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41560
+montrealgazette.com##+js(abort-on-property-read.js, stop)
+||emn0.com^$script,domain=montrealgazette.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3368
+sukkisukki.com##+js(bab-defuser.js)
+||reargooduches.pro^$third-party
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9bmg6i/need_help_creating_a_filter/
+gismeteo.ua##+js(set-constant.js, atob, noopFunc)
+
+! https://github.com/NanoMeow/QuickReports/issues/46
+androidcustom.com##+js(set-constant.js, safelink.adblock, false)
+androidcustom.com##+js(nano-setInterval-booster.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3371
+desktopsolution.org,svipvids.com##+js(abort-on-property-write.js, KillAdBlock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3372
+gaypornmasters.com##+js(abort-on-property-read.js, ExoLoader)
+gaypornmasters.com##+js(abort-on-property-write.js, _pop)
+gaypornmasters.com##+js(abort-on-property-write.js, KillAdBlock)
+
+! https://forums.lanik.us/viewtopic.php?p=140201#p140201
+2shrink.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/jspenguin2017/uBlockProtector/issues/985
+@@||ttorial.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3373
+picmoza.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+picmoza.com##+js(abort-on-property-write.js, _pop)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3375
+linkvip.tk##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linkvip.tk##+js(nowebrtc.js)
+
+! https://github.com/NanoMeow/QuickReports/issues/48
+@@||paraedu.id^$generichide
+paraedu.id##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3385
+short-url.link##+js(addEventListener-defuser.js, click, read_cookie)
+||mobileadspopup.com^
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41572
+superitu.com##+js(popads-dummy.js)
+animeindo.moe##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+animeindo.moe##+js(setInterval-defuser.js, (), 500)
+*.gif$domain=animeindo.moe,image
+
+! https://github.com/NanoMeow/QuickReports/issues/51
+||optmnstr.com^
+
+! https://github.com/uBlockOrigin/uAssets/issues/3386
+salvaplay.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3387
+@@||cpm4link.com/*/advertisement.js$script,first-party
+
+! https://github.com/NanoMeow/QuickReports/issues/53
+makingstarwars.net##+js(abort-on-property-write.js, ai_adb_overlay)
+
+! https://adblockplus.org/forum/viewtopic.php?f=10&t=59327&start=0
+veehd.com##+js(nowebrtc.js)
+
+! totalsport popups
+totalsport.me##+js(abort-on-property-write.js, Fingerprint2)
+
+! https://github.com/uBlockOrigin/uAssets/issues/1670#issuecomment-417951959
+||psl.pw^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.gstatic.com *.google.com *.googletagmanager.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3392
+||seedpeer.*^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.statcounter.com *.google-analytics.com *.modulepush.com
+||seedpeer.*/seedpeer/all-page-$subdocument
+
+! https://github.com/NanoMeow/QuickReports/issues/56
+salamanca24horas.com##+js(setTimeout-defuser.js, AdsBlocked, 2000)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9clpjr/still_getting_an_antiadblock_message/
+scrapywar.com##+js(abort-on-property-read.js, adBlockDetected)
+
+! Videos disabled by anti-blocker:
+! https://globalnews.ca/news/4332734/quebec-farmers-hoping-for-rain-after-drought-heat-wave-threaten-crops/
+globalnews.ca##+js(set-constant.js, GNCA_Ad_Support, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3393
+@@||gamersboard.com.br^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3394
+mony-win.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3395
+time4earn.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+time4earn.com##+js(addEventListener-defuser.js, click, trigger)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3396
+shortlink.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3398
+icutmylink.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3397
+cutlinks.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/DandelionSprout/adfilt/issues/7#issuecomment-418144059
+! https://github.com/uBlockOrigin/uAssets/issues/3401
+aj-styles.net,ajlee.org,ajmcleanweb.com,alexandra-daddario.org,alexandradaddariodaily.net,alliefansite.com,alona-tal.com,amandaseyfried.us,amyadams-source.com,anadearmas.net,annakendrick-fr.com,annalise-basso.com,anyataylorjoy.org,archie-panjabi.com,arianatoday.net,aseyfried.org,avgeropoulos.com,b-larson.net,bailee-madison.org,barbieblanksource.com,beckylynchsource.com,believe-in-rollins.com,bellahadid.*,bellathorne.net,beyonceonline.org,billiekay.com,brynn-rumfallo.net,caitylotz.net,callie-hernandez.net,charlize-theron.fr,chloe-lukasiak.net,chloemoretz.org,chriswoodfan.com,clemencepoesyfan.com,daddariofan.net,daisy-ridley.us,daisyridley.us,danstevensbrasil.com,depplovers.com.br,dianna-agron.org,dove-cameron.org,drew-mcintyre.com,eizagonzalez.com.br,elijah-wood.org,elizabethlailbrasil.com,elizabetholsen.us,emilyosment.net,emma-roberts.org,emma-stone.us,emmaengleonline.com,emmawatson.org,fan.pw,fanningdakota.com,fanningelle.com,fans.bz,fansitehost.com,fergie-web.net,finn-wittrock.net,florian-silbereisenfan.net,foreverrobin.com,freefansitehosting.com,galleryaloud.com,granmetaliksource.com,hailee-steinfeld.*,hilarie-burton.org,hilary-swank.com,iansomerhalderfan.com,inourharts.com,jade-pettyjohn.com,jamesfranconetwork.net,jan-smitfan.nl,jenna-coleman.org,jennaortega.net,jennifer-lawrence.com,jennifer-lawrence.us,jenniferlawrence.org,jenniferlawrence.us,jessica-chastain.org,jessica-lowndes.net,jlospain.net,joey-king.net,jon-bernthal.com,josh-duhamel.org,jude-law.net,julia-garner.com,julianna-margulies.net,junotemple.us,k-dunst.net,kaley-cuoco.net,kardashianworld.net,katie-mcgrath.com,katyperryonline.com,kaya-scodelario.org,kendallkyliefans.com,kerirussellweb.com,kiernan-shipka.org,landry-bender.com,landycannononline.com,liamhemsworth.org,lilireinhart.us,lily-chee.com,lincedorado.com,lizolsen.com,lizzieolsen.us,lucyhaledaily.us,mackenzie-foy.com,mackenzie-ziegler.net,mackenziefoy.net,maddie-ziegler.net,mandy-rose.com,mandyrose.org,margotrobbieonline.com,marguerite-moreau.com,megan-fox.us,meghan-markle.org,mia-yim.com,michael-french.net,michellekeegan.net,mileyupdateuk.com,mirandakerrfans.com,miriammcdonald.org,natalia-dyer.com,niajax.com,olesyarulin.net,olivia-holt.net,olsenfans.com,paulalacroixbrasil.com,phillipa-soo.com,r-carlylefans.com,r-speightjr.com,raffey-cassidy.com,rey-mysterio.net,rhona-mitra.com,ritaoracentral.org,rowan-blanchard.net,rowanblanchard.net,ryanphillippe.net,sabrina-carpenter.org,shipka.net,sigourney-weaver.net,simplyleighanne.net,smg-france.net,sofia-carson.org,sofiavergaraweb.net,stellahudgensdaily.net,strahovski.net,summer-rae.com,thomasholland.net,timothy-o.com,tom-hiddleston.org,trinity-fatu.net,trishstratus.com,vanessa-kirby.com,viggo-mortensen.com,violett-beane.com,wentworth-miller.org,withlove.info,zooey-deschanel.com##+js(bab-defuser.js)
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/173
+finobe.com##+js(abort-current-inline-script.js, ga, msgnoad)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3403
+sfl.ink##+js(addEventListener-defuser.js, load, onload)
+||sfl.ink^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.gstatic.com *.rawgit.com *.googleapis.com *.google.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3404
+vy.adsvy.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+vy.adsvy.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+vy.adsvy.com##+js(addEventListener-defuser.js, click, trigger)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3408
+@@||noticiasdelaciencia.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3409
+@@||abqjournal.com/wp-content/*/ads.js$xmlhttprequest,first-party
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41592&sid=609e6457d6031c95a5849daa6703fa7b
+||uppit.com^$csp=script-src 'self' 'unsafe-eval' 'unsafe-inline' data: *.googletagservices.com *.google-analytics.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3410
+king-pes.*##+js(addEventListener-defuser.js, load, onload)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3412
+gplink.info##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9d3a7n/can_somebody_please_help_me_with_this_site/
+bindassbros.com,topbestsite.live##+js(abort-on-property-read.js, zfgloadedpopup)
+bindassbros.com,topbestsite.live##+js(abort-on-property-write.js, _pop)
+bindassbros.com,topbestsite.live##+js(abort-on-property-write.js, Fingerprint2)
+bindassbros.com,topbestsite.live##+js(nowebrtc.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3416
+secureyourdigitallife.in##+js(abort-on-property-read.js, admiral)
+secureyourdigitallife.in##+js(set-constant.js, niceAdsCheck, true)
+
+! https://github.com/NanoMeow/QuickReports/issues/59
+@@||rp-online.de^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3419
+mexashare.com##+js(set-constant.js, jQuery.adblock, false)
+
+! https://github.com/jspenguin2017/uBlockProtector/issues/987
+@@||mylivesignature.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/61
+@@||myvidster.com^$generichide
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9dnw73/antiadblocker_at_reviewjournalcom/
+reviewjournal.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3422
+@@||pagead2.googlesyndication.com/pagead/js/*/show_ads_impl.js$domain=searchftps.net
+@@||pagead2.googlesyndication.com/pagead/show_ads.js$script,domain=searchftps.net
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41613
+intoupload.net##a[href*="/go.php?a_aid="]
+intoupload.net##+js(abort-on-property-write.js, Fingerprint2)
+||intoupload.net/sw.js
+||buba65.co.pl^$popup
+||adjan-69-6.co.pl^$popup
+
+! https://github.com/NanoMeow/QuickReports/issues/62
+hungama.com##+js(set-constant.js, showAds, true)
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=hungama.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3425
+yupptv.in##+js(addEventListener-defuser.js, load, onload)
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/176
+@@||crazyhd.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/63
+||adservice.google.com/adsid/integrator.js$script,redirect=noopjs,domain=newstalk1290.com
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=abacast.net
+
+! https://github.com/NanoMeow/QuickReports/issues/66
+@@||goalad.com^$generichide
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9e6tpg
+@@||codeexplained.org^$generichide
+
+! http://live.harleyquinnwidget.com/ popups
+harleyquinnwidget.com##+js(abort-on-property-write.js, decodeURIComponent)
+
+! https://github.com/uBlockOrigin/uAssets/issues/2364#issuecomment-419686158
+newsfilter.org##+js(abort-on-property-read.js, raSettings)
+newsfilter.org###jasmine-ad-wrapper
+
+! https://github.com/uBlockOrigin/uAssets/issues/3431
+canberratimes.com.au##+js(set-constant.js, cxStartDetectionProcess, noopFunc)
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/179
+androidworld.it##+js(setTimeout-defuser.js, (), 10)
+
+! https://github.com/NanoMeow/QuickReports/issues/67
+letribunaldunet.fr##+js(setTimeout-defuser.js, adb, 0)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3432
+tryboobs.com##+js(abort-on-property-read.js, ExoLoader)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3433
+tubedupe.com##+js(abort-on-property-read.js, ExoLoader)
+||tubedupe.com/player/html.php$subdocument,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3435
+@@||vertdtgratis.es^$generichide
+vertdtgratis.es##+js(nowebrtc.js)
+*.gif#$image,domain=vertdtgratis.es,redirect=1x1-transparent.gif
+
+! https://github.com/NanoMeow/QuickReports/issues/71
+veekyforums.com##+js(window.open-defuser.js)
+@@||veekyforums.com/js/adcash.js$xmlhttprequest,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3437
+forum.samnaprawiam.com##+js(addEventListener-defuser.js, load, nextFunction)
+
+! https://github.com/uBlockOrigin/uAssets/issues/2364#issuecomment-420115542
+yespornclips.com##+js(abort-current-inline-script.js, atob, tabunder)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3439
+bludvfilmes.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+bludvfilmes.com##+js(setInterval-defuser.js, (), 500)
+||bludvfilmes.com/barra.php$subdocument
+bludvfilmes.com##+js(setTimeout-defuser.js, nextFunction, 450)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3440
+@@||blogthetech.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3442
+@@||getrelax.club^$generichide
+getrelax.club##.loaded-popup-wrapper
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41659
+@@||suprafiles.*^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3444
+planetatorrent.com##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+planetatorrent.com##+js(setInterval-defuser.js, (), 500)
+planetatorrent.com##+js(window.open-defuser.js)
+
+! https://github.com/jspenguin2017/uBlockProtector/issues/989
+mshare.io##+js(set-constant.js, checkAdblockUser, noopFunc)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9f9u6t/block_ads_from_mlbcom_mlb_gameday_mlbtv/
+@@||mlbstatic.com/mlb.com/video/*/advertise$xmlhttprequest,domain=mlb.com
+
+! https://github.com/gorhill/uBO-Extra/issues/104
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=ipla.tv
+
+! https://github.com/NanoMeow/QuickReports/issues/83
+claimfreedoge.win##+js(setInterval-defuser.js, (), 1000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3244
+cloudvideo.tv##+js(abort-on-property-write.js, Fingerprint2)
+
+! https://github.com/NanoMeow/QuickReports/issues/87
+zeperfs.com##+js(set-constant.js, AdsOK, true)
+
+! https://github.com/NanoMeow/QuickReports/issues/88
+@@||unfriend-app.com^$generichide
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41669#p140881
+cutpaid.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cutpaid.com##+js(window.open-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3450
+delcotimes.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3449
+@@||thewpclub.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3448
+germancarforum.com##+js(abort-current-inline-script.js, $, height())
+
+! https://github.com/uBlockOrigin/uAssets/issues/3453
+@@||slashlook.com/_resource/js/_js_ads.min.js$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3455
+@@||ladige.it^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3454
+@@||bagilagi.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3456
+clan.su##+js(setTimeout-defuser.js, nextFunction, 2000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3457
+@@||tr-agario.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3459
+cinemafacil.com##+js(bab-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3461
+@@||xia1ge.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/89
+@@||primochef.it^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3446
+azmovies.xyz##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+azmovies.xyz##+js(setInterval-defuser.js, (), 500)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3462
+futbollibre.online##+js(abort-on-property-write.js, smrtSP)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41675
+keeplinks.co##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+keeplinks.co##+js(setInterval-defuser.js, (), 500)
+||indlzxgptf.com^$third-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3463
+@@||htnovo.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3468
+sosiali.com##+js(setTimeout-defuser.js, Adblock, 2000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3471
+@@||findwords.info^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3470
+@@||shortadd.com^$generichide
+shortadd.com##+js(set-constant.js, canRunAds, true)
+shortadd.com###bannerUrl
+
+! https://github.com/uBlockOrigin/uAssets/issues/3472
+baixarsoftware.com##+js(abort-on-property-write.js, _pop)
+baixarsoftware.com##+js(nowebrtc.js)
+@@||baixarsoftware.com^$generichide
+baixarsoftware.com##.wppaszone
+
+! https://github.com/uBlockOrigin/uAssets/issues/3473
+photo.net##+js(set-constant.js, canRunAds, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3474
+cpuwin.com##+js(set-constant.js, ADSController, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3476
+thewestmorlandgazette.co.uk##+js(abort-on-property-read.js, _sp_._networkListenerData)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3477
+@@||superiorwallpapers.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3478
+@@||eirudo.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3479
+@@||concorsipubblici.net^$generichide
+concorsipubblici.net##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3480
+videotekaime.net##+js(set-constant.js, ad_permission, true)
+
+! https://github.com/NanoMeow/QuickReports/issues/91
+@@||blockergame.com^$generichide
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9fs47p/how_to_filter_those_invisible_full_page_links/e5zm1lb/
+nicoblog.org##+js(addEventListener-defuser.js, /^(?:click|mousedown)$/, _0x)
+nicoblog.org##+js(setInterval-defuser.js, (), 500)
+nicoblog.org##+js(nowebrtc.js)
+||dpypzvjarj.com^$third-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3483
+@@||eimusics.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3484
+||skytorrents.lol^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.googletagmanager.com *.cloudflare.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3487
+@@||shingekikyojin3.net^$generichide
+shingekikyojin3.net##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3488
+gamesforum.it##+js(setTimeout-defuser.js, #eabpDialog, 100)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3490
+dexternights.com##+js(abort-on-property-read.js, anOptions)
+
+! https://github.com/NanoMeow/QuickReports/issues/94
+live-tv-channels.org##+js(abort-on-property-read.js, adBlockDetected)
+
+! https://github.com/NanoMeow/QuickReports/issues/92
+baskino.me##^script:has-text(676574456c656d656e747342795461674e616d65)
+||piguiqproxy.com^$xmlhttprequest,redirect=nooptext,domain=baskino.me
+
+! https://github.com/NanoMeow/QuickReports/issues/95
+drinksmixer.com,leitesculinaria.com##+js(set-constant.js, Date.now, noopFunc)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3494
+@@||filmux.net/advertisement.js$script,domain=filmux.org
+||turbotraff.com^
+
+! https://github.com/uBlockOrigin/uAssets/issues/3496
+taive.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! downmienphi.net anti-adblock
+downmienphi.net##+js(abort-current-inline-script.js, document.getElementById, bannerad)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3500
+@@||mrcong.com^$generichide
+@@||cdnjs.cloudflare.com/*/fuckadblock.min.js$script,domain=mrcong.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3499
+@@||bytesloader.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3501
+jdownlader2premiums.*##+js(addEventListener-defuser.js, load, 2000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3503
+@@||dofuspourlesnoobs.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3507
+@@||jaguartrials.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3498
+shqiptvlive.net,tvshqiphd.com,watchlivesports.live##+js(abort-on-property-write.js, _pop)
+@@||watchlivesports.live/adblock.js$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3502
+@@||swissadspaysfaucet.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3504
+@@||pipocas.tv^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3506
+andiim3.com##+js(abort-current-inline-script.js, jQuery, AdBlock)
+
+! https://github.com/NanoMeow/QuickReports/issues/96
+@@||slimes.io^$generichide
+@@||slimes.io/adblockdetector.js$first-party,script
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=slimes.io
+
+! https://github.com/uBlockOrigin/uAssets/issues/3508
+twatis.com##+js(abort-on-property-read.js, ExoLoader.addZone)
+
+! https://github.com/NanoMeow/QuickReports/issues/98
+ngolos.com##+js(set-constant.js, adblockDetecter, true)
+@@||soccerclips.matchat.online^$generichide
+@@||ngolos.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/99
+hitomi.la##+js(abort-on-property-read.js, ExoLoader.addZone)
+hitomi.la##.hitomi-anintager
+
+! https://github.com/NanoMeow/QuickReports/issues/100
+@@||indikator-pemikiran.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3511
+qfly.us##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3512
+7link.us##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://forums.lanik.us/viewtopic.php?p=141036#p141036
+fupa.net##+js(set-constant.js, jQuery.adblock, 1)
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=fupa.net
+@@||ad.71i.de/*/loader.js$script,domain=fupa.net
+
+! https://forums.lanik.us/viewtopic.php?p=141037#p141037
+grabify.link##+js(abort-on-property-read.js, HTMLScriptElement)
+
+! https://github.com/NanoMeow/QuickReports/issues/102
+news24.com##+js(abort-on-property-read.js, HTMLScriptElement)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9gstjb/how_can_i_prevent_popups_from_appearing_when/
+the123movies.org##+js(abort-current-inline-script.js, decodeURIComponent, zfgloadedpopup)
+
+! https://forums.lanik.us/viewtopic.php?p=141091#p141091
+namemc.com##+js(abort-on-property-write.js, deployads)
+
+! https://github.com/NanoMeow/QuickReports/issues/105
+macombdaily.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+
+! https://github.com/NanoMeow/QuickReports/issues/108
+descarga-animex.*##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://forums.lanik.us/viewtopic.php?f=90&t=41726
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=main-echo.de
+
+! https://github.com/uBlockOrigin/uAssets/issues/3520
+uploadfiles.pw,w4files.ws##+js(abort-current-inline-script.js, decodeURI, decodeURIComponent)
+uploadfiles.pw,w4files.ws##+js(remove-attr.js, onclick)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41727
+! https://github.com/uBlockOrigin/uAssets/issues/3564
+shaggyimg.pro##+js(abort-current-inline-script.js, atob, decodeURIComponent)
+shaggyimg.pro##+js(abort-on-property-read.js, ExoLoader.serve)
+shaggyimg.pro##+js(abort-on-property-read.js, pndrCodeScript)
+shaggyimg.pro##+js(nowebrtc.js)
+
+! https://github.com/NanoMeow/QuickReports/issues/110
+aiomobilestuff.com##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3525
+@@||lacalleochotv.org^$generichide
+lacalleochotv.org##+js(abort-on-property-write.js, Fingerprint2)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3526
+@@||yuudrive.me^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3528
+@@||faq.ph^$generichide
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9hb5us/problem_with_blockadblockcom/
+@@||overlord2.net^$generichide
+overlord2.net##.adsbygoogle
+overlord2.net##.code-block
+
+! https://github.com/uBlockOrigin/uAssets/issues/3530
+evilkingmedia.com##+js(abort-on-property-write.js, adBlockDetected)
+||evilkingmedia.com/sw.js$script
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41744
+saveoffline.com##+js(abort-current-inline-script.js, decodeURI, atob)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3524
+@@||oldjogos.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3534
+mangahost-br.com##+js(setTimeout-defuser.js, AdBlock, 2000)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9hl7ul/block_adblock_on_mariouniverscom/
+@@||mariouniverse.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3536
+bollywoodshaadis.com##+js(abort-on-property-read.js, Debugger)
+bollywoodshaadis.com##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41749
+fullxxxmovies.net##+js(window.open-defuser.js)
+||badgirlz.org^
+
+! https://github.com/NanoMeow/QuickReports/issues/115
+@@||greatprojectscampaign.com^$generichide
+
+! https://forums.lanik.us/viewtopic.php?f=103&t=39366
+elitegol.me##+js(abort-on-property-write.js, Fingerprint2)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3542
+hdvid.*##+js(abort-current-inline-script.js, atob, tabunder)
+hdvid.*##+js(abort-on-property-write.js, Fingerprint2)
+hdvid.*##+js(abort-on-property-write.js, smrtSB)
+hdvid.*##+js(nowebrtc.js)
+||hdvid.tv/sw.js$script
+
+! https://github.com/uBlockOrigin/uAssets/issues/3544
+3djuegos.com##+js(set-constant.js, isAdBlocked, false)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3546
+hardmob.com.br##.postcontainer:has(.usertitle:has-text(Publicidade))
+
+! https://github.com/NanoMeow/QuickReports/issues/111
+@@||ugdturner.com^$script,domain=live.bleacherreport.com
+@@||v.fwmrm.net/crossdomain.xml$xmlhttprequest,domain=live.bleacherreport.com
+
+! https://github.com/NanoMeow/QuickReports/issues/116
+@@||media.oadts.com/www/delivery/$domain=dielochis.de
+
+! https://github.com/NanoMeow/QuickReports/issues/119
+meganimehd.com##+js(set-constant.js, adBlockDetected, noopFunc)
+@@||meganimehd.com^$generichide
+meganimehd.com##+js(abort-on-property-read.js, open)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41761#p141302
+downloadming.live##+js(abort-on-property-write.js, decodeURIComponent)
+||fairnessels.com^
+
+! https://github.com/uBlockOrigin/uAssets/issues/3550
+cuti.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cuti.in##+js(nano-setInterval-booster.js)
+cuti.in##+js(window.open-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3551
+kuylink.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3552
+powvideo.*##+js(abort-on-property-write.js, Fingerprint2)
+powvideo.*##+js(popads-dummy.js)
+||powvideo.*/jquery.notify.js$script,first-party
+*$subdocument,domain=powvideo.cc
+
+! https://github.com/uBlockOrigin/uAssets/issues/3554
+mangas-en-pdf.*##+js(set-constant.js, adBlockDetected, noopFunc)
+
+! https://github.com/NanoMeow/QuickReports/issues/122
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=powernationtv.com
+
+! https://github.com/NanoMeow/QuickReports/issues/126
+@@||netzkino.de^$generichide
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41774
+@@||matchat.online^$generichide
+@@||ourmatch.net^$generichide
+ourmatch.net##.adsbygoogle
+
+! https://github.com/NanoMeow/QuickReports/issues/125
+@@||nfl.com^$generichide
+
+! https://forums.lanik.us/viewtopic.php?f=103&t=41776
+@@||cochesrc.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/128
+@@||akvideo.stream/js/ads.js$script,first-party
+akvideo.stream##+js(window.open-defuser.js)
+
+! https://github.com/NanoMeow/QuickReports/issues/127
+coron.tech##.adsbygoogle iframe:style(position: relative !important;)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3562
+shortmony.me##+js(abort-current-inline-script.js, atob, decodeURIComponent)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3563
+@@||biybs.com^$generichide
+biybs.com##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3565
+guidetnt.com##+js(set-constant.js, isAdBlockActive, false)
+
+! https://github.com/NanoMeow/QuickReports/issues/130
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=debrastagi.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3084
+@@||eurozpravy.cz^$generichide
+eurozpravy.cz##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3567
+@@||simplybox.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3571
+||msembed.net^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' blob: *.gstatic.com *.cloudflare.com *.google-analytics.com *.google.com *.msembed.net *.mystream.to
+msembed.net,mystream.to##+js(window.open-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3575
+glory-link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://www.rong-chang.com/usalife/ anti adb
+@@||rong-chang.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3576
+yass-link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+yass-link.com##+js(nano-setInterval-booster.js)
+yass-link.com##+js(window.open-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3577
+l4w.in##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9j5bxk
+eslfast.com##+js(setTimeout-defuser.js, warning, 100)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3578
+clkpay.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3579
+c2url.co##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3580
+dzearn.com##+js(silent-noeval.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3581
+inshorter.ga##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+inshorter.ga##+js(nano-setInterval-booster.js)
+inshorter.ga##+js(window.open-defuser.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3582
+egyptiongy.net##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3583
+shortk.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+||clixco.in^$third-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3584
+cut-link-earn.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+||youtube.com/embed/*$subdocument,domain=cut-link-earn.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3585
+bit-go.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3586
+shrinkut.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3587
+moneymachin.win##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3588
+cut7link.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+cut7link.com##+js(nano-setInterval-booster.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3589
+tokenfly.pw##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+||d2d8qsxiai9qwj.cloudfront.net^
+
+! https://github.com/uBlockOrigin/uAssets/issues/3590
+7sim.net##+js(setTimeout-defuser.js, adblock_detect, 10000)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3591
+fox-dl.com,nulled.life###locked
+fox-dl.com,loadingz.com,nulled.life##+js(abort-on-property-read.js, decodeURI)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3592
+@@||rijmwoordenboek.net^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3593
+@@||quelleestladifference.fr^$generichide
+quelleestladifference.fr##.adsbygoogle
+
+! https://github.com/uBlockOrigin/uAssets/issues/3594
+@@||girlsgogames.com^$generichide
+iwin.com##.modals
+
+! https://github.com/uBlockOrigin/uAssets/issues/3595
+nakednepaligirl.com##+js(addEventListener-defuser.js, click, pu_count)
+||nakednepaligirl.com^$subdocument,first-party
+nakednepaligirl.com##.rmedia
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41791
+giveawayoftheday.com##+js(setInterval-defuser.js, _checkBait)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3597
+sexykittenporn.com##+js(abort-current-inline-script.js, loadTool, popping)
+sexykittenporn.com##+js(abort-on-property-read.js, ExoLoader)
+sexykittenporn.com##.hr.babes
+
+! https://github.com/uBlockOrigin/uAssets/issues/3598
+porndoo.com##+js(addEventListener-defuser.js, click, pop)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3612
+simulasyonturk.com##+js(abort-on-property-read.js, ai_debugging)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3611
+worldoftruckstr.com##+js(abort-on-property-read.js, ai_debugging)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3610
+@@||4horlover.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3609
+@@||claimfreebtc.win^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3608
+@@||i8086.de^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3607
+@@||veezie.st^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3605
+@@||scooter-chinois-4t.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3604
+starmusiq.one##+js(nowebrtc.js)
+starmusiq.one##+js(set-constant.js, isAdBlockActive, false)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3601
+italia-tv.org##+js(nowebrtc.js)
+italia-tv.org###blockblockA
+
+! https://github.com/uBlockOrigin/uAssets/issues/3602
+itespresso.fr##+js(set-constant.js, can_i_run_ads, 1)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3600
+game-state.com##+js(set-constant.js, adblock, false)
+
+! https://github.com/NanoMeow/QuickReports/issues/137
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=gentside.com.br
+@@||gentside.com.br^*js/prebid/config$script
+@@||googletagservices.com/tag/js/gpt.js$script,domain=gentside.com.br
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41802
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=dramafever.com
+
+! https://www.reddit.com/r/Adblock/comments/9ja6mw
+watchanimeonline.me##+js(abort-current-inline-script.js, atob, tabunder)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3613
+vidcloud.icu##+js(abort-on-property-read.js, zfgloadedpopup)
+fmovie.cc##+js(abort-on-property-write.js, decodeURIComponent)
+
+! https://github.com/NanoMeow/QuickReports/issues/138
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=ohmymag.com.br
+@@||ohmymag.com.br/js/prebid/config/*$script,first-party
+@@||googletagservices.com/tag/js/gpt.js$script,domain=ohmymag.com.br
+
+! https://github.com/uBlockOrigin/uAssets/issues/3615
+nudogram.com##+js(abort-current-inline-script.js, parseInt, tabunder)
+||nudogram.com/contents/other/*$media,first-party
+nudogram.com##.sponsor
+
+! https://github.com/NanoMeow/QuickReports/issues/139
+wpcolt.com##+js(abort-on-property-read.js, admiral)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41804
+ bardtech.com##+js(abort-on-property-write.js, decodeURIComponent)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41809
+! https://github.com/NanoMeow/QuickReports/issues/145
+@@||gameguardian.net^$generichide
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=gameguardian.net
+gameguardian.net##.adsbygoogle:style(height: 1px !important;)
+
+! https://github.com/NanoMeow/QuickReports/issues/133
+textsheet.com##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3623
+||googletagmanager.com/gtag/js$script,redirect=noopjs,domain=free-mp3-download.net
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9jzdwf/detected_by_hawtcelebs/
+hawtcelebs.com##+js(abort-on-property-write.js, close_screen)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3625
+ishort.ca##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+ishort.ca##+js(addEventListener-defuser.js, click, trigger)
+ishort.ca###topbar
+ishort.ca##.banner
+
+! https://github.com/uBlockOrigin/uAssets/issues/3626
+123short.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+||youtube.com/embed/$subdocument,domain=123short.com
+||123short.com/sw.js
+123short.com###topbar
+123short.com##.banner
+
+! https://github.com/NanoMeow/QuickReports/issues/146
+theoaklandpress.com##+js(set-constant.js, CnnXt.Utils.detectAdBlock, noopFunc)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3627
+*.mp4$media,redirect=noopmp4-1s,domain=apornoflv.tv
+@@*/video/*.mp4$media,domain=apornoflv.tv
+
+! https://github.com/uBlockOrigin/uAssets/issues/3629
+camgirlfap.com##+js(abort-on-property-write.js, ai_adb_overlay)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3630
+||cda-hd.cc^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.facebook.com *.searchiq.co *.cloudflare.com *.gstatic.com *.facebook.net *.google-analytics.com *.googletagmanager.com *.google.com *.googleapis.com *.twitter.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3631
+@@||turiver.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3632
+ge-map-overlays.appspot.com##+js(set-constant.js, ads_js_was_loaded, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3634
+iptvcanales.com##+js(set-constant.js, google_jobrunner, true)
+
+! https://forums.lanik.us/viewtopic.php?f=103&t=41821
+zonatorrent.tv##+js(abort-on-property-read.js, encodeURIComponent)
+zonatorrent.tv##+js(abort-on-property-read.js, BetterJsPop)
+zonatorrent.tv##+js(popads-dummy.js)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3635
+@@||vinylcollective.com^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/148
+2baksa.net##+js(set-constant.js, sopoof_asidas, true)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3639
+srtfly.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3644
+sp-today.com##+js(set-constant.js, isAdBlockActive, false)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3645
+the123movieshub.net##+js(abort-current-inline-script.js, decodeURI, atob)
+the123movieshub.net##+js(set-constant.js, atob, noopFunc)
+||the123movieshub.net^$csp=script-src 'self' * data:
+@@||the123movieshub.net/*/watching.html$csp,first-party
+
+! https://forums.lanik.us/viewtopic.php?p=141704#p141704
+downloadhub.*##+js(abort-current-inline-script.js, puShown , /doOpen|popundr/)
+downloadhub.*##.alignnone
+
+! https://github.com/NanoMeow/QuickReports/issues/151
+@@||smtebooks.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3646
+mirrorace.com##+js(addEventListener-defuser.js, click, _0x)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3647
+||ewa.ac^$csp=script-src 'self' 'unsafe-inline' *.googleapis.com
+*$subdocument,domain=ewa.ac
+
+! https://github.com/uBlockOrigin/uAssets/issues/3648
+@@||getty.link^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/160
+@@||flight-report.com/static/js/ads.js$script,first-party
+
+! https://forums.lanik.us/viewtopic.php?f=96&t=41835
+itascan.info##+js(set-constant.js, adBlockDetected, noopFunc)
+@@||itascan.info^$generichide       
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9l5jp1
+123moviestar.net##+js(abort-current-inline-script.js, decodeURI, atob)
+!#if env_firefox
+@@||hqq.tv/sec/player/*$csp
+!#endif
+
+! https://github.com/uBlockOrigin/uAssets/issues/3649
+linsoo.co.kr##+js(setTimeout-defuser.js, (), 500)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3651
+tamilmv.biz##+js(nowebrtc.js)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41843
+@@||textmechanic.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3652
+||xxxwebdlxxx.org^$csp=script-src 'self' data: 
+
+! https://github.com/uBlockOrigin/uAssets/issues/3654
+! https://www.reddit.com/r/uBlockOrigin/comments/89tfkf/how_do_i_stop_we_see_youre_using_an_ad_blocker/
+! https://github.com/uBlockOrigin/uAssets/issues/2188
+! https://github.com/uBlockOrigin/uAssets/issues/2636
+! https://github.com/uBlockOrigin/uAssets/issues/3656
+browardpalmbeach.com,dallasobserver.com,houstonpress.com,miaminewtimes.com,phoenixnewtimes.com,westword.com##+js(set-constant.js, VMG.Components.Adblock, false)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3657
+@@||emailregex.com^$generichide
+emailregex.com##a[href*="shareasale.com"]
+
+! https://github.com/NanoMeow/QuickReports/issues/165
+@@||jolygram.com^$generichide
+
+! https://github.com/uBlockOrigin/uAssets/issues/3658
+pentasex.io##+js(abort-on-property-read.js, ExoLoader.serve)
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/191
+@@||sfiles.org^$generichide
+sfiles.org##.adsbygoogle
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/190
+linksfly.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+linksfly.me##+js(addEventListener-defuser.js, click, trigger)
+
+! https://forums.lanik.us/viewtopic.php?p=141849#p141849
+prostoporno.sexy##+js(abort-on-property-read.js, ExoLoader.serve)
+prostoporno.sexy##.spot
+
+! https://forums.lanik.us/viewtopic.php?f=103&t=41858
+muyinteresante.es##+js(set-constant.js, ads, true)
+
+! https://github.com/NanoMeow/QuickReports/issues/161
+@@||gidoroom.ru^$generichide
+
+! https://github.com/NanoMeow/QuickReports/issues/167
+dogecatch.website##+js(abort-on-property-write.js, adBlockDetected)
+
+! https://github.com/NanoMeow/QuickReports/issues/168
+soccer-live.stream##+js(abort-on-property-read.js, _0x2c81)
+soccer-live.stream##+js(abort-on-property-read.js, eddOptions)
+soccer-live.stream##+js(window.open-defuser.js)
+camlive.pw##+js(nowebrtc.js)
+||oagwl3372h.com^$third-party
+soccer-live.stream##.btn-info
+soccer-live.stream##.btn-danger
+soccer-live.stream##.btn-primary.btn
+
+! https://forums.lanik.us/viewtopic.php?p=141899#p141899
+||curriculture.com^
+@@||9xbuddy.app^$generichide
+@@||offmp3.app^$generichide
+||offmp3.app/sw.js$script,first-party
+||9xbuddy.app/sw.js$script,first-party
+@@||pagead2.googlesyndication.com/pagead/js/adsbygoogle.js$xmlhttprequest,domain=offmp3.app|9xbuddy.app
+
+! https://forums.lanik.us/viewtopic.php?f=109&t=41873
+24horas.com.br##+js(set-constant.js, $tieE3, true)
+
+! https://github.com/NanoMeow/QuickReports/issues/175
+@@||durtypass.com^$generichide
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41882
+||pornid.xxx^$csp=script-src 'unsafe-inline' 'unsafe-eval' https://www.pornid.xxx/player/kt_player.js
+*$subdocument,xmlhttprequest,domain=pornid.xxx
+
+! https://github.com/uBlockOrigin/uAssets/issues/3668
+@@||stupdroid.com^$generichide
+@@||videoviral.my^$generichide
+@@||boxwares.com^$generichide
+@@||gsmfuturebd.com^$generichide
+gsmshield.com##+js(set-constant.js, $tieE3, true)
+gsmfuturebd.com##+js(abort-current-inline-script.js, $, adblock)
+||pagead2.googlesyndication.com/pagead/$script,redirect=noopjs,domain=zoneflasher.site
+nyanyisendiri.com##+js(addEventListener-defuser.js, load, 2000)
+firmware277.*##+js(addEventListener-defuser.js, load, nextFunction)
+visitlinks.xyz##+js(addEventListener-defuser.js, load, 2000)
+
+! https://github.com/NanoMeow/QuickReports/issues/178
+5tawzeef.com,aetools.*,ahorravueltas.com,allartsoftworks.com,androidemulator.org,androprogrammer.com,animetubeitalia.it,arabass.me,arabseries.net,arbitri.com,arenavision.top,artsongcentral.com,asiabusiness.today,autofans.pw,baladag4.com.br,bazarynek.pl,belfastforum.co.uk,bezpolitickekorektnosti.cz,biodatamaker.com,bitclaimer.me,bollystop.tv,borussiadortmund.net.br,boxwares.com,brasilseries.org,camfoot.com,cartoonporn.tv,cdrlabs.com,cimagram.com,claimbtc.in,connect-trojan.net,countrytabs.com,crawlist.net,cricket-tv.me,cryptoaddicted.biz,cybernog.com,daslot.com,davidcuttermusic.com,desitelugu.com,dicasedetonados.com,dificuldadezero.com.br,digitalcomicmuseum.com,digitalpornhub.com,directassuranceauto.fr,doctormalay.com,dopedgeeks.com,e-hiszpanski.com,ecoles-du-web.fr,eduvark.com,emploiads.com,ergasiakanea.eu,eslwriting.org,euamonudes.com,exameninja.com.br,expressfaucet.com,ezyzip.com,farmville2-everinn.eu,farmville2free.com,faucetpot.com,faucetrain.ga,fifaultimateteam.it,filesaver.pro,filmyonline.date,fintel.io,forexwinners.biz,forexwinners.org,formuleonline.*,forum.vorota.de,freearticlespinning.com,freedogecoin.win,freeudemypaidcourse.com,fuckcomix.com,fullsofthome.com,fv2freegifts.org,gamesandroidhvga.net,generadordni.es,getinfos.net,ggulpass.com,gklokam.com,globalssh.net,goldpaste.net,golshoot.com,gozd-les.com,greyhound-data.com,gsmdunya.com,healthremediesforlife.com,hostpics.biz,ilbraccoitaliano.net,indiatyping.com,indohooker.com,instaphotodownloader.com,jamaicanjobsonline.com,jetseotools.com,jobculture.fr,joudymovies.xyz,kallitheacity.gr,kimtaeyeon.com.br,kurditv2.com,l2network.eu,la2world.net,lambingan.su,linuxliteos.com,livetvcafe.me,loan-trading.net,macdailynews.com,magtxt.com,manatelugu.com,mangasave.me,marugujarat.org,marugujarat.org.in,medmedicine.it,megafilmess.com,megsta.com,milanworld.net,miningquiz.com,modsimuladores.com,mostbeautifulman.com,movieproxy.net,mycraftsbetter.com,myicloud.info,myxcamgirl.com,n1bestfreeclassifiedads.com,nangiphotos.com,netrider.net.au,newreleasetoday.com,newxboxone.ru,nhlstreamz.com,nowtvshow.com,nu6i-bg-net.com,obengplus.com,olympine.com,otakugame.fr,otakuindo.net,pelispaste.top,peshdpatch.*,pinayhooker.com,pinaywalkers.net,pinoy-tv.ws,plussizenation.com,pornbaaz.com,premiumleecher.com,premiumproxy.net,press-news.gr,programmingbuddy.club,proxy2018.ml,proxyhub.eu,proxyvideo.net,ps3-id.es,putramelayu.web.id,qtellbuyandsell.com,qtellclassifiedads.com,qtellelectronicsexpress.com,qtelljoblotsforum.com,queissonovinha.com,quotespics.net,raimines.com,readshingekinokyojin.com,readshokugekisoma.com,reviewtv.in,robert-downeyjr.com,s7fanclub.com,saigoneer.com,sambagblog.com,savetubes.com,scoprirelafisica.it,sehatsegar.net,seononline.com,seosocialnews.info,showbiz.gr,siftheadsgames.com,sinepinoy.net,sjcomics.com,sketchupbrasil.com,skidrowfull.com,smartcoin.fr,smartprep.in,sparkplug-crossreference.com,speechtyping.com,spite.cz,stepack.*,streaming-football.club,swertreshearing.net,telluofficial.com,tendancehotellerie.fr,tendermeforfree.com,th3nextlevel.xyz,themelot.me,thoptv.net,tibiawiki.com.br,tntendirect.com,tricksbest.com,tube2gram.com,tutoriaux-excalibur.com,uadforum.com,unlimit-pro.*,usmleexperiences.review,videounblock.com,viply.ga,vivereurbino.it,vlasteneckenoviny.cz,vmwaremine.com,vodiy.ua,vpnjantit.com,w1.motogon.ru,wadaef.com,wallpaperdownload.xyz,watchpornmovies.org,webforefront.com,whois-il.com,wholesalefreeclassifiedads.com,realmofmetal.org,wwtechteam.net,yaartv.tv,yuksoftware.com,zermusicz.com,zigstat.com,zoopertv.com##+js(bab-defuser.js)
+
+! https://github.com/NanoMeow/QuickReports/issues/179
+ainogatget.ga,dok-film.net,dollarz.co,reportscam.com,santalifuns.in,wapkiz.com##+js(abort-on-property-write.js, adBlockDetected)
+@@||dressupmix.ru^$generichide
+@@||freegamescasual.com^$generichide
+@@||khelnow.com^$generichide
+@@||teensgames.ru^$generichide
+@@||cdnjs.cloudflare.com/ajax/*/fuckadblock.min.js$script,domain=dressupmix.ru|freegamescasual.com|khelnow.com|teensgames.ru
+
+! https://github.com/uBlockOrigin/uAssets/issues/3669
+reff.site##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3670
+tpx.me##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
+
+! https://github.com/NanoMeow/QuickReports/issues/183
+@@||opjav.com^$generichide
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41891
+empearn.com##+js(abort-on-property-read.js, app_vars.force_disable_adblock)
diff -pruN 1.16.14+dfsg-1/uAssets/filters/privacy.txt 1.17.0+dfsg-2/uAssets/filters/privacy.txt
--- 1.16.14+dfsg-1/uAssets/filters/privacy.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/privacy.txt	2018-10-10 09:19:19.000000000 +0000
@@ -85,7 +85,7 @@
 free18.net,gadgetlove.com,nrc.gov,onbeing.org,rapgenius.com,tech.co,tmz.com#@#.addthis_toolbox
 
 ! Foil blocker-sniffer code on Condé Nast sites.
-architecturaldigest.com,arstechnica.com,bonappetit.com,brides.com,cntraveler.com,details.com,epicurious.com,gq.com,golfdigest.com,newyorker.com,pitchfork.com,self.com,teenvogue.com,thescene.com,vanityfair.com,vogue.com,wmagazine.com##script:inject(fuckadblock.js-3.2.0)
+architecturaldigest.com,arstechnica.com,bonappetit.com,brides.com,cntraveler.com,details.com,epicurious.com,gq.com,golfdigest.com,newyorker.com,pitchfork.com,self.com,teenvogue.com,thescene.com,vanityfair.com,vogue.com,wmagazine.com##+js(fuckadblock.js-3.2.0)
 
 ! Examples of what is fixed by even an unfilled dummy API:
 ! https://twitter.com/kenn_butler/status/709163241021317120
@@ -144,5 +144,13 @@ architecturaldigest.com,arstechnica.com,
 ||log.logrocket.io^$script
 
 ! abort adBack.co script
-5euros.com,astucesexpress.com,alsumaria.tv,americanlisted.com,audiofanzine.com,basketusa.com,betaseries.com,blog-rct.com,boulistenaute.com,butfootballclub.fr,cabaneaidees.com,chezasite.com,clubic.com,cuisineactuelle.fr,cuisineaz.com,deco.fr,focus-numerique.com,football365.fr,fourchette-et-bikini.fr,gamekult.com,grands-meres.net,lequipe.fr,lesoir.be,livepeople.fr,maison-et-domotique.com,mercato365.com,nicematin.com,monacomatin.mc,nrj-play.fr,obsev.com,paroles-musique.com,rtl.be,rugby365.fr,sport365.fr,supertoinette.com,universfreebox.com,varmatin.com##script:inject(abort-current-inline-script.js, setTimeout, adback)
-5euros.com,astucesexpress.com,alsumaria.tv,americanlisted.com,audiofanzine.com,basketusa.com,betaseries.com,blog-rct.com,boulistenaute.com,butfootballclub.fr,cabaneaidees.com,chezasite.com,clubic.com,cuisineactuelle.fr,cuisineaz.com,deco.fr,focus-numerique.com,football365.fr,fourchette-et-bikini.fr,gamekult.com,grands-meres.net,lequipe.fr,lesoir.be,livepeople.fr,maison-et-domotique.com,mercato365.com,nicematin.com,monacomatin.mc,nrj-play.fr,obsev.com,paroles-musique.com,rtl.be,rugby365.fr,sport365.fr,supertoinette.com,universfreebox.com,varmatin.com##script:inject(abort-on-property-read.js, CustomEvent)
+! https://github.com/uBlockOrigin/uAssets/issues/3169
+5euros.com,astucesexpress.com,alsumaria.tv,americanlisted.com,audiofanzine.com,basketusa.com,betaseries.com,blog-rct.com,blogautomobile.fr,boulistenaute.com,butfootballclub.fr,cabaneaidees.com,chezasite.com,clubic.com,cuisineactuelle.fr,cuisineaz.com,deco.fr,focus-numerique.com,football365.fr,fourchette-et-bikini.fr,gamekult.com,grands-meres.net,lequipe.fr,lesoir.be,livepeople.fr,maison-et-domotique.com,mercato365.com,nicematin.com,monacomatin.mc,nrj-play.fr,obsev.com,paroles-musique.com,rtl.be,rugby365.fr,sport365.fr,supertoinette.com,universfreebox.com,varmatin.com##+js(abort-current-inline-script.js, setTimeout, adback)
+5euros.com,astucesexpress.com,alsumaria.tv,americanlisted.com,audiofanzine.com,basketusa.com,betaseries.com,blog-rct.com,blogautomobile.fr,boulistenaute.com,butfootballclub.fr,cabaneaidees.com,chezasite.com,clubic.com,cuisineactuelle.fr,cuisineaz.com,deco.fr,focus-numerique.com,football365.fr,fourchette-et-bikini.fr,gamekult.com,grands-meres.net,lequipe.fr,lesoir.be,livepeople.fr,maison-et-domotique.com,mercato365.com,nicematin.com,monacomatin.mc,nrj-play.fr,obsev.com,paroles-musique.com,rtl.be,rugby365.fr,sport365.fr,supertoinette.com,universfreebox.com,varmatin.com##+js(setTimeout-defuser.js, .API, 0)
+||scappoosebirds.com^$third-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3251
+teamskeet.com##+js(abort-on-property-read.js, $.tstracker)
+
+! https://github.com/uBlockOrigin/uAssets/issues/3673
+technologyreview.com##+js(set-constant.js, webkitRequestFileSystem, undefined)
diff -pruN 1.16.14+dfsg-1/uAssets/filters/resource-abuse.txt 1.17.0+dfsg-2/uAssets/filters/resource-abuse.txt
--- 1.16.14+dfsg-1/uAssets/filters/resource-abuse.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/resource-abuse.txt	2018-10-10 09:19:19.000000000 +0000
@@ -73,7 +73,7 @@
 ||hatevery.info^$third-party
 
 ! https://github.com/hoshsadiq/adblock-nocoin-list/issues/59
-csgoconfigs.com##script:inject(abort-current-inline-script.js, m, CH.Anonymous)
+csgoconfigs.com##+js(abort-current-inline-script.js, m, CH.Anonymous)
 ||coinhiveproxy.com^$third-party
 
 ! https://github.com/hoshsadiq/adblock-nocoin-list/issues/63
@@ -162,7 +162,6 @@ csgoconfigs.com##script:inject(abort-cur
 ||cloudcoins.co^$third-party
 ||coinhive-manager.com^$third-party
 ||coinhive-proxy.party^$third-party
-||coinhive.com^$third-party
 ||coinlab.biz^$third-party
 ||coinminerz.com^$third-party
 ||cookiescript.info^$third-party
@@ -182,7 +181,6 @@ csgoconfigs.com##script:inject(abort-cur
 ||jroqvbvw.info^$third-party
 ||jyhfuqoh.info^$third-party
 ||kdowqlpt.info^$third-party
-||kiwifarms.net/js/Jawsh/xmr/xmr.min.js
 ||megabanners.cf^$third-party
 ||megabanners.cf^$websocket
 ||minecrunch.co^$third-party
@@ -235,7 +233,7 @@ csgoconfigs.com##script:inject(abort-cur
 ||web.dle-news.pw^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1149
-vidzi.tv##script:inject(abort-on-property-write.js, decodeURIComponent)
+vidzi.tv##+js(abort-on-property-write.js, decodeURIComponent)
 ||vidzi.si^$csp=worker-src 'none';
 
 ! https://github.com/hoshsadiq/adblock-nocoin-list/issues/85#issuecomment-354658527
@@ -277,7 +275,7 @@ vidzi.tv##script:inject(abort-on-propert
 ||zlx.com.br/assets/playermon.js$script
 
 ! https://github.com/hoshsadiq/adblock-nocoin-list/issues/101
-*$csp=worker-src 'none',domain=a-o.ninja|alltube.tv|biter.tv|byter.tv|centrum-dramy.pl|hentai-online.pl|lewd.ninja|love-drama.pl|milujivareni.cz|tokyodrift.ga|vidfile.net|ya3ale.com
+*$csp=worker-src 'none',domain=a-o.ninja|alltube.tv|biter.tv|byter.tv|centrum-dramy.pl|hentai-online.pl|lewd.ninja|love-drama.pl|milujivareni.cz|tokyodrift.ga|subswiki.com|vidfile.net|ya3ale.com
 ||vidfile.net/*.wasm
 /angular8.js
 ||tubetitties.com/worker.js
@@ -295,7 +293,6 @@ vidzi.tv##script:inject(abort-on-propert
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1369
 /crn.wasm
-||freecontent.bid^$third-party
 
 ! https://github.com/easylist/easylist/commit/b750557d82c3f56b0b4ba31bbd9a21b2536a6841#commitcomment-27140868
 ||300mbfilms.co^$csp=worker-src 'none';
@@ -303,7 +300,7 @@ vidzi.tv##script:inject(abort-on-propert
 ||mutuza.win^$third-party
 
 ! https://github.com/easylist/easylist/issues/861
-tubettajat.net##script:inject(abort-on-property-read.js, miner)
+tubettajat.net##+js(abort-on-property-read.js, miner)
 ||crypto-webminer.com^$third-party
 ||cryweb.github.io^
 ||crywebber.github.io^
@@ -316,7 +313,7 @@ tubettajat.net##script:inject(abort-on-p
 ||vzhjnorkudcxbiy.com^
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7tgjce/new_cryptocurrency_mining_website_not_blocked_by/
-tasma.ru##script:inject(abort-on-property-write.js, decodeURIComponent)
+tasma.ru##+js(abort-on-property-write.js, decodeURIComponent)
 ||ogrid.org^
 ||igrid.org^
 ||stat0808.info^
@@ -329,15 +326,16 @@ tasma.ru##script:inject(abort-on-propert
 ||nablabee.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1503
-shrink-service.it##script:inject(abort-on-property-read.js, WebAssembly)
+shrink-service.it##+js(abort-on-property-read.js, WebAssembly)
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7wwejy/cryptojackers_defeat_all_countermeasures/
 ! https://github.com/NanoAdblocker/NanoFilters/issues/35#issuecomment-403137195
-*$csp=worker-src 'none',domain=estream.to|flashx.cc|streamango.com|vidoza.net|vidto.me|vidto.se|vidtudu.com
+! https://github.com/uBlockOrigin/uAssets/issues/3244#issuecomment-420854707
+*$csp=worker-src 'none',domain=estream.to|flashx.cc|flashx.co|streamango.com|vidoza.net|vidto.me|vidto.se|vidtudu.com
 ||tulip18.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/pull/818#issuecomment-365770341
-djs.sk,mladipodnikatelia.sk##script:inject(abort-on-property-read.js, miner)
+djs.sk,mladipodnikatelia.sk##+js(abort-on-property-read.js, miner)
 ||pr0gram.org^$third-party
 
 ! https://forums.lanik.us/viewtopic.php?f=62&t=39991&p=132468#p132468
@@ -352,20 +350,18 @@ djs.sk,mladipodnikatelia.sk##script:inje
 ||gofile.io/js/coinGofile.min.js
 
 ! https://www.reddit.com/r/uBlockOrigin/comments/7yudc2/coinhive_getting_through/
-howucan.gr##script:inject(abort-on-property-read.js, miner)
+howucan.gr##+js(abort-on-property-read.js, miner)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1602
 ||thevideo.*^$csp=worker-src 'none';
 ||interestingz.pw^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1649
-cloudtime.to,nowvideo.sx,sickrage.ca,tomadivx.org,videoplayer2.xyz,wholecloud.net##script:inject(abort-on-property-read.js, WebAssembly)
-
-||freecontent.*./$script
+cloudtime.to,nowvideo.sx,sickrage.ca,tomadivx.org,videoplayer2.xyz,wholecloud.net##+js(abort-on-property-read.js, WebAssembly)
 
 ! https://github.com/hoshsadiq/adblock-nocoin-list/pull/173
 ! https://github.com/uBlockOrigin/uAssets/issues/1698
-123telugu.com,netiap.com##script:inject(abort-on-property-read.js, _0x7bc7)
+123telugu.com,netiap.com##+js(abort-on-property-read.js, _0x7bc7)
 ||datasecu.download^$third-party
 ||jquery-cdn.download^$third-party
 
@@ -374,17 +370,17 @@ cloudtime.to,nowvideo.sx,sickrage.ca,tom
 ||gustaver.ddns.net^$third-party
 
 ! https://forums.lanik.us/viewtopic.php?f=90&t=40270
-nxload.com##script:inject(abort-on-property-read.js, miner)
+nxload.com##+js(abort-on-property-read.js, miner)
 ||cryptaloot.pro^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1782
-sleeptimer.org##script:inject(abort-on-property-read.js, WebAssembly)
+sleeptimer.org##+js(abort-on-property-read.js, WebAssembly)
 
 ! https://github.com/easylist/easylist/commit/8ef593
 *$csp=worker-src 'none',domain=kinokongo.cc
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1826
-*$csp=worker-src 'none',domain=povw1deo.com|povwideo.net|powvideo.net
+*$csp=worker-src 'none',domain=powvideo.cc|povw1deo.com|povwideo.net|powvideo.net
 
 ! https://github.com/gorhill/uBlock/issues/3675
 ||potomy.ru^$csp=worker-src 'none'
@@ -418,10 +414,35 @@ sleeptimer.org##script:inject(abort-on-p
 ||gramombird.com^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1850#issuecomment-406864063
-hqq.tv,hqq.watch##script:inject(abort-on-property-read.js,  mscript)
+hqq.tv,hqq.watch##+js(abort-on-property-read.js,  mscript)
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3080
 ||verifier.live^$third-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3139
-tomadivx.tv##script:inject(abort-on-property-read.js, WebAssembly)
+tomadivx.tv##+js(abort-on-property-read.js, WebAssembly)
+
+! https://forums.lanik.us/viewtopic.php?f=62&t=41585
+./M5q5.js$script
+||jshosting.*^
+||freecontent.*^
+||hostingcloud.*^
+
+! https://github.com/uBlockOrigin/uAssets/issues/1962#issuecomment-420471103
+descargas2020.com##+js(abort-current-inline-script.js, atob, _0x)
+||money-maker-default.info^
+||money-maker-script.info^
+||service4refresh.info^
+
+! https://github.com/uBlockOrigin/uAssets/issues/3459
+||cinemafacil.com^$csp=worker-src 'none'
+
+! https://github.com/uBlockOrigin/uAssets/issues/3542
+||hdvid.tv^$csp=worker-src 'none'
+||feesocrald.com^$third-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3643
+||void.cat^$csp=worker-src 'none'
+
+! https://github.com/uBlockOrigin/uAssets/issues/3653
+||wallpoper.com^$csp=worker-src 'none'
diff -pruN 1.16.14+dfsg-1/uAssets/filters/resources.txt 1.17.0+dfsg-2/uAssets/filters/resources.txt
--- 1.16.14+dfsg-1/uAssets/filters/resources.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/resources.txt	2018-10-10 09:19:19.000000000 +0000
@@ -2319,6 +2319,7 @@ damoh-defuser.js application/javascript
 
 twitch-videoad.js application/javascript
 (function() {
+	if ( /(^|\.)twitch\.tv$/.test(document.location.hostname) === false ) { return; }
 	var ourMediaPlayer;
 	Object.defineProperty(window, 'MediaPlayer', {
 		set: function(newMediaPlayer) {
@@ -2344,6 +2345,15 @@ twitch-videoad.js application/javascript
 			return ourMediaPlayer;
 		}
 	});
+	var realFetch = window.fetch;
+	window.fetch = function(input, init) {
+		if ( arguments.length >= 2 && typeof input === 'string' && input.includes('/access_token') ) {
+			var url = new URL(arguments[0]);
+			url.searchParams.delete('player_type');
+			arguments[0] = url.href;
+		}
+		return realFetch.apply(this, arguments);
+	};
 })();
 
 
@@ -2392,3 +2402,19 @@ cookie-remover.js application/javascript
 	removeCookie();
 	window.addEventListener('beforeunload', removeCookie);
 })();
+
+
+# https://www.reddit.com/r/firefox/comments/9dudod/the_mysterious_case_of_missing_urls_and_googles/e5kgkkh
+ampproject.org/v0.js application/javascript
+(function() {
+	let head = document.head;
+	if ( !head ) { return; }
+	let style = document.createElement('style');
+	style.textContent = [
+		'body {',
+		'  animation: none !important;',
+		'  overflow: unset !important;',
+		'}'
+	].join('\n');
+	head.appendChild(style);
+})();
diff -pruN 1.16.14+dfsg-1/uAssets/filters/unbreak.txt 1.17.0+dfsg-2/uAssets/filters/unbreak.txt
--- 1.16.14+dfsg-1/uAssets/filters/unbreak.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/filters/unbreak.txt	2018-10-10 09:19:19.000000000 +0000
@@ -9,314 +9,318 @@
 ! GitHub issues: https://github.com/uBlockOrigin/uAssets/issues
 ! GitHub pull requests: https://github.com/uBlockOrigin/uAssets/pulls
 
-# https://twitter.com/JarkkoRytkonen/status/540052376015888385
-# https://github.com/chrisaljoudi/uBlock/issues/119
-# https://github.com/chrisaljoudi/uBlock/issues/940
-# To counter `google-analytics.com` in Peter Lowe's list
+! https://twitter.com/JarkkoRytkonen/status/540052376015888385
+! https://github.com/chrisaljoudi/uBlock/issues/119
+! https://github.com/chrisaljoudi/uBlock/issues/940
+! To counter `google-analytics.com` in Peter Lowe's list
 @@||google-analytics.com^$domain=avianca.com|jackbox.tv|newegg.com|bikstok.sonymusicshop.dk
 
-# From Chrome store: "Go to site http://www.vd.nl/ ... links from dropdown top menu do not work"
-# To counter Dan Pollock's, hpHosts, MVPS, Peter Lowe's
+! From Chrome store: "Go to site http://www.vd.nl/ ... links from dropdown top menu do not work"
+! To counter Dan Pollock's, hpHosts, MVPS, Peter Lowe's
 @@||google-analytics.com/analytics.js$script,domain=burodecredito.com.mx|vd.nl
 
-# https://github.com/gorhill/uBlock/issues/1164
-# GA plugins are pulled if and only if `analytics.js` was already allowed in
-# the first place: it is thus safe to create a global exception filter for
-# all GA plugins.
+! https://github.com/gorhill/uBlock/issues/1164
+! GA plugins are pulled if and only if `analytics.js` was already allowed in
+! the first place: it is thus safe to create a global exception filter for
+! all GA plugins.
 @@||google-analytics.com/plugins/$script
 
-# https://github.com/gorhill/uBlock/issues/1020
+! https://github.com/gorhill/uBlock/issues/1020
 @@||www.google-analytics.com/ga.js$script,domain=santander.com.mx|tv2.no
 
-# https://github.com/gorhill/uBlock/issues/939
+! https://github.com/gorhill/uBlock/issues/939
 @@||google-analytics.com/urchin.js$script,domain=live.euroleague.net
 
-# https://github.com/chrisaljoudi/uBlock/issues/63
+! https://github.com/chrisaljoudi/uBlock/issues/63
 @@||adf.ly^$~third-party
-# https://github.com/gorhill/uBlock/issues/1131
+! https://github.com/gorhill/uBlock/issues/1131
 @@||adf.ly^$domain=j.gs
 
-# https://github.com/chrisaljoudi/uBlock/issues/69
+! https://github.com/chrisaljoudi/uBlock/issues/69
 @@||widget-cdn.rpxnow.com^$domain=foxnews.com,script
 ! https://github.com/uBlockOrigin/uAssets/issues/729
 @@||global.fncstatic.com/$script,domain=video.foxnews.com
 ||cdn.krxd.net^$script,redirect=noopjs,domain=video.foxnews.com
 
-# http://forums.lanik.us/viewtopic.php?f=64&t=17842&sid=46bd7065193153fe46efe816b7cd32c9&start=30#p59663
-# To counter `statcounter.com` in Peter Lowe's, MVPS, Dan Pollock's and hpHosts
-@@||statcounter.com^$~third-party
+! http://forums.lanik.us/viewtopic.php?f=64&t=17842&start=30#p59663
+! To counter `statcounter.com` in Peter Lowe's, MVPS, Dan Pollock's and hpHosts
+||statcounter.com^$badfilter
+||statcounter.com^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/166
-# To counter `liverail.com` in Peter Lowe's, MVPS, and hpHosts
+! https://github.com/chrisaljoudi/uBlock/issues/166
+! To counter `liverail.com` in Peter Lowe's, MVPS, and hpHosts
 @@||cdn-static.liverail.com^$object-subrequest
 
-# https://github.com/chrisaljoudi/uBlock/issues/580
-# To counter `liverail.com` in Dan Pollock's, hpHosts, MVPS, Peter Lowe's
+! https://github.com/chrisaljoudi/uBlock/issues/580
+! To counter `liverail.com` in Dan Pollock's, hpHosts, MVPS, Peter Lowe's
 @@||cdn-static.liverail.com^$domain=9to5mac.com
 
-# https://github.com/gorhill/uBlock/issues/294
-# To counter `liverail.com` in hpHosts, Peter Lowe
-# To counter `vox-static.liverail.com` in Dan Pollock, hpHosts, MVPS
+! https://github.com/gorhill/uBlock/issues/294
+! To counter `liverail.com` in hpHosts, Peter Lowe
+! To counter `vox-static.liverail.com` in Dan Pollock, hpHosts, MVPS
 @@||vox-static.liverail.com/swf/$object-subrequest,domain=cdnapi.kaltura.com
 
-# cnet.com needs this for video players
-# https://github.com/chrisaljoudi/uBlock/issues/227
-# To counter `2mdn.net` in Peter Lowe's
-# To counter `s0.2mdn.net` in MVPS, hpHosts, Dan Pollock's
+! cnet.com needs this for video players
+! https://github.com/chrisaljoudi/uBlock/issues/227
+! To counter `2mdn.net` in Peter Lowe's
+! To counter `s0.2mdn.net` in MVPS, hpHosts, Dan Pollock's
 @@||s0.2mdn.net/instream/*$domain=cnet.com|nfl.com|wistv.com
 @@||s0.2mdn.net/instream/flash/v3/adsapi_3.swf$object
 
-# https://github.com/chrisaljoudi/uBlock/issues/243
-# To counter `cdn-i.dmdentertainment.com` in hpHosts
+! https://github.com/chrisaljoudi/uBlock/issues/243
+! To counter `cdn-i.dmdentertainment.com` in hpHosts
 @@||cdn-i.dmdentertainment.com^$domain=cracked.com
 
-# https://twitter.com/ethanveres/status/527122036649639936
-# Fortunately, further connections to `mxpnl.com` are blocked
+! https://twitter.com/ethanveres/status/527122036649639936
+! Fortunately, further connections to `mxpnl.com` are blocked
 @@||cdn.vurb.com/*/mixpanel.
 
-# https://adblockplus.org/forum/viewtopic.php?f=2&t=25772
+! https://adblockplus.org/forum/viewtopic.php?f=2&t=25772
 @@||target.122.2o7.net^$domain=target.com
 
-# To counter `adm.fwmrm.net` from hpHosts, MVPS, Dan Pollock's
+! To counter `adm.fwmrm.net` from hpHosts, MVPS, Dan Pollock's
 @@||adm.fwmrm.net^$domain=go.com
 
-# https://github.com/chrisaljoudi/uBlock/issues/274
-# To counter `mopub.com` in Peter Lowe's
+! https://github.com/chrisaljoudi/uBlock/issues/274
+! To counter `mopub.com` in Peter Lowe's
 ||mopub.com^$badfilter
 ||mopub.com^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/293
-# To counter `safelinking.net` in hpHosts
+! https://github.com/chrisaljoudi/uBlock/issues/293
+! To counter `safelinking.net` in hpHosts
 @@||safelinking.net^$~third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/302
-# To counter `outbrain.com` in hpHosts
-@@||outbrain.com^$~third-party
+! https://github.com/chrisaljoudi/uBlock/issues/302
+! To counter `outbrain.com` in hpHosts
+||outbrain.com^$badfilter
+||outbrain.com^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/336
-# To counter `flurry.com` in Peter Lowe's, hpHosts, MVPS
+! https://github.com/chrisaljoudi/uBlock/issues/336
+! To counter `flurry.com` in Peter Lowe's, hpHosts, MVPS
 @@||flurry.com^$~third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/374
-# To counter `2mdn.net` in Peter Lowe's, `s0.2mdn.net` in hpHosts
+! https://github.com/chrisaljoudi/uBlock/issues/374
+! To counter `2mdn.net` in Peter Lowe's, `s0.2mdn.net` in hpHosts
 @@||s0.2mdn.net/instream/*$object,script,domain=wsmv.com
 
-# https://github.com/chrisaljoudi/uBlock/issues/463
-# To counter Peter Lowe's, hpHosts
+! https://github.com/chrisaljoudi/uBlock/issues/463
+! To counter Peter Lowe's, hpHosts
 ||mixpanel.com^$badfilter
 ||mixpanel.com^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/466
-# Until fixed in EasyPrivacy
+! https://github.com/chrisaljoudi/uBlock/issues/466
+! Until fixed in EasyPrivacy
 @@/google-analytics-dashboard
 
-# https://twitter.com/poroot/status/554300983472574465
+! https://twitter.com/poroot/status/554300983472574465
 charlie.strim.io#@##tweets
 ovh.strim.io#@##tweets
 
-# https://adblockplus.org/forum/viewtopic.php?f=10&t=24896&start=15#p114675
-# Until fixed in EasyList
+! https://adblockplus.org/forum/viewtopic.php?f=10&t=24896&start=15#p114675
+! Until fixed in EasyList
 @@||cdn.turner.com/ads/nba/adfuel.js$domain=www.nba.com
 
-# https://github.com/chrisaljoudi/uBlock/issues/570
-# To counter `yui.yahooapis.com` in hpHosts
+! https://github.com/chrisaljoudi/uBlock/issues/570
+! To counter `yui.yahooapis.com` in hpHosts
 @@||yui.yahooapis.com^
 
-# Chrome store feedback
-# To counter `top.mail.ru` in Peter Lowe's
+! Chrome store feedback
+! To counter `top.mail.ru` in Peter Lowe's
 ||top.mail.ru^$badfilter
 ||top.mail.ru^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/602
-# To counter `/ads.css` in EasyList
+! https://github.com/chrisaljoudi/uBlock/issues/602
+! To counter `/ads.css` in EasyList
 @@||css.washingtonpost.com/*/ads.css$stylesheet,~third-party
 ! https://github.com/uBlockOrigin/uAssets/issues/2317#issuecomment-391911664
 @@||washingtonpost.com/wp-stat/analytics/*.js$script,domain=subscribe.washingtonpost.com
 
-# https://twitter.com/yo_0/status/559748330390323200
-# To counter `||clickbank.com^` in Dan Pollock's, Peter Lowe's
+! https://twitter.com/yo_0/status/559748330390323200
+! To counter `||clickbank.com^` in Dan Pollock's, Peter Lowe's
 ||clickbank.com^$badfilter
 ||clickbank.com^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/614
-# To counter `awaps.yandex.ru` in hpHosts
-# To counter `mc.yandex.ru` in hpHosts, MVPS
+! https://github.com/chrisaljoudi/uBlock/issues/614
+! To counter `awaps.yandex.ru` in hpHosts
+! To counter `mc.yandex.ru` in hpHosts, MVPS
 @@||awaps.yandex.ru^$domain=market.yandex.ru
 @@||mc.yandex.ru^$domain=market.yandex.ru
 @@||yastatic.net/market-export/*/advert.js$domain=market.yandex.ru
 
-# https://github.com/chrisaljoudi/uBlock/issues/774
-# To counter `carbonads.net` in Peter Lowe's
+! https://github.com/chrisaljoudi/uBlock/issues/774
+! To counter `carbonads.net` in Peter Lowe's
 ||carbonads.net^$badfilter
 ||carbonads.net^$third-party
 
-# This enables twitch.tv to work in HTML5
+! This enables twitch.tv to work in HTML5
 @@||imasdk.googleapis.com^$domain=twitch.tv
 
-# Chrome store feedback: "totaljobs.com [...] with μBlock enabled, I can't click any links"
-# To counter `2o7.net` in Peter Lowe's
+! Chrome store feedback: "totaljobs.com [...] with μBlock enabled, I can't click any links"
+! To counter `2o7.net` in Peter Lowe's
 ||2o7.net^$badfilter
 ||2o7.net^$third-party
 
-# https://github.com/chrisaljoudi/uBlock/issues/841
-# To counter `quantcast.com` in hpHosts, Peter Lowe's
+! https://github.com/chrisaljoudi/uBlock/issues/841
+! To counter `quantcast.com` in hpHosts, Peter Lowe's
 ||quantcast.com^$badfilter
 ||quantcast.com^$third-party
 
-# Chrome store feedback: "on gaana.com it blocks the site"
-# To counter `_social_tracking.` in EasyPrivacy
+! Chrome store feedback: "on gaana.com it blocks the site"
+! To counter `_social_tracking.` in EasyPrivacy
 @@||css5.gaanacdn.com/minify-*/min/?$script,domain=gaana.com
 
-# https://twitter.com/Urre/status/572742363069714432
-# To counter `/keen.min.js` in EasyPrivacy
+! https://twitter.com/Urre/status/572742363069714432
+! To counter `/keen.min.js` in EasyPrivacy
 @@||keen.github.io/*/keen.min.js$~third-party
 
-# https://github.com/gorhill/uBlock/issues/182
-# http://www.okgoals.com/match-highlights-1425491618---41
-# To counter `intergi.com` in Peter Lowe's. For example, breaks:
-# explosm.net
-# lastminutegoals.org
-# okgoals.com
-# tvgolo.com
+! https://github.com/gorhill/uBlock/issues/182
+! http://www.okgoals.com/match-highlights-1425491618---41
+! To counter `intergi.com` in Peter Lowe's. For example, breaks:
+! explosm.net
+! lastminutegoals.org
+! okgoals.com
+! tvgolo.com
 @@||cdn.phoenix.intergi.com^
 
-# kissmetrics.com broken
-# To counter `kissmetrics.com` in Peter Lowe's
+! kissmetrics.com broken
+! To counter `kissmetrics.com` in Peter Lowe's
 ||kissmetrics.com^$badfilter
 ||kissmetrics.com^$third-party
 
-# Twitter: https://twitter.com/swashcap/status/578413787323056128
-# "Found Viewpoint’s site [...] Looks like it might be broken?"
-# To counter hpHosts, Peter Lowe's `viewpoint.com`
+! Twitter: https://twitter.com/swashcap/status/578413787323056128
+! "Found Viewpoint’s site [...] Looks like it might be broken?"
+! To counter hpHosts, Peter Lowe's `viewpoint.com`
 ||viewpoint.com^$badfilter
 ||viewpoint.com^$third-party
 
-# http://www.reddit.com/r/ublock/comments/32k908/cnncom_videos_wont_load_w_%C2%B5block_enabled/
+! http://www.reddit.com/r/ublock/comments/32k908/cnncom_videos_wont_load_w_%C2%B5block_enabled/
 @@||i.cdn.turner.com/xslo/cvp/ads/freewheel/bundles/2/*$domain=cnn.com
 
-# https://github.com/chrisaljoudi/uBlock/issues/1421
-# To counter hpHost, MVPS, Peter Lowe: `woopra.com`
+! https://github.com/chrisaljoudi/uBlock/issues/1421
+! To counter hpHost, MVPS, Peter Lowe: `woopra.com`
 ||woopra.com^$badfilter
 ||woopra.com^$third-party
 
-# http://www.wilderssecurity.com/threads/ublock-origin-and-newegg.377014/
-# Until the fix is in EasyPrivacy
+! http://www.wilderssecurity.com/threads/ublock-origin-and-newegg.377014/
+! Until the fix is in EasyPrivacy
 @@||monetate.net/*$script,domain=www.newegg.com
 
-# https://github.com/gorhill/uBlock/issues/372
+! https://github.com/gorhill/uBlock/issues/372
 @@||googleads.g.doubleclick.net/ads/preferences/getcookie$popup,domain=myaccount.google.com
 
-# http://www.reddit.com/r/AsianBeauty/comments/3ak15v/til_if_youre_using_ublock_origin_some_of_the/
+! http://www.reddit.com/r/AsianBeauty/comments/3ak15v/til_if_youre_using_ublock_origin_some_of_the/
 @@||img.echosting.cafe24.com/design$image,domain=jolse.com
 
-# https://forums.lanik.us/viewtopic.php?f=64&t=23859
+! https://forums.lanik.us/viewtopic.php?f=64&t=23859
 @@||imasdk.googleapis.com/js/core$subdocument,domain=globalnews.ca
 
-# https://www.reddit.com/r/uBlockOrigin/comments/3oca9w/how_to_keep_ublock_from_interfering_with_button/
+! https://www.reddit.com/r/uBlockOrigin/comments/3oca9w/how_to_keep_ublock_from_interfering_with_button/
 @@||partner.googleadservices.com/gpt/$script,domain=www.merriam-webster.com
 @@||www.atpworldtour.com/assets/js/util/googleAnalytics.js$script,first-party
 
-# https://twitter.com/bociusz/status/653693746626871296
-# To counter Peter Lowe's `pagefair.com`, but only when on `pagefair.com`
+! https://twitter.com/bociusz/status/653693746626871296
+! To counter Peter Lowe's `pagefair.com`, but only when on `pagefair.com`
 ||pagefair.com^$badfilter
 ||pagefair.com^$third-party
 
-# Chrome store: "Some of the useful content on website such as pictures and maps on redfin get blocked"
+! Chrome store: "Some of the useful content on website such as pictures and maps on redfin get blocked"
 @@||ssl.cdn-redfin.com/*/redfin/common/analytics/PixelTracking.js$script,domain=redfin.com
 
-# Chrome store: "uBlock Origin seems to think Southwest.com's background and header image are ads"
+! Chrome store: "uBlock Origin seems to think Southwest.com's background and header image are ads"
 @@||www.southwest.com/*/mbox.js$script,first-party
 
-# https://www.reddit.com/r/ublock/comments/3qo6yj/marketwatchcom_blocks_ublock/
+! https://www.reddit.com/r/ublock/comments/3qo6yj/marketwatchcom_blocks_ublock/
 marketwatch.com#@##ad_DisplayAd1
 marketwatch.com#@##ad_DisplayAd2
 marketwatch.com#@#.advertisement
 
-# https://twitter.com/Jadenfire/status/663837423160451072
+! https://twitter.com/Jadenfire/status/663837423160451072
 @@||d2kkl4buashh8c.cloudfront.net/ads/ads.js$script,domain=thesimsresource.com
 
-# As reported in AMO feedback section
+! As reported in AMO feedback section
 @@||nationalreview.com/sites/all/themes/*/assets/js/chartbeat.js$script
 
-# https://github.com/gorhill/uBlock/issues/1016#issuecomment-165153899
+! https://github.com/gorhill/uBlock/issues/1016#issuecomment-165153899
 @@||liveperson.net^$first-party
 
-# https://github.com/gorhill/uBlock/issues/1081
+! https://github.com/gorhill/uBlock/issues/1081
 @@||google-analytics.com/ga.js$domain=one.co.il
 
-# https://github.com/gorhill/uBlock/issues/1297
+! https://github.com/gorhill/uBlock/issues/1297
 ||taboola.com^$badfilter
 ||taboola.com^$third-party
 ||api.taboola.com^
 
-# https://github.com/gorhill/uBlock/issues/1296
+! https://github.com/gorhill/uBlock/issues/1296
 @@||odb.outbrain.com/crossdomain.xml$object-subrequest
 
-# https://twitter.com/SeanHood/status/692387495993024512
-# To counter `207.net` in Peter Lowe's, Disconnect‎'s Malvertising filter list
+! https://twitter.com/SeanHood/status/692387495993024512
+! To counter `207.net` in Peter Lowe's, Disconnect‎'s Malvertising filter list
 @@||ticketmaster.122.2o7.net^$image,domain=ticketweb.co.uk
 
-# https://forums.lanik.us/viewtopic.php?f=64&t=28590
+! https://forums.lanik.us/viewtopic.php?f=64&t=28590
 phoronix.com#@#div[style^="text-align: center;"]
 
-# https://forums.lanik.us/viewtopic.php?f=64&t=28701
+! https://forums.lanik.us/viewtopic.php?f=64&t=28701
 @@||files.explosm.net/files/$image,first-party
 
-# `amazon-adsystem.com` is blocked by Peter Lowe's. The neutered script should
-# help lower chances of breakage. Examples:
-# - http://www.food.com/recipe/oven-baked-sweet-plantains-80130 (slideshow controls broken)
-# - [add more]
+! `amazon-adsystem.com` is blocked by Peter Lowe's. The neutered script should
+! help lower chances of breakage. Examples:
+! - http://www.food.com/recipe/oven-baked-sweet-plantains-80130 (slideshow controls broken)
+! - [add more]
 ! https://github.com/uBlockOrigin/uAssets/issues/317
 ||amazon-adsystem.com/aax2/amzn_ads.js$script,redirect=amazon-adsystem.com/aax2/amzn_ads.js
 ||amazon-adsystem.com/aax2/amzn_ads.js$script,redirect=noopjs,domain=player.performgroup.com
 
-# This potentially unbreaks sites broken by EasyPrivacy's `/b/ss/*&aqe=`
-# Confirmed for:
-# - http://www.surfline.com/video/ (links not working)
-# - https://github.com/gorhill/uBlock/issues/529
-# - http://www.scotrail.co.uk/check-your-journey (via https://twitter.com/andy_pee_tho/status/710508529405263872)
+! This potentially unbreaks sites broken by EasyPrivacy's `/b/ss/*&aqe=`
+! Confirmed for:
+! - http://www.surfline.com/video/ (links not working)
+! - https://github.com/gorhill/uBlock/issues/529
+! - http://www.scotrail.co.uk/check-your-journey (via https://twitter.com/andy_pee_tho/status/710508529405263872)
 */b/ss/*&aqe=$image,redirect=1x1-transparent.gif
 
-# This unbreak video player:
-# - http://www.cnet.com/videos/big-mac-survives-molten-copper-and-heats-up-internet-ep-233/
-# And possibly other sites -- `taboola.com` is blocked by Peter Lowe's.
+! This unbreak video player:
+! - http://www.cnet.com/videos/big-mac-survives-molten-copper-and-heats-up-internet-ep-233/
+! And possibly other sites -- `taboola.com` is blocked by Peter Lowe's.
 ||cdn.taboola.com/libtrc/*/loader.js$script,redirect=noopjs,important,domain=cnet.com
 
-# https://twitter.com/peikas/status/711911523837460480
-# To counter `/analytics.min.js` in EasyPrivacy
+! https://twitter.com/peikas/status/711911523837460480
+! To counter `/analytics.min.js` in EasyPrivacy
 @@||cdn.segment.com/analytics.js/*/analytics.min.js$script,domain=vyte.in
 
-# https://twitter.com/maknz/status/712731132484124672
-# To counter `-google-tag-manager/$script` in EasyPrivacy
+! https://twitter.com/maknz/status/712731132484124672
+! To counter `-google-tag-manager/$script` in EasyPrivacy
 @@||sorted.org.nz/*/angulartics-google-tag-manager.js$script,first-party
 
-# https://twitter.com/mtarnovan/status/713088377994682368
-# This counters `analytics.google.com` in Peter Lowe's
+! https://twitter.com/mtarnovan/status/713088377994682368
+! This counters `analytics.google.com` in Peter Lowe's
 @@||analytics.google.com^$first-party
 
-# This unbreaks video playback on weather.com
-# To counter `||analytics.edgekey.net^` in EasyPrivacy.
+! This unbreaks video playback on weather.com
+! To counter `||analytics.edgekey.net^` in EasyPrivacy.
 @@||analytics.edgekey.net/html5/akamaihtml5-min.js$script,domain=weather.com
+! https://github.com/uBlockOrigin/uAssets/issues/3281
+@@||ad.crwdcntrl.net/*/callback=jsonp_callback$script,domain=weather.com
 
 ! https://github.com/gorhill/uBlock/issues/1540
 @@||tfag.de^$script,domain=chip.de
 
-# https://github.com/uBlockOrigin/uAssets/issues/16
+! https://github.com/uBlockOrigin/uAssets/issues/16
 @@||nav.files.bbci.co.uk/nav-analytics/*$script,domain=bbc.com|bbc.co.uk
 
-# https://adblockplus.org/forum/viewtopic.php?f=1&t=44930
+! https://adblockplus.org/forum/viewtopic.php?f=1&t=44930
 @@||data.cnn.com/jsonp/cfg/*/videoconfig/cnn/desktop/domesticsectionconfig.json$script,domain=cnn.com
 @@||cnn.com/.element/apps/cvp/3.0/cfg/spider/cnn/expansion/ad_policy.xml$xmlhttprequest,domain=cnn.com
 @@||z.cdn.turner.com/analytics/cnnexpan/jsmd.min.js$script,domain=cnn.com
 
-# https://github.com/uBlockOrigin/uAssets/issues/20
+! https://github.com/uBlockOrigin/uAssets/issues/20
 @@||gamespot.com/*/trackingWithCT.js$script,first-party
 
-# http://www.slideshare.net/aidanajoyce/adblocking-blocking-more-than-ads
+! http://www.slideshare.net/aidanajoyce/adblocking-blocking-more-than-ads
 ||ggwebcast.com/*/kaltura/ga/urchin.js$script,redirect=noopjs
 umbro.com#@##ad_main
 
-# https://twitter.com/komandorTarkin/status/723234211444973569
+! https://twitter.com/komandorTarkin/status/723234211444973569
 @@||shop.puppetlabs.com/store/js/services/googleAnalytics.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/33
@@ -475,7 +479,8 @@ kinopoisk.ru###image:style(opacity: 1 !i
 ! https://twitter.com/WolliWolta/status/867788502729195520
 ! To counter `sumo.com` in Peter Lowe's
 ||sumo.com^$badfilter
-||sumo.com^$third-party
+||sumo.com^$third-party,badfilter
+||sumo.com^$third-party,domain=~dante-ri.hr
 
 ! https://github.com/uBlockOrigin/uAssets/issues/420
 @@||sat.sanoma.fi^$script,domain=xxl.fi
@@ -514,8 +519,11 @@ wetteronline.de#@#[style="width: 100%;"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/478
 ! https://github.com/uBlockOrigin/uAssets/issues/1906
+! https://www.reddit.com/r/uBlockOrigin/comments/9c6j8u/
 /google-analytics.$badfilter
 /google-analytics.$third-party
+/googleanalytics.js$badfilter
+/googleanalytics.js$third-party
 -google-analytics.$badfilter
 -google-analytics.$third-party
 -google-analytics/$badfilter
@@ -564,7 +572,7 @@ wetteronline.de#@#[style="width: 100%;"]
 @@||audi.co.uk^$first-party,script
 
 ! https://twitter.com/datamafia/status/887743901443866624
-pythonjobshq.com##script:inject(abort-on-property-read.js, Keen)
+pythonjobshq.com##+js(abort-on-property-read.js, Keen)
 
 ! http://forums.mozillazine.org/viewtopic.php?f=38&t=3032369
 @@||hdliveextra-a.akamaihd.net^$domain=nbcsports.com
@@ -584,9 +592,12 @@ pythonjobshq.com##script:inject(abort-on
 
 ! https://github.com/uBlockOrigin/uAssets/issues/642
 ! https://forums.lanik.us/viewtopic.php?p=137800#p137800
+! https://github.com/uBlockOrigin/uAssets/issues/3253
 pornhub.com#@#div > [style] iframe[width][height]
 pornhub.com#@#[style] > div > iframe[width]:first-child
 @@||phncdn.com/www-static/js/amateur/amateur-signup.js$script,domain=www.pornhub.com
+pornhub.com#@#[src*="base64"]
+pornhub.com#@#[src*="data:"]
 
 ! https://github.com/gorhill/uBlock/issues/2893
 @@||assets.adobedtm.com^$script,domain=linkinghub.elsevier.com
@@ -714,6 +725,8 @@ energy.de#@##ad_home
 
 ! https://github.com/uBlockOrigin/uAssets/issues/851
 @@||adobedtm.com^*/satellitelib-$script,domain=comenity.net
+! Reported through email: http://www.kia.ca/build-and-price-kia
+@@||adobedtm.com/*/satelliteLib-$script,domain=kia.ca
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=37974
 @@||dpm.demdex.net/id$script,domain=espn.com
@@ -773,10 +786,6 @@ publicdomainq.net##ins.adsbygoogle
 ! https://github.com/uBlockOrigin/uAssets/issues/1308
 @@||js.center.io^$domain=randpac.com
 
-! https://forums.lanik.us/viewtopic.php?f=64&t=39685
-/adverts.$domain=~adverts.org.ua,badfilter
-/adverts.$domain=~adverts.org.ua|~adverts.ie
-
 ! https://github.com/uBlockOrigin/uAssets/issues/1313
 @@||s3.animeflv.com/efire.php$popup,domain=animeflv.net
 
@@ -793,9 +802,6 @@ publicdomainq.net##ins.adsbygoogle
 ! https://www.reddit.com/r/uBlockOrigin/comments/7rwh1a/ublock_preventing_clicks_to_buttons_on_firefox/
 ||iworkfor.nsw.gov.au/Scripts/ga.js$script,first-party,redirect=noopjs
 
-! https://forums.lanik.us/viewtopic.php?f=64&t=39700
-||int.anon-ib.co^$badfilter
-
 ! https://www.reddit.com/r/uBlockOrigin/comments/7seigr/video_not_showing_up_because_of_adblock/
 ||agkn.com/*/tag.js$script,redirect=noopjs,domain=netd.com
 ||dogannet.tv/*/third_party/comscore/*$script,redirect=noopjs,domain=netd.com
@@ -960,9 +966,6 @@ arduino.cc#@#.addthis_toolbox
 /netstat.$badfilter
 /netstat.$domain=~netstat.cloud
 
-! https://github.com/uBlockOrigin/uAssets/issues/1720
-@@||amazon.*^*uedata$image
-
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40233&p=133912#p133911
 ||player.ooyala.com/*/analytics-plugin/$script,redirect=noopjs,domain=nintendo.com
 
@@ -988,7 +991,7 @@ arduino.cc#@#.addthis_toolbox
 @@||googletagmanager.com/gtm.js*dataLayer$script,domain=fortune.com
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40264
-br.de##script:inject(set-constant.js, akamaiDisableServerIpLookup, noopFunc)
+br.de##+js(set-constant.js, akamaiDisableServerIpLookup, noopFunc)
 
 ! To counter `o0bc.com` in Peter Lowe's
 ! unbreaks boston.com
@@ -1015,7 +1018,7 @@ onhax.me#@#div p + div[id][class]
 thefreedictionary.com#@#a > img[src^="//img.tfd.com/"]
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1907
-@@||ws-na.assoc-amazon.com$image,domain=4tests.com
+@@||ws-na.assoc-amazon.com^$image,domain=4tests.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/1954
 @@||ncjrs.gov/fsrscripts/*$first-party
@@ -1042,14 +1045,19 @@ oxforddictionaries.com##.banbox-mini
 
 ! unbreak sites broken by EasyList uponit filter
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40885
+! https://forums.lanik.us/viewtopic.php?f=64&t=41514
 @@||ytimg.com^$image,domain=pocketnow.com
-101greatgoals.com,colourlovers.com,crackberry.com,datpiff.com,destructoid.com,getinmybelly.com,imore.com,mmorpg.com,omgcheckitout.com,pocketnow.com,sportspickle.com,tetrisfriends.com,vrheads.com,windowscentral.com#@#[style*="background-image:"]
+101greatgoals.com,colourlovers.com,crackberry.com,datpiff.com,destructoid.com,getinmybelly.com,imore.com,mmorpg.com,omgcheckitout.com,pocketnow.com,sportspickle.com,tetrisfriends.com,vrheads.com,windowscentral.com,xda-developers.com#@#[style*="background-image:"]
 blacklistednews.com,datpiff.com#@#div > iframe
-destructoid.com#@#[src*="base64"]
+destructoid.com,xda-developers.com#@#[src*="base64"]
 destructoid.com#@#[src*="data:"]
 blacklistednews.com,diffen.com,kshowonline.com,the4thofficial.net#@#div > iframe:first-child
 the4thofficial.net#@#[style] > iframe
 the4thofficial.net#@#[style] > [scrolling]
+! https://github.com/uBlockOrigin/uAssets/issues/3388
+xda-developers.com#@#[src*="data:"]
+xda-developers.com#@#[style*="base64"]
+xda-developers.com#@#[style*="data:"]
 
 ! https://github.com/reek/anti-adblock-killer/issues/4010
 @@||google-analytics.com/analytics.js$script,domain=developers.google.com
@@ -1058,8 +1066,8 @@ the4thofficial.net#@#[style] > [scrollin
 ||vidtech.cbsinteractive.com/*/tracking/comscore/comscore.streaming.$script,redirect=noopjs,domain=zdnet.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2107
-cyclingnews.com##script:inject(abort-on-property-read.js, MONETIZER101.init)
-cyclingnews.com##script:inject(nano-setTimeout-booster.js, /outboundLink/)
+cyclingnews.com##+js(abort-on-property-read.js, MONETIZER101.init)
+cyclingnews.com##+js(nano-setTimeout-booster.js, /outboundLink/)
 cyclingnews.com##.global-banner
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2112
@@ -1079,18 +1087,6 @@ wnd.com##[id^=div-gpt-ad-]
 ! https://github.com/uBlockOrigin/uAssets/issues/2190
 ||logrocket.com^$badfilter
 
-! https://github.com/uBlockOrigin/uAssets/issues/2084#issuecomment-388105937
-! https://github.com/uBlockOrigin/uAssets/issues/2246
-/\.(watchcartoononline|9anime|memecenter).*\/.*[(&|=|%|/|?)]/$script,badfilter
-/\.(watchcartoononline|9anime|memecenter).*\/.*[(&|=|%|/|?)]/$image,badfilter
-/\.(watchcartoononline|9anime|memecenter).*[a-zA-Z0-9&%=\/?]{30,}/$first-party,script,badfilter
-
-! https://github.com/uBlockOrigin/uAssets/issues/2248
-@@||adobedtm.com^*/satellitelib-$script,domain=sonycrackle.com
-
-! https://github.com/uBlockOrigin/uAssets/issues/1234#issuecomment-388523970
-|https://$script,third-party,xmlhttprequest,domain=animeflv.net|descargasnsn.com|jkanime.net,badfilter
-
 ! http://www.trilulilu.ro/ntv-culte-misa
 @@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=trilulilu.ro
 
@@ -1120,16 +1116,14 @@ mobile.twitter.com#@#._29ahSMvH section.
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40769
 @@||flyertalk.com/forum/*/ckeditor/core/log.js$script,first-party
 
-! https://forums.lanik.us/viewtopic.php?f=64&t=40774
-@@||adobedtm.com/*/satelliteLib-$script,domain=lowes.com
-
 ! https://www.bikeforums.net/forum-suggestions-user-assistance/1144311-text-entry-box-doesn-t-show-up-unless-i-disable-ublock-origin.html
 @@||bikeforums.net/*/ckeditor/core/log.js$script,first-party
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2313
 ! https://github.com/uBlockOrigin/uAssets/issues/3094
+! https://github.com/uBlockOrigin/uAssets/issues/3659
 .com/ad/$first-party,domain=~blogs.technet.microsoft.com|~channel4.com|~cspace.com|~linkedin.com|~mediaplex.com|~online.wsj.com,badfilter
-.com/ad/$first-party,domain=~blogs.technet.microsoft.com|~channel4.com|~cspace.com|~imagebam.com|~linkedin.com|~mediaplex.com|~sitioswebmexi.com|~online.wsj.com
+.com/ad/$first-party,domain=~blogs.technet.microsoft.com|~channel4.com|~cspace.com|~imagebam.com|~japan-guide.com|~linkedin.com|~mediaplex.com|~sitioswebmexi.com|~online.wsj.com
 ! https://github.com/uBlockOrigin/uAssets/issues/3094
 @@||imagebam.com/assets/js/image_bootstrap.js$script,first-party
 
@@ -1171,14 +1165,6 @@ avclub.com,deadspin.com,earther.com,gizm
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40868
 ||v.embed-cdn.com/v8/player.js$script,domain=streamable.com
 
-! https://github.com/uBlockOrigin/uAssets/issues/2390
-://adv.$domain=~adv.co.it|~adv.ee|~adv.gg|~adv.msk.ru|~adv.ru|~adv.vg|~adv.works|~advids.co|~erti.se|~escreverdireito.com|~farapp.com|~forex-tv-online.com|~r7.com|~typeform.com|~welaika.com,badfilter
-://adv.$domain=~adv.co.it|~adv.ee|~adv.gg|~adv.michaelgat.com|~adv.msk.ru|~adv.ru|~adv.vg|~adv.works|~advids.co|~erti.se|~escreverdireito.com|~farapp.com|~forex-tv-online.com|~r7.com|~typeform.com|~welaika.com
-
-! https://forums.lanik.us/viewtopic.php?f=64&t=40783
-/amazon-associates-link-$badfilter
-/amazon-associates-link-$~stylesheet
-
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40884
 calgarysun.com,canoe.com,edmontonsun.com,financialpost.com,nationalpost.com,ottawasun.com,theprovince.com,torontosun.com,winnipegsun.com#@#.adsizewrapper
 
@@ -1198,9 +1184,7 @@ calgarysun.com,canoe.com,edmontonsun.com
 @@||assets.adobedtm.com/launch-*.min.js$script,domain=my5.tv
 
 ! https://forums.lanik.us/viewtopic.php?f=64&t=40232
-||elvenar.com^$popup,badfilter
 ||elvenar.com^$popup,third-party,badfilter
-||elvenar.com^$popup,domain=1337x.unblocked.sh
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2460#issuecomment-395008661
 motherless.com#@#iframe[style]
@@ -1242,22 +1226,8 @@ britannica.com###md-media-overlay-ad
 sounddrain.net##.coinhive-captcha:style(max-width: none !important;)
 
 ! https://forums.lanik.us/viewtopic.php?f=96&t=41041
-@@||analytics.edgekey.net$script,domain=hbsmediasetit.deltatre.net
+@@||analytics.edgekey.net^$script,domain=hbsmediasetit.deltatre.net
 
-! https://github.com/uBlockOrigin/uAssets/issues/2256#issuecomment-397892203
-! https://github.com/uBlockOrigin/uAssets/issues/2611
-! EasyList filters breaking site functionality
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|gogoanime|kimcartoon|memecenter|readcomiconline|watchcartoononline)\.[a-z]{2,4}\/(?!(Content|Uploads|static|thumbs|player|wp-content|wp-includes))(.*)/$image,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|mangapanda|mangareader|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|assets|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,script,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|assets|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,script,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,script,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|mangapanda|mangareader|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|assets|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,image,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|assets|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,image,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,image,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|mangapanda|mangareader|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|assets|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,xmlhttprequest,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|assets|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,xmlhttprequest,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|thumbs|wp-content|wp-includes))(.*)/$first-party,xmlhttprequest,badfilter
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|wp-content|wp-includes))(.*)/$first-party,xmlhttprequest,badfilter
 ! https://www.reddit.com/r/uBlockOrigin/comments/8vozyp/kimcartoon_isnt_working_at_all_with_ublock/
 ||kimcartoon.me^$script,domain=kimcartoon.me,badfilter
 
@@ -1297,10 +1267,6 @@ techadvisor.co.uk#@#.adsbygoogle
 @@||statics.estadao.com.br/*/portal/js/comscore/$script,domain=estadao.com.br
 @@||statics.estadao.com.br/*/utils/publicidade/dfp.min.js$script,domain=estadao.com.br
 
-! https://forums.lanik.us/viewtopic.php?f=64&t=41145
-://ads.$domain=~ads.adstream.com.ro|~ads.am|~ads.colombiaonline.com|~ads.comeon.com|~ads.elcarado.com|~ads.google.com|~ads.harvard.edu|~ads.lapalingo.com|~ads.lordlucky.com|~ads.mobilebet.com|~ads.msstate.edu|~ads.nc|~ads.quasaraffiliates.com|~ads.red|~ads.route.cc|~ads.sk|~ads.socialtheater.com|~ads.toplayaffiliates.com|~ads.viksaffiliates.com|~ads.watson.ch|~ads.xtribeapp.com|~badassembly.com|~caravansforsale.co.uk|~fusac.fr|~memo2.nl|~reempresa.org|~seriouswheels.com,badfilter
-://ads.$domain=~ads.adstream.com.ro|~ads.am|~ads.colombiaonline.com|~ads.comeon.com|~ads.elcarado.com|~ads.google.com|~ads.harvard.edu|~ads.lapalingo.com|~ads.lordlucky.com|~ads.mobilebet.com|~ads.msstate.edu|~ads.nc|~ads.quasaraffiliates.com|~ads.red|~ads.route.cc|~ads.sk|~ads.socialtheater.com|~ads.toplayaffiliates.com|~ads.viksaffiliates.com|~ads.watson.ch|~ads.xtribeapp.com|~badassembly.com|~caravansforsale.co.uk|~fusac.fr|~memo2.nl|~reempresa.org|~seriouswheels.com|~ads.ac.uk
-
 ! https://news.ycombinator.com/item?id=17455223
 @@||msecnd.net/scripts/a/ai.0.js$script,domain=msropendata.com
 
@@ -1326,6 +1292,9 @@ techadvisor.co.uk#@#.adsbygoogle
 ! https://forums.lanik.us/viewtopic.php?p=138629#p138629
 |https://$xmlhttprequest,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk,badfilter
 @@||swatchseries.to/show/get-tracking-data$xmlhttprequest,first-party
+|https://$third-party,script,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk,badfilter
+||www*.swatchseries.to^$script,badfilter
+|https://$third-party,stylesheet,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk,badfilter
 
 ! https://github.com/uBlockOrigin/uAssets/issues/2852
 @@||cc.naver.com/cc$subdocument,first-party
@@ -1359,6 +1328,7 @@ techadvisor.co.uk#@#.adsbygoogle
 ! https://github.com/uBlockOrigin/uAssets/issues/2931
 ! https://github.com/uBlockOrigin/uAssets/issues/2966
 @@||fusion.ddmcdn.com^$script,domain=discovery.com|investigationdiscovery.com|sciencechannel.com
+@@||src.litix.io/core/*/mux.js$script,domain=discovery.com|investigationdiscovery.com|sciencechannel.com
 
 ! https://github.com/uBlockOrigin/uAssets/issues/3034
 @@||cdn.scarabresearch.com/js/*/scarab-v*.js$script,domain=remixshop.com
@@ -1396,16 +1366,187 @@ techadvisor.co.uk#@#.adsbygoogle
 ! https://github.com/easylist/easylist/commit/82dd28c8e3e98cfba6bd2c14c9f66156afcbe6f4#commitcomment-29964677
 @@||ajax.googleapis.com/ajax/libs/jquery/*$script,domain=adyou.me
 
-! https://forums.lanik.us/viewtopic.php?p=139502#p139502
-@@||pornhub.com/event/awards_vote$xmlhttprequest,first-party
-
-! https://forums.lanik.us/viewtopic.php?f=64&t=41366
-@@||spot.im/yad/$subdocument
-
-! https://github.com/easylist/easylist/issues/1677
-/ad16.$badfilter
-/ad16.$domain=~ad16.asmrc.org
-
 ! https://github.com/easylist/easylist/issues/1668
 ! https://github.com/easylist/easylist/issues/1676
 @@||evidon.com/geo/*$script,domain=cnet.com|marieclaire.com|techrepublic.com|zdnet.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3167
+@@||cdn.amplitude.com/libs/amplitude-*.gz.js$script,domain=letgo.com
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9634p5/ublock_origin_is_hiding_reddit_posts_and_making/
+@@||gateway.reddit.com/desktopapi/*$xmlhttprequest,first-party
+
+! https://forums.lanik.us/viewtopic.php?p=139656#p139656
+@@||cdn.fluidplayer.com/$script,domain=desixnxx.net
+
+! https://forums.lanik.us/viewtopic.php?p=139673#p139673
+/adshare.$domain=~adshare.tv,badfilter
+/adshare.$domain=~adshare.tv|~echosign.com
+
+! https://forums.lanik.us/viewtopic.php?f=103&t=40699
+||fuegodevida.com^$popup,third-party,badfilter
+
+! https://twitter.com/bdsams/status/1031274311221473280
+@@||vo.msecnd.net/scripts/jsll-$script,domain=remix3d.com
+@@||vortex.data.microsoft.com/collect/*$script,domain=remix3d.com
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41483
+@@://adv.gg^$popup
+
+! https://github.com/NanoAdblocker/NanoCore/issues/201
+@@||nxp.com/*/resources/scripts/analytics/webanalytics.js$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3295
+@@||rapidvideo.com/js/videojs-contrib-hls.min.js$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/2333#issuecomment-415652949
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|wp-content|wp-includes))(.*)/$first-party,image,badfilter
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|wp-content|wp-includes))(.*)/$first-party,xmlhttprequest,badfilter
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|wp-content|wp-includes))(.*)/$first-party,script,badfilter
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ee]xternal|[Ii]mages|[Ss]cripts|[Uu]ploads|ac|assets|combined|content|cov|cover|img|inc|jwplayer|player|playlist-cat-rss|static|thumbs|wp-content|wp-includes)\/)(.*)/$first-party,image,badfilter
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ee]xternal|[Ii]mages|[Ss]cripts|[Uu]ploads|ac|assets|combined|content|cov|cover|img|inc|jwplayer|player|playlist-cat-rss|static|thumbs|wp-content|wp-includes)\/)(.*)/$first-party,script,badfilter
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ee]xternal|[Ii]mages|[Ss]cripts|[Uu]ploads|ac|assets|combined|content|cov|cover|img|inc|jwplayer|player|playlist-cat-rss|static|thumbs|wp-content|wp-includes)\/)(.*)/$first-party,xmlhttprequest,badfilter
+
+! https://github.com/uBlockOrigin/uAssets/issues/3304
+|https://$third-party,script,domain=animeflv.net|descargasnsn.com|jkanime.net,badfilter
+|https://$third-party,script,domain=descargasnsn.com|jkanime.net
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41502
+@@||apply.indeed.com/$subdocument,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/1225#issuecomment-416297077
+@@||anyporn.com/key.jsx$script,first-party
+
+! https://github.com/NanoAdblocker/NanoFilters/issues/172#issuecomment-416314453
+@@||static.iqiyi.com/js/player_v1/sdk/*$script,first-party
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41498
+||youboranqs01.com^$third-party,badfilter
+
+! https://github.com/uBlockOrigin/uAssets/issues/3363
+@@||usopen.org/AppMeasurement.js$script,first-party
+
+! Reported through email: many Canadian car sites broken because of
+! `d2cmedia.ca` in Peter Lowe's. Examples:
+! https://www.hyundailongueuil.com/neufs/Hyundai-Elantra%20GT-2018.html
+! https://www.complexekia.com/demonstrateurs/Kia-Soul-2018-id7101681.html
+||d2cmedia.ca^$badfilter
+||d2cmedia.ca^$~image
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41563
+||youbora.com^$third-party,badfilter
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41562
+@@||tredir.go.com/capmon/$script,domain=disney.com
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41588
+||smartsuppchat.com^$third-party,badfilter
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41591
+/adsession.$badfilter
+/adsession.$domain=~adsession.com
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41612
+@@||discover.com/discover/reporting/AppMeasurement.js$first-party
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41629
+archive.org#@#.oasad
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41615
+#@##share_div
+##body:not(#jira) #share_div,fake
+
+! https://github.com/uBlockOrigin/uAssets/issues/2364#issuecomment-420346996
+@@*$media,domain=camwhores.tv
+
+! fix nfl.com fantasy.nfl.com site and video breakage
+@@||adobedtm.com^*/satellitelib-$script,domain=fantasy.nfl.com
+@@||d1z2jf7jlzjs58.cloudfront.net/p.js$script,domain=nfl.com
+@@||static.parsely.com/p.js$script,domain=nfl.com
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41670
+nbcsports.com#@##nbcsports-leaderboard
+
+! https://github.com/uBlockOrigin/uAssets/issues/3469
+@@||adobedtm.com^*/satellitelib-$script,domain=mathworks.com
+
+! https://twitter.com/tommasobarbugli/status/1040601984624152577
+@@||coolblue.nl^*/ard.png$script,first-party
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9gn4is
+@@||a.4cdn.org/*.json$xmlhttprequest,domain=4chan.org
+
+! https://github.com/uBlockOrigin/uAssets/issues/3516
+@@||cdn.cxense.com/cx.js$script,domain=mega.cl
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41714
+@@||fusion.ddmcdn.com/app/*/comscore.streaming.$script,domain=destinationamerica.com
+@@||v.fwmrm.net/ad/$script,xmlhttprequest,domain=destinationamerica.com
+@@||src.litix.io/core/*/mux.js$script,domain=destinationamerica.com
+
+! https://github.com/NanoMeow/QuickReports/issues/106
+redtube.com#@#[src*="base64"]
+redtube.com#@#[src*="data:"]
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9h394g/endless_ads_2000_totally_hangs_the_computer/
+@@||googleusercontent.com^$image,domain=kissmanga.com
+
+! https://github.com/NanoMeow/QuickReports/issues/107
+warszawawpigulce.pl#@#.code-block-5, .eklama, #undermenu-block, .code-block-6
+warszawawpigulce.pl##.eklama
+
+! https://github.com/uBlockOrigin/uAssets/issues/3523
+|http://$script,domain=yts.am,badfilter
+|https://$script,domain=yts.am,badfilter
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9hh9kb/pornhub_videos_only_works_after_i_disable_ublock/
+|https://$third-party,script,domain=~feedback.pornhub.com|pornhub.com|redtube.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|youporn.com|youporngay.com,badfilter
+|https://$image,badfilter,domain=pornhub.com|redtube.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|youporn.com|youporngay.com
+|https://$third-party,image,badfilter,domain=~feedback.pornhub.com|pornhub.com|redtube.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|youporn.com|youporngay.com
+|https://$third-party,media,badfilter,domain=~feedback.pornhub.com|pornhub.com|redtube.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|youporn.com|youporngay.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3532
+@@||ftse.com/Products/*/scripts/analytics_$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3539
+@@||gstatic.com^*/recaptcha/$script
+
+! https://github.com/uBlockOrigin/uAssets/issues/3540
+@@||geoip.nekudo.com/api/*$xmlhttprequest,domain=opentable.com
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41758
+|http*://$third-party,image,domain=123movies-proxy.ru|123movies.cz|123movies.gs|123movies.is|123movies.live|123movies.net|123movies.net.ru|123movies.ru|123movies.vc|123moviesfree.com|123movieshd.net|123movieshd.tv|9cartoon.me|animehaven.to|auroravid.to|ay8ou8ohth.com|bitvid.sx|btdb.in|btdb.to|clipconverter.cc|cloudtime.to|cmovieshd.com|divxme.com|downloadming.tv|dropapk.com|flyordie.com|full-pcsoftware.com|halacima.net|hdmusic99.in|hdtv-rls.com|kannadamovies.biz|kissanime.ru|kissmanga.com|livetvcafe.net|movdivx.com|mp3clan.one|nowvideo.li|nowvideo.sx|nowvideo.to|oogh8ot0el.com|otakustream.tv|otorrents.com|putlocker.co|solarmovie.sc|speedvid.net|stream2watch.org|suprafiles.co|thepiratebay.cd|vidto.me|vidtudu.com|wholecloud.net,badfilter
+
+! https://www.reddit.com/r/uBlockOrigin/comments/9hy3s7/mlb_standings_not_working/
+@@||mlbstatic.com/*/AppMeasurement$script,domain=mlb.com
+@@||mlbstatic.com/*/VisitorAPI.js$script,domain=mlb.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/1960#issuecomment-424021963
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=kimcartoon.ac
+@@||kimcartoon.ac/themes/vast/videojs.ads.min.js$script,first-party
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41793
+@@||backend.worldoftulo.com/$script,domain=barometern.se
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41807
+reuters.com#@#[src*="reutersmedia.net/resources_"]
+
+! https://github.com/NanoMeow/QuickReports/issues/133
+! https://github.com/NanoMeow/QuickReports/issues/181
+@@||surveywall-api.survata.com^$domain=survata.net
+
+! https://forums.lanik.us/viewtopic.php?f=64&t=41840
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$script,domain=tv2.no
+
+! https://github.com/NanoMeow/QuickReports/issues/180
+@@||publicwww.com/images/labels$image,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3671
+@@||googletagmanager.com/gtm.js$script,domain=hellofresh.com
+
+! https://github.com/uBlockOrigin/uAssets/issues/3672
+@@||vice.com/*/AdobeAnalyticsSDK$script,first-party
+
+! https://github.com/uBlockOrigin/uAssets/issues/3676
+@@||twitter.com/*/profiles/show/*$xmlhttprequest,first-party
+@@||twitter.com/*/status/*conversation_id$xmlhttprequest,first-party
diff -pruN 1.16.14+dfsg-1/uAssets/README.md 1.17.0+dfsg-2/uAssets/README.md
--- 1.16.14+dfsg-1/uAssets/README.md	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/README.md	2018-10-10 09:19:19.000000000 +0000
@@ -5,7 +5,7 @@ The goal of this repository is to receiv
 
 The rationale on whether to include a specific filter in one of uBO's own filter lists is the same as outlined by [EasyList/EasyPrivacy policies](https://easylist.to/pages/policy.html), also taking into account whether a filter requires uBO's extended filter syntax.
 
-If an issue can be fixed without using extended syntax, i.e. [script:inject](https://github.com/gorhill/uBlock/wiki/Static-filter-syntax#scriptlet-injection), [redirect](https://github.com/gorhill/uBlock/wiki/Static-filter-syntax#redirect) or [procedural cosmetic filters](https://github.com/gorhill/uBlock/wiki/Static-filter-syntax#procedural-cosmetic-filters) the issue will, as a rule of thumb, not be fixed by uAssets, because fixing it in EasyList if possible is preferable.
+If an issue can be fixed without using extended syntax, i.e. [scriptlet injection](https://github.com/gorhill/uBlock/wiki/Static-filter-syntax#scriptlet-injection), [redirect](https://github.com/gorhill/uBlock/wiki/Static-filter-syntax#redirect), [procedural cosmetic filters](https://github.com/gorhill/uBlock/wiki/Static-filter-syntax#procedural-cosmetic-filters), etc. the issue will, as a rule of thumb, not be fixed by uAssets, because fixing it in EasyList if possible is preferable.
 
 Issues involving
 
diff -pruN 1.16.14+dfsg-1/uAssets/recipes/recipes_en.txt 1.17.0+dfsg-2/uAssets/recipes/recipes_en.txt
--- 1.16.14+dfsg-1/uAssets/recipes/recipes_en.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/recipes/recipes_en.txt	2018-10-10 09:19:19.000000000 +0000
@@ -9,6 +9,19 @@
 ! Please contribute ruleset recipes for the benefit of all other users:
 ! https://github.com/uBlockOrigin/uAssets/tree/master/recipes
 
+
+4chan
+	4chan.org *
+		_ 1st-party script
+		_ 4cdn.org *
+		_ 4cdn.org script
+
+Apple Mapkit as 3rd-party
+	* apple-mapkit.com
+		_ apple-mapkit.com *
+		_ apple-mapkit.com script
+		no-workers: _ false
+
 Ars Technica
 	arstechnica.com *
 		_ 1st-party script
@@ -22,6 +35,11 @@ Ars Technica
 		_ d2c8v52ll5s99u.cloudfront.net script
 		_ dp8hsntg6do36.cloudfront.net *
 
+Cloudflare Stream as 3rd-party
+	* cloudflarestream.com
+		_ embed.cloudflarestream.com script
+		_ videodelivery.net xhr
+
 Dailymotion
 	dailymotion.com *
 		_ 1st-party script
@@ -42,6 +60,12 @@ Disqus as 3rd-party
 		_ disqus.com *
 		_ disqus.com frame
 		_ disquscdn.com *
+		
+Embedly as 3rd-party
+	* embedly.com
+		_ api-cdn.embed.ly xhr
+		_ cdn.embedly.com *
+		_ cdn.embedly.com script
 
 Facebook no account
 	facebook.com *
@@ -115,6 +139,15 @@ JSFiddle
 		_ jshell.net *
 		_ jshell.net script
 		_ jshell.net frame
+		
+Mapbox as 3rd-party
+	* mapbox.com
+		_ api.mapbox.com *
+		_ api.mapbox.com script
+		_ tiles.mapbox.com *
+		_ tiles.mapbox.com script
+		! mapbox gl needs workers
+		no-workers: _ false
 
 MEGA
 	mega.nz *
@@ -164,6 +197,9 @@ Reddit
 		_ redditstatic.com *
 		_ redditstatic.com script
 		_ redditmedia.com *
+		_ redditmedia.com frame
+		! Necessary to unbreak ability to upload
+		_ reddit-uploaded-media.s3-accelerate.amazonaws.com xhr
 
 Slack
 	slack.com *
@@ -241,8 +277,8 @@ Twitter as 3rd-party
 Wikia
 	wikia.com *
 		! wikis are displayed as text-only without this
-		_ nocookie.net *
-		_ nocookie.net script
+		_ wikia.nocookie.net *
+		_ wikia.nocookie.net script
 
 Vimeo as 3rd-party
 	* player.vimeo.com
diff -pruN 1.16.14+dfsg-1/uAssets/thirdparties/easylist-downloads.adblockplus.org/easylist.txt 1.17.0+dfsg-2/uAssets/thirdparties/easylist-downloads.adblockplus.org/easylist.txt
--- 1.16.14+dfsg-1/uAssets/thirdparties/easylist-downloads.adblockplus.org/easylist.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/thirdparties/easylist-downloads.adblockplus.org/easylist.txt	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 [Adblock Plus 2.0]
-! Version: 201806121247
+! Version: 201809051926
 ! Title: EasyList
-! Last modified: 12 Jun 2018 12:47 UTC
+! Last modified: 05 Sep 2018 19:26 UTC
 ! Expires: 4 days (update frequency)
 ! Homepage: https://easylist.to/
 ! Licence: https://easylist.to/pages/licence.html
@@ -158,6 +158,7 @@
 -ad-rotators/
 -ad-server/
 -ad-sidebar-
+-ad-sidebar.
 -ad-switcher.
 -ad-text_
 -ad-tile.
@@ -201,7 +202,7 @@
 -adhere2.
 -adimage-
 -admarvel/
--adnow.
+-adnow.$domain=~zappistore.com
 -adops.
 -adrotation.
 -ads-180x
@@ -218,6 +219,7 @@
 -ads-ns.
 -ads-placement.
 -ads-prod/
+-ads-production.
 -ads-right.
 -ads-rotator/
 -ads-widget/
@@ -248,6 +250,7 @@
 -adsense2.
 -adserver-
 -adserver/
+-adskin.
 -adsonar.
 -adspace.
 -adspace_
@@ -277,6 +280,7 @@
 -advertisement-icon.
 -advertisement-management/
 -advertisement.
+-advertisement/script.
 -advertisement_
 -advertising/assets/
 -advertising/vast/
@@ -288,7 +292,7 @@
 -adverts.libs.
 -adverts.min.
 -advt.
--adwords.$domain=~freelance-adwords.com|~freelance-adwords.fr
+-adwords.$domain=~consultant-adwords.fr|~freelance-adwords.com|~freelance-adwords.fr
 -affiliate-link.
 -affiliates/img_
 -amazon-ads/
@@ -316,7 +320,9 @@
 -book-ad-
 -Box-Ad.
 -box2-ad?
+-content-ad-
 -content-ad.
+-ContentAd-
 -contest-ad.
 -contrib-ads/
 -core-ads.
@@ -362,6 +368,7 @@
 -load-ads.
 -load-advert.
 -main/ad.
+-mid-ad.
 -native-ad.
 -native-ad/
 -nav-ad.
@@ -375,6 +382,7 @@
 -page-ad?
 -page-peel/
 -pagead-id.
+-PagePeelPro/
 -panel-ad.
 -panel_ad_
 -peel-ads-
@@ -385,7 +393,6 @@
 -popunder.
 -popup-ad.
 -popup-ads-
--prebid/
 -pri/adv-
 -printhousead-
 -publicidad.
@@ -428,6 +435,7 @@
 -Web-Advert.
 -webAd-
 -webad1.
+-widget-advertisement/
 -your-ads-here.
 .1d/ads/
 .a3s?n=*&zone_id=
@@ -441,6 +449,7 @@
 .ad.json?
 .ad.page.
 .ad.premiere.
+.ad.wrapper.
 .ad/tag.
 .ad1.nspace
 .ad6media.$domain=~ad6media.fr
@@ -497,6 +506,7 @@
 .adService.$domain=~adservice.com
 .adspace.
 .adsremote.
+.adsync.
 .adtech_
 .adtooltip&
 .adv.cdn.
@@ -505,6 +515,7 @@
 .advertmarket.
 .adwolf.
 .ae/ads/
+.ai/ads.
 .am/adv/
 .ar/ads/
 .ashx?ad=
@@ -526,6 +537,7 @@
 .box.ad.
 .br/ads/
 .bz/ads/
+.ca/ads-
 .ca/ads/
 .cc/ads/
 .cfm?ad=
@@ -580,6 +592,7 @@
 .com/js/ads/
 .com/js/adsense
 .com/miads/
+.com/ntfc.php?$script
 .com/peels/
 .com/pm/ad-
 .com/promodisplay?
@@ -606,6 +619,7 @@
 .hk/ads/
 .homad.
 .HomepageAdvertismentBottom.
+.hr/ads.
 .html?ad=
 .html?ad_
 .html?clicktag=
@@ -943,6 +957,7 @@
 /ad-record.
 /ad-refresh-
 /ad-refresh.
+/ad-renderer.
 /ad-right2.
 /ad-ros-
 /ad-rotator-
@@ -1157,7 +1172,7 @@
 /ad134m/*
 /ad136/*
 /ad15.
-/ad16.
+/ad16.$domain=~ad16.asmrc.org
 /ad160.
 /ad160k.
 /ad160x600.
@@ -1174,6 +1189,7 @@
 /ad24.png
 /ad24/*
 /ad247realmedia/*
+/ad250.
 /ad290x60_
 /ad2_
 /ad2border.
@@ -1286,6 +1302,7 @@
 /ad_commonside.
 /ad_commonside_
 /ad_companion?
+/ad_config.
 /ad_configuration.
 /ad_configurations_
 /ad_container_
@@ -1523,6 +1540,7 @@
 /adarena/*
 /adasset/*
 /adasset4/*
+/adasync.
 /adb.js?tag=
 /adback.
 /adback?
@@ -1631,6 +1649,7 @@
 /adchoicesv4.
 /adcircle.
 /adcla/*
+/adclick-
 /adclick.
 /adclick/*
 /adClick?
@@ -1751,7 +1770,7 @@
 /AdForm_trackpoint_
 /adformats/*
 /adforums/*
-/adfox.$domain=~adfox.hu
+/adfox.$domain=~adfox.de|~adfox.group|~adfox.hu
 /adfox/*
 /adfoxLoader_
 /adfr.
@@ -1801,7 +1820,7 @@
 /adgooglefull2.
 /adGpt.
 /adgraphics/*
-/adguard.$domain=~adguard.com|~adguard.mobi|~adguard.oneskyapp.com
+/adguard.$domain=~adguard.com|~adguard.mobi|~adguard.oneskyapp.com|~greinr.com
 /adguru.
 /adhads.
 /adhalfbanner.
@@ -1872,6 +1891,7 @@
 /adixs.
 /adj.php?
 /adjk.
+/adjoin.
 /adjs.
 /adjs/*
 /adjs?
@@ -1920,6 +1940,7 @@
 /adlist_
 /adload.
 /adloader.
+/adloader/*
 /adlock300.
 /adlog.php?
 /adlogix.
@@ -2071,7 +2092,7 @@
 /adpoint.
 /adpolestar/*
 /adpool/*
-/adpop.
+/adpop.$domain=~adpop.ro
 /adpop32.
 /adpopup.
 /adPos?
@@ -2156,6 +2177,7 @@
 /ads-arc.
 /ads-banner
 /Ads-bdl?
+/ads-beacon.
 /ads-blogs-
 /ads-cch-
 /ads-common.
@@ -2243,6 +2265,7 @@
 /ads/728b.
 /ads/728x90above_
 /ads/?id=
+/ads/?page=
 /ads/?QAPS_
 /ads/?uniq=
 /ads/a.
@@ -2430,7 +2453,6 @@
 /ads/popup_
 /ads/post-
 /ads/postscribe.
-/ads/prebid_
 /ads/preloader/*
 /ads/preroll-
 /ads/preroll/*
@@ -2606,6 +2628,7 @@
 /ads_codes/*
 /ads_config.
 /ads_controller.
+/ads_detect.
 /ads_dfp/*
 /ads_display.
 /ads_door.
@@ -2644,6 +2667,7 @@
 /ads_server_
 /ads_show_
 /ads_sidebar.
+/ads_sprout_
 /ads_start.
 /ads_text_
 /ads_top_
@@ -2715,6 +2739,7 @@
 /adsDynLoad/*
 /adsearch.$domain=~adsearch.fr
 /adSearch?
+/adsec.
 /adsecondary.
 /adsegmentation.
 /adseller/*
@@ -2737,6 +2762,7 @@
 /adsense?
 /adsense_$domain=~adsense.googleblog.com|~support.google.com
 /AdsenseBlockView.
+/adsensecommon.
 /adsensegb.
 /adsensegoogle.
 /adsensets.
@@ -2807,6 +2833,7 @@
 /adsgame.
 /adsGooglePP3.
 /adshandler.
+/adshandler/*
 /adshare.$domain=~adshare.tv
 /adshare/*$domain=~adsharetoolbox.com
 /adshare3.
@@ -2992,6 +3019,7 @@
 /adsync/*
 /adsyndication.
 /adsyndication/*
+/adsynth-
 /adsys.
 /adsys/*
 /adsystem.
@@ -3077,6 +3105,7 @@
 /aduxads/*
 /adv-1.
 /adv-2.
+/adv-banner-
 /adv-banner.
 /adv-bannerize-
 /adv-banners/*
@@ -3087,6 +3116,8 @@
 /adv-ext-
 /adv-f.
 /adv-header.
+/adv-mobile.
+/adv-placeholder.
 /adv-scroll-
 /adv-scroll.
 /adv-socialbar-
@@ -3216,12 +3247,13 @@
 /advertbanner.
 /advertbanner2.
 /advertbox.
+/advertbuttons_
 /advertguruonline1.
 /adverth.
 /adverthorisontalfullwidth.
 /advertical.
-/advertise-
-/advertise.$domain=~advertise.apartments.com|~advertise.bingads.microsoft.com|~advertise.directoryofillustration.com|~advertise.isleofskye.com|~advertise.market|~advertise.medillsb.com|~advertise.movem.co.uk|~advertise.sobihamilton.ca|~advertise.sphamovingads.com|~advertise.welovebuzz.com|~engineering.com
+/advertise-$domain=~bingads.microsoft.com
+/advertise.$domain=~advertise.apartments.com|~advertise.directoryofillustration.com|~advertise.isleofskye.com|~advertise.market|~advertise.medillsb.com|~advertise.movem.co.uk|~advertise.sobihamilton.ca|~advertise.sphamovingads.com|~advertise.welovebuzz.com|~bingads.microsoft.com|~engineering.com
 /advertise/*$domain=~legl.co
 /advertise125x125.
 /advertise_
@@ -3248,13 +3280,13 @@
 /AdvertisementShare.
 /advertisementview/*
 /advertiser.$domain=~advertiser.adverbid.com|~advertiser.autorepairconnect.com|~advertiser.growmobile.com|~linkpizza.com|~panel.rightflow.com|~trialpay.com|~unity3d.com
-/advertiser/*$domain=~affili.net|~bingads.microsoft.com|~linkpizza.com|~mobileapptracking.com|~trialpay.com
+/advertiser/*$domain=~affili.net|~affiliprint.com|~bingads.microsoft.com|~linkpizza.com|~mobileapptracking.com|~trialpay.com
 /advertisers.$image,script,subdocument,domain=~advertisers.adversense.com|~advertisers.careerone.com.au|~advertisers.dk|~advertisers.easyweddings.com.au|~advertisers.io|~advertisers.leadia.ru|~advertisers.ypfboost.ph|~panel.rightflow.com
 /advertisers/*$domain=~datalift360.com|~home.tapjoy.com|~panel.rightflow.com|~propelmedia.com|~publisuites.com
 /advertiserwidget.
 /advertises/*
 /advertisewithus_
-/advertising-$domain=~abramarketing.com|~advertising-direct.com|~advertising-factory.de|~outbrain.com|~yellowimages.com
+/advertising-$domain=~abramarketing.com|~advertising-direct.com|~advertising-factory.de|~microsoft.com|~outbrain.com|~yellowimages.com
 /advertising.$domain=~advertising.berlin-airport.de|~advertising.bulurum.com|~advertising.byhoxby.com|~advertising.dailymotion.com|~advertising.expedia.com|~advertising.lavenir.net|~advertising.mobile.de|~advertising.org.il|~advertising.sevenwestmedia.com.au|~advertising.shpock.com|~advertising.theguardian.com
 /advertising/*$~xmlhttprequest,domain=~advertising.org.il|~commercialplanet.eu|~kloterfarms.com|~temple.edu|~themarker.com
 /advertising02.
@@ -3336,7 +3368,7 @@
 /advscript.
 /advscripts/*
 /advshow.
-/advt.
+/advt.$domain=~advt.ch
 /advt/*
 /advt2.
 /advtarget/*
@@ -3348,6 +3380,8 @@
 /advzones/*
 /adw.shtml
 /adw2.shtml
+/adways-
+/adways/*
 /adweb.$domain=~adweb.clarkson.edu|~adweb.com.au|~adweb.cz
 /adweb2.
 /adweb33.
@@ -3394,6 +3428,12 @@
 /adyard300.
 /adyea.
 /adyoulike.
+/adz-x/*
+/adz/css/*
+/adz/images/*
+/adz/js/*
+/adz/solus/*
+/adz/sponsors/*
 /adzbanner/*
 /adzbotm.
 /adzerk2_
@@ -3425,6 +3465,7 @@
 /aff-exchange/*
 /aff.htm
 /aff/ads_
+/aff/banners/*
 /aff/images/*
 /aff_ad?
 /aff_banner/*
@@ -3470,7 +3511,8 @@
 /affiliateserver.
 /affiliatetags/*
 /affiliatewiz/*
-/affiliation/*
+/affiliation/*$domain=~esi.evetech.net
+/affiliation_banners/*
 /affiliationcash.
 /affilinet/*$domain=~affilinet-inside.com|~affilinet-inside.fr
 /affilitebanners/*
@@ -3572,6 +3614,7 @@
 /austria_ad.
 /auto.ad.
 /auto_ad_
+/avant-ad-
 /Avatar_ad_
 /awe2.js
 /awempire.
@@ -3770,6 +3813,7 @@
 /binary/ad/*
 /bizad.
 /bkgrndads/*
+/Block-Ad.
 /blockad_
 /blocks/ads/*
 /blog-ad-
@@ -3825,7 +3869,7 @@
 /breaking_ad/*
 /brightcovead.
 /brsAssets/ads/*
-/bsa-pro-upload/*
+/bsa-pro-
 /bserver/*
 /btads/*
 /btbuckets/btb.js
@@ -3897,6 +3941,7 @@
 /cgi-exe/ad.
 /cgi/ad_
 /channelblockads.
+/chaturbatebest.js
 /checkm8footer_
 /checkm8header_
 /china-ad.
@@ -3913,6 +3958,7 @@
 /classifieds/banners/*
 /click/ads_
 /click/creative/*
+/click/zone?
 /clickboothad.
 /clicksor.
 /clickunder.
@@ -3969,7 +4015,7 @@
 /components/ads/*
 /components/ads_
 /conad.
-/conad_
+/conad_$domain=~conad.it
 /configspace/ads/*
 /cont-adv.
 /contads.
@@ -4009,6 +4055,7 @@
 /cornerbig.swf
 /cornersmall.swf
 /country_ad.
+/couponAd.
 /cover_ad.
 /coxads/*
 /cpm160.
@@ -4031,6 +4078,7 @@
 /css/ads300_
 /css/adsense
 /css/adv.
+/css/adz.
 /cssjs/ads/*
 /ctamlive160x160.
 /cube_ads/*
@@ -4152,6 +4200,7 @@
 /digg_ads_
 /dinclinx.com/*
 /direct_ads.
+/direct_ads/*
 /directads.
 /directadvert-
 /directadvert.
@@ -4291,6 +4340,7 @@
 /euads/*
 /eureka-ads.
 /eureka/eureka.js
+/eureka_ban/*
 /europixads.
 /event.ng/*
 /exads/*
@@ -4305,6 +4355,7 @@
 /exo120x60.
 /exo5x1.
 /exo_bck_
+/exoads/*
 /exobanner.
 /exoclick.$domain=~exoclick.bamboohr.co.uk|~exoclick.com|~exoclick.kayako.com
 /exoclick/*$domain=~exoclick.com
@@ -4323,7 +4374,6 @@
 /exports/tour_20/*
 /ext/adform-
 /ext/ads/*
-/ext/prebid
 /ext_ads.
 /extadv/*
 /extendedadvert.
@@ -4350,6 +4400,7 @@
 /fea_ads.
 /featuredadshome.
 /feedads.
+/fetchJsAd.
 /fif.html?s=
 /fifligatus.
 /file/ad.
@@ -4423,6 +4474,7 @@
 /footertextads.
 /forads.
 /forum/ads/*
+/forum/ads_
 /forum_ad.
 /forums/ad/*
 /ForumViewTopicBottomAD.
@@ -4765,6 +4817,7 @@
 /iframead/*
 /iframead_
 /iframeadcontent.
+/iframeadopinionarticle_
 /iframeads.
 /iframeads/*
 /iframeadsense.
@@ -4810,6 +4863,8 @@
 /images/adv/*
 /images/adv_
 /images/adver-
+/images/adz-
+/images/adz/*
 /images/aff-
 /images/affs/*
 /images/awebanner
@@ -4982,6 +5037,7 @@
 /js/ads_
 /js/adv.
 /js/adv/*
+/js/adz.
 /js/doubleclick/*
 /js/oas-
 /js/oas.
@@ -5083,6 +5139,7 @@
 /lightboxbannerad^
 /lijit-ad-
 /lijitads.
+/limitedads/*
 /linkad2.
 /linkads.
 /linkadv.
@@ -5323,6 +5380,7 @@
 /nextad/*
 /nextdaymedia-ads/*
 /nflads.
+/nmads_
 /no_ads.
 /nonrotatingads/*
 /noodleAdFramed.
@@ -5385,6 +5443,7 @@
 /online/ads/*
 /online_ads/*
 /onlineads/*
+/OnlineAdServing/*
 /onplayerad.
 /ontopadvertising.
 /openad.
@@ -5424,6 +5483,9 @@
 /p2/ads/*
 /p2ads/*
 /p8network.js
+/p?zoneId=
+/packages/adz/*
+/packages/dfp/*
 /pads/default/*
 /page-ads.
 /page-peel
@@ -5453,6 +5515,7 @@
 /pagepeel/*
 /pagepeel_
 /pagepeelads.
+/pagepeelpro.
 /pages/ads
 /PageTopAD.
 /paidads/*
@@ -5602,7 +5665,7 @@
 /popunderWeb-
 /popundr.
 /popundr_
-/popup-builder-
+/popup-builder-$~image,~stylesheet
 /popup-domination/*$~stylesheet
 /popup2.js
 /popup3.js
@@ -5623,10 +5686,8 @@
 /pounder-$~image
 /ppd_ads.
 /ppd_ads_
-/prebid/*
-/prebid2.
-/prebid?
 /predictad.
+/prehead/ads_
 /premierebtnad/*
 /premium_ad.
 /premiumads/*
@@ -5683,6 +5744,7 @@
 /proxyadcall?
 /pub/ad/*
 /pub/ads/*
+/pub/js/ad.
 /pub_images/*$third-party
 /pubad.
 /pubads.
@@ -5690,6 +5752,7 @@
 /public/ad/*
 /public/ad?
 /public/ads/*
+/public/ads_
 /public/adv/*
 /public/js/ad/*
 /publicidad.$~object-subrequest,~stylesheet
@@ -5741,6 +5804,7 @@
 /randomad728x90nsfw.
 /randomad_
 /randomads.
+/rassets1/ads-
 /rawtubelivead.
 /rcolads1.
 /rcolads2.
@@ -5935,6 +5999,7 @@
 /service/ads/*
 /service/adv/*
 /services/ads/*
+/services/getbanner?
 /servlet/view/*
 /settings/ad.
 /sevenads.
@@ -6082,6 +6147,7 @@
 /smartad.
 /smartad/*
 /smartAd?
+/smartad_
 /smartads.$domain=~smartads.cz|~smartads.io
 /smartadserver.$domain=~smartadserver.com|~smartadserver.com.br|~smartadserver.de|~smartadserver.es|~smartadserver.fr|~smartadserver.it|~smartadserver.pl|~smartadserver.ru
 /smartlinks.epl?
@@ -6108,6 +6174,7 @@
 /special-ads/*
 /special_ad.
 /special_ads/*
+/SpecialAdCampaigns/*
 /specialads/*
 /specialfeatureads/*
 /spiderad/*
@@ -6223,6 +6290,7 @@
 /storyads.
 /stream-ad.
 /streamads.
+/streamads/*
 /streamatepop.
 /studioads/*
 /stuff/ad-
@@ -6280,7 +6348,7 @@
 /tdlads/*
 /teamplayer-ads.
 /teaseimg/ads/*
-/technomedia.
+/technomedia.$domain=~technomedia.co
 /telegraph-advertising/*
 /teletoon_ad.
 /tempads/*
@@ -6460,6 +6528,7 @@
 /utep_ad.js
 /v1/ads.
 /v1/ads/*
+/v2/ads.
 /v5/ads/*
 /v9/adv/*
 /vads/*
@@ -6637,9 +6706,11 @@
 /www/ad/*
 /www/ad_
 /www/ads/*
+/www/deliver/*
 /www/deliverx/*
 /www/delivery/*
 /www/js/ad/*
+/www/xengine/*
 /wwwads.
 /x5advcorner.
 /xads.js
@@ -6713,7 +6784,7 @@
 ://a.ads.
 ://ad.*/jstag^
 ://adcl.$domain=~adcl.com
-://ads.$domain=~ads.adstream.com.ro|~ads.am|~ads.colombiaonline.com|~ads.comeon.com|~ads.elcarado.com|~ads.google.com|~ads.harvard.edu|~ads.lapalingo.com|~ads.lordlucky.com|~ads.mobilebet.com|~ads.msstate.edu|~ads.nc|~ads.quasaraffiliates.com|~ads.red|~ads.route.cc|~ads.sk|~ads.socialtheater.com|~ads.toplayaffiliates.com|~ads.viksaffiliates.com|~ads.watson.ch|~ads.xtribeapp.com|~badassembly.com|~caravansforsale.co.uk|~fusac.fr|~memo2.nl|~reempresa.org|~seriouswheels.com
+://ads.$domain=~ads.ac.uk|~ads.adstream.com.ro|~ads.am|~ads.colombiaonline.com|~ads.comeon.com|~ads.elcarado.com|~ads.google.com|~ads.harvard.edu|~ads.lapalingo.com|~ads.lordlucky.com|~ads.mobilebet.com|~ads.msstate.edu|~ads.nc|~ads.quasaraffiliates.com|~ads.red|~ads.route.cc|~ads.sk|~ads.socialtheater.com|~ads.toplayaffiliates.com|~ads.viksaffiliates.com|~ads.watson.ch|~ads.xtribeapp.com|~badassembly.com|~caravansforsale.co.uk|~fusac.fr|~memo2.nl|~reempresa.org|~seriouswheels.com
 ://adv.$domain=~adv.co.it|~adv.ee|~adv.gg|~adv.michaelgat.com|~adv.msk.ru|~adv.ru|~adv.vg|~adv.works|~advids.co|~erti.se|~escreverdireito.com|~farapp.com|~forex-tv-online.com|~r7.com|~typeform.com|~welaika.com
 ://affiliate.$third-party
 ://affiliates.$third-party
@@ -6779,6 +6850,7 @@
 =displayAds&
 =dynamicads&
 =dynamicwebad&
+=eureka_
 =GetSponsorAds&
 =half-page-ad&
 =iframe_adv&
@@ -6866,6 +6938,7 @@
 ?img_adv=
 ?module=ads/
 ?OASTagURL=
+?offer_id=*&aff_id=
 ?phpAds_
 ?poll=ad_
 ?PopAd=
@@ -6878,6 +6951,8 @@
 ?view=ad&
 ?vmAdID=
 ?wm=*&prm=rev&
+?wppaszoneid=
+?wpproads-
 ?wpproadszoneid=
 ?ZoneID=*&PageID=*&SiteID=
 ?ZoneID=*&SiteID=*&PageID=
@@ -6920,6 +6995,7 @@ _ad300x250.
 _ad4.
 _ad5.
 _ad6.$domain=~facebook.com|~messenger.com
+_ad640.
 _ad728x90.
 _ad9.
 _ad?darttag=
@@ -7070,6 +7146,7 @@ _admin/ads/
 _adminka/
 _adnetwork.
 _adobjects.
+_adoverride.
 _adpage=
 _adpartner.
 _adplugin.
@@ -7091,6 +7168,7 @@ _ads/iframe.
 _ads/inhouse/
 _ads/ip/
 _ads/js/
+_ads/mobile/
 _ads/square/
 _ads1-
 _ads1.
@@ -7371,7 +7449,6 @@ _popunder.
 _popunder_
 _popupunder.
 _post_ads.
-_prebid_
 _preorderad.
 _prime_ad.
 _promo_ad/
@@ -7500,7 +7577,7 @@ takeover_banner_
 ! Ad-insertion script (see on: celebrityweightloss.com, myfirstclasslife.com, cultofmac.com)
 /ez_aba_load/*
 /ezf-min.$script
-/ezo/*$script,~third-party
+/ezo/*$script,~third-party,domain=~yandex.by|~yandex.com|~yandex.kz|~yandex.ru|~yandex.ua
 /ezoic/*$script,~third-party
 ! Self hosted Ad scripts (seen on: ibtimes.co.uk/newsweek.com)
 /ima3.js
@@ -7516,7 +7593,10 @@ takeover_banner_
 /b3.php?img=$image
 /backend_loader.php$script,~third-party
 /bl.php?*=$image,script
+/ebldr.php
 /exads-
+/exbl.js?
+/exbl.min.js?
 /exbl.php?
 /exo-force-
 /exo-loader/*
@@ -7526,20 +7606,32 @@ takeover_banner_
 /fro_lo.js$script
 /frontend_loader.js$script
 /frontend_loador.js$script
+/iamback.php$script
 /lib/?img=$image
 /scripts/sweet/*$script
 _nb_sys.$script,~third-party
 ! prebid scripts
 -prebid.$script
+-prebid/
+/ads/prebid_
+/AudienceNetworkPrebid.
 /biddr-*.js
+/ext/prebid
+/jppolPrebid.
 /pb.min.
 /prebid-
 /prebid.$script,domain=~prebid.org
+/prebid/*
+/prebid1.
+/prebid14.js
+/prebid2.
+/prebid?
 /prebid_$script
 /pubfig.js
 /pubfig.min.js
 /st_prebid.js
 /tagman/*
+_prebid_
 ! /g00 adware insertion
 ! https://github.com/uBlockOrigin/uAssets/issues/227
 /g00/*/clientprofiler/adb
@@ -8240,7 +8332,7 @@ _a468x60.
 .com/ads?$popup
 .engine?PlacementId=$popup
 .net/adx.php?$popup
-/?a_aid=$popup
+/?a_aid=*&$popup
 /?placement=*&redirect$popup
 /?pmxy=$popup
 /?redirect&placement=$popup
@@ -8317,10 +8409,14 @@ _a468x60.
 ://adv.$popup
 =popunder&$popup
 =popunders&$popup
+=redirect_adv&$popup
 ?ad_domain=$popup
 ?AdUrl=$popup
 ?bannerid=*&punder=$popup
+?bver=1&refer=$popup
+?direct=*&zoneid=$popup
 ?iiadext=$popup
+?partnerkey=*&utm_source=$popup
 ?xref=*&zoneid=$popup
 ?zoneid=*_bannerid=$popup
 _popunder+$popup
@@ -8492,6 +8588,7 @@ _popunder+$popup
 ###AdPanelBigBox
 ###AdPanelLogo
 ###AdPopUp
+###AdPubsPromo
 ###AdRectangle
 ###AdRectangleBanner
 ###AdSense-Skyscraper
@@ -8581,6 +8678,8 @@ _popunder+$popup
 ###Ads_google_04
 ###Ads_google_05
 ###Adsense300x250
+###AdsenseBottom
+###AdsenseTop
 ###Adtag300x250Bottom
 ###Adtag300x250Top
 ###Adv-div
@@ -8658,6 +8757,7 @@ _popunder+$popup
 ###BottomAdSpacer
 ###BottomAds
 ###BottomPageAds
+###BottomRightAdWrapper
 ###BrokerBox-AdContainer
 ###ButtonAd
 ###CONTENTAD
@@ -8910,6 +9010,7 @@ _popunder+$popup
 ###SideBarAdWidget
 ###SideMpuAdBar
 ###SidebarAdContainer
+###SitenavAdslot
 ###SkyAd
 ###SkyscraperAD
 ###SlideShow_adv
@@ -8939,6 +9040,7 @@ _popunder+$popup
 ###TipTopAdSpace
 ###TitleAD
 ###Top-Ad-Container
+###Top1AdWrapper
 ###Top468x60AD
 ###TopADs
 ###TopAd
@@ -9123,6 +9225,7 @@ _popunder+$popup
 ###ad-adsensemedium
 ###ad-advertorial
 ###ad-affiliate
+###ad-anchor
 ###ad-area
 ###ad-around-the-web
 ###ad-article
@@ -9248,6 +9351,9 @@ _popunder+$popup
 ###ad-fullbanner2
 ###ad-fullbanner2-billboard-outer
 ###ad-fullwidth
+###ad-gamepage-leaderboard
+###ad-gamepage-mpu1
+###ad-gamepage-mpu2
 ###ad-giftext
 ###ad-globalleaderboard
 ###ad-google-chrome-sidebar
@@ -9404,6 +9510,7 @@ _popunder+$popup
 ###ad-row-1
 ###ad-s1
 ###ad-safe
+###ad-sb
 ###ad-secondary-sidebar-1
 ###ad-section
 ###ad-separator
@@ -9441,6 +9548,7 @@ _popunder+$popup
 ###ad-slot-2
 ###ad-slot-4
 ###ad-slot-right
+###ad-slot-top
 ###ad-slot1
 ###ad-slot2
 ###ad-slot4
@@ -9520,6 +9628,8 @@ _popunder+$popup
 ###ad-yahoo-simple
 ###ad-zone-1
 ###ad-zone-2
+###ad-zone-article-header-leaderboard
+###ad-zone-default-sidebar
 ###ad-zone-inline
 ###ad001
 ###ad002
@@ -9642,7 +9752,10 @@ _popunder+$popup
 ###ad768top1
 ###ad90
 ###ad97090
+###adATF300x250
 ###adAd
+###adBTF300x250
+###adBTF300x250IC
 ###adBadges
 ###adBanner
 ###adBanner1
@@ -9667,6 +9780,7 @@ _popunder+$popup
 ###adBannerWrapperFtr
 ###adBar
 ###adBelt
+###adBladeDeskArt
 ###adBlock01
 ###adBlock125
 ###adBlockBanner
@@ -9765,6 +9879,7 @@ _popunder+$popup
 ###adIframe
 ###adInBetweenPosts
 ###adInCopy
+###adInhouse
 ###adInstoryOneWrap
 ###adInstoryTwoWrap
 ###adInteractive1
@@ -9883,6 +9998,7 @@ _popunder+$popup
 ###adSlot3_grid
 ###adSlot4
 ###adSlot4_grid
+###adSlot_center
 ###adSlug
 ###adSpace
 ###adSpace0
@@ -10492,8 +10608,10 @@ _popunder+$popup
 ###ad_sky2
 ###ad_sky3
 ###ad_skyscraper
+###ad_skyscraper1
 ###ad_skyscraper120
 ###ad_skyscraper160x600
+###ad_skyscraper2
 ###ad_skyscraper_1
 ###ad_skyscraper_right
 ###ad_skyscraper_text
@@ -10753,6 +10871,7 @@ _popunder+$popup
 ###adimg3
 ###adimg4
 ###adimg6
+###adition_Skyscraper
 ###adition_content_ad
 ###adjacency
 ###adjacent-list-ad
@@ -10878,16 +10997,6 @@ _popunder+$popup
 ###adrightrail
 ###adriver_middle
 ###adriver_top
-###adrotate_widgets-11
-###adrotate_widgets-12
-###adrotate_widgets-2
-###adrotate_widgets-20
-###adrotate_widgets-24
-###adrotate_widgets-3
-###adrotate_widgets-4
-###adrotate_widgets-5
-###adrotate_widgets-6
-###adrotate_widgets-7
 ###adrow
 ###adrow-house
 ###adrow1
@@ -11125,6 +11234,7 @@ _popunder+$popup
 ###ads_center
 ###ads_center_banner
 ###ads_central
+###ads_combo2
 ###ads_container
 ###ads_dynamicShowcase
 ###ads_eo
@@ -11137,6 +11247,7 @@ _popunder+$popup
 ###ads_header_games
 ###ads_horiz
 ###ads_horizontal
+###ads_horz
 ###ads_html1
 ###ads_html2
 ###ads_im
@@ -11193,6 +11304,7 @@ _popunder+$popup
 ###ads_topbanner
 ###ads_tower1
 ###ads_tower_top
+###ads_vert
 ###ads_video
 ###ads_watch_top_square
 ###ads_wide
@@ -11313,6 +11425,7 @@ _popunder+$popup
 ###adserve-Sky
 ###adserver_HeaderAd
 ###adsfundo
+###adsground
 ###adshometop
 ###adshowbtm
 ###adshowtop
@@ -11454,6 +11567,7 @@ _popunder+$popup
 ###adtags_left
 ###adtaily
 ###adtaily-widget-light
+###adtechWallpaper
 ###adtech_0
 ###adtech_1
 ###adtech_2
@@ -11615,6 +11729,7 @@ _popunder+$popup
 ###adv_halfpage
 ###adv_halfpage_title
 ###adv_holder
+###adv_id
 ###adv_leaderboard
 ###adv_mpu1
 ###adv_mpu2
@@ -11767,6 +11882,7 @@ _popunder+$popup
 ###advertbox2
 ###advertbox3
 ###advertbox4
+###advertcalc
 ###adverthome
 ###adverti
 ###advertise
@@ -12227,6 +12343,7 @@ _popunder+$popup
 ###base-advertising-top
 ###base-board-ad
 ###baseAdvertising
+###baseMedRec
 ###baseboard-ad
 ###baseboard-ad-wrapper
 ###basket-adContainer
@@ -12253,6 +12370,7 @@ _popunder+$popup
 ###below_content_ad_container
 ###belowad
 ###belowheaderad
+###bg-custom-ad
 ###bg-footer-ads
 ###bg-footer-ads2
 ###bg_YieldManager-160x600
@@ -12316,6 +12434,7 @@ _popunder+$popup
 ###block-bean-artadocean300x250-6
 ###block-bean-in-content-ad
 ###block-boxes-taboola
+###block-br-hhog-module-br-hhog-ad-billboard-front
 ###block-dart-dart-tag-ad_top_728x90
 ###block-dart-dart-tag-gfc-ad-top-2
 ###block-dctv-ad-banners-wrapper
@@ -13029,6 +13148,7 @@ _popunder+$popup
 ###ddAd
 ###ddAdZone2
 ###defer-adright
+###desktop-ad-btf
 ###desktop-aside-ad-container
 ###desktop-atf_sidebar_sticky
 ###desktop-unrec-ad
@@ -13055,6 +13175,7 @@ _popunder+$popup
 ###dfp-ad-content_4-wrapper
 ###dfp-ad-dfp_ad_atf_728x90
 ###dfp-ad-dfp_ad_atf_728x90-wrapper
+###dfp-ad-floating
 ###dfp-ad-fm_300x250-wrapper
 ###dfp-ad-half_page-wrapper
 ###dfp-ad-half_page_sidebar-wrapper
@@ -13166,6 +13287,8 @@ _popunder+$popup
 ###dfp_ad_Thesaurus_728x90
 ###dfp_ad_mpu
 ###dfp_container
+###dfp_unit_Desktop_MPU_BTF_1
+###dfp_unit_Desktop_MPU_BTF_2
 ###dfpad-0
 ###dfrads-widget-6
 ###dfrads-widget-7
@@ -13633,6 +13756,7 @@ _popunder+$popup
 ###google-ad-table-right
 ###google-ad-tower
 ###google-ads
+###google-ads-5
 ###google-ads-bottom
 ###google-ads-bottom-container
 ###google-ads-container
@@ -13742,6 +13866,7 @@ _popunder+$popup
 ###gpt-ad-rectangle2
 ###gpt-ad-skyscraper
 ###gpt-ad-story_rectangle3
+###gpt-adsene-article-bottom
 ###gpt-mpu
 ###gpt2_ads_widget-10
 ###gpt2_ads_widget-6
@@ -13751,6 +13876,7 @@ _popunder+$popup
 ###gpt_ad_panorama_top
 ###gpt_ad_small_insider_1
 ###gpt_unit_videoAdSlot1_0
+###grdAds
 ###gridAdSidebar
 ###gridAdSidebarRight
 ###grid_ad
@@ -13930,6 +14056,7 @@ _popunder+$popup
 ###home-delivery-ad
 ###home-left-ad
 ###home-page-listing-ad
+###home-pgtop-adv
 ###home-rectangle-ad
 ###home-right-col-ad
 ###home-side-ad
@@ -14558,6 +14685,7 @@ _popunder+$popup
 ###mini-panel-two_column_ads
 ###miniAdsAd
 ###mini_ads_inset
+###mkto_mid_ad
 ###mn_ads
 ###moa-ads-long
 ###mobile-ad-container
@@ -14793,6 +14921,7 @@ _popunder+$popup
 ###ovAdWrap
 ###ovadsense
 ###overlay-ad-bg
+###overlay-advertising
 ###overlay_ad
 ###overlayad
 ###overlayadd
@@ -14834,6 +14963,7 @@ _popunder+$popup
 ###paidlistingAds
 ###panel-ad
 ###panelAd
+###panel_ad1
 ###panoAdBlock
 ###parade_300ad
 ###parade_300ad2
@@ -14884,6 +15014,7 @@ _popunder+$popup
 ###player_middle_ad
 ###player_top_ad
 ###playerad
+###playerads
 ###playvideotopad
 ###plrAd
 ###pmad-in1
@@ -14918,6 +15049,7 @@ _popunder+$popup
 ###post-adsense-top-banner
 ###post-bottom-ads
 ###post-content-ad
+###post-main-banner-ad
 ###post-page-ad
 ###post-promo-ad
 ###post5_adbox
@@ -14936,6 +15068,7 @@ _popunder+$popup
 ###pr_advertising
 ###pre-adv
 ###pre-footer-ad
+###pre-main-banner-ad
 ###pre_advertising_wrapper
 ###pregame_header_ad
 ###preloaded-ad-frame
@@ -15002,6 +15135,7 @@ _popunder+$popup
 ###qm-dvdad
 ###qpon_big_ad-teaser
 ###qtopAd-graybg
+###quads-ad1_widget
 ###quads-ad2
 ###quads-ad2_widget
 ###quads-ad4
@@ -15678,6 +15812,8 @@ _popunder+$popup
 ###sponsoredBottom
 ###sponsoredBox1
 ###sponsoredBox2
+###sponsoredContentTile_midCol
+###sponsoredContentTile_rightCol
 ###sponsoredFeaturedHoz
 ###sponsoredHoz
 ###sponsoredLinks
@@ -15800,7 +15936,9 @@ _popunder+$popup
 ###story-ad-b
 ###story-ad-top
 ###story-ad-wrap
+###story-bottom-ad
 ###story-leaderboard-ad
+###story-page-embedded-after2-ad
 ###story-page-leaderboard-ad
 ###story-separator-ads
 ###story-sponsoredlinks
@@ -15864,6 +16002,7 @@ _popunder+$popup
 ###tblReklama2
 ###tbl_googlead
 ###tbo_headerads
+###tcHeaderMobileLeaderBoard-advertisement-desktop
 ###tcwAd
 ###td-GblHdrAds
 ###td-applet-ads_2_container
@@ -16126,6 +16265,7 @@ _popunder+$popup
 ###topsponsorads
 ###topsponsored
 ###toptextad
+###tor-footer-ad
 ###tour300Ad
 ###tour728Ad
 ###tourSponsoredLinksContainer
@@ -16389,6 +16529,7 @@ _popunder+$popup
 ###yan-advert-nt1
 ###yan-question-advert
 ###yan-sponsored
+###yandex_ad
 ###yatadsky
 ###ybf-ads
 ###yfi-sponsor
@@ -16561,6 +16702,7 @@ _popunder+$popup
 ##.AdUnit
 ##.AdUnit300
 ##.AdUnit300x250
+##.AdUnit300x600
 ##.AdUnitBox
 ##.AdWidget_ImageWidget
 ##.AdZone120
@@ -16724,6 +16866,7 @@ _popunder+$popup
 ##.HeaderBannerAd
 ##.HeaderLeaderAd
 ##.HeadingAdSpace
+##.Hero-Ad
 ##.HomeAd1Label
 ##.HomeAds
 ##.HomeContentAd
@@ -16935,6 +17078,7 @@ _popunder+$popup
 ##.YEN_Ads_125
 ##.ZventsSponsoredLabel
 ##.ZventsSponsoredList
+##.__hub--ad
 ##.__xX20sponsored20banners
 ##._ap_adrecover_ad
 ##._articleAdvert
@@ -16978,12 +17122,15 @@ _popunder+$popup
 ##.absoluteAd_wss
 ##.ac_adbox
 ##.ac_adbox_inner
+##.acf-ad
 ##.acm_ad_zones
 ##.ad--300
 ##.ad--300x250
 ##.ad--468
 ##.ad--468-60
 ##.ad--728x90
+##.ad--BANNER
+##.ad--MAIN
 ##.ad--article-top
 ##.ad--b
 ##.ad--bottom
@@ -17000,10 +17147,13 @@ _popunder+$popup
 ##.ad--google
 ##.ad--homepage-mrec
 ##.ad--homepage-top
+##.ad--horseshoe
+##.ad--horseshoe__content
 ##.ad--inner
 ##.ad--just-in-feed
 ##.ad--large
 ##.ad--leaderboard
+##.ad--medium-rectangle
 ##.ad--mpu
 ##.ad--noscroll
 ##.ad--panorama
@@ -17014,6 +17164,7 @@ _popunder+$popup
 ##.ad--showmob
 ##.ad--sidebar
 ##.ad--square-rectangle
+##.ad--top
 ##.ad--top-label
 ##.ad--top-leaderboard
 ##.ad--top-slot
@@ -17101,6 +17252,7 @@ _popunder+$popup
 ##.ad-728-90
 ##.ad-728-banner
 ##.ad-728x90
+##.ad-728x90--a2g
 ##.ad-728x90-1
 ##.ad-728x90-top
 ##.ad-728x90-top0
@@ -17147,6 +17299,9 @@ _popunder+$popup
 ##.ad-article-breaker
 ##.ad-atf
 ##.ad-atf-medRect
+##.ad-auction-footer-container
+##.ad-auction-header
+##.ad-auction-header-container
 ##.ad-b
 ##.ad-background
 ##.ad-background-intra-body
@@ -17245,6 +17400,7 @@ _popunder+$popup
 ##.ad-choices
 ##.ad-circ
 ##.ad-click
+##.ad-close-button
 ##.ad-cluster
 ##.ad-cluster-container
 ##.ad-codes
@@ -17272,6 +17428,7 @@ _popunder+$popup
 ##.ad-container-embedded
 ##.ad-container-leaderboard
 ##.ad-container-left
+##.ad-container-pave
 ##.ad-container-responsive
 ##.ad-container-right
 ##.ad-container-side
@@ -17323,8 +17480,10 @@ _popunder+$popup
 ##.ad-field
 ##.ad-filler
 ##.ad-fix
+##.ad-fixed
 ##.ad-flag
 ##.ad-flex
+##.ad-flex-center
 ##.ad-footer
 ##.ad-footer-empty
 ##.ad-footer-leaderboard
@@ -17434,6 +17593,7 @@ _popunder+$popup
 ##.ad-leaderboard-middle
 ##.ad-leaderboard-splitter
 ##.ad-leaderboard-top
+##.ad-leaderboard-wrapper
 ##.ad-leaderboard_river
 ##.ad-leaderbody
 ##.ad-leaderheader
@@ -17509,6 +17669,7 @@ _popunder+$popup
 ##.ad-national-1
 ##.ad-native-dfp
 ##.ad-nav-ad
+##.ad-nav-ad-plus
 ##.ad-new
 ##.ad-no-style
 ##.ad-noBorderAndMargin
@@ -17530,6 +17691,7 @@ _popunder+$popup
 ##.ad-page-medium
 ##.ad-pagehead
 ##.ad-panel
+##.ad-panel-wrap
 ##.ad-panel__container
 ##.ad-panel__container--styled
 ##.ad-panel__googlead
@@ -17556,6 +17718,7 @@ _popunder+$popup
 ##.ad-post300X250
 ##.ad-postText
 ##.ad-poster
+##.ad-preloader-container
 ##.ad-prevent-jump
 ##.ad-primary
 ##.ad-primary-sidebar
@@ -17563,6 +17726,7 @@ _popunder+$popup
 ##.ad-pro70
 ##.ad-promo
 ##.ad-promoted-game
+##.ad-pub
 ##.ad-push
 ##.ad-pushdown
 ##.ad-r
@@ -17585,6 +17749,7 @@ _popunder+$popup
 ##.ad-related
 ##.ad-relatedbottom
 ##.ad-resource-center-top
+##.ad-responsive-slot
 ##.ad-responsive-wide
 ##.ad-rh
 ##.ad-ri
@@ -17610,6 +17775,8 @@ _popunder+$popup
 ##.ad-section
 ##.ad-section-body
 ##.ad-sense
+##.ad-sense-ad
+##.ad-sense-ad__panel-header--srp
 ##.ad-sep
 ##.ad-served
 ##.ad-sharethrough-top
@@ -17629,9 +17796,12 @@ _popunder+$popup
 ##.ad-sidebar300
 ##.ad-sidebar_right_above
 ##.ad-sidebar_right_below
+##.ad-sidekick
 ##.ad-siderail
 ##.ad-signup
 ##.ad-sitewide
+##.ad-size-iab-uap-leaderboard-728x90
+##.ad-size-iab-uap-medium-rectangle-300x250
 ##.ad-sky
 ##.ad-sky-left
 ##.ad-sky-right
@@ -17650,6 +17820,7 @@ _popunder+$popup
 ##.ad-slot--mpu-banner-ad
 ##.ad-slot--rendered
 ##.ad-slot--right
+##.ad-slot--top
 ##.ad-slot--top-above-nav
 ##.ad-slot--top-banner-ad
 ##.ad-slot--top-banner-ad-desktop
@@ -17665,6 +17836,7 @@ _popunder+$popup
 ##.ad-slot-sidebar-b
 ##.ad-slot-tall
 ##.ad-slot-top-728
+##.ad-slot__ad--top
 ##.ad-slot__content
 ##.ad-slot__label
 ##.ad-slot__oas
@@ -17690,6 +17862,7 @@ _popunder+$popup
 ##.ad-sponsors
 ##.ad-spot
 ##.ad-spotlight
+##.ad-sq-super
 ##.ad-square
 ##.ad-square2-container
 ##.ad-square300
@@ -17736,6 +17909,7 @@ _popunder+$popup
 ##.ad-top-left
 ##.ad-top-mpu
 ##.ad-top-rectangle
+##.ad-top-side
 ##.ad-top-wrapper
 ##.ad-top1
 ##.ad-top2
@@ -17807,10 +17981,12 @@ _popunder+$popup
 ##.ad-wrapper--slideshowhalfpage
 ##.ad-wrapper-left
 ##.ad-wrapper-sticky
+##.ad-wrapper-top
 ##.ad-wrapper-with-text
 ##.ad-wrapper__ad-slug
 ##.ad-x10x20x30
 ##.ad-x31-full
+##.ad-xrcol
 ##.ad-zone
 ##.ad-zone-ajax
 ##.ad-zone-container
@@ -18148,6 +18324,7 @@ _popunder+$popup
 ##.adFrame
 ##.adFrameCnt
 ##.adFrameContainer
+##.adFrameMobile
 ##.adFrames
 ##.adFtr
 ##.adFull
@@ -18214,6 +18391,7 @@ _popunder+$popup
 ##.adLoader
 ##.adLocal
 ##.adLocation
+##.adLocation-zerg
 ##.adMPU
 ##.adMPUHome
 ##.adMRECHolder
@@ -18224,6 +18402,7 @@ _popunder+$popup
 ##.adMedRectBox
 ##.adMedRectBoxLeft
 ##.adMediaMiddle
+##.adMediaNet
 ##.adMediumRectangle
 ##.adMegaBoard
 ##.adMeldGuts
@@ -18583,7 +18762,9 @@ _popunder+$popup
 ##.ad_buttom_banner
 ##.ad_buttons_300
 ##.ad_buttons_320
+##.ad_c
 ##.ad_callout
+##.ad_callout_inline
 ##.ad_caption
 ##.ad_center
 ##.ad_center_bottom
@@ -18954,6 +19135,7 @@ _popunder+$popup
 ##.ad_wrapper_fixed
 ##.ad_wrapper_top
 ##.ad_wrp
+##.ad_xrail
 ##.ad_xrail_top
 ##.ad_zone
 ##.adadded
@@ -18961,6 +19143,7 @@ _popunder+$popup
 ##.adamazon
 ##.adarea
 ##.adarea-long
+##.adarticle
 ##.adb-728x90
 ##.adback
 ##.adbadge
@@ -19032,6 +19215,8 @@ _popunder+$popup
 ##.adbox336
 ##.adbox600
 ##.adbox728
+##.adboxRightSide
+##.adboxTopBanner
 ##.adboxVert
 ##.adbox_300x600
 ##.adbox_366x280
@@ -19064,6 +19249,7 @@ _popunder+$popup
 ##.adcard
 ##.adcasing
 ##.adcenter
+##.adcenterRowWrapper
 ##.adchange
 ##.adchoices
 ##.adchoices-link
@@ -19179,6 +19365,7 @@ _popunder+$popup
 ##.adintext-unten
 ##.adintro
 ##.adisland
+##.adition_Skyscraper
 ##.adits
 ##.adjimage2
 ##.adjlink
@@ -19241,6 +19428,7 @@ _popunder+$popup
 ##.adnation-banner
 ##.adnet120
 ##.adnet_area
+##.adnewslist
 ##.adnl_zone
 ##.adnotecenter
 ##.adnotice
@@ -19275,6 +19463,7 @@ _popunder+$popup
 ##.adrect
 ##.adrectangle
 ##.adrectwrapper
+##.adrequest-iframe-wrapper
 ##.adright
 ##.adright265x90
 ##.adright300
@@ -19282,6 +19471,7 @@ _popunder+$popup
 ##.adrighttop
 ##.adriverBanner
 ##.adroot
+##.adrotate-sponsor
 ##.adrotate_top_banner
 ##.adrotate_widget
 ##.adrotate_widgets
@@ -19294,8 +19484,11 @@ _popunder+$popup
 ##.adrow2
 ##.adrrr
 ##.adrule
+##.ads--bottom-spacing
 ##.ads--desktop
+##.ads--full
 ##.ads--sidebar
+##.ads--single
 ##.ads--square
 ##.ads--top
 ##.ads-1
@@ -19318,6 +19511,7 @@ _popunder+$popup
 ##.ads-300x250
 ##.ads-300x250-sidebar
 ##.ads-300x300
+##.ads-300x600
 ##.ads-300x80
 ##.ads-301
 ##.ads-336-197-qu
@@ -19336,6 +19530,7 @@ _popunder+$popup
 ##.ads-ads-top
 ##.ads-advertorial
 ##.ads-area
+##.ads-article-right
 ##.ads-articlebottom
 ##.ads-banner
 ##.ads-banner-bottom
@@ -19373,6 +19568,7 @@ _popunder+$popup
 ##.ads-by-google-0
 ##.ads-callback
 ##.ads-card
+##.ads-carousel
 ##.ads-cars-larger
 ##.ads-cars-top2
 ##.ads-categories-bsa
@@ -19629,6 +19825,7 @@ _popunder+$popup
 ##.adsWithUs
 ##.adsWrap
 ##.adsYN
+##.adsZoneBlock2
 ##.ads_1
 ##.ads_120x60
 ##.ads_120x60_index
@@ -19747,6 +19944,7 @@ _popunder+$popup
 ##.ads_obrazek
 ##.ads_outer
 ##.ads_outline
+##.ads_player
 ##.ads_post
 ##.ads_post_end
 ##.ads_post_end_code
@@ -19861,8 +20059,10 @@ _popunder+$popup
 ##.adsense-ad
 ##.adsense-ads
 ##.adsense-afterpost
+##.adsense-article
 ##.adsense-attribution
 ##.adsense-block
+##.adsense-box
 ##.adsense-category
 ##.adsense-category-bottom
 ##.adsense-center
@@ -20000,6 +20200,8 @@ _popunder+$popup
 ##.adslider
 ##.adslink
 ##.adslist
+##.adslisting
+##.adslistingz
 ##.adslogan
 ##.adslot
 ##.adslot-banner
@@ -20007,6 +20209,7 @@ _popunder+$popup
 ##.adslot-mpu
 ##.adslot-rectangle
 ##.adslot-widget
+##.adslotMid
 ##.adslot_1
 ##.adslot_300
 ##.adslot_728
@@ -20106,6 +20309,7 @@ _popunder+$popup
 ##.adtech-banner
 ##.adtech-boxad
 ##.adtech-top-ad
+##.adtechMobile
 ##.adtech_wrapper
 ##.adtester-container
 ##.adtext_gray
@@ -20156,6 +20360,7 @@ _popunder+$popup
 ##.adunitfirst
 ##.adunitrd
 ##.adup-ad-container
+##.adv--desktop-top
 ##.adv--intermingled
 ##.adv--leaderboard
 ##.adv--square
@@ -20190,6 +20395,7 @@ _popunder+$popup
 ##.adv-cont
 ##.adv-cont1
 ##.adv-container
+##.adv-conteiner
 ##.adv-dvb
 ##.adv-format-1
 ##.adv-google
@@ -20202,6 +20408,8 @@ _popunder+$popup
 ##.adv-intext-label
 ##.adv-key
 ##.adv-label
+##.adv-lb
+##.adv-lb-wrap
 ##.adv-leaderboard
 ##.adv-leaderboard-banner
 ##.adv-list
@@ -20212,10 +20420,14 @@ _popunder+$popup
 ##.adv-mpu
 ##.adv-mpu-shoulder
 ##.adv-outer
+##.adv-overlay
 ##.adv-p
+##.adv-phone
+##.adv-phone-hp
 ##.adv-rectangle
 ##.adv-right
 ##.adv-right-300
+##.adv-rotator
 ##.adv-search-ad
 ##.adv-sidebar
 ##.adv-sidelabel
@@ -20239,6 +20451,7 @@ _popunder+$popup
 ##.adv300-250
 ##.adv300-250-2
 ##.adv300-70
+##.adv300_100
 ##.adv300left
 ##.adv300x100
 ##.adv300x250
@@ -20251,6 +20464,7 @@ _popunder+$popup
 ##.adv468x110
 ##.adv468x90
 ##.adv728
+##.adv728_90
 ##.adv728x90
 ##.advBottom
 ##.advBottomHome
@@ -20310,6 +20524,7 @@ _popunder+$popup
 ##.adv_here
 ##.adv_in_body_a
 ##.adv_info_text
+##.adv_jump
 ##.adv_leaderboard
 ##.adv_left
 ##.adv_link
@@ -20330,8 +20545,10 @@ _popunder+$popup
 ##.adv_sidebar
 ##.adv_sidebar_300x250
 ##.adv_standard_d
+##.adv_td
 ##.adv_title
 ##.adv_top
+##.adv_tr
 ##.adv_txt
 ##.adv_under_menu
 ##.adv_underpost
@@ -20341,6 +20558,7 @@ _popunder+$popup
 ##.advads-sticky
 ##.advads-widget
 ##.advads_widget
+##.advallyAdhesionUnit
 ##.advart
 ##.advbanner_300x250
 ##.advbanner_300x600
@@ -20766,6 +20984,7 @@ _popunder+$popup
 ##.advertisment-left-panal
 ##.advertisment-module
 ##.advertisment-rth
+##.advertisment-small-container
 ##.advertisment-top
 ##.advertismentBox
 ##.advertismentContainer
@@ -20813,6 +21032,7 @@ _popunder+$popup
 ##.advr_top
 ##.advr_txtcss
 ##.advrectangle
+##.advskin
 ##.advslideshow
 ##.advspot
 ##.advt
@@ -20861,6 +21081,8 @@ _popunder+$popup
 ##.adx-300x600-container
 ##.adx-wrapper
 ##.adxli
+##.adz-horiz
+##.adz-horiz-ext
 ##.adz2
 ##.adz728x90
 ##.adzbanner
@@ -20956,6 +21178,7 @@ _popunder+$popup
 ##.area1_2_ad1
 ##.area5_ad
 ##.areaAd
+##.area_ad
 ##.area_ad03
 ##.area_ad07
 ##.area_ad09
@@ -20969,6 +21192,7 @@ _popunder+$popup
 ##.art_new_ads_468_60
 ##.artcl_promo_ad
 ##.article--adv__before
+##.article--content-ad
 ##.article-ad
 ##.article-ad-300x250
 ##.article-ad-970x90
@@ -20987,6 +21211,7 @@ _popunder+$popup
 ##.article-advert-dfp
 ##.article-aside-ad
 ##.article-content-adwrap
+##.article-first-ad
 ##.article-footer-ad-container
 ##.article-footer__ad
 ##.article-footer__ads
@@ -20994,10 +21219,12 @@ _popunder+$popup
 ##.article-grid__item--advert
 ##.article-header-ad
 ##.article-inline-ad
+##.article-mid-ad
 ##.article-news-videoad
 ##.article-sidebar__advert
 ##.article-sponsor
 ##.article-sponsored-content-list
+##.article-top-ad
 ##.article-upper-ad-unit
 ##.article-v2-rail__advert
 ##.article-view__footer-ad
@@ -21062,6 +21289,7 @@ _popunder+$popup
 ##.atf-ad-medRect
 ##.atf-ad-medrec
 ##.atfAds
+##.atf_ad300
 ##.atf_ad_box
 ##.attachment-advert_home
 ##.attachment-dm-advert-bronze
@@ -21073,6 +21301,7 @@ _popunder+$popup
 ##.attachment-squareAd
 ##.attachment-weather-header-ad
 ##.auction-nudge
+##.autoAd
 ##.autoshow-top-ad
 ##.aux-ad-widget-1
 ##.aux-ad-widget-2
@@ -21099,6 +21328,7 @@ _popunder+$popup
 ##.b5ad_bigbox
 ##.b5ad_skyscraper
 ##.b_ad
+##.b_adLastChild
 ##.b_ads
 ##.b_ads_cont
 ##.b_ads_r
@@ -21118,6 +21348,7 @@ _popunder+$popup
 ##.ban980x90
 ##.bank-rate-ad
 ##.banmanad
+##.banner--ad
 ##.banner-125
 ##.banner-300
 ##.banner-300-100
@@ -21295,6 +21526,7 @@ _popunder+$popup
 ##.big-ad
 ##.big-ads
 ##.big-box-ad
+##.big-rekl-holder
 ##.big-right-ad
 ##.bigAd
 ##.bigAdContainer
@@ -21411,6 +21643,7 @@ _popunder+$popup
 ##.block-google_admanager2
 ##.block-hcm-ads
 ##.block-hcm_ads
+##.block-heremedia-ads
 ##.block-inner-adds
 ##.block-maniad
 ##.block-module-ad
@@ -21483,6 +21716,7 @@ _popunder+$popup
 ##.blxAdopsPlacement
 ##.bmg-sidebar-ads-125
 ##.bmg-sidebar-ads-300
+##.bn_ads
 ##.bn_advert
 ##.bn_textads
 ##.bnr_ad
@@ -21490,6 +21724,7 @@ _popunder+$popup
 ##.bo-top-left-ad
 ##.bo-top-right-ad
 ##.bodaciousad
+##.body-ad
 ##.body-ads
 ##.body-adzone
 ##.bodyAd
@@ -21529,8 +21764,10 @@ _popunder+$popup
 ##.bottom-ad-wrapper
 ##.bottom-ad2
 ##.bottom-ads
+##.bottom-ads-sticky
 ##.bottom-ads-wrapper
 ##.bottom-ads728
+##.bottom-adv
 ##.bottom-banner-ad
 ##.bottom-center-adverts
 ##.bottom-game-ad
@@ -21614,6 +21851,7 @@ _popunder+$popup
 ##.box-adverts
 ##.box-entry-ad
 ##.box-entry-ad-bottom-single
+##.box-entry-detail--ad
 ##.box-footer-ad
 ##.box-google-text-ad
 ##.box-radvert
@@ -21681,6 +21919,7 @@ _popunder+$popup
 ##.brand_ad
 ##.branding-ad-gallery
 ##.branding-ad-wrapper
+##.bravo-ad
 ##.breadads
 ##.breadcumbad
 ##.breakad_container
@@ -21746,20 +21985,26 @@ _popunder+$popup
 ##.bz-ad
 ##.bzads-ic-ad-300-250-600
 ##.c-ad
+##.c-ad--text-only
 ##.c-ad--unlabeled
 ##.c-ad-size2
 ##.c-ad-size3
+##.c-adcontainer
 ##.c-adunit
 ##.c-adunit--billboard
 ##.c-adunit--first
 ##.c-adunit__container
 ##.c-advert-app
 ##.c-advert-superbanner
+##.c-advertisement
+##.c-advertisement--billboard
 ##.c-advertisement--leaderboard
 ##.c-advertisement--rectangle
 ##.c-advertisement--rectangle-float
 ##.c-control--adchoice
+##.c-news-feed-ads
 ##.c-res-ad
+##.c-sitenav-adslot
 ##.c300x250-advert
 ##.c3_adverts
 ##.cA-adStack
@@ -21871,6 +22116,7 @@ _popunder+$popup
 ##.clHeader_Ad
 ##.classifiedAdSplit
 ##.classifiedAdThree
+##.cldt-ad-top
 ##.clearerad
 ##.clickforceads
 ##.client-ad
@@ -22158,6 +22404,7 @@ _popunder+$popup
 ##.da-custom-ad-box
 ##.dac__banner__wrapper
 ##.dac__mpu-card
+##.dac__stream-mpu-card
 ##.darla_ad
 ##.dart-ad
 ##.dart-ad-content
@@ -22251,10 +22498,13 @@ _popunder+$popup
 ##.dfp_ad_inner
 ##.dfp_ad_unit
 ##.dfp_slot
+##.dfp_unit
+##.dfp_unit-ad_container
 ##.dfrads
 ##.dhAdContainer14
 ##.dianomi-ad
 ##.diggable-ad-sponsored
+##.dikr-responsive-ads-slot
 ##.discourse-google-dfp
 ##.display-ad
 ##.display-ad-block
@@ -22342,6 +22592,7 @@ _popunder+$popup
 ##.ds-ad-inner
 ##.ds-ad-ros
 ##.dsq_ad
+##.dual-ads
 ##.dualAds
 ##.dvad1
 ##.dvad2
@@ -22360,7 +22611,6 @@ _popunder+$popup
 ##.dynamic-ads
 ##.dynamicAdvertContainer
 ##.dynamicLeadAd
-##.dynamic_ad
 ##.dynamic_adslot
 ##.dynamicad1
 ##.dynamicad2
@@ -22385,6 +22635,7 @@ _popunder+$popup
 ##.editorial-adsense
 ##.editors-ads
 ##.ehs-adbridge
+##.eight8_advertisment_box_all_posts
 ##.ej-advertisement-text
 ##.element--ad
 ##.element-ad
@@ -22427,6 +22678,7 @@ _popunder+$popup
 ##.event-ads-inside
 ##.ew-ad-placeholder
 ##.exec-advert-flash
+##.exo-native-widget
 ##.exo-native-widget-header
 ##.exo-native-widget-outer-container
 ##.expanding-ad
@@ -22479,6 +22731,8 @@ _popunder+$popup
 ##.featured_advertisers_box
 ##.featuredadvertising
 ##.features-advertorial-wrapper
+##.features-advetorial-heading
+##.features-advetorial-wrapper
 ##.feed-ad
 ##.feed-s-update--is-sponsored
 ##.feedBottomAd
@@ -22486,6 +22740,8 @@ _popunder+$popup
 ##.ffz_bottom_ad
 ##.fg_Ad
 ##.fgc-advertising
+##.fi-adv-halfpage
+##.fi-adv-placeholder
 ##.fi_adsense
 ##.field-name-shared-ad-placement-landscape
 ##.field-name-sticky-ads-div
@@ -22502,6 +22758,7 @@ _popunder+$popup
 ##.firstpost_advert
 ##.firstpost_advert_container
 ##.fist-advertise-box
+##.five-col-adpubs
 ##.fiveMinCompanionBanner
 ##.fix-ad
 ##.fixed-ad-160x600
@@ -22529,6 +22786,7 @@ _popunder+$popup
 ##.flexbanneritemad
 ##.flexiad
 ##.flipbook_v2_sponsor_ad
+##.flm-ad
 ##.floatAdv
 ##.floatad
 ##.floatads
@@ -22785,6 +23043,7 @@ _popunder+$popup
 ##.gl_ad
 ##.glamsquaread
 ##.glance_banner_ad
+##.global-adsense
 ##.globalAd
 ##.globalAdLargeRect
 ##.globalAdLeaderBoard
@@ -22975,6 +23234,7 @@ _popunder+$popup
 ##.gr-adcast
 ##.gradientAd
 ##.graphic_ad
+##.gray_top_ad_container
 ##.grev-ad
 ##.grey-ad-line
 ##.grey-ad-notice
@@ -23077,6 +23337,7 @@ _popunder+$popup
 ##.header-adv
 ##.header-advert
 ##.header-advert-container
+##.header-advert-wrapper
 ##.header-advertisement
 ##.header-article-ads
 ##.header-banner-ad
@@ -23141,6 +23402,7 @@ _popunder+$popup
 ##.heavy_ad
 ##.herald-ad
 ##.hero-ad
+##.hero-ad-special
 ##.hi5-ad
 ##.hidden-ad
 ##.hide-ad
@@ -23305,6 +23567,8 @@ _popunder+$popup
 ##.hp_ad_box
 ##.hp_ad_cont
 ##.hp_ad_text
+##.hp_adv300x250
+##.hp_advP1
 ##.hp_horizontal_ad
 ##.hp_t_ad
 ##.hp_textlink_ad
@@ -23356,6 +23620,7 @@ _popunder+$popup
 ##.iframe-ad
 ##.iframe-ads
 ##.iframeAd
+##.iframeAds
 ##.iframead
 ##.iframeadflat
 ##.im-topAds
@@ -23380,6 +23645,7 @@ _popunder+$popup
 ##.import_video_ad_bg
 ##.imuBox
 ##.in-ad
+##.in-article-adsense
 ##.in-article-mpu
 ##.in-between-ad
 ##.in-content-ad
@@ -23575,6 +23841,9 @@ _popunder+$popup
 ##.js-ad-wrapper
 ##.js-adfliction-iframe
 ##.js-adfliction-standard
+##.js-ads
+##.js-ads-carousel
+##.js-adv-rotator-image
 ##.js-advert
 ##.js-advert--vc
 ##.js-advert-container
@@ -23615,17 +23884,20 @@ _popunder+$popup
 ##.kip-advertisement
 ##.kip-banner-ad
 ##.kitara-sponsored
+##.kl-ad
 ##.knowledgehub_ad
 ##.kopa-ads-widget
 ##.kw_advert
 ##.kw_advert_pair
 ##.kwd_bloack
 ##.l-350-250-ad-words
+##.l-ad
 ##.l-ad-300
 ##.l-ad-728
 ##.l-adsense
 ##.l-bottom-ads
 ##.l-header-advertising
+##.l-region--ad
 ##.l300x250ad
 ##.l_ad_sub
 ##.label-ad
@@ -23654,6 +23926,7 @@ _popunder+$popup
 ##.lastRowAd
 ##.lastads
 ##.lastpost_advert
+##.latest-ad
 ##.latest-posts__sidebar-ad-container
 ##.layer-ad-bottom
 ##.layer-ad-top
@@ -23667,6 +23940,7 @@ _popunder+$popup
 ##.lazy-ad
 ##.lazy-adv
 ##.lazyad
+##.lazyadslot
 ##.lazyload_ad
 ##.lazyload_ad_article
 ##.lb-ad
@@ -23715,6 +23989,7 @@ _popunder+$popup
 ##.leaderboardAdContainerInner
 ##.leaderboardFooter_ad
 ##.leaderboard_ad
+##.leaderboard_ad_container
 ##.leaderboard_ad_top_responsive
 ##.leaderboard_ad_unit
 ##.leaderboard_ad_unit_groups
@@ -23787,7 +24062,9 @@ _popunder+$popup
 ##.ligatus
 ##.lightad
 ##.lijit-ad
+##.lineList_ad
 ##.linead
+##.linelist-item-ad
 ##.linkAD
 ##.link_adslider
 ##.link_advertise
@@ -23857,6 +24134,7 @@ _popunder+$popup
 ##.luxeAd
 ##.lx_ad_title
 ##.lyad
+##.lyrics-inner-ad-wrap
 ##.m-ContentAd
 ##.m-ad
 ##.m-ad--open
@@ -23962,6 +24240,7 @@ _popunder+$popup
 ##.mb-advert__tweeny
 ##.mb-block--advert-side
 ##.mb-list-ad
+##.mc-ad-chrome
 ##.mcx-content-ad
 ##.md-adv
 ##.md-advertisement
@@ -23981,9 +24260,11 @@ _popunder+$popup
 ##.mediaResult_sponsoredSearch
 ##.media_ad
 ##.mediamotive-ad
+##.medianet-ad
 ##.medium-google-ad-container
 ##.medium-rectangle-ad
 ##.medium-rectangle-advertisement
+##.medium-top-ad
 ##.mediumRectagleAd
 ##.mediumRectangleAd
 ##.mediumRectangleAdvert
@@ -24085,6 +24366,7 @@ _popunder+$popup
 ##.mnopolarisAd
 ##.mntl-gpt-adunit
 ##.mo_googlead
+##.mob-adspace
 ##.mobile-ad
 ##.mobile-related-ad
 ##.mobileAdWrap
@@ -24140,6 +24422,7 @@ _popunder+$popup
 ##.module-image-ad
 ##.module-rectangleads
 ##.module-sponsored-ads
+##.module1colAds
 ##.moduleAd
 ##.moduleAdSpot
 ##.moduleAdvert
@@ -24282,17 +24565,22 @@ _popunder+$popup
 ##.nadvt300
 ##.narrow_ad_unit
 ##.narrow_ads
+##.nationalad
 ##.native-ad
+##.native-ad-container
 ##.native-ad-item
 ##.native-ad-link
 ##.native-ad-promoted-provider
 ##.native-adv
 ##.native-advts
+##.native-sidebar-ad
 ##.nativeAd
 ##.nativeAd-sponsor-position
 ##.nativeMessageAd
 ##.native_ad
 ##.nativead
+##.nativeadasideplaceholder
+##.nativeadserversidecontentmodule
 ##.nature-ad
 ##.nav-ad
 ##.nav-adWrapper
@@ -24421,6 +24709,7 @@ _popunder+$popup
 ##.odc-nav-ad
 ##.ody-sponsor
 ##.offer_sponsoredlinks
+##.oi-header-ad
 ##.oi_horz_ad_container
 ##.oio-banner-zone
 ##.oio-link-sidebar
@@ -24553,6 +24842,7 @@ _popunder+$popup
 ##.pane-dfp-dfp-ad-atf-728x90
 ##.pane-frontpage-ad-banner
 ##.pane-frontpage-ad-banner-hk
+##.pane-kl-global-middle-ad
 ##.pane-mp-advertisement-rectangle
 ##.pane-openx
 ##.pane-site-ads
@@ -24642,6 +24932,7 @@ _popunder+$popup
 ##.play-page-ads
 ##.playAds1
 ##.playAds2
+##.player-ad
 ##.player-ad-overlay
 ##.player-ads
 ##.player-leaderboard-ad-wrapper
@@ -24653,6 +24944,7 @@ _popunder+$popup
 ##.player_ad_box
 ##.player_hover_ad
 ##.player_page_ad_box
+##.playlist-row-ad
 ##.plistaList > .itemLinkPET
 ##.plistaList > .plista_widget_underArticle_item[data-type="pet"]
 ##.plista_inimg_box
@@ -24708,6 +25000,7 @@ _popunder+$popup
 ##.post__article-top-ad-wrapper
 ##.post__body-ad-center
 ##.post__inarticle-ad-template
+##.post__sidebar__ad
 ##.post_ad
 ##.post_ads
 ##.post_advert
@@ -24822,6 +25115,7 @@ _popunder+$popup
 ##.qm-ad
 ##.qm-ad-content
 ##.qm-ad-content-news
+##.quads-ad1_widget
 ##.quads-ad2
 ##.quads-ad2_widget.first
 ##.quads-ad4
@@ -25188,6 +25482,7 @@ _popunder+$popup
 ##.s_ad_300x250
 ##.s_ads
 ##.s_ads_label
+##.s_layouts_articleAdWrapper
 ##.s_sponsored_ads
 ##.sa-mainad
 ##.sa_AdAnnouncement
@@ -25242,6 +25537,7 @@ _popunder+$popup
 ##.search-message-container-ad
 ##.search-result-sponsored
 ##.search-results-ad
+##.search-results-page__ad-sense
 ##.search-sponsor
 ##.search-sponsored
 ##.searchAd
@@ -25288,6 +25584,7 @@ _popunder+$popup
 ##.section-sponsor
 ##.section_ad
 ##.section_ad_left
+##.section_adarea
 ##.section_mpu_wrapper
 ##.section_mpu_wrapper_wrapper
 ##.sector-widget__tiny-ad
@@ -25436,6 +25733,7 @@ _popunder+$popup
 ##.sidebar-below-ad-unit
 ##.sidebar-big-ad
 ##.sidebar-block-adsense
+##.sidebar-bottom-ad
 ##.sidebar-box-ad
 ##.sidebar-box-ads
 ##.sidebar-content-ad
@@ -25520,6 +25818,7 @@ _popunder+$popup
 ##.single_bottom_ad
 ##.single_fm_ad_bottom
 ##.single_post_ads_cont
+##.single_related_posts_ad_container
 ##.single_top_ad
 ##.singlead
 ##.singleads
@@ -25583,6 +25882,8 @@ _popunder+$popup
 ##.sl_admarker
 ##.sleekadbubble
 ##.slide-ad
+##.slide-advert
+##.slide-advert_float
 ##.slideAd
 ##.slide_ad
 ##.slidead
@@ -25700,6 +26001,7 @@ _popunder+$popup
 ##.sponsor-ad-wrapper
 ##.sponsor-ads
 ##.sponsor-area
+##.sponsor-area-top
 ##.sponsor-block
 ##.sponsor-bottom
 ##.sponsor-box
@@ -25707,6 +26009,7 @@ _popunder+$popup
 ##.sponsor-inner
 ##.sponsor-left
 ##.sponsor-link
+##.sponsor-link-text
 ##.sponsor-links
 ##.sponsor-logo
 ##.sponsor-module-target
@@ -25769,6 +26072,7 @@ _popunder+$popup
 ##.sponsored-ad
 ##.sponsored-ad-label
 ##.sponsored-ad-ob
+##.sponsored-add
 ##.sponsored-ads
 ##.sponsored-article-item
 ##.sponsored-b
@@ -25782,6 +26086,7 @@ _popunder+$popup
 ##.sponsored-features
 ##.sponsored-header
 ##.sponsored-headlines
+##.sponsored-headlines-wrap
 ##.sponsored-headshop
 ##.sponsored-inmail
 ##.sponsored-inmail-legacy
@@ -25886,6 +26191,7 @@ _popunder+$popup
 ##.sponsors_fieldset
 ##.sponsors_links
 ##.sponsors_spacer
+##.sponsorsbanner
 ##.sponsorsbig
 ##.sponsorship-box
 ##.sponsorship-chrome
@@ -25980,6 +26286,7 @@ _popunder+$popup
 ##.story-ad-container
 ##.story-inline-advert
 ##.story-page-embedded-ad
+##.story-page-embedded-ad-center
 ##.storyAdvert
 ##.storyInlineAdBlock
 ##.story_AD
@@ -26023,6 +26330,7 @@ _popunder+$popup
 ##.sugarad
 ##.suit-ad-inject
 ##.suitcase-ad
+##.sunfw-pos-all_adv_728_90_nm
 ##.super-ad
 ##.super-leaderboard-advert
 ##.superLeaderOverallAdArea
@@ -26108,7 +26416,10 @@ _popunder+$popup
 ##.tdad125
 ##.tealiumAdSlot
 ##.teaser-ad
+##.teaser-advertisement
+##.teaser-small--ad
 ##.teaser-sponsor
+##.teaserAd
 ##.teaserAdContainer
 ##.teaserAdHeadline
 ##.teaser_adtiles
@@ -26232,6 +26543,7 @@ _popunder+$popup
 ##.tmz-dart-ad
 ##.tncms-region-ads
 ##.tnt-ads-container
+##.toaster-ad
 ##.toggle-adinmap
 ##.toolad
 ##.toolbar-ad
@@ -26294,6 +26606,7 @@ _popunder+$popup
 ##.top-leaderboard-ad
 ##.top-left-nav-ad
 ##.top-menu-ads
+##.top-most-adv
 ##.top-nav-ad
 ##.top-outer-ad-container
 ##.top-primary-sponsored
@@ -26668,6 +26981,7 @@ _popunder+$popup
 ##.wantads
 ##.waterfall-ad-anchor
 ##.wazi-ad-link
+##.wcAd
 ##.wd-adunit
 ##.wd_ads
 ##.wdca_ad_item
@@ -26989,7 +27303,10 @@ _popunder+$popup
 ##ADS-RIGHT
 ##AFS-AD
 ##A[href^="https://www.friendlyduck.com/AF_"]
+##DFP-AD
+##LEADERBOARD-AD
 ##[ad-id^="googlead"]
+##[id^="bunyad_ads_"]
 ##[lazy-ad="lefttop_banner"]
 ##[onclick^="window.open('http://adultfriendfinder.com/search/"]
 ##a[data-obtrack^="http://paid.outbrain.com/network/redir?"]
@@ -27016,6 +27333,8 @@ _popunder+$popup
 ##a[href*="/adServe/banners?"]
 ##a[href*="/adrotate-out.php?"]
 ##a[href*="/cmd.php?ad="]
+##a[href*="/servlet/click/zone?"]
+##a[href*="5iclx7wa4q.com"]
 ##a[href*="=Adtracker"]
 ##a[href*="=adscript"]
 ##a[href*="=exoclick"]
@@ -27029,6 +27348,7 @@ _popunder+$popup
 ##a[href="http://track.freemmo2017.com/"]
 ##a[href^=" http://ads.ad-center.com/"]
 ##a[href^=" http://n47adshostnet.com/"]
+##a[href^=" http://www.sex.com/"][href*="&utm_"]
 ##a[href^="//00ae8b5a9c1d597.com/"]
 ##a[href^="//40ceexln7929.com/"]
 ##a[href^="//5e1fcb75b6d662d.com/"]
@@ -27042,16 +27362,19 @@ _popunder+$popup
 ##a[href^="//go.vedohd.org/"]
 ##a[href^="//jsmptjmp.com/"]
 ##a[href^="//medleyads.com/spot/"]
+##a[href^="//nlkdom.com/"]
 ##a[href^="//porngames.adult/?SID="]
 ##a[href^="//srv.buysellads.com/"]
 ##a[href^="//t.MtagMonetizationA.com/"]
 ##a[href^="//tracking.content-recommendation.net/"][href*="/sponsored/click.html?"]
 ##a[href^="//www.mgid.com/"]
 ##a[href^="//z6naousb.com/"]
+##a[href^="//zenhppyad.com/"]
 ##a[href^="http://1phads.com/"]
 ##a[href^="http://2pxg8bcf.top/"]
 ##a[href^="http://360ads.go2cloud.org/"]
 ##a[href^="http://3wr110.net/"]
+##a[href^="http://9nl.es/"]
 ##a[href^="http://NowDownloadAll.com"]
 ##a[href^="http://a.adquantix.com/"]
 ##a[href^="http://abc2.mobile-10.com/"]
@@ -27102,6 +27425,7 @@ _popunder+$popup
 ##a[href^="http://b.bestcompleteusa.info/"]
 ##a[href^="http://banners.victor.com/processing/"]
 ##a[href^="http://bc.vc/?r="]
+##a[href^="http://bcntrack.com/"]
 ##a[href^="http://bcp.crwdcntrl.net/"]
 ##a[href^="http://bestorican.com/"]
 ##a[href^="http://betahit.click/"]
@@ -27156,6 +27480,7 @@ _popunder+$popup
 ##a[href^="http://extra.bet365.com/"][href*="?affiliate="]
 ##a[href^="http://farm.plista.com/pets"]
 ##a[href^="http://feedads.g.doubleclick.net/"]
+##a[href^="http://ffxitrack.com/"]
 ##a[href^="http://fileloadr.com/"]
 ##a[href^="http://fileupnow.rocks/"]
 ##a[href^="http://finaljuyu.com/"]
@@ -27261,6 +27586,7 @@ _popunder+$popup
 ##a[href^="http://websitedhoome.com/"]
 ##a[href^="http://webtrackerplus.com/"]
 ##a[href^="http://wgpartner.com/"]
+##a[href^="http://wopertific.info/"]
 ##a[href^="http://www.123-reg.co.uk/affiliate2.cgi"]
 ##a[href^="http://www.1clickdownloader.com/"]
 ##a[href^="http://www.1clickmoviedownloader.info/"]
@@ -27272,12 +27598,14 @@ _popunder+$popup
 ##a[href^="http://www.adxpansion.com"]
 ##a[href^="http://www.affbuzzads.com/affiliate/"]
 ##a[href^="http://www.affiliates1128.com/processing/"]
+##a[href^="http://www.afgr3.com/"]
 ##a[href^="http://www.amazon.co.uk/exec/obidos/external-search?"]
 ##a[href^="http://www.babylon.com/welcome/index?affID"]
 ##a[href^="http://www.badoink.com/go.php?"]
 ##a[href^="http://www.bet365.com/"][href*="&affiliate="]
 ##a[href^="http://www.bet365.com/"][href*="?affiliate="]
 ##a[href^="http://www.bitlord.me/share/"]
+##a[href^="http://www.bluehost.com/track/"] > img
 ##a[href^="http://www.brightwheel.info/"]
 ##a[href^="http://www.cdjapan.co.jp/aff/click.cgi/"]
 ##a[href^="http://www.clickansave.net/"]
@@ -27369,26 +27697,34 @@ _popunder+$popup
 ##a[href^="https://ad.atdmt.com/"]
 ##a[href^="https://ad.doubleclick.net/"]
 ##a[href^="https://adhealers.com/"]
+##a[href^="https://ads.ad4game.com/"]
+##a[href^="https://adswick.com/"]
 ##a[href^="https://affiliates.bet-at-home.com/processing/"]
 ##a[href^="https://atomidownload.com/"]
 ##a[href^="https://awentw.com/"]
 ##a[href^="https://betway.com/"][href*="&a="]
 ##a[href^="https://bs.serving-sys.com"]
 ##a[href^="https://chaturbate.com/affiliates/"]
+##a[href^="https://chaturbate.com/in/?tour="]
+##a[href^="https://chaturbate.com/in/?track="]
 ##a[href^="https://click.plista.com/pets"]
 ##a[href^="https://dcs.adgear.com/clicks/"]
 ##a[href^="https://dediseedbox.com/clients/aff.php?"]
+##a[href^="https://deliver.trafficfabrik.com/"]
+##a[href^="https://delivery.trafficfabrik.com/"]
 ##a[href^="https://dltags.com/"]
 ##a[href^="https://evaporate.pw/"]
 ##a[href^="https://farm.plista.com/pets"]
 ##a[href^="https://fileboom.me/pr/"]
 ##a[href^="https://go.ad2up.com/"]
 ##a[href^="https://go.onclasrv.com/"]
+##a[href^="https://go.stripchat.com/"][href*="&campaignId="]
 ##a[href^="https://intrev.co/"]
 ##a[href^="https://keep2share.cc/pr/"]
 ##a[href^="https://members.linkifier.com/public/affiliateLanding?refCode="]
 ##a[href^="https://mk-ads.com/"]
 ##a[href^="https://paid.outbrain.com/network/redir?"]
+##a[href^="https://porndeals.com/?track="]
 ##a[href^="https://pubads.g.doubleclick.net/"]
 ##a[href^="https://redirect.ero-advertising.com/"]
 ##a[href^="https://secure.adnxs.com/clktrb?"]
@@ -27397,6 +27733,8 @@ _popunder+$popup
 ##a[href^="https://syndication.exoclick.com/splash.php?"]
 ##a[href^="https://t.mobtya.com/"]
 ##a[href^="https://torguard.net/aff.php"]
+##a[href^="https://track.clickmoi.xyz/"]
+##a[href^="https://track.healthtrader.com/"]
 ##a[href^="https://tracking.truthfinder.com/?a="]
 ##a[href^="https://trackjs.com/?utm_source"]
 ##a[href^="https://trklvs.com/"]
@@ -27405,9 +27743,12 @@ _popunder+$popup
 ##a[href^="https://windscribe.com/promo/"]
 ##a[href^="https://www.adskeeper.co.uk/"]
 ##a[href^="https://www.bebi.com"]
+##a[href^="https://www.camsoda.com/enter.php?id="]
 ##a[href^="https://www.camyou.com/?cam="][href*="&track="]
 ##a[href^="https://www.dsct1.com/"]
+##a[href^="https://www.financeads.net/tc.php?"]
 ##a[href^="https://www.firstload.com/affiliate/"]
+##a[href^="https://www.goldenfrog.com/vyprvpn?offer_id="][href*="&aff_id="]
 ##a[href^="https://www.googleadservices.com/pagead/aclk?"]
 ##a[href^="https://www.oboom.com/ad/"]
 ##a[href^="https://www.popads.net/users/"]
@@ -27424,6 +27765,8 @@ _popunder+$popup
 ##a[style="display:block;width:300px;min-height:250px"][href^="http://li.cnet.com/click?"]
 ##a[target="_blank"][href^="http://api.taboola.com/"]
 ##a[target="_blank"][onmousedown="this.href^='http://paid.outbrain.com/network/redir?"]
+##aside[id^="adrotate_widgets-"]
+##aside[id^="advads_ad_widget-"]
 ##aside[id^="div-gpt-ad"]
 ##aside[itemtype="https://schema.org/WPAdBlock"]
 ##bottomadblock
@@ -27432,10 +27775,12 @@ _popunder+$popup
 ##div[class^="Ad__adContainer"]
 ##div[class^="Ad__bigBox"]
 ##div[class^="Ad__container"]
+##div[class^="AdhesionAd_"]
 ##div[class^="BlockAdvert-"]
 ##div[class^="ResponsiveAd-"]
 ##div[class^="ad_border_"]
 ##div[class^="ad_position_"]
+##div[class^="adpubs-"]
 ##div[class^="ads-partner-"]
 ##div[class^="awpcp-random-ads"]
 ##div[class^="block-openx-"]
@@ -27443,6 +27788,7 @@ _popunder+$popup
 ##div[class^="lifeOnwerAd"]
 ##div[class^="local-feed-banner-ads"]
 ##div[class^="proadszone-"]
+##div[data-native_ad]
 ##div[data-spotim-slot]
 ##div[id^="ADV-SLOT-"]
 ##div[id^="MarketGid"]
@@ -27452,13 +27798,16 @@ _popunder+$popup
 ##div[id^="ad-div-"]
 ##div[id^="ad-position-"]
 ##div[id^="ad-server-"]
+##div[id^="ad_bigbox_"]
 ##div[id^="ad_script_"]
+##div[id^="adfox_"]
 ##div[id^="adrotate_widgets-"]
 ##div[id^="ads120_600-widget"]
 ##div[id^="ads250_250-widget"]
 ##div[id^="ads300_100-widget"]
 ##div[id^="ads300_250-widget"]
 ##div[id^="ads300_600-widget"]
+##div[id^="adspot-"]
 ##div[id^="advads-"]
 ##div[id^="advads_"]
 ##div[id^="block-views-topheader-ad-block-"]
@@ -27476,6 +27825,7 @@ _popunder+$popup
 ##div[id^="lazyad-"]
 ##div[id^="proadszone-"]
 ##div[id^="q1-adset-"]
+##div[id^="yandex_ad"]
 ##div[itemtype="http://schema.org/WPAdBlock"]
 ##div[itemtype="http://www.schema.org/WPAdBlock"]
 ##iframe[id^="google_ads_frame"]
@@ -27485,7 +27835,6 @@ _popunder+$popup
 ##iframe[src^="http://cdn2.adexprt.com/"]
 ##img[alt^="Fuckbook"]
 ##p[id^="div-gpt-ad-"]
-pussl3.com
 ##script[src^="http://free-shoutbox.net/app/webroot/shoutbox/sb.php?shoutbox="] + #freeshoutbox_content
 ##topadblock
 ! brave browser overlay ad
@@ -28017,7 +28366,7 @@ oxforddictionaries.com#@#.ad_trick_left
 wg-gesucht.de#@#.ad_wrap
 athensmagazine.gr#@#.ad_wrapper
 choone.com#@#.adarea
-espni.go.com,nownews.com,nva.gov.lv#@#.adbanner
+espni.go.com,m.espn.com,nownews.com,nva.gov.lv#@#.adbanner
 fifthinternational.org,sudoku.com.au#@#.adbar
 smilelocal.com#@#.adbottom
 thelog.com#@#.adbutton
@@ -28328,7 +28677,7 @@ politico.com#@#a[onmousedown^="this.href
 marketgid.com,mgid.com#@#div[id^="MarketGid"]
 sensacionalista.com.br#@#div[id^="advads-"]
 flightcentre.co.uk,out.com#@#div[id^="dfp-ad-"]
-amazon.com,beqala.com,concursovirtual.com.br,daveramsey.com,drupalcommerce.org,ensonhaber.com,eurweb.com,faceyourmanga.com,isc2.org,lavozdegalicia.es,liverc.com,liverpoolfc.com,mit.edu,payback.pl,peekyou.com,pianobuyer.com,podomatic.com,ripley.cl,ripley.com.pe,suntimes.com,timesofoman.com,virginaustralia.com,wlj.net,zavvi.com#@#div[id^="div-gpt-ad"]
+amazon.com,beqala.com,concursovirtual.com.br,daveramsey.com,drupalcommerce.org,ensonhaber.com,eurweb.com,faceyourmanga.com,isc2.org,lavozdegalicia.es,liverc.com,liverpoolfc.com,loksatta.com,mit.edu,payback.pl,peekyou.com,pianobuyer.com,podomatic.com,ripley.cl,ripley.com.pe,suntimes.com,timesofoman.com,virginaustralia.com,wlj.net,zavvi.com#@#div[id^="div-gpt-ad"]
 daveramsey.com,foodkick.com,ripley.cl,ripley.com.pe#@#div[id^="google_ads_iframe_"]
 lavozdegalicia.es#@#div[itemtype="http://schema.org/WPAdBlock"]
 bodas.com.mx,bodas.net,mariages.net,matrimonio.com,weddingspot.co.uk#@#iframe[id^="google_ads_frame"]
@@ -28375,6 +28724,7 @@ topzone.lt#@#.forumAd
 localeyes.dk#@#.pub_300x250
 localeyes.dk#@#.pub_300x250m
 localeyes.dk#@#.pub_728x90
+soschildrensvillages.ca#@#.section-sponsor
 localeyes.dk#@#.text-ad
 localeyes.dk#@#.text-ad-links
 localeyes.dk#@#.text-ads
@@ -28556,6 +28906,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||acrabbey.info^$third-party
 ||acronym.com^$third-party
 ||acrossiblel.info^$third-party
+||actiflex.org^$third-party
 ||actiondesk.com^$third-party
 ||activedancer.com^$third-party
 ||ad-arata.com^$third-party
@@ -28614,6 +28965,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adacts.com^$third-party
 ||adadvisor.net^$third-party
 ||adagora.com^$third-party
+||adalliance.io^$third-party
 ||adaos-ads.net^$third-party
 ||adap.tv^$~object-subrequest,third-party
 ||adapd.com^$third-party
@@ -28622,6 +28974,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adbard.net^$third-party
 ||adbasket.net^$third-party
 ||adbetclickin.pink^$third-party
+||adbetnet.com^$third-party
 ||adbit.co^$third-party
 ||adblockerkillswebsites.pw^$third-party
 ||adbma.com^$third-party
@@ -28785,6 +29138,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adlatch.com^$third-party
 ||adlayer.net^$third-party
 ||adlegend.com^$third-party
+||adligature.com^$third-party
+||adlightning.com^$third-party
 ||adlink.net^$third-party
 ||adlinx.info^$third-party
 ||adlisher.com^$third-party
@@ -28823,6 +29178,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||admtpmp127.com^$third-party
 ||admulti.com^$third-party
 ||admzn.com^$third-party
+||adnami.io^$third-party
 ||adne.tv^$third-party
 ||adnectar.com^$third-party
 ||adnemo.com^$third-party
@@ -28847,7 +29203,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adnoble.com^$third-party
 ||adnow.com^$third-party
 ||adnuntius.com^$third-party
-||adnxs.com^$third-party
 ||adnxs.net^$third-party
 ||adnxs1.com^$third-party
 ||adnxsid.com^$third-party
@@ -28914,6 +29269,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adrevolver.com^$third-party
 ||adrich.cash^$third-party
 ||adrife.net^$third-party
+||adright.co^$third-party
 ||adrise.de^$third-party
 ||adro.co^$third-party
 ||adrocket.com^$third-party
@@ -28987,6 +29343,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adsjudo.com.^$third-party
 ||adsjudo.com^$third-party
 ||adskeeper.co.uk^$third-party
+||adslala.com^$third-party
 ||adslidango.com^$third-party
 ||adslingers.com^$third-party
 ||adslot.com^$third-party
@@ -29109,7 +29466,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||advertiseworld.com^$third-party
 ||advertiseyourgame.com^$third-party
 ||advertising-department.com^$third-party
-||advertising.com^$third-party
 ||advertising365.com^$third-party
 ||advertisingiq.com^$third-party
 ||advertisingpath.net^$third-party
@@ -29135,6 +29491,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||advideum.com^$third-party
 ||advisorded.com^$third-party
 ||adviva.net^$third-party
+||advmaker.su^$third-party
 ||advmd.com^$third-party
 ||advmedialtd.com^$third-party
 ||advombat.ru^$third-party
@@ -29222,7 +29579,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||affiz.net^$third-party
 ||affplanet.com^$third-party
 ||afftrack.com^$third-party
+||afgr1.com^$third-party
+||afgr10.com^$third-party
 ||afgr2.com^$third-party
+||afgr3.com^$third-party
+||afgr4.com^$third-party
+||afgr5.com^$third-party
+||afgr6.com^$third-party
+||afgr7.com^$third-party
+||afgr8.com^$third-party
+||afgr9.com^$third-party
 ||aflrm.com^$third-party
 ||afovelsa.com^$third-party
 ||africawin.com^$third-party
@@ -29314,6 +29680,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aorms.com^$third-party
 ||aorpum.com^$third-party
 ||apex-ad.com^$third-party
+||apexcdn.com^$third-party
 ||apmebf.com^$third-party
 ||apparede.com^$third-party
 ||apparest.com^$third-party
@@ -29415,6 +29782,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||axill.com^$third-party
 ||ayads.co^$third-party
 ||ayboll.com^$third-party
+||azadify.com^$third-party
 ||azads.com^$third-party
 ||azjmp.com^$third-party
 ||azoogleads.com^$third-party
@@ -29486,6 +29854,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bentdownload.com^$third-party
 ||bepolite.eu^$third-party
 ||beringmedia.com^$third-party
+||berush.com^$third-party
 ||besied.com^$third-party
 ||best5ex.com^$third-party
 ||bestarmour4u.work^$third-party
@@ -29551,6 +29920,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bizfo.co.uk^$third-party
 ||bizographics.com^$third-party
 ||bizrotator.com^$third-party
+||bizx.info^$third-party
 ||bizzclick.com^$third-party
 ||bjjingda.com^$third-party
 ||blamads.com^$third-party
@@ -29574,6 +29944,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bnhtml.com^$third-party
 ||bnmla.com^$third-party
 ||bnr.sys.lv^$third-party
+||bnrdom.com^$third-party
 ||bnrs.it^$third-party
 ||bnserving.com^$third-party
 ||bogads.com^$third-party
@@ -29665,6 +30036,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||buyflood.com^$third-party
 ||buyorselltnhomes.com^$third-party
 ||buysellads.com^$third-party
+||buysellads.net^$third-party
 ||buyt.in^$third-party
 ||buzzadexchange.com^$third-party
 ||buzzadnetwork.com^$third-party
@@ -29734,8 +30106,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cdnativ.com^$third-party
 ||cdnload.top^$third-party
 ||cdnondemand.org^$third-party
+||cdnproviders.net^$third-party
 ||cdnquality.com^$third-party
 ||cdnrl.com^$third-party
+||cdnserv.pw^$third-party
 ||cdnservr.com^$third-party
 ||cdntrip.com^$third-party
 ||celeritascdn.com^$third-party
@@ -29902,6 +30276,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||connexplace.com^$third-party
 ||connextra.com^$third-party
 ||consivenu.com^$third-party
+||constintptr.com^$third-party
 ||construment.com^$third-party
 ||consumable.com^$third-party
 ||consumergenepool.com^$third-party
@@ -30031,6 +30406,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||datacratic-px.com^$third-party
 ||datawrkz.com^$third-party
 ||dating-banners.com^$third-party
+||dating-service.net^$third-party
 ||datinggold.com^$third-party
 ||datumreact.com^$third-party
 ||dazhantai.com^$third-party
@@ -30061,6 +30437,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||delivery49.com^$third-party
 ||delivery51.com^$third-party
 ||delnapb.com^$third-party
+||demand.supply^$third-party
 ||deplayer.net^$third-party
 ||deployads.com^$third-party
 ||depresis.com^$third-party
@@ -30115,6 +30492,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||document4u.info^$third-party
 ||dollarade.com^$third-party
 ||dollarsponsor.com^$third-party
+||dolphindispute.com^$third-party
 ||dom002.site^$third-party
 ||domainadvertising.com^$third-party
 ||domainbuyingservices.com^$third-party
@@ -30299,6 +30677,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||easyhits4u.com^$third-party
 ||easyinline.com^$third-party
 ||easylist.club^$third-party
+||eazyleads.com^$third-party
 ||ebannertraffic.com^$third-party
 ||ebayclassifiedsgroup.com^$third-party
 ||ebayobjects.com.au^$third-party
@@ -30349,6 +30728,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||eosads.com^$third-party
 ||ep7kpqn8.online^$third-party
 ||epicgameads.com^$third-party
+||epital.gdn^$third-party
 ||epnredirect.ru^$third-party
 ||eptord.com^$third-party
 ||eptum.com^$third-party
@@ -30385,6 +30765,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||euros4click.de^$third-party
 ||euym8eel.club^$third-party
 ||euz.net^$third-party
+||evantative.top^$third-party
 ||evewrite.net^$third-party
 ||eviderable.com^$third-party
 ||evolvemediallc.com^$third-party
@@ -30477,6 +30858,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||firstlightera.com^$third-party
 ||fisari.com^$third-party
 ||fixionmedia.com^$third-party
+||fixpass.net^$third-party
 ||fl-ads.com^$third-party
 ||flagads.net^$third-party
 ||flappybadger.net^$third-party
@@ -30687,6 +31069,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||green-red.com^$third-party
 ||greenads.org^$third-party
 ||greenlabelppc.com^$third-party
+||greerlies.pro^$third-party
 ||grenstia.com^$third-party
 ||gretzalz.com^$third-party
 ||gripdownload.co^$third-party
@@ -30707,6 +31090,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gwallet.com^$third-party
 ||gx101.com^$third-party
 ||gynax.com^$third-party
+||h-bid.com^$third-party
 ||h-images.net^$third-party
 ||h12-media.com^$third-party
 ||h6y654wgfdhd.com^$third-party
@@ -30737,6 +31121,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||headup.com^$third-party
 ||healthaffiliatesnetwork.com^$third-party
 ||healthcarestars.com^$third-party
+||healthtrader.com^$third-party
 ||hebiichigo.com^$third-party
 ||helloreverb.com^$third-party
 ||helotero.com^$third-party,domain=~streamcloud.eu
@@ -30875,6 +31260,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||incentaclick.com^$third-party
 ||inclk.com^$third-party
 ||incloak.com^$third-party
+||incogpontus.club^$third-party
 ||incomeliberation.com^$third-party
 ||increas.eu^$third-party
 ||increase-marketing.com^$third-party
@@ -30919,6 +31305,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||instantbannercreator.com^$third-party
 ||instantclk.com^$third-party
 ||instantdollarz.com^$third-party
+||instantly-ageless.net^$third-party
 ||insticator.com^$third-party
 ||instinctiveads.com^$third-party
 ||instivate.com^$third-party
@@ -31034,7 +31421,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jujzh9va.com^$third-party
 ||jumboaffiliates.com^$third-party
 ||jumbolt.ru^$third-party
-||jumia.com.ng^$third-party
 ||jumpelead.com^$third-party
 ||jumptap.com^$third-party
 ||jursp.com^$third-party
@@ -31111,6 +31497,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||larkbe.com^$third-party
 ||laserhairremovalstore.com^$third-party
 ||launchbit.com^$third-party
+||launchers.network^$third-party
 ||lavetawhiting.com^$third-party
 ||laydcilck.com^$third-party
 ||layer-ad.org^$third-party
@@ -31141,6 +31528,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||letilyadothejob.com^$third-party
 ||letsadvertisetogether.com^$third-party
 ||letsgoshopping.tk^$third-party
+||letuchiycorabl.com^$third-party
 ||letysheeps.ru^$third-party
 ||levisites.com^$third-party
 ||lexinget.info^$third-party
@@ -31181,6 +31569,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||liveadexchanger.com^$third-party
 ||liveadoptimizer.com^$third-party
 ||liveadserver.net^$third-party
+||liveburst.com^$third-party
 ||liverail.com^$~object-subrequest,third-party
 ||livesmarter.com^$third-party
 ||liveuniversenetwork.com^$third-party
@@ -31224,6 +31613,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||luxadv.com^$third-party
 ||luxbetaffiliates.com.au^$third-party
 ||luxup.ru^$third-party
+||luxup2.ru^$third-party
+||luxupadva.com^$third-party
+||luxupadvb.com^$third-party
+||luxupcdna.com^$third-party
+||luxupcdnb.com^$third-party
+||luxupcdnc.com^$third-party
 ||lx2rv.com^$third-party
 ||lzjl.com^$third-party
 ||m1.fwmrm.net^$object-subrequest,third-party
@@ -31231,6 +31626,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||m2.ai^$third-party
 ||m2pub.com^$third-party
 ||m30w.net^$third-party
+||m32.media^$third-party
 ||m4pub.com^$third-party
 ||m57ku6sm.com^$third-party
 ||m5prod.net^$third-party
@@ -31271,6 +31667,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||masterads.org^$third-party
 ||masternal.com^$third-party
 ||mastertraffic.cn^$third-party
+||masture.mobi^$third-party
 ||mathads.com^$third-party
 ||matiro.com^$third-party
 ||mattempte.info^$third-party
@@ -31320,6 +31717,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||medialation.net^$third-party
 ||mediaonenetwork.net^$third-party
 ||mediaonpro.com^$third-party
+||mediapeartree.com^$third-party
 ||mediapeo.com^$third-party
 ||mediaraily.com^$third-party
 ||mediatarget.com^$third-party
@@ -31329,6 +31727,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mediatraks.com^$third-party
 ||mediaver.com^$third-party
 ||mediavine.com^$third-party
+||medical-aid.net^$third-party
 ||medleyads.com^$third-party
 ||medrx.sensis.com.au^$third-party
 ||medyanet.net^$third-party
@@ -31628,6 +32027,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||obibanners.com^$third-party
 ||objects.tremormedia.com^$~object-subrequest,third-party
 ||objectservers.com^$third-party
+||oboxads.com^$third-party
 ||oceanwebcraft.com^$third-party
 ||oclaserver.com^$third-party
 ||oclasrv.com^$third-party
@@ -31638,6 +32038,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||offeradvertising.biz^$third-party
 ||offerenced.com^$third-party
 ||offerforge.com^$third-party
+||offerforge.net^$third-party
 ||offerpalads.com^$third-party
 ||offerserve.com^$third-party
 ||offersquared.com^$third-party
@@ -31713,6 +32114,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||optimizesocial.com^$third-party
 ||optinemailpro.com^$third-party
 ||optinmonster.com^$third-party
+||optnmstr.com^$third-party,domain=whatismyipaddress.com
 ||orangeads.fr^$third-party
 ||orarala.com^$third-party
 ||oratosaeron.com^$third-party
@@ -31765,6 +32167,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||painterede.com^$third-party
 ||pakbanners.com^$third-party
 ||panachetech.com^$third-party
+||panda.network^$third-party
 ||pantherads.com^$third-party
 ||paperclipservice.com^$third-party
 ||paperg.com^$third-party
@@ -31773,6 +32176,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||parding.info^$third-party
 ||pardous.com^$third-party
 ||parkingcrew.net^$third-party
+||particizedese.club^$third-party
 ||partner-ads.com^$third-party
 ||partner.googleadservices.com^$third-party
 ||partner.video.syndication.msn.com^$~object-subrequest,third-party
@@ -31882,11 +32286,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||plxserve.com^$third-party
 ||pmpubs.com^$third-party
 ||pmsrvr.com^$third-party
+||pnd.gs^$third-party
 ||pnoss.com^$third-party
 ||pnsandbox.com^$third-party
 ||pointclicktrack.com^$third-party
 ||pointroll.com^$third-party
 ||points2shop.com^$third-party
+||poirreleast.club^$third-party
 ||poketraff.com^$third-party
 ||polanders.com^$third-party
 ||polarmobile.com^$third-party
@@ -32044,8 +32450,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||purpleflag.net^$third-party
 ||puserving.com^$third-party
 ||push2check.com^$third-party
+||pushame.com^$third-party
 ||pushance.com^$third-party
+||pushbaddy.com^$third-party
+||pushbasic.com^$third-party
+||pushdusk.com^$third-party
+||pusheify.com^$third-party
 ||pusherism.com^$third-party
+||pushimer.com^$third-party
 ||pushnative.com^$third-party
 ||pushnest.com^$third-party
 ||pushservice.one^$third-party
@@ -32144,6 +32556,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||r66net.com^$third-party
 ||r66net.net^$third-party
 ||rabilitan.com^$third-party
+||radchesruno.club^$third-party
 ||radeant.com^$third-party
 ||radiatorial.online^$third-party
 ||radicalwealthformula.com^$third-party
@@ -32153,6 +32566,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rainbowtgx.com^$third-party
 ||rainwealth.com^$third-party
 ||rapt.com^$third-party
+||rarelly.info^$third-party
 ||rateaccept.net^$third-party
 ||rawasy.com^$third-party
 ||rbnt.org^$third-party
@@ -32197,6 +32611,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||registry.cw.cm^$third-party
 ||regurgical.com^$third-party
 ||reklamz.com^$third-party
+||rekovers.ru^$third-party
 ||relatedweboffers.com^$third-party
 ||relestar.com^$third-party
 ||relevanti.com^$third-party
@@ -32213,6 +32628,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||repressina.com^$third-party
 ||republer.com^$third-party
 ||requiredcollectfilm.info^$third-party
+||reseireejoch.info^$third-party
 ||resideral.com^$third-party
 ||resonance.pk^$third-party
 ||respecific.net^$third-party
@@ -32276,6 +32692,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rotaban.ru^$third-party
 ||rotatingad.com^$third-party
 ||rotorads.com^$third-party
+||rotumal.com^$third-party
 ||roughted.com^$third-party
 ||rovion.com^$third-party
 ||roxyaffiliates.com^$third-party
@@ -32355,6 +32772,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||seductionprofits.com^$third-party
 ||seegamese.com^$third-party
 ||seekads.net^$third-party
+||seethisinaction.com^$third-party
 ||seiya.work^$third-party
 ||sekindo.com^$third-party
 ||selectablemedia.com^$third-party
@@ -32374,7 +32792,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||seriousfiles.com^$third-party
 ||servali.net^$third-party
 ||serve-sys.com^$third-party
-||servebom.com^$third-party
 ||servedby-buysellads.com^$third-party,domain=~buysellads.com
 ||servedbyadbutler.com^$third-party
 ||servedbyopenx.com^$third-party
@@ -32409,6 +32826,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||shr.fyi^$third-party
 ||shustona.info^$third-party
 ||siamzone.com^$third-party
+||sielsmaats.com^$third-party
 ||signout.website^$third-party
 ||silence-ads.com^$third-party
 ||silstavo.com^$third-party
@@ -32435,6 +32853,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||skytemjo.link^$third-party
 ||skywarts.ru^$third-party
 ||slfpu.com^$third-party
+||slfsmf.com^$third-party
 ||slikslik.com^$third-party
 ||slimspots.com^$third-party
 ||slimtrade.com^$third-party
@@ -32461,6 +32880,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||smileycentral.com^$third-party
 ||smilyes4u.com^$third-party
 ||smintmouse.com^$third-party
+||smothere.pro^$third-party
 ||smowtion.com^$third-party
 ||smpgfx.com^$third-party
 ||smrt-view.com^$third-party
@@ -32492,6 +32912,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||solihullah.info^$third-party
 ||solocpm.com^$third-party
 ||solutionzip.info^$third-party
+||sombes.com^$third-party
 ||sonnerie.net^$third-party
 ||sonobi.com^$third-party
 ||soosooka.com^$third-party
@@ -32599,6 +33020,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sulidshyly.com^$third-party
 ||sulvo.co^$third-party
 ||sumarketing.co.uk^$third-party
+||sumo.com^$third-party
 ||sunmedia.net^$third-party
 ||sunrisewebjo.link^$third-party
 ||suparewards.com^$third-party
@@ -32609,6 +33031,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||superippo.com^$third-party
 ||superloofy.com^$third-party
 ||supersitetime.com^$third-party
+||superwebs.pro^$third-party
 ||supplyframe.com^$third-party
 ||supprent.com^$third-party
 ||supremeadsonline.com^$third-party
@@ -32787,7 +33210,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||trackingoffer.info^$third-party
 ||trackingoffer.net^$third-party
 ||tracklab.club^$third-party
-||trackmytarget.com^$third-party
 ||trackpath.biz^$third-party
 ||trackpromotion.net^$third-party
 ||trackstarsengland.net^$third-party
@@ -32927,6 +33349,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||undousun.com^$third-party
 ||unhardward.com^$third-party
 ||unicast.com^$third-party
+||unifini.de^$third-party
 ||unitethecows.com^$third-party
 ||universityofinternetscience.com^$third-party
 ||unlockr.com^$third-party
@@ -33005,7 +33428,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vibrant.co^$third-party
 ||vibrantmedia.com^$third-party
 ||victorance.com^$third-party
+||vid7delivery.com^$third-party
 ||vidcoin.com^$third-party
+||vidcpm.com^$third-party
 ||video-loader.com^$third-party
 ||video1404.info^$third-party
 ||videoadex.com^$third-party
@@ -33014,6 +33439,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||videoegg.com^$third-party
 ||videohub.com^$third-party
 ||videohube.eu^$third-party
+||videoindigen.com^$third-party
 ||videolansoftware.com^$third-party
 ||videoliver.com^$third-party
 ||videologygroup.com^$third-party
@@ -33025,6 +33451,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||videoroll.net^$third-party
 ||videovfr.com^$third-party
 ||vidpay.com^$third-party
+||vidsdelivery.com^$third-party
 ||viedeo2k.tv^$third-party
 ||view-ads.de^$third-party
 ||view.atdmt.com/partner/$third-party
@@ -33116,10 +33543,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||webads.nl^$third-party
 ||webadvertise123.com^$third-party
 ||webeatyouradblocker.com^$third-party
+||webmasterspub.com^$third-party
 ||webmedia.co.il^$third-party
 ||webonlinnew.com^$third-party
 ||weborama.fr^$third-party
 ||weborama.io^$third-party
+||webpushcloud.info^$third-party
 ||webseeds.com^$third-party
 ||webtradehub.com^$third-party
 ||webtraffic.ttinet.com^$third-party
@@ -33292,6 +33721,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||z-defense.com^$third-party
 ||z-gbtlfibnw.co^$third-party
 ||z5x.net^$third-party
+||zafrc.5780.site^$third-party
 ||zangocash.com^$third-party
 ||zanox-affiliate.de/ppv/$third-party
 ||zanox.com/ppv/$third-party
@@ -33327,6 +33757,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zoomdirect.com.au^$third-party
 ||zorwrite.com^$third-party
 ||zugo.com^$third-party
+||zukxd6fkxqn.com^$third-party
 ||zwaar.org^$third-party
 ||zxxds.net^$third-party
 ||zyiis.net^$third-party
@@ -33359,6 +33790,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||chiptionics.co^$third-party
 ||chness.co^$third-party
 ||ckivxgxgqknk.com^$third-party
+||cklad.xyz^$third-party
 ||clifftopper.com^$third-party
 ||conceau.co^$third-party
 ||conflibred.co^$third-party
@@ -33943,6 +34375,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ac2510b178ade.com^$third-party
 ||acamar.xyz^$third-party
 ||achird.xyz^$third-party
+||acloudvideos.com^$third-party
 ||acubens.xyz^$third-party
 ||ad1data.com^$third-party
 ||ad1rtb.com^$third-party
@@ -34053,6 +34486,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cfb943e26351a.com^$third-party
 ||cg1bz6tf.loan^$third-party
 ||chainwalladsy.com^$third-party
+||charmour.club^$third-party
 ||chenaladenews.com^$third-party
 ||cisgbirj.website^$third-party
 ||ckdegfi5.faith^$third-party
@@ -34396,16 +34830,23 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ! Tag adservers
 ||1el-1el-fie.com^$third-party
 ||1elllwrite.com^$third-party
+||1hanritten.com^$third-party
+||1sen-pit-fan.com^$third-party
+||2an-hit-ren.com^$third-party
 ||2delllwrite.com^$third-party
 ||2el-2el-fie.com^$third-party
+||3delllwrite.com^$third-party
 ||3el-3el-fie.com^$third-party
 ||4dtrk.com^$third-party
+||addroplet.com^$third-party
 ||badtopwitch.work^$third-party
+||baletingo.com^$third-party
 ||bandelcot.com^$third-party
 ||belwrite.com^$third-party
 ||bip-bip-blip.com^$third-party
 ||bipwrite.com^$third-party
 ||bit-bork-boodle.com^$third-party
+||blatungo.com^$third-party
 ||bob-bob-bobble.com^$third-party
 ||bobblewrite.com^$third-party
 ||boodlewrite.com^$third-party
@@ -34416,6 +34857,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cash-ca-ching.com^$third-party
 ||catwrite.com^$third-party
 ||centwrite.com^$third-party
+||clickperks.info^$third-party
 ||cold-cold-freezing.com^$third-party
 ||crickwrite.com^$third-party
 ||data-data-vac.com^$third-party
@@ -34434,6 +34876,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hash-hash-tag.com^$third-party
 ||havenwrite.com^$third-party
 ||host-host-ads.com^$third-party
+||infrashift.com^$third-party
+||jeinvegpool.com^$third-party
 ||la-la-moon.com^$third-party
 ||la-la-sf.com^$third-party
 ||livwrite.com^$third-party
@@ -34442,6 +34886,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||new-new-years.com^$third-party
 ||new17write.com^$third-party
 ||newsadst.com^$third-party
+||normkela.com^$third-party
 ||parwrite.com^$third-party
 ||qel-qel-fie.com^$third-party
 ||qelllwrite.com^$third-party
@@ -34478,8 +34923,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xmas-xmas-wow.com^$third-party
 ||zel-zel-fie.com^$third-party
 ||zelllwrite.com^$third-party
+||zenhppyad.com^$third-party
 ||zim-zim-zam.com^$third-party
+||zinhavnpak.com^$third-party
 ||zip-zip-swan.com^$third-party
+||zlacraft.com^$third-party
 ||zorango.com^$third-party
 ! Mobile
 ||adbuddiz.com^$third-party
@@ -34597,7 +35045,283 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||viuboin4.com^$third-party
 ||yie4zooseif.info^$third-party
 ! popads.net
+||aayaknbn.com^$third-party
+||afgbvhocfvpm.com^$third-party
+||afzoyaquhjltdd.com^$third-party
+||aggpfmdtzf.com^$third-party
+||aikdakxoc.com^$third-party
+||aitdwhmcvlm.com^$third-party
+||aizopowmtnho.com^$third-party
+||alkagrkgvltzlk.com^$third-party
+||asbqyhrpty.com^$third-party
+||aultemeztokc.com^$third-party
+||avrdrpwt.com^$third-party
+||axmxarqxbkc.com^$third-party
+||ayyxveilslz.com^$third-party
+||azdhfnoojvpuvr.com^$third-party
+||baphruesqm.com^$third-party
+||bbxaumvpzqpunx.com^$third-party
+||bikuetrh.com^$third-party
+||bimwswreljucxa.com^$third-party
+||birslhmnnc.com^$third-party
+||bmoshyiypks.com^$third-party
+||bpnjigwalqjho.com^$third-party
+||brfyubakyg.com^$third-party
+||burobtnbpgkh.com^$third-party
+||bvcddoyb.com^$third-party
+||caucqpoeg.com^$third-party
+||ccemeoqbqb.com^$third-party
+||cfskcqrwbog.com^$third-party
+||cifipkbu.com^$third-party
+||cjgpifztileh.com^$third-party
+||ckxyvauhqfuoin.com^$third-party
+||crgfbmzsk.com^$third-party
+||crvvrxfgsvohiy.com^$third-party
+||ctjtlrmy.com^$third-party
+||cttnlnsnwdokqb.com^$third-party
+||cybzsdkmrqgy.com^$third-party
+||cytpfucbb.com^$third-party
+||degitlwfezpe.com^$third-party
+||dergevqzqi.com^$third-party
+||derqboxqca.com^$third-party
+||dfawfyhesfe.com^$third-party
+||dfjaoecxqyox.com^$third-party
+||dieohupl.com^$third-party
+||djnroblmpyxrh.com^$third-party
+||dlwmksxohvw.com^$third-party
+||dmrqnwtyttd.com^$third-party
+||docqacvwhgbxv.com^$third-party
+||dwvfccxbj.com^$third-party
+||dxzgoyzo.com^$third-party
+||dydxtkvmktumjp.com^$third-party
+||dzqoubtxsaskdl.com^$third-party
+||dzztjcbt.com^$third-party
+||efebafmqn.com^$third-party
+||elwbhndbxfqk.com^$third-party
+||enynwkvdb.com^$third-party
+||eotbkgjqu.com^$third-party
+||eplocjhuxsoj.com^$third-party
+||eqhawyidkdug.com^$third-party
+||ewopxadcn.com^$third-party
+||fcjodgfpjiswa.com^$third-party
+||fdbrwxtm.com^$third-party
+||fgnzizhe.com^$third-party
+||fgsjjpjhdlfthp.com^$third-party
+||fhtlyoqzyjjof.com^$third-party
+||flbecoidmt.com^$third-party
+||flnqkhnqjcmvp.com^$third-party
+||fpdsavexteno.com^$third-party
+||ftuohzeijbkm.com^$third-party
+||ftymzxmic.com^$third-party
+||fuaawvoqbzza.com^$third-party
+||fxdglnldbnyq.com^$third-party
+||fzccvcrsbtb.com^$third-party
+||gbwhqbiiq.com^$third-party
+||ghjlhnbc.com^$third-party
+||gifjvmfkzykp.com^$third-party
+||gmeomlvmqlmu.com^$third-party
+||gouowkjmewn.com^$third-party
+||gqlaoeyczxsvk.com^$third-party
+||gsjhehtqvin.com^$third-party
+||gvahzhgblkkyr.com^$third-party
+||hcyqwhquqjosn.com^$third-party
+||hdoabbjyyebca.com^$third-party
+||hdxfyoziizy.com^$third-party
+||hfslmsbj.com^$third-party
+||hjjdmohuzp.com^$third-party
+||hkhotpewfxr.com^$third-party
+||hoyqhygv.com^$third-party
+||hpufwccrmiwz.com^$third-party
+||hsufwxpdtddlh.com^$third-party
+||imnsmvmjrdiwwr.com^$third-party
+||iogutpkrkkycq.com^$third-party
+||ipehunxxyir.com^$third-party
+||itsyuvrlesq.com^$third-party
+||izwzyhlm.com^$third-party
+||jakzpcgrxgda.com^$third-party
+||jbcadlpdfsxsfe.com^$third-party
+||jecbbkrnfn.com^$third-party
+||jeeumttalzwt.com^$third-party
+||jkywbooyc.com^$third-party
+||jlmnnrwuqz.com^$third-party
+||jnhjvkapqf.com^$third-party
+||jpxevzab.com^$third-party
+||jzgtnetghdc.com^$third-party
+||kacfofrcndc.com^$third-party
+||katxkxcncwool.com^$third-party
+||kcnyhfmowc.com^$third-party
+||kfxrukfzqazrs.com^$third-party
+||kfyhxmycgjaqkn.com^$third-party
+||kgkkfrvujnqf.com^$third-party
+||khdmabhykmj.com^$third-party
+||khefhmgfwnnqgv.com^$third-party
+||klhjuuwrmxyjsn.com^$third-party
+||krpdqnnb.com^$third-party
+||kujwlsnl.com^$third-party
+||kwajysvvjeyvs.com^$third-party
+||kweayxzfazrws.com^$third-party
+||kwsmqtposrub.com^$third-party
+||lbaybxwiklnfe.com^$third-party
+||llhjbwcjnuii.com^$third-party
+||llpdtbmowsg.com^$third-party
+||ltvrdftgr.com^$third-party
+||lusfrsxgxopm.com^$third-party
+||lvcrcimfmfx.com^$third-party
+||lxymfyptdrast.com^$third-party
+||maidlytsnrn.com^$third-party
+||mcaybfrnrqpmv.com^$third-party
+||mdulmrphzsnvw.com^$third-party
+||mgxjvidt.com^$third-party
+||mhhjdlsnji.com^$third-party
+||mldsiekmhy.com^$third-party
+||msoiqafieh.com^$third-party
+||mstmrspnqqevsu.com^$third-party
+||mwnhdnkevthkz.com^$third-party
+||mxzxeersjv.com^$third-party
+||myqvhpjyd.com^$third-party
+||nbvbblmksiahf.com^$third-party
+||ngptxgpbdnutvi.com^$third-party
+||nidksyrrrtckzj.com^$third-party
+||nikxhdrys.com^$third-party
+||nllbirpx.com^$third-party
+||nlnhfsmo.com^$third-party
+||nmywwgnnkmud.com^$third-party
+||nnroeulsnslk.com^$third-party
+||novhyaxaioxaon.com^$third-party
+||ntkuokicthbxc.com^$third-party
+||ntwhbuqmel.com^$third-party
+||nwwuhiukrq.com^$third-party
+||nxewruvxprbd.com^$third-party
+||nywpxugigwfzb.com^$third-party
+||obpzuctfozram.com^$third-party
+||ofrducrisy.com^$third-party
+||ogjascdgq.com^$third-party
+||ognybevu.com^$third-party
+||olgjzpgp.com^$third-party
+||pegfkacjwjca.com^$third-party
+||peyttlwbznahi.com^$third-party
+||pkxquvydrgin.com^$third-party
+||pmohsibnim.com^$third-party
+||pqajjgjg.com^$third-party
+||prgncwamr.com^$third-party
+||ptrahwwg.com^$third-party
+||ptxqjyqhscs.com^$third-party
+||pvpqgjkgvszq.com^$third-party
+||qczvjjdbaj.com^$third-party
+||qevmzohvwxesrd.com^$third-party
+||qfsutura.com^$third-party
+||qgawivqfotfyrw.com^$third-party
+||qknfsqxxm.com^$third-party
+||qkyzjwhyeh.com^$third-party
+||qnhwhedcrzeodd.com^$third-party
+||qowmqduocv.com^$third-party
+||qpqnbnsnosdss.com^$third-party
+||qyiiudex.com^$third-party
+||qytabshszekf.com^$third-party
+||qzbnokxxvvpwf.com^$third-party
+||rcumwyqkv.com^$third-party
+||rdfpnzisjyiwtu.com^$third-party
+||rdooybwcuyg.com^$third-party
+||rhypgggd.com^$third-party
+||rkczvumivvb.com^$third-party
+||rkgznnhikrfphq.com^$third-party
+||rmjwdosemtg.com^$third-party
+||ropkrhilt.com^$third-party
+||runwtxeisppmt.com^$third-party
+||rwugdvqdpxfz.com^$third-party
+||rwugglxboxgw.com^$third-party
+||ryybhoklizmuew.com^$third-party
+||rzfldcrlwe.com^$third-party
+||scjczeqyuqjs.com^$third-party
+||secfpgpqx.com^$third-party
+||shohabiymgjxdb.com^$third-party
+||sjqpctsz.com^$third-party
+||slwclrwmruuxav.com^$third-party
+||symydvmqjjp.com^$third-party
+||taqesyqne.com^$third-party
+||tfqexqeldxjvet.com^$third-party
+||tjdrxdsto.com^$third-party
+||tjyoznaozivi.com^$third-party
+||tktyinaabq.com^$third-party
+||tmhgsorajits.com^$third-party
+||tqixovpneycfmk.com^$third-party
+||tufpmrcdc.com^$third-party
+||tvevyrrrnbcbyk.com^$third-party
+||twiyetehf.com^$third-party
+||tylzbdkjsjig.com^$third-party
+||tzyvolvenvyim.com^$third-party
+||uclylhzwg.com^$third-party
+||ufugfbtpp.com^$third-party
+||ulrryqpp.com^$third-party
+||uqemcyylvcdrgs.com^$third-party
+||usfmwydo.com^$third-party
+||utmcttmdaoqd.com^$third-party
+||utuqrzwg.com^$third-party
+||uubxhbwnwmfqp.com^$third-party
+||uvlyzxml.com^$third-party
+||uwidtpjwh.com^$third-party
+||uxnssjly.com^$third-party
+||uyxjfkgudefv.com^$third-party
+||uzylpwfamhcb.com^$third-party
+||vbjpddtj.com^$third-party
+||veoujrnenng.com^$third-party
+||vlhdmywfi.com^$third-party
+||vndfakned.com^$third-party
+||vrzparvhipmo.com^$third-party
+||vsrpztnxdejo.com^$third-party
+||vsxjjmyz.com^$third-party
+||vtmkgqcvzvlsdt.com^$third-party
+||vuwojxgklca.com^$third-party
+||vyjwsifvybc.com^$third-party
+||wawlfosfkdy.com^$third-party
+||wcyqoiyohhav.com^$third-party
+||wdjbxcdriyjoeu.com^$third-party
+||wduygininqbu.com^$third-party
+||weqfcudxrrbwn.com^$third-party
+||wgssxjoac.com^$third-party
+||widpzvyx.com^$third-party
+||wiklrrrwqqf.com^$third-party
+||wjgddzpvx.com^$third-party
+||wmqdgaptep.com^$third-party
+||wnstpoiqrv.com^$third-party
+||wozltvfxtntaqk.com^$third-party
+||wyuakcwxmiunqj.com^$third-party
+||wzismevwhqixlq.com^$third-party
+||wznnfwhwwjkp.com^$third-party
+||xcyptaqhl.com^$third-party
+||xdonzpjglqxi.com^$third-party
+||xeflnvycs.com^$third-party
+||xihkdzijh.com^$third-party
+||xkhxejeaarq.com^$third-party
+||xkzzkxntmryst.com^$third-party
+||xlspkqpnnqj.com^$third-party
+||xmgrjuqqc.com^$third-party
+||xmlqerwrehfqo.com^$third-party
+||xsgacudwlysw.com^$third-party
+||xwavfvpzg.com^$third-party
+||xwrmlohlri.com^$third-party
+||yaikleyabl.com^$third-party
+||ydolseawnutnf.com^$third-party
+||yjijmpezje.com^$third-party
+||yjwymbwcjyfed.com^$third-party
+||ykixjehac.com^$third-party
+||ymgjtzciu.com^$third-party
+||ysljgoytuyfbg.com^$third-party
+||yvlhxqxw.com^$third-party
+||yvlmcehqt.com^$third-party
+||yxbglezas.com^$third-party
+||zbsqhxyjlh.com^$third-party
+||zgwuvfye.com^$third-party
+||zjwcddahpz.com^$third-party
+||zkowrpcb.com^$third-party
+||zlgokeby.com^$third-party
+||zplvjgpxvh.com^$third-party
+||zzmyypjedpfxck.com^$third-party
+! WARNING: Sites listed below can be harmful. Please, do not visit them if you don't know what you're doing!
+||wjgddzpvx.com^$third-party
+! 
 .bid^$script,third-party
+||aacgeuvaoqbw.com^$third-party
 ||aadbobwqgmzi.com^$third-party
 ||aaeqlxdgx.bid^$third-party
 ||aahfcroigwso.com^$third-party
@@ -34617,6 +35341,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||abekjzzhfbr.com^$third-party
 ||abunmrqsbfn.bid^$third-party
 ||abuuvohpzlcrp.bid^$third-party
+||abxlmhllf.com^$third-party
 ||abyvhqmfnvih.com^$third-party
 ||acjmkenepeyn.com^$third-party
 ||aclsqdpgeaik.com^$third-party
@@ -34626,6 +35351,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||acxujxzdluum.com^$third-party
 ||adfpkxvaqeyj.com^$third-party
 ||adgsfoxoavmc.com^$third-party
+||admlqqewbede.com^$third-party
 ||adofuokjj.bid^$third-party
 ||adrtgbebgd.bid^$third-party
 ||adtbomthnsyz.com^$third-party
@@ -34637,15 +35363,19 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aekduylxcmlevs.bid^$third-party
 ||aemhabst.bid^$third-party
 ||aenrqpnfmdogf.com^$third-party
+||aepwqsajypyti.com^$third-party
 ||aerkxydrptnv.com^$third-party
+||aerqvywe.com^$third-party
 ||aeuiazspafmbu.com^$third-party
 ||aeunorkjuqtn.com^$third-party
 ||aeyjbtwdf.bid^$third-party
+||aezeluusbdajjx.com^$third-party
 ||afbfoxmwzlqa.com^$third-party
 ||afdyfxfrwbfy.com^$third-party
 ||afedispdljgb.com^$third-party
 ||aflcdijgmr.bid^$third-party
 ||afpisdddjik.bid^$third-party
+||afqvtomlqjioeo.com^$third-party
 ||afqwfxkjmgwv.com^$third-party
 ||afyqzjxzuupmz.bid^$third-party
 ||agegefpkbll.bid^$third-party
@@ -34671,6 +35401,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ahyuzjgukqyd.com^$third-party
 ||ahzybvwdwrhi.com^$third-party
 ||aicrgbnswhc.bid^$third-party
+||aigysycrmuoetk.com^$third-party
 ||aiiaqehoqgrj.com^$third-party
 ||aionvpexcmm.com^$third-party
 ||aioxvilwpg.bid^$third-party
@@ -34685,9 +35416,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ajmyrtdiwvg.bid^$third-party
 ||ajocbplhzcvr.bid^$third-party
 ||ajrwmjdbey.com^$third-party
+||ajuegtbkqnh.com^$third-party
 ||ajxftwwmlinv.com^$third-party
 ||ajxwyowuylhos.bid^$third-party
 ||ajzxdeslpbnhp.bid^$third-party
+||akbiokbinnzh.com^$third-party
 ||akgustnmy.com^$third-party
 ||aknrvuahd.bid^$third-party
 ||akoeurmzrqjg.com^$third-party
@@ -34700,6 +35433,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aladbvddjsxf.com^$third-party
 ||alajwtqyw.com^$third-party
 ||alasdzdnfvtj.com^$third-party
+||aldaobpuhvl.com^$third-party
 ||algkebjdgafa.com^$third-party
 ||algnnojsdr.com^$third-party
 ||alidnquxirv.bid^$third-party
@@ -34717,14 +35451,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ammqwpksb.bid^$third-party
 ||ammuburyqlhsjx.bid^$third-party
 ||amnpmitevuxx.com^$third-party
+||amnrbviujof.com^$third-party
 ||ampnkoudpnd.bid^$third-party
 ||amqcdbles.com^$third-party
 ||amqtbshegbqg.com^$third-party
+||amwupsihqfewgr.com^$third-party
 ||anasjdzutdmv.com^$third-party
 ||anfjrxbxbar.bid^$third-party
 ||angtqemchz.bid^$third-party
 ||anjjyewywjw.bid^$third-party
 ||ankbmqtt.com^$third-party
+||ankcnflupb.com^$third-party
 ||anleqthwxxns.com^$third-party
 ||anluecyopslm.com^$third-party
 ||anogjkubvdfe.com^$third-party
@@ -34737,6 +35474,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||anyuwksovtwv.com^$third-party
 ||aodqhrwbaky.com^$third-party
 ||aofxqchnbtae.bid^$third-party
+||aohonqhbhuljz.com^$third-party
 ||aominpzhzhwj.com^$third-party
 ||aomvdhxvblfp.com^$third-party
 ||aoqpvhstmc.bid^$third-party
@@ -34770,13 +35508,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aqsijnkyauxur.bid^$third-party
 ||aqsuhqqgv.bid^$third-party
 ||aqtnrnuhqfaf.bid^$third-party
+||aqyhsqhggq.com^$third-party
 ||aragvjeosjdx.com^$third-party
 ||arawegnvvufy.com^$third-party
 ||arfttojxv.com^$third-party
+||arllvzkoh.com^$third-party
 ||arloxpiosxzjw.bid^$third-party
 ||arprijxrml.bid^$third-party
 ||arqxpopcywrr.bid^$third-party
 ||artnbnbam.com^$third-party
+||artucripkzu.com^$third-party
 ||arxerlxllv.bid^$third-party
 ||aryufuxbmwnb.com^$third-party
 ||asecxggulyrf.com^$third-party
@@ -34784,6 +35525,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||asmvccgoy.bid^$third-party
 ||asotnnwspw.bid^$third-party
 ||asqamasz.com^$third-party
+||aszdmbftkccdkj.com^$third-party
 ||ataufekxogxr.com^$third-party
 ||atcyboopajyp.com^$third-party
 ||atebqbjh.bid^$third-party
@@ -34797,6 +35539,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aueceijyp.bid^$third-party
 ||aufyuiavvkf.bid^$third-party
 ||autkmgrbdlbj.com^$third-party
+||avbnzstidjh.com^$third-party
 ||avdfcctzwfdk.com^$third-party
 ||avditmiohvtq.bid^$third-party
 ||avefyjulko.bid^$third-party
@@ -34805,6 +35548,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||avokvnpqunol.bid^$third-party
 ||avptczdpdh.bid^$third-party
 ||avrdpbiwvwyt.com^$third-party
+||avvfgiytnir.com^$third-party
 ||avvlnbpwpemfl.bid^$third-party
 ||avzkjvbaxgqk.com^$third-party
 ||awaeswvqd.bid^$third-party
@@ -34817,13 +35561,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||awrspmpj.com^$third-party
 ||awsatstb.com^$third-party
 ||awvrvqxq.com^$third-party
+||awvuhwqyimgd.com^$third-party
 ||awxjpkxoqfwaj.bid^$third-party
 ||axaggthnkquj.com^$third-party
 ||axbouiklwghehw.com^$third-party
 ||axbpixbcucv.bid^$third-party
 ||axbsdoysiogrrc.bid^$third-party
 ||axeobgnsk.com^$third-party
+||axfihweksrgor.com^$third-party
 ||axfkfstrbacx.com^$third-party
+||axglltqwtmnl.com^$third-party
 ||axhkxqmrqxf.bid^$third-party
 ||axjnnlrc.bid^$third-party
 ||axkiznybznfa.bid^$third-party
@@ -34869,8 +35616,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bbqqjejhd.bid^$third-party
 ||bbtlombqjr.bid^$third-party
 ||bbzwbxchqgph.com^$third-party
+||bcgcvepi.com^$third-party
 ||bckmtidcnrobwh.bid^$third-party
 ||bckwfsvdgfjw.com^$third-party
+||bcnhnekodmdniu.com^$third-party
 ||bcnikicdi.bid^$third-party
 ||bcoavtimgn.bid^$third-party
 ||bcxdjxlassr.bid^$third-party
@@ -34881,10 +35630,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bddfeltry.bid^$third-party
 ||bdggxjonzbmq.com^$third-party
 ||bdkduogsu.bid^$third-party
+||bdotqoqzxauf.com^$third-party
 ||bdozkocgkljj.com^$third-party
 ||bdrfwkzu.bid^$third-party
 ||bdyzewccsqpw.com^$third-party
 ||bebufuspldzh.com^$third-party
+||bebxxrgjigz.com^$third-party
 ||beeseggjfru.bid^$third-party
 ||befxqicnz.bid^$third-party
 ||begbkbqywd.bid^$third-party
@@ -34894,10 +35645,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||behybmunweid.com^$third-party
 ||bektvxxfv.bid^$third-party
 ||beufosew.bid^$third-party
+||bewcmime.com^$third-party
 ||bewovdhiubnk.com^$third-party
 ||bewumuhax.bid^$third-party
 ||bexogxapbqict.bid^$third-party
 ||bezcmsrzx.com^$third-party
+||bezqvpliexxtfw.com^$third-party
 ||bfcazxhkofa.club^$third-party
 ||bfdihioj.com^$third-party
 ||bfhavmgufvhn.com^$third-party
@@ -34923,6 +35676,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bhbkfoybvrl.bid^$third-party
 ||bhcpmowwxwbv.com^$third-party
 ||bhejerqgrtlq.com^$third-party
+||bhfpvqdmjarlk.com^$third-party
 ||bhggbeynqhwm.bid^$third-party
 ||bhjhijisulwl.com^$third-party
 ||bhklyaazmxq.com^$third-party
@@ -34931,6 +35685,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bhmqoolzgxnp.com^$third-party
 ||bhuewuodwz.bid^$third-party
 ||bhyqllgtzjee.com^$third-party
+||bhyyevhmha.com^$third-party
 ||bictxzszwkwghn.com^$third-party
 ||biftbtajfs.bid^$third-party
 ||bihzqdflxeelc.com^$third-party
@@ -34938,7 +35693,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||binasmdul.com^$third-party
 ||bircgizd.com^$third-party
 ||birpidnl.com^$third-party
+||bisvljlzmai.com^$third-party
 ||biwjfwhxoy.bid^$third-party
+||bjcunwelpd.com^$third-party
 ||bjdfckchzsa.bid^$third-party
 ||bjenzpojtgvo.club^$third-party
 ||bjfxcvebjrcuce.bid^$third-party
@@ -34949,11 +35706,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bjknjsfrevt.bid^$third-party
 ||bjkookfanmxx.bid^$third-party
 ||bjmrnfwcoqp.bid^$third-party
+||bjnxegsgre.com^$third-party
 ||bjpktmjdxqpl.com^$third-party
 ||bjshimgqbc.com^$third-party
 ||bjswchnxfoui.bid^$third-party
 ||bjvynucz.bid^$third-party
 ||bjzcyqezwksznxxhscsfcogugkyiupgjhikadadgoiruasxpxo.com^$third-party
+||bjzegkfv.com^$third-party
 ||bkeueifcqeicli.bid^$third-party
 ||bkgesylgvrgf.com^$third-party
 ||bkggsumw.bid^$third-party
@@ -34996,6 +35755,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bnnsgqjofzar.com^$third-party
 ||bnqaljyjkpwmiu.bid^$third-party
 ||bnqgubwpq.com^$third-party
+||bnstnhto.com^$third-party
 ||bnwjoqkudmh.bid^$third-party
 ||bocksnabswdq.com^$third-party
 ||boevznvrllm.bid^$third-party
@@ -35034,6 +35794,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||brycnuxoytuang.com^$third-party
 ||brygxppyaugt.com^$third-party
 ||brzmefeoqwdakc.bid^$third-party
+||brztxamj.com^$third-party
 ||bsaixnxcpaai.com^$third-party
 ||bsepyppitmkkf.com^$third-party
 ||bslgmaxqild.bid^$third-party
@@ -35048,6 +35809,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||btjxbwiehrm.bid^$third-party
 ||btkaoblylg.bid^$third-party
 ||btkcdqrzmqca.com^$third-party
+||btmcxzanpsi.com^$third-party
+||btnbdmhxdsf.com^$third-party
 ||btpgbmvlk.bid^$third-party
 ||btqwmdinav.com^$third-party
 ||btsimocheozy.bid^$third-party
@@ -35070,6 +35833,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bvqfuryhas.bid^$third-party
 ||bvreosoejjt.bid^$third-party
 ||bvrkzhtxlgono.com^$third-party
+||bvwzffbinbou.com^$third-party
 ||bvyoekxfjwpa.com^$third-party
 ||bvzhalhubwkbg.bid^$third-party
 ||bvzjhnqrypiv.com^$third-party
@@ -35083,6 +35847,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bwssvome.com^$third-party
 ||bwuxrzvr.bid^$third-party
 ||bwyckpmsolzk.com^$third-party
+||bwzohoomljs.com^$third-party
 ||bxexufifrsfr.com^$third-party
 ||bxfsdzpffy.bid^$third-party
 ||bxoemfpetyqi.bid^$third-party
@@ -35091,6 +35856,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bxrjiqoajbbh.com^$third-party
 ||bxtcgufurbdk.bid^$third-party
 ||bxwbflhpk.com^$third-party
+||bxxlvfhaxwscz.com^$third-party
 ||bxzkknilgmdt.bid^$third-party
 ||bydbjtaoy.bid^$third-party
 ||byecttekgbksr.bid^$third-party
@@ -35100,6 +35866,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||byqmzodcdhhu.com^$third-party
 ||byspwzspx.bid^$third-party
 ||byufpbvjpedvpx.com^$third-party
+||byuwgtzpawzzd.com^$third-party
 ||byxlzyvfgb.bid^$third-party
 ||bzbaizntfrhl.com^$third-party
 ||bzeidqugwde.bid^$third-party
@@ -35108,6 +35875,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bzjtjfjteazqzmukjwhyzsaqdtouiopcmtmgdiytfdzboxdann.com^$third-party
 ||bzlvolaqiy.bid^$third-party
 ||bznmgijglbpr.com^$third-party
+||bzqqaoeufrld.com^$third-party
+||bzsbtfiz.com^$third-party
 ||bzyrhqbdldds.com^$third-party
 ||cacpcaizwx.bid^$third-party
 ||cadulscdfhtcb.bid^$third-party
@@ -35115,15 +35884,19 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cahepysgenpb.com^$third-party
 ||carsxardivaf.com^$third-party
 ||cawcwpvmpcje.com^$third-party
+||cayaaebmb.com^$third-party
 ||cbbabemymc.com^$third-party
 ||cbehcazifywmro.bid^$third-party
 ||cbnrvzfvmd.com^$third-party
 ||cbolsxvresvu.bid^$third-party
 ||cbrqndeptsw.com^$third-party
+||cbsfcpciitwcky.com^$third-party
+||cbtdjpspjp.com^$third-party
 ||cbwrwcjdctrj.com^$third-party
 ||cbxadrwlccrky.bid^$third-party
 ||cbxqceuuwnaz.com^$third-party
 ||cbxtnudkklwh.com^$third-party
+||cbyjjheawrcfq.com^$third-party
 ||ccabzumewfk.bid^$third-party
 ||ccaypkuiauizuh.bid^$third-party
 ||ccbaobjyprxh.com^$third-party
@@ -35180,6 +35953,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cihnrhqwbcsq.com^$third-party
 ||cijfsxtsjpx.bid^$third-party
 ||cijwskfvye.com^$third-party
+||cijzoindd.com^$third-party
 ||cikzhemgwchl.com^$third-party
 ||cimcshjoue.com^$third-party
 ||cimpmvccrg.bid^$third-party
@@ -35191,14 +35965,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cixjmaxkemzknxxuyvkbzlhvvgeqmzgopppvefpfkqdraonoez.com^$third-party
 ||cjbaeegayainxl.bid^$third-party
 ||cjhdmrcv.com^$third-party
+||cjkjeyjbl.com^$third-party
 ||cjnoeafncyzb.com^$third-party
 ||cjnqsrzyhil.com^$third-party
 ||cjnwobsladbq.com^$third-party
 ||cjprndsozzdu.bid^$third-party
+||cjuntyydjokvde.com^$third-party
 ||cjvgnswapbqo.com^$third-party
 ||cjxdbmxtnqmy.com^$third-party
 ||cjxkzkzmdomd.com^$third-party
 ||ckfctuaga.com^$third-party
+||ckhfffgt.com^$third-party
 ||ckjdnyvcop.bid^$third-party
 ||ckjflngcqcfl.bid^$third-party
 ||ckjjcarzu.com^$third-party
@@ -35224,6 +36001,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cmdnzbuynnm.com^$third-party
 ||cmdotgwjhpqf.com^$third-party
 ||cmhwwdwfiyx.com^$third-party
+||cmjjzwddw.com^$third-party
 ||cmpkynhhmkni.com^$third-party
 ||cmpsuzvr.com^$third-party
 ||cmqeojydveotb.bid^$third-party
@@ -35232,20 +36010,24 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cmwsdhdyregbyn.bid^$third-party
 ||cmyjgtiihmit.bid^$third-party
 ||cmyzmrgrtyrkt.com^$third-party
+||cnckdochd.com^$third-party
 ||cnfiukuediuy.com^$third-party
 ||cnfuhtsefojuk.com^$third-party
 ||cnjkrbhtbv.com^$third-party
 ||cnntsmnymvnp.com^$third-party
 ||cnnzfijy.bid^$third-party
 ||cnoytvqomyhjz.com^$third-party
+||cnqanzdb.com^$third-party
 ||cnsnoljocc.com^$third-party
 ||cnuxnqgjkjqmky.bid^$third-party
 ||cnyblliqyhcs.bid^$third-party
 ||cnygzgurqpwop.bid^$third-party
 ||cogxsnvqesph.com^$third-party
+||cohhcaahxxcf.com^$third-party
 ||coiphezlzpl.bid^$third-party
 ||cokfwpfycgzjvn.bid^$third-party
 ||cokrrmzagaxn.com^$third-party
+||collamps.com^$third-party
 ||comgnnyx.com^$third-party
 ||comwgi.com^$third-party
 ||cortxphssdvc.com^$third-party
@@ -35256,7 +36038,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cozclrlpsk.com^$third-party
 ||cozjfzlng.com^$third-party
 ||cpamnizzierk.com^$third-party
+||cpbtcwar.com^$third-party
 ||cpdafetdjtdsy.com^$third-party
+||cpdbkckekff.com^$third-party
 ||cpdoalzgwnwf.com^$third-party
 ||cpgiseaopbx.bid^$third-party
 ||cphxwpicozlatvnsospudjhswfxwmykgbihjzvckxvtxzfsgtx.com^$third-party
@@ -35277,6 +36061,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cqskvtpeqcp.bid^$third-party
 ||cqsmswwidrn.bid^$third-party
 ||cqvbvpxnqqcfwl.bid^$third-party
+||cqzqdoqsgxyf.com^$third-party
 ||credbgvhijbcj.com^$third-party
 ||creyboif.bid^$third-party
 ||crijpgcer.com^$third-party
@@ -35290,6 +36075,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cruqmpwhczna.bid^$third-party
 ||crzhxquiyo.com^$third-party
 ||crzlkluxnigce.com^$third-party
+||crzojmwnnq.com^$third-party
 ||csbsyukodmga.com^$third-party
 ||cscactmkbfvn.com^$third-party
 ||csdqikvba.bid^$third-party
@@ -35298,23 +36084,28 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cstdfxkxbqbc.com^$third-party
 ||csxokexd.com^$third-party
 ||csyngxtkifrh.com^$third-party
+||ctfscglqjzkfe.com^$third-party
 ||ctgoivpnnze.bid^$third-party
 ||ctimfrfrmqip.com^$third-party
 ||ctjjftxn.bid^$third-party
 ||ctjwmzryhcoj.com^$third-party
 ||ctnbnbjcjfkf.bid^$third-party
+||ctohqzii.com^$third-party
 ||ctplyvuuzdcv.com^$third-party
 ||ctvsgkoe.bid^$third-party
 ||ctzvtevpcssx.com^$third-party
 ||cuabgfjnib.bid^$third-party
 ||cuchpagh.com^$third-party
+||cuecxgwkjtan.com^$third-party
 ||cuguwxkasghy.com^$third-party
 ||cuhicevdjsfey.com^$third-party
+||cukabtvyl.com^$third-party
 ||cupzwcxgx.com^$third-party
 ||cuvbcwgenwytrk.bid^$third-party
 ||cuxsmovh.bid^$third-party
 ||cvffhevoebnz.com^$third-party
 ||cvhpuccaib.bid^$third-party
+||cvnmmeux.com^$third-party
 ||cvwipkjyu.bid^$third-party
 ||cwdnbhhmdnm.com^$third-party
 ||cwhuavlffzvhyi.bid^$third-party
@@ -35329,17 +36120,21 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cwxqufxcqopi.com^$third-party
 ||cwznlbsep.bid^$third-party
 ||cxgwwsapihlo.com^$third-party
+||cxhfzipv.com^$third-party
 ||cxkllhjrrpjp.bid^$third-party
 ||cxnxognwkuxm.com^$third-party
 ||cxoxruotepqgcvgqxdlwwucgyazmbkhdojqzihljdwwfeylovh.com^$third-party
 ||cxqevkkfhdqu.bid^$third-party
 ||cxrmgoybhyrk.com^$third-party
+||cybkhbkuobl.com^$third-party
 ||cymuxbcnhinm.com^$third-party
 ||cyrirvvrn.com^$third-party
 ||cyrrbejq.bid^$third-party
+||cyssfnqt.com^$third-party
 ||cyufjpvzaf.com^$third-party
 ||cywegkfcrhup.com^$third-party
 ||cyxagtpeggjv.com^$third-party
+||czaxrbclfse.com^$third-party
 ||czbtfksgtcuy.com^$third-party
 ||czcbkaptwfmv.com^$third-party
 ||czcydlrnu.com^$third-party
@@ -35365,6 +36160,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dagqnyapwql.bid^$third-party
 ||dahakbkwgvwzb.bid^$third-party
 ||daiwyihpjhdy.com^$third-party
+||daizzagvvnv.com^$third-party
 ||dajoetsja.com^$third-party
 ||daohvygdwvj.bid^$third-party
 ||dapvmnnttetuu.bid^$third-party
@@ -35387,7 +36183,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dcdalkgtbmip.com^$third-party
 ||dcdqvukf.bid^$third-party
 ||dcgbswcvywyl.com^$third-party
+||dclmmbjyshy.com^$third-party
 ||dcmatjqifoim.com^$third-party
+||dcmhpbpdcsy.com^$third-party
 ||dcneohtx.com^$third-party
 ||dcqyyaprodclf.bid^$third-party
 ||dcybolsar.bid^$third-party
@@ -35397,16 +36195,20 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ddjodgzhxyjtaa.bid^$third-party
 ||ddprxzxnhzbq.com^$third-party
 ||debuackedhkvu.bid^$third-party
+||deebwmbbytr.com^$third-party
 ||dehyogsjbk.bid^$third-party
 ||deouvnqbgflv.com^$third-party
 ||deqrdwsjlpjz.com^$third-party
 ||derpqpyvym.bid^$third-party
 ||dexxxrggi.com^$third-party
+||deyzjaiggwz.com^$third-party
 ||dfbtmkwdcajsy.bid^$third-party
 ||dfcwecvmjtdj.com^$third-party
 ||dfgwnkricjcko.bid^$third-party
 ||dfllzlsztzqwz.bid^$third-party
 ||dfnnhwiyxjajhq.com^$third-party
+||dfrcdywe.com^$third-party
+||dfrekewe.com^$third-party
 ||dfujqyjifvoe.com^$third-party
 ||dfxemnxrsal.bid^$third-party
 ||dgbhmpumhxy.bid^$third-party
@@ -35433,6 +36235,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dhrjzwqpweidm.bid^$third-party
 ||dhsztvyjwcmk.com^$third-party
 ||dhvaigzy.com^$third-party
+||dhvzrpvjwibr.com^$third-party
 ||dhxjrqegphza.bid^$third-party
 ||dhzmxkoq.bid^$third-party
 ||dibpvaoi.bid^$third-party
@@ -35444,16 +36247,20 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||disbkzufvqhk.com^$third-party
 ||ditouyldfqgt.com^$third-party
 ||diuiyzhao.com^$third-party
+||diwiosqupuecg.com^$third-party
 ||diwkemnk.bid^$third-party
 ||diysqcbfyuru.com^$third-party
+||djavljmti.com^$third-party
 ||djbnmqdawodm.com^$third-party
 ||djcbhuwplfpui.bid^$third-party
+||djeoxopgw.com^$third-party
 ||djhqkoikovr.bid^$third-party
 ||djjckavq.com^$third-party
 ||djntmaplqzbi.com^$third-party
 ||djqercix.com^$third-party
 ||djrkauxla.bid^$third-party
 ||djtclldgsocbv.bid^$third-party
+||djuxmbjauluis.com^$third-party
 ||djxvususwvso.com^$third-party
 ||djzmpsingsrtfsnbnkphyagxdemeagsiabguuqbiqvpupamgej.com^$third-party
 ||dkadbasc.bid^$third-party
@@ -35469,6 +36276,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dlemeyrkjy.com^$third-party
 ||dlganxfc.bid^$third-party
 ||dlntzbuskygwj.com^$third-party
+||dlpgebxqq.com^$third-party
 ||dlsgjkayn.com^$third-party
 ||dlzksaqygxare.com^$third-party
 ||dmatquyckwtu.com^$third-party
@@ -35485,12 +36293,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dmyypseympjf.com^$third-party
 ||dneglbgcycpcab.bid^$third-party
 ||dneqghbwlmyjnj.com^$third-party
+||dnewbvwrvadt.com^$third-party
+||dngsuhxuzb.com^$third-party
 ||dnjxoflvkvec.com^$third-party
 ||dnntgcfejsg.bid^$third-party
 ||dnoucjqzsasm.com^$third-party
 ||dnqejgrbtlxe.com^$third-party
 ||dnrtjavop.com^$third-party
 ||dnrzajdjq.com^$third-party
+||dnsapimzlvmcis.com^$third-party
 ||dnsqqdordvpv.com^$third-party
 ||dntlpwpjwcfu.com^$third-party
 ||dnvndngbn.bid^$third-party
@@ -35510,14 +36321,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dpallyihgtgu.com^$third-party
 ||dpbviawkrumynm.com^$third-party
 ||dpkdwhfdrvxzcr.bid^$third-party
+||dpmvpttamz.com^$third-party
 ||dpmyrskvbznvn.com^$third-party
 ||dppcevxbshdl.com^$third-party
 ||dpqytzwxohcd.bid^$third-party
 ||dprdhzofq.bid^$third-party
 ||dpwmloknxtuw.com^$third-party
 ||dqcqavgqk.bid^$third-party
+||dqdnwhyxeblt.com^$third-party
 ||dqfhklmwj.com^$third-party
 ||dqkeldpjzq.bid^$third-party
+||dqlcgelw.com^$third-party
 ||dqpamcouthqv.com^$third-party
 ||dqpywdubbxih.com^$third-party
 ||dqusbshqrtv.bid^$third-party
@@ -35527,6 +36341,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||drqjihcfdrqj.com^$third-party
 ||drragqvk.bid^$third-party
 ||drtqfejznjnl.com^$third-party
+||drumuwimmzxqps.com^$third-party
 ||dsdiztki.bid^$third-party
 ||dsevjzklcjjb.com^$third-party
 ||dsibzjqbtkjqd.bid^$third-party
@@ -35538,7 +36353,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dtiwhkapsgva.bid^$third-party
 ||dtmwwpykiqng.com^$third-party
 ||dtnzlmwgujhgmj.bid^$third-party
+||dtosduecka.com^$third-party
 ||dtpictvzcqqm.bid^$third-party
+||dtrwlquawlp.com^$third-party
 ||dtzlgtmqoj.bid^$third-party
 ||dubijsirwtwq.com^$third-party
 ||dubzmzpdkddi.com^$third-party
@@ -35559,10 +36376,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||duvyjbofwfqh.com^$third-party
 ||duxyrxhfwilv.com^$third-party
 ||duyxfipwgrzwwd.bid^$third-party
+||dvdbgvgagk.com^$third-party
 ||dvgvwatnnqsmll.com^$third-party
 ||dvlhwokr.bid^$third-party
 ||dvprcchlzke.bid^$third-party
 ||dvsrlrnpyxwv.com^$third-party
+||dvzyppnmfgtr.com^$third-party
 ||dwabissw.com^$third-party
 ||dwbqmlvjpvv.com^$third-party
 ||dwentymgplvrizqhieugzkozmqjxrxcyxeqdjvcbjmrhnkguwk.com^$third-party
@@ -35575,6 +36394,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dxiixnrumvni.com^$third-party
 ||dxkhboqrrimy.bid^$third-party
 ||dxnglrimuuucmr.com^$third-party
+||dxnzgeyxjhzym.com^$third-party
 ||dxokxbrfl.bid^$third-party
 ||dxtveuux.com^$third-party
 ||dxurtngzawwe.com^$third-party
@@ -35582,12 +36402,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dyerbegytfkj.com^$third-party
 ||dyhsubugnpw.bid^$third-party
 ||dyjifezeyagm.com^$third-party
+||dyjkbkpzxgpjfs.com^$third-party
 ||dyunhvev.com^$third-party
 ||dyykxositkqt.bid^$third-party
 ||dyzstwcqbgjk.com^$third-party
+||dz4ad.com^$third-party
 ||dzdfmwaztrrm.com^$third-party
 ||dzehfozic.bid^$third-party
 ||dzhjqmlv.bid^$third-party
+||dzlaodil.com^$third-party
+||dzlpvqbyk.com^$third-party
 ||dzmstxov.bid^$third-party
 ||dzuklgyo.bid^$third-party
 ||dzwagxju.bid^$third-party
@@ -35598,6 +36422,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||eabrkvxoe.bid^$third-party
 ||eadtortust.bid^$third-party
 ||eaetyfmpuelw.com^$third-party
+||eahkxyuezqvx.com^$third-party
 ||eaidabmuxbqy.com^$third-party
 ||easmdmxps.com^$third-party
 ||easnviytengk.com^$third-party
@@ -35619,6 +36444,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ectxnsxezdg.com^$third-party
 ||ecvladelayk.com^$third-party
 ||ecxtuyttpfe.bid^$third-party
+||edfthzanlsyse.com^$third-party
 ||edgsscofljhc.com^$third-party
 ||ednnpxhjsqyd.com^$third-party
 ||edoolqkrnmmnj.com^$third-party
@@ -35628,6 +36454,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||edvbyybaviln.com^$third-party
 ||edwywpsufuda.com^$third-party
 ||edxvyyywsxqh.com^$third-party
+||eebrojmn.com^$third-party
 ||eecetnnsdz.bid^$third-party
 ||eedicjfwqhqr.bid^$third-party
 ||eedjbxyczp.bid^$third-party
@@ -35639,16 +36466,21 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||eelwibevmywtz.com^$third-party
 ||eepuawuevovi.com^$third-party
 ||eeqabqioietkquydwxfgvtvpxpzkuilfcpzkplhcckoghwgacb.com^$third-party
+||eeqlxzpqqaii.com^$third-party
 ||eerdckbwujcx.com^$third-party
+||eexnoxqcmrja.com^$third-party
 ||efbxevtnq.com^$third-party
 ||efcnevmojvfs.com^$third-party
 ||efhevptuqxpr.bid^$third-party
+||efjucmgdzexeab.com^$third-party
 ||efkxhoeoqsv.bid^$third-party
 ||efluqmlyzi.com^$third-party
 ||efmpejbybupe.bid^$third-party
+||efnypuzqni.com^$third-party
 ||efotdwuui.bid^$third-party
 ||efsjxinbtzirs.bid^$third-party
 ||efukznkfmrck.com^$third-party
+||egcsbdrj.com^$third-party
 ||egkkeahdzjqy.com^$third-party
 ||egouyziyto.bid^$third-party
 ||egqvfdht.bid^$third-party
@@ -35658,6 +36490,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||egxkjjqke.bid^$third-party
 ||egzlqkjhm.bid^$third-party
 ||egzvkronnvwtra.bid^$third-party
+||ehcawmdqgq.com^$third-party
+||eheewlwlebwpd.com^$third-party
 ||ehfmhsqzxfrsz.bid^$third-party
 ||ehkovmky.com^$third-party
 ||ehlnakqlcvuxk.bid^$third-party
@@ -35665,8 +36499,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ehoksipmkejqt.bid^$third-party
 ||ehrwekypesnl.bid^$third-party
 ||ehrxkeosifmksi.bid^$third-party
+||ehuomemzh.com^$third-party
 ||ehxfudlqli.com^$third-party
 ||ehxpqwlnittvow.bid^$third-party
+||ehzcbife.com^$third-party
 ||ehzkfbqpv.bid^$third-party
 ||eiadsdmj.bid^$third-party
 ||eidzaqzygtvq.com^$third-party
@@ -35674,10 +36510,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||eifxhtrnhnveem.bid^$third-party
 ||eigtfqrokt.bid^$third-party
 ||eiibdnjlautz.com^$third-party
+||eilmltibu.com^$third-party
 ||eimgxlsqj.bid^$third-party
 ||eiqzyxofsgzel.com^$third-party
 ||eivikmwwrqtb.bid^$third-party
 ||eiwcqowbowqo.com^$third-party
+||eiwdnygfwl.com^$third-party
 ||eizzndhkvl.bid^$third-party
 ||ejbvrgespr.bid^$third-party
 ||ejdcjjcqcnzhre.bid^$third-party
@@ -35700,6 +36538,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||elkpxsfzrubq.com^$third-party
 ||elsgsgxywj.bid^$third-party
 ||eluhhfyxx.com^$third-party
+||elvirvln.com^$third-party
 ||elwwxuigpk.bid^$third-party
 ||elxkjyvdo.bid^$third-party
 ||elxxkpaeudxu.com^$third-party
@@ -35719,6 +36558,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||emszbghugzw.bid^$third-party
 ||emvdlnwph.com^$third-party
 ||emxbuugvudofbc.bid^$third-party
+||emxfructugey.com^$third-party
 ||emxwkunx.bid^$third-party
 ||emzotevsto.com^$third-party
 ||encvhiseje.bid^$third-party
@@ -35732,6 +36572,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||enzyxtdcacde.com^$third-party
 ||eociaoqs.bid^$third-party
 ||eocnpszthsf.com^$third-party
+||eoecdsfvceebrv.com^$third-party
 ||eoepqqkg.com^$third-party
 ||eojrldtucqsf.com^$third-party
 ||eovkzcueutgf.com^$third-party
@@ -35749,21 +36590,27 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||epxxqzrcdfkxo.bid^$third-party
 ||epzxtposabej.com^$third-party
 ||eqcvisodkvphw.bid^$third-party
+||eqegggmtc.com^$third-party
 ||eqkccjinroye.bid^$third-party
 ||eqonwbgcqi.bid^$third-party
 ||eqqhbzmaf.bid^$third-party
 ||eqqhiwfjcfx.bid^$third-party
 ||eqszmuwnozvx.com^$third-party
+||eraeoggritjeo.com^$third-party
 ||erahvrtzbg.com^$third-party
 ||erbsqnmglmnv.com^$third-party
+||erckgobvi.com^$third-party
 ||erhpodgijusvi.bid^$third-party
 ||erkwkjfompvt.com^$third-party
+||erqqhfsu.com^$third-party
 ||erszwzaidmlc.com^$third-party
 ||ervpgpxr.com^$third-party
 ||erzrulbjdd.bid^$third-party
 ||esdykqhupjp.com^$third-party
+||esfqqfqagkkbrl.com^$third-party
 ||esgvhaspsjg.com^$third-party
 ||esgwceckxumg.com^$third-party
+||eshezwwft.com^$third-party
 ||eslgydoqbedo.com^$third-party
 ||eslydbnukkme.com^$third-party
 ||esnirgskobfj.com^$third-party
@@ -35773,11 +36620,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||esznfpbro.com^$third-party
 ||etbmvqjnfxtk.com^$third-party
 ||etbrjgpsadke.com^$third-party
+||etggealva.com^$third-party
 ||etggiddfdaqd.com^$third-party
 ||etglnloj.com^$third-party
 ||etprpfuw.bid^$third-party
 ||etsqitgro.bid^$third-party
 ||ettamscqyvocxz.com^$third-party
+||etvtabeas.com^$third-party
 ||etwgydlbl.bid^$third-party
 ||etyeltdqg.bid^$third-party
 ||etytypmuykf.bid^$third-party
@@ -35789,6 +36638,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||eurifsiooyof.bid^$third-party
 ||eutklhuazxlt.com^$third-party
 ||euxisszoyader.com^$third-party
+||evfatcuv.com^$third-party
+||evfwfkwufbjtd.com^$third-party
 ||evfzqbbdif.bid^$third-party
 ||evgdkvrzn.com^$third-party
 ||evhvoeqfrlsb.com^$third-party
@@ -35829,12 +36680,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ezbtpdjeimlv.com^$third-party
 ||ezdariijmdlg.bid^$third-party
 ||ezemyudhkzvx.com^$third-party
+||ezfncojpnrmj.com^$third-party
 ||ezhkfxskimqnqk.com^$third-party
 ||ezjrnbpjthir.com^$third-party
 ||ezkbzmwigo.bid^$third-party
 ||ezknqsblzmsl.com^$third-party
 ||ezuosstmbcle.com^$third-party
+||facqgdunsgf.com^$third-party
 ||facsowlaufzk.com^$third-party
+||fafmybvsoj.com^$third-party
 ||faftjhuu.com^$third-party
 ||fahowtxv.bid^$third-party
 ||fajonlkb.com^$third-party
@@ -35877,6 +36731,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fefzohgedqp.com^$third-party
 ||fegyacmbobil.com^$third-party
 ||fembsflungod.com^$third-party
+||fengrtnoxuwwe.com^$third-party
 ||feqlklwaafgc.com^$third-party
 ||feqyuubaixe.bid^$third-party
 ||ffahsidlivqb.bid^$third-party
@@ -35886,6 +36741,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fffzquckf.com^$third-party
 ||ffhwzaenzoue.com^$third-party
 ||ffkwprrdmyaj.bid^$third-party
+||ffmhgdnkdcs.com^$third-party
+||ffoifngclwfuey.com^$third-party
 ||ffpkqjyvvneg.com^$third-party
 ||ffpyofnpq.com^$third-party
 ||ffrsfowwxtlbu.com^$third-party
@@ -35893,7 +36750,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ffvghouburgijz.bid^$third-party
 ||ffvvapasfcoha.bid^$third-party
 ||ffwbpadvkcyi.com^$third-party
+||fgcterkdpns.com^$third-party
 ||fghdembabvwe.com^$third-party
+||fghtrrasovlsu.com^$third-party
 ||fgilgpmoudkzx.bid^$third-party
 ||fgkvpyrmkbap.com^$third-party
 ||fglwxjklf.com^$third-party
@@ -35938,6 +36797,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fkdqrjnoxhch.com^$third-party
 ||fkdslgyunikais.com^$third-party
 ||fkekipafwlqd.com^$third-party
+||fkemshukccjvu.com^$third-party
 ||fkianrxjfumm.com^$third-party
 ||fkivuntlyd.bid^$third-party
 ||fkjyzxnoxusg.com^$third-party
@@ -35947,6 +36807,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fkrrvhoierty.com^$third-party
 ||fkwwhndzjlqrm.com^$third-party
 ||flcfstbzncsim.com^$third-party
+||fldlyzvhgjq.com^$third-party
 ||flkyhwjhp.com^$third-party
 ||flmditew.com^$third-party
 ||flntdbwafec.com^$third-party
@@ -35957,6 +36818,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fmbjxqvkjfmj.com^$third-party
 ||fmcwqmwdaubb.com^$third-party
 ||fmgcaqljz.bid^$third-party
+||fmoihhvbehopc.com^$third-party
 ||fmpsrqsib.bid^$third-party
 ||fmuxugcqucuu.com^$third-party
 ||fmztxzdrq.bid^$third-party
@@ -35976,7 +36838,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||foabezckdiv.bid^$third-party
 ||fobjoccwkrkv.com^$third-party
 ||foguumjql.com^$third-party
+||fojgpvkhu.com^$third-party
 ||fokisduu.com^$third-party
+||foovyagf.com^$third-party
 ||fpbmjwoebzby.com^$third-party
 ||fpguuwnpkvqsq.bid^$third-party
 ||fpnxicejwel.com^$third-party
@@ -35992,6 +36856,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fqazjwxovxlu.com^$third-party
 ||fqemzrkwuiaq.bid^$third-party
 ||fqesuuyzhxpz.bid^$third-party
+||fqgqosvpodxn.com^$third-party
 ||fqjevuoat.com^$third-party
 ||fqkcdhptlqma.com^$third-party
 ||fqleehzafh.com^$third-party
@@ -36000,7 +36865,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fqovfxpsytxf.com^$third-party
 ||fqpfvqpptch.com^$third-party
 ||fqpteozo.com^$third-party
+||fqrcutjorn.com^$third-party
 ||fqsdlhaffr.bid^$third-party
+||fqtpulizvvjcf.com^$third-party
 ||frczfzikturw.com^$third-party
 ||frcznmfu.com^$third-party
 ||frddujheozns.com^$third-party
@@ -36011,6 +36878,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||frlvfzybstsa.com^$third-party
 ||frlzxwxictmg.com^$third-party
 ||frmavvtkhi.bid^$third-party
+||frmwbxzynkrswj.com^$third-party
 ||frmxnnjejpzbr.com^$third-party
 ||frtkblgbqc.bid^$third-party
 ||frxgmxkg.bid^$third-party
@@ -36027,14 +36895,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ftbiufcomsa.bid^$third-party
 ||ftbnrjzvgtdyzs.bid^$third-party
 ||ftdyrqgjr.bid^$third-party
+||ftfnchzmnyl.com^$third-party
 ||ftgfmbxqkjda.com^$third-party
 ||ftisvrpsfu.bid^$third-party
 ||ftjrekbpjkwe.com^$third-party
 ||ftodxdoolvdm.com^$third-party
 ||ftqhgapqugv.bid^$third-party
+||fttsgimpiagrwa.com^$third-party
 ||ftuisdlnbp.com^$third-party
 ||ftusprfqtu.bid^$third-party
 ||ftvkgkkmthed.com^$third-party
+||ftwdbhsztw.com^$third-party
 ||ftymjfywuyv.com^$third-party
 ||ftytssqazcqx.com^$third-party
 ||fubhyuveurmlz.com^$third-party
@@ -36045,7 +36916,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fuurqgbfhvqx.com^$third-party
 ||fvbeyduylvgy.com^$third-party
 ||fvbtqaijuo.com^$third-party
+||fvffhcyxc.com^$third-party
+||fvgfcotnmj.com^$third-party
 ||fvhxlrcd.com^$third-party
+||fvipinzac.com^$third-party
 ||fvkdatbzswo.bid^$third-party
 ||fvozquqvnuv.bid^$third-party
 ||fvrbloxygbrv.com^$third-party
@@ -36054,6 +36928,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fwcrhzvfxoyi.com^$third-party
 ||fwenfotroadh.bid^$third-party
 ||fwfgbhjhnlkv.com^$third-party
+||fwfsnhixricu.com^$third-party
 ||fwigabtjb.com^$third-party
 ||fwjpfuzn.bid^$third-party
 ||fwlkncckwcop.com^$third-party
@@ -36125,6 +37000,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gcwhhynufwnj.com^$third-party
 ||gcxsbflncu.bid^$third-party
 ||gcypxlue.bid^$third-party
+||gdbhmiyly.com^$third-party
 ||gdbohhvoo.com^$third-party
 ||gdekvzhsqwau.com^$third-party
 ||gdhlysucwzyzu.com^$third-party
@@ -36135,6 +37011,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||geazikjazoid.com^$third-party
 ||gedmodsxbebd.com^$third-party
 ||gefaqjwdgzbo.com^$third-party
+||genqrabot.com^$third-party
 ||geqcqduubhll.com^$third-party
 ||gerpkshe.com^$third-party
 ||geudyhlxmbj.bid^$third-party
@@ -36143,10 +37020,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gfdeapuaymd.bid^$third-party
 ||gffupsrgds.com^$third-party
 ||gfhlwbxjjdla.bid^$third-party
+||gfrlmvxfsvl.com^$third-party
 ||ggagqobykjh.com^$third-party
 ||ggbfbseakyqv.com^$third-party
 ||gggemaop.com^$third-party
+||gghepxqsga.com^$third-party
 ||gghhzzllakjm.bid^$third-party
+||ggjsegnbriqhnz.com^$third-party
 ||ggnabmvnwphu.com^$third-party
 ||ggngbgccubvf.com^$third-party
 ||ggrjihzgtdxutg.bid^$third-party
@@ -36154,15 +37034,19 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ggtujtuyvcci.com^$third-party
 ||ggusxcee.bid^$third-party
 ||ggwbgnmahqyclg.com^$third-party
+||ggyrnhdbqxufh.com^$third-party
 ||ggzuksudqktn.com^$third-party
 ||ggzvlwrf.com^$third-party
+||ghaszdguvrtnb.com^$third-party
 ||ghizipjlsi.bid^$third-party
+||ghjwogfexch.com^$third-party
 ||ghtroafchzrt.com^$third-party
 ||ghttzqpeyunwdr.bid^$third-party
 ||ghycvwos.bid^$third-party
 ||ghygzvdh.bid^$third-party
 ||ghzylikrcdydf.bid^$third-party
 ||gigphdgtszus.bid^$third-party
+||gigvyvqe.com^$third-party
 ||gimxqltq.bid^$third-party
 ||giojhiimnvwr.com^$third-party
 ||giphylee.com^$third-party
@@ -36173,6 +37057,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||giwvzhflxv.bid^$third-party
 ||giyjhogjmfmc.com^$third-party
 ||giyupoeynkfx.com^$third-party
+||gjbgesaromnb.com^$third-party
 ||gjeyqtunbnap.com^$third-party
 ||gjfugukpyo.bid^$third-party
 ||gjikkwtrstaku.com^$third-party
@@ -36206,13 +37091,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gllkdkxygckb.com^$third-party
 ||glnqvqbedbmvtcdzcokrfczopbddhopygrvrnlgmalgvhnsfsc.com^$third-party
 ||glslciwwvtxn.com^$third-party
+||glyicpeke.com^$third-party
 ||glykvwol.bid^$third-party
 ||gmecesfngrngu.bid^$third-party
+||gmfestfc.com^$third-party
 ||gmnozoruyfy.bid^$third-party
 ||gmnxupczjmecj.bid^$third-party
 ||gmpdixdh.com^$third-party
 ||gmpmuqniggyz.com^$third-party
 ||gnadhzstittd.com^$third-party
+||gnaizrodp.com^$third-party
 ||gncfttutoiwwq.com^$third-party
 ||gniosksijt.bid^$third-party
 ||gnipadiiodpa.com^$third-party
@@ -36225,6 +37113,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||goegstjtam.bid^$third-party
 ||goeoxqhesrvaq.bid^$third-party
 ||gofgfsvnfnfw.com^$third-party
+||gofsukrrqhcj.com^$third-party
+||gogavdasjtxn.com^$third-party
 ||gogergyxl.com^$third-party
 ||gojotpbkyqou.bid^$third-party
 ||gojwyansqmcl.com^$third-party
@@ -36254,6 +37144,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gptkueuaseyut.com^$third-party
 ||gptoleeekac.bid^$third-party
 ||gqlqgmiahdtoyl.bid^$third-party
+||gqmrdezduagsqi.com^$third-party
 ||gqnmautydwky.com^$third-party
 ||gqnotcpintcq.bid^$third-party
 ||gqorytmpkjdq.com^$third-party
@@ -36261,6 +37152,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gqtcapjnn.bid^$third-party
 ||gqthfroeirol.com^$third-party
 ||gqulrzprheth.com^$third-party
+||gqusxhuexmu.com^$third-party
+||gqutnukt.com^$third-party
 ||gquvhveabaem.com^$third-party
 ||gqwprjzwlfspw.com^$third-party
 ||grceweaxhbpvclyxhwuozrbtvqzjgbnzklvxdezzficwjnmfil.com^$third-party
@@ -36270,6 +37163,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||grlehzdbzmstb.com^$third-party
 ||grnrmwxf.com^$third-party
 ||grppxsxgcdcu.bid^$third-party
+||grrduoonwjpy.com^$third-party
 ||grtduutw.bid^$third-party
 ||grubpbrmek.com^$third-party
 ||grvoflsctenq.bid^$third-party
@@ -36281,11 +37175,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gsqwxrtcabdftt.com^$third-party
 ||gstpgbhqzia.bid^$third-party
 ||gsueoeigaq.com^$third-party
+||gsxehyapoafiwe.com^$third-party
 ||gsxewjrbrbtldy.com^$third-party
+||gsxvgomvbfrj.com^$third-party
 ||gtaouarrwypu.com^$third-party
 ||gtbfhyprjhqz.com^$third-party
 ||gtcpsbvtwaqw.com^$third-party
 ||gtevyaeeiged.com^$third-party
+||gtfbvxlmev.com^$third-party
 ||gthrdhxhwdt.bid^$third-party
 ||gtmonytxxglu.com^$third-party
 ||gtqfsxrrerzu.com^$third-party
@@ -36342,9 +37239,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gyhujxbptum.com^$third-party
 ||gyinmxpztbgf.com^$third-party
 ||gynhbuspeiud.bid^$third-party
+||gyojplgn.com^$third-party
 ||gypxbcrmxsmikqbmnlwtezmjotrrdxpqtafumympsdtsfvkkza.com^$third-party
 ||gyvyokpmmb.bid^$third-party
 ||gyzzpyez.bid^$third-party
+||gzakmhhwrkagg.com^$third-party
 ||gzhazcfkr.bid^$third-party
 ||gziedzbliamx.com^$third-party
 ||gzkoehgbpozz.com^$third-party
@@ -36360,6 +37259,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||haezawhdumz.bid^$third-party
 ||hafbezbemwwd.com^$third-party
 ||hajcehcnodio.com^$third-party
+||hajnoqtsfg.com^$third-party
+||hajsefgocgkxfg.com^$third-party
 ||hajtekzuoe.com^$third-party
 ||hanwlgpecblxf.bid^$third-party
 ||haqlmmii.com^$third-party
@@ -36387,6 +37288,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hckmbeebnstnp.bid^$third-party
 ||hclccadfmkpw.com^$third-party
 ||hcrsxbke.com^$third-party
+||hctcdmqp.com^$third-party
 ||hcyxksgsxnzb.com^$third-party
 ||hddgigiwip.bid^$third-party
 ||hdeiyrdw.bid^$third-party
@@ -36397,8 +37299,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hdxeyqvfb.bid^$third-party
 ||heawnqbmsi.bid^$third-party
 ||heefwozhlxgz.com^$third-party
+||hefgynqlzwi.com^$third-party
 ||heikwwkqy.com^$third-party
 ||henodmetgjbsas.bid^$third-party
+||hepuzqrx.com^$third-party
 ||heqcvweqvqf.com^$third-party
 ||heracgjcuqmk.com^$third-party
 ||hettwksj.bid^$third-party
@@ -36411,10 +37315,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hffmzplu.com^$third-party
 ||hffqgxgjiqdlx.bid^$third-party
 ||hfgevdzcoocs.com^$third-party
+||hfhhijsewsqn.com^$third-party
 ||hfjuehls.com^$third-party
 ||hfmtqgiqscvg.com^$third-party
 ||hftyrwqjknhzoa.com^$third-party
 ||hfyqolbetdprw.bid^$third-party
+||hfzikiht.com^$third-party
 ||hgbmwkklwittcdkjapnpeikxojivfhgszbxmrjfrvajzhzhuks.com^$third-party
 ||hgcgfxjkvjch.com^$third-party
 ||hgdovdnd.com^$third-party
@@ -36432,6 +37338,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hhnvtfiiitzf.bid^$third-party
 ||hhshbknewaikmj.bid^$third-party
 ||hhwqfmqyqoks.com^$third-party
+||hhzqedgjajvi.com^$third-party
 ||hibiaygg.com^$third-party
 ||hibtgsibarfg.bid^$third-party
 ||higrbwtxkjuw.com^$third-party
@@ -36460,6 +37367,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hkvqwkeyruvy.bid^$third-party
 ||hkvqyjtdghbe.com^$third-party
 ||hkyskqpsqwjq.bid^$third-party
+||hkyykkerrp.com^$third-party
 ||hlekbinpgsuk.com^$third-party
 ||hlgodnojfffhpc.bid^$third-party
 ||hlicmukjz.bid^$third-party
@@ -36471,6 +37379,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hmcjupvbxxyx.com^$third-party
 ||hmdmvaxmmwoso.bid^$third-party
 ||hmeojqyjoascs.com^$third-party
+||hmjkyzdmoxp.com^$third-party
 ||hmjtutipevtmg.com^$third-party
 ||hmkrfmtra.bid^$third-party
 ||hmlghvujrve.com^$third-party
@@ -36498,10 +37407,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hokehntutt.bid^$third-party
 ||hopafrmwpckj.com^$third-party
 ||horylaht.bid^$third-party
+||hosiioyx.com^$third-party
 ||hosqkmnjt.com^$third-party
 ||hotdzbtmngof.bid^$third-party
 ||howjkpaynzwf.com^$third-party
 ||hoytzfyok.bid^$third-party
+||hpabkunldxhpc.com^$third-party
 ||hpcniufqp.bid^$third-party
 ||hpdmnmehzcor.com^$third-party
 ||hpkwirncwvxo.com^$third-party
@@ -36533,7 +37444,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hseyrxoi.com^$third-party
 ||hshbyyuh.bid^$third-party
 ||hsivniaui.bid^$third-party
+||hsllwumsezanll.com^$third-party
 ||hsnuutxbmmqry.bid^$third-party
+||hsnvnmjriom.com^$third-party
 ||hsoyrqqsludd.com^$third-party
 ||hsuohkuegd.bid^$third-party
 ||hsvqfvjidloc.com^$third-party
@@ -36559,7 +37472,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||huejizictcgd.com^$third-party
 ||huewmezzodzdv.com^$third-party
 ||hufaymllqce.club^$third-party
+||huigyetqu.com^$third-party
 ||humcyddkxxm.bid^$third-party
+||hunktnva.com^$third-party
 ||huriylhqkylbo.bid^$third-party
 ||husetdmrejiyjy.bid^$third-party
 ||hutkuzwropgf.com^$third-party
@@ -36568,6 +37483,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||huynrscfbulr.com^$third-party
 ||huzcotxmghlfip.bid^$third-party
 ||huzmweoxlwanzvstlgygbrnfrmodaodqaczzibeplcezmyjnlv.com^$third-party
+||hvagzrssrcze.com^$third-party
 ||hvbiwwek.com^$third-party
 ||hvccjhkcvlfr.com^$third-party
 ||hvckvfistbejp.com^$third-party
@@ -36581,7 +37497,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hvnkfjywxojrwo.bid^$third-party
 ||hvukouhckryjudrawwylpboxdsonxhacpodmxvbonqipalsprb.com^$third-party
 ||hvuvqsun.com^$third-party
+||hvvhxzdps.com^$third-party
 ||hvvxxszxslome.bid^$third-party
+||hvwagkmgef.com^$third-party
+||hwcgnavycq.com^$third-party
 ||hwfcdqnvovij.com^$third-party
 ||hwktxvrvz.bid^$third-party
 ||hwkxtltut.bid^$third-party
@@ -36600,6 +37519,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hxkanryhktub.com^$third-party
 ||hxlkmsib.bid^$third-party
 ||hxlojjtpqtlk.com^$third-party
+||hxqdddqnuqcwe.com^$third-party
+||hxrsjlqnep.com^$third-party
 ||hxsfrcdrrp.com^$third-party
 ||hxuasnwokh.com^$third-party
 ||hxuvwqsecumg.com^$third-party
@@ -36608,10 +37529,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hxwxxhfydbifuq.com^$third-party
 ||hyexdezezjqw.bid^$third-party
 ||hyhabjqndvwf.bid^$third-party
+||hymandywo.com^$third-party
 ||hytkatubjuln.com^$third-party
 ||hyubowucvkch.com^$third-party
 ||hyvsquazvafrmmmcfpqkabocwpjuabojycniphsmwyhizxgebu.com^$third-party
 ||hywwsavdydy.bid^$third-party
+||hyxhxnlqeppn.com^$third-party
 ||hyzncftkveum.com^$third-party
 ||hzivfezfltago.com^$third-party
 ||hzskbnafzwsu.com^$third-party
@@ -36626,19 +37549,25 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||iaimnsxepxdy.bid^$third-party
 ||iansucrovvzbi.bid^$third-party
 ||iaoisfnac.com^$third-party
+||iaoyikwmocuvr.com^$third-party
 ||iauvabogtws.bid^$third-party
+||iaxxhqwaig.com^$third-party
 ||ibeyqnjfjgsuob.bid^$third-party
 ||ibjtuhcgwnamyf.com^$third-party
+||ibkfummkqzlg.com^$third-party
 ||ibljirpmxvav.bid^$third-party
 ||ibojmmgjto.bid^$third-party
 ||ibqmccuuhjqc.com^$third-party
+||ibycicwahzg.com^$third-party
 ||icafyriewzzrwxlxhtoeakmwroueywnwhmqmaxsqdntasgfvhc.com^$third-party
+||icdkqyeydxpjmw.com^$third-party
 ||icgakpprechm.com^$third-party
 ||icjeqbqdzhyx.com^$third-party
 ||icjniokadnrqht.com^$third-party
 ||icjurmxhqpdpbt.bid^$third-party
 ||iclbkrgjdstqt.com^$third-party
 ||icltessfskwle.bid^$third-party
+||iclytswtff.com^$third-party
 ||icpfrrffsenr.com^$third-party
 ||icqvwlelvzldh.bid^$third-party
 ||icrnyafg.bid^$third-party
@@ -36646,9 +37575,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||icyddcsjbqjxz.bid^$third-party
 ||icyfqtjj.bid^$third-party
 ||iczhhiiowapd.com^$third-party
+||idbxnzgmn.com^$third-party
 ||idcoyhwzthhjv.com^$third-party
 ||idejenmqxhy.bid^$third-party
 ||idelmxrchrce.com^$third-party
+||idfybbol.com^$third-party
 ||idiyejpux.bid^$third-party
 ||idkyfrsbzesx.com^$third-party
 ||idopjddmtzo.bid^$third-party
@@ -36665,6 +37596,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ieoexdjxrwtq.com^$third-party
 ||ieqprskfariw.com^$third-party
 ||ieuezabolxphga.com^$third-party
+||iewsaprgerkjny.com^$third-party
 ||ifaklabnhplb.com^$third-party
 ||ifmobkrjonnm.com^$third-party
 ||iftvlrkyvubnn.com^$third-party
@@ -36702,12 +37634,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||iinkhwsh.bid^$third-party
 ||iipivevueme.com^$third-party
 ||iipkiyju.bid^$third-party
+||iisfpzkkxkz.com^$third-party
 ||iitfqholnpud.com^$third-party
 ||ijbybfznp.com^$third-party
 ||ijeuhlrqznjb.com^$third-party
 ||ijuawecwqhwyou.bid^$third-party
 ||ijvolcqtnxohl.com^$third-party
 ||ijyzkjjabc.bid^$third-party
+||ikcwcxhgibmumf.com^$third-party
 ||ikdhuhcigpoc.com^$third-party
 ||ikealcmavhpk.com^$third-party
 ||ikfmafgtgnylts.com^$third-party
@@ -36727,19 +37661,24 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ilakffljjdpwb.com^$third-party
 ||ilfsrsgmgbex.com^$third-party
 ||illizuqkdqjobt.com^$third-party
+||illqbirymsr.com^$third-party
 ||ilrxikdjozlk.com^$third-party
 ||ilsivrexvpyv.com^$third-party
+||ilupcgzhagwb.com^$third-party
 ||ilvibsabwuza.com^$third-party
 ||imbbjywwahev.com^$third-party
 ||imgoatxhxior.com^$third-party
+||imisagsrbci.com^$third-party
 ||immgnzenbixuzd.bid^$third-party
 ||imqkdsdgfygm.com^$third-party
 ||imrwxmau.com^$third-party
 ||imtdtaloqwcz.com^$third-party
 ||imyqdbxq.com^$third-party
 ||imzngbreiiiv.com^$third-party
+||incdjkjbyhlttx.com^$third-party
 ||inewoioxxdbm.com^$third-party
 ||inhtwazkrebui.bid^$third-party
+||inisvnawtzevnx.com^$third-party
 ||inmrjokdxmkh.com^$third-party
 ||insbrvwfrcgb.com^$third-party
 ||invgsoqwtkvxs.bid^$third-party
@@ -36762,6 +37701,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ipdcgsdjkz.bid^$third-party
 ||ipdlsrwctdjb.com^$third-party
 ||iphwttyqzuhucw.bid^$third-party
+||ipllxfcftp.com^$third-party
 ||ipndulsempjgb.bid^$third-party
 ||ipntpfokhkrh.com^$third-party
 ||ippninrrcl.com^$third-party
@@ -36817,7 +37757,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ivkasohqerzl.com^$third-party
 ||ivktdwmjhkqy.com^$third-party
 ||ivldzqidbv.com^$third-party
+||ivnpbikks.com^$third-party
 ||ivqoqtozlmjp.com^$third-party
+||ivqvzkwedcjo.com^$third-party
 ||ivsqnmridfxn.com^$third-party
 ||ivuhwsqnbjjx.bid^$third-party
 ||ivuqekelizp.bid^$third-party
@@ -36827,6 +37769,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||iwmonrwpeeku.com^$third-party
 ||iwnvbdosun.bid^$third-party
 ||iwptktyoq.bid^$third-party
+||iwquafxm.com^$third-party
 ||iwqugvxozbkd.com^$third-party
 ||iwrjczthkkla.com^$third-party
 ||iwunlnagnsqxys.bid^$third-party
@@ -36887,6 +37830,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jbpyqajzwbh.bid^$third-party
 ||jbqolazohwqesu.com^$third-party
 ||jbvisobwrlcv.com^$third-party
+||jbvyjtyhatpam.com^$third-party
 ||jbwlscjgbznhu.bid^$third-party
 ||jbyksmjmbmku.com^$third-party
 ||jcblfhpmxqflm.bid^$third-party
@@ -36915,11 +37859,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jeakofzseo.com^$third-party
 ||jebfktzfjqghv.bid^$third-party
 ||jebuorwrqfflzl.com^$third-party
+||jednyqbb.com^$third-party
 ||jeksffryglas.com^$third-party
 ||jemopaqkst.com^$third-party
 ||jemyvtomzyha.com^$third-party
 ||jeqixokniyny.com^$third-party
 ||jertwakjcaym.com^$third-party
+||jeuqrslzoxdcz.com^$third-party
 ||jevijshpvnwm.com^$third-party
 ||jeyoxmhhnofdhaalzlfbrsfmezfxqxgwqjkxthzptjdizuyojh.com^$third-party
 ||jeyuhcbagxbp.com^$third-party
@@ -36928,6 +37874,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jfcofvhuqzdg.bid^$third-party
 ||jffhbunkrxmyhf.bid^$third-party
 ||jffwwuyychxw.com^$third-party
+||jfhupoqrydm.com^$third-party
 ||jfkfojgkrk.com^$third-party
 ||jfribvstvcqy.com^$third-party
 ||jfvoyuxmp.bid^$third-party
@@ -36938,8 +37885,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jgqcraids.com^$third-party
 ||jgqkrvjtuapt.com^$third-party
 ||jgrcggutsilp.com^$third-party
+||jgsoloqaqp.com^$third-party
 ||jgtnayftk.bid^$third-party
 ||jguhktakkykrsb.com^$third-party
+||jgvjzbrnjmxoq.com^$third-party
 ||jgxlxsnqz.bid^$third-party
 ||jheplryxvzvx.com^$third-party
 ||jhewbownkjobl.bid^$third-party
@@ -36948,8 +37897,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jhupypvmcsqfqpbxbvumiaatlilzjrzbembarnhyoochsedzvi.com^$third-party
 ||jhwqdpyo.bid^$third-party
 ||jhylgkwsz.bid^$third-party
+||jiifnvkesug.com^$third-party
 ||jijcetagjfzo.com^$third-party
 ||jiruygrsl.com^$third-party
+||jixvywxefnwm.com^$third-party
 ||jiyairvjgfqk.com^$third-party
 ||jiycfyytg.com^$third-party
 ||jjbnkgdpsm.com^$third-party
@@ -36958,6 +37909,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jjekiezbshyo.com^$third-party
 ||jjipgxjf.com^$third-party
 ||jjmuyvpery.bid^$third-party
+||jjokekbfoxwip.com^$third-party
 ||jjpnveujkk.com^$third-party
 ||jjpoxurorlsb.com^$third-party
 ||jjqoosuum.com^$third-party
@@ -36967,6 +37919,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jjxsdkphpcwu.com^$third-party
 ||jjydbqlzz.com^$third-party
 ||jjyovwimoydq.com^$third-party
+||jjyysfxhn.com^$third-party
 ||jjzqygrh.com^$third-party
 ||jkfgdkesrpx.bid^$third-party
 ||jkiicqewzn.com^$third-party
@@ -36988,6 +37941,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jlmirsfthnmh.com^$third-party
 ||jlppkzffsksna.com^$third-party
 ||jlqmdejwvezpt.com^$third-party
+||jlqpkoppbxa.com^$third-party
 ||jlslujfguojw.com^$third-party
 ||jlwlfcbfifsvfw.com^$third-party
 ||jlymmwnkxhph.com^$third-party
@@ -37021,6 +37975,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jobveibsozms.com^$third-party
 ||jogccrwnpsmliq.bid^$third-party
 ||jogpsoiyngua.com^$third-party
+||jogrgddvb.com^$third-party
 ||jollqxplkz.bid^$third-party
 ||jomznuefrw.com^$third-party
 ||joqnoyniblzm.com^$third-party
@@ -37055,6 +38010,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jqtsknmobyw.com^$third-party
 ||jqtwygdajic.com^$third-party
 ||jqusvvfzw.bid^$third-party
+||jqvlsavxawfr.com^$third-party
 ||jrauyqdbit.bid^$third-party
 ||jrcpoxuskv.com^$third-party
 ||jrdxlxdnohjzs.bid^$third-party
@@ -37090,6 +38046,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||juyfhwxcvzft.com^$third-party
 ||jvdrscohwxopj.bid^$third-party
 ||jvepcgbq.bid^$third-party
+||jvffngzl.com^$third-party
 ||jvhdxosisifv.com^$third-party
 ||jvmuayuilxn.com^$third-party
 ||jvnubhidaev.bid^$third-party
@@ -37099,7 +38056,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jvriybgxne.com^$third-party
 ||jwbdezxfl.bid^$third-party
 ||jwbuxywauut.com^$third-party
+||jwcpqgfhlrt.com^$third-party
 ||jwfdyujffrzt.com^$third-party
+||jwjztdbakqqk.com^$third-party
 ||jwnlqtdvnm.bid^$third-party
 ||jwwlyiicjkuh.com^$third-party
 ||jwwotfckxcyv.bid^$third-party
@@ -37115,6 +38074,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jxuezvyaakks.com^$third-party
 ||jxvhdyguseaf.com^$third-party
 ||jxxjndvcf.bid^$third-party
+||jyaaeiqm.com^$third-party
 ||jyauuwrrigim.com^$third-party
 ||jydbctzvbqrh.com^$third-party
 ||jyezgitcx.com^$third-party
@@ -37138,6 +38098,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jzxlkhaugzuaqm.bid^$third-party
 ||kadjwdpzxdxd.com^$third-party
 ||kahbkhlb.bid^$third-party
+||kallwqgnec.com^$third-party
 ||kaqtvgcy.bid^$third-party
 ||karcvrpwayal.com^$third-party
 ||karownxatpbd.com^$third-party
@@ -37170,7 +38131,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kdhndryipp.com^$third-party
 ||kdiunbsaw.com^$third-party
 ||kdkzvfzmgvm.com^$third-party
+||kdmilqoiaucqto.com^$third-party
 ||kdtictjmofbl.com^$third-party
+||kdtrdexby.com^$third-party
 ||kdtstmiptmvk.com^$third-party
 ||kdvcvkwwtbwn.com^$third-party
 ||kdwygzatplqrao.bid^$third-party
@@ -37180,6 +38143,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||keolqzbmsuykwi.bid^$third-party
 ||keqnebfovnhl.com^$third-party
 ||kesllcmdcsbd.com^$third-party
+||ketqqygdh.com^$third-party
 ||kfaesgypn.bid^$third-party
 ||kfdqqqmorlt.com^$third-party
 ||kfdwywhuissy.com^$third-party
@@ -37187,17 +38151,23 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kflimllvanjv.com^$third-party
 ||kfpkzbgwuxm.bid^$third-party
 ||kfpwayrztgjj.com^$third-party
+||kftbvzlrqkakfo.com^$third-party
 ||kftmmtuxdtmsv.bid^$third-party
 ||kfuwxxspanifp.bid^$third-party
+||kfwhcwoc.com^$third-party
 ||kfwpyyctzmpk.com^$third-party
 ||kfzimhbhjdqa.com^$third-party
+||kgdmlsbtd.com^$third-party
 ||kgkjlivo.com^$third-party
 ||kgnxtdcf.bid^$third-party
 ||kgvgtudoridc.com^$third-party
 ||kgzuerzjysxw.com^$third-party
+||khaklikrt.com^$third-party
+||khexythfkw.com^$third-party
 ||khgsbhdw.bid^$third-party
 ||khgwakmfavzch.bid^$third-party
 ||khhpckhkikd.bid^$third-party
+||khlgdlarmqnp.com^$third-party
 ||khmbjndynx.com^$third-party
 ||khpgychzfdmpm.bid^$third-party
 ||khwfemkr.bid^$third-party
@@ -37210,6 +38180,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kiochlocj.bid^$third-party
 ||kiodudldzmzwr.com^$third-party
 ||kiohmgklwi.com^$third-party
+||kioxprngouirqu.com^$third-party
 ||kipnobwbyz.bid^$third-party
 ||kisvtclf.bid^$third-party
 ||kizpkvkdfm.bid^$third-party
@@ -37218,6 +38189,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kjbqzbiteubt.com^$third-party
 ||kjjlucebvxtu.com^$third-party
 ||kjkdagfnjm.bid^$third-party
+||kjkwrmwdyhi.com^$third-party
+||kjltrjvjfran.com^$third-party
 ||kjmddlhlejeh.com^$third-party
 ||kjnkmidieyrb.com^$third-party
 ||kjplmlvtdoaf.com^$third-party
@@ -37229,6 +38202,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kkztcmjvklinxp.bid^$third-party
 ||klakcdiqmgxq.com^$third-party
 ||kldwitfrqwal.com^$third-party
+||kldyclplx.com^$third-party
 ||kleonsqapa.bid^$third-party
 ||klepuazuxv.com^$third-party
 ||klfqffhvdpkd.com^$third-party
@@ -37238,10 +38212,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||klmvharqoxdq.com^$third-party
 ||klnbyxhdilss.bid^$third-party
 ||klprrjvqalwx.bid^$third-party
+||klqnukgo.com^$third-party
 ||klrdsagmuepg.com^$third-party
 ||klsduixe.com^$third-party
 ||klurrmvbqrhrwc.com^$third-party
 ||kmcebwjulu.com^$third-party
+||kmclwuukyffyjf.com^$third-party
 ||kmdqjdktf.bid^$third-party
 ||kmdwifcjtbk.bid^$third-party
 ||kmefggxf.bid^$third-party
@@ -37267,6 +38243,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kokqhnybnhdr.bid^$third-party
 ||komfveajdx.bid^$third-party
 ||konbwfktusra.com^$third-party
+||koofysojwb.com^$third-party
 ||korocbbktnw.bid^$third-party
 ||kovglrrlpqum.com^$third-party
 ||kovykpybtuylq.bid^$third-party
@@ -37292,6 +38269,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kqvpjbau.com^$third-party
 ||kqyckxlnll.bid^$third-party
 ||krezqajxv.bid^$third-party
+||krghheqkkcght.com^$third-party
 ||krgxtloi.bid^$third-party
 ||krilxjkgttmp.com^$third-party
 ||krmuxxubtkrg.com^$third-party
@@ -37310,11 +38288,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ksbklucaxgbf.com^$third-party
 ||ksevqmggaxtxt.bid^$third-party
 ||kshysnypina.com^$third-party
+||ksioijtb.com^$third-party
 ||ksjjpsjymdekyr.bid^$third-party
 ||kslgvaexlw.com^$third-party
 ||ksloibpah.com^$third-party
 ||ksveztrxudtt.com^$third-party
 ||ksxaaoey.bid^$third-party
+||ktbcsulyildmm.com^$third-party
 ||ktcltsgjcbjdcyrcdaspmwqwscxgbqhscmkpsxarejfsfpohkk.com^$third-party
 ||ktexnnvlvhxa.com^$third-party
 ||ktgsiqgj.bid^$third-party
@@ -37322,6 +38302,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kthwboouxxcmc.bid^$third-party
 ||kthztsgfuygcw.com^$third-party
 ||ktjqfqadgmxh.com^$third-party
+||ktrgcpceilj.com^$third-party
 ||ktrmzzrlkbet.com^$third-party
 ||kttjowlrr.com^$third-party
 ||ktuiyrchrhuxn.bid^$third-party
@@ -37329,10 +38310,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kuaygqohsbeg.com^$third-party
 ||kubmcyofaeu.com^$third-party
 ||kuhbcpckauwt.bid^$third-party
+||kuhlorflbeq.com^$third-party
 ||kujfhmyoeemqxb.bid^$third-party
 ||kujkgfzzyeol.com^$third-party
 ||kumekqeccmob.com^$third-party
 ||kunkmdvgwvfo.bid^$third-party
+||kuplohinctdwk.com^$third-party
 ||kupprakim.bid^$third-party
 ||kuqbprozlqj.bid^$third-party
 ||kuqixxjguc.bid^$third-party
@@ -37365,10 +38348,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kvzvtiswjroe.com^$third-party
 ||kwcaatayhgkq.bid^$third-party
 ||kwgpddeduvje.com^$third-party
+||kwiaofifmdqpif.com^$third-party
 ||kwipnlppnybc.com^$third-party
 ||kwjglwybtlhm.com^$third-party
 ||kwovwwkevyu.bid^$third-party
 ||kwshmdfgijgu.com^$third-party
+||kwspcwwjju.com^$third-party
 ||kwuaiymxezji.bid^$third-party
 ||kwuewixsnttz.com^$third-party
 ||kwunqjqntrnf.bid^$third-party
@@ -37385,6 +38370,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kxphhdia.bid^$third-party
 ||kxtepdregiuo.com^$third-party
 ||kxtkfkqkrzz.bid^$third-party
+||kxujlopfsmttyc.com^$third-party
 ||kxwkbkfespyh.com^$third-party
 ||kxwuskjg.bid^$third-party
 ||kxyevjvmalerq.bid^$third-party
@@ -37397,7 +38383,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kylqpeevrkgh.com^$third-party
 ||kyowarob.com^$third-party
 ||kyqacdtrmwwy.com^$third-party
+||kysimxpwd.com^$third-party
 ||kyveduvdkbro.com^$third-party
+||kyvmeizdyb.com^$third-party
 ||kywqvoqood.bid^$third-party
 ||kyxikfdzqwjtvw.bid^$third-party
 ||kyzhecmvpiaw.com^$third-party
@@ -37412,15 +38400,18 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kzyiepouyib.bid^$third-party
 ||kzzqkhxjeytu.com^$third-party
 ||lacrxqvydzlan.bid^$third-party
+||ladhyjqqgerr.com^$third-party
 ||lafvopkskbeuj.bid^$third-party
 ||lapbekessbozpx.bid^$third-party
 ||laqiccblmxfewa.bid^$third-party
 ||lauzlpyl.com^$third-party
 ||lavmeebdxwc.com^$third-party
 ||lazkslkkmtpy.com^$third-party
+||lbbfzsjmgm.com^$third-party
 ||lbbgjozyrgy.com^$third-party
 ||lbdrnmkhwgkpdg.bid^$third-party
 ||lbfryfttoihl.com^$third-party
+||lbjgdskmgsmowy.com^$third-party
 ||lbpndcvhuqlm.com^$third-party
 ||lbtcymxcocwh.bid^$third-party
 ||lbtifiprfzy.com^$third-party
@@ -37431,6 +38422,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lcmwchhybzik.bid^$third-party
 ||lcnvxuipvq.bid^$third-party
 ||lcpqoewrzuxh.com^$third-party
+||lcrdolxjoxxlr.com^$third-party
 ||lctpaemybjkv.com^$third-party
 ||lcuprkufusba.com^$third-party
 ||lcxrhcqouqtw.com^$third-party
@@ -37457,10 +38449,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lfirckcbkh.com^$third-party
 ||lflplmckcncj.com^$third-party
 ||lfshijqwdei.bid^$third-party
+||lftyfcqqctj.com^$third-party
 ||lfvrjrdrgazl.com^$third-party
 ||lfyytqcbhsp.bid^$third-party
 ||lfzbgckyctztj.bid^$third-party
 ||lgbpcbddfs.bid^$third-party
+||lgbshazoug.com^$third-party
 ||lgisbsiocy.bid^$third-party
 ||lgkzfskybz.com^$third-party
 ||lgkzmjfu.bid^$third-party
@@ -37476,16 +38470,19 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lhedywrtanrgz.bid^$third-party
 ||lhekiqlzatfv.com^$third-party
 ||lhfcddgwg.bid^$third-party
+||lhhrhdlankdftk.com^$third-party
 ||lhmnbgieieksdv.bid^$third-party
 ||lhnlplsj.bid^$third-party
 ||lhqcrrsatxwsl.bid^$third-party
 ||lhttyvdxvgjrdp.com^$third-party
 ||lhuqalcxjmtq.com^$third-party
 ||lhxgdmcyropacl.bid^$third-party
+||liakiadlbs.com^$third-party
 ||licoxbkagivaf.bid^$third-party
 ||ligabklr.com^$third-party
 ||liilsuive.bid^$third-party
 ||lijddbusldnecz.bid^$third-party
+||lilncsqapikckt.com^$third-party
 ||liosawitskzd.com^$third-party
 ||liqbipkfbafq.com^$third-party
 ||liuztvaem.bid^$third-party
@@ -37502,6 +38499,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ljngjrwkyovx.com^$third-party
 ||ljpuptlitl.com^$third-party
 ||ljqozvzjphgbw.bid^$third-party
+||ljvgxanxkuiw.com^$third-party
+||ljwbfghcggfvv.com^$third-party
 ||ljyncrypt.bid^$third-party
 ||ljzhxfurwibo.com^$third-party
 ||lkaarvdprhzx.com^$third-party
@@ -37509,6 +38508,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lkbvfdgqvvpk.com^$third-party
 ||lkdlamrwl.com^$third-party
 ||lkfepwhchrlv.bid^$third-party
+||lkfuihubbros.com^$third-party
 ||lkgcdedbklfse.com^$third-party
 ||lkjmcevfgoxfbyhhmzambtzydolhmeelgkotdllwtfshrkhrev.com^$third-party
 ||lkktkgcpqzwd.com^$third-party
@@ -37518,6 +38518,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||llddarkinywtmg.bid^$third-party
 ||lljtgiwhqtue.com^$third-party
 ||llluzqrvfyrbt.com^$third-party
+||llnxfuxszevf.com^$third-party
 ||llrmbabwjlzutw.com^$third-party
 ||llrxxhljtmylaa.bid^$third-party
 ||llwemrshzovw.com^$third-party
@@ -37574,6 +38575,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lqlksxbltzxw.com^$third-party
 ||lqlycogmpxhd.com^$third-party
 ||lqpkjasgqjve.com^$third-party
+||lqqcbomqqomtme.com^$third-party
+||lqrlhmdwy.com^$third-party
 ||lqrrkjodhq.com^$third-party
 ||lqsclyxh.bid^$third-party
 ||lqtxnuramh.bid^$third-party
@@ -37584,6 +38587,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lramhnoefoz.bid^$third-party
 ||lrbllelemsx.com^$third-party
 ||lrcnshyxwx.bid^$third-party
+||lrcrobshelr.com^$third-party
 ||lreylxggpqxz.bid^$third-party
 ||lrjltdosshhd.com^$third-party
 ||lrmjvytlhho.com^$third-party
@@ -37591,6 +38595,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lroieivnhoojo.bid^$third-party
 ||lroywnhohfrj.com^$third-party
 ||lrpcokbf.bid^$third-party
+||lrwwnmijztt.com^$third-party
 ||lryenoty.bid^$third-party
 ||lsegvhvzrpqc.com^$third-party
 ||lsghawrw.bid^$third-party
@@ -37599,6 +38604,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lskzcjgerhzn.com^$third-party
 ||lsslotuojpud.com^$third-party
 ||lstkfdmmxbmv.com^$third-party
+||ltaporjivped.com^$third-party
 ||ltcvpgyouvxya.bid^$third-party
 ||ltedbswmryh.com^$third-party
 ||ltendtxpnss.bid^$third-party
@@ -37612,6 +38618,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lttsvesujmry.com^$third-party
 ||ltwlxoedrydz.com^$third-party
 ||ltxltqtwpj.bid^$third-party
+||ltzjkjxx.com^$third-party
 ||lubjqiebnayctz.bid^$third-party
 ||ludwmwca.bid^$third-party
 ||lugknllg.bid^$third-party
@@ -37623,18 +38630,23 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||luqnpzexna.bid^$third-party
 ||luraclhaunxv.com^$third-party
 ||luvkkodlpxou.bid^$third-party
+||luvstnqpw.com^$third-party
 ||luztinhsbzggvr.com^$third-party
 ||lvayccwmhdggvi.bid^$third-party
 ||lvcxvjetzvt.com^$third-party
 ||lvdtftxgbsiu.com^$third-party
+||lvehrzkgzanurn.com^$third-party
 ||lvhxebdxz.com^$third-party
 ||lvlotqtrygwi.com^$third-party
 ||lvlvpdztdnro.com^$third-party
 ||lvpcqndtdk.bid^$third-party
 ||lvpdchbxgoral.bid^$third-party
 ||lvrvufurxhgp.com^$third-party
+||lvshypqdjfvvkd.com^$third-party
+||lvulibji.com^$third-party
 ||lwaqcpjegbwm.com^$third-party
 ||lwasxldakmhx.com^$third-party
+||lwbextsnjgw.com^$third-party
 ||lwenrqtarmdx.com^$third-party
 ||lwepsxhcm.bid^$third-party
 ||lwjzsigenxsl.com^$third-party
@@ -37667,6 +38679,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||lyygeitghavmm.com^$third-party
 ||lyzskjigkxwy.com^$third-party
 ||lzawbiclvehu.com^$third-party
+||lzblbcsemihk.com^$third-party
 ||lzbzwpmozwfy.com^$third-party
 ||lzfvonzwjzhz.com^$third-party
 ||lzmovatu.com^$third-party
@@ -37700,6 +38713,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mcrjoftwhprkrx.bid^$third-party
 ||mcvyeitc.com^$third-party
 ||mcwvyuifwml.bid^$third-party
+||mczuljmdpysftg.com^$third-party
 ||mdagsecyvd.com^$third-party
 ||mdbdmbdrjaklht.bid^$third-party
 ||mddlhkzkntmmb.com^$third-party
@@ -37713,6 +38727,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mdvrxmzofurvkm.com^$third-party
 ||meagjivconqt.com^$third-party
 ||mecounxmawn.bid^$third-party
+||mecsjjkomehyv.com^$third-party
 ||medyagundem.com^$third-party
 ||meeaowsxneps.com^$third-party
 ||megpacokjce.bid^$third-party
@@ -37763,12 +38778,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||midkerci.bid^$third-party
 ||midzwwrcrril.bid^$third-party
 ||miegpokitjxm.com^$third-party
+||mihqbmugg.com^$third-party
 ||miisdhpqsp.bid^$third-party
 ||mikdvucquacd.com^$third-party
 ||mikkvpggxg.bid^$third-party
 ||miltqbfqstsf.com^$third-party
 ||milyolpn.bid^$third-party
 ||miovsibmkpy.com^$third-party
+||miszwaojrn.com^$third-party
 ||mixfyfriqtatz.bid^$third-party
 ||mizmhwicqhprznhflygfnymqbmvwokewzlmymmvjodqlizwlrf.com^$third-party
 ||mjckfsgogzcd.com^$third-party
@@ -37783,11 +38800,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mkgtdofakiifqb.bid^$third-party
 ||mkjcjqcn.com^$third-party
 ||mkkappfdehkwf.com^$third-party
+||mkkxiztluu.com^$third-party
 ||mklplkwniazaql.bid^$third-party
 ||mkmxovjaijti.com^$third-party
 ||mkpdquuxcnhl.com^$third-party
 ||mkqepsxaz.bid^$third-party
 ||mkyzqyfschwd.com^$third-party
+||mkzllhqhsgq.com^$third-party
 ||mkzynqxqlcxk.com^$third-party
 ||mlaxgqosoawc.com^$third-party
 ||mlbzafthbtsl.com^$third-party
@@ -37802,6 +38821,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mlnvmpmgzfk.bid^$third-party
 ||mlrocrzhrgbyi.bid^$third-party
 ||mlstoxplovkj.com^$third-party
+||mlzqvrunjp.com^$third-party
 ||mmaigzevcfws.com^$third-party
 ||mmauckxrzh.com^$third-party
 ||mmcltttqfkbh.com^$third-party
@@ -37845,8 +38865,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mopvkjodhcwscyudzfqtjuwvpzpgzuwndtofzftbtpdfszeido.com^$third-party
 ||moquxotvyuoo.com^$third-party
 ||mosdqxsgjhes.com^$third-party
+||mousvowpfso.com^$third-party
 ||moxdmkdzvkgxow.bid^$third-party
+||moxvufgh.com^$third-party
 ||moyeluljrail.com^$third-party
+||mpgflvbe.com^$third-party
 ||mphqfyhswko.bid^$third-party
 ||mpifsodagy.com^$third-party
 ||mplxbmgukmc.com^$third-party
@@ -37862,10 +38885,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mqlkcicnrgpntw.bid^$third-party
 ||mqmbbiadhb.bid^$third-party
 ||mqphkzwlartq.com^$third-party
+||mqpyllobxdrfiu.com^$third-party
 ||mquvqdhzgfyjl.com^$third-party
 ||mqvxtuzsherjx.com^$third-party
 ||mqwkqapsrgnt.com^$third-party
 ||mqyjnccou.bid^$third-party
+||mqyndujv.com^$third-party
 ||mrdbkfyaxsig.bid^$third-party
 ||mrdiehhk.bid^$third-party
 ||mrepqeyednht.club^$third-party
@@ -37874,8 +38899,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mrnbzzwjkusv.com^$third-party
 ||mrnrnyavzcatfv.com^$third-party
 ||mrqsuedzvrrt.com^$third-party
+||mrutbjvgh.com^$third-party
 ||mruxsxrnu.com^$third-party
 ||mrvzisfsrvs.bid^$third-party
+||mrweekseur.com^$third-party
 ||mrxvgpzath.bid^$third-party
 ||msbmckzmcu.com^$third-party
 ||msiegurhgfyl.com^$third-party
@@ -37893,6 +38920,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mtfopqsufagxy.com^$third-party
 ||mtklywkg.com^$third-party
 ||mtlieuvyoikf.com^$third-party
+||mtmzmcztix.com^$third-party
 ||mtnysmosgmp.bid^$third-party
 ||mtpjldykpuhnmg.bid^$third-party
 ||mttyfwtvyumc.com^$third-party
@@ -37933,6 +38961,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mwxurdlzjbuvh.bid^$third-party
 ||mwztugbv.bid^$third-party
 ||mwzutiypqyyx.com^$third-party
+||mxctsflkxs.com^$third-party
 ||mxltxnomp.bid^$third-party
 ||mxqxkljb.bid^$third-party
 ||mxsuikhqaggf.com^$third-party
@@ -37940,9 +38969,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mxvvvoqbgzdq.com^$third-party
 ||mxxrzwibnlnmd.bid^$third-party
 ||myawrthcsjc.com^$third-party
+||myfebqficpi.com^$third-party
 ||myfrvfxqeimp.com^$third-party
 ||myhdpwmjabpc.bid^$third-party
+||myjnlndnbhcih.com^$third-party
 ||mykpenejaaj.bid^$third-party
+||mylslrkbn.com^$third-party
 ||mzbetmhucxih.com^$third-party
 ||mzguykhxnuap.com^$third-party
 ||mzhyrgyo.bid^$third-party
@@ -37960,11 +38992,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nbbljlzbbpck.com^$third-party
 ||nbbvpxfxnamb.com^$third-party
 ||nbclkgok.bid^$third-party
+||nbdvbpzgwkfgq.com^$third-party
 ||nbfvybpkasjs.com^$third-party
 ||nbhbqvfcsds.com^$third-party
 ||nbhubocsduzn.com^$third-party
 ||nbkwnsonadrb.com^$third-party
 ||nbmffortfyyg.com^$third-party
+||nbnsioedq.com^$third-party
 ||nbovwgndk.bid^$third-party
 ||nbqbuqezie.bid^$third-party
 ||nbrmungojjggt.bid^$third-party
@@ -37982,12 +39016,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ncruzwye.com^$third-party
 ||ncsirrabtlant.bid^$third-party
 ||ncspvnslmmbv.com^$third-party
+||ncwjhywskph.com^$third-party
 ||ndemlviibdyc.com^$third-party
 ||ndgmwuxzxppa.com^$third-party
 ||ndkvzncsuxgx.com^$third-party
 ||ndndptjtonhh.com^$third-party
 ||ndpegjgxzbbv.com^$third-party
 ||ndpxcdodtjhfv.bid^$third-party
+||ndqvlall.com^$third-party
 ||ndqwtlseuqjbc.com^$third-party
 ||ndtlcaudedxz.com^$third-party
 ||ndxidnvvyvwx.com^$third-party
@@ -38022,6 +39058,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ngmckvucrjbnyybvgesxozxcwpgnaljhpedttelavqmpgvfsxg.com^$third-party
 ||ngnofhussaao.com^$third-party
 ||nguooqblyjrz.com^$third-party
+||ngxyswkgi.com^$third-party
 ||nhbklvpswckx.com^$third-party
 ||nheanvabodkw.com^$third-party
 ||niaqaltky.com^$third-party
@@ -38036,6 +39073,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||njjdnqhehvlzjd.bid^$third-party
 ||njjybqyiuotl.com^$third-party
 ||njlltkkaavws.com^$third-party
+||njrpynolojcel.com^$third-party
 ||njswarysemyf.bid^$third-party
 ||njvpulnxjzhhf.bid^$third-party
 ||nkbvvlhdnagkd.bid^$third-party
@@ -38072,12 +39110,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nmouzlbragpyp.com^$third-party
 ||nmpmgmldzvrmra.com^$third-party
 ||nmtikqygo.com^$third-party
+||nmuwmfgdwpwb.com^$third-party
 ||nmxpownvqtc.bid^$third-party
 ||nmzouxbmqghpb.bid^$third-party
 ||nnakekwkkh.bid^$third-party
 ||nnbestmblotl.com^$third-party
 ||nnbmyxnbyduea.bid^$third-party
 ||nngqyjabfvq.bid^$third-party
+||nnhuvmftitju.com^$third-party
 ||nnigsvoorscmgnyobwuhrgnbcgtiicyflrtpwxsekldubasizg.com^$third-party
 ||nniiptyximoeus.bid^$third-party
 ||nnioduwnrwpq.bid^$third-party
@@ -38087,14 +39127,18 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nnrdntrrjf.bid^$third-party
 ||nnvjigagpwsh.com^$third-party
 ||nnzkabsgmfjn.bid^$third-party
+||nnztrsuu.com^$third-party
 ||nobosrekns.bid^$third-party
 ||nocwsbtdiiufa.bid^$third-party
 ||nodvmmtniokbz.bid^$third-party
 ||nofoxnalt.com^$third-party
+||nogxucpaktrya.com^$third-party
 ||nohsshsxpv.club^$third-party
 ||nokswnfvghee.com^$third-party
 ||nolzqbzxiq.com^$third-party
 ||nomlxyhfgeny.com^$third-party
+||nomzkqffqsz.com^$third-party
+||nonceynp.com^$third-party
 ||noolablkcuyu.com^$third-party
 ||noonshdnkt.bid^$third-party
 ||normygvd.bid^$third-party
@@ -38107,6 +39151,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||npgdqwtrprfq.com^$third-party
 ||npikrbynhuzi.com^$third-party
 ||nplrzxvyrhiq.com^$third-party
+||npoxaukym.com^$third-party
 ||nprcpjufz.bid^$third-party
 ||npuwpglke.bid^$third-party
 ||npzlzsxkq.bid^$third-party
@@ -38122,7 +39167,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nrgpugas.com^$third-party
 ||nrgqdsjqu.com^$third-party
 ||nrifyiemem.bid^$third-party
+||nrmcznhlqnx.com^$third-party
 ||nrszmiiwfifwlq.bid^$third-party
+||nrtapaiums.com^$third-party
 ||nrwofsfancse.bid^$third-party
 ||nryvxfosuiju.com^$third-party
 ||nrzkcztiaum.bid^$third-party
@@ -38133,6 +39180,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nsfocddqbiilg.bid^$third-party
 ||nsgwpapi.bid^$third-party
 ||nsnfokcikwf.com^$third-party
+||nsqdwwwoxs.com^$third-party
 ||nsqitedrzv.bid^$third-party
 ||ntbftkhrsrh.com^$third-party
 ||ntduattgboduk.com^$third-party
@@ -38143,6 +39191,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ntfhglciig.bid^$third-party
 ||nthssedj.bid^$third-party
 ||ntndubuzxyfz.com^$third-party
+||ntnjaxoov.com^$third-party
 ||ntnlawgchgds.com^$third-party
 ||nuayfpthqlkq.com^$third-party
 ||nubarwcziykx.bid^$third-party
@@ -38154,11 +39203,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nuilpwatzeuvzp.com^$third-party
 ||nunmnrbjrbsac.com^$third-party
 ||nunsbvlzuhyi.com^$third-party
+||nuogahntmkid.com^$third-party
 ||nuscutsdqqcc.com^$third-party
 ||nushflxucofk.com^$third-party
 ||nvajxoahenwe.com^$third-party
 ||nvcwvcmwdjgjyu.bid^$third-party
+||nvkkjenz.com^$third-party
 ||nvmjtxnlcdqo.com^$third-party
+||nvnvyikitffcdr.com^$third-party
 ||nvqsjdvgqnyk.com^$third-party
 ||nvvdtfqboy.bid^$third-party
 ||nvwpybcjpzohoz.bid^$third-party
@@ -38174,15 +39226,19 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nwwfnpxxdxjjj.bid^$third-party
 ||nwyjcvbazvltas.bid^$third-party
 ||nwzawdquu.bid^$third-party
+||nwzexkxx.com^$third-party
 ||nxcxithvcoeh.com^$third-party
 ||nxnbbqdh.bid^$third-party
 ||nyaisjsghvj.bid^$third-party
 ||nybpurpgexoe.com^$third-party
+||nycgwaknv.com^$third-party
 ||nyfsjqxopdzvvm.bid^$third-party
 ||nyqogyaflmln.com^$third-party
 ||nyrszeos.bid^$third-party
 ||nyvdouydkxmaws.bid^$third-party
 ||nyzncfurdrdxfi.com^$third-party
+||nyzobnpbcwjwfs.com^$third-party
+||nzbtvquutdr.com^$third-party
 ||nzcpdaboaayv.com^$third-party
 ||nzssjqjv.bid^$third-party
 ||nzvbcznobb.com^$third-party
@@ -38203,6 +39259,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||oazznjmbchmpdg.com^$third-party
 ||obhkbdiwl.bid^$third-party
 ||objyhpvxcwg.bid^$third-party
+||oblbewqykouak.com^$third-party
 ||obnyujeibv.com^$third-party
 ||obodwgqr.bid^$third-party
 ||obqtccxcfjmd.com^$third-party
@@ -38232,6 +39289,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||odplbueosuzw.com^$third-party
 ||odsljzffiixm.com^$third-party
 ||odtcspsrhbko.com^$third-party
+||odwymewlu.com^$third-party
 ||odyoudvaar.bid^$third-party
 ||oehjxqhiasrk.com^$third-party
 ||oeoogwkwm.bid^$third-party
@@ -38249,6 +39307,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ofmeapowymywx.bid^$third-party
 ||ofmuojegzbxo.com^$third-party
 ||ofpwdoovxs.bid^$third-party
+||ofswhkkqpfm.com^$third-party
 ||ofuqmgatoli.com^$third-party
 ||ofwwrgelrvx.bid^$third-party
 ||ofwznbbxso.com^$third-party
@@ -38261,6 +39320,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||oguiftmya.com^$third-party
 ||ogulzxfxrmow.com^$third-party
 ||oguorftbvegb.com^$third-party
+||ogzivkwjhrs.com^$third-party
 ||ohecnqpldvuw.com^$third-party
 ||ohjmzsvs.com^$third-party
 ||ohkoexdr.com^$third-party
@@ -38268,18 +39328,24 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ohmvrqomsitr.com^$third-party
 ||ohnohaijfq.com^$third-party
 ||ohpojzltnt.bid^$third-party
+||ohprlushvz.com^$third-party
+||oiahzjhwpsokt.com^$third-party
 ||oicbwkyjsyxjgj.bid^$third-party
 ||oickwqmwerbnq.bid^$third-party
 ||oieeezzld.com^$third-party
 ||oiffrtkdgoef.com^$third-party
 ||oiftdobow.bid^$third-party
 ||oijvjlfjjb.bid^$third-party
+||oilfeswka.com^$third-party
 ||oipsyfnmrwir.com^$third-party
 ||oiramtfxzqfc.com^$third-party
 ||oiuilhjzqvf.bid^$third-party
 ||oivhkhvbqjh.bid^$third-party
+||oixafvoxnmceol.com^$third-party
 ||ojiffvsutzrx.com^$third-party
 ||ojjsoozoerpt.com^$third-party
+||ojmkcnuur.com^$third-party
+||ojmokfvfi.com^$third-party
 ||ojngisbfwwyp.com^$third-party
 ||ojsfvukuqxdx.bid^$third-party
 ||ojtcgnyikbtg.bid^$third-party
@@ -38317,9 +39383,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||olthlikechgq.com^$third-party
 ||olwopczjfkng.com^$third-party
 ||olxeziuke.com^$third-party
+||omcozngvtyox.com^$third-party
 ||ompzowzfwwfc.com^$third-party
 ||omqygrfokyxg.com^$third-party
+||omshdahhtt.com^$third-party
 ||omwclrjuqilt.bid^$third-party
+||omwcywwzun.com^$third-party
 ||omzieezywqnyxl.com^$third-party
 ||ongkidcasarv.com^$third-party
 ||onhxejzm.bid^$third-party
@@ -38334,9 +39403,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ooakwpvbxym.com^$third-party
 ||oocoeevre.com^$third-party
 ||ooczhygehw.com^$third-party
+||ooecgdeq.com^$third-party
 ||oofophdrkjoh.com^$third-party
+||ookdapjylpvq.com^$third-party
 ||oonenbygymsl.com^$third-party
 ||ooqgpbkpmq.bid^$third-party
+||ooqjqnurblp.com^$third-party
 ||oosdjdhqayjm.com^$third-party
 ||oouggjayokzx.com^$third-party
 ||oougyykaeipzg.bid^$third-party
@@ -38357,6 +39429,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||oqfoiwjwysbffe.com^$third-party
 ||oqgztgtmcxfcic.com^$third-party
 ||oqmjxcqgdghq.com^$third-party
+||oqvzugnitr.com^$third-party
 ||oqxwefyi.bid^$third-party
 ||orddiltnmmlu.com^$third-party
 ||orgvevacxlinrr.com^$third-party
@@ -38386,6 +39459,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||otusnijhkyihod.com^$third-party
 ||otxjkjhugtzro.bid^$third-party
 ||otxqautshpb.bid^$third-party
+||otyammyiovhru.com^$third-party
 ||ouahjrthgxyh.bid^$third-party
 ||ouannxwziw.bid^$third-party
 ||oubibahphzsz.com^$third-party
@@ -38403,7 +39477,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ovgzbnjj.com^$third-party
 ||ovjlgvapqhmpy.com^$third-party
 ||ovoczhahelca.com^$third-party
+||ovqsyawrm.com^$third-party
 ||ovrdkhamiljt.com^$third-party
+||ovvddcpjqndfv.com^$third-party
 ||ovzmelkxgtgf.com^$third-party
 ||owcykhrgovbvhh.bid^$third-party
 ||owdeuzstq.bid^$third-party
@@ -38425,6 +39501,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||oyiqkjsjmmde.com^$third-party
 ||oyrgxjuvsedi.com^$third-party
 ||oytrrdlrovcn.com^$third-party
+||oywdlsbwkklw.com^$third-party
 ||oyzsverimywg.com^$third-party
 ||ozcletvvphmy.com^$third-party
 ||ozhwenyohtpb.com^$third-party
@@ -38445,6 +39522,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pafovocg.bid^$third-party
 ||pajmxvlsuxyks.bid^$third-party
 ||palzblimzpdk.com^$third-party
+||paotmlonx.com^$third-party
 ||paruvaubxwwz.bid^$third-party
 ||patuarioahzaen.bid^$third-party
 ||pawxrbexeylzn.com^$third-party
@@ -38459,9 +39537,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pbjnssfvatrhc.com^$third-party
 ||pbnnsras.com^$third-party
 ||pbsmzzxrmu.bid^$third-party
+||pbuuadgoktmz.com^$third-party
+||pbzmmqakvzhm.com^$third-party
 ||pcebrrqydcox.com^$third-party
 ||pceqybrdyncq.com^$third-party
 ||pckhpollpp.bid^$third-party
+||pcqmqyqeswnrd.com^$third-party
 ||pcvdrjvku.bid^$third-party
 ||pdbaewqjyvux.com^$third-party
 ||pddvryclt.bid^$third-party
@@ -38471,6 +39552,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pdrauqbvdgjut.bid^$third-party
 ||pdrvdmqcdd.com^$third-party
 ||pdtaqyjqwfkarz.bid^$third-party
+||pdtnzykqa.com^$third-party
 ||pdwyzrmrnddley.com^$third-party
 ||pdxvgkivkc.bid^$third-party
 ||pdypjcgng.bid^$third-party
@@ -38490,7 +39572,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pfhgihce.bid^$third-party
 ||pfibgoaqdzbp.com^$third-party
 ||pfjwtzlfaivp.com^$third-party
+||pfltlwftndq.com^$third-party
+||pfvgazngauezhk.com^$third-party
 ||pgkdyhdhul.com^$third-party
+||pgndlooirt.com^$third-party
 ||pgubdmshfz.bid^$third-party
 ||pguwtwcougzrc.bid^$third-party
 ||pguxoochezkc.com^$third-party
@@ -38501,6 +39586,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||phqqzdemby.bid^$third-party
 ||phxwwaznm.club^$third-party
 ||phxwwaznm.clupsvdblzcgnjj.com^$third-party
+||phyhggbk.com^$third-party
 ||pibizrfgsrkji.bid^$third-party
 ||pifaojvaiofw.com^$third-party
 ||piljbvnykkt.bid^$third-party
@@ -38529,6 +39615,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pkqbgjuinhgpizxifssrtqsyxnzjxwozacnxsrxnvkrokysnhb.com^$third-party
 ||pktgargbhjmo.com^$third-party
 ||pkucwwgcnuxzo.bid^$third-party
+||pkzfmxjlkcxkub.com^$third-party
 ||plcsedkinoul.com^$third-party
 ||plgalhmhkhzy.com^$third-party
 ||plgdhrvzsvxp.com^$third-party
@@ -38536,6 +39623,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pllvsqicx.bid^$third-party
 ||plmuxaeyapbqxszavtsljaqvmlsuuvifznvttuuqfcxcbgqdnn.com^$third-party
 ||plmvsvgyaeyo.bid^$third-party
+||plmythrza.com^$third-party
 ||plquutxxewil.com^$third-party
 ||plwvwvhudkuv.com^$third-party
 ||plyftjxmrxrk.com^$third-party
@@ -38552,12 +39640,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pmpgazgz.bid^$third-party
 ||pmwlvixdyts.com^$third-party
 ||pmzktktfanzem.bid^$third-party
+||pnbdbvgfk.com^$third-party
 ||pndiblukiqdix.bid^$third-party
 ||pnfdunvcgl.bid^$third-party
 ||pnfpithmmrxc.com^$third-party
 ||pnjeolgxsimj.com^$third-party
 ||pnmkuqkonlzj.com^$third-party
 ||pnmxoeztls.bid^$third-party
+||pnrqhqixc.com^$third-party
 ||pnunijdm.com^$third-party
 ||pnuwjsilfz.bid^$third-party
 ||pnuymnyhbbuf.com^$third-party
@@ -38573,10 +39663,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||poqqvnychl.com^$third-party
 ||potmbbqbaqxwp.com^$third-party
 ||poxwphidbuedh.com^$third-party
+||ppcpsjihmydhr.com^$third-party
 ||ppjjbzcxripw.com^$third-party
 ||pppjxzcu.bid^$third-party
 ||ppqfteducvts.com^$third-party
 ||ppskhydfqas.bid^$third-party
+||pptxpeqqcr.com^$third-party
 ||ppupdbeoth.bid^$third-party
 ||ppuuwencqopa.com^$third-party
 ||ppvjsmuexf.bid^$third-party
@@ -38606,12 +39698,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||prnxtmtbbqs.bid^$third-party
 ||prpkhpjxghhn.com^$third-party
 ||prqivgpcjxpp.com^$third-party
+||prsmglob.com^$third-party
+||prtjzzyfi.com^$third-party
 ||prunwxph.bid^$third-party
 ||prwlzpyschwi.com^$third-party
 ||psbadfsth.bid^$third-party
 ||psdnlprwclz.com^$third-party
 ||psehuhxpqip.bid^$third-party
 ||pserhnmbbwexmbjderezswultfqlamugbqzsmyxwumgqwxuerl.com^$third-party
+||psgdjmtpvey.com^$third-party
 ||pshcqtizgdlm.com^$third-party
 ||psmlgjalddqu.com^$third-party
 ||psrbrytujuxv.com^$third-party
@@ -38630,9 +39725,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ptqwvynkyhcwo.bid^$third-party
 ||ptrqrnadg.com^$third-party
 ||ptsdnvgn.bid^$third-party
+||pttjrlnydgjffv.com^$third-party
 ||pttmqpogyu.bid^$third-party
 ||ptvjsyfayezb.com^$third-party
 ||ptwnvihnxvg.bid^$third-party
+||ptzbgvqpwnxg.com^$third-party
 ||pudptxanhspld.bid^$third-party
 ||pudswlbzob.bid^$third-party
 ||pugfgjvrivfm.bid^$third-party
@@ -38667,6 +39764,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pxktkwmrribg.com^$third-party
 ||pxlcadvpqd.com^$third-party
 ||pxlijblevbp.bid^$third-party
+||pxpndcfntwb.com^$third-party
 ||pxvnhcdzuozqn.com^$third-party
 ||pycvhwxtqhknb.com^$third-party
 ||pydpcqjenhjx.com^$third-party
@@ -38679,6 +39777,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pzkqiwezugsucg.com^$third-party
 ||pznxzeflhuad.com^$third-party
 ||pzowsxuko.com^$third-party
+||pzpdxayohfdc.com^$third-party
+||pzpwjawqbmei.com^$third-party
 ||qaazzemfo.com^$third-party
 ||qabmhhrfi.bid^$third-party
 ||qadtkdlqlemf.com^$third-party
@@ -38694,26 +39794,32 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qawaqcurthru.com^$third-party
 ||qazzzxwynmot.com^$third-party
 ||qbahsvxo.com^$third-party
+||qbalehgc.com^$third-party
 ||qbdgnjwaknl.bid^$third-party
 ||qbfibmzxaqtfi.com^$third-party
 ||qbfvwovkuewm.com^$third-party
+||qbhcfxxivcdfm.com^$third-party
 ||qblpxxcjusgmq.bid^$third-party
 ||qblttqtvn.bid^$third-party
 ||qbpawthj.com^$third-party
 ||qbpuavqlsu.com^$third-party
 ||qbsiawmlm.bid^$third-party
+||qbsrhrhnybwox.com^$third-party
 ||qbvwcrtsyur.bid^$third-party
 ||qbywtukryaqpp.bid^$third-party
 ||qbyzytmymz.bid^$third-party
 ||qcjphhqwl.com^$third-party
+||qclnagolz.com^$third-party
 ||qclxheddcepf.com^$third-party
 ||qcmukkhbyg.com^$third-party
 ||qcogokgclksa.com^$third-party
 ||qcopnsmjo.bid^$third-party
 ||qcpegxszbgjm.com^$third-party
 ||qcpexkxxyx.bid^$third-party
+||qcrvwgsfz.com^$third-party
 ||qctltbnn.com^$third-party
 ||qcxhpohiwawnmo.bid^$third-party
+||qcyqimny.com^$third-party
 ||qdajmhpwzdmaji.com^$third-party
 ||qdcoqejn.com^$third-party
 ||qddgbaux.com^$third-party
@@ -38731,6 +39837,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qenafbvgmoci.com^$third-party
 ||qeqsibev.com^$third-party
 ||qerlbvqwsqtb.com^$third-party
+||qerlrppx.com^$third-party
 ||qeuggztcqmashg.bid^$third-party
 ||qevfmwciyp.bid^$third-party
 ||qevivcixnngf.com^$third-party
@@ -38740,7 +39847,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qexnxaczl.bid^$third-party
 ||qfgcmddmwrrkmj.bid^$third-party
 ||qfhjthejwvgm.com^$third-party
+||qfijmgalopofbj.com^$third-party
 ||qfkvnnzcyanwqo.com^$third-party
+||qflhwgqkegsojx.com^$third-party
 ||qfmbgvgvauvt.com^$third-party
 ||qfmcpclzunze.com^$third-party
 ||qfmkufzloxy.bid^$third-party
@@ -38761,12 +39870,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qgtbxtex.com^$third-party
 ||qguirbzulwmdm.bid^$third-party
 ||qhaavcekkhckzi.com^$third-party
+||qhdjyxcggzkm.com^$third-party
 ||qhiupkza.bid^$third-party
+||qhkfgjoyinllld.com^$third-party
 ||qhlwqzntlwvbf.bid^$third-party
+||qhlzkkwb.com^$third-party
 ||qhqofqeivtno.com^$third-party
 ||qhrdwjummidz.bid^$third-party
 ||qhtttixovmuszx.bid^$third-party
+||qhxpdoipj.com^$third-party
 ||qicggmagur.com^$third-party
+||qidkcvmr.com^$third-party
 ||qidtjujkejbaal.bid^$third-party
 ||qihdhscaydlk.bid^$third-party
 ||qijffgqsbkii.com^$third-party
@@ -38785,11 +39899,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qjgrrysppkqrbl.bid^$third-party
 ||qjmearsroiyn.com^$third-party
 ||qjmrqglqxlodj.bid^$third-party
+||qjobvxqp.com^$third-party
 ||qjoqfapllsbtw.bid^$third-party
 ||qjpxalhvenbt.com^$third-party
 ||qjskosdsxanp.com^$third-party
+||qjwanedlhedm.com^$third-party
 ||qkarmotdhhgeuy.com^$third-party
 ||qkdywnhtmpgc.com^$third-party
+||qkfhfuua.com^$third-party
 ||qkfqyqczawyb.com^$third-party
 ||qkjltxihv.com^$third-party
 ||qklhtphiphni.com^$third-party
@@ -38798,6 +39915,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qkuprxbmkeqp.com^$third-party
 ||qlgeofwhy.bid^$third-party
 ||qljczwei.com^$third-party
+||qlqscuseoyrdv.com^$third-party
 ||qlqvzzcaxto.com^$third-party
 ||qlugrmjsncbe.com^$third-party
 ||qluowqzbbukldb.bid^$third-party
@@ -38814,6 +39932,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qnjxxbvgfgz.bid^$third-party
 ||qnpolbme.com^$third-party
 ||qnqrmqwehcpa.com^$third-party
+||qnrzdwhlsd.com^$third-party
 ||qnsdwkjctkso.com^$third-party
 ||qnssgaxxcpvwro.bid^$third-party
 ||qnugsbuo.com^$third-party
@@ -38822,6 +39941,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qoapuppy.com^$third-party
 ||qoeplhvlr.bid^$third-party
 ||qogsjvkaoe.com^$third-party
+||qohoikvwwj.com^$third-party
 ||qoiowocphgjm.com^$third-party
 ||qolnnepubuyz.com^$third-party
 ||qotuhsvlqlpnfd.com^$third-party
@@ -38831,6 +39951,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qoxsriddwmqx.com^$third-party
 ||qpcyafunjtir.com^$third-party
 ||qpiyjprptazz.com^$third-party
+||qpjowolqlpg.com^$third-party
 ||qpjrrhbfglrly.com^$third-party
 ||qpljfpwdpk.com^$third-party
 ||qpodgrwu.bid^$third-party
@@ -38861,11 +39982,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qrpbogawdr.bid^$third-party
 ||qrqmchbp.bid^$third-party
 ||qryllyykezxh.bid^$third-party
+||qryuumwmiupy.com^$third-party
 ||qrzcenqja.bid^$third-party
 ||qsaujwwquyks.bid^$third-party
 ||qscefywopqfkm.com^$third-party
+||qsdqpvkuglq.com^$third-party
 ||qsfckfyv.com^$third-party
 ||qsgiqllpfthg.com^$third-party
+||qsgsfnixw.com^$third-party
 ||qshsaocjet.com^$third-party
 ||qsknevegg.bid^$third-party
 ||qsrekvpnu.bid^$third-party
@@ -38875,15 +39999,18 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qtczaglj.bid^$third-party
 ||qteoslcm.bid^$third-party
 ||qtjafpcpmcri.com^$third-party
+||qtkluwmebrtbrt.com^$third-party
 ||qtsmzrnccnwz.com^$third-party
 ||qttmjwno.com^$third-party
 ||qtvnesozf.com^$third-party
+||qtywrdgxid.com^$third-party
 ||qtzjozseyxskxw.bid^$third-party
 ||quaizzywzluk.com^$third-party
 ||quckoemdypxoiq.bid^$third-party
 ||qudpdpkxffzt.com^$third-party
 ||qufyihvx.com^$third-party
 ||qugqgrtyccrlq.bid^$third-party
+||quhpkwtljkvedc.com^$third-party
 ||qulsqiqrev.com^$third-party
 ||qumzxkpexf.com^$third-party
 ||qupycbhfvqtj.bid^$third-party
@@ -38892,10 +40019,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qveuxmbhbhmg.com^$third-party
 ||qvovzakydfvi.bid^$third-party
 ||qvqqvistxqvy.bid^$third-party
+||qvrfxlskqr.com^$third-party
 ||qvsbroqoaggw.com^$third-party
 ||qvsogqqd.com^$third-party
 ||qvxgghoisvifyu.bid^$third-party
 ||qwbnzilogwdc.com^$third-party
+||qweewmtey.com^$third-party
 ||qwfwimquecfw.bid^$third-party
 ||qwgafzaujn.bid^$third-party
 ||qwhkndqqxxbq.com^$third-party
@@ -38906,6 +40035,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qwvktoqxqum.bid^$third-party
 ||qxbnmdjmymqa.com^$third-party
 ||qxdmmuwiz.bid^$third-party
+||qxekuavasuzgfc.com^$third-party
+||qxfzgftkfgukkp.com^$third-party
 ||qxgoedqwr.bid^$third-party
 ||qxnniyuuaxhv.com^$third-party
 ||qxqtejyqkypfz.bid^$third-party
@@ -38914,6 +40045,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qycxhqkddcc.com^$third-party
 ||qydpcilzljej.bid^$third-party
 ||qyghwcrjaw.bid^$third-party
+||qykxbnflqvjxvk.com^$third-party
 ||qynohttywcws.bid^$third-party
 ||qysextrlhpoc.bid^$third-party
 ||qyvebeos.com^$third-party
@@ -38924,14 +40056,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||qzcpotzdkfyn.com^$third-party
 ||qzpxhebrm.com^$third-party
 ||qzpzspna.bid^$third-party
+||qzwhzahnieipgz.com^$third-party
 ||qzxtbsnaebfw.com^$third-party
 ||radbtqjfp.bid^$third-party
 ||rafvxnikmn.bid^$third-party
+||rafymfnvvzqlp.com^$third-party
 ||ragbsvbvndovac.com^$third-party
 ||raiybbvwefbcji.bid^$third-party
 ||ralyqgglrbgrd.bid^$third-party
 ||raossycpodtr.bid^$third-party
 ||raqueocznwden.bid^$third-party
+||rascnezpxpe.com^$third-party
 ||raspiadkwcecz.com^$third-party
 ||rawybznxrp.bid^$third-party
 ||rbayzoamcrdg.com^$third-party
@@ -38940,6 +40075,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rbfxurlfctsz.com^$third-party
 ||rbgrlqsepeds.com^$third-party
 ||rbhhjxsomzq.com^$third-party
+||rbhwkfnxhqnri.com^$third-party
+||rbmijhdvh.com^$third-party
 ||rbmjeyiyazcpe.com^$third-party
 ||rbnicxyh.bid^$third-party
 ||rbnpljzf.bid^$third-party
@@ -38961,6 +40098,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rcqyocxmmkais.bid^$third-party
 ||rcsumbkoyens.bid^$third-party
 ||rctanilirwefr.bid^$third-party
+||rcwczstm.com^$third-party
 ||rczagufykvpw.com^$third-party
 ||rdgsjybsyjj.com^$third-party
 ||rdikvendxamg.com^$third-party
@@ -38968,6 +40106,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rdkdexupxcfs.com^$third-party
 ||rdlynbosndvx.com^$third-party
 ||rdmccvanlx.bid^$third-party
+||rdpqiqlirf.com^$third-party
 ||rdqyasdstllr.com^$third-party
 ||rdvrxbxwxspxd.com^$third-party
 ||rdwfotuyp.bid^$third-party
@@ -38980,6 +40119,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rezbzvrbemeb.bid^$third-party
 ||rezfubngrzdet.bid^$third-party
 ||rfbrceyxthpj.bid^$third-party
+||rfdujczogfnc.com^$third-party
 ||rfecjuzp.bid^$third-party
 ||rffjopgiuhsx.com^$third-party
 ||rffqzbqqmuhaomjpwatukocrykmesssfdhpjuoptovsthbsswd.com^$third-party
@@ -38991,8 +40131,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rfozndpggjvlm.bid^$third-party
 ||rfvicvayyfsp.com^$third-party
 ||rfvilsmvo.bid^$third-party
+||rfvnhjnnkifyx.com^$third-party
 ||rfyphhvcczyq.com^$third-party
 ||rgbeppxd.bid^$third-party
+||rgegqcdakbe.com^$third-party
+||rgipgfcafnvnx.com^$third-party
 ||rgmgocplioed.com^$third-party
 ||rgsogoedxqkcz.bid^$third-party
 ||rgttoipdr.com^$third-party
@@ -39003,6 +40146,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rhfvzboqkjfmabakkxggqdmulrsxmisvuzqijzvysbcgyycwfk.com^$third-party
 ||rhhhbdhxpmrral.bid^$third-party
 ||rhkwkqznmovfl.bid^$third-party
+||rhmyiplqmuupmf.com^$third-party
 ||rhpwhkwzhpy.bid^$third-party
 ||rhqkduodhizrr.com^$third-party
 ||rhvgtmgkahm.com^$third-party
@@ -39013,14 +40157,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rihzsedipaqq.com^$third-party
 ||rijadpczqbdsvb.com^$third-party
 ||rikazsjaezda.bid^$third-party
+||rimvtigoyajas.com^$third-party
 ||rinukkvp.bid^$third-party
 ||risvrteprhufnk.bid^$third-party
 ||ritjefajkl.bid^$third-party
 ||ritvtdtnxkbzb.bid^$third-party
+||riwdydttgbczku.com^$third-party
 ||rjeysspqsslf.com^$third-party
 ||rjinaqlvwkhox.bid^$third-party
 ||rjkfuvqwk.bid^$third-party
 ||rjkifyqbuwh.com^$third-party
+||rjlebzex.com^$third-party
 ||rjljndfgnkcu.com^$third-party
 ||rjncckyoyvtu.com^$third-party
 ||rjnkpqax.com^$third-party
@@ -39031,6 +40178,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rjyihkorkewq.com^$third-party
 ||rkbjbtxhdi.bid^$third-party
 ||rkbldvgcjebh.com^$third-party
+||rkbndiwznhul.com^$third-party
 ||rkcemktaasoxew.com^$third-party
 ||rkelvtnnhofl.com^$third-party
 ||rkkneuzkd.bid^$third-party
@@ -39063,6 +40211,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rnmjscsvqql.bid^$third-party
 ||rnqxziebydqsat.bid^$third-party
 ||rnrbvhaoqzcksxbhgqtrucinodprlsmuvwmaxqhxngkqlsiwwp.com^$third-party
+||rntlwkqmelxceu.com^$third-party
 ||rnyuhkbucgun.com^$third-party
 ||rnzzrylopa.bid^$third-party
 ||roarmyng.bid^$third-party
@@ -39085,6 +40234,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rptdyukab.bid^$third-party
 ||rpulxcwmnuxi.com^$third-party
 ||rqgrdrqs.com^$third-party
+||rqjgepzyowyr.com^$third-party
 ||rqmlurpad.bid^$third-party
 ||rqsndrkezz.com^$third-party
 ||rqtdnrhjktzr.com^$third-party
@@ -39113,12 +40263,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rsmapdngqwonud.bid^$third-party
 ||rsnuhrxz.com^$third-party
 ||rsosndet.bid^$third-party
+||rsqcrylqremctr.com^$third-party
 ||rsrbqknrfskkb.bid^$third-party
 ||rsvxipjqyvfs.com^$third-party
 ||rswgoccwzs.com^$third-party
 ||rszzpjttufuw.bid^$third-party
 ||rtctxxxvdq.com^$third-party
+||rtgngrwtngms.com^$third-party
+||rtgpaohds.com^$third-party
 ||rtpibuckwnp.com^$third-party
+||rtqlmwfywl.com^$third-party
 ||rttclyuvippyw.bid^$third-party
 ||rtufxsncbegz.com^$third-party
 ||rtusxaoxemxy.com^$third-party
@@ -39137,6 +40291,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ruzwwrkgthfobd.com^$third-party
 ||rvcruqbk.com^$third-party
 ||rveftfohdybpwv.bid^$third-party
+||rvfjbxzxaookgp.com^$third-party
 ||rvmwyfvfxendw.bid^$third-party
 ||rvoxndszxwmo.com^$third-party
 ||rvrfoskjq.bid^$third-party
@@ -39146,19 +40301,23 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rwcdoeigzraeu.com^$third-party
 ||rwdkcusan.com^$third-party
 ||rweqvydtzyre.com^$third-party
+||rwlzbswwmmh.com^$third-party
 ||rwtvvdspsbll.com^$third-party
 ||rwxzeoqfj.com^$third-party
 ||rxczemggfsxx.com^$third-party
 ||rxeospfus.bid^$third-party
 ||rxicrihobtkf.com^$third-party
 ||rxisfwvggzot.com^$third-party
+||rxjlimrpfziuqh.com^$third-party
 ||rxjyjfkzzbl.bid^$third-party
 ||rxjzpvsziytui.bid^$third-party
 ||rxknixwwt.bid^$third-party
 ||rxkscuxq.com^$third-party
+||rxqcvlxojbt.com^$third-party
 ||rxsazdeoypma.com^$third-party
 ||rxuqpktyqixa.com^$third-party
 ||rxyeukffow.bid^$third-party
+||ryeoanvkettth.com^$third-party
 ||ryhrabmmprehm.com^$third-party
 ||ryjlaaimxrq.com^$third-party
 ||rylkihtmnvsh.com^$third-party
@@ -39166,11 +40325,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ryxpmonwqeg.com^$third-party
 ||ryzrdgdvg.bid^$third-party
 ||rzbbcjnrsbk.com^$third-party
+||rzbsvyigbwip.com^$third-party
 ||rzcmcqljwxyy.com^$third-party
 ||rzgiiioqfpny.com^$third-party
+||rzgqfvhfj.com^$third-party
 ||rzjbuovkp.bid^$third-party
 ||rzsliqwo.bid^$third-party
 ||rzwzstbiqk.com^$third-party
+||sagbgtnmlaj.com^$third-party
 ||sagukjshgifebs.bid^$third-party
 ||sagulzuyvybu.com^$third-party
 ||sailznsgbygz.com^$third-party
@@ -39222,12 +40384,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sdvgglhp.bid^$third-party
 ||seaxhrqc.bid^$third-party
 ||seiqobwpbofg.com^$third-party
+||sekajiwqmym.com^$third-party
 ||sekllcjbujp.bid^$third-party
 ||semvdooatmd.bid^$third-party
 ||senfvsdvtsn.com^$third-party
+||senrzuolwqvj.com^$third-party
 ||seotpqntjukhg.bid^$third-party
 ||seympfgeyrew.com^$third-party
 ||sfaprgtgcguh.com^$third-party
+||sfawiner.com^$third-party
 ||sfcckxdgfgzo.com^$third-party
 ||sfgymajb.bid^$third-party
 ||sfhyxyodjllrd.bid^$third-party
@@ -39235,14 +40400,18 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sfmziexfvvru.com^$third-party
 ||sfpkwhncpllt.com^$third-party
 ||sfzcbcrwxhic.com^$third-party
+||sfzfjiefentwe.com^$third-party
 ||sgccsauvct.bid^$third-party
 ||sgeeavwmk.com^$third-party
 ||sgfcsnwegazn.com^$third-party
 ||sghradxea.bid^$third-party
 ||sgkcijmcduuhhq.bid^$third-party
+||sgmneqaebkzjug.com^$third-party
 ||sgpbbfdchy.com^$third-party
 ||sgqmhpqrstwzwd.com^$third-party
 ||sgzsviqlvcxc.com^$third-party
+||shhngaasah.com^$third-party
+||shhrbeffgz.com^$third-party
 ||shjuivapg.bid^$third-party
 ||shnmhrlcredd.com^$third-party
 ||shnoadlvpylf.com^$third-party
@@ -39253,17 +40422,21 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sihmlqhicmzvx.com^$third-party
 ||siihxeeb.com^$third-party
 ||sijlnueeertd.com^$third-party
+||sijsquplpjg.com^$third-party
 ||silrfbopbobw.com^$third-party
 ||siogczwibswm.com^$third-party
 ||sirablivefbxul.bid^$third-party
 ||siuhfvgambevyz.bid^$third-party
+||siuletrtmkk.com^$third-party
 ||siwtuvvgraum.com^$third-party
 ||sjgklyyyraghhrgimsepycygdqvezppyfjkqddhlzbimoabjae.com^$third-party
 ||sjgttcfj.com^$third-party
 ||sjkcufcpgzsno.bid^$third-party
+||sjlgoazubflpcs.com^$third-party
 ||sjmwugmtfeuu.com^$third-party
 ||sjnfgvjizo.bid^$third-party
 ||sjpexaylsfjnopulpgkbqtkzieizcdtslnofpkafsqweztufpa.com^$third-party
+||sjqskcctmv.com^$third-party
 ||sjtevvoviqhe.com^$third-party
 ||skaulppmndy.bid^$third-party
 ||skknyxzaixws.com^$third-party
@@ -39284,11 +40457,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||smhqmrxplvnx.com^$third-party
 ||smhyvyvnpzigir.com^$third-party
 ||smjdypbxapigu.bid^$third-party
+||smnpsburn.com^$third-party
 ||smrqvdpgkbvz.com^$third-party
 ||smsbyoxarip.bid^$third-party
 ||smtuovnhxnn.bid^$third-party
 ||smudlbatfjbut.bid^$third-party
+||smwrjtdzhg.com^$third-party
 ||smzvvqztihof.com^$third-party
+||smzxkkyuinecwa.com^$third-party
 ||snaxbgzg.bid^$third-party
 ||sncpizczabhhafkzeifklgonzzkpqgogmnhyeggikzloelmfmd.com^$third-party
 ||snetddbbbgbp.com^$third-party
@@ -39296,6 +40472,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sngjaetjozyr.com^$third-party
 ||snhfjfnvgnry.com^$third-party
 ||snhfmewkai.bid^$third-party
+||snhqkvmhcoh.com^$third-party
 ||snhuxhdjlxrd.bid^$third-party
 ||snjhhcnr.com^$third-party
 ||snpevihwaepwxapnevcpiqxrsewuuonzuslrzrcxqwltupzbwu.com^$third-party
@@ -39313,6 +40490,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||soszgtvox.bid^$third-party
 ||sovcbhem.bid^$third-party
 ||sovqylkbucid.com^$third-party
+||sozdyrrtsvr.com^$third-party
 ||spbflxvnheih.com^$third-party
 ||spfrlpjmvkmq.com^$third-party
 ||sphjqakwuteg.com^$third-party
@@ -39322,11 +40500,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sqnezuqjdbhe.com^$third-party
 ||sqopuafrwvnouz.bid^$third-party
 ||sqtsuzrfefwy.com^$third-party
+||sqwyxzrajzsxpx.com^$third-party
 ||srbrdogg.bid^$third-party
 ||srfizvugkheq.com^$third-party
 ||sriaqmzx.com^$third-party
 ||srizwhcdjruf.com^$third-party
+||srkdunvxun.com^$third-party
 ||srksyzqzcetq.com^$third-party
+||srlmbvfmvl.com^$third-party
 ||srmbifowhxaeqa.bid^$third-party
 ||srppykbedhqp.com^$third-party
 ||srtvohoivnrahq.bid^$third-party
@@ -39342,10 +40523,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sssjohomoapt.com^$third-party
 ||ssuhghnjxbp.bid^$third-party
 ||ssvolkkihcyp.com^$third-party
+||ssyhlymwyzou.com^$third-party
 ||ssyyeufsqbra.bid^$third-party
 ||stkrwlodjvl.bid^$third-party
 ||stlbmyezzth.bid^$third-party
 ||stnvgvtwzzrh.com^$third-party
+||stuthvygifup.com^$third-party
 ||stwcozfiavhh.bid^$third-party
 ||sualzmze.com^$third-party
 ||sudvzfgrmt.com^$third-party
@@ -39357,8 +40540,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||suqufucjzffhay.bid^$third-party
 ||sutzinjwnroui.com^$third-party
 ||suvkxcypywspux.bid^$third-party
+||suvvihvbskvnii.com^$third-party
 ||suwadesdshrg.com^$third-party
+||suywlxzbjtbib.com^$third-party
 ||svapqzplbwjx.com^$third-party
+||svdsutdq.com^$third-party
 ||svjloaomrher.com^$third-party
 ||svnhdfqvhjzn.com^$third-party
 ||svpubdwpaam.bid^$third-party
@@ -39379,6 +40565,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sxcivqfmlsvxo.bid^$third-party
 ||sxdpyazzofu.com^$third-party
 ||sxdrafgvll.bid^$third-party
+||sxiyvcqnp.com^$third-party
 ||sxjhskptisd.com^$third-party
 ||sxlzcvqfeacy.com^$third-party
 ||sxprcyzcpqil.com^$third-party
@@ -39407,6 +40594,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||szxkkefabenx.bid^$third-party
 ||szyejlnlvnmy.com^$third-party
 ||szynlslqxerx.com^$third-party
+||szywarceqeo.com^$third-party
 ||szzxtanwoptm.bid^$third-party
 ||tabeduhsdhlkalelecelxbcwvsfyspwictbszchbbratpojhlb.com^$third-party
 ||tadkozdgbyw.com^$third-party
@@ -39416,6 +40604,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||taljdzwer.com^$third-party
 ||tammfmhtfhut.com^$third-party
 ||tamqqjgbvbps.com^$third-party
+||taoclfxgf.com^$third-party
 ||taodggarfrmd.com^$third-party
 ||tapihmxemcksuvleuzpodsdfubceomxfqayamnsoswxzkijjmw.com^$third-party
 ||taqyljgaqsaz.com^$third-party
@@ -39443,11 +40632,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tcvdxlhxi.bid^$third-party
 ||tcwkemlikooah.bid^$third-party
 ||tcxsonyfzb.bid^$third-party
+||tcxygxdrv.com^$third-party
 ||tcyeyccspxod.com^$third-party
 ||tdgysmmdru.bid^$third-party
 ||tdkvddqttcb.bid^$third-party
 ||tdqkxkopznf.bid^$third-party
 ||tdrcjxhcmmgeww.bid^$third-party
+||tdrmwnjwnccws.com^$third-party
 ||tdrmyefiig.bid^$third-party
 ||tdsnpnyg.bid^$third-party
 ||tdukupzymgfb.bid^$third-party
@@ -39462,6 +40653,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tewycnrhnv.com^$third-party
 ||teyuzyrjmrdi.com^$third-party
 ||tfbzzigqzbax.com^$third-party
+||tfdssnipmff.com^$third-party
+||tfeywmqsle.com^$third-party
 ||tfhqxvakurom.bid^$third-party
 ||tflmiurze.bid^$third-party
 ||tfmfakhermpr.bid^$third-party
@@ -39473,6 +40666,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tfttzgnpszrcf.bid^$third-party
 ||tftwmyrkbzkf.com^$third-party
 ||tfyzarjzrovc.bid^$third-party
+||tfzffzmbo.com^$third-party
 ||tgarmwltrlb.bid^$third-party
 ||tgdlekikqbdc.com^$third-party
 ||tgfehyikznu.bid^$third-party
@@ -39487,11 +40681,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||thjuvpgdmjj.com^$third-party
 ||thncnkzupxwlbo.bid^$third-party
 ||thnqemehtyfe.com^$third-party
+||thowytaoo.com^$third-party
 ||thpsflsjw.com^$third-party
 ||thsfkcymkoce.com^$third-party
 ||thtlvguaqmkv.com^$third-party
 ||thvdzghlvfoh.com^$third-party
 ||thvrvojkkjkkpe.bid^$third-party
+||thxczhfzad.com^$third-party
 ||thxdbyracswy.com^$third-party
 ||thzaiqqwsbpps.com^$third-party
 ||thzshxisa.bid^$third-party
@@ -39505,12 +40701,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tinlgcmkslwio.bid^$third-party
 ||tiosmqhuuzb.bid^$third-party
 ||tiouqzubepuy.com^$third-party
+||tirbxuopf.com^$third-party
 ||tiswsdusmdig.com^$third-party
 ||tiunnitm.bid^$third-party
 ||tivbpmwvqyyrjc.com^$third-party
 ||tivlvdeuokwy.com^$third-party
 ||tixzeybm.com^$third-party
 ||tizbmrknb.com^$third-party
+||tjaqsjnrvmt.com^$third-party
 ||tjbgiyek.com^$third-party
 ||tjblfqwtdatag.bid^$third-party
 ||tjhcjhvzbto.bid^$third-party
@@ -39540,17 +40738,21 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tlpwwloqryzu.com^$third-party
 ||tlzhxxfeteeimoonsegagetpulbygiqyfvulvemqnfqnoazccg.com^$third-party
 ||tlzovwtootkvbj.bid^$third-party
+||tmcvwyrqwyp.com^$third-party
 ||tmdbgmhh.com^$third-party
 ||tmdcfkxcckvqbqbixszbdyfjgusfzyguvtvvisojtswwvoduhi.com^$third-party
 ||tmexywfvjoei.com^$third-party
+||tmffmrsa.com^$third-party
 ||tmfkuesmlpto.com^$third-party
 ||tmgcffep.bid^$third-party
 ||tmhwggtg.bid^$third-party
 ||tmjavresvaqxly.bid^$third-party
+||tmjpoimnbgltkn.com^$third-party
 ||tmkbpnkruped.com^$third-party
 ||tmkcofbjv.com^$third-party
 ||tmmpbkwnzilv.com^$third-party
 ||tmrhtbbhrfbx.bid^$third-party
+||tmtuohxkv.com^$third-party
 ||tmvwirgifkkdtn.bid^$third-party
 ||tmwhazsjnhip.com^$third-party
 ||tmwmigsb.com^$third-party
@@ -39573,6 +40775,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||togfcqfvarpq.com^$third-party
 ||totvsaexihbe.com^$third-party
 ||touayfftdwcd.com^$third-party
+||touraadhdnfgsa.com^$third-party
 ||tovkhtekzrlu.com^$third-party
 ||toyhxqjgqcjo.com^$third-party
 ||tpdowdhhn.com^$third-party
@@ -39580,14 +40783,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tpesjhkf.bid^$third-party
 ||tpfnibqjrpcj.com^$third-party
 ||tpgeooxrcp.com^$third-party
+||tpkpnyiaylp.com^$third-party
 ||tpmbgoiabxu.bid^$third-party
 ||tpmemhesupkn.bid^$third-party
 ||tpnphooeqg.bid^$third-party
+||tpranctof.com^$third-party
 ||tpueomljcrvy.com^$third-party
 ||tpvprtdclnym.com^$third-party
 ||tpzukfqaqyxn.bid^$third-party
 ||tqcxtxglt.com^$third-party
 ||tqdarrhactqc.com^$third-party
+||tqpkegddso.com^$third-party
 ||tqrtxfqvcxkjiv.com^$third-party
 ||tqssctwtiihwfs.bid^$third-party
 ||tqtoeonkw.bid^$third-party
@@ -39608,6 +40814,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||tsptvvyema.bid^$third-party
 ||tssxnbuaxctjn.bid^$third-party
 ||tsuitufixxlf.com^$third-party
+||tsvqrrmq.com^$third-party
 ||tswhwnkcjvxf.com^$third-party
 ||tsybqlldfsstw.bid^$third-party
 ||ttdaxwrryiou.com^$third-party
@@ -39620,6 +40827,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ttxqfeuiakgn.bid^$third-party
 ||ttyvbqif.bid^$third-party
 ||tudsawhfmutb.bid^$third-party
+||tudsxyhpn.com^$third-party
 ||tujbidamlfrn.com^$third-party
 ||tujswypf.bid^$third-party
 ||tuldmgwvimgowg.com^$third-party
@@ -39629,12 +40837,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||turfmpnpiv.bid^$third-party
 ||turyvfzreolc.com^$third-party
 ||tusfzbkirabi.com^$third-party
+||tuthokcb.com^$third-party
 ||tuxdipdej.com^$third-party
+||tuxphjbzmjfuh.com^$third-party
 ||tuxzictbrqietq.com^$third-party
 ||tuzutvisi.com^$third-party
 ||tuzyaezlaoju.bid^$third-party
 ||tvammzkprvuv.com^$third-party
 ||tvbuqvjgqdrfb.bid^$third-party
+||tvesvlvse.com^$third-party
 ||tvexsjvxhb.bid^$third-party
 ||tvhyilwkn.com^$third-party
 ||tvnetfcgpjq.bid^$third-party
@@ -39645,8 +40856,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||twchmlyexaku.bid^$third-party
 ||twdksbsyipqa.com^$third-party
 ||twdsaqqrzbowom.com^$third-party
+||twfcqnqggx.com^$third-party
 ||twfzouvm.com^$third-party
 ||twhsmftwybkfn.bid^$third-party
+||twjboytcwutbrt.com^$third-party
 ||twjgylzydlhz.com^$third-party
 ||twmeccosyivi.com^$third-party
 ||twmvjfatla.com^$third-party
@@ -39660,22 +40873,28 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||txgklvrqjfubzn.bid^$third-party
 ||txjzxbykbaflu.bid^$third-party
 ||txknowcznfp.bid^$third-party
+||txvivugnikdq.com^$third-party
+||txvsifff.com^$third-party
 ||txvxzkwyelnvb.bid^$third-party
 ||txwnwvhkbtzb.com^$third-party
 ||txwvuadjcknuj.bid^$third-party
 ||txwzdalmamma.com^$third-party
 ||txyxoktogdcy.com^$third-party
+||tyoaclrjeb.com^$third-party
 ||tytzcsgxpaywui.bid^$third-party
 ||tyvtfohnwmpu.bid^$third-party
 ||tyxihxxtpumgm.bid^$third-party
 ||tyxnmpfi.bid^$third-party
 ||tyxznbghnfkvb.com^$third-party
+||tyyrigtlkny.com^$third-party
 ||tyzfzrjaxxcg.com^$third-party
 ||tzcgpmqij.com^$third-party
+||tzelsvxtjvy.com^$third-party
 ||tzexcretyodzt.bid^$third-party
 ||tzgmdsdjmv.bid^$third-party
 ||tzhnxsmtdj.com^$third-party
 ||tzjngascinro.com^$third-party
+||tzjrmfipwurtc.com^$third-party
 ||tzlijsurxh.bid^$third-party
 ||tzwcaamgd.bid^$third-party
 ||uaaholcdcx.bid^$third-party
@@ -39691,9 +40910,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ubecybzqf.bid^$third-party
 ||ubhzahnzujqlvecihiyukradtnbmjyjsktsoeagcrbbsfzzrfi.com^$third-party
 ||ubiqqzmldivih.bid^$third-party
+||ubktdzjnjkpon.com^$third-party
 ||ubliwesgzq.bid^$third-party
 ||ubnmyycf.bid^$third-party
 ||ubopxbdwtnlf.com^$third-party
+||ubpurlsu.com^$third-party
+||ubvscbxtal.com^$third-party
 ||ubwzlpjxgnlgl.bid^$third-party
 ||ubxtoqsqusyx.com^$third-party
 ||uccgdtmmxota.com^$third-party
@@ -39719,8 +40941,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||uebyotcdyshk.com^$third-party
 ||uecjpplzfjur.com^$third-party
 ||uehdljkrsfaa.bid^$third-party
+||uehtuvguuf.com^$third-party
+||uejnzoaayhr.com^$third-party
 ||ueosdjscxucj.com^$third-party
 ||uepsvcyxxrbs.bid^$third-party
+||ueptzgugtxis.com^$third-party
 ||uerhhgezdrdi.com^$third-party
 ||uerladwdpkge.com^$third-party
 ||uetqkude.com^$third-party
@@ -39749,12 +40974,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||uhkgydsvc.bid^$third-party
 ||uhnuskfd.bid^$third-party
 ||uhpdodqzxewhcv.com^$third-party
+||uhvbjjse.com^$third-party
 ||uicybyysyllad.com^$third-party
 ||uietsotq.bid^$third-party
 ||uihzulkvmdgv.com^$third-party
 ||uilknldyynwm.com^$third-party
 ||uilwbcwxgq.bid^$third-party
 ||uipjeyipoumf.com^$third-party
+||uiqefowmmxciwe.com^$third-party
 ||uiydukxbls.bid^$third-party
 ||uiyeiafffdex.com^$third-party
 ||ujdctbsbbimb.com^$third-party
@@ -39795,6 +41022,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||umnsvtykkptl.com^$third-party
 ||umqgdhsm.bid^$third-party
 ||umqsrvdg.com^$third-party
+||umrehhye.com^$third-party
 ||umswxgeedbaoa.bid^$third-party
 ||umwsjnsvfzuo.com^$third-party
 ||umxzhxfrrkmt.com^$third-party
@@ -39815,11 +41043,13 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||uoottsfgy.com^$third-party
 ||uopzeuilt.bid^$third-party
 ||uoqhigwxrzplg.bid^$third-party
+||uorhedemxtni.com^$third-party
 ||uoxbotvrs.bid^$third-party
 ||uoypqskiemf.bid^$third-party
 ||upcokvzuupn.bid^$third-party
 ||upgwdilkhlwguz.bid^$third-party
 ||uqgloylf.com^$third-party
+||uqhqcoezkn.com^$third-party
 ||uqhtuahgfmcx.com^$third-party
 ||uqoboyvqsqpy.com^$third-party
 ||uqpotqld.com^$third-party
@@ -39834,21 +41064,30 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||urqctaruhm.bid^$third-party
 ||urqxrzrphsga.com^$third-party
 ||urtbxola.bid^$third-party
+||urtcjxuoz.com^$third-party
 ||urwvswik.bid^$third-party
+||urxdodnj.com^$third-party
+||usaowwbxa.com^$third-party
+||uscvlpjeaggyq.com^$third-party
 ||usfakdxuo.bid^$third-party
+||ushqvpdtwoecis.com^$third-party
 ||uslbqxwum.bid^$third-party
 ||usmyfgrdv.bid^$third-party
 ||usnhsilyntf.bid^$third-party
 ||usoqghurirvz.com^$third-party
+||uspddemi.com^$third-party
 ||uspsqjivl.bid^$third-party
+||ussscmqkjtfsx.com^$third-party
 ||usuanyzr.bid^$third-party
 ||usymycvrilyt.com^$third-party
 ||uszpxpcoflkl.com^$third-party
 ||utfffrxmzuvy.com^$third-party
 ||utjwhrahb.bid^$third-party
 ||utlpwxdt.com^$third-party
+||utnkeaqurjca.com^$third-party
 ||utwhgyjgjw.bid^$third-party
 ||utyhzjbwfyrz.bid^$third-party
+||utyrqbgrmoxs.com^$third-party
 ||utyynepwwnl.com^$third-party
 ||utzpjbrtyjuj.com^$third-party
 ||uuacjdostjloa.bid^$third-party
@@ -39858,19 +41097,23 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||uupqrsjbxrstncicwcdlzrcgoycrgurvfbuiraklyimzzyimrq.com^$third-party
 ||uuproxhcbcsl.com^$third-party
 ||uutfeuxmqdvdp.com^$third-party
+||uuvqkppicm.com^$third-party
 ||uuvwcjtppeonfq.com^$third-party
 ||uuwoktwdmo.bid^$third-party
 ||uvakjjlbjrmx.com^$third-party
 ||uvcvhcbvy.bid^$third-party
 ||uvffdmlqwmha.com^$third-party
+||uvjvnbitjmvzgk.com^$third-party
 ||uvmsfffedzzw.com^$third-party
 ||uvstluoomeys.bid^$third-party
 ||uvxaafcozjgh.com^$third-party
 ||uvyascqbm.bid^$third-party
 ||uwdawnsge.bid^$third-party
+||uwfvuohbac.com^$third-party
 ||uwjczdkytwyhzh.com^$third-party
 ||uwnklfxurped.com^$third-party
 ||uwpmwpjlxblb.com^$third-party
+||uwqrwgxxkaoydo.com^$third-party
 ||uwrpquqrmi.bid^$third-party
 ||uwrzafoopcyr.com^$third-party
 ||uwwqyltgag.bid^$third-party
@@ -39906,6 +41149,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||uzesptwcwwmt.com^$third-party
 ||uzkkocgdasr.bid^$third-party
 ||uzmmpskwon.com^$third-party
+||uzmsexugrqz.com^$third-party
 ||uzqptkclvcaa.com^$third-party
 ||uzqtaxiorsev.com^$third-party
 ||uzreuvnlizlz.com^$third-party
@@ -39927,6 +41171,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vamuglchdpte.com^$third-party
 ||vanibwlu.bid^$third-party
 ||vaoajrwmjzxp.com^$third-party
+||vaqkvpbtia.com^$third-party
 ||vatytxdw.com^$third-party
 ||vauwjladxhpx.bid^$third-party
 ||vavdmrnsrxfgjl.com^$third-party
@@ -39944,6 +41189,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vbuqjdyrsrvi.com^$third-party
 ||vbyefnnrswpn.com^$third-party
 ||vcavpwzzx.bid^$third-party
+||vcdtowafqibekr.com^$third-party
 ||vcegsisugrwd.bid^$third-party
 ||vcgbtlktbagb.com^$third-party
 ||vcgcqbpk.com^$third-party
@@ -39973,12 +41219,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vdyqcdxqvebl.com^$third-party
 ||veancalta.bid^$third-party
 ||veeqneifeblh.com^$third-party
+||vegiqjbranp.com^$third-party
 ||vegmvagvesye.com^$third-party
 ||vehvkcnild.bid^$third-party
 ||vejlbuixnknc.com^$third-party
 ||vejrnvdsrvrbij.bid^$third-party
 ||velzqrqrucvmqc.com^$third-party
 ||vepcsswlpolz.com^$third-party
+||vertvshonf.com^$third-party
 ||veswrzdcvcdooh.bid^$third-party
 ||vevjbdxyththv.bid^$third-party
 ||vevlcnvy.bid^$third-party
@@ -39988,14 +41236,19 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vfbdtfucvlxi.bid^$third-party
 ||vfedpgmaxxkug.com^$third-party
 ||vffyvridwaa.com^$third-party
+||vfhcrxlfm.com^$third-party
 ||vfkfctmtgrtq.com^$third-party
 ||vfmzddpaznanf.bid^$third-party
 ||vfnvsvxlgxbvndhgqqohfgdcfprvxqisiqhclfhdpnjzloctny.com^$third-party
 ||vfonfnazs.bid^$third-party
+||vfqkonyxf.com^$third-party
 ||vfsmtbtqducat.com^$third-party
+||vfstdqercaffu.com^$third-party
 ||vfugvqbamwcjwz.bid^$third-party
+||vfvbarhywkjsf.com^$third-party
 ||vfvjddae.bid^$third-party
 ||vfvufciozajzpy.com^$third-party
+||vfwazmnubbtabc.com^$third-party
 ||vfwweckjug.bid^$third-party
 ||vgckzqudqhfr.com^$third-party
 ||vgfeahkrzixa.com^$third-party
@@ -40017,6 +41270,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vhlsrzyt.bid^$third-party
 ||vhpqxkhvjgwx.com^$third-party
 ||vhscigqpwe.com^$third-party
+||vhuhrhowm.com^$third-party
 ||vhuveukirbuz.com^$third-party
 ||vhwuphctrfil.com^$third-party
 ||vhzzzbdtxhh.bid^$third-party
@@ -40026,25 +41280,31 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vimhuspifwyy.com^$third-party
 ||vimlsrcfgjyr.bid^$third-party
 ||viqfxgmgacxv.com^$third-party
+||viqmadjqndqkm.com^$third-party
 ||vivcdctagoij.com^$third-party
 ||vivetivcuggz.com^$third-party
+||vixqjiypv.com^$third-party
 ||viysseop.bid^$third-party
 ||vizsvhgfkcli.com^$third-party
 ||vjgfelirts.bid^$third-party
 ||vjjoarpmzb.bid^$third-party
 ||vjmoisjmh.bid^$third-party
+||vjoytzia.com^$third-party
 ||vjrpdagpjwyt.com^$third-party
 ||vjvoahcty.bid^$third-party
 ||vjwjjytlbqhvmb.bid^$third-party
 ||vjwmtavlnvjdu.bid^$third-party
+||vjyzfgwkzp.com^$third-party
 ||vjzqadxswfb.bid^$third-party
 ||vjzqmbcx.com^$third-party
 ||vjzttumdetao.com^$third-party
 ||vkarvfrrlhmv.com^$third-party
+||vkasuqsswc.com^$third-party
 ||vkdbvgcawubn.com^$third-party
 ||vkqfzlpowalv.com^$third-party
 ||vkywqkbmdkmmg.com^$third-party
 ||vkzziiuqacv.com^$third-party
+||vlaqqdwltcuk.com^$third-party
 ||vlgqpikka.com^$third-party
 ||vlijpebmjxmlbp.bid^$third-party
 ||vlivfbpuxmls.bid^$third-party
@@ -40075,14 +41335,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vnnqiqzcslnh.bid^$third-party
 ||vnoeiemdhqf.com^$third-party
 ||vnptobld.bid^$third-party
+||vnufxjwndhsfbj.com^$third-party
 ||vnyginzinvmq.com^$third-party
 ||vnzlgmfd.com^$third-party
 ||vodhaqaujopg.com^$third-party
+||vokskdqa.com^$third-party
 ||voksuksb.bid^$third-party
 ||vokvlthjzt.bid^$third-party
 ||volleqgoafcb.com^$third-party
 ||volyncftzhw.bid^$third-party
 ||vomhhsovuu.bid^$third-party
+||vouekcjmiu.com^$third-party
 ||voxucaldgpicqh.com^$third-party
 ||vpfiiojohjch.com^$third-party
 ||vpklpmvzbogn.com^$third-party
@@ -40104,8 +41367,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vreqpavawpbfl.bid^$third-party
 ||vrewpywootyu.com^$third-party
 ||vreyirfvpytz.com^$third-party
+||vriirdcvrvanh.com^$third-party
 ||vrmygckv.bid^$third-party
 ||vrnyvgkga.bid^$third-party
+||vrovhbwhvy.com^$third-party
 ||vroxcsjt.bid^$third-party
 ||vrpkzrquqnhl.bid^$third-party
 ||vrqajyuu.com^$third-party
@@ -40116,6 +41381,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vsgherxdcfon.com^$third-party
 ||vsgumkkc.bid^$third-party
 ||vshsjxfjehju.com^$third-party
+||vsicchyqydlwb.com^$third-party
 ||vsvdwpuomwjhd.com^$third-party
 ||vswaapygj.bid^$third-party
 ||vtcquvxsaosz.com^$third-party
@@ -40139,6 +41405,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vukgurlqg.bid^$third-party
 ||vulexmouotod.com^$third-party
 ||vumzegtucxqmhl.bid^$third-party
+||vunklcwiwpn.com^$third-party
 ||vunwzlxfsogj.com^$third-party
 ||vuoywsri.bid^$third-party
 ||vuwdqproq.com^$third-party
@@ -40146,6 +41413,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vvcnnvcruobhr.bid^$third-party
 ||vvgttgprssiy.com^$third-party
 ||vvnfgohclkf.bid^$third-party
+||vvoowcdnogp.com^$third-party
 ||vvoqhxejowmc.bid^$third-party
 ||vvqeavcir.com^$third-party
 ||vvrlbbjlw.bid^$third-party
@@ -40174,6 +41442,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||vybsiseapra.bid^$third-party
 ||vydlqaxchmij.com^$third-party
 ||vyeesric.bid^$third-party
+||vyjawlifnxynej.com^$third-party
+||vykcbbytkklxp.com^$third-party
 ||vyozgtrtyoms.com^$third-party
 ||vypzcbraecdrv.bid^$third-party
 ||vyrvfojwci.bid^$third-party
@@ -40223,10 +41493,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wcoloqvrhhcf.com^$third-party
 ||wcqlebpges.com^$third-party
 ||wcyrdtfpdaqbrq.bid^$third-party
+||wdaomluuf.com^$third-party
 ||wdbddckjoguz.com^$third-party
 ||wdcxuezpxivqgmecukeirnsyhjpjoqdqfdtchquwyqatlwxtgq.com^$third-party
 ||wddtrsuqmqhw.com^$third-party
 ||wdnalofau.bid^$third-party
+||wdnflsjig.com^$third-party
 ||wdvmxgwwyzoq.bid^$third-party
 ||wdxhjmot.bid^$third-party
 ||webwagssicx.bid^$third-party
@@ -40234,6 +41506,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||weekwkbulvsy.com^$third-party
 ||wegbgideb.com^$third-party
 ||wehtkuhlwsxy.com^$third-party
+||wejjmtywsne.com^$third-party
 ||welzgxwtvto.bid^$third-party
 ||wembbuue.com^$third-party
 ||wenqyczxgpoyu.bid^$third-party
@@ -40241,12 +41514,18 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wephuklsjobdxqllpeklcrvquyyifgkictuepzxxhzpjbclmcq.com^$third-party
 ||wepmmzpypfwq.com^$third-party
 ||wepzfylndtwu.com^$third-party
+||weqmhzexkepgdb.com^$third-party
 ||weqpkntrxqzh.com^$third-party
 ||wfbqjdwwunle.com^$third-party
 ||wfiejyjdlbsrkklvxxwkferadhbcwtxrotehopgqppsqwluboc.com^$third-party
+||wfjlpnmuzoazy.com^$third-party
 ||wfmcdmmulkwwp.bid^$third-party
 ||wfnmmrtw.bid^$third-party
+||wfqeqnvqdjvs.com^$third-party
 ||wfquqjxu.bid^$third-party
+||wfwtfgrzwsonh.com^$third-party
+||wfxkcimqvt.com^$third-party
+||wfyqdhypgmscy.com^$third-party
 ||wfywchrzpic.com^$third-party
 ||wgclurzhgrjoq.bid^$third-party
 ||wgefjuno.com^$third-party
@@ -40260,35 +41539,44 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wgulihtuzssn.com^$third-party
 ||wguuomjdav.com^$third-party
 ||wgzdpzvtvwvjtv.bid^$third-party
+||wgzzzqebxfypb.com^$third-party
 ||whbfgaspmycyve.com^$third-party
 ||whdulnhnrscfqx.com^$third-party
 ||whgsyczcofwf.com^$third-party
 ||whinjxmkugky.com^$third-party
+||whjxqqdhfp.com^$third-party
 ||whkwbllcctfm.com^$third-party
 ||whrnvjdv.com^$third-party
 ||whsjufifuwkw.com^$third-party
 ||whsldqctrvuk.com^$third-party
+||whtuzkvpeer.com^$third-party
 ||whuvrlmzyvzy.com^$third-party
 ||whxhegjrqlddko.com^$third-party
 ||whyawcjjcoexo.bid^$third-party
 ||whzbmdeypkrb.com^$third-party
+||whziccxv.com^$third-party
 ||whzizteutx.com^$third-party
 ||wibvytsxrm.bid^$third-party
 ||wicxfvlozsqz.com^$third-party
 ||wifteakcp.bid^$third-party
+||wihspueerhpw.com^$third-party
 ||wiicjajh.com^$third-party
 ||wijczxvihjyu.com^$third-party
 ||wijjidqydgsxas.com^$third-party
+||willfumyqwnkuq.com^$third-party
 ||wimxqzilfwkn.bid^$third-party
 ||wiorcewmylbe.com^$third-party
 ||wipcpwadysghx.com^$third-party
 ||wipjyzwavojq.com^$third-party
 ||wirfpvmoblpa.com^$third-party
+||witifyooqkumwn.com^$third-party
+||wiykefcon.com^$third-party
 ||wizejdnlqwcb.com^$third-party
 ||wizknbrgxuqjo.com^$third-party
 ||wjdjovjrxsqx.com^$third-party
 ||wjkwjcmeymu.com^$third-party
 ||wjnkvhlgvixx.com^$third-party
+||wkdyvxuornxnh.com^$third-party
 ||wkexsfmw.com^$third-party
 ||wkfcadtuljnesp.bid^$third-party
 ||wkgaqvvwvqjg.com^$third-party
@@ -40298,6 +41586,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wklyhvfc.com^$third-party
 ||wkmuxmlk.com^$third-party
 ||wkqmeskbz.bid^$third-party
+||wksninbav.com^$third-party
 ||wktlsedohnly.com^$third-party
 ||wkuayaogbegtyp.bid^$third-party
 ||wkzovkuc.com^$third-party
@@ -40312,6 +41601,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wlzohrpjbuq.com^$third-party
 ||wlzrvihznn.bid^$third-party
 ||wmbfyemxvcrwow.bid^$third-party
+||wmbgmyyxyz.com^$third-party
+||wmfsbxjcdsbkrw.com^$third-party
 ||wmgtkgravimge.com^$third-party
 ||wmhjqkcu.bid^$third-party
 ||wmhksxycucxb.com^$third-party
@@ -40326,6 +41617,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wmwkwubufart.com^$third-party
 ||wmxeexfle.com^$third-party
 ||wmzfcchqnkrux.bid^$third-party
+||wnbdbmqyerfqs.com^$third-party
 ||wnbihqur.bid^$third-party
 ||wnciofaeswfp.bid^$third-party
 ||wnfogxdrwoaa.bid^$third-party
@@ -40341,9 +41633,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||worqmoez.bid^$third-party
 ||worqvccd.bid^$third-party
 ||wotilhqoftvl.com^$third-party
+||woxvgdtje.com^$third-party
 ||wpjljadiq.com^$third-party
 ||wpkbwrkejd.com^$third-party
 ||wpktjtwsidcz.com^$third-party
+||wpswyoyev.com^$third-party
 ||wpsyjttctdnt.com^$third-party
 ||wptdfllszzpczp.com^$third-party
 ||wptlxfgslcfcx.com^$third-party
@@ -40367,6 +41661,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wrhaobmohpzp.club^$third-party
 ||wrhpnrkdkbqi.com^$third-party
 ||wrjhekhmx.bid^$third-party
+||wrkxchcsdw.com^$third-party
 ||wrkzbwhm.bid^$third-party
 ||wrmcfyzl.com^$third-party
 ||wrmwikcnynbk.com^$third-party
@@ -40384,13 +41679,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wssqvrcqfcfn.bid^$third-party
 ||wstfgpdmb.bid^$third-party
 ||wsxqgzalf.com^$third-party
+||wsyuiudkoqrf.com^$third-party
 ||wtdivwvldpykn.bid^$third-party
 ||wtgybmmqoaxsp.bid^$third-party
+||wthqlngtcgwxrp.com^$third-party
 ||wtixtgqyztdc.com^$third-party
 ||wtjmnbjktbci.com^$third-party
 ||wtoqymftbf.bid^$third-party
+||wtqrtjthyuopw.com^$third-party
 ||wtvyenir.com^$third-party
 ||wtxoicsjxbsj.com^$third-party
+||wtybgaghcqxoae.com^$third-party
 ||wuatqdbzzamj.bid^$third-party
 ||wuekfshqhydg.bid^$third-party
 ||wufpseev.bid^$third-party
@@ -40402,6 +41701,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wuqdebjfhjas.bid^$third-party
 ||wuqdejnjxj.bid^$third-party
 ||wuthucbqpd.bid^$third-party
+||wvfputwcdbkoip.com^$third-party
 ||wvgrpwdaol.bid^$third-party
 ||wvhbzhlbdlq.bid^$third-party
 ||wvisynqx.bid^$third-party
@@ -40418,8 +41718,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wwgjtcge.com^$third-party
 ||wwgysckwouvzkm.bid^$third-party
 ||wwiqinsra.bid^$third-party
+||wwkowjxms.com^$third-party
 ||wwnlyzbedeum.com^$third-party
 ||wwyblltamlcr.com^$third-party
+||wwzchzpluwuon.com^$third-party
 ||wwznjjvkfqnyvy.com^$third-party
 ||wxdtvssnezam.com^$third-party
 ||wxgfqdxoserkr.bid^$third-party
@@ -40437,6 +41739,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wylnauxhkerp.com^$third-party
 ||wypyocogs.bid^$third-party
 ||wyueivwashc.com^$third-party
+||wywrettqmke.com^$third-party
 ||wzadmmddcmml.com^$third-party
 ||wzafekkdp.com^$third-party
 ||wzagwfcfh.bid^$third-party
@@ -40444,21 +41747,29 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wzepkzuyaaoozu.bid^$third-party
 ||wzeqscnkwjuylj.bid^$third-party
 ||wzfgjtcgwdauf.bid^$third-party
+||wzfxaqhiapptsz.com^$third-party
 ||wzjbvbxldfrn.com^$third-party
 ||wzlgmbmwq.bid^$third-party
 ||wzueqhwf.com^$third-party
 ||wzyagambcfn.bid^$third-party
+||xacexccntjbrht.com^$third-party
 ||xaftihkjg.com^$third-party
 ||xahwjirrejjh.bid^$third-party
 ||xakkasmwpdwzvv.bid^$third-party
 ||xakmsoaozjgm.com^$third-party
+||xanqdskuyb.com^$third-party
 ||xapcwrvqooihr.bid^$third-party
+||xapnrbvpb.com^$third-party
 ||xaqbpvojgi.com^$third-party
+||xarnvfthbye.com^$third-party
 ||xasvtjprmgz.bid^$third-party
+||xavipejcznxf.com^$third-party
 ||xavmcsvas.bid^$third-party
 ||xbbcwbsadlrn.com^$third-party
 ||xbdlsolradeh.com^$third-party
 ||xbljpezkd.bid^$third-party
+||xbmnbfzoeug.com^$third-party
+||xboamxtcnfcwyf.com^$third-party
 ||xbrgymlwi.bid^$third-party
 ||xbwlphsnrcz.bid^$third-party
 ||xbynkkqi.com^$third-party
@@ -40476,6 +41787,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xcvlescqkwan.com^$third-party
 ||xcxepcbypxwf.com^$third-party
 ||xcxetqrzckvy.com^$third-party
+||xdcdlfejo.com^$third-party
 ||xdiyxgwojtbxft.bid^$third-party
 ||xdjeestdoiis.com^$third-party
 ||xdoygumiams.com^$third-party
@@ -40490,18 +41802,23 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xegavyzkxowj.com^$third-party
 ||xegvnhpwytev.com^$third-party
 ||xewzazxkmzpc.com^$third-party
+||xexklpgrsg.com^$third-party
 ||xfgpmvlacsojy.bid^$third-party
 ||xfgqvqoyzeiu.com^$third-party
 ||xftyznkmppep.bid^$third-party
 ||xfutdbnryjmh.bid^$third-party
 ||xfvzkoevuw.bid^$third-party
+||xfxjdoot.com^$third-party
 ||xgaethsnmbzi.com^$third-party
+||xgpijbqair.com^$third-party
+||xgrfmoisvy.com^$third-party
 ||xgspfcpxt.com^$third-party
 ||xgtrznovqaqp.com^$third-party
 ||xgvertjtfl.bid^$third-party
 ||xgxmhvcppp.bid^$third-party
 ||xgzybmbwfmjd.com^$third-party
 ||xhdzcofomosh.com^$third-party
+||xhewunoklug.com^$third-party
 ||xhmakwcpmg.bid^$third-party
 ||xhojlvfznietogsusdiflwvxpkfhixbgdxcnsdshxwdlnhtlih.com^$third-party
 ||xhqilhfrfkoecllmthusrpycaogrfivehyymyqkpmxbtomexwl.com^$third-party
@@ -40530,6 +41847,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xkawgrrrpszb.com^$third-party
 ||xkbsohnosdmoa.bid^$third-party
 ||xkeeqmvs.bid^$third-party
+||xkgitcod.com^$third-party
 ||xkotbziugfturl.com^$third-party
 ||xkoyfyaqk.com^$third-party
 ||xkpogkffibjejj.bid^$third-party
@@ -40538,12 +41856,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xkssqonbadgs.com^$third-party
 ||xktfhmbp.bid^$third-party
 ||xkwnadxakuqc.com^$third-party
+||xkwnmbqef.com^$third-party
 ||xkygmtrrjalx.com^$third-party
+||xkylfuhjh.com^$third-party
 ||xkziczlmpsfw.bid^$third-party
 ||xlauvkqs.bid^$third-party
 ||xlavzhffzwgb.com^$third-party
 ||xlbosrttvas.bid^$third-party
 ||xlcnavkhn.bid^$third-party
+||xlhhbtve.com^$third-party
 ||xljfxjbjw.bid^$third-party
 ||xlvausdwsmyoww.bid^$third-party
 ||xmbyoyvs.bid^$third-party
@@ -40580,6 +41901,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xqopbyfjdqfs.com^$third-party
 ||xqquphzq.bid^$third-party
 ||xqrjfouxkrs.com^$third-party
+||xqrupeccbfpzdl.com^$third-party
 ||xqtadzsabcjj.bid^$third-party
 ||xqygrmkga.bid^$third-party
 ||xqzkpmrgcpsw.com^$third-party
@@ -40588,6 +41910,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xrivpngzagpy.com^$third-party
 ||xrjjhkuwccu.com^$third-party
 ||xrmtjxxeerbew.bid^$third-party
+||xrmtvzpig.com^$third-party
 ||xrmwainxxr.bid^$third-party
 ||xrnmuqmpcsx.com^$third-party
 ||xrqkzdbnybod.com^$third-party
@@ -40618,14 +41941,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xttrofww.com^$third-party
 ||xtuenvlsoenwn.bid^$third-party
 ||xtzslqieeh.bid^$third-party
+||xubqqaqhotit.com^$third-party
 ||xudrwfesrzl.bid^$third-party
 ||xugnzawkrkvu.com^$third-party
 ||xuhktijdskah.com^$third-party
 ||xuiiiqpsw.bid^$third-party
+||xuikjhak.com^$third-party
 ||xukdsjqzkqegzv.bid^$third-party
 ||xumabheajpiko.bid^$third-party
 ||xumunjgfelw.bid^$third-party
 ||xuoitwefz.bid^$third-party
+||xurokykjwum.com^$third-party
 ||xuwptpzdwyaw.com^$third-party
 ||xuwxbdafults.com^$third-party
 ||xvfzxuzvxcv.bid^$third-party
@@ -40633,6 +41959,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xvtbumnuj.com^$third-party
 ||xvtgouzdsmoeb.com^$third-party
 ||xvuhfmlclllby.bid^$third-party
+||xwagalbvfkb.com^$third-party
 ||xwavjdqttkum.com^$third-party
 ||xwesxrxyopqyc.com^$third-party
 ||xwgbfrnppyoc.bid^$third-party
@@ -40643,6 +41970,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xwwkuacmqblu.com^$third-party
 ||xwwsojvluzsb.com^$third-party
 ||xwwvcsquuhbd.com^$third-party
+||xwzhazcuyf.com^$third-party
 ||xxamqnqeygbk.com^$third-party
 ||xxehantfkywk.com^$third-party
 ||xxelvfyvgcjo.bid^$third-party
@@ -40656,13 +41984,17 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xxzkqbdibdgq.com^$third-party
 ||xycbrnotvcat.com^$third-party
 ||xycpjxkkkim.com^$third-party
+||xydubrrvpthmat.com^$third-party
 ||xyfrnfoijncmu.com^$third-party
 ||xygzlbizru.com^$third-party
 ||xyiawbjnajcm.bid^$third-party
 ||xyknfufvlk.bid^$third-party
+||xymuhrhbvl.com^$third-party
 ||xymyozxsofipvq.com^$third-party
+||xynutvdh.com^$third-party
 ||xyrjlbxkxojoi.bid^$third-party
 ||xyvjknwxwtf.bid^$third-party
+||xzfhewclnun.com^$third-party
 ||xzfjznfiuawv.bid^$third-party
 ||xzhmjoch.bid^$third-party
 ||xzibhixbsler.bid^$third-party
@@ -40673,6 +42005,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xztsmbznuwyo.com^$third-party
 ||xzwdhymrdxyp.com^$third-party
 ||xzzcasiospbn.com^$third-party
+||yafsixmo.com^$third-party
 ||yaifxxudxyns.com^$third-party
 ||yaizwjvnxctz.com^$third-party
 ||yalyuzvlr.bid^$third-party
@@ -40689,6 +42022,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ybhaoglgbgdk.com^$third-party
 ||ybhpbkyzbihlrk.bid^$third-party
 ||ybikaghc.bid^$third-party
+||ybmdgyywbhk.com^$third-party
+||ybnuasihsy.com^$third-party
+||ybofeikeckfxh.com^$third-party
 ||ybrjldiexlqb.com^$third-party
 ||ybrmiemawkawxb.com^$third-party
 ||ybspoverfo.bid^$third-party
@@ -40709,8 +42045,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yctquwjbbkfa.com^$third-party
 ||ycxpmdwail.bid^$third-party
 ||yczvwlqexzhtf.bid^$third-party
+||yddazzul.com^$third-party
 ||yddbgolpjwv.bid^$third-party
+||ydeoxwomjpvxoz.com^$third-party
 ||ydgjaoes.bid^$third-party
+||ydlrdzlbgs.com^$third-party
 ||ydoexgadghunl.bid^$third-party
 ||ydqcdaqbmfedv.bid^$third-party
 ||ydthazdza.com^$third-party
@@ -40736,23 +42075,28 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yfoymaiiab.club^$third-party
 ||yfqlqjpdsckc.com^$third-party
 ||yfrsukbbfzyf.com^$third-party
+||yfsgdrxjkzeak.com^$third-party
 ||yfzcjqpxunsn.com^$third-party
 ||yfzohuuguor.bid^$third-party
 ||ygbokgipe.bid^$third-party
+||ygkovmqdty.com^$third-party
 ||ygkqjensf.bid^$third-party
 ||ygrtbssc.com^$third-party
 ||ygsgfzydhdgd.com^$third-party
 ||ygyymhfstzuen.com^$third-party
+||yhasbgva.com^$third-party
 ||yhatwlkdbeewdd.bid^$third-party
 ||yhazcicy.bid^$third-party
 ||yhcxzccnlvm.bid^$third-party
 ||yhglrmvdxmxm.com^$third-party
 ||yhnwofsz.bid^$third-party
 ||yhqojrhfgfsh.com^$third-party
+||yhrzzoze.com^$third-party
 ||yhsxsjzyqfoq.com^$third-party
 ||yhtytxeskrqgpl.bid^$third-party
 ||yhzobwqqecaa.com^$third-party
 ||yibrvxydm.bid^$third-party
+||yicainjezma.com^$third-party
 ||yigxdcmrgutrjl.com^$third-party
 ||yihibfmdq.bid^$third-party
 ||yikkagezqsob.com^$third-party
@@ -40767,12 +42111,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yjhwrpuqitzgh.bid^$third-party
 ||yjjglyoytiew.com^$third-party
 ||yjjtxuhfglxa.com^$third-party
+||yjlocznmvvvtp.com^$third-party
 ||yjlyvrdpnuef.bid^$third-party
 ||yjmpzvoe.bid^$third-party
 ||yjsshralziws.com^$third-party
+||yjthoibc.com^$third-party
 ||yjzopxkhw.bid^$third-party
 ||ykaakgddajbt.com^$third-party
 ||ykacbmxeapwi.com^$third-party
+||ykalhhbkhwgyo.com^$third-party
 ||ykaonbmjjmyi.com^$third-party
 ||ykbcogkoiqdw.com^$third-party
 ||ykdiojhuy.bid^$third-party
@@ -40794,8 +42141,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ylovduaeyeppl.com^$third-party
 ||ylqezcnlzfsj.com^$third-party
 ||ylsbuudmpiks.bid^$third-party
+||ylziomazxhbj.com^$third-party
+||ymejzynrw.com^$third-party
 ||ymgjxtmtfl.bid^$third-party
 ||ymlbuooxppzt.com^$third-party
+||ymmoeffaosvdua.com^$third-party
 ||ymuhtjftw.bid^$third-party
 ||ymuhybbrk.com^$third-party
 ||ynbymadjbgoo.bid^$third-party
@@ -40813,16 +42163,20 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yoorjlleqtquez.bid^$third-party
 ||yoqvnnkdmqfk.com^$third-party
 ||yovbkyylqlmkg.bid^$third-party
+||yovqbcixogwc.com^$third-party
 ||yoxlrphhmphq.com^$third-party
 ||yoywgmzjgtfl.com^$third-party
 ||ypbfrhlgquaj.com^$third-party
 ||ypcuhmevrq.bid^$third-party
+||ypecrrktyo.com^$third-party
 ||ypfghpqnkgbxu.bid^$third-party
+||yphyzxdm.com^$third-party
 ||ypmdszuxupnxk.bid^$third-party
 ||ypyarwgh.com^$third-party
 ||yqhgbmyfiomx.com^$third-party
 ||yqjoqncxmufi.com^$third-party
 ||yqlfiutmnbazmj.bid^$third-party
+||yqmjmbmxzfz.com^$third-party
 ||yqmnyyfe.bid^$third-party
 ||yqmvckcnojc.bid^$third-party
 ||yqpmlgwmqtwpa.bid^$third-party
@@ -40830,6 +42184,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yqrsfisvrilz.com^$third-party
 ||yqtzhigbiame.com^$third-party
 ||yqucllrbg.com^$third-party
+||yqufdqly.com^$third-party
 ||yqutkbvrgvar.com^$third-party
 ||yqvxurmg.bid^$third-party
 ||yqxnmyydmcw.bid^$third-party
@@ -40838,12 +42193,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yrgnouqinylg.com^$third-party
 ||yrijcjiclmltxq.bid^$third-party
 ||yrnzxgsjokuv.com^$third-party
+||yrrcrvoivbv.com^$third-party
 ||yrvrppewe.bid^$third-party
 ||yrxhmallcirx.com^$third-party
 ||yrzukplqjwxst.bid^$third-party
 ||ysdacdbitdy.bid^$third-party
 ||ysdxcrighudjmw.com^$third-party
 ||ysexxayb.bid^$third-party
+||ysgjivctf.com^$third-party
 ||yshsoycsac.com^$third-party
 ||ysqdjkermxyt.com^$third-party
 ||ysrbddieabo.bid^$third-party
@@ -40852,6 +42209,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ytapgckhhvou.com^$third-party
 ||ytaujxmxxxmm.com^$third-party
 ||ytbnswbr.bid^$third-party
+||ytbpmzbabph.com^$third-party
 ||ytiqdpws.bid^$third-party
 ||ytiyuqfxjbke.com^$third-party
 ||ytjadaazjjy.bid^$third-party
@@ -40862,7 +42220,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yukwxqnxwzghxb.com^$third-party
 ||yupwqyocvvnw.com^$third-party
 ||yuywwcizs.com^$third-party
+||yvfsfoctkls.com^$third-party
 ||yvjdvcgomph.bid^$third-party
+||yvmosixxo.com^$third-party
 ||yvmzmyol.bid^$third-party
 ||yvqdhpyaoike.bid^$third-party
 ||yvqpoiqcijc.bid^$third-party
@@ -40913,8 +42273,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yzreywobobmw.com^$third-party
 ||yzsiwyvmgftjuqfoejhypwkmdawtwlpvawzewtrrrdfykqhccq.com^$third-party
 ||yzuezvrahok.com^$third-party
+||yzuzfvlzi.com^$third-party
 ||yzygkqjhedpw.com^$third-party
 ||yzzmcxnlvyymt.com^$third-party
+||zaaireapylyr.com^$third-party
 ||zacbwfgqvxan.com^$third-party
 ||zacqkexd.com^$third-party
 ||zaczpeabsygpdz.bid^$third-party
@@ -40932,6 +42294,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zbfncjtaiwngdsrxvykupflpibvbrewhemghxlwsdoluaztwyi.com^$third-party
 ||zbfqzqzkocbgy.bid^$third-party
 ||zbgeaxemkosdwv.bid^$third-party
+||zbhlfwpnp.com^$third-party
 ||zbihwbypkany.com^$third-party
 ||zbjbvuei.bid^$third-party
 ||zbmuqkejcfww.com^$third-party
@@ -40946,12 +42309,15 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zbzdylsefv.bid^$third-party
 ||zbzksshdcwrka.bid^$third-party
 ||zcczvunkmmcg.com^$third-party
+||zcinaovb.com^$third-party
 ||zclivukslm.bid^$third-party
 ||zclxwzegqslr.com^$third-party
 ||zcmzmicuqlq.bid^$third-party
 ||zcqaztillrmmqu.bid^$third-party
 ||zcuocqfstyne.bid^$third-party
+||zdafkehcmdcphi.com^$third-party
 ||zdbzkrphx.bid^$third-party
+||zdfyowkafur.com^$third-party
 ||zdolhnqbtnbcx.com^$third-party
 ||zdqsrdamdgmn.com^$third-party
 ||zdvyzlbvrwqpf.bid^$third-party
@@ -40963,6 +42329,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zeyiihbqbswtn.bid^$third-party
 ||zezowfisdfyn.com^$third-party
 ||zfbnzfyciqzreh.com^$third-party
+||zfgistbbg.com^$third-party
 ||zfivwwbxblzef.bid^$third-party
 ||zfjmdpvlvcidyd.bid^$third-party
 ||zfkkmayphqrw.com^$third-party
@@ -40983,6 +42350,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zgydngnax.bid^$third-party
 ||zhabyesrdnvn.com^$third-party
 ||zhbzxeis.bid^$third-party
+||zhdjvlfszokew.com^$third-party
 ||zhdmplptugiu.com^$third-party
 ||zhkziiaajuad.com^$third-party
 ||zhmbxvmyk.com^$third-party
@@ -40990,6 +42358,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zhqzqupvgczom.com^$third-party
 ||zhrbwgylkeqmb.bid^$third-party
 ||zhtcuchr.bid^$third-party
+||zhxpnywjnltskd.com^$third-party
 ||ziaxamkssw.com^$third-party
 ||ziglpcxcxetsi.com^$third-party
 ||zijkalirgmyzj.bid^$third-party
@@ -41013,6 +42382,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zkvdsdsftimj.bid^$third-party
 ||zkzpfpoazfgq.com^$third-party
 ||zlbdtqoayesloeazgxkueqhfzadqjqqduwrufqemhpbrjvwaar.com^$third-party
+||zldgcyoxtk.com^$third-party
 ||zldnbkznfs.bid^$third-party
 ||zlfpmrmkr.com^$third-party
 ||zlfttgbmzk.bid^$third-party
@@ -41040,6 +42410,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zoileyozfexv.com^$third-party
 ||zoktycom.com^$third-party
 ||zoowknbw.com^$third-party
+||zospzfvxkshe.com^$third-party
 ||zowhxkwzjpta.com^$third-party
 ||zpctncydojjh.com^$third-party
 ||zpfjfwbij.com^$third-party
@@ -41062,6 +42433,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zqijyjktaxc.bid^$third-party
 ||zqjfpxcgivkv.com^$third-party
 ||zqlkekbqp.com^$third-party
+||zqouofoilmqfje.com^$third-party
 ||zqskkhcxd.bid^$third-party
 ||zrbhmhzzdj.com^$third-party
 ||zrbhyvkpgeyn.com^$third-party
@@ -41079,6 +42451,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zsdlyigktdly.bid^$third-party
 ||zsihqvjfwwlk.com^$third-party
 ||zslembevfypr.com^$third-party
+||zsruuckp.com^$third-party
+||zsuqhunoiex.com^$third-party
 ||zswlvohr.com^$third-party
 ||zsxaeudw.bid^$third-party
 ||zsxlpdtnyyau.com^$third-party
@@ -41099,7 +42473,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zueqwtbryx.bid^$third-party
 ||zunjxpwiztqgt.bid^$third-party
 ||zupeaoohmntp.com^$third-party
+||zutnlpnzxtt.com^$third-party
 ||zuuwfrphdgxk.com^$third-party
+||zuwaodorkyrrp.com^$third-party
 ||zuxanrebeceko.com^$third-party
 ||zvaianux.bid^$third-party
 ||zvdotftdxkfsv.bid^$third-party
@@ -41117,6 +42493,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zwqfnizwcvbx.com^$third-party
 ||zwurpwlleo.bid^$third-party
 ||zwuygjzjrjnedg.com^$third-party
+||zwxaraxq.com^$third-party
 ||zwxfsqruqlim.com^$third-party
 ||zxadziqqayup.com^$third-party
 ||zxafncddmww.com^$third-party
@@ -41124,6 +42501,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zxavxgjcjmkh.com^$third-party
 ||zxazzpdvhf.bid^$third-party
 ||zxbjgrxbcgrp.com^$third-party
+||zxcrsyhkndzoc.com^$third-party
 ||zxjmybvewmso.com^$third-party
 ||zxmkvelyft.bid^$third-party
 ||zxqeycvsetkh.com^$third-party
@@ -41136,6 +42514,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zyeawuzisttu.com^$third-party
 ||zyfuywrjbxyf.com^$third-party
 ||zyjjmszszum.bid^$third-party
+||zykqvbxfdqbdvj.com^$third-party
 ||zyleqnzmvupg.com^$third-party
 ||zylokfmgrtzv.com^$third-party
 ||zymaevtin.bid^$third-party
@@ -41159,6 +42538,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||46779ff4.net^$image,third-party
 ||4trgergq.net^$image,third-party
 ||546qwee.net^$image,third-party
+||56sgtrx.com^$image,third-party
 ||6dfggjbgt.com^$image,third-party
 ||9pohbga.com^$image,third-party
 ||absilf.com^$image,third-party
@@ -41876,6 +43256,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||4dsply.com^$popup,third-party
 ||5.45.79.15^$popup
 ||5dimes.com^$popup,third-party
+||5iclx7wa4q.com^$popup
 ||6198399e4910e66-ovc.com^$popup
 ||72b8869dfc34690.com^$popup
 ||7f1au20glg.com^$popup
@@ -42137,15 +43518,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dradvice.in^$popup,third-party
 ||durokuro.com^$popup,third-party
 ||dynsrvaba.com^$popup
+||dynsrvwer.com^$popup
 ||eastbour.mobi^$popup
 ||easydownloadnow.com^$popup,third-party
 ||easykits.org^$popup,third-party
 ||ebeda.info^$popup
 ||ebzkswbs78.com^$popup,third-party
 ||elite-sex-finder.com^$popup,third-party
-||elvenar.com^$popup
 ||enlarget.com^$popup,third-party
 ||epicgameads.com^$popup,third-party
+||epital.gdn^$popup
 ||epix-trader.co^$popup
 ||eroanalysis.com^$popup,third-party
 ||euromillionairesystem.me^$popup,third-party
@@ -42220,6 +43602,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||h8vzwpv.com^$popup
 ||hd-plugin.com^$popup,third-party
 ||hebadu.com^$popup
+||hh-btr.com^$popup
 ||hhourtrk2.com^$popup,third-party
 ||hibids10.com^$popup
 ||hicpm10.com^$popup
@@ -42257,6 +43640,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||instantpaydaynetwork.com^$popup,third-party
 ||insulling.com^$popup
 ||intab.fun^$popup
+||intab.xyz^$popup
 ||integral-marketing.com^$popup,third-party
 ||interfalls.com^$popup
 ||internalredirect.site^$popup,third-party
@@ -42401,9 +43785,11 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pexu.com^$popup,third-party
 ||pgmediaserve.com^$popup,third-party
 ||pickoga.work^$popup,third-party
+||pimmuter.com^$popup
 ||pipaoffers.com^$popup,third-party
 ||pipsol.net^$popup
 ||pixellitomedia.com^$popup,third-party
+||pixelsfighting.co^$popup,third-party
 ||playboymethod.com^$popup,third-party
 ||plex2.com^$popup,third-party
 ||plexop.net^$popup,third-party
@@ -42502,6 +43888,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rm-tracker.com^$popup,third-party
 ||rolinda.work^$popup,third-party
 ||ronetu.ru^$popup,third-party
+||rotumal.com^$popup,third-party
 ||roulettebotplus.com^$popup,third-party
 ||roverinvolv.bid^$popup
 ||rtrdan1.com^$popup
@@ -42519,6 +43906,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||servingit.co^$popup,third-party
 ||sexitnow.com^$popup,third-party
 ||shiek1ph.com^$popup,third-party
+||shopeasy.by^$popup,third-party
 ||sierra-fox.com^$popup,third-party
 ||silstavo.com^$popup,third-party
 ||simpleinternetupdate.com^$popup,third-party
@@ -42609,6 +43997,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||trktrk047.com^$popup
 ||trw12.com^$popup,third-party
 ||tsyndicate.com^$popup
+||ttdaz.xyz^$popup
 ||tulip18.com^$popup
 ||turbofileindir.com^$popup,third-party
 ||tutotrack.com^$popup
@@ -42664,6 +44053,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||windgetbook.info^$popup,third-party
 ||winhugebonus.com^$popup,third-party
 ||witalfieldt.com^$popup
+||withdromnit.pro^$popup,third-party
 ||wonderlandads.com^$popup,third-party
 ||worldrewardcenter.net^$popup,third-party
 ||wrigginger.info^$popup
@@ -42674,6 +44064,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||xclicks.net^$popup,third-party
 ||xtendmedia.com^$popup,third-party
 ||xtracker.pro^$popup
+||xv9xm6zxb8.com^$popup
 ||xyzzyxxyzzyx.com^$popup
 ||yeesshh.com^$popup,third-party
 ||yellorun.com^$popup
@@ -42830,6 +44221,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||affiliaxe.com^$third-party
 ||affiligay.net^$third-party
 ||afgr1.com^$third-party
+||afgr3.com^$third-party
 ||aipbannerx.com^$third-party
 ||aipmedia.com^$third-party
 ||alfatraffic.com^$third-party
@@ -42846,6 +44238,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||angelpastel.com^$third-party
 ||antaraimedia.com^$third-party
 ||antoball.com^$third-party
+||aoredi.com^$third-party
 ||apromoweb.com^$third-party
 ||are-ter.com^$third-party
 ||asiafriendfinder.com^$third-party
@@ -42853,11 +44246,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||augrenso.com^$third-party
 ||automoc.net^$third-party
 ||awentw.com^$third-party
+||awept.com^$third-party
 ||awmcenter.eu^$third-party
 ||awmpartners.com^$third-party
 ||ax47mp-xp-21.com^$third-party
 ||azerbazer.com^$third-party
 ||aztecash.com^$third-party
+||baconaces.pro^$third-party
+||baletingo.com^$third-party
 ||banerator.net^$third-party
 ||basesclick.ru^$third-party
 ||baskodenta.com^$third-party
@@ -42875,6 +44271,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||bitterstrawberry.org^$third-party
 ||black-ghettos.info^$third-party
 ||black6adv.com^$third-party
+||blatungo.com^$third-party
 ||blossoms.com^$third-party
 ||board-books.com^$third-party
 ||boinkcash.com^$third-party
@@ -42943,6 +44340,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||creoads.com^$third-party
 ||crocoads.com^$third-party
 ||cross-system.com^$third-party
+||crptentry.com^$third-party
 ||crtracklink.com^$third-party
 ||ctyzd.com^$third-party
 ||cwgads.com^$third-party
@@ -42954,6 +44352,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||d29gqcij.com^$third-party
 ||d3b3e6340.website^$third-party
 ||daffaite.com^$third-party
+||daiporno.com^$third-party
 ||dallavel.com^$third-party
 ||dana123.com^$third-party
 ||danzabucks.com^$third-party
@@ -42984,6 +44383,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||discreetlocalgirls.com^$third-party
 ||divascam.com^$third-party
 ||divertura.com^$third-party
+||dlski.space^$third-party
 ||dofolo.ru^$third-party
 ||dosugcz.biz^$third-party
 ||double-check.com^$third-party
@@ -43003,7 +44403,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||eltepo.ru^$third-party
 ||emediawebs.com^$third-party
 ||enoratraffic.com^$third-party
+||eqfgc.com^$third-party
 ||eragi.ru^$third-party
+||ergs4.com^$third-party
 ||eroadvertising.com^$third-party
 ||erosadv.com^$third-party
 ||erotikdating.com^$third-party
@@ -43027,6 +44429,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fderty.com^$third-party
 ||feeder.xxx^$third-party
 ||felixflow.com^$third-party
+||festaporno.com^$third-party
 ||fickads.net^$third-party
 ||filthads.com^$third-party
 ||findandtry.com^$third-party
@@ -43062,6 +44465,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||g6ni40i7.com^$third-party
 ||g726n8cy.com^$third-party
 ||gamblespot.ru^$third-party
+||gamescarousel.com^$third-party
 ||gamesrevenu24.com^$third-party
 ||gamevui24.com^$third-party
 ||ganardineroreal.com^$third-party
@@ -43091,6 +44495,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gunzblazingpromo.com^$third-party
 ||gzbop.com^$third-party
 ||haeg1ei.bid^$third-party
+||halileo.com^$third-party
 ||happer.info^$third-party
 ||hdat.xyz^$third-party
 ||helltraffic.com^$third-party
@@ -43135,6 +44540,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ijrah.top^$third-party
 ||ilovecheating.com^$third-party
 ||imglnka.com^$third-party
+||imglnkb.com^$third-party
 ||impotencehelp.info^$third-party
 ||impressionmonster.com^$third-party
 ||inertanceretinallaurel.com^$third-party
@@ -43174,6 +44580,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||kinopokaz.org^$third-party
 ||kliklink.ru^$third-party
 ||klocko.link^$third-party
+||kodicdn.com^$third-party
 ||kolestence.com^$third-party
 ||kolitat.com^$third-party
 ||kolort.ru^$third-party
@@ -43202,6 +44609,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||loveadverts.com^$third-party
 ||lovecam.com.br^$third-party
 ||lovercash.com^$third-party
+||lpwre.top^$third-party
 ||lsawards.com^$third-party
 ||lucidcommerce.com^$third-party
 ||lugiy.ru^$third-party
@@ -43258,6 +44666,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mopilod.com^$third-party
 ||morehitserver.com^$third-party
 ||move2.co^$third-party
+||mp-https.info^$third-party
 ||mp3vicio.com^$third-party
 ||mpay69.pw^$third-party
 ||mpmcash.com^$third-party
@@ -43297,6 +44706,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||oconner.biz^$third-party
 ||octopuspop.com^$third-party
 ||oddads.net^$third-party
+||odnobi.ru^$third-party
 ||odzb5nkp.com^$third-party
 ||ofapes.com^$third-party
 ||okeo.ru^$third-party
@@ -43309,6 +44719,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||otaserve.net^$third-party
 ||otherprofit.com^$third-party
 ||outster.com^$third-party
+||ovbnb.com^$third-party
+||overreare.co^$third-party
 ||owlopadjet.info^$third-party
 ||owpawuk.ru^$third-party
 ||oxcluster.com^$third-party
@@ -43351,11 +44763,14 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||porn-ad.org^$third-party
 ||porn-hitz.com^$third-party
 ||porn-site-builder.com^$third-party
+||porn300.com^$third-party
 ||porn88.net^$third-party
 ||porn99.net^$third-party
 ||pornattitude.com^$third-party
 ||pornconversions.com^$third-party
+||porndroids.com^$third-party
 ||pornearn.com^$third-party
+||pornglee.com^$third-party
 ||porngray.com^$third-party
 ||pornkings.com^$third-party
 ||pornleep.com^$third-party
@@ -43505,6 +44920,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sterrencash.nl^$third-party
 ||streamateaccess.com^$third-party
 ||stripsaver.com^$third-party
+||styleszelife.com^$third-party
 ||sunmcre.com^$third-party
 ||sunnysmedia.com^$third-party
 ||sv2.biz^$third-party
@@ -43512,6 +44928,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sweetstudents.com^$third-party
 ||talk-blog.com^$third-party
 ||tanil.info^$third-party
+||tantoporno.com^$third-party
 ||targetingnow.com^$third-party
 ||targettrafficmarketing.net^$third-party
 ||tarkita.ru^$third-party
@@ -43590,6 +45007,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||uxernab.com^$third-party
 ||ver-pelis.net^$third-party
 ||verticalaffiliation.com^$third-party
+||vfgta.com^$third-party
 ||video-people.com^$third-party
 ||viewrtb.com^$third-party
 ||virtuagirlhd.com^$third-party
@@ -43640,6 +45058,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||x3v66zlz.com^$third-party
 ||xclickdirect.com^$third-party
 ||xclicks.net^$third-party
+||xenfrastucter.com^$third-party
 ||xf43506e8.pw^$third-party
 ||xfuckbook.com^$third-party
 ||xgogi.com^$third-party
@@ -43678,7 +45097,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||yuppads.com^$third-party
 ||yx0banners.com^$third-party
 ||zboac.com^$third-party
+||zenhppyad.com^$third-party
 ||zenkreka.com^$third-party
+||zinhavnpak.com^$third-party
 ||zinzimo.info^$third-party
 ||ziphentai.com^$third-party
 ||zog.link^$third-party
@@ -43764,6 +45185,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||needlive.com^$popup
 ||nextlandingads.com^$popup
 ||njmaq.com^$popup,third-party
+||ophistler.pro^$popup
 ||pinkberrytube.com^$popup
 ||playgirl.com^$popup
 ||plinx.net^$popup,third-party
@@ -43867,6 +45289,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aadvertismentt.com^$subdocument
 ||abacast.com/banner/
 ||ablacrack.com/popup-pvd.js$third-party
+||ace.advertising.com^$third-party
 ||ad-v.jp/adam/
 ||ad.23blogs.com^$third-party
 ||ad.about.co.kr^
@@ -43917,6 +45340,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adap.tv/redir/client/static/as3adplayer.swf
 ||adap.tv/redir/plugins/$object-subrequest
 ||adap.tv/redir/plugins3/$object-subrequest
+||adaptv.advertising.com^$third-party
 ||add.bugun.com.tr^
 ||addme.com/images/addme_$third-party
 ||adf.ly/?$subdocument,~third-party,domain=adf.ly
@@ -43929,11 +45353,16 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adingo.jp.eimg.jp^
 ||adlandpro.com^$third-party
 ||adn.ebay.com^
+||adnxs.com/ast/$third-party
+||adnxs.com/mob^$third-party
+||adnxs.com/p/$third-party
+||adnxs.com/ut/$third-party
 ||adplus.goo.mx^
 ||adr-*.vindicosuite.com^
 ||ads.dynamicyield.com^$third-party
 ||ads.linkedin.com^$third-party
 ||ads.mp.mydas.mobi^
+||ads.servebom.com^
 ||ads.tremorhub.com^
 ||adscaspion.appspot.com^
 ||adserv.legitreviews.com^$third-party
@@ -43941,6 +45370,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||adss.dotdo.net^
 ||adstest.zaman.com.tr^$third-party
 ||adswizz.com/adswizz/js/SynchroClient*.js$third-party
+||adtech.advertising.com^$third-party
 ||advanced-intelligence.com/banner
 ||adz.zwee.ly^
 ||adziff.com^*/zdcse.min.js
@@ -44004,6 +45434,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||amazonaws.com/btrb-prd-banners/
 ||amazonaws.com/crossdomain.xml$object-subrequest,domain=ndtv.com
 ||amazonaws.com/digitalcinemanec.swf$domain=boxoffice.com
+||amazonaws.com/dmx_banner?$domain=autodealer.co.za
 ||amazonaws.com/fvefwdds/
 ||amazonaws.com/images/a/$domain=slader.com
 ||amazonaws.com/lms/sponsors/
@@ -44020,6 +45451,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||amazonaws.com/widgets.youcompare.com.au/
 ||amazonaws.com/youpop/
 ||amazonaws.com^*/ads/$image,domain=washingtonmonthly.com
+||amazonaws.com^*/funders-$domain=globalvoices.org
 ||amazonaws.com^*/player_request_*/get_affiliate_
 ||analytics.disneyinternational.com^
 ||ancestrydata.com/widget.html?$domain=findagrave.com
@@ -44246,8 +45678,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cjmooter.xcache.kinxcdn.com^
 ||clarity.abacast.com^
 ||classistatic.com^*/sponsors/
+||click.aliexpress.com^$third-party
 ||click.eyk.net^
 ||clickandgo.com/booking-form-widget?$third-party
+||clickiocdn.com/t/common_
 ||clickstrip.6wav.es^
 ||clicksure.com/img/resources/banner_
 ||clicktripz.com/scripts/js/ct.js
@@ -44275,6 +45709,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||complexmedianetwork.com/js/cmnUNT.js
 ||comx-computers.co.za/banners/$third-party
 ||conduit.com//banners/$third-party
+||connatix.com/min/connatix.renderer.infeed.min.js
 ||connect.summit.co.uk^
 ||connectok.com/brightcove/?$domain=newsok.com
 ||consolpub.com/weatherwindow/
@@ -44313,6 +45748,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||d13czkep7ax7nj.cloudfront.net^
 ||d140sbu1b1m3h0.cloudfront.net^
 ||d15565yqt7pv7r.cloudfront.net^
+||d158nafix8anfs.cloudfront.net^
 ||d15gt9gwxw5wu0.cloudfront.net^
 ||d1635hfcvs8ero.cloudfront.net^
 ||d17f2fxw547952.cloudfront.net^
@@ -44439,6 +45875,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||d3vc1nm9xbncz5.cloudfront.net^
 ||d5pvnbpawsaav.cloudfront.net^
 ||d6bdy3eto8fyu.cloudfront.net^
+||d6sav80kktzcx.cloudfront.net^
 ||d8qy7md4cj3gz.cloudfront.net^
 ||da5w2k479hyx2.cloudfront.net^
 ||dailydealstwincities.com/widgets/$subdocument,third-party
@@ -44454,6 +45891,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dawanda.com/widget/$third-party
 ||dbam.dashbida.com^
 ||dbcdqp72lzmvj.cloudfront.net^
+||dc08i221b0n8a.cloudfront.net^$third-party
 ||dcdevtzxo4bb0.cloudfront.net^
 ||ddwht76d9jvfl.cloudfront.net^
 ||dealextreme.com/affiliate_upload/$third-party
@@ -44489,6 +45927,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||disqus.com/listPromoted?
 ||disy2s34euyqm.cloudfront.net^
 ||dizixdllzznrf.cloudfront.net^
+||dj5ag5n6bpdxo.cloudfront.net^
 ||djlf5xdlz7m8m.cloudfront.net^
 ||djr4k68f8n55o.cloudfront.net^
 ||dkd69bwkvrht1.cloudfront.net^
@@ -44528,8 +45967,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||droidnetwork.net/img/vendors/
 ||dropbox.com^*/aff-resources/$domain=gramfeed.com
 ||dsh7ky7308k4b.cloudfront.net^
+||dtakdb1z5gq7e.cloudfront.net^
 ||dtrk.slimcdn.com^
 ||dttek.com/sponsors/
+||dtto8zfzskfoa.cloudfront.net^
 ||du2uh7rq0r0d3.cloudfront.net^
 ||duckduckgo.com/public/$third-party
 ||duct5ntjian71.cloudfront.net^
@@ -44576,6 +46017,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||entitlements.jwplayer.com^$third-party
 ||epimg.net/js/pbs/
 ||eplreplays.com/wl/
+||epnt.ebay.com^$third-party
 ||epowernetworktrackerimages.s3.amazonaws.com^
 ||escape.insites.eu^$third-party
 ||esport-betting.com^*/betbanner/
@@ -44678,6 +46120,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fyiwashtenaw.com/remote_widget?
 ||fyygame.com/images/*.swf$third-party
 ||gadgetresearch.net^$subdocument,third-party
+||gadgets360.com/pricee/$third-party
 ||gadgets360cdn.com/shop/$domain=ndtv.com
 ||gamblingwages.com/images/$third-party
 ||gameduell.com/res/affiliate/
@@ -44777,6 +46220,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||heyoya.com^*&aff_id=
 ||hide-my-ip.com/promo/
 ||highepcoffer.com/images/banners/
+||hirepurpose.com/static/widgets/$third-party
 ||hitfox-jobboard.c66.me^
 ||hitleap.com/assets/banner-
 ||hitleap.com/assets/banner.png
@@ -45110,6 +46554,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||news.smi2.ru^$third-party
 ||newware.net/home/banner$third-party
 ||newware.net/home/newware-sm.png$third-party
+||nexage.advertising.com^$third-party
 ||nimblecommerce.com/widget.action?
 ||nitroflare.com/img/banners/
 ||nitropdf.com/graphics/promo/$third-party
@@ -45118,6 +46563,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||novadune.com^$third-party
 ||nster.com/tpl/this/js/popnster.js
 ||ntnd.net^*/store-buttons/
+||ntvcld-a.akamaihd.net^
 ||nude.mk/images/$third-party
 ||numb.hotshare.biz^$third-party
 ||nwadealpiggy.com/widgets/
@@ -45209,6 +46655,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||plista.com/async.js$domain=mirror.co.uk
 ||plus.net/images/referrals/*_banner_$third-party
 ||pm.web.com^$third-party
+||pnet.co.za/jobsearch_iframe_
 ||pntra.com/b/$third-party
 ||pntra.com/i/$third-party
 ||pntrac.com/b/$third-party
@@ -45299,7 +46746,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||regnow.com/vendor/
 ||rehost.to/?ref=
 ||relink.us/images/$third-party
-||rentalcars.com/affxml/$domain=news-headlines.co.za
+||rentalcars.com/affxml/$domain=news-headlines.co.za|nuus.info|sa-news.com|sa-radio.com|saffa.com|saukradio.com
 ||res3.feedsportal.com^
 ||resources.heavenmedia.net/selection.php?
 ||rethinkbar.azurewebsites.net^*/ieflyout.js
@@ -45316,6 +46763,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||rotabanner.kulichki.net^
 ||rotator.tradetracker.net^
 ||rover.ebay.com^*&adtype=$third-party
+||rsafind.co.za^$subdocument,third-party
 ||rsasearch.co.za^$subdocument,third-party
 ||rtax.criteo.com^$third-party
 ||runerich.com/images/sty_img/runerich.gif
@@ -45336,6 +46784,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||salemwebnetwork.com/Stations/images/SiteWrapper/
 ||sat-shop.co.uk/images/$third-party
 ||satshop.tv/images/banner/$third-party
+||sbhc.portalhc.com^$third-party
 ||schenkelklopfer.org^*pop.js
 ||schurzdigital.com/deals/widget/
 ||sciencecareers.org/widget/$third-party
@@ -45427,6 +46876,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||sportingbet.com.au/sbacontent/puntersparadise.html
 ||sportsbetaffiliates.com.au^$third-party
 ||sportsdigitalcontent.com/betting/
+||spot.im/yad/
 ||sproutnova.com/serve.php$third-party
 ||squarespace.evyy.net^
 ||srv.dynamicyield.com^$third-party
@@ -45698,6 +47148,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||widgets.solaramerica.org^$third-party
 ||wildamaginations.com/mdm/banner/
 ||windcdna.com/api/banner/
+||windycitymediagroup.com/gayandlesbianimages/
 ||winpalace.com/?affid=
 ||winsms.co.za/banner/
 ||wishlistproducts.com/affiliatetools/$third-party
@@ -45785,6 +47236,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ! *** easylist:easylist/easylist_thirdparty_popup.txt ***
 ||104.197.207.200^$popup
 ||104.198.188.213^$popup
+||35.184.188.$popup
 ||4utro.ru^$popup
 ||5.39.67.191/promo.php?$popup
 ||6angebot.ch/?ref=$popup,third-party
@@ -45819,6 +47271,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ctcautobody.com^$popup,third-party
 ||d1110e4.se^$popup
 ||dateoffer.net/?s=*&subid=$popup,third-party
+||elvenar.com^*?ref=$popup
 ||eroticmix.blogspot.$popup
 ||erotikdeal.com/?ref=$popup,third-party
 ||erotikdeal.com/advertising.html$popup,third-party
@@ -45843,6 +47296,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||hetu.in^$popup,third-party
 ||hmn-net.com^*/xdirect/$popup,third-party
 ||homemadecelebrityporn.com/track/$popup,third-party
+||hop.clickbank.net/*&transaction_id=*&offer_id=$popup,third-party
 ||house-rent.us^$popup,third-party
 ||hyperlinksecure.com/back?token=$popup
 ||hyperlinksecure.com/go/$popup
@@ -45850,6 +47304,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||infinity-info.com/click?$popup,third-party
 ||iqoption.com/land/$popup,third-party
 ||itunes.apple.com^$popup,domain=fillinn.com
+||jackettrain.com^$popup,third-party
+||laborates.com^$popup,third-party
 ||liutilities.com^*/affiliate/$popup
 ||lovefilm.com/partners/$popup,third-party
 ||lovepoker.de^*/?pid=$popup
@@ -46239,8 +47695,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||partner.loveplanet.ru^$third-party
 ||partners.heart2heartnetwork.$third-party
 ||partners.pornerbros.com^
-||partners.yobt.com^$third-party
-||partners.yobt.tv^$third-party
 ||paydir.com/images/bnr
 ||pcash.globalmailer5.com^$third-party
 ||pinkvisualgames.com/?revid=$third-party
@@ -46438,6 +47892,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||letstryanal.com/track/$popup,third-party
 ||linkfame.com^*/go.php?$popup,third-party
 ||livecams.com^$popup
+||livehotty.com/landing/$popup,third-party
 ||livejasmin.com^$popup,third-party
 ||mafia-linkz.to^$popup,third-party
 ||media.campartner.com/index.php?cpID=*&cpMID=$popup,third-party
@@ -46453,7 +47908,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pornme.com^*.php?ref=$popup,third-party
 ||porno-onlain.info/top.php$popup
 ||pornoh.info^$popup
-||pornslash.com/cbp.php$popup
 ||postselfies.com^*?nats=$popup,third-party
 ||redlightcenter.com/?trq=$popup,third-party
 ||redtube.com/bid/$popup
@@ -46523,7 +47977,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 /wp-content/plugins/wbounce/*$script,domain=viralcraze.net
 ?random=$script,domain=allmyvideos.net|mediafire.com|mooshare.biz|muchshare.net|tvmuse.com|tvmuse.eu|vidspot.net
 ^guid=$script,domain=allmyvideos.net|mediafire.com|mooshare.biz|muchshare.net|tvmuse.com|tvmuse.eu|vidspot.net
-|blob:$domain=101greatgoals.com|1337x.to|1channel.biz|4chan.org|allthetests.com|ancient-origins.net|androidcentral.com|antonymsfor.com|auroravid.to|biology-online.org|bitvid.sx|breakingisraelnews.com|britannica.com|btdb.in|btdb.to|champion.gg|cloudtime.to|colourlovers.com|connectedly.com|convert-me.com|convertcase.net|couch-tuner.at|couch-tuner.me|couchtuner.ac|couchtuner.us|crackberry.com|datpiff.com|demonoid.pw|destructoid.com|dietlast.com|dreamfilm.se|episodetube.com|episodetube.net|ewatchseries.to|fastpic.ru|filme-streamz.com|filmlinks4u.is|firstrowau.eu|firstrowus1.eu|fmovies.is|fmovies.se|fmovies.to|fullmatchesandshows.com|getinmybelly.com|gofirstrow.eu|gorillavid.in|hdfilme.tv|homerun.re|igvnews.co.uk|imagefap.com|imgadult.com|imgtaxi.com|imgwallet.com|imore.com|israelnationalnews.com|jerusalemonline.com|jewsnews.co.il|keepvid.com|kickass.cd|kino-streamz.com|kiplinger.com|kissmanga.com|kshowonline.com|letmewatchthis.pl|letmewatchthis.video|livecricketz.org|lolcounter.com|ludokado.com|merriam-webster.com|movies4stream.com|movpod.in|mylivecricket.org|mywatchseries.to|newtvworld.com|noslocker.com|nosvideo.com|nowfeed2all.eu|nowvideo.li|nowvideo.sx|nowvideo.to|olympicstreams.me|omgcheckitout.com|onwatchseries.to|openload.co|pcgames-download.net|phonearena.com|phonesreview.co.uk|pocketnow.com|primewire.is|primewire.to|primewire.unblockall.xyz|psu.com|rinf.com|roadracerunner.com|serietvsubita.net|sgvideos.net|skidrowcrack.com|snowysmile.com|sockshare.net|sportspickle.com|streamazone.com|streamgaroo.com|strikeout.co|strikeout.me|strikeout.mobi|teamliquid.net|tetrisfriends.com|textsfromlastnight.com|thefreethoughtproject.com|thevideo.me|thewatchseries.ac|torrentz2.eu|torrentz2.me|trifind.com|tv-series.me|unblckd.org|veteranstoday.com|videotoolbox.com|vidtodo.com|vidup.me|vidwatch3.me|vipbox.bz|vipbox.is|vipbox.nu|vipbox.sx|vipbox.tv|vipboxeu.co|vipboxoc.co|vipboxtv.me|vipleague.ch|vipleague.co|vipleague.is|vipleague.me|vipleague.mobi|vipleague.se|vipleague.sx|vipleague.tv|vipleague.ws|vipstand.is|vivo.sx|vrheads.com|watchcartoononline.io|watchepisodes-tv.com|watchseries.sk|watchvideo.us|watchvideo10.us|watchvideo11.us|watchvideo12.us|watchvideo13.us|watchvideo14.us|watchvideo15.us|webfirstrow.eu|wholecloud.net|windowscentral.com|world4ufree.ws
+|blob:$domain=101greatgoals.com|1337x.to|1channel.biz|1movies.is|4chan.org|allthetests.com|ancient-origins.net|androidcentral.com|antonymsfor.com|auroravid.to|biology-online.org|bitvid.sx|breakingisraelnews.com|britannica.com|btdb.in|btdb.to|champion.gg|cloudtime.to|colourlovers.com|connectedly.com|convert-me.com|convertcase.net|couch-tuner.at|couch-tuner.me|couchtuner.ac|couchtuner.us|crackberry.com|datpiff.com|demonoid.pw|destructoid.com|dietlast.com|dreamfilm.se|episodetube.com|episodetube.net|ewatchseries.to|fastpic.ru|filme-streamz.com|filmlinks4u.is|firstrowau.eu|firstrowus1.eu|fmovies.is|fmovies.se|fmovies.to|fullmatchesandshows.com|getinmybelly.com|gofirstrow.eu|gogoanime.sh|gorillavid.in|hdfilme.tv|homerun.re|igvnews.co.uk|imagefap.com|imgadult.com|imgtaxi.com|imgwallet.com|imore.com|israelnationalnews.com|jerusalemonline.com|jewsnews.co.il|keepvid.com|kickass.cd|kino-streamz.com|kiplinger.com|kissmanga.com|kshowonline.com|letmewatchthis.pl|letmewatchthis.video|livecricketz.org|lolcounter.com|ludokado.com|merriam-webster.com|movies4stream.com|movpod.in|mylivecricket.org|mywatchseries.to|newtvworld.com|noslocker.com|nosvideo.com|nowfeed2all.eu|nowvideo.li|nowvideo.sx|nowvideo.to|olympicstreams.me|omgcheckitout.com|onwatchseries.to|openload.co|pcgames-download.net|phonearena.com|phonesreview.co.uk|pocketnow.com|primewire.is|primewire.to|primewire.unblockall.xyz|psu.com|rinf.com|roadracerunner.com|serietvsubita.net|sgvideos.net|skidrowcrack.com|snowysmile.com|sockshare.net|sportspickle.com|streamazone.com|streamgaroo.com|strikeout.co|strikeout.me|strikeout.mobi|teamliquid.net|tetrisfriends.com|textsfromlastnight.com|thefreethoughtproject.com|thevideo.me|thewatchseries.ac|torrentz2.eu|torrentz2.me|trifind.com|tv-series.me|unblckd.org|veteranstoday.com|videotoolbox.com|vidtodo.com|vidup.me|vidwatch3.me|vipbox.bz|vipbox.is|vipbox.nu|vipbox.sx|vipbox.tv|vipboxeu.co|vipboxoc.co|vipboxtv.me|vipleague.ch|vipleague.co|vipleague.is|vipleague.me|vipleague.mobi|vipleague.se|vipleague.sx|vipleague.tv|vipleague.ws|vipstand.is|vivo.sx|vrheads.com|watchcartoononline.io|watchepisodes-tv.com|watchseries.sk|watchvideo.us|watchvideo10.us|watchvideo11.us|watchvideo12.us|watchvideo13.us|watchvideo14.us|watchvideo15.us|webfirstrow.eu|wholecloud.net|windowscentral.com|world4ufree.ws
 |http*://$image,other,third-party,domain=daclips.in|dropapk.com|gorillavid.in|movpod.in|mp3clan.one|powvideo.net|speedvid.net|stream2watch.org|streamplay.to|vidto.me|vidtudu.com|vodlock.co
 |http*://$image,third-party,xmlhttprequest,domain=123movies-proxy.ru|123movies.cz|123movies.gs|123movies.is|123movies.live|123movies.net|123movies.net.ru|123movies.ru|123movies.vc|123moviesfree.com|123movieshd.net|123movieshd.tv|9cartoon.me|animehaven.to|auroravid.to|ay8ou8ohth.com|bitvid.sx|btdb.in|btdb.to|clipconverter.cc|cloudtime.to|cmovieshd.com|divxme.com|downloadming.tv|dropapk.com|flyordie.com|full-pcsoftware.com|halacima.net|hdmusic99.in|hdtv-rls.com|kannadamovies.biz|kissanime.ru|kissmanga.com|livetvcafe.net|movdivx.com|mp3clan.one|nowvideo.li|nowvideo.sx|nowvideo.to|oogh8ot0el.com|otakustream.tv|otorrents.com|putlocker.co|solarmovie.sc|speedvid.net|stream2watch.org|suprafiles.co|thepiratebay.cd|userscloud.com|vidto.me|vidtudu.com|wholecloud.net
 |http*://$script,third-party,domain=mp3clan.one|stream2watch.org
@@ -46621,6 +48075,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||a.clipconverter.cc^
 ||a.extremetech.com^
 ||a.giantrealm.com^
+||a.gifs.com^
 ||a.i-sgcm.com^
 ||a.kickass.to^
 ||a.lolwot.com^
@@ -46727,6 +48182,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||aetv.com/includes/dart/
 ||aff.lmgtfy.com^
 ||affiliatesynergy.com^*/banner_
+||afl.com.au^*/sponsor-
 ||afloat.ie^*/banners/
 ||afr.com^*/sponsored_
 ||africanbusinessmagazine.com/images/banners/
@@ -46754,6 +48210,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||alatest.com/banner/
 ||alibi.com/?request_type=aimg
 ||all4divx.com/js/jscode2.js
+||allclassical.org^*/banners/
 ||allghananews.com/images/banners/
 ||allhiphop.com/site_resources/ui-images/*-conduit-banner.gif
 ||allkpop.com^*/takeover/
@@ -46781,8 +48238,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||amazonaws.com/files.bannersnack.com/$domain=~bannersnack.com
 ||amazonaws.com/kbnetworkz/$domain=hardforum.com
 ||amazonaws.com/videos/$domain=technewstoday.com
-||amazonaws.com^$script,domain=300mbdownload.net|bittorrent.am|globes.co.il|grantorrent.net|kannadamovies.biz|katcr.host|mp3goo.com|ndtv.com|onhax.me|serietvsubita.net|streamplay.to|thevideobee.to|uplod.ws|usersfiles.com|vshare.eu
-||amazonaws.com^$third-party,xmlhttprequest,domain=300mbdownload.net|300mbfilms.co|bdupload.info|bigfile.to|bittorrent.am|ddlvalley.cool|file-upload.com|frendz4m.com|fullstuff.co|katcr.host|mirrorcreator.com|nachostime.net|onhax.me|sadeempc.com|serietvsubita.net|suprafiles.org|thevideobee.to|tinypaste.me|tsumino.com|tvlivenow.com|uplod.ws|vidlox.tv|vidshare.us|vshare.eu|watchers.to|wizhdsports.is|yourvideohost.com
+||amazonaws.com^$script,domain=300mbdownload.net|bittorrent.am|globes.co.il|gounlimited.to|grantorrent.net|kannadamovies.biz|katcr.host|macupload.net|mp3goo.com|ndtv.com|onhax.me|serietvsubita.net|streamplay.to|thevideobee.to|usersfiles.com|vshare.eu
+||amazonaws.com^$third-party,xmlhttprequest,domain=300mbdownload.net|300mbfilms.co|bdupload.info|bigfile.to|bittorrent.am|ddlvalley.cool|file-upload.com|frendz4m.com|fullstuff.co|gounlimited.to|katcr.host|macupload.net|mirrorcreator.com|nachostime.net|onhax.me|sadeempc.com|serietvsubita.net|suprafiles.org|thevideobee.to|tinypaste.me|tsumino.com|tvlivenow.com|vidlox.tv|vidshare.us|vshare.eu|watchers.to|wizhdsports.is|yourvideohost.com
 ||amazonaws.com^*-ad.jpg$domain=ewn.co.za
 ||amazonaws.com^*-Banner.jpg$domain=ewn.co.za
 ||amazonaws.com^*/site-takeover/$domain=songza.com
@@ -47166,6 +48623,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cbc.ca/video/bigbox.html
 ||cbfsms.com^*-banner.gif
 ||cbn.co.za/images/banners/
+||cbn.co.za^*-mx/
+||cbn.co.za^*/mx-
 ||cbsinteractive.co.uk/cbsi/ads/
 ||cbslocal.com/deals/widget/
 ||cbslocal.com/rotatable?
@@ -47179,6 +48638,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cdmediaworld.com*/!
 ||cdn-surfline.com/home/billabong-xxl.png
 ||cdn.bidvertiser.com^$domain=bidvertiser.com
+||cdn.free-power-point-templates.com/images/aff/
 ||cdn.turner.com^*/groupon/
 ||cdn77.org^$script,domain=kinox.to|movie4k.to|unblocked.work|vidup.me
 ||ceforum.co.uk/images/misc/PartnerLinks
@@ -47243,7 +48703,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||cloudfront.net/images/amazon/$domain=slader.com
 ||cloudfront.net/pop?$domain=clipconverter.cc
 ||cloudfront.net^$domain=dexerto.com
-||cloudfront.net^$image,script,subdocument,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.co|300mbfilms.org|321jav.com|353online.com|4archive.org|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|786zx.com|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adbull.me|addic7ed.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai2.net|animeflv.net|animehaven.to|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|auroravid.to|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdupload.info|beautiesbondage.com|becekin.net|beelink.in|beforeitsnews.com|behchala.com|beinsport-streaming.com|bestsongspk.com|big4umovies.net|bilasport.pw|biology-online.org|bittorrent.am|bitvid.sx|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bmovies.to|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.cc|cartoonth12.com|catosports.ml|centraldeanimes.biz|cholotubex.com|chronos.to|cinemamkv.xyz|cinetux.net|cliphayho.com|cloudtime.to|cloudyfiles.co|coastalhut.com|columbia-xxx.com|comicporno.org|cookiesnetfl1x.com|cooltamil.com|coreimg.net|coroas40.com|couchtuner.fr|couchtuner.nu|crackingpatching.com|cricbox.net|croco.site|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dblatino.com|dbzsuper.tv|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|digitalmusicnews.com|discografiascompletas.net|djmazamp3.info|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|downloadming.io|downloadming.tv|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|extremetech.com|eztv.ag|fagken.com|fastdrama.co|felipephtutoriais.com.br|file-upload.com|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmi7.com|filminvazio.com|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flyordie.com|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|frendz4m.com|fulldowngames.biz|fullmaza.net|fullpinoymovies.net|fullstuff.co|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goodvideohost.com|gottateens.com|grantorrent.net|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imgsmile.com|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|izporn.net|jav-for.me|javeu.com|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jazztv.co|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|kannadamovies.biz|katcr.host|kimcartoon.me|kingstheme.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|letwatch.to|link2download.net|linksprotection.com|linx.cloud|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|mactorrents.org|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milversite.me|minatosuki.com|minhaserie.me|mirrorcreator.com|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3goo.com|mp3haat.com|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|multiup.org|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mystream.la|mzansifun.com|mzansiporntube.com|mzansixxx.com|nachostime.net|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nitroflare.com|nontononlinedrama.com|noslocker.com|nosteam.com.ro|nowvideo.li|nowvideo.sx|nowvideo.to|nudeyoung.xyz|nulledcenter.com|nungg.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|omghype.com|ondeeubaixo.com|one-series.cc|onhax.me|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openload.co|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|ouo.io|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|pirateiro.com|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pure-anime.tv|pussybook.xyz|putlockertv.se|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|reevown.com|ripvod.com|rosextube.com|runvideo.net|sadeempc.com|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|scambiofile.info|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|serietvsubita.net|sexisfree.net|sexix.net|sexiz.net|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shofonline.org|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrowcrack.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|sparknotes.com|speedplay.pro|sports4u.net|stadium-live.biz|stream2watch.org|streamingok.com|streamlord.com|streamplay.to|suki48.web.id|superteenz.com|suprafiles.co|suprafiles.org|sweext.com|tamilmv.vc|tamilrasigan.net|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|temp-mail.org|textsfromlastnight.com|theapricity.com|thebarchive.com|thebestofcafucus.com|thecoolersoftwares.net|thepiratebay.cd|thepiratebay.org|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevideobee.to|thiruttuvcd.me|tinypaste.me|tlenovelas.net|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torlock.com|torrentcounter.cc|torrentfilmesbr.com|torrentfunk.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentproject.se|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tsumino.com|tubeoffline.com|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvlivenow.com|tvrex.net|twitchstats.net|ufreetv.com|unblocked.cam|unduhfilmrama.biz|upcomics.org|upload.so|uplod.ws|uporniahd.com|usabit.com|usersfiles.com|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidlox.tv|vidshare.us|vidtome.co|vidz7.com|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|vshare.eu|watchaha.com|watcharcheronline.com|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|wetblog.org|wholecloud.net|wibudesu.com|wolverdon-filmes.com|world4ufree.be|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|yahmaib3ai.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourbittorrent.com|yourvideohost.com|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zone-telechargement.ws|zoocine.co|zw-net.com
+||cloudfront.net^$image,script,subdocument,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.co|300mbfilms.org|321jav.com|353online.com|4archive.org|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|786zx.com|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adbull.me|addic7ed.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai2.net|animeflv.net|animehaven.to|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|auroravid.to|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdupload.info|beautiesbondage.com|becekin.net|beelink.in|beforeitsnews.com|behchala.com|beinsport-streaming.com|bestsongspk.com|big4umovies.net|bilasport.pw|biology-online.org|bittorrent.am|bitvid.sx|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bmovies.to|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.cc|cartoonth12.com|catosports.ml|centraldeanimes.biz|cholotubex.com|chronos.to|cinemamkv.xyz|cinetux.net|cliphayho.com|cloudtime.to|cloudyfiles.co|coastalhut.com|columbia-xxx.com|comicporno.org|cookiesnetfl1x.com|cooltamil.com|coreimg.net|coroas40.com|couchtuner.fr|couchtuner.nu|crackingpatching.com|cricbox.net|croco.site|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dblatino.com|dbzsuper.tv|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|digitalmusicnews.com|discografiascompletas.net|djmazamp3.info|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|downloadming.io|downloadming.tv|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|extremetech.com|eztv.ag|fagken.com|fastdrama.co|felipephtutoriais.com.br|file-upload.com|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmi7.com|filminvazio.com|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flyordie.com|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|frendz4m.com|fulldowngames.biz|fullmaza.net|fullpinoymovies.net|fullstuff.co|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goodvideohost.com|gottateens.com|grantorrent.net|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imgsmile.com|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|izporn.net|jav-for.me|javeu.com|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jazztv.co|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|kannadamovies.biz|katcr.host|kimcartoon.me|kingstheme.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|letwatch.to|link2download.net|linksprotection.com|linx.cloud|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|mactorrents.org|macupload.net|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milversite.me|minatosuki.com|minhaserie.me|mirrorcreator.com|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3goo.com|mp3haat.com|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|multiup.org|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mystream.la|mzansifun.com|mzansiporntube.com|mzansixxx.com|nachostime.net|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nitroflare.com|nontononlinedrama.com|noslocker.com|nosteam.com.ro|nowvideo.li|nowvideo.sx|nowvideo.to|nudeyoung.xyz|nulledcenter.com|nungg.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|omghype.com|ondeeubaixo.com|one-series.cc|onhax.me|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openload.co|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|ouo.io|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|pirateiro.com|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pure-anime.tv|pussybook.xyz|putlockertv.se|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|reevown.com|ripvod.com|rosextube.com|runvideo.net|sadeempc.com|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|scambiofile.info|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|serietvsubita.net|sexisfree.net|sexix.net|sexiz.net|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shofonline.org|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrowcrack.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|sparknotes.com|speedplay.pro|sports4u.net|stadium-live.biz|stream2watch.org|streamingok.com|streamlord.com|streamplay.to|suki48.web.id|superteenz.com|suprafiles.co|suprafiles.org|sweext.com|tamilmv.vc|tamilrasigan.net|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|temp-mail.org|textsfromlastnight.com|theapricity.com|thebarchive.com|thebestofcafucus.com|thecoolersoftwares.net|thepiratebay.cd|thepiratebay.org|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevideobee.to|thiruttuvcd.me|tinypaste.me|tlenovelas.net|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torlock.com|torrentcounter.cc|torrentfilmesbr.com|torrentfunk.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentproject.se|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tsumino.com|tubeoffline.com|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvlivenow.com|tvrex.net|twitchstats.net|ufreetv.com|unblocked.cam|unduhfilmrama.biz|upcomics.org|upload.so|uporniahd.com|usabit.com|usersfiles.com|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidlox.tv|vidshare.us|vidtome.co|vidz7.com|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|vshare.eu|watchaha.com|watcharcheronline.com|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|wetblog.org|wholecloud.net|wibudesu.com|wolverdon-filmes.com|world4ufree.be|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|yahmaib3ai.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourbittorrent.com|yourvideohost.com|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zone-telechargement.ws|zoocine.co|zw-net.com
 ||cloudfront.net^$subdocument,domain=slashdot.org
 ||cloudfront.net^*/CampaignPlacementArea.js$domain=ttgmedia.com
 ||cloudfront.net^*/shaadi.com/$domain=deccanchronicle.com
@@ -47272,6 +48732,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||codecguide.com/beforedl2.gif
 ||codecguide.com/driverscan2.gif
 ||codecguide.com/driverscantop1.gif
+||codenull.net/images/banners/
 ||coderanch.com/shingles/
 ||coinad.com/op.php?
 ||coinmarketcap.com/static/sponsored/
@@ -47557,7 +49018,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||dvdvideosoft.com^*/banners/
 ||dwarfgames.com/pub/728_top.
 ||dyncdn.celebuzz.com/assets/
-||dyncdn.me/static/20/js/expla*.js$domain=rarbg.is|rarbg.to|rarbg.unblocked.work|rarbgmirror.com|rarbgproxy.org
+||dyncdn.me/static/20/js/expla*.js$domain=rarbg.is|rarbg.to|rarbgmirror.com|rarbgproxy.org
 ||e90post.com/forums/images/banners/
 ||eacash.streamplay.to^
 ||earthlink.net^*/promos/
@@ -47895,6 +49356,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||fuzface.com/dcrtv/ad$domain=dcrtv.com
 ||fırstrowsports.eu/pu/
 ||g.brothersoft.com^
+||g00.msn.com^$other,domain=msn.com
 ||gabzfm.com/images/banners/
 ||gaccmidwest.org/uploads/tx_bannermanagement/
 ||gaccny.com/uploads/tx_bannermanagement/
@@ -47931,6 +49393,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||gamesfreez.com/banner/
 ||gamesgames.com/vda/
 ||gameshark.com^*/pageskin-
+||gamespot.com^*/client/latest/abd/$script
 ||gamevid.com/13/ads/
 ||gamingcentral.in^*/banner_
 ||gamingsquid.com/wp-content/banners/
@@ -47977,6 +49440,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||get.thefile.me^
 ||getfoxyproxy.org/images/abine/
 ||gethigh.com/wp-content/uploads/*/pass_a_drug_test_get_high_banner.jpg
+||getmyuni.com*_page_ad$image
+||getmyuni.com*_pages_ads$script,xmlhttprequest
 ||getprice.com.au/searchwidget.aspx?$subdocument
 ||getreading.co.uk/static/img/bg_takeover_
 ||getresponse.com^$domain=wigflip.com
@@ -48173,6 +49638,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||houseoftravel.co.nz/flash/banner/
 ||howtogeek.com/go/
 ||howtogermany.com/banner/
+||howtogermany.com/images/bnr-
+||howtogermany.com/images/but-
 ||howwe.biz/mgid-
 ||howwemadeitinafrica.com^*/dhl-hdr.gif
 ||hpfanficarchive.com/freecoins2.jpg
@@ -48198,6 +49665,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||i.com.com^*/vendor_bg_
 ||i.i.com.com/cnwk.1d/*/tt_post_dl.jpg
 ||i.neoseeker.com/d/$subdocument
+||i.trackmytarget.com^
 ||i3investor.com^*/offer_
 ||i3investor.com^*/partner/
 ||ians.in/iansad/
@@ -48359,7 +49827,9 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||irctctourism.com/ttrs/railtourism/Designs/html/images/tourism_right_banners/*DealsBanner_
 ||irishamericannews.com/images/banners/
 ||irishdev.com/files/banners/
+||irishexaminer.com/marketing/
 ||irishracing.com/graphics/books
+||irishradio.com/images/banners/
 ||ironmagazine.com^*/banners.php
 ||ironspider.ca/pics/hostgator_green120x600.gif
 ||ironsquid.tv/data/uploads/sponsors/
@@ -48432,10 +49902,12 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||jozikids.co.za/uploadimages/140x140_
 ||jpost.com/elal/
 ||jumptags.com/joozit/presentation/images/banners/
+||juno.com/start/view/redesign/common/phoenix/
 ||junocloud.me/promos/
 ||just-download.com/banner/
 ||justsomething.co/wp-content/uploads/*-250x250.
 ||juventus.com/pics/sponsors/
+||k2s.cc/images/fantasy/
 ||kaieteurnewsonline.com/revenue/
 ||kamcity.com/banager/banners/
 ||kamcity.com/menu/banners/
@@ -48721,6 +50193,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||marketplace.org^*/support_block/
 ||mary.com/728_header.php
 ||mashable.com/tripleclick.html
+||masterani.me/static/jaja/
 ||mathforum.org/images/tutor.gif
 ||mauritiusnews.co.uk/images/banners/
 ||maxconsole.com/maxconsole/banners/
@@ -48887,8 +50360,10 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||mp3mediaworld.com*/!
 ||mp3s.su/uploads/___/djz_to.png
 ||mrskin.com^$script,third-party,domain=~mrskincdn.com
+||msavideo-a.akamaihd.net^*/msn_logo_anim-main-*.mp4$domain=msn.com
 ||msecnd.net/script/$script,domain=eztv.ag|firedrive.com|limetorrents.cc|sankakucomplex.com|sockshare.com|ukpirate.org|unblocked.kim|userscloud.com|yourbittorrent.com
 ||msn.com/?adunitid
+||mspcdn.net^*/partners/
 ||msw.ms^*/jquery.MSWPagePeel-
 ||mtbr.com/ajax/hotdeals/
 ||mtv.co.uk^*/btn_itunes.png
@@ -48969,6 +50444,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||ncrypt.in/images/useful/
 ||ncrypt.in/javascript/jquery.msgbox.min.js
 ||ncrypt.in^*/layer.$script
+||ncs.eadaily.com^
 ||ndtv.com/functions/code.js
 ||ndtv.com/widget/conv-tb
 ||ndtv.com^*/banner/
@@ -48986,6 +50462,8 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||netdna-cdn.com^$domain=modovideo.com|mooshare.biz
 ||netdna-cdn.com^*/tiwib-lootr-ad.png$domain=thisiswhyimbroke.com
 ||netdna-ssl.com/sponsor/$domain=ar12gaming.com
+||netdna-ssl.com/wp-content/uploads/2017/01/tla17janE.gif
+||netdna-ssl.com/wp-content/uploads/2017/01/tla17sepB.gif
 ||netdna-ssl.com^$script,domain=cnet.com
 ||netdna-ssl.com^*-sponsors-$domain=skift.com
 ||netdna-ssl.com^*/sponsor/$domain=ar12gaming.com
@@ -49030,6 +50508,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||newsudanvision.com/images/Carjunctionadvert.gif
 ||newsvine.com//jenga/widget/
 ||newsvine.com/jenga/widget/
+||newsweek.com^*/client/latest/auto/$script
 ||newsweek.com^*interstitial.js
 ||newverhost.com/css/onload.js
 ||newverhost.com/css/pp.js
@@ -49079,6 +50558,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nowgoal.com/images/foreign/
 ||nowwatchtvlive.co/revenuehits.html
 ||nowwatchtvlive.com/revenuehits.html
+||nrl.com^*/sponsors/
 ||nscreenmedia.com^*-Sponsorship-
 ||ntdtv.com^*/adv/
 ||nu2.nu^*/sponsor/
@@ -49090,6 +50570,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||nufc.com^*/The%20Gate_NUFC.com%20banner_%2016.8.13.gif
 ||nufc.com^*_360x120.gif
 ||numberempire.com/images/b/
+||nur.gratis/application/
 ||nutritionhorizon.com/content/banners/
 ||nutritionhorizon.com/content/flash_loaders/$object
 ||nuttynewstoday.com/images/hostwink.jpg
@@ -49176,6 +50657,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||orzzzz.com/orznews?$subdocument
 ||osdir.com/ml/$subdocument
 ||ouo.io/js/pop.
+||oureducation.in/images/add.jpg
 ||ourmanga.com/funklicks
 ||outline-brand.imgix.net^*/micro_native/$domain=theoutline.com
 ||outlookindia.com/image/banner_
@@ -49272,7 +50754,6 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||pinknews.co.uk/gsky.
 ||pinknews.co.uk/newweb/
 ||piratefm.co.uk/resources/creative/
-||pirateproxy.nl/inc/ex.js
 ||pitchero.com^*/toolstation.gif
 ||pittnews.com/modules/mod_novarp/
 ||pixsense.net^$xmlhttprequest
@@ -49295,7 +50776,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||playhub.com/js/popup-wide.js
 ||playlist.yahoo.com/makeplaylist.dll?$domain=au.tv.yahoo.com
 ||playtowerdefensegames.com/ptdg-gao-gamebox-homepage.swf
-||playwire.com/bolt/js/zeus/frame-$subdocument,domain=bleedingcool.com
+||playwire.com/bolt/js/zeus/frame-$subdocument,domain=bleedingcool.com|discordbots.org
 ||pleasurizemusic.com^*/banner/
 ||plsn.com/images/PLSN-Bg1.jpg
 ||plunderguide.com/leaderboard-gor.html
@@ -49332,6 +50813,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||positivehealth.com^*/TopicbannerAvatar/
 ||postadsnow.com/panbanners/
 ||postcrescent.com^*/promos/
+||postimg.cc/sw.js
 ||postimg.org/998w2sb0b/blackops2hack.gif$domain=unknowncheats.me
 ||poststar.com^*/ad_
 ||poststar.com^*/dealwidget.php?
@@ -49522,8 +51004,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||residentadvisor.net/images/banner/
 ||retrevo.com/m/google?q=
 ||retrevo.com^*/pcwframe.jsp?
-||reuters.com/reuters_bootstrap.js
-||reuters.com/reuters_gpt_bootstrap*.js
+||reutersmedia.net/resources_*/?m=
 ||reverb.com/api/comparison_shopping_pages/
 ||reviewcentre.com/cinergy-adv.php
 ||revisionworld.co.uk/sites/default/files/imce/Double-MPU2-v2.gif
@@ -49541,6 +51022,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||robhasawebsite.com^*/amazon-
 ||robhasawebsite.com^*/shop-amazon.
 ||robinwidget.com/images/batman_banner.png
+||roblox.com/user-sponsorship/
 ||rockettheme.com/aff/
 ||rocksound.tv/images/uploads/*-rocksound-1920x1000_
 ||rocktelevision.com^*_banner_
@@ -50261,6 +51743,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||totalcmd.pl/img/olszak.
 ||totalguitar.net/images/*_125X125.jpg
 ||totalguitar.net/images/tgMagazineBanner.gif
+||totalstatic.com/static/20/js/expla*.js$domain=rarbg.is|rarbg.to|rarbgmirror.com|rarbgproxy.org
 ||townhall.com^*/ads/
 ||toynews-online.biz/media/banners/
 ||toynewsi.com/a/
@@ -50691,7 +52174,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wowhead.com/uploads/skins/$image
 ||wowwiki.com/__varnish_
 ||wp.com/wp-content/themes/vip/tctechcrunch/images/tc_*_skin.jpg
-||wp.com^*/banners/$domain=showbiz411.com
+||wp.com^*/banners/$domain=biznisafrica.com|showbiz411.com
 ||wp.com^*/coedmagazine3/gads/$domain=coedmagazine.com
 ||wpcomwidgets.com^$domain=thegrio.com
 ||wpcv.com/includes/header_banner.htm
@@ -50710,6 +52193,7 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||wrmf.com/upload/*_Webskin_
 ||wshh.me/vast/
 ||wsj.net/internal/krux.js
+||wsj.net/pb/pb.js
 ||wttrend.com/images/hs.jpg
 ||wunderground.com/geo/swfad/
 ||wunderground.com^*/wuss_300ad2.php?
@@ -50872,46 +52356,58 @@ coingamez.com,mangaumaru.com,milfzr.com,
 ||zurrieqfc.com/images/banners/
 ||zws.avvo.com^
 ! Popads domains
-$script,third-party,domain=0dt.net|123videos.tv|171gifs.com|1proxy.de|2ddl.download|2ddl.ooo|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4downfiles.org|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|a-o.ninja|abcmalayalam.co|abgdianci.com|acidimg.cc|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|akvideo.stream|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animepahe.com|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|atchtheofficeonline.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdsmstreak.com|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bemetal.net|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.com|bilasport.me|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|btdb.to|bugiltelanjang17.com|byetv.org|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|centrum-dramy.pl|cholotubex.com|cinemamkv.xyz|cinetux.net|clicknupload.org|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coreimg.net|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|ddlfr.pw|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|fbstreams.me|felipephtutoriais.com.br|filecrypt.cc|fileflares.com|filerocks.us|filesupload.org|filma24.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|firstrowas1.cc|flashbd24.blogspot.com|flixanity.online|foxurl.net|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freeomovie.com|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|go4up.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaihaven.org|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hitomi.la|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iiddl.net|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imagecool.org|img2share.com|imgshot.pw|imgshots.com|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|latinohentai.com|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livecamtv.me|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|mbfsports.com|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|minkly.me|mitemovie.com|mixhdporn.com|mkvcage.com|mkvtv.net|mlbstream.me|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|mp4upload.com|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|myreadingmanga.info|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|nbastreams.me|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newmusic.trade|newpct.com|newpct1.com|nflstream.net|nflstreams.me|ngentot.tv|nhlstreams.me|ninfetasnovinhas.net|nodefiles.com|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|oload.tv|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openload.co|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|owndrives.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|playpornfree.org|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|rapidvideo.com|raptu.com|realcam.me|reallifecamhd.com|reallifecamvd.com|ripvod.com|root.sx|rosextube.com|runvideo.net|sankakucomplex.com|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sextop.net|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|smallencode.com|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sportp2p.com|sports4u.net|sportshd.me|sportups.me|srkcast.com|stadium-live.biz|streamango.com|streamcherry.com|streamingok.com|streamjav.net|streamlord.com|streampornfree.com|strikeout.co|strikeout.me|suki48.web.id|superteenz.com|sweext.com|swfchan.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|taxidrivermovie.com|tddl.tv|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|twoddl.co|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidfile.net|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipbox.nu|vipcast.pw|vipleague.co|vipleague.ws|vipracing.biz|viralfeedhindi.com|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watcheng.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchmygamesonline.com|watchparksandrecreation.cc|watchparksandrecreation.net|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldfree4u.lol|worldfree4u.ws|worldfree4umovie.live|worldvidz.com|wplocker.com|xbnat.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youav.com|youpornzz.com|yourbittorrent.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zippysharemediafire.club|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+$script,third-party,domain=0dt.net|123videos.tv|171gifs.com|1proxy.de|2ddl.download|2ddl.ooo|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4downfiles.org|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|a-o.ninja|abcmalayalam.co|abgdianci.com|acidimg.cc|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|akvideo.stream|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animepahe.com|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|atchtheofficeonline.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdsmstreak.com|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bemetal.net|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.com|bilasport.me|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|btdb.to|bugiltelanjang17.com|byetv.org|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|centrum-dramy.pl|cholotubex.com|cinemamkv.xyz|cinetux.net|clicknupload.org|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coreimg.net|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|ddlfr.pw|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|fbstreams.me|felipephtutoriais.com.br|filecrypt.cc|fileflares.com|filerocks.us|filesupload.org|filma24.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|firstrowas1.cc|flashbd24.blogspot.com|flixanity.online|foxurl.net|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freeomovie.com|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|go4up.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaihaven.org|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hitomi.la|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iiddl.net|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imagecool.org|img2share.com|imgshot.pw|imgshots.com|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|latinohentai.com|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livecamtv.me|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|mbfsports.com|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|minkly.me|mitemovie.com|mixhdporn.com|mkvcage.com|mkvtv.net|mlbstream.me|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|mp4upload.com|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|myreadingmanga.info|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|nbastreams.me|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newmusic.trade|newpct.com|newpct1.com|nflstream.net|nflstreams.me|ngentot.tv|nhlstreams.me|ninfetasnovinhas.net|nodefiles.com|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|oload.tv|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openload.co|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|owndrives.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|playpornfree.org|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|rapidvideo.com|raptu.com|realcam.me|reallifecamhd.com|reallifecamvd.com|ripvod.com|root.sx|rosextube.com|runvideo.net|sankakucomplex.com|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sextop.net|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|smallencode.com|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sportp2p.com|sports4u.net|sportshd.me|sportups.me|srkcast.com|stadium-live.biz|streamango.com|streamcherry.com|streamingok.com|streamjav.net|streamlord.com|streampornfree.com|strikeout.co|strikeout.me|suki48.web.id|superteenz.com|sweext.com|swfchan.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|taxidrivermovie.com|tddl.tv|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|twoddl.co|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidfile.net|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipbox.nu|vipcast.pw|vipleague.co|vipleague.ws|vipracing.biz|viralfeedhindi.com|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watcheng.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchmygamesonline.com|watchparksandrecreation.cc|watchparksandrecreation.net|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldfree4u.lol|worldfree4u.ws|worldfree4umovie.live|worldvidz.com|wplocker.com|xbnat.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youav.com|youpornzz.com|yourbittorrent.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zippysharemediafire.club|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
 @@|blob:$script,domain=dato.porn
-@@||api.peer5.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||aspnetcdn.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||bootstrapcdn.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||chatango.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|atchparksandrecreation.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freeomovie.com|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livecamtv.me|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|strikeout.me|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipbox.nu|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||cloudflare.com/ajax/libs/$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animepahe.com|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdsmstreak.com|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|realcam.me|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||cse.google.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||api.peer5.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||aspnetcdn.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||bootstrapcdn.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||chatango.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|atchparksandrecreation.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freeomovie.com|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livecamtv.me|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|strikeout.me|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipbox.nu|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||cloudflare.com/ajax/libs/$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animepahe.com|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdsmstreak.com|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|realcam.me|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||cse.google.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
 @@||datoporn.com/assets/js/$script,domain=dato.porn
-@@||disqus.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||disquscdn.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bestsongspk.com|big4umovies.net|bilasport.pw|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fastdrama.co|faststream.ws|felipephtutoriais.com.br|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thiruttuvcd.me|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||facebook.net^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||google.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||googleapis.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdsmstreak.com|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|mp4upload.com|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||gstatic.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||jquery.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youav.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||disqus.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||disquscdn.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bestsongspk.com|big4umovies.net|bilasport.pw|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fastdrama.co|faststream.ws|felipephtutoriais.com.br|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thiruttuvcd.me|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||facebook.net^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||google.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||googleapis.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|bdsmstreak.com|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|mp4upload.com|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||gstatic.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freemoviestream.xyz|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||jquery.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youav.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
 @@||jsdelivr.net^$script,domain=bilasport.com|bilasport.me|bilasport.pw
-@@||jwplatform.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||jwpsrv.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|fbstreams.me|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mlbstream.me|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|nbastreams.me|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|nflstreams.me|ngentot.tv|nhlstreams.me|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||maps.google.com/maps/$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|anitube.es|aniwatchtheofficeonline.net|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|mezone.pl|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||jwplatform.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||jwpsrv.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animeid.io|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|fbstreams.me|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filesupload.org|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hulkload.com|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|l2s.io|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|media1fire.com|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minatosuki.website|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mlbstream.me|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|nbastreams.me|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|nflstreams.me|ngentot.tv|nhlstreams.me|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|putarfilm.com|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|sky-streams.blogspot.co.uk|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|tfpdl.de|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||maps.google.com/maps/$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|anitube.es|aniwatchtheofficeonline.net|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|mezone.pl|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
 @@||mycouchtuner.nu^$script,domain=couchtuner.nu
-@@||onesignal.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||platform.instagram.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||s.gravatar.com^$third-party,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||s.ytimg.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||secure.gravatar.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||tumblr.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||twitter.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
-@@||wp.com/wp-content/js/$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.com|shinden.pl|shofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||onesignal.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|linclik.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||platform.instagram.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||s.gravatar.com^$third-party,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||s.ytimg.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||secure.gravatar.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||tumblr.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||twitter.com^$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
+@@||wp.com/wp-content/js/$script,domain=171gifs.com|1proxy.de|2ddl.download|300mbfilms.org|300mbmovies4u.lol|321jav.com|353online.com|4horlover.blogspot.com|4horlover2.blogspot.com|4proxy.de|61tube.com|69sugar.com|6jav.com|6teentube.am|7starhd.com|9xmovies.site|abcmalayalam.co|abgdianci.com|adultdouga.biz|aflamfree.net|aflamtorrent.com|agarios.org|ahlamtv.com|al.ly|alantv.net|alivefoot.us|alivefootballstreaming.com|allpeliculas.com|alltube.tv|ally.sh|amabitch.com|amateur.ug|ancensored.com|andrija-i-andjelka.com|animakai.info|anime-music.info|anime-shitai.tv|anime-sugoi.com|animeado.net|animeai.org|animeai2.net|animelek.com|animemusicdownload.info|animesenzalimiti.com|animesonline2hd.org|animesonlinetk.info|animesorion.org|animezone.pl|anitube.es|antenasport.eu|anyanime.com|apklover.net|aquariumgays.com|arab-moviez.org|arabloads.net|arabp2p.com|archived.moe|artgifsocean.com|asianporndistrict.com|asianxv.com|assistirfilmeshd.org|assistirfilmesonline2.net|avonline.tv|avpockiehd.com|axxomovies.in|azkempire.com|aznude.com|baixarsomusica.com|bajarjuegospcgratis.com|bakacan.com|balkandownload.org|balkanje.com|bdmusicboss.net|bdsmporn.us|beautiesbondage.com|becekin.net|beelink.in|behchala.com|bersek.xyz|bestsongspk.com|big4umovies.net|bilasport.pw|bitch-show.com|bitporno.com|blackboxrepack.com|blacklionmusic.com|blogqpot.com|bludv.com|bokep2017.com|bokepcewek.net|bokepseks.co|bolly2tolly.com|bouncebreak.com|brazzershd.co|btdb.in|bugiltelanjang17.com|bypassed.cab|bypassed.plus|bypassed.team|calcioitalia.stream|camrouge.com|camwhores.co|cartoonhd.be|cartoonhd.cc|cartoonhd.globa|cartoonhd.global|cartoonth12.com|catchcoin.pw|catosports.ml|centraldeanimes.biz|cholotubex.com|cinemamkv.xyz|cinetux.net|clik.pw|cliphayho.com|cloudy.ec|coastalhut.com|columbia-xxx.com|comicporno.org|comicsmanics.com|cookiesnetfl1x.com|cooltamil.com|coroas40.com|coshurl.co|couchtuner.fr|couchtuner.nu|cricbox.net|cwtube.dj|czechmoneyteens.com|dailyuploads.net|dato.porn|datpiff.biz|dblatino.com|dclinks.info|dd-books.com|debrideco.com|demonoid.co|depedlps.blogspot.com|desixnxx.net|devil-torrents.pl|discografiascompletas.net|divxatope1.com|djmazamp3.info|dokazm.mk|donlotfile.com|download-xyz.com|downloadgameps3.com|downloadgamepsp.com|downloadgamexbox.com|dragonball-time.com|drakorindo.com|drakorindofilms.com|drhmonegyi.net|dvdwap.com|dzrepackteam.com|e-hentai.me|e-jav.com|easyxtubes.com|edmdl.com|ekasiwap.com|electro-torrent.pl|embedlink.info|embedsr.to|erodouga69.com|erostar.jp|estrenosdoramas.net|estrenosdoramas.org|etsmods.net|eurostreaming.video|exposure.pw|fagken.com|fas.li|fastdrama.co|faststream.in|faststream.ws|felipephtutoriais.com.br|filecrypt.cc|filerocks.us|filmaon.com|filmclub.tv|filmehd.net|filmeserialeonline.org|filmeseseriesonline.net|filmesonline1080p.com|filmesonline4.com|filmesonlineagora.com|filmesonlineplay.com|filmesonlinex.biz|filmetraduseonline.ro|filmgur.com|filmi7.com|filminvazio.com|filmovi.eu|filmozu.net|filmuptobox.net|filsex.com|flashbd24.blogspot.com|flixanity.online|freeadultcomix.com|freeiptvlinks.net|freelivesports.co|freesoftwaredlul.com|fuckingsession.com|full-serie.biz|fullmaza.net|fullpinoymovies.net|futebolps2.com|fxporn.net|gameofporn.net|gamepciso.com|gamestorrent.co|garotosbrasil.com|gaycock4u.com|gaysex69.net|gibanica.club|girlswithmuscle.com|gogoanime.ch|goldchannelmovie.net|gottateens.com|gravuregirlz.com|grcrt.net|guasavemp3.com|hacknetfl1x.net|halacima.net|happy-foxie.com|haylike.net|hdarkzone.com|hdencoders.com|hdmovie16.ws|hdmovie24.net|hdmusic23.net|hdmusic25.com|hdmusic90.co|hdporner720.com|hdpornfull.co|hdpornfull.net|hdshows.in|hdteenvids.com|hdtube.co|hdzex.net|healthsoul.info|hentai-for.me|hentai-id.tv|hentai.to|hentaicomicsbr.net|hentaiplay.net|hentaiplus.co|hentaistream.co|her69.net|herobo.com|heymanga.me|hindimoviesonlines.net|hiper.cool|hkfree.co|homeporn.tv|hon3yhd.com|hqq.watch|hyperdebrid.net|i-gay.org|icwutudidare.info|idolblog.org|ig2fap.com|igg-games.com|ightdl.xyz|iimgur.club|ilinks.ug|ilovefilmesonline.biz|image-bugs.com|imagecoin.net|imgshot.pw|imgsmile.com|immunicity.cab|immunicity.plus|immunicity.team|incestoporno.org|insharee.com|iprojectfreetv.us|iptvsatlinks.blogspot.com|itastreaming.gratis|ivhunter.com|iwatchgameofthrones.cc|izporn.net|jav-for.me|javeu.com|javfhd.tv|javfinder.to|javgay.com|javhd.pro|javhd4k.com|javkimochiii.com|javleak.com|javmobile.net|javmost.com|javonline.online|javpob.com|javrom.com|javstream.co|javus.net|jdownloader2premium.com|jilhub.xyz|jizzman.com|jogostorrentgratis.net|jpfiles.eu|jpgayporn.net|jpidols.tv|k18.co|k2nblog.com|karanpc.com|kingstheme.com|kingvid.tv|kissanime.ru|kissasian.com|kizzboy.com|kooora2day.com|koraspeak.com|koreansubindo.net|kreskowkazone.pl|kreskowki.tv|kshowes.net|lacajita.xyz|lambingan.su|layar-21.com|layarindo21.com|lecheanal.com|leech.ae|leosims.com|letsjav.com|link2download.net|livehd90m.info|livesoccertv.live|livestreaming24.net|loonertube.com|lyricsy.ir|macgames-download.com|macnwins.com|magesy.be|manatelugump3.net|mangacanblog.com|maniacosporcomics.com|marapcana.eu|marvin-vibez.to|masflowmusik.net|masterfilmesonlinegratis.info|maxinlive.com|mbfcast.pw|megafilmeshdplus.org|megafodabr.com|megahentaicomics.com|megaseriesonline.com|megatobox.net|meguminime.com|metaserie.com|milfcomix.com|milversite.me|minatosuki.com|minhaserie.me|mitemovie.com|mixhdporn.com|mkvtv.net|mmfilmes.com|mocnoi.com|modelblog.org|movie24k.ch|movieerotic.net|moviehd-free.com|moviehd-xxx.com|movierulz.ch|movierulz.cm|movierulz.xyz|movies24hd.co|movies5x.com|moviesak47.com|moviesgoldonline.net|moviesgoldonline.pro|moviesgolds.com|movieshdgratis.com.mx|movietubenow.bz|movietv.ws|moviezplanet.org|movieztimes.com|mp3haat.com|mp3kart.cc|mp3kart.co|mp3kart.com|mp3mydownload.com|mp3puu.com|mp3songdl.net|musculoduro.com.br|muvibg.com|mylucah.co|mymoviepot.xyz|mzansifun.com|mzansiporntube.com|mzansixxx.com|namethatpornstar.com|naphi.lol|nasze-kino.online|nbafullhd.com|neko-miku.com|nekonime.com|newhdmovie24.biz|newhdmovie24.co|newhdmovies.net|newpct.com|newpct1.com|nflstream.net|ngentot.tv|ninfetasnovinhas.net|nontonanime.org|nontononlinedrama.com|nosteam.com.ro|nosteam.org.ro|nudeyoung.xyz|nulledcenter.com|nungg.com|nungmovies-hd.com|nuttit.com|nxtcomicsclub.com|ocsstream.info|ohohd.com|ohyeah1080.com|okmovie-hd.com|olangal.pro|omberbagi.com|ondeeubaixo.com|one-series.cc|onlinefilmovisaprevodom.cc|onlinefilmsitesii.net|onlinemoviesgold.one|onlinemoviesprime.net|openx.tv|opujem.com|otaku-animehd.com|otorrents.com|ottakae.com|pahe.in|pandamovie.eu|pass69.com|pcgames-download.com|peliculasabc.net|peliculasgo.com|peliculasm.tv|peliculasmega1k.com|peliculastomas01.org|pelisplus.tv|pelisxporno.com|pentasex.com|perfecthdmovies.pw|perulareshd.pw|phimotv.net|picanteeproibido.com.br|pinaycute.com|pipocao.com|pirateaccess.xyz|piratebay.co.in|planetsport.pw|playbokep.me|playpornfree.net|pleermp3.net|pokemonlaserielatino.com|polskie-torrenty.com|popjav.com|porneq.com|pornfromcz.com|pornfromczech.com|pornhardx.com|pornhd5k.com|pornhubz.tumblr.com|pornleak.net|pornlibrary.net|pornmegabox.net|pornobae.com|pornocomics.net|pornotorrent.com.br|pornotorrent.org|pornpassw0rds.com|pornsexonline.xxx|pornvibe.org|pornvxl.com|pornzexx.com|portalroms.com|portalultautv.com|primewire.io|programasvirtualespc.net|projectfreetvhd.co|projectfreetvi.info|psarips.com|pubfilmonline.net|pure-anime.tv|pussybook.xyz|q3sk-dizi.blogspot.com|querofilmehd.com|r34anim.com|rapcloud.co|reallifecamhd.com|reallifecamvd.com|ripvod.com|rosextube.com|runvideo.net|savvystreams.blogspot.co.uk|savvystreams.blogspot.com|sceper.ws|sdmoviespoint.in|serialed.blogspot.com|series-cravings.tv|seriesblanco.com|seriesblanco.tv|seriescr.com|seriesfuture.com|seriesintorrent.com|serieslatino.tv|seriesparaassistironline.org|seriesparalatinoamerica.blogspot.com|sexisfree.net|sexix.net|sexiz.net|sexkino.to|sexloading.com|sexvui.net|sexxdesi.net|sexy-youtubers.com|sexyeroticgirls.comshofonline.org|short.am|shush.se|sinevizyonda.org|singgah.in|sitpad.info|skidrow-games.io|skidrowcrack.com|skidrowgamesreloaded.com|sklns.net|soccerembed.blogspot.com|solotorrent.net|soparagamestorrents.com|spacemov.tv|speedplay.pro|sports4u.net|sportshd.me|stadium-live.biz|streamcherry.com|streamingok.com|streamlord.com|streampornfree.com|strikeout.co|suki48.web.id|superteenz.com|sweext.com|tamilmv.eu|tamilmv.vc|tamilrasigan.net|tamilyogi.fm|teenboytwink.com|teentubeq.com|tele-wizja.com|telugudon.com|telugupalaka.com|teluguringtones.co|telugusexstorieskathalu.net|theapricity.com|thebarchive.com|thebestofcafucus.com|thepiratebay.cd|thepiratebay24.ga|thepiratebay3.org|theputlocker.net|thesimplebay.pro|thevid.net|thiruttuvcd.me|thplayers.com|tlenovelas.net|todaypk.ag|todaypk.li|todoinmega.com|tokusatsuindo.com|torjackan.info|torrentcounter.cc|torrentfilmesbr.com|torrentlocura.com|torrentool.com|torrentoon.com|torrentrapid.com|torrentscompletos.com|torrentsgroup.com|tousatu.biz|tr7music.me|tuhentaionline.com|tumejortorrent.com|tuportaldemusica.com|turkishseries.li|tuserie.com|tushyporn.net|tvrex.net|twitchstats.net|u2s.io|ufreetv.com|unblocked.cab|unblocked.plus|unblocked.team|unduhfilmrama.biz|upcomics.org|uporniahd.com|urle.co|usabit.com|uskip.me|utaseries.co|utaseries.com|uwatchfree.co|v100v.net|vdizpk.com|veekyforums.com|veporn.net|vercanalestv.com|verdirectotv.com|verpeliculasporno.gratis|vertusnovelas.net|veyqo.net|veziserialeonline.info|vibokep.info|vidabc.com|video.az|videobokepgratis.me|videobokepincest.xyz|videoexa.com|videosexbokep.org|videosnudes.com|vidiobokeptop.com|vidtome.co|vidz7.com|vidzcode.com|viooz.ac|vipracing.biz|viralshow.info|vivatorrents.com|viveseries.com|vivetusnovelas.com|vixvids.to|vpondo.com|vpornex.com|watchaha.com|watcharcheronline.com|watchcommunity.cc|watchcommunity.tv|watchers.to|watchfomny.tv|watchjavidol.com|watchjavonline.com|watchme247.co.il|watchparksandrecreation.cc|watchpornfree.me|watchtheofficeonline.cc|watchtheofficeonline.net|watchxxxparody.com|wetblog.org|wibudesu.com|wolverdon-filmes.com|world4ufree.ws|worldvidz.com|wplocker.com|xdvideos.org|xfilmywap.com|xgatinhas.com|xkorean.net|xmovies1.com|xmovies247.com|xmovies8.org|xrares.com|xteenchan.com|xvideospanish.com|xxgasm.com|xxhdporn.com|xxx-comics.com|xxxstooorage.com|yallakora-online.com|yedhit.com|yeucontrai.com|yify-torrent.xyz|yify.bz|yodrama.com|youpornzz.com|yourporn.sexy|youswear.com|ytsyify.com|yuptorrents.com|yuuk.net|zambianobserver.com|zfilmeonline.eu|zippymoviez.top|zippysharealbum.download|zonavideo.net|zone-series.cc|zoocine.co|zoomtv.me|zw-net.com
 @@||youtube.com/iframe_api$third-party
 @@||youtube.com/player_api$third-party
 ! kimcartoon.me
-@@||kimcartoon.me/Scripts/$script,domain=kimcartoon.me
 ||kimcartoon.me^$script,domain=kimcartoon.me
 ! 
-/^https?:\/\/([0-9a-z\-]+\.)?(9anime|kimcartoon|memecenter|readcomiconline|watchcartoononline)\.[a-z]{2,4}\/(?!(Content|Scripts|Uploads|assets|static|thumbs|wp-content|wp-includes))(.*)/$image,script,~third-party
-@@||9anime.is/assets/min/frontend/all.js$script
+/^https?:\/\/([0-9a-z\-]+\.)?(9anime|animeland|animenova|animeplus|animetoon|animewow|gamestorrent|goodanime|gogoanime|igg-games|kimcartoon|memecenter|readcomiconline|toonget|toonova|watchcartoononline)\.[a-z]{2,4}\/(?!([Ss]cripts|[Uu]ploads|[Ii]mages|combined|content|cover|img|static|wp-content|wp-includes))(.*)/$image,other,script,~third-party,xmlhttprequest
+@@||9anime.is/assets/min/frontend/all.js$script,domain=9anime.is
 @@||9anime.is/assets/player/jwplayer-7.12.3/jwplayer.js$script
+@@||gogoanime.to/player.js$script
+@@||readcomiconline.to^*/customjavascript.js|$script,~third-party
+@@||readcomiconline.to^*/jquery.tools.min.js|$script,~third-party
+@@||readcomiconline.to^*/jquery17.min.js$script,~third-party
+@@||watchcartoononline.io/tema/images/jwplayer.jpg$image,~third-party
 ! igg-games.com
 /igg-games\.com\/[a-zA-Z0-9]{10,}.*/$script,~third-party
+! adyou.me
+|http://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=adyou.me
+|https://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=adyou.me
+! hdmoza.com
+$webrtc,domain=hdmoza.com
+|http://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=hdmoza.com
+|https://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=hdmoza.com
+||hdmoza.com/nb/
 ! xclusivejams2.com
 @@||cbox.ws^$third-party,domain=xclusivejams2.com
 @@||disqus.com^$script,domain=xclusivejams2.com
@@ -50945,18 +52441,16 @@ $script,domain=imageporter.com
 $xmlhttprequest,domain=img2share.com
 |http://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=img2share.com
 ! estream.to
-$script,stylesheet,subdocument,third-party,websocket,xmlhttprequest,domain=estream.nu|estream.to
-@@||cloudflare.com/ajax/$script,domain=estream.nu|estream.to
-@@||escdn.co/js/sandblaster.js$script,domain=estream.nu|estream.to
-@@||escdn.co/js/tabber.js$script,domain=estream.nu|estream.to
-@@||escdn.co/player$script,domain=estream.nu|estream.to
-@@||escdn.co/t6/$script,domain=estream.nu|estream.to
-@@||escdn.co^$stylesheet,xmlhttprequest,domain=estream.nu|estream.to
-@@||escdn.co^*/1.js$script,domain=estream.nu|estream.to
-@@||flowplayer.org^$script,domain=estream.nu|estream.to
-@@||fonts.googleapis.com^$stylesheet,domain=estream.nu|estream.to
-! cheezburger.com
-$subdocument,third-party,xmlhttprequest,domain=cheezburger.com
+$script,stylesheet,subdocument,third-party,websocket,xmlhttprequest,domain=estream.nu|estream.to|estream.xyz
+@@||cloudflare.com/ajax/$script,domain=estream.nu|estream.to|estream.xyz
+@@||escdn.co/js/sandblaster.js$script,domain=estream.nu|estream.to|estream.xyz
+@@||escdn.co/js/tabber.js$script,domain=estream.nu|estream.to|estream.xyz
+@@||escdn.co/player$script,domain=estream.nu|estream.to|estream.xyz
+@@||escdn.co/t6/$script,domain=estream.nu|estream.to|estream.xyz
+@@||escdn.co^$stylesheet,xmlhttprequest,domain=estream.nu|estream.to|estream.xyz
+@@||escdn.co^*/1.js$script,domain=estream.nu|estream.to|estream.xyz
+@@||flowplayer.org^$script,domain=estream.nu|estream.to|estream.xyz
+@@||fonts.googleapis.com^$stylesheet,domain=estream.nu|estream.to|estream.xyz
 ! r4dm.com
 @@||api.solvemedia.com^$script,domain=r4dm.com
 @@||cdnjs.cloudflare.com/ajax/libs/$script,domain=r4dm.com
@@ -50970,8 +52464,9 @@ $subdocument,third-party,xmlhttprequest,
 @@||vidoza.net/js/ads.js$script,domain=vidoza.net
 @@||vidoza.net/js/pop.js$script,domain=vidoza.net
 @@||vidoza.net^$generichide
-|http://$image,script,third-party,domain=vidoza.net
-|https://$image,script,third-party,domain=vidoza.net
+|http://$image,script,subdocument,third-party,domain=vidoza.net
+|https://$image,script,subdocument,third-party,domain=vidoza.net
+||js.vidoza.net^
 ! filecrypt.cc
 @@||filecrypt.cc/js/container.js$script
 @@||filecrypt.cc/js/fcwindow.js$script
@@ -51060,10 +52555,12 @@ $subdocument,third-party,xmlhttprequest,
 @@||jquery.com^$script,domain=stream2watch.mx|stream2watch.org
 |http*://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=stream2watch.mx|stream2watch.org
 ! shink
-@@||cloudflare.com/ajax/$stylesheet,domain=shink.me
-@@||google.com/recaptcha/$domain=shink.me
-@@||googleapis.com^$script,domain=shink.me
-|http*://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=shink.me
+@@||ajax.googleapis.com/ajax/libs/$script,domain=shink.me|shon.xyz
+@@||cloudflare.com/ajax/$stylesheet,domain=shink.me|shon.xyz
+@@||google.com/recaptcha/$domain=shink.me|shon.xyz
+@@||maxcdn.bootstrapcdn.com^$stylesheet,domain=$stylesheet,domain=shink.me|shon.xyz
+|http://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=shink.me|shon.xyz
+|https://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=shink.me|shon.xyz
 ! bypassed.net
 |http://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=bypassed.net
 |https://$script,stylesheet,subdocument,third-party,xmlhttprequest,domain=bypassed.net
@@ -51097,6 +52594,7 @@ $subdocument,third-party,xmlhttprequest,
 |https://$script,xmlhttprequest,domain=demonoid.pw
 ! imagebam
 @@||ajax.googleapis.com^$script,domain=imagebam.com
+@@||imagebam.com/ad/$image
 @@||imagebam.com/img/clicktostart.png$image
 @@||imagebam.com/img/help.png$image
 @@||imagebam.com/img/ib_badge.gif$image
@@ -51120,28 +52618,18 @@ $subdocument,third-party,xmlhttprequest,
 @@||ajax.googleapis.com^$script,domain=my-project-free.tv|myprojectfreetv.net
 |http://$script,third-party,xmlhttprequest,domain=my-project-free.tv|myprojectfreetv.net
 |https://$script,third-party,xmlhttprequest,domain=my-project-free.tv|myprojectfreetv.net
-! destructoid.com
-@@||ajax.googleapis.com^$script,domain=destructoid.com
-@@||code.jquery.com^$script,domain=destructoid.com
-@@||disqus.com^$script,domain=destructoid.com
-@@||disquscdn.com^$script,domain=destructoid.com
-@@||jwplatform.com^$domain=destructoid.com
-@@||jwpsrv.com^$domain=destructoid.com
-@@||maxcdn.bootstrapcdn.com^$script,domain=destructoid.com
-|http://$script,third-party,xmlhttprequest,domain=destructoid.com
-|https://$script,third-party,xmlhttprequest,domain=destructoid.com
 ! fmovies
-@@||ajax.googleapis.com/ajax/libs/$script,domain=fmovies.is|fmovies.se|fmovies.to
-@@||cloudflare.com^$script,stylesheet,domain=fmovies.is|fmovies.se|fmovies.to
-@@||disqus.com^$script,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.to
-@@||disquscdn.com^$script,stylesheet,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.to
-@@||fmovies.*/ajax/$xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.to
-@@||fmovies.*/grabber-api/?$domain=fmovies.is|fmovies.se|fmovies.to
-@@||fmovies.*/user/$xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.to
-@@||platform.twitter.com^$script,domain=fmovies.is|fmovies.se|fmovies.to
-@@||static1.akacdn.ru/assets/$script,stylesheet,domain=fmovies.is|fmovies.se|fmovies.to
-|http://$other,script,stylesheet,third-party,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.to
-|https://$other,script,stylesheet,third-party,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.to
+@@||ajax.googleapis.com/ajax/libs/$script,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||cloudflare.com^$script,stylesheet,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||disqus.com^$script,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||disquscdn.com^$script,stylesheet,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||fmovies.*/ajax/$xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||fmovies.*/grabber-api/?$domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||fmovies.*/user/$xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||platform.twitter.com^$script,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+@@||static1.akacdn.ru/assets/$script,stylesheet,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+|http://$other,script,stylesheet,third-party,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
+|https://$other,script,stylesheet,third-party,xmlhttprequest,domain=fmovies.is|fmovies.se|fmovies.taxi|fmovies.to
 ! wholecloud.net
 @@||ajax.googleapis.com^$script,domain=wholecloud.net
 |http://$script,subdocument,third-party,xmlhttprequest,domain=wholecloud.net
@@ -51155,6 +52643,12 @@ $subdocument,third-party,xmlhttprequest,
 @@||connect.facebook.net^$script,domain=ancient-origins.net
 |http://$script,third-party,xmlhttprequest,domain=ancient-origins.net
 |https://$script,third-party,xmlhttprequest,domain=ancient-origins.net
+! alltube
+@@||ajax.googleapis.com/ajax/libs/$script,domain=alltube.pl
+@@||alltube.pl/?$xmlhttprequest
+@@||alltube.pl/jsverify.php$xmlhttprequest
+|http://$script,third-party,domain=alltube.pl
+|https://$script,third-party,domain=alltube.pl
 ! vshare.eu
 @@||ajax.googleapis.com^$script,domain=vshare.eu
 @@||cdnjs.cloudflare.com^$script,domain=vshare.eu
@@ -51363,8 +52857,8 @@ $subdocument,third-party,xmlhttprequest,
 |http://$script,third-party,xmlhttprequest,domain=streamwoop.tv
 |https://$script,third-party,xmlhttprequest,domain=streamwoop.tv
 ! upload.so
-|http://$script,third-party,xmlhttprequest,domain=upload.so|uplod.cc
-|https://$script,third-party,xmlhttprequest,domain=upload.so|uplod.cc
+|http://$script,third-party,xmlhttprequest,domain=upload.so|uplod.cc|uplod.io|uplod.ws
+|https://$script,third-party,xmlhttprequest,domain=upload.so|uplod.cc|uplod.io|uplod.ws
 ! gelbooru.com
 @@||gelbooru.com/index.php?$xmlhttprequest
 @@||gelbooru.com/public/$xmlhttprequest,domain=gelbooru.com
@@ -51460,12 +52954,12 @@ $subdocument,third-party,xmlhttprequest,
 @@||dfiles.ru/upload/$subdocument,xmlhttprequest
 @@||google.com/js/bg/$script,domain=depositfiles.com|depositfiles.org|dfiles.eu|dfiles.ru
 @@||google.com/recaptcha/$subdocument,domain=depositfiles.com|depositfiles.org|dfiles.eu|dfiles.ru
-@@||static.depositfiles.com^$script
+@@||static.depositfiles.com^$image,script
 @@||static.depositfiles.org^$script
 @@||static.dfiles.eu^$script
 @@||static.dfiles.ru^$script
-|http://$script,subdocument,xmlhttprequest,domain=depositfiles.com|depositfiles.org|dfiles.eu|dfiles.ru
-|https://$script,subdocument,xmlhttprequest,domain=depositfiles.com|depositfiles.org|dfiles.eu|dfiles.ru
+|http://$image,script,subdocument,xmlhttprequest,domain=depositfiles.com|depositfiles.org|dfiles.eu|dfiles.ru
+|https://$image,script,subdocument,xmlhttprequest,domain=depositfiles.com|depositfiles.org|dfiles.eu|dfiles.ru
 ! Adreclaim
 @@||ajax.googleapis.com^$script,domain=autoworldnews.com|biohealthinnovation.org|counselheal.com|dolphnsix.com|foodworldnews.com|gamenguide.com|itechpost.com|mobilenapps.com|scienceworldreport.com|travelerstoday.com|universityherald.com|wrestlinginc.com
 @@||cdnjs.cloudflare.com^$script,domain=autoworldnews.com|biohealthinnovation.org|counselheal.com|dolphnsix.com|foodworldnews.com|gamenguide.com|itechpost.com|mobilenapps.com|scienceworldreport.com|travelerstoday.com|universityherald.com
@@ -51514,15 +53008,27 @@ $subdocument,third-party,xmlhttprequest,
 ! salefiles.com
 $image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=salefiles.com
 @@||maxcdn.bootstrapcdn.com^$domain=salefiles.com
+! damimage.com, imagedecode.com, imageteam.org
+$media,domain=damimage.com|imagedecode.com|imageteam.org
+|http://$image,script,third-party,xmlhttprequest,domain=damimage.com|imagedecode.com|imageteam.org
+|https://$image,script,third-party,xmlhttprequest,domain=damimage.com|imagedecode.com|imageteam.org
+! imgskull.com
+|http://$image,script,third-party,xmlhttprequest,domain=imgskull.com
+|https://$image,script,third-party,xmlhttprequest,domain=imgskull.com
+||imgdew.pw^$script
+||imgmaze.pw^$script
+||imgskull.com^$xmlhttprequest
+||imgtown.pw^$script
+||imgview.pw^$script
 ! imgoutlet.com / imgdew.com / imgclick.net / imgtrex.com / imgtown.net / ironimg.net | imgkings.com
 ! 
 @@||imgadult.com*/advertisement.js$script
 @@||imgdrive.net*/advertisement.js$script
 @@||imgtaxi.com*/advertisement.js$script
 @@||imgwallet.com*/advertisement.js$script
-|http://$image,script,third-party,xmlhttprequest,domain=damimage.com|dimtus.com|imagedecode.com|imageteam.org|imgadult.com|imgclick.net|imgdew.com|imgdrive.net|imgkings.com|imgmaid.net|imgmaze.com|imgnemo.com|imgoutlet.com|imgrock.info|imgrock.net|imgstudio.org|imgtaxi.com|imgtown.net|imgtrex.com|imgview.net|imgwallet.com|ironimg.net
+|http://$image,script,third-party,xmlhttprequest,domain=damimage.com|dimtus.com|imagedecode.com|imageteam.org|imgadult.com|imgclick.net|imgdew.com|imgdew.pw|imgdrive.net|imgkings.com|imgmaid.net|imgmaze.com|imgmaze.pw|imgnemo.com|imgoutlet.com|imgrock.info|imgrock.net|imgstudio.org|imgtaxi.com|imgtown.net|imgtown.pw|imgtrex.com|imgview.net|imgview.pw|imgwallet.com|ironimg.net
 |http://$image,third-party,domain=imgrock.info
-|https://$image,script,third-party,xmlhttprequest,domain=damimage.com|dimtus.com|imagedecode.com|imageteam.org|imgadult.com|imgclick.net|imgdew.com|imgdrive.net|imgkings.com|imgmaid.net|imgmaze.com|imgnemo.com|imgoutlet.com|imgrock.info|imgrock.net|imgstudio.org|imgtaxi.com|imgtown.net|imgtrex.com|imgview.net|imgwallet.com|ironimg.net
+|https://$image,script,third-party,xmlhttprequest,domain=damimage.com|dimtus.com|imagedecode.com|imageteam.org|imgadult.com|imgclick.net|imgdew.com|imgdew.pw|imgdrive.net|imgkings.com|imgmaid.net|imgmaze.com|imgmaze.pw|imgnemo.com|imgoutlet.com|imgrock.info|imgrock.net|imgstudio.org|imgtaxi.com|imgtown.net|imgtown.pw|imgtrex.com|imgview.net|imgview.pw|imgwallet.com|ironimg.net
 ||imgadult.com*?$image,~third-party
 ||imgadult.com^$subdocument
 ||imgdrive.net*?$image,~third-party
@@ -51596,10 +53102,13 @@ $image,script,stylesheet,subdocument,thi
 |https://$image,script,subdocument,third-party,xmlhttprequest,domain=streamplay.to
 ||streamplay.to^$script,domain=streamplay.to
 ! Powvideo/powvideo
-@@||ajax.googleapis.com^$script,third-party,domain=povwideo.net|powvideo.net
-@@||code.jquery.com^$script,domain=povwideo.net|powvideo.net
-@@||codeorigin.jquery.com^$domain=povwideo.net|powvideo.net
-|http*://$image,script,subdocument,third-party,xmlhttprequest,domain=povwideo.net|powvideo.net
+$websocket,domain=povw1deo.com|povwideo.net|powvideo.net
+@@||ajax.googleapis.com^$script,third-party,domain=povw1deo.com|povwideo.net|powvideo.net
+@@||code.jquery.com^$script,domain=povw1deo.com|povwideo.net|powvideo.net
+@@||codeorigin.jquery.com^$domain=povw1deo.com|povwideo.net|powvideo.net
+@@||img.powvideo.net/scap/$image,domain=povw1deo.com|povwideo.net
+|http://$image,script,subdocument,third-party,xmlhttprequest,domain=povw1deo.com|povwideo.net|powvideo.net
+|https://$image,script,subdocument,third-party,xmlhttprequest,domain=povw1deo.com|povwideo.net|powvideo.net
 ! cinenews.be/en/
 @@||ajax.googleapis.com^$script,third-party,domain=cinenews.be
 @@||connect.facebook.net^$script,third-party,domain=cinenews.be
@@ -51608,20 +53117,16 @@ $image,script,stylesheet,subdocument,thi
 ! img.yt
 |http://$script,subdocument,third-party,xmlhttprequest,domain=img.yt
 |https://$script,subdocument,third-party,xmlhttprequest,domain=img.yt
-! uplod.it
-@@||code.jquery.com^$script,third-party,domain=uplod.it
-@@||connect.facebook.net^$script,third-party,domain=uplod.it
-@@||netdna.bootstrapcdn.com^$script,third-party,domain=uplod.it
-|http://$script,third-party,xmlhttprequest,domain=uplod.it
-|https://$script,third-party,xmlhttprequest,domain=uplod.it
 ! movpod.in
 |http://$image,script,subdocument,third-party,xmlhttprequest,domain=movpod.in
 |https://$image,script,subdocument,third-party,xmlhttprequest,domain=movpod.in
+||movpod.in/sw.js$script
 ! daclips.in
 @@||ajax.googleapis.com^$script,third-party,domain=daclips.in
 @@||trandsey.info/popunder.gif$image,domain=daclips.in
 |http://$image,script,subdocument,third-party,xmlhttprequest,domain=daclips.in
 |https://$image,script,subdocument,third-party,xmlhttprequest,domain=daclips.in
+||daclips.in/sw.js$script
 ! tinypic
 @@||addthis.com/static/$subdocument,domain=tinypic.com
 @@||api.solvemedia.com^$domain=tinypic.com
@@ -51713,9 +53218,10 @@ $image,script,stylesheet,subdocument,thi
 @@||ajax.googleapis.com^$script,domain=gorillavid.in
 @@||use.fontawesome.com^$script,domain=gorillavid.in
 |http*://$image,script,subdocument,third-party,xmlhttprequest,domain=gorillavid.in
+||gorillavid.in/sw.js$script
 ! fastpic
-|http://$script,stylesheet,third-party,domain=fastpic.ru
-|https://$script,stylesheet,third-party,domain=fastpic.ru
+|http://$script,stylesheet,third-party,xmlhttprequest,domain=fastpic.ru
+|https://$script,stylesheet,third-party,xmlhttprequest,domain=fastpic.ru
 |ws://$other,third-party,domain=fastpic.ru
 ! monova
 @@||gstatic.com^$script,third-party,domain=monova.org
@@ -51727,15 +53233,16 @@ $image,script,stylesheet,subdocument,thi
 |http://$script,third-party,xmlhttprequest,domain=1337x.to
 |https://$script,third-party,xmlhttprequest,domain=1337x.to
 ! watchseries
-@@||connect.facebook.net^$script,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
-@@||maxcdn.bootstrapcdn.com^$script,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
-@@||platform.twitter.com^$script,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+@@||connect.facebook.net^$script,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+@@||maxcdn.bootstrapcdn.com^$script,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+@@||platform.twitter.com^$script,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
 @@||watchseries.sk/check-auth$xmlhttprequest
-|http://$other,script,stylesheet,third-party,xmlhttprequest,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
-|http://$xmlhttprequest,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
-|https://$other,script,stylesheet,third-party,xmlhttprequest,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
-|https://$xmlhttprequest,domain=dwatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+|http://$other,script,stylesheet,third-party,xmlhttprequest,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+|http://$xmlhttprequest,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+|https://$other,script,stylesheet,third-party,xmlhttprequest,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
+|https://$xmlhttprequest,domain=dwatchseries.to|swatchseries.to|thewatchseries.ac|unblckd.org|watchseries.sk
 ||www*.dwatchseries.to^$script
+||www*.swatchseries.to^$script
 ! vid.ag
 @@||jwpsrv.com/library/$third-party,domain=vid.ag
 |http://$script,third-party,domain=vid.ag
@@ -51835,23 +53342,22 @@ $webrtc,domain=m4ufree.com|m4ufree.tv
 ! Suprafiles
 |http://$image,script,subdocument,third-party,xmlhttprequest,domain=suprafiles.org
 ! vidzi.tv
-@@||ajax.googleapis.com^$script,domain=vidzi.si|vidzi.tv
-@@||vidzi.tv/hls2/$xmlhttprequest,domain=vidzi.si|vidzi.tv
-@@||zopim.com^$script,domain=vidzi.si|vidzi.tv
-|http://$script,subdocument,third-party,xmlhttprequest,domain=vidzi.si|vidzi.tv
-|https://$script,subdocument,third-party,xmlhttprequest,domain=vidzi.si|vidzi.tv
-||ww45.vidzi.tv^
+@@||ajax.googleapis.com^$script,domain=vidzi.online|vidzi.si|vidzi.tv
+@@||static.vidzi.tv/jwplayer-$script,domain=vidzi.online|vidzi.si|vidzi.tv
+@@||vidzi.tv/hls2/$xmlhttprequest,domain=vidzi.online|vidzi.si|vidzi.tv
+@@||zopim.com^$script,domain=vidzi.online|vidzi.si|vidzi.tv
+|http://$script,subdocument,third-party,xmlhttprequest,domain=vidzi.online|vidzi.si|vidzi.tv
+|https://$script,subdocument,third-party,xmlhttprequest,domain=vidzi.online|vidzi.si|vidzi.tv
 ! TPB
-$websocket,xmlhttprequest,domain=bay.maik.rocks|bypassed.st|cruzing.xyz|depiratenbaai.nl|piratebay.website|piratebayblocked.com|pirateproxy.ist|pirateproxy.wf|piratetoday.click|proxydl.cf|proxyme.site|proxyme.win|proxypirate.in|proxypirate.website|proxyship.click|thehiddenbay.cc|themagnetbay.info|thepbay.ga|thepiratebay.freeproxy.fun|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thepirateproxy.host|thepirateproxy.pro|thepirateproxy.win|thepirateproxy.ws|tpb.crushus.com|tpb.tw|tpbduck.com|tpbmonk.com|tpbonion.win|tpbpirate.info|tpbpirate.pw|tpbpirate.site|tpbproxy.win|tpbrun.win|tpproxy.website|ukpirate.click
-@@||thepiratebay.org/static/js/details.js
-@@||thepiratebay.org/static/js/prototype.js
-@@||thepiratebay.org/static/js/scriptaculous.js
-@@||thepiratebay.org/static/js/tpb.js
-javascript:$popup,domain=thepiratebay.org
-|http://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=bay.maik.rocks|bypassed.st|cruzing.xyz|depiratenbaai.nl|piratebay.website|piratebayblocked.com|pirateproxy.ist|pirateproxy.wf|piratetoday.click|proxydl.cf|proxyme.site|proxyme.win|proxypirate.in|proxypirate.website|proxyship.click|thehiddenbay.cc|thehiddenbay.ws|themagnetbay.info|thepbay.ga|thepiratebay.freeproxy.fun|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thepirateproxy.host|thepirateproxy.pro|thepirateproxy.win|thepirateproxy.ws|tpb.crushus.com|tpb.tw|tpbduck.com|tpbmonk.com|tpbonion.win|tpbpirate.info|tpbpirate.pw|tpbpirate.site|tpbproxy.win|tpbrun.win|tpproxy.website|ukpirate.click
-|https://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=bay.maik.rocks|bypassed.st|cruzing.xyz|depiratenbaai.nl|piratebay.website|piratebayblocked.com|pirateproxy.ist|pirateproxy.wf|piratetoday.click|proxydl.cf|proxyme.site|proxyme.win|proxypirate.in|proxypirate.website|proxyship.click|thehiddenbay.cc|thehiddenbay.ws|themagnetbay.info|thepbay.ga|thepiratebay.freeproxy.fun|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thepirateproxy.host|thepirateproxy.pro|thepirateproxy.win|tpb.crushus.com|tpb.tw|tpbduck.com|tpbmonk.com|tpbonion.win|tpbpirate.info|tpbpirate.pw|tpbpirate.site|tpbproxy.win|tpbrun.win|tpproxy.website|ukpirate.click
-||thepiratebay.org/static/$subdocument
-||thepiratebay.org^$script,domain=thepiratebay.org
+$webrtc,websocket,xmlhttprequest,domain=bay.maik.rocks|bypassed.st|cruzing.xyz|depiratenbaai.nl|piratebay.website|piratebayblocked.com|pirateproxy.ist|pirateproxy.mx|pirateproxy.wf|piratetoday.click|proxydl.cf|proxyme.site|proxyme.win|proxypirate.in|proxypirate.website|proxyship.click|thehiddenbay.cc|themagnetbay.info|thepbay.ga|thepiratebay.freeproxy.fun|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thepirateproxy.host|thepirateproxy.pro|thepirateproxy.win|thepirateproxy.ws|tpb.crushus.com|tpb.tw|tpbduck.com|tpbmonk.com|tpbonion.win|tpbpirate.info|tpbpirate.pw|tpbpirate.site|tpbproxy.win|tpbrun.win|tpproxy.website|ukpirate.click
+@@||thepiratebay.*/static/js/details.js$domain=thepiratebay.cr|thepiratebay.org|thepiratebay.red
+@@||thepiratebay.*/static/js/prototype.js$domain=thepiratebay.cr|thepiratebay.org|thepiratebay.red
+@@||thepiratebay.*/static/js/scriptaculous.js$domain=thepiratebay.cr|thepiratebay.org|thepiratebay.red
+javascript:$popup,domain=thepiratebay.cr|thepiratebay.org|thepiratebay.red
+|http://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=bay.maik.rocks|bypassed.st|cruzing.xyz|depiratenbaai.nl|piratebay.website|piratebayblocked.com|pirateproxy.ist|pirateproxy.mx|pirateproxy.wf|piratetoday.click|proxydl.cf|proxyme.site|proxyme.win|proxypirate.in|proxypirate.website|proxyship.click|thehiddenbay.cc|thehiddenbay.ws|themagnetbay.info|thepbay.ga|thepiratebay.freeproxy.fun|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thepirateproxy.host|thepirateproxy.pro|thepirateproxy.win|thepirateproxy.ws|tpb.crushus.com|tpb.tw|tpbduck.com|tpbmonk.com|tpbonion.win|tpbpirate.info|tpbpirate.pw|tpbpirate.site|tpbproxy.win|tpbrun.win|tpproxy.website|ukpirate.click
+|https://$image,script,stylesheet,subdocument,third-party,xmlhttprequest,domain=bay.maik.rocks|bypassed.st|cruzing.xyz|depiratenbaai.nl|piratebay.website|piratebayblocked.com|pirateproxy.ist|pirateproxy.mx|pirateproxy.wf|piratetoday.click|proxydl.cf|proxyme.site|proxyme.win|proxypirate.in|proxypirate.website|proxyship.click|thehiddenbay.cc|thehiddenbay.ws|themagnetbay.info|thepbay.ga|thepiratebay.freeproxy.fun|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thepirateproxy.host|thepirateproxy.pro|thepirateproxy.win|thepirateproxy.ws|tpb.crushus.com|tpb.tw|tpbduck.com|tpbmonk.com|tpbonion.win|tpbpirate.info|tpbpirate.pw|tpbpirate.site|tpbproxy.win|tpbrun.win|tpproxy.website|ukpirate.click
+||thepiratebay.$script,domain=thepiratebay.cr|thepiratebay.org|thepiratebay.red
+||thepiratebay.*/static/$subdocument
 ! mashable.com
 @@||g.doubleclick.net/gpt/pubads_impl_$script,domain=mashable.com
 @@||mashable.com^$generichide
@@ -51859,66 +53365,65 @@ javascript:$popup,domain=thepiratebay.or
 |http://$script,stylesheet,third-party,domain=desi-tashan.org|mp3red.cc|mp3red.me|mp3songfree.net
 |https://$script,stylesheet,third-party,domain=desi-tashan.org|mp3red.cc|mp3red.me|mp3songfree.net
 ! Yavli.com
-/ygy*.$image,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americanewshub.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|beforeitsnews.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bugout.news|bulletsfirst.net|canadafreepress.com|celebrity-gossip.net|cheapism.com|cheatsheet.com|chicksonright.com|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativetribune.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|directexpose.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|icepop.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|madworldnews.com|makeagif.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|rpnewswire.com|sarahpalin.com|shark-tank.com|shedthoselbs.com|silenceisconsent.net|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|survivalnation.com|techconsumer.com|technobuffalo.com|techtimes.com|terezowens.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|thelibertydaily.com|themattwalshblog.com|thepoke.co.uk|thepolitistick.com|therealside.com|therightscoop.com|theviralmob.com|threepercenternation.com|tiebreaker.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|wnd.com|xtribune.com|youthhealthmag.com
+/hbg*.$image,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americanewshub.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|beforeitsnews.com|bestfunnyjokes4u.com|bighealthreport.com|bigleaguepolitics.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bugout.news|bulletsfirst.net|canadafreepress.com|celebrity-gossip.net|cheapism.com|cheatsheet.com|chicksonright.com|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativetribune.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|directexpose.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|funnyand.com|gamerant.com|gamersheroes.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|icepop.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|madworldnews.com|makeagif.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|parentherald.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|rpnewswire.com|sarahpalin.com|shark-tank.com|shedthoselbs.com|silenceisconsent.net|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|survivalnation.com|techconsumer.com|technobuffalo.com|techtimes.com|terezowens.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|thelibertydaily.com|themattwalshblog.com|thepoke.co.uk|thepolitistick.com|therealside.com|therightscoop.com|theviralmob.com|threepercenternation.com|tiebreaker.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 ! Yavli Specific
 @@/wp-content/plugins/akismet/*$script,~third-party,domain=~gaytube.com|~pornhub.com|~redtube.com|~redtube.com.br|~tube8.com|~tube8.es|~tube8.fr|~xtube.com|~youjizz.com|~youporn.com|~youporngay.com
-@@||5min.com/Scripts/PlayerSeed.js?$domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redhotchacha.com|redmaryland.com|rightwingnews.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
+@@||5min.com/Scripts/PlayerSeed.js?$domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redhotchacha.com|redmaryland.com|rightwingnews.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||airtv-assets.global.ssl.fastly.net^$domain=viralnova.com
 @@||ajax.cloudflare.com/cdn-cgi/nexp/$script,third-party
 @@||ajax.cloudflare.com/cdn-cgi/scripts/$script,third-party
 @@||ak.sail-horizon.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|rightwingnews.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||api-public.addthis.com/url/shares.json?$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|tinypic.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
-@@||api.facebook.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|technobuffalo.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||api.solvemedia.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hautereport.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|shark-tank.com|shedthoselbs.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|tinypic.com|traileraddict.com|truththeory.com|valuewalk.com|vcpost.com|victoriajackson.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com|youthhealthmag.com
-@@||apis.google.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|enstarz.com|evil.news|freedom.news|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|guns.news|gymflow100.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|politichicks.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||app-cdn.spot.im^$domain=viralnova.com
+@@||api.facebook.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bigleaguepolitics.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|technobuffalo.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||api.solvemedia.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hautereport.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|shark-tank.com|shedthoselbs.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|tinypic.com|traileraddict.com|truththeory.com|valuewalk.com|vcpost.com|victoriajackson.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com|youthhealthmag.com
+@@||apis.google.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|enstarz.com|evil.news|freedom.news|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|guns.news|gymflow100.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|politichicks.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||app-cdn.spot.im^$domain=o4anews.com|viralnova.com
 @@||assets.galaxant.com^$script,domain=creepybasement.com|viralnova.com
-@@||assets.newsinc.com^$image,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||assets.pinterest.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||assets.newsinc.com^$image,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||assets.pinterest.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||b.grvcdn.com^$script,domain=cheatsheet.com
 @@||b4in.net/js/jquery.ui.fancybox.js$script,domain=beforeitsnews.com
 @@||boomsbeat.com/widget_init.php$script,third-party,domain=latinopost.com
 @@||cast-tv.biz/JavaScripts/$domain=breaking911.com
 @@||cdn*.bigcommerce.com^$image,third-party,domain=~calcalist.co.il|~gaytube.com|~mako.co.il|~pornhub.com|~redtube.com|~redtube.com.br|~tube8.com|~tube8.es|~tube8.fr|~walla.co.il|~xtube.com|~ynet.co.il|~youjizz.com|~youporn.com|~youporngay.com
-@@||cdn.jquerytools.org^$script,domain=wnd.com
 @@||cdn.playwire.com^$script,third-party,domain=supercheats.com
 @@||cdn.shopify.com^*/assets/$script,third-party
 @@||cdn.shopify.com^*/files/$script,third-party
 @@||cdn.shopify.com^*/javascripts/$script,third-party
 @@||cdn.supercheats.com^$script,domain=supercheats.com
-@@||cdnjs.cloudflare.com/ajax/libs/$script,domain=makeagif.com|wnd.com
-@@||cdnjs.cloudflare.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||cdnjs.cloudflare.com/ajax/libs/$script,domain=makeagif.com
+@@||cdnjs.cloudflare.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|funnyand.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||clicktosolve.com^$image,domain=thefreethoughtproject.com
-@@||cloudflare.com/ajax/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|twisted.news|usherald.com|valuewalk.comvcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|youthhealthmag.com
-@@||code.jquery.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||connect.facebook.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||connect.facebook.net^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||cloudflare.com/ajax/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|twisted.news|usherald.com|valuewalk.comvcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|youthhealthmag.com
+@@||code.jquery.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||connect.facebook.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||connect.facebook.net^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||conservativeintelcom.c.presscdn.com^$image,script,third-party,domain=conservativeintel.com
-@@||content-img-s.newsinc.com/jpg/$image,script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hautereport.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|shark-tank.com|shedthoselbs.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|tosavealife.com|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com|visiontoamerica.com
+@@||content-img-s.newsinc.com/jpg/$image,script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hautereport.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|shark-tank.com|shedthoselbs.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|tosavealife.com|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com|visiontoamerica.com
 @@||content-img.newsinc.com^$image,third-party
 @@||d8g345wuhgd7e.cloudfront.net^$script,third-party,domain=thelibertarianrepublic.com
 @@||digitaljournal.com/img/*-medium/$image
-@@||disqus.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|girlsjustwannahaveguns.com|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|wnd.com|xtribune.com|youthhealthmag.com
-@@||disquscdn.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|wnd.com|xtribune.com|youthhealthmag.com
+@@||disqus.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|gamersheroes.com|girlsjustwannahaveguns.com|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com|youthhealthmag.com
+@@||disquscdn.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|gamersheroes.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com|youthhealthmag.com
 @@||embed.air.tv^$domain=viralnova.com
-@@||embedly.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com|youthhealthmag.com
+@@||embedly.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com|youthhealthmag.com
 @@||fbcdn-profile-a.akamaihd.net^$image,domain=thefreethoughtproject.com
 @@||fbcdn.net^$image,domain=thefreethoughtproject.com
-@@||fbstatic-a.akamaihd.net^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||fbstatic-a.akamaihd.net^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||flowplayer.org^*/flowplayer*.js$script,domain=thefreethoughtproject.com
 @@||fod4.com^$image,domain=funnyordie.com
-@@||gigya.com/comments.$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breakingnews.ie|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hautereport.com|hispolitica.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|shark-tank.com|shedthoselbs.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|truththeory.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|xtribune.com
-@@||gigya.com/js/gigya.$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breakingnews.ie|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|juicerhead.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|rightwingnews.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|valuewalk.comvcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com
+@@||gigya.com/comments.$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breakingnews.ie|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hautereport.com|hispolitica.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|shark-tank.com|shedthoselbs.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|truththeory.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|xtribune.com
+@@||gigya.com/js/gigya.$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breakingnews.ie|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|hallels.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|juicerhead.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|rightwingnews.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|valuewalk.comvcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com
 @@||gitcdn.org/libs/$script,third-party,domain=thelibertarianrepublic.com
 @@||google.com/js/th/$script
 @@||google.com/jsapi$script,third-party
 @@||google.com/recaptcha/$script
 @@||google.com/uds/$script,third-party,domain=infowars.com
-@@||googleapis.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|wnd.com|xtribune.com|youthhealthmag.com
+@@||googleapis.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|funnyand.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||googlecommerce.com^$script
 @@||googletagservices.com/tag/js/gpt.js$script,third-party,domain=activistpost.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|enstarz.com|girlsjustwannahaveguns.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|legalinsurrection.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|parentherald.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redmaryland.com|rightwingnews.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|universityherald.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com|wakingtimes.com
 @@||googleusercontent.com/gadgets/$script,third-party,domain=thelibertarianrepublic.com
-@@||graph.facebook.com^$image,script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|photobucket.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||graph.facebook.com^$image,script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|photobucket.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||gravatar.com/avatar$image,third-party
 @@||gstatic.com/accounts/$script,third-party,domain=thelibertarianrepublic.com
 @@||gstatic.com/trustedstores/$script
@@ -51927,84 +53432,86 @@ javascript:$popup,domain=thepiratebay.or
 @@||image.b4in.net^$image,third-party,domain=beforeitsnews.com
 @@||images.sportsworldnews.com^$image,third-party
 @@||images.spot.im^$image,domain=viralnova.com
-@@||imgur.com/min/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||imgur.com/min/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||intensedebate.com/js/$script,third-party
-@@||jwplatform.com^$script,third-party,xmlhttprequest,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativetribune.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|wnd.com|xtribune.com
+@@||jwplatform.com^$script,third-party,xmlhttprequest,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativetribune.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com
 @@||jwpsrv.com/library/$script,third-party,domain=conservativetribune.com|traileraddict.com
-@@||jwpsrv.com/player/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativetribune.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|wnd.com|xtribune.com
-@@||jwpsrv.com^$image,xmlhttprequest,domain=conservativetribune.com|wnd.com
+@@||jwpsrv.com/player/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativetribune.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|xtribune.com
+@@||jwpsrv.com^$image,xmlhttprequest,domain=conservativetribune.com
 @@||latinospost.com/widget_init.php$script,third-party,domain=latinopost.com
-@@||launch.newsinc.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|coviral.com|creepybasement.com|crossmap.com|cyberwar.news|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|evil.news|foreverymom.com|freedom.news|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|liberty.news|libertyunyielding.com|medicine.news|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|tosavealife.com|truththeory.com|twisted.news|valuewalk.com|vcpost.com|victoriajackson.com|viralnova.com|viralthread.com|xtribune.com
-@@||linkedin.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||livefyre.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|libertyalliance.com|libertyunyielding.com|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|shark-tank.com|shedthoselbs.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|traileraddict.com|truththeory.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|xtribune.com
+@@||launch.newsinc.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|coviral.com|creepybasement.com|crossmap.com|cyberwar.news|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|evil.news|foreverymom.com|freedom.news|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|liberty.news|libertyunyielding.com|medicine.news|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|tosavealife.com|truththeory.com|twisted.news|valuewalk.com|vcpost.com|victoriajackson.com|viralnova.com|viralthread.com|xtribune.com
+@@||launcher.spot.im^$script,domain=dailyheadlines.net
+@@||linkedin.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||livefyre.com^$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|fitnessconnoisseur.com|foreverymom.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|libertyalliance.com|libertyunyielding.com|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|shark-tank.com|shedthoselbs.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techconsumer.com|techtimes.com|theblacksphere.net|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|traileraddict.com|truththeory.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|xtribune.com
 @@||lps.newsinc.com/player/show/$script
 @@||lpsimage.newsinc.com/player/show/$script
-@@||maps.google.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||maxcdn.bootstrapcdn.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||netdna-cdn.com/wp-content/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||netdna-cdn.com/wp-includes/js/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||maps.google.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||maxcdn.bootstrapcdn.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||netdna-cdn.com/wp-content/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||netdna-cdn.com/wp-includes/js/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||odb.outbrain.com^$script,domain=cheatsheet.com
 @@||omnicalculator.com/sdk.js$domain=valuewalk.com
 @@||p.jwpcdn.com^$script,third-party
-@@||platform.instagram.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||platform.twitter.com^$image,domain=allthingsvegas.com|legalinsurrection.com|newser.com|quirlycues.com|thegatewaypundit.com|viralnova.com|wnd.com|xtribune.com
-@@||platform.vine.co^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||platform.instagram.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||platform.twitter.com^$image,domain=allthingsvegas.com|dailydot.com|legalinsurrection.com|newser.com|quirlycues.com|thegatewaypundit.com|viralnova.com|xtribune.com
+@@||platform.vine.co^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||playbuzz.com/widget/$script,third-party
-@@||player.vimeo.com^$script,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redhotchacha.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
-@@||playwire.com/bolt/$script,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redhotchacha.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
-@@||po.st/share/$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
+@@||playwire.com/bolt/$script,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redhotchacha.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
+@@||po.st/share/$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||po.st/static/$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hallels.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||po.st^*/counter?$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hallels.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||po.st^*/status?$script,third-party,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hallels.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||pressdns.com/wp-content/$image,script,third-party,domain=conservativeintel.com
 @@||providesupport.com^$script
-@@||r-login.wordpress.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||r-login.wordpress.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||randomapps*.amazonaws.com^$script,domain=thepoke.co.uk
-@@||recirculation.spot.im^$domain=viralnova.com
+@@||recirculation.spot.im^$domain=dailyheadlines.net|o4anews.com|viralnova.com
 @@||reembed.com/player/$script,third-party
-@@||s.gravatar.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|traileraddict.com|truththeory.com|twisted.news|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com
+@@||s.gravatar.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|traileraddict.com|truththeory.com|twisted.news|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com
 @@||s.reembed.com^$script
 @@||s7.addthis.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|parentherald.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|supercheats.com|techtimes.com|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|tinypic.com|traileraddict.com|universityherald.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
-@@||spot.im/launcher/bundle.js$domain=viralnova.com
+@@||spot.im/launcher/bundle.js$domain=o4anews.com|viralnova.com
+@@||stackpathdns.com^$script,domain=foreverymom.com
 @@||static.cdn-ec.viddler.com^$script
 @@||static.reembed.com^$script,third-party
-@@||syn.5min.com^$script,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|creepybasement.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hngn.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|returnofkings.com|shark-tank.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|truththeory.com|valuewalk.com|vcpost.com|victoriajackson.com|viralnova.com|viralthread.com|xtribune.com
-@@||syndication.twimg.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||taboola.com^$script,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|bulletsfirst.net|cheatsheet.com|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|realfarmacy.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
+@@||syn.5min.com^$script,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|breaking911.com|breathecast.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|creepybasement.com|crossmap.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|gymflow100.com|hallels.com|hngn.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|redhotchacha.com|redmaryland.com|returnofkings.com|shark-tank.com|sonsoflibertymedia.com|spectator.org|stevedeace.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|truththeory.com|valuewalk.com|vcpost.com|victoriajackson.com|viralnova.com|viralthread.com|xtribune.com
+@@||syndication.twimg.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||taboola.com^$script,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|askmefast.com|bulletsfirst.net|cheatsheet.com|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|crossmap.com|dailyheadlines.net|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|girlsjustwannahaveguns.com|hngn.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|latinpost.com|libertyunyielding.com|minutemennews.com|musictimes.com|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|oddee.com|patriotoutdoornews.com|rantlifestyle.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
 @@||thegatewaypundit.com/wp-content/uploads/submit_tip.png
 @@||thegatewaypundit.com/wp-includes/images/rss.png
 @@||tv.bsvideos.com^$script,domain=techtimes.com
-@@||twimg.com^$image,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||twitter.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|wnd.com|xtribune.com|youthhealthmag.com
+@@||twimg.com^$image,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||twitter.com^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||ui.bamstatic.com^$script,third-party
-@@||use.typekit.net^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|xtribune.com
+@@||use.typekit.net^$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bighealthreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|xtribune.com
 @@||video.foxnews.com^$script,third-party
 @@||vidible.tv/prod/$script,third-party
-@@||vimeocdn.com^$script,domain=headcramp.com
+@@||vimeo.com^$script,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|askmefast.com|auntyacid.com|boredomtherapy.com|breaking911.com|bulletsfirst.net|clashdaily.com|classicalite.com|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|coviral.com|crossmap.com|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|eaglerising.com|enstarz.com|foreverymom.com|freedomforce.com|girlsjustwannahaveguns.com|groopspeak.com|guardianlv.com|hallels.com|headcramp.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|joeforamerica.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|libertyalliance.com|libertyunyielding.com|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|naturalblaze.com|naturalnews.com|natureworldnews.com|newser.com|newsthump.com|oddee.com|patriotoutdoornews.com|pickthebrain.com|politicaloutcast.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realtytoday.com|redhotchacha.com|redmaryland.com|shark-tank.com|spectator.org|stevedeace.com|techtimes.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|traileraddict.com|valuewalk.comvcpost.com|victoriajackson.com|viralnova.com|viralthread.com
+@@||vimeocdn.com^$script,domain=boredomtherapy.com|headcramp.com|honesttopaws.com|mentalflare.com
 @@||vjs.zencdn.net^$script,domain=traileraddict.com
 @@||wibbitz.com^*/embed.js$domain=breaking911.com
 @@||widget.clipix.com^$script,third-party
 @@||widget.spreaker.com^$script,third-party,xmlhttprequest,domain=westernjournalism.com
 @@||widgets.outbrain.com/outbrain.js$domain=cheatsheet.com|supercheats.com
-@@||wp.com/_static/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||wp.com/wp-content/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||wpengine.netdna-cdn.com/wp-content/themes/$image,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||wpengine.netdna-cdn.com/wp-content/uploads/$image,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|bestfunnyjokes4u.com|bipartisanreport.com|breaking911.com|breathecast.com|celebrity-gossip.net|classicalite.com|collapse.news|conservativeintel.com|coviral.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|pickthebrain.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||wp.com/_static/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||wp.com/wp-content/$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||wpengine.netdna-cdn.com/wp-content/themes/$image,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||wpengine.netdna-cdn.com/wp-content/uploads/$image,domain=activistpost.com|addictinginfo.com|alfonzorachel.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|bestfunnyjokes4u.com|bipartisanreport.com|breaking911.com|breathecast.com|celebrity-gossip.net|classicalite.com|collapse.news|conservativeintel.com|coviral.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|digitaljournal.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomforce.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|pickthebrain.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||yahooapis.com^$script,third-party,domain=truththeory.com
-@@||youtube.com/iframe_api$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||youtube.com/player_api$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
-@@||ytimg.com/yts/jsbin/$script,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||youtube.com/iframe_api$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||youtube.com/player_api$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|o4anews.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicalcowboy.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+@@||ytimg.com/yts/jsbin/$script,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reverbpress.com|reviveusa.com|rightwingnews.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 @@||zemanta.com^$image,third-party,domain=bulletsfirst.net
-! |http://$image,third-party,domain=100percentfedup.com|allthingsvegas.com|americanewshub.com|beforeitsnews.com|cheapism.com|chicksonright.com|conservativetribune.com|creepybasement.com|freewarefiles.com|intellectualconservative.com|janmorganmedia.com|knowledgedish.com|legalinsurrection.com|lifebuzz.com|madworldnews.com|newser.com|patriotnewswire.com|quirlycues.com|rpnewswire.com|sarahpalin.com|supercheats.com|survivalnation.com|terezowens.com|thegatewaypundit.com|thelibertydaily.com|thepolitistick.com|therightscoop.com|urbantabloid.com|vgpie.com|viralnova.com|wakingtimes.com|wnd.com|xtribune.com
-|http://$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americanewshub.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|beforeitsnews.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|cheapism.com|cheatsheet.com|chicksonright.com|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativetribune.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|madworldnews.com|makeagif.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reviveusa.com|rightwingnews.com|robotics.news|rpnewswire.com|sarahpalin.com|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|survivalnation.com|techconsumer.com|technobuffalo.com|techtimes.com|terezowens.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|thelibertydaily.com|themattwalshblog.com|thepoke.co.uk|thepolitistick.com|therealside.com|therightscoop.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|wnd.com|xtribune.com|youthhealthmag.com
-|http://$third-party,xmlhttprequest,domain=alfonzorachel.com|americanewshub.com|americasfreedomfighters.com|beforeitsnews.com|boredomtherapy.com|breakingnews.ie|bugout.news|cheapism.com|chicksonright.com|clashdaily.com|conservativeintel.com|conservativetribune.com|creepybasement.com|dccrimestories.com|eaglerising.com|freedomdaily.com|freewarefiles.com|gamerant.com|godfatherpolitics.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|kdramastars.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|libertyalliance.com|libertyunyielding.com|lifebuzz.com|madworldnews.com|makeagif.com|mentalflare.com|musictimes.com|natureworldnews.com|newser.com|parentherald.com|patriotnewswire.com|patriottribune.com|pickthebrain.com|realtytoday.com|rpnewswire.com|sarahpalin.com|supercheats.com|survivalnation.com|terezowens.com|theblacksphere.net|thefreethoughtproject.com|thehayride.com|thelibertydaily.com|themattwalshblog.com|thepolitistick.com|therealside.com|therightscoop.com|universityherald.com|urbantabloid.com|usherald.com|vgpie.com|wakingtimes.com|westernjournalism.com|wnd.com|xtribune.com|youthhealthmag.com
-|https://$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americanewshub.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|beforeitsnews.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|cheapism.com|cheatsheet.com|chicksonright.com|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativetribune.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|gamerant.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|madworldnews.com|makeagif.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reviveusa.com|rightwingnews.com|robotics.news|rpnewswire.com|sarahpalin.com|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|survivalnation.com|techconsumer.com|technobuffalo.com|techtimes.com|terezowens.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|thelibertydaily.com|themattwalshblog.com|thepoke.co.uk|thepolitistick.com|therealside.com|therightscoop.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|westernjournalism.com|winningdemocrats.com|wnd.com|xtribune.com|youthhealthmag.com
-|https://$third-party,xmlhttprequest,domain=americanewshub.com|americasfreedomfighters.com|boredomtherapy.com|breakingnews.ie|bugout.news|cheapism.com|chicksonright.com|clashdaily.com|conservativeintel.com|conservativetribune.com|creepybasement.com|dccrimestories.com|eaglerising.com|freewarefiles.com|godfatherpolitics.com|healthstatus.com|honesttopaws.com|instigatornews.com|janmorganmedia.com|knowledgedish.com|lastresistance.com|legalinsurrection.com|libertyalliance.com|lifebuzz.com|madworldnews.com|makeagif.com|mentalflare.com|natureworldnews.com|newser.com|patriotnewswire.com|rpnewswire.com|sarahpalin.com|survivalnation.com|terezowens.com|thefreethoughtproject.com|thelibertydaily.com|thepolitistick.com|therealside.com|therightscoop.com|usherald.com|vgpie.com|westernjournalism.com|wnd.com|xtribune.com
+! |http://$image,third-party,domain=100percentfedup.com|allthingsvegas.com|americanewshub.com|beforeitsnews.com|cheapism.com|chicksonright.com|conservativetribune.com|creepybasement.com|freewarefiles.com|intellectualconservative.com|janmorganmedia.com|knowledgedish.com|legalinsurrection.com|lifebuzz.com|madworldnews.com|newser.com|patriotnewswire.com|quirlycues.com|rpnewswire.com|sarahpalin.com|supercheats.com|survivalnation.com|terezowens.com|thegatewaypundit.com|thelibertydaily.com|thepolitistick.com|therightscoop.com|urbantabloid.com|vgpie.com|viralnova.com|wakingtimes.com|xtribune.com
+|http://$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americanewshub.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|beforeitsnews.com|bestfunnyjokes4u.com|bighealthreport.com|bigleaguepolitics.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|cheapism.com|cheatsheet.com|chicksonright.com|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativetribune.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|funnyand.com|gamerant.com|gamersheroes.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|madworldnews.com|makeagif.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reviveusa.com|rightwingnews.com|robotics.news|rpnewswire.com|sarahpalin.com|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|survivalnation.com|techconsumer.com|technobuffalo.com|techtimes.com|terezowens.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|thelibertydaily.com|themattwalshblog.com|thepoke.co.uk|thepolitistick.com|therealside.com|therightscoop.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|wakingtimes.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+|http://$third-party,xmlhttprequest,domain=alfonzorachel.com|americanewshub.com|americasfreedomfighters.com|beforeitsnews.com|boredomtherapy.com|breakingnews.ie|bugout.news|cheapism.com|chicksonright.com|clashdaily.com|conservativeintel.com|conservativetribune.com|creepybasement.com|dccrimestories.com|eaglerising.com|freedomdaily.com|freewarefiles.com|funnyand.com|gamerant.com|godfatherpolitics.com|headcramp.com|healthstatus.com|hngn.com|honesttopaws.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|kdramastars.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|libertyalliance.com|libertyunyielding.com|lifebuzz.com|madworldnews.com|makeagif.com|mentalflare.com|musictimes.com|natureworldnews.com|newser.com|parentherald.com|patriotnewswire.com|patriottribune.com|pickthebrain.com|realtytoday.com|rpnewswire.com|sarahpalin.com|supercheats.com|survivalnation.com|terezowens.com|theblacksphere.net|thefreethoughtproject.com|thehayride.com|thelibertydaily.com|themattwalshblog.com|thepolitistick.com|therealside.com|therightscoop.com|universityherald.com|urbantabloid.com|usherald.com|vgpie.com|wakingtimes.com|westernjournalism.com|xtribune.com|youthhealthmag.com
+|https://$script,third-party,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americanewshub.com|americansublime.com|americasfreedomfighters.com|askmefast.com|auntyacid.com|barbwire.com|beforeitsnews.com|bestfunnyjokes4u.com|bighealthreport.com|bigleaguepolitics.com|bipartisanreport.com|boredomtherapy.com|breaking911.com|breakingnews.ie|breathecast.com|bugout.news|bulletsfirst.net|celebrity-gossip.net|cheapism.com|cheatsheet.com|chicksonright.com|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativetribune.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailydot.com|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|damnlol.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|freewarefiles.com|funnyand.com|gamerant.com|gamersheroes.com|girlsjustwannahaveguns.com|glitch.news|godfatherpolitics.com|gosocial.co|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|headcramp.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|intellectualconservative.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|knowledgedish.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|lifebuzz.com|madworldnews.com|makeagif.com|medicine.news|mentalflare.com|minutemennews.com|moneyversed.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|parentherald.com|patriotnewswire.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|reviveusa.com|rightwingnews.com|robotics.news|rpnewswire.com|sarahpalin.com|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|supercheats.com|survivalnation.com|techconsumer.com|technobuffalo.com|techtimes.com|terezowens.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|thehayride.com|thelibertarianrepublic.com|thelibertydaily.com|themattwalshblog.com|thepoke.co.uk|thepolitistick.com|therealside.com|therightscoop.com|theviralmob.com|tinypic.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|universityherald.com|urbantabloid.com|usherald.com|valuewalk.com|vcpost.com|vgpie.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|westernjournalism.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+|https://$third-party,xmlhttprequest,domain=americanewshub.com|americasfreedomfighters.com|boredomtherapy.com|breakingnews.ie|bugout.news|cheapism.com|chicksonright.com|clashdaily.com|conservativeintel.com|conservativetribune.com|creepybasement.com|dccrimestories.com|eaglerising.com|freewarefiles.com|godfatherpolitics.com|healthstatus.com|honesttopaws.com|instigatornews.com|janmorganmedia.com|knowledgedish.com|lastresistance.com|legalinsurrection.com|libertyalliance.com|lifebuzz.com|madworldnews.com|makeagif.com|mentalflare.com|natureworldnews.com|newser.com|patriotnewswire.com|rpnewswire.com|sarahpalin.com|survivalnation.com|terezowens.com|thefreethoughtproject.com|thelibertydaily.com|thepolitistick.com|therealside.com|therightscoop.com|usherald.com|vgpie.com|westernjournalism.com|xtribune.com
 ||a.thefreethoughtproject.com^
 ||activistpost.com/wp-content/*/abiturl$image,~third-party
 ||supercheats.com/js/yavli.js
 ||thegatewaypundit.com^*.png$image
-||wpengine.netdna-cdn.com^$image,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|hypable.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
+||wpengine.netdna-cdn.com^$image,domain=100percentfedup.com|activistpost.com|addictinginfo.com|alfonzorachel.com|allenwestrepublic.com|allthingsvegas.com|americansublime.com|askmefast.com|auntyacid.com|barbwire.com|bestfunnyjokes4u.com|bighealthreport.com|bipartisanreport.com|breaking911.com|breathecast.com|bulletsfirst.net|celebrity-gossip.net|clashdaily.com|classicalite.com|collapse.news|comicallyincorrect.com|conservativebyte.com|conservativeintel.com|conservativevideos.com|constitution.com|coviral.com|craigjames.com|creepybasement.com|crossmap.com|cyberwar.news|dailyfeed.co.uk|dailyheadlines.net|dailyhealthpost.com|dailysurge.com|dccrimestories.com|deneenborelli.com|digitaljournal.com|eaglerising.com|earnthenecklace.com|enstarz.com|evil.news|faithit.com|fitnessconnoisseur.com|foreverymom.com|freedom.news|freedomdaily.com|freedomforce.com|freedomoutpost.com|girlsjustwannahaveguns.com|glitch.news|groopspeak.com|guardianlv.com|guns.news|gymflow100.com|hallels.com|hautereport.com|healthstatus.com|hispolitica.com|hngn.com|honesttopaws.com|ifyouonlynews.com|infowars.com|instigatornews.com|janmorganmedia.com|jobsnhire.com|joeforamerica.com|juicerhead.com|justdiy.com|kdramastars.com|keepandbear.com|kpopstarz.com|lastresistance.com|latinpost.com|legalinsurrection.com|liberty.news|libertyalliance.com|libertyunyielding.com|lidblog.com|medicine.news|mentalflare.com|minutemennews.com|musictimes.com|myscienceacademy.org|natural.news|naturalblaze.com|naturalnews.com|naturalsociety.com|natureworldnews.com|newser.com|newseveryday.com|newsthump.com|oddee.com|opednews.com|patriotoutdoornews.com|patriottribune.com|pickthebrain.com|politicaloutcast.com|politichicks.com|practicallyviral.com|quirlycues.com|rantlifestyle.com|realfarmacy.com|realmomsrealreviews.com|realtytoday.com|redhotchacha.com|redmaryland.com|returnofkings.com|robotics.news|shark-tank.com|shedthoselbs.com|slender.news|sonsoflibertymedia.com|spectator.org|stevedeace.com|stupid.news|techconsumer.com|techtimes.com|theblacksphere.net|theboredmind.com|thefreethoughtproject.com|thegatewaypundit.com|themattwalshblog.com|thepoke.co.uk|therealside.com|theviralmob.com|tosavealife.com|traileraddict.com|truththeory.com|twisted.news|usherald.com|valuewalk.com|vcpost.com|victoriajackson.com|videogamesblogger.com|viralnova.com|viralthread.com|visiontoamerica.com|winningdemocrats.com|xtribune.com|youthhealthmag.com
 ||www.infowars.com/*.png$image
 ! Firefox freezes if not blocked on reuters.com (http://forums.lanik.us/viewtopic.php?f=64&t=16854)
 ||static.crowdscience.com/max-*.js?callback=crowdScienceCallback$domain=reuters.com
@@ -52049,30 +53556,29 @@ javascript:$popup,domain=thepiratebay.or
 ||ytconv.net/site/adblock_detect
 ||zapto.org^$script,domain=dsero.com|korean-candy.com|misheel.net|politicususa.com|techydoor.com|trutower.com
 ! webrtc-ads
-$webrtc,domain=101greatgoals.com|123movies.net|9anime.is|ack.net|activistpost.com|allkpop.com|allthetests.com|alltube.tv|androidcentral.com|audioholics.com|barnstablepatriot.com|bibme.org|blacklistednews.com|boards2go.com|bolde.com|britannica.com|btdb.to|businessnewsdaily.com|buzzfil.net|cantonrep.com|capecodtimes.com|champion.gg|cheeseheadtv.com|clicknupload.link|clicknupload.org|closerweekly.com|collegehumor.com|colourlovers.com|columbiatribune.com|connectedly.com|convertcase.net|crackberry.com|csgolounge.com|ddlvalley.me|destructoid.com|diffen.com|dispatch.com|dorkly.com|dota2lounge.com|dwatchseries.to|enterprisenews.com|eztv.ag|fayobserver.com|fbstreams.me|fhm.com|firstforwomen.com|flexonline.com|freewarefiles.com|gastongazette.com|geekzone.co.nz|genfb.com|ghacks.net|go4up.com|goerie.com|gorillavid.in|goupstate.com|grammarist.com|gsmarena.com|hdfilme.tv|healthline.com|heraldtribune.com|houmatoday.com|icefilms.info|igg-games.com|imore.com|intouchweekly.com|investopedia.com|j-14.com|jpost.com|kingvid.tv|kiplinger.com|kshowonline.com|laptopmag.com|lifeandstylemag.com|lolcounter.com|m-magazine.com|mac-torrents.com|madamenoire.com|maketecheasier.com|mashable.com|megaup.net|mensfitness.com|merriam-webster.com|metrowestdailynews.com|mlbstream.me|motor1.com|motorsport.com|muscleandfitness.com|myfeed4u.me|myfeed4u.net|nbastreams.me|newpct.com|news-journalonline.com|newsarama.com|nflstreams.me|nhlstreams.me|nintendoeverything.com|nwfdailynews.com|nydailynews.com|oloadcdn.net|openload.co|otakustream.tv|ourl.io|pelispedia.tv|phonearena.com|pjstar.com|playbill.com|probuilds.net|providencejournal.com|radaronline.com|rapidvideo.com|readmanga.today|recordonline.com|reservedoffers.club|salefiles.com|sj-r.com|skidrowcrack.com|skidrowreloaded.com|soapoperadigest.com|solomid.net|sourceforge.net|space.com|spanishdict.com|sportshd.me|streamfilmzzz.com|streamzzz.online|teamliquid.net|telegram.com|teslacentral.com|the4thofficial.net|theberry.com|thechive.com|thepoliticalinsider.com|thevideobee.to|tmn.today|tomsguide.com|tomshardware.co.uk|tomshardware.com|topix.com|uploading.site|uptobox.com|usherald.com|uticaod.com|vidtodo.com|vidzi.tv|vrheads.com|vvdailypress.com|watchtvserieslive.org|wikia.com|windowscentral.com|wnd.com|womansworld.com|xda-developers.com|yts.ag|yts.am|yts.gs
+$webrtc,domain=101greatgoals.com|123movies.net|9anime.is|ack.net|activistpost.com|allkpop.com|allthetests.com|alltube.tv|androidcentral.com|audioholics.com|barnstablepatriot.com|bibme.org|blacklistednews.com|boards2go.com|bolde.com|britannica.com|btdb.to|businessnewsdaily.com|buzzfil.net|cantonrep.com|capecodtimes.com|champion.gg|cheeseheadtv.com|clicknupload.link|clicknupload.org|closerweekly.com|collegehumor.com|colourlovers.com|columbiatribune.com|connectedly.com|convertcase.net|crackberry.com|csgolounge.com|ddlvalley.me|destructoid.com|diffen.com|dispatch.com|dorkly.com|dota2lounge.com|dwatchseries.to|enterprisenews.com|eztv.ag|fayobserver.com|fbstreams.me|fhm.com|firstforwomen.com|flexonline.com|freewarefiles.com|gastongazette.com|geekzone.co.nz|genfb.com|ghacks.net|go4up.com|goerie.com|gorillavid.in|gounlimited.to|goupstate.com|grammarist.com|gsmarena.com|hdfilme.tv|healthline.com|heraldtribune.com|houmatoday.com|icefilms.info|igg-games.com|imore.com|intouchweekly.com|investopedia.com|j-14.com|jpost.com|kingvid.tv|kiplinger.com|kshowonline.com|laptopmag.com|lifeandstylemag.com|lolcounter.com|m-magazine.com|mac-torrents.com|madamenoire.com|maketecheasier.com|mashable.com|megaup.net|mensfitness.com|merriam-webster.com|metrowestdailynews.com|mlbstream.me|motor1.com|motorsport.com|muscleandfitness.com|myfeed4u.me|myfeed4u.net|nbastreams.me|newpct.com|news-journalonline.com|newsarama.com|nflstreams.me|nhlstreams.me|nintendoeverything.com|nwfdailynews.com|nydailynews.com|oloadcdn.net|openload.co|otakustream.tv|ourl.io|pelispedia.tv|phonearena.com|pjstar.com|playbill.com|probuilds.net|providencejournal.com|radaronline.com|rapidvideo.com|readmanga.today|recordonline.com|reservedoffers.club|salefiles.com|sj-r.com|skidrowcrack.com|skidrowreloaded.com|soapoperadigest.com|solomid.net|sourceforge.net|space.com|spanishdict.com|sportshd.me|streamfilmzzz.com|streamzzz.online|teamliquid.net|telegram.com|teslacentral.com|the4thofficial.net|theberry.com|thechive.com|thepoliticalinsider.com|thevideobee.to|tmn.today|tomsguide.com|tomshardware.co.uk|tomshardware.com|topix.com|uploading.site|uptobox.com|usherald.com|uticaod.com|vidtodo.com|vidzi.tv|vrheads.com|vvdailypress.com|watchtvserieslive.org|wikia.com|windowscentral.com|womansworld.com|xda-developers.com|yts.ag|yts.am|yts.gs
 ! websocket-ads
-$websocket,domain=123movies-proxy.ru|123movies.cz|123movies.gs|123movies.is|123movies.live|123movies.net|123movies.net.ru|123movies.ru|123movies.vc|123movieshd.net|123movieshd.to|1337x.to|2giga.link|4archive.org|9anime.is|activistpost.com|allthetests.com|alltube.tv|androidcentral.com|batmanstream.com|bibme.org|blacklistednews.com|boards2go.com|boreburn.com|breakingisraelnews.com|btdb.in|celebdirtylaundry.com|celebritymozo.com|closerweekly.com|cloudtime.to|collectivelyconscious.net|colourlovers.com|connectedly.com|convertcase.net|couch-tuner.me|couchtuner.ac|couchtuner.us|crackberry.com|daclips.in|dailycaller.com|demonoid.pw|destructoid.com|diffen.com|divxatope1.com|dreamfilm.se|dumpaday.com|dwatchseries.to|episodetube.com|episodetube.net|fastpic.ru|fileone.tv|filme-streamz.com|filmlinks4u.is|firstforwomen.com|firstrowau.eu|firstrowus1.eu|flash-x.tv|flashsx.tv|flashx.me|flashx.run|flashx.tv|flashx1.tv|flashxx.tv|fmovies.to|free-torrent.org|free-torrent.pw|free-torrents.org|free-torrents.pw|freewarefiles.com|gamenguide.com|genfb.com|gofirstrow.eu|gorillavid.in|gsmarena.com|health-weekly.net|homerun.re|i4u.com|ifirstrow.eu|ifirstrowit.eu|imagefap.com|imore.com|instanonymous.com|investopedia.com|itechpost.com|izismile.com|jewsnews.co.il|keepvid.com|kino-streamz.com|kiplinger.com|kshowonline.com|lifehacklane.com|livecricketz.org|livescience.com|lolcounter.com|merriam-webster.com|mobilenapps.com|mobipicker.com|motor1.com|motorsport.com|movies4stream.com|movpod.in|myfeed4u.me|myfeed4u.net|mylivecricket.org|natureworldnews.com|navbug.com|ncscooper.com|newpct.com|newsarama.com|newseveryday.com|newtvworld.com|nowfeed2all.eu|nowvideo.sx|okceleb.com|oloadcdn.net|olympicstreams.me|omgwhut.com|onwatchseries.to|openload.co|opensubtitles.org|otakustream.tv|parentherald.com|pcgamer.com|pcgames-download.net|playbill.com|pocketnow.com|pornhub.com|postimg.org|powvideo.net|putlocker9.com|pwinsider.com|qaafa.com|rapidvideo.com|reservedoffers.club|rinf.com|roadracerunner.com|salefiles.com|scienceworldreport.com|serietvsubita.net|sgvideos.net|shorte.st|skidrowcrack.com|snoopfeed.com|stream-tv-series.net|stream-tv2.to|stream2watch.cc|streamazone.com|streamgaroo.com|strikeout.co|strikeout.me|strikeout.mobi|teamliquid.net|technobuffalo.com|the4thofficial.net|thefreethoughtproject.com|thevideo.me|thinkinghumanity.com|todayshealth.buzz|tomsguide.com|tomshardware.co.uk|tomshardware.com|tomsitpro.com|toptenz.net|torrentz2.eu|tribune.com.pk|trifind.com|tune.pk|tv-series.me|uberhavoc.com|universityherald.com|usherald.com|vcpost.com|vidmax.com|vidoza.net|vidtodo.com|vidzi.tv|viewmixed.com|viid.me|vipbox.bz|vipbox.is|vipbox.nu|vipbox.sx|vipbox.tv|vipboxeu.co|vipboxoc.co|vipboxtv.me|vipleague.ch|vipleague.co|vipleague.is|vipleague.me|vipleague.mobi|vipleague.se|vipleague.sx|vipleague.tv|vipleague.ws|vipstand.is|viralands.com|vrheads.com|watchepisodes-tv.com|watchseries.li|webfirstrow.eu|wholecloud.net|whydontyoutrythis.com|wnd.com|wrestlinginc.com|wrestlingnews.co|xda-developers.com|xilfy.com|yourtailorednews.com|yourtango.com
+$websocket,domain=123movies-proxy.ru|123movies.cz|123movies.gs|123movies.is|123movies.live|123movies.net|123movies.net.ru|123movies.ru|123movies.vc|123movieshd.net|123movieshd.to|1337x.to|2giga.link|4archive.org|9anime.is|activistpost.com|allthetests.com|alltube.tv|androidcentral.com|batmanstream.com|bibme.org|blacklistednews.com|boards2go.com|boreburn.com|breakingisraelnews.com|btdb.in|celebdirtylaundry.com|celebritymozo.com|closerweekly.com|cloudtime.to|collectivelyconscious.net|colourlovers.com|connectedly.com|convertcase.net|couch-tuner.me|couchtuner.ac|couchtuner.us|crackberry.com|daclips.in|dailycaller.com|demonoid.pw|destructoid.com|diffen.com|divxatope1.com|dreamfilm.se|dumpaday.com|dwatchseries.to|episodetube.com|episodetube.net|fastpic.ru|fileone.tv|filme-streamz.com|filmlinks4u.is|firstforwomen.com|firstrowau.eu|firstrowus1.eu|flash-x.tv|flashsx.tv|flashx.me|flashx.run|flashx.tv|flashx1.tv|flashxx.tv|fmovies.to|free-torrent.org|free-torrent.pw|free-torrents.org|free-torrents.pw|freewarefiles.com|gamenguide.com|genfb.com|gofirstrow.eu|gorillavid.in|gsmarena.com|health-weekly.net|homerun.re|i4u.com|ifirstrow.eu|ifirstrowit.eu|imagefap.com|imore.com|instanonymous.com|investopedia.com|itechpost.com|izismile.com|jewsnews.co.il|keepvid.com|kino-streamz.com|kiplinger.com|kshowonline.com|lifehacklane.com|livecricketz.org|livescience.com|lolcounter.com|merriam-webster.com|mobilenapps.com|mobipicker.com|motor1.com|motorsport.com|movies4stream.com|movpod.in|myfeed4u.me|myfeed4u.net|mylivecricket.org|natureworldnews.com|navbug.com|ncscooper.com|newpct.com|newsarama.com|newseveryday.com|newtvworld.com|nowfeed2all.eu|nowvideo.sx|okceleb.com|oloadcdn.net|olympicstreams.me|omgwhut.com|onwatchseries.to|openload.co|opensubtitles.org|otakustream.tv|parentherald.com|pcgamer.com|pcgames-download.net|playbill.com|pocketnow.com|pornhub.com|postimg.org|powvideo.net|putlocker9.com|pwinsider.com|qaafa.com|rapidvideo.com|reservedoffers.club|rinf.com|roadracerunner.com|salefiles.com|scienceworldreport.com|serietvsubita.net|sgvideos.net|shorte.st|skidrowcrack.com|snoopfeed.com|stream-tv-series.net|stream-tv2.to|stream2watch.cc|streamazone.com|streamgaroo.com|strikeout.co|strikeout.me|strikeout.mobi|teamliquid.net|technobuffalo.com|the4thofficial.net|thefreethoughtproject.com|thevideo.me|thinkinghumanity.com|todayshealth.buzz|tomsguide.com|tomshardware.co.uk|tomshardware.com|tomsitpro.com|toptenz.net|torrentz2.eu|tribune.com.pk|trifind.com|tune.pk|tv-series.me|uberhavoc.com|universityherald.com|usherald.com|vcpost.com|vidmax.com|vidoza.net|vidtodo.com|vidzi.tv|viewmixed.com|viid.me|vipbox.bz|vipbox.is|vipbox.nu|vipbox.sx|vipbox.tv|vipboxeu.co|vipboxoc.co|vipboxtv.me|vipleague.ch|vipleague.co|vipleague.is|vipleague.me|vipleague.mobi|vipleague.se|vipleague.sx|vipleague.tv|vipleague.ws|vipstand.is|viralands.com|vrheads.com|watchepisodes-tv.com|watchseries.li|webfirstrow.eu|wholecloud.net|whydontyoutrythis.com|wrestlinginc.com|wrestlingnews.co|xda-developers.com|xilfy.com|yourtailorednews.com|yourtango.com
 ! IP address
-/^https?:\/\/([0-9]{1,3}\.){3}[0-9]{1,3}/$script,domain=o2tvseries.com|speedvid.net
+/^https?:\/\/([0-9]{1,3}\.){3}[0-9]{1,3}/$image,script,subdocument,domain=o2tvseries.com|readcomiconline.to|speedvid.net
 ! CSP filters
-@@||emathhelp.net/search^$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 @@||freebeacon.com/?s=$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 @@||healthline.com/search?$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 @@||kiplinger.com/search/$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 @@||pocketnow.com/?s=$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 @@||talkwithstranger.com/custom-search^$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 ||4chan.org^$csp=script-src 'self' * 'unsafe-inline'
-||acidcow.com^$csp=script-src 'self' * 'unsafe-inline'
-||activistpost.com^$csp=script-src 'self' * 'unsafe-inline'
-||allthetests.com^$csp=script-src 'self' * blob: 'unsafe-inline'
+||acidcow.com^$csp=script-src 'self' * blob: data:
+||activistpost.com^$csp=script-src 'self' * blob: data:
+||allthetests.com^$csp=script-src 'self' * blob: data:
 ||almasdarnews.com^$csp=script-src 'self' * 'unsafe-inline'
 ||ancient-origins.net^$csp=script-src 'self' * 'unsafe-inline'
 ||androidcentral.com^$csp=script-src 'self' * 'unsafe-inline'
 ||antonymsfor.com^$csp=script-src 'self' 'unsafe-inline' http: https:
 ||biology-online.org^$csp=script-src 'self' * 'unsafe-inline'
 ||bittorrentstart.com^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.google-analytics.com *.scorecardresearch.com
-||blacklistednews.com^$csp=script-src 'self' 'unsafe-inline' http: https:
-||breakingisraelnews.com^$csp=script-src 'self' * 'unsafe-inline'
+||blacklistednews.com^$csp=script-src 'self' * blob: data:
+||breakingisraelnews.com^$csp=script-src 'self' * blob: data:
 ||britannica.com^$csp=script-src 'self' * 'unsafe-inline'
 ||broadwayworld.com^$csp=script-src 'self' * 'unsafe-inline'
 ||bt-scene.cc^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.google-analytics.com *.scorecardresearch.com
@@ -52082,21 +53588,19 @@ $websocket,domain=123movies-proxy.ru|123
 ||btsproxy.com^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.google-analytics.com
 ||btstor.cc^$csp=script-src 'self' 'unsafe-inline' data: *.google.com *.google-analytics.com
 ||campussports.net^$csp=script-src 'self' * 'unsafe-inline'
-||cheezburger.com^$csp=script-src 'self' * 'unsafe-inline'
+||cheezburger.com^$csp=script-src 'self' 'unsafe-eval' 'unsafe-inline' data: *.youtube.com *.ytimg.com *.google-analytics.com *.facebook.net *.complex.com *.b2c.com *.chartbeat.com *.chzbgr.com *.scorecardresearch.com *.air.tv *.quantserve.com *.optimizely.com *.cheezburger.com *.quantcount.com *.newrelic.com
 ||colourlovers.com^$csp=script-src 'self' * 'unsafe-inline'
-||convertcase.net$csp=script-src 'self' * 'unsafe-inline'
+||convertcase.net^$csp=script-src 'self' * blob: data:
 ||convertfiles.com^$csp=script-src 'self' * 'unsafe-inline'
 ||csgolounge.com^$csp=script-src 'self' * 'unsafe-inline'
 ||daclips.in^$csp=script-src 'self' * 'unsafe-inline'
-||datpiff.com^$csp=script-src 'self' * 'unsafe-inline' data:
-||diffen.com^$csp=script-src 'self' * 'unsafe-inline'
-||emathhelp.net^$csp=script-src 'self' * 'unsafe-inline'
-||freebeacon.com^$csp=script-src 'self' * 'unsafe-inline'
+||datpiff.com^$csp=script-src 'self' * blob: data:
+||freebeacon.com^$csp=script-src 'self' * blob: data:
 ||fullmatchesandshows.com^$csp=script-src 'self' * 'unsafe-inline'
-||gogoanime.se^$csp=script-src 'self' * disquscdn.com 'unsafe-inline'
+||gogoanime.sh^$csp=script-src 'self' * disquscdn.com 'unsafe-inline'
 ||grammarist.com^$csp=script-src 'self' * 'unsafe-inline'
 ||healthline.com^$csp=script-src 'self' * 'unsafe-inline'
-||hiphoplately.com^$csp=script-src 'self' * 'unsafe-inline'
+||hiphoplately.com^$csp=script-src 'self' * blob: data:
 ||investopedia.com^$csp=script-src 'self' * 'unsafe-inline'
 ||jerusalemonline.com^$csp=script-src http: https: 'self' * 'unsafe-inline'
 ||jewsnews.co.il^$csp=script-src 'self' *
@@ -52104,7 +53608,7 @@ $websocket,domain=123movies-proxy.ru|123
 ||kiplinger.com^$csp=script-src 'self' * 'unsafe-inline'
 ||kshowonline.com^$csp=script-src 'self' * 'unsafe-inline'
 ||lolcounter.com^$csp=script-src 'self' * 'unsafe-inline'
-||lucianne.com^$csp=script-src 'self' * 'unsafe-inline'
+||lucianne.com^$csp=script-src 'self' * blob: data:
 ||merriam-webster.com^$csp=script-src 'self' * 'unsafe-inline'
 ||moneyversed.com^$csp=script-src 'self' * 'unsafe-inline'
 ||neonnettle.com^$csp=script-src http: https: 'self' * 'unsafe-inline'
@@ -52115,6 +53619,7 @@ $websocket,domain=123movies-proxy.ru|123
 ||phonesreview.co.uk^$csp=script-src 'self' * 'unsafe-inline'
 ||pocketnow.com^$csp=script-src 'self' * 'unsafe-inline'
 ||pornsharing.com^$csp=script-src 'self' 'unsafe-inline' 'unsafe-eval' data: *.google.com *.gstatic.com *.google-analytics.com
+||postimg.cc/image/$csp=script-src 'self' * data: blob: 'unsafe-eval'
 ||powerofpositivity.com^$csp=script-src 'self' * 'unsafe-inline'
 ||readmng.com^$csp=script-src 'self' * 'unsafe-inline'
 ||roadracerunner.com^$csp=script-src 'self' * 'unsafe-inline'
@@ -52122,7 +53627,7 @@ $websocket,domain=123movies-proxy.ru|123
 ||skidrowcrack.com^$csp=script-src 'self' * 'unsafe-inline'
 ||sportspickle.com^$csp=script-src 'self' * 'unsafe-inline'
 ||talkwithstranger.com^$csp=script-src 'self' * 'unsafe-inline'
-||tamilo.com^$csp=script-src 'self' * 'unsafe-inline'
+||tamilo.com^$csp=script-src 'self' * blob: data:
 ||tetrisfriends.com^$csp=script-src 'self' * 'unsafe-inline'
 ||textsfromlastnight.com^$csp=script-src 'self' * 'unsafe-inline'
 ||tfln.co^$csp=script-src 'self' * 'unsafe-inline' blob:
@@ -52135,7 +53640,6 @@ $websocket,domain=123movies-proxy.ru|123
 ||watchcartoononline.io^$csp=script-src 'self' * 'unsafe-inline'
 ||wikia.com^$csp=script-src 'self' * 'unsafe-inline' 'unsafe-eval'
 ||winit.winchristmas.co.uk^$csp=script-src 'self' * 'unsafe-inline'
-||wnd.com^$csp=script-src 'self' * 'unsafe-inline'
 ||wuxiaworld.com^$csp=script-src 'self' * 'unsafe-inline'
 ! buggy script
 ! https://github.com/hoshsadiq/adblock-nocoin-list/issues/65
@@ -52145,6 +53649,7 @@ $websocket,domain=123movies-proxy.ru|123
 @@||rapidvideo.com/js/jquery.validate.min.js$script
 @@||rapidvideo.com/js/js.cookie.js$script
 @@||rapidvideo.com/js/new.js$script
+@@||rapidvideo.com/js/videojs-contrib-hls.min.js$script
 @@||rapidvideo.com/js/videojs.hotkeys.min.js$script
 @@||rapidvideo.com/js/videojs.vast.js$script
 @@||rapidvideo.com/jw-logo/jw-logo-bar.js$script
@@ -52282,6 +53787,7 @@ bento.de##a[onmousedown^="this.href='htt
 ||fullonsms.com/quikr.html$popup
 ||fullonsms.com/quikrad.html$popup
 ||fullonsms.com/sid.html$popup
+||g00.msn.com^$popup
 ||gamezadvisor.com/popup.php$popup
 ||gfuel.ly^$popup,domain=dexerto.com
 ||goo.gl^$popup,domain=amaderforum.com|dexerto.com|videomega.tv|vidup.me
@@ -52328,6 +53834,7 @@ bento.de##a[onmousedown^="this.href='htt
 ||pop.billionuploads.com^$popup
 ||r.search.yahoo.com/_ylt=*;_ylu=*.r.msn.com$popup,domain=search.yahoo.com
 ||rediff.com/uim/ads/$popup
+||reutersmedia.net/resources_$popup,domain=reuters.com
 ||schenkelklopfer.org^$popup,domain=4fuckr.com
 ||shareasale.com^$popup,domain=9to5mac.com
 ||short.zain.biz^$popup,domain=up09.com
@@ -52368,6 +53875,7 @@ bento.de##a[onmousedown^="this.href='htt
 ||videowood.tv^$popup,domain=micast.tv
 ||vidhog.com/ilivid-redirect.php$popup
 ||vidspot.net^*http$popup
+||vidyouall.com^$popup,domain=hdhub4u.club
 ||vidzi.tv/mp4?$popup
 ||virtualtourist.com/commerce/popunder/$popup
 ||vkpass.com/goo.php?link=$popup,~third-party
@@ -52387,16 +53895,16 @@ bento.de##a[onmousedown^="this.href='htt
 ! wyciwyg popups
 wyciwyg:$popup,domain=jkanime.net|vodlock.co
 ! semi-generic popup block
-/http*.:\/\/.*[?|=|&|%|#|+].*/$popup,domain=0123movies.com|1337x.to|1movies.to|9anime.is|a-o.ninja|adsrt.com|ahlamtv.com|akvideo.stream|allmyvideos.netakvideo.stream|animeflv.net|animeid.io|asianvote.com|avgle.com|bittorrent.am|bmovies.to|clipconverter.cc|cloudtime.to|cruzing.xyz|dropapk.com|embed.nowvideo.sx|embed.videoweed.es|escdn.co|estream.to|extreme-board.com|eztv.ag|fastbay.net|fileone.tv|flash-x.tv|flashsx.tv|flashx.cc|flashx.me|flashx.run|flashx.sx|flashx.to|flashx.tv|flashx.ws|flashx1.tv|flashxx.tv|fmovies.is|fmovies.se|fmovies.to|fruithosted.net|fruitstreams.com|gogoanime.io|gorillavid.in|gowatchfreemovies.to|grammarist.com|ikwilthepiratebay.org|imagebam.com|imagefruit.com|imageporter.com|imagerar.com|img24.org|imgadult.com|imgbox.com|imgdrive.net|imgshots.com|imgsin.com|imgspice.com|imgtaxi.com|imgvip.net|imgwallet.com|indoxxi.tv|jkanime.net|katcr.host|katcr.party|kickass.cd|kickass.gg|kissasian.ch|kisscartoon.ac|lavamovies.se|m4ufree.com|m4ufree.tv|masterani.me|megaup.net|moecdn.io|monova.org|movie4k.is|movpod.in|mp3indirdur.mobi|myreadingmanga.info|mywebtv.info|newser.com|nosteam.ro|nowvideo.sx|oload.site|oload.stream|oload.win|oload.xyz|oloadcdn.net|onhax.me|onlinevideoconverter.com|openload.co|openloadmovies.tv|opentpb.com|otakustream.tv|piratebayblocked.com|pirateproxy.sh|pirateproxy.website|playercdn.net|pornparadise.org|povwideo.net|powvideo.net|proxydl.cf|putlockertv.se|putlockertv.to|rapidvideo.com|rarbgproxy.org|readcomiconline.to|repelis.net|rule34hentai.net|seehd.pl|sendvid.com|sexuria.com|solarmoviesc.com|speedvid.net|sportp2p.com|stream.moe|stream2watch.org|streamango.com|streamcherry.com|streamplay.to|streamshunter.tv|suprafiles.org|telepisodes.co|thehiddenbay.fi|thehiddenbay.ws|thekat.nz|thepiratebay.red|thepiratebay.rocks|thepirateproxy.ws|theproxybay.me|thevideo.cc|thevideo.ch|thevideo.me|thevideo.website|torrentz.to|tpb.zone|tpbmirror.ga|tpbship.org|uktpbmirror.pw|unblocker.cc|unblocktpb.pro|userscloud.com|vidgg.to|vidlox.me|vidlox.tv|vidoza.net|vidto.me|vidtod.me|vidtudu.com|vidup.me|vidz7.com|vidzi.tv|vipleague.mobi|vodlock.co|watchcartoononline.com|watchonline.to|watchonlinemovies.com.pk|wholecloud.net|youwatch.org|yts.am
-/http*.:\/\/.*[a-zA-Z0-9]{100,}.*/$popup,domain=0123movies.com|1337x.to|1movies.to|9anime.is|adsrt.com|ahlamtv.com|akvideo.stream|allmyvideos.netakvideo.stream|animeflv.net|animeid.io|asianvote.com|avgle.com|bmovies.to|clipconverter.cc|cloudtime.to|cruzing.xyz|dropapk.com|embed.nowvideo.sx|embed.videoweed.es|escdn.co|estream.to|extreme-board.com|eztv.ag|fastbay.net|fileone.tv|flash-x.tv|flashsx.tv|flashx.me|flashx.run|flashx.sx|flashx.to|flashx.tv|flashx.ws|flashx1.tv|flashxx.tv|fmovies.is|fmovies.se|fmovies.to|fruithosted.net|fruitstreams.com|gogoanime.io|gorillavid.in|gowatchfreemovies.to|grammarist.com|ikwilthepiratebay.org|imagebam.com|imagefruit.com|imageporter.com|imagerar.com|img24.org|imgadult.com|imgbox.com|imgdrive.net|imgshots.com|imgsin.com|imgspice.com|imgtaxi.com|imgvip.net|imgwallet.com|jkanime.net|katcr.party|kickass.cd|kickass.gg|lavamovies.se|m4ufree.tv|megaup.net|moecdn.io|monova.org|movie4k.is|movpod.in|mp3indirdur.mobi|mywebtv.info|newser.com|nosteam.ro|nowvideo.sx|oload.site|oload.stream|oload.win|oload.xyz|oloadcdn.net|onhax.me|onlinevideoconverter.com|openload.co|openloadmovies.tv|opentpb.com|otakustream.tv|piratebayblocked.com|pirateproxy.sh|pirateproxy.website|playercdn.net|pornparadise.org|povwideo.net|powvideo.net|proxydl.cf|putlockertv.se|putlockertv.to|rapidvideo.com|rarbgproxy.org|repelis.net|seehd.pl|sendvid.com|sexuria.com|solarmoviesc.com|speedvid.net|sportp2p.com|stream.moe|stream2watch.org|streamango.com|streamcherry.com|streamplay.to|streamshunter.tv|suprafiles.org|thehiddenbay.fi|thehiddenbay.ws|thekat.nz|thepiratebay.red|thepiratebay.rocks|thepirateproxy.ws|theproxybay.me|thevideo.cc|thevideo.ch|thevideo.me|thevideo.website|torrentz.to|tpb.zone|tpbmirror.ga|tpbship.org|uktpbmirror.pw|unblocker.cc|unblocktpb.pro|userscloud.com|vidgg.to|vidlox.me|vidlox.tv|vidoza.net|vidto.me|vidtod.me|vidtudu.com|vidup.me|vidz7.com|vidzi.tv|vipleague.mobi|vodlock.co|watchcartoononline.com|watchonline.to|watchonlinemovies.com.pk|wholecloud.net|youwatch.org|yts.am
+/http*.:\/\/.*[?|=|&|%|#|+].*/$popup,domain=0123movies.com|1337x.to|1movies.is|1movies.to|9anime.is|a-o.ninja|adsrt.com|ahlamtv.com|akvideo.stream|allmyvideos.netakvideo.stream|animeflv.net|animeid.io|asianvote.com|avgle.com|bittorrent.am|bmovies.to|clipconverter.cc|cloudtime.to|cruzing.xyz|dospelis.com|dropapk.com|embed.nowvideo.sx|embed.videoweed.es|escdn.co|estream.to|extreme-board.com|eztv.ag|fastbay.net|fileone.tv|flash-x.tv|flashsx.tv|flashx.cc|flashx.me|flashx.run|flashx.sx|flashx.to|flashx.tv|flashx.ws|flashx1.tv|flashxx.tv|fmovies.is|fmovies.se|fmovies.taxi|fmovies.to|fruithosted.net|fruitstreams.com|gogoanime.io|gorillavid.in|gowatchfreemovies.to|grammarist.com|ikwilthepiratebay.org|imagebam.com|imagefruit.com|imageporter.com|imagerar.com|img24.org|imgadult.com|imgbox.com|imgdew.pw|imgdrive.net|imgmaze.pw|imgshots.com|imgsin.com|imgspice.com|imgtaxi.com|imgtown.pw|imgview.pw|imgvip.net|imgwallet.com|indoxxi.tv|jkanime.net|katcr.host|katcr.party|kickass.cd|kickass.gg|kissasian.ch|kisscartoon.ac|lavamovies.se|m4ufree.com|m4ufree.tv|masterani.me|megaup.net|moecdn.io|monova.org|movie4k.is|movpod.in|mp3indirdur.mobi|myreadingmanga.info|mywebtv.info|newser.com|nosteam.ro|nowvideo.sx|oload.site|oload.stream|oload.win|oload.xyz|oloadcdn.net|onhax.me|onlinevideoconverter.com|openload.co|openloadmovies.tv|opentpb.com|otakustream.tv|piratebayblocked.com|pirateproxy.sh|pirateproxy.website|playercdn.net|pornparadise.org|povwideo.net|powvideo.net|proxydl.cf|putlockertv.se|putlockertv.to|rapidvideo.com|rarbgproxy.org|readcomiconline.to|repelis.net|rule34hentai.net|seehd.pl|sendvid.com|sexuria.com|solarmoviesc.com|speedvid.net|sportp2p.com|stream.moe|stream2watch.org|streamango.com|streamcherry.com|streamplay.to|streamshunter.tv|suprafiles.org|telepisodes.co|thehiddenbay.fi|thehiddenbay.ws|thekat.nz|thepiratebay.red|thepiratebay.rocks|thepirateproxy.ws|theproxybay.me|thevideo.cc|thevideo.ch|thevideo.me|thevideo.website|torrentz.to|tpb.zone|tpbmirror.ga|tpbship.org|uktpbmirror.pw|unblocker.cc|unblocktpb.pro|userscloud.com|vidgg.to|vidlox.me|vidlox.tv|vidoza.net|vidto.me|vidtod.me|vidtudu.com|vidup.me|vidz7.com|vidzi.tv|vipleague.mobi|vodlock.co|watchcartoononline.com|watchonline.to|watchonlinemovies.com.pk|wholecloud.net|youwatch.org|yts.am
+/http*.:\/\/.*[a-zA-Z0-9]{110,}.*/$popup,domain=0123movies.com|1337x.to|1movies.is|1movies.to|9anime.is|adsrt.com|ahlamtv.com|akvideo.stream|allmyvideos.netakvideo.stream|animeflv.net|animeid.io|asianvote.com|avgle.com|bmovies.to|clipconverter.cc|cloudtime.to|cruzing.xyz|dropapk.com|embed.nowvideo.sx|embed.videoweed.es|escdn.co|estream.to|extreme-board.com|eztv.ag|fastbay.net|fileone.tv|flash-x.tv|flashsx.tv|flashx.me|flashx.run|flashx.sx|flashx.to|flashx.tv|flashx.ws|flashx1.tv|flashxx.tv|fmovies.is|fmovies.se|fmovies.to|fruithosted.net|fruitstreams.com|gogoanime.io|gogoanime.to|gorillavid.in|gowatchfreemovies.to|grammarist.com|ikwilthepiratebay.org|imagebam.com|imagefruit.com|imageporter.com|imagerar.com|img24.org|imgadult.com|imgbox.com|imgdrive.net|imgshots.com|imgsin.com|imgspice.com|imgtaxi.com|imgvip.net|imgwallet.com|jkanime.net|katcr.party|kickass.cd|kickass.gg|kimcartoon.me|lavamovies.se|m4ufree.tv|megaup.net|moecdn.io|monova.org|movie4k.is|movpod.in|mp3indirdur.mobi|msn.com|mywebtv.info|newser.com|nosteam.ro|nowvideo.sx|oload.site|oload.stream|oload.win|oload.xyz|oloadcdn.net|onhax.me|onlinevideoconverter.com|openload.co|openloadmovies.tv|opentpb.com|otakustream.tv|piratebayblocked.com|pirateproxy.sh|pirateproxy.website|playercdn.net|pornparadise.org|povwideo.net|powvideo.net|proxydl.cf|putlockertv.se|putlockertv.to|rapidvideo.com|rarbgproxy.org|readcomiconline.to|repelis.net|seehd.pl|sendvid.com|sexuria.com|solarmoviesc.com|speedvid.net|sportp2p.com|stream.moe|stream2watch.org|streamango.com|streamcherry.com|streamplay.to|streamshunter.tv|suprafiles.org|thehiddenbay.fi|thehiddenbay.ws|thekat.nz|thepiratebay.red|thepiratebay.rocks|thepirateproxy.ws|theproxybay.me|thevideo.cc|thevideo.ch|thevideo.me|thevideo.website|torrentz.to|tpb.zone|tpbmirror.ga|tpbship.org|uktpbmirror.pw|unblocker.cc|unblocktpb.pro|userscloud.com|vidgg.to|vidlox.me|vidlox.tv|vidoza.net|vidto.me|vidtod.me|vidtudu.com|vidup.me|vidz7.com|vidzi.tv|vipleague.mobi|vodlock.co|watchcartoononline.com|watchonline.to|watchonlinemovies.com.pk|wholecloud.net|youwatch.org|yts.am
 ! data popups
 |data^$popup,domain=1337x.to|gorillavid.in|nowvideo.to|zippyshare.com
 ! Block http and https popups
-/http*.:\/\/.*/$popup,third-party,domain=35.188.59.75|adf.ly|daclips.in|escdn.co|estream.to|fastbay.net|fastspics.net|filepost.com|flash-x.tv|flashx.tv|go4up.com|gorillavid.in|jwpcdn.com|latestmoviesdl.com|load.to|moecdn.io|mofunzone.com|monova.org|oload.info|oload.stream|oload.tv|oload.xyz|oloadcdn.net|openload.co|sendvid.com|speedvid.net|sportp2p.com|stream.moe|stream2watch.org|streamango.com|streamcloud.eu|streamin.to|thevideo.me|topclickguru.com|twer.info|uptobox.com|uptostream.com|vid.ag|vidabc.com|vidcpm.com|vidgg.to|vidspot.net|vidstreaming.io|vidto.me|vidzi.tv|vodlock.co|vshare.eu
+/http*.:\/\/.*/$popup,third-party,domain=35.188.59.75|adf.ly|daclips.in|escdn.co|estream.to|fastbay.net|fastspics.net|filepost.com|flash-x.tv|flashx.tv|go4up.com|gorillavid.in|jwpcdn.com|latestmoviesdl.com|load.to|moecdn.io|mofunzone.com|monova.org|movpod.in|oload.info|oload.stream|oload.tv|oload.xyz|oloadcdn.net|openload.co|sendvid.com|speedvid.net|sportp2p.com|stream.moe|stream2watch.org|streamango.com|streamcloud.eu|streamin.to|thevideo.me|topclickguru.com|twer.info|uptobox.com|uptostream.com|vid.ag|vidabc.com|vidcpm.com|vidgg.to|vidspot.net|vidstreaming.io|vidto.me|vidzi.tv|vodlock.co|vshare.eu
 ! javascript popups
 |javascript^$popup,domain=1337x.to|biology-online.org|bitvid.sx|cloudtime.to|eztv.ag|eztv.tf|eztv.yt|flashx.tv|gorillavid.in|letwatch.us|movpod.in|nowvideo.sx|nowvideo.to|wholecloud.net
 ! regex to pickup ip-address popups
-/^https?:\/\/([0-9]{1,3}\.){3}[0-9]{1,3}/$popup,domain=0dt.net|123movies.net|animesonlinetk.info|asianvote.com|biqle.ru|bittorrent.am|bmovies.to|bonstreams.net|briansarmiento.website|bro.adca.st|buzzfil.net|clicknupload.org|clik.pw|ddlvalley.me|divxatope1.com|dropapk.com|dwatchseries.to|ewatchseries.to|eztv.ag|fbstreams.me|fileone.tv|firstrowsports.eu|flash-x.tv|flashsx.tv|flashx.me|flashx.run|flashx.sx|flashx.to|flashx.tv|flashx.ws|flashx1.tv|flashxx.tv|gamestorrent.co|gorillavid.in|icefilms.info|igg-games.com|jkanime.net|katcr.host|kissanime.ru|lavamovies.se|livecamtv.me|m4ufree.com|m4ufree.tv|masterani.me|megaup.net|mlbstream.me|moecdn.io|monova.org|movpod.in|my-project-free.tv|myfeed4u.me|nbastreams.me|newpct.com|newpct1.com|nflstreams.me|nhlstreams.me|nowvideo.sx|oload.site|oloadcdn.net|openload.co|opensubtitles.org|pcgames-download.com|pelispedia.tv|pelisplus.tv|pirateproxy.ist|pirateproxy.sh|putlockertv.se|rapidvideo.com|readmanga.today|sawlive.tv|serietvsubita.net|skidrowcrack.com|sportshd.me|stream.moe|stream2watch.cc|streamango.com|streamfilmzzz.com|streamzzz.online|strikeout.co|subtorrents.io|sunmusiq.com|telepisodes.co|thehiddenbay.ws|thepiratebay.cr|thepixstate.com|thevideobee.to|torrentz2.eu|unblocked.mx|unblocked.sh|unblocker.cc|uptobox.com|vidgg.to|vidlox.me|vidlox.tv|vidtod.me|vidtudu.com|vidup.me|vidup.tv|vidzi.tv|vodlock.co|watchers.to|watchonline.to|watchonlinemovies.com.pk|yts.ag|yts.am|yts.gs|zooqle.com
+/^https?:\/\/([0-9]{1,3}\.){3}[0-9]{1,3}/$popup,domain=0dt.net|123movies.net|adyou.me|animesonlinetk.info|asianvote.com|biqle.ru|bittorrent.am|bmovies.to|bonstreams.net|briansarmiento.website|bro.adca.st|buzzfil.net|clicknupload.org|clik.pw|ddlvalley.me|divxatope1.com|dropapk.com|dwatchseries.to|ewatchseries.to|eztv.ag|fbstreams.me|fileone.tv|firstrowsports.eu|flash-x.tv|flashsx.tv|flashx.me|flashx.run|flashx.sx|flashx.to|flashx.tv|flashx.ws|flashx1.tv|flashxx.tv|gamestorrent.co|gorillavid.in|gounlimited.to|icefilms.info|igg-games.com|jkanime.net|katcr.host|kissanime.ru|lavamovies.se|livecamtv.me|m4ufree.com|m4ufree.tv|masterani.me|megaup.net|mlbstream.me|moecdn.io|monova.org|movpod.in|my-project-free.tv|myfeed4u.me|nbastreams.me|newpct.com|newpct1.com|nflstreams.me|nhlstreams.me|nowvideo.sx|oload.site|oloadcdn.net|openload.co|opensubtitles.org|pcgames-download.com|pelispedia.tv|pelisplus.tv|pirateproxy.ist|pirateproxy.sh|putlockertv.se|rapidvideo.com|readmanga.today|sawlive.tv|serietvsubita.net|skidrowcrack.com|sportshd.me|stream.moe|stream2watch.cc|streamango.com|streamfilmzzz.com|streamzzz.online|strikeout.co|subtorrents.io|sunmusiq.com|telepisodes.co|thehiddenbay.ws|thepiratebay.cr|thepixstate.com|thevideobee.to|torrentz2.eu|unblocked.mx|unblocked.sh|unblocked.vet|unblocker.cc|uptobox.com|vidgg.to|vidlox.me|vidlox.tv|vidtod.me|vidtudu.com|vidup.me|vidup.tv|vidzi.tv|vodlock.co|watchers.to|watchonline.to|watchonlinemovies.com.pk|yts.ag|yts.am|yts.gs|zooqle.com
 ! *** easylist:easylist_adult/adult_specific_block.txt ***
 .download^$other,domain=pornhub.com|redtube.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|xtube.com|youporn.com|youporngay.com
 .info^$script,domain=www.pornhub.com
@@ -52449,11 +53957,14 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||2hot4fb.com/img/*.gif?r=
 ||2hot4fb.com/img/*.jpg?r=
 ||3movs.com/contents/content_sources/
-||3xupdate.com^*/ryushare.gif
-||3xupdate.com^*/ryushare2.gif
-||3xupdate.com^*/ryusharepremium.gif
 ||3yen.com/wfn_
 ||4sex4.com/pd/
+||4tube.com/assets/abpe-
+||4tube.com/assets/adf-
+||4tube.com/assets/adn-
+||4tube.com/assets/padb-
+||4tube.com/mojon.js
+||4tube.com/sw4tube.js
 ||4tube.com/tb/banner/
 ||4ufrom.me/xpw.gif
 ||5ilthy.com/porn.php
@@ -52462,15 +53973,12 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||a.eporner.com^
 ||a.heavy-r.com^
 ||a.killergram-girls.com^
-||abc-celebs.com/spons/
 ||absoluporn.com/code/pub/
 ||ad.eporner.com^
 ||ad.slutload.com^
 ||ad.thisav.com^
-||ad.userporn.com^
 ||adrive.com/images/fc_banner.jpg
 ||ads.xxxbunker.com^
-||adult-profit-files.com/banner
 ||adult-sex-games.com/images/promo/
 ||adultdvdtalk.com/studios/
 ||adultfilmdatabase.com/graphics/banners/
@@ -52483,14 +53991,10 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||amadorastube.com^*/banner_
 ||amateur-desire.com/pics/724x90d.jpg
 ||amateur-desire.com/pics/sm_
-||amateur-streams.com^*/popup.js
 ||amateuralbum.net/affb.html
-||amateurfarm.net/layer.js
 ||amazonaws.com^$xmlhttprequest,domain=watch8x.com|xmovies.to|xmovies247.com|yourporn.sexy
 ||analpornpix.com/agent.php?
-||analtubegirls.com/js/realamateurtube.js
 ||andtube.com/ban_
-||angelshack.com/images/under-video.png
 ||anon-v.com/neverlikedcocksmuch.php
 ||anon-v.com/titswerentoiledup.php
 ||anonimag.es^$domain=anon-v.com
@@ -52503,15 +54007,17 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||asgayas.com/popin.js
 ||ashot.txxx.com^
 ||asianpornmovies.com/images/banners/
+||assfuck.xxx/uploads/banners/
+||assfuck.xxx/uploads/provider-banners/
 ||asspoint.com/images/banners/
 ||avn.com/templates/avnav/skins/
-||axatube.com/dos.html
 ||b.xcafe.com^
 ||babblesex.com/js/misc.js
 ||babedrop.com/babelogger_images/
 ||babepicture.co.uk^*banner
 ||babesandstars.com/images/a/
 ||babesandstars.com/thumbs/paysites/
+||babesandstars.com^*/banners/
 ||babeshows.co.uk/fvn53.jpg
 ||babeshows.co.uk^*banner
 ||babesmachine.com/html/
@@ -52529,11 +54035,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||between-legs.com/banners2/
 ||between-legs.com^*/banners/
 ||bigboobs.hu/banners/
-||bigxvideos.com/js/focus.*.js
-||bigxvideos.com/js/pops2.
-||bigxvideos.com/js/popu.
-||bigxvideos.com/rec/
-||blackonasianblog.com/uploads/banners/
 ||blackredtube.com/fadebox2.js
 ||bob.crazyshit.com^
 ||bonbonme.com/js/cams.js
@@ -52541,7 +54042,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||bonbonme.com/js/rightbanner.js
 ||bonbonsex.com/js/dl/bottom.js
 ||bonbonsex.com/js/workhome.js
-||boneprone.com/premium.html
 ||boobieblog.com/submityourbitchbanner3.jpg
 ||boobieblog.com/TilaTequilaBackdoorBanner2.jpg
 ||bos.so/icloud9.html
@@ -52555,19 +54055,16 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||bravotube.net/if/$subdocument
 ||brcache.madthumbs.com^
 ||bunnylust.com/sponsors/
-||bustnow.com/xv/ad/
-||bustnow.com/xv/x/002.php
-||bustnow.com^*/999.js.php
-||bustnow.com^*/sponsors/
 ||cameltoe.com^*/banners/
 ||cams.pornrabbit.com^
+||camvideos.tv/tpd.
+||camvideos.tv^$subdocument
 ||camwhores.tv/banners/
 ||camwhores.tv/contents/other/player/
 ||camwhores.tv^*/e*.mp4
 ||canadianhottie.ca/images/banners/
 ||celeb.gate.cc/banner/
 ||celeb.gate.cc/misc/event_*.js
-||celebritypink.com/bannedcelebs-
 ||cfake.com/images/a/
 ||chanweb.info/en/adult/hc/local_include/
 ||chatrandom.com/js/slider.js
@@ -52590,17 +54087,18 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||damimage.com^*/DocaWedrOJPPx.png
 ||daporn.com/_p4.php
 ||data18.com^*/banners/
-||dato.porn/cp.js
 ||dbnaked.com/ban/
 ||definebabe.com/db/images/leftnav/webcams2.png
 ||definebabe.com/db/js/pcme.js
 ||definebabe.com/sponsor/
+||definebabe.com/sponsor_
+||definebabe.com/traders/
+||definebabe.com^*/traders.
 ||definefetish.com/df/js/dpcm.js
 ||deliciousbabes.org/banner/
 ||deliciousbabes.org/media/banners/
 ||delivery.porn.com^
 ||depic.me/banners/
-||destroymilf.com/popup%20floater.js
 ||devatube.com/img/partners/
 ||diamond-tgp.com/fp.js
 ||dickbig.net/scr/
@@ -52611,11 +54109,8 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||dot.eporner.com^
 ||dot2.eporner.com^
 ||downloadableporn.org/popaaa/
-||dronporn.com/main-video-place.html
-||dronporn.com/tizer.html
 ||drtuber.com/templates/frontend/white/js/embed.js?
 ||drtuber.com^*/aff_banner.swf
-||dusttube.com/pop*.js
 ||dyn.tnaflix.com^
 ||easypic.com/js/easypicads.js
 ||eccie.net/buploads/
@@ -52626,19 +54121,15 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||efukt.com/js/3rdparty.js
 ||efukt.com/menu/
 ||efukt.com^*.php$subdocument
-||egoporn.com/themagic.js
-||egoporn.com/videotop.gif
 ||empflix.com/embedding_player/600x474_
 ||empireamateurs.com/images/*banner
 ||entensity.net/crap/
-||epicwank.com/social/jquery.stp.min.js
 ||eporner.com/cppb/
 ||eporner.com/dot/$script
 ||eporner.com/pjsall-*.js
 ||eporner.com^$subdocument,~third-party
 ||eroprofile.com/js/pu*.js
 ||eskimotube.com/kellyban.gif
-||exhentai.net/img/aaf1.gif
 ||exit.macandbumble.com^
 ||extreme-board.com/bannrs/
 ||extremetube.com/player_related?
@@ -52670,7 +54161,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||freebunker.com^*/oc.js
 ||freebunker.com^*/pops.js
 ||freebunker.com^*/raw.js
-||freeimgup.com/xxx/content/system/js/iframe.html
 ||freeones.com/banners/
 ||freeones.com/images/freeones/sidewidget/$image
 ||freeporn.to/wpbanner/
@@ -52697,12 +54187,8 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||gifsfor.com/msn.js
 ||gifsfor.com^*/gifs.js
 ||gifsfor.com^*/msn.js
-||gina-lynn.net/pr4.html
 ||girlfriendvideos.com/ad
 ||girlfriendvideos.com/pcode.js
-||girlsfrombudapest.eu/banners/
-||girlsfromprague.eu/banners/
-||girlsfromprague.eu^*468x
 ||girlsintube.com/images/get-free-server.jpg
 ||girlsnaked.net/gallery/banners/
 ||girlsofdesire.org/banner/
@@ -52713,6 +54199,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||gotgayporn.com/Watermarks/
 ||grannysexforum.com/filter.php
 ||gspcdn.com^*/banners/
+||h2porn.com/*.js#spot=
 ||h2porn.com/ab/
 ||h2porn.com/contents/content_sources/
 ||h2porn.com/js/etu_r.js
@@ -52755,15 +54242,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||hentaistream.com/out/
 ||hentaistream.com/wp-includes/images/bg-
 ||hentaistream.com/wp-includes/images/mofos/webcams_
-||heraldnet.com/section/iFrame_AutosInternetSpecials?
-||heraldnetdailydeal.com/widgets/DailyDealWidget300x250
 ||hgimg.com/js/beacon.
-||hidefporn.ws/04.jpg
-||hidefporn.ws/05.jpg
-||hidefporn.ws/055.jpg
-||hidefporn.ws/client
-||hidefporn.ws/img.png
-||hidefporn.ws/nitro.png
 ||hitomi.la/hitomi-
 ||hitomi.la/hitomi.
 ||hitomi.la/hitomi/
@@ -52778,30 +54257,11 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||hornywhores.net/hw$script
 ||hornywhores.net/img/double.jpg
 ||hornywhores.net/img/zevera_rec.jpg
-||hotdevonmichaels.com^*/pf_640x1001.jpg
-||hotdevonmichaels.com^*/streamate2.jpg
-||hotdevonmichaels.com^*/wicked.gif
-||hotdylanryder.com^*/Big-Tits-Like-Big-Dicks.jpg
-||hotdylanryder.com^*/dylan_350x250_01.jpg
-||hotdylanryder.com^*/iframes_174.jpg
-||hotdylanryder.com^*/pf_640x100.jpg
-||hotdylanryder.com^*/wicked.gif
 ||hothag.com/img/banners/
-||hotkellymadison.com^*/kelly1.jpg
-||hotkellymadison.com^*/kelly4.jpg
-||hotkellymadison.com^*/km_300x300.gif
-||hotkellymadison.com^*/pf_640x100.jpg
 ||hotmovs.com/*.php?*=$script
-||hotsashagrey.com^*/Anabolic.jpg
-||hotsashagrey.com^*/New_Sensations-1091.gif
-||hotsashagrey.com^*/PeterNorth-800x350.jpg
-||hotsashagrey.com^*/squ-fantasygirlsasha-001.gif
-||hotsashagrey.com^*/throated.jpg
 ||hotshame.com/hotshame_html/
 ||hotshame.com/iframes/
 ||hotshame.com/js/adphotshame
-||hottestgirlsofmyspace.net/smallpics/300x200b.gif
-||hottestgirlsofmyspace.net/smallpics/fb-150x150.gif
 ||hottubeclips.com/stxt/banners/
 ||hungangels.com/vboard/friends/
 ||hustler.com/backout-script/
@@ -52846,7 +54306,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||iseekgirls.com/js/fabulous.js
 ||iseekgirls.com/rotating_
 ||iseekgirls.com^*/banners/
-||jailbaitgallery.com/banners300/
 ||jav-porn.net/js/popout.js
 ||jav-porn.net/js/popup.js
 ||javhub.net/img/r.jpg
@@ -52861,13 +54320,8 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||keezmovies.com/iframe.html?
 ||kindgirls.com/banners2/
 ||konachan.com/images/bam/
-||krasview.ru/content/$object
-||krasview.ru/resource/a.php
-||kuiken.co/inc/ex.js
 ||kuntfutube.com/kellyban.gif
-||kyte.tv/flash/MarbachAdvertsDartInstream.
 ||laxtime.com/rotation/
-||lesbian.hu/banners/
 ||linksave.in/fopen.html
 ||literotica.com/images/banners/
 ||literotica.com/images/lit_banners/
@@ -52889,16 +54343,11 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||mansurfer.com/flash_promo/
 ||matureworld.ws/images/banners/
 ||maxjizztube.com/downloadfreemovies.php
-||meatspin.com/facebookchatlist.php
-||meatspin.com/images/fl.gif
 ||media1.realgfporn.com^$subdocument
 ||meendo.com/promos/
-||merb.ca/banner/
 ||milkmanbook.com/dat/promo/
 ||miragepics.com/images/11361497289209202613.jpg
 ||mobilepornmovies.com/images/banners/
-||monstercockz.com/cont/
-||monstercockz.com/eds/
 ||monstertube.com/images/access_
 ||monstertube.com/images/bottom-features.jpg
 ||monstertube.com/images/vjoin.
@@ -52915,9 +54364,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||mrstiff.com/view/context/
 ||mrstiff.com/view/movie/bar/
 ||mrstiff.com/view/movie/finished/
-||my-pornbase.com/banner/
-||mydailytube.com/nothing/
-||myex.com^$~third-party,xmlhttprequest
+||myashot.txxx.com^
 ||mygirlfriendvids.net/js/popall1.js
 ||myhentai.tv/popsstuff.
 ||myslavegirl.org/follow/go.js
@@ -52929,7 +54376,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||naughtyblog.org/pr1pop.js
 ||netasdesalim.com/js/netas
 ||netronline.com/Include/burst.js
-||newcelebnipslips.com/nipslipop.js
 ||niceandquite.com/msn.js
 ||niceandquite.com/nice.js
 ||niceyoungteens.com/ero-advertising
@@ -52943,7 +54389,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||ns4w.org/images/vod_
 ||nude.hu/banners/
 ||nudebabes.ws/galleries/banners/
-||nudeflix.com/ads/video-player/
 ||nudevista.com/_/exo_
 ||nudevista.com/_/pp.
 ||nudevista.com/_/teasernet
@@ -52960,15 +54405,12 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||onlinestars.net/ban/
 ||onlinestars.net/br/
 ||openjavascript.com/jtools/jads.
-||oporn.com/js/wspop.js
 ||orgyxxxhub.com/content/lib/
-||ox2.pron.tv^
-||ox3.pron.tv^
-||pandaporn.net/*.php
 ||partners.keezmovies.com^
 ||pastime.biz/images/iloveint.gif
 ||pastime.biz/images/interracial-porn.gif
 ||pastime.biz^*/personalad*.jpg
+||penthouse.com^*/sidebar/
 ||perfectgirls.net/b/
 ||perfectgirls.net/exo/
 ||phncdn.com/cb/youpornwebfront/css/babes.css$domain=youporn.com
@@ -53012,14 +54454,9 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||pink-o-rama.com/Privatecash
 ||pink-o-rama.com/Royalcash/
 ||pink-o-rama.com/Teendreams
-||pinkems.com/images/buttons/
 ||pinkrod.com/iframes/
 ||pinkrod.com/js/adppinkrod
 ||pinkrod.com/pinkrod_html/
-||pixhost.org/image/cu/
-||pixhost.org/image/rotate/
-||pixhost.org/image/tmp/linksnappy_
-||pixhost.org/js/jquery_show2.js
 ||pixroute.com/spl.js
 ||placepictures.com/Frame.aspx?
 ||planetsuzy.org/kakiframe/
@@ -53027,8 +54464,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||playgirl.com/pg/media/prolong_ad.png
 ||playpornx.net/pu/
 ||plumper6.com/images/ban_pp.jpg
-||pnet.co.za/jobsearch_iframe_
-||poguide.com/cdn/images/ad*.gif
 ||pontoperdido.com/js/webmessenger.js
 ||porn-w.org/chili.php
 ||porn-w.org/images/chs.gif
@@ -53047,8 +54482,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||pornalized.com/contents/content_sources/
 ||pornalized.com/js/adppornalized5.js
 ||pornalized.com/pornalized_html/closetoplay_
-||pornarchive.net/images/cb
-||pornbanana.com/pornbanana/deals/
 ||pornbay.org/popup.js
 ||pornbb.org/adsnov.
 ||pornbb.org/images/rotation/$image
@@ -53073,9 +54506,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||pornhub.phncdn.com/images/campaign-backgrounds/
 ||pornhub.phncdn.com/misc/xml/preroll.xml
 ||pornizer.com/_Themes/javascript/cts.js?
-||pornmade.com/images/404vz.gif
-||pornmade.com/images/az.gif
-||pornmade.com/images/cb
+||pornleech.is/pornleech_
 ||pornmaturetube.com/content/
 ||pornmaturetube.com/content2/
 ||pornmaturetube.com/eureka/
@@ -53100,26 +54531,12 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||pornper.com/mlr/
 ||pornper.com^*/pp.js
 ||pornpics.com/pornpics.
-||pornpicture.org/banners/
-||pornreleasez.com/prpop.js
 ||pornshare.biz/1.js
 ||pornshare.biz/2.js
-||pornsharia.com/Images/Sponsors/
-||pornsharia.com^*/adppornsharia.js
-||pornsharia.com^*/exo-
-||pornsharia.com^*/js/pcin.js
 ||pornsharing.com/App_Themes/pornsharianew/$subdocument,~third-party
 ||pornsharing.com/App_Themes/pornsharianew/js/adppornsharia*.js
 ||pornsharing.com/App_Themes/pornsharingnew/$subdocument,~third-party
 ||pornsharing.com/App_Themes/pornsharingnew/js/adppornsharia*.js
-||pornslash.com/images/a.gif
-||pornslash.com/images/cbside.gif
-||pornslash.com/images/cbt.gif
-||pornslash.com/images/downicon.png
-||pornslash.com/images/pr.jpg
-||pornstarlabs.com/spons/
-||pornstarterritory.com//images/bannernew.jpg
-||pornstarterritory.com^*/alsbanner
 ||pornstreet.com/siteunder.js
 ||porntalk.com/img/banners/
 ||porntalk.com/rec/
@@ -53131,19 +54548,13 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||pornup.me/js/pp.js
 ||pornvideoq.com/*.html$subdocument,~third-party
 ||pornwikileaks.com/adultdvd.com.jpg
-||pornxs.com/fl.js
-||pornxs.com/js/aab/
-||pornxs.com/js/exo.js
-||pornxs.com/js/files/jasminNew
 ||pr-static.empflix.com^
 ||pr-static.tnaflix.com^
-||pron.tv/js/xp/pt.js?
 ||pureandsexy.org/banner/
 ||purelynsfw.com^*/banners/
 ||purepornvids.com/randomadseb.
 ||purpleporno.com/pop*.js
 ||putascaseiras.com/botao/
-||puteros.com/publisecciones/
 ||pwpwpoker.com/images/*/strip_poker_
 ||pwpwpoker.com/images/banners/
 ||queerclick.com/pu-$script
@@ -53159,7 +54570,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||realhomesex.net/ae/$subdocument
 ||realhomesex.net/floater.js
 ||realhomesex.net/pop/
-||redtube.cc/images/bongacams.png
 ||redtube.com/barelylegal/
 ||redtube.com/bestporn/
 ||redtube.com/nymphos/
@@ -53171,6 +54581,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||redtubefiles.com^*/skins/
 ||rev.fapdu.com^
 ||rextube.com/plug/iframe.asp?
+||rexxx.com/banner
 ||rude.com/js/PopupWindow.js
 ||rule34.xxx/bf/
 ||rule34.xxx/r34.js
@@ -53188,18 +54599,15 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||seemygf.com/webmasters/
 ||sensualgirls.org/banner/
 ||sensualgirls.org/media/banners/
-||serveporn.com/images/a-en.jpg
-||serveporn.com/images/plug-in.jpg
 ||sex-techniques-and-positions.com/123ima/
 ||sex-techniques-and-positions.com/banners
 ||sex.com/images/*/banner_
+||sex01.org/*.php?
 ||sex3.com/if/
 ||sex3dtoons.com/im/
 ||sexilation.com/wp-content/uploads/2013/01/Untitled-1.jpg
 ||sexmummy.com/float.htm
 ||sexmummy.com/footer.htm
-||sexphoto.xxx/sites/
-||sexpornimg.com/css/images/banner
 ||sexseeimage.com^*/banner.gif
 ||sextube.com/lj.js
 ||sextubebox.com/ab1.shtml
@@ -53211,8 +54619,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||sexvideogif.com/msn.js
 ||sexvideogif.com/svg.js
 ||sexvines.co/images/cp
-||sexy-toons.org/interface/partenariat/
-||sexy-toons.org/interface/pub/
 ||sexyandfunny.com/images/totem
 ||sexyandshocking.com/mzpop.js
 ||sexyclips.org/banners/
@@ -53224,14 +54630,10 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||shanbara.jp/okusamadx.gif
 ||sharew.org/modalfiles/
 ||shemaletubevideos.com/images/banners/
-||shoosh.co/*.php$script
-||shoosh.co/_p4
 ||shooshtime.com/ads/
 ||shooshtime.com/images/chosenplugs/
 ||shooshtimeinc.com/under.php
-||shy-cams.com/tube.js
 ||signbucks.com/s/bns/
-||signbucksdaily.com/data/promo/
 ||sillusions.ws^*/pr0pop.js
 ||sillusions.ws^*/vpn-banner.gif
 ||site.img.4tube.com^
@@ -53242,10 +54644,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||socaseiras.com.br/arquivos/banners/
 ||socaseiras.com.br/banner_
 ||socaseiras.com.br/banners.php?
-||songs.pk/ie/ietext.html
 ||spankbang.com/gateway/
-||springbreaktubegirls.com/js/springpop.js
-||starcelebs.com/logos/$image
 ||static.flabber.net^*background
 ||static.kinghost.com^
 ||stockingstv.com/partners/
@@ -53253,8 +54652,8 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||submityourflicks.com/banner/
 ||sunporno.com/js/flirt/serve.js
 ||svscomics.com^*/dtrotator.js
-||sxx.com/js/lj.js
 ||t-51.com^*/banners/
+||t.xtubetv.net^
 ||t8.*.com/?$xmlhttprequest,domain=tube8.com
 ||tabletporn.com/images/pinkvisualpad-
 ||taxidrivermovie.com/mrskin_runner/
@@ -53262,7 +54661,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||tbib.org/gfy/$domain=konachan.com
 ||tbib.org^$subdocument,domain=konachan.com
 ||teensanalfactor.com/best/
-||teensexcraze.com/awesome/leader.html
 ||teentube18.com/js/realamateurtube.js
 ||temptingangels.org/banner/
 ||temptingangels.org/media/banners/
@@ -53272,6 +54670,8 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||the-feeding-tube.com^*/Topbanner.php
 ||theboys.be/nvrbl/
 ||thedoujin.com^$domain=gelbooru.com
+||thefappening.wiki^*/promo-
+||thefappening.wiki^*/promo/
 ||thefappeningblog.com/icloud9.html
 ||thefappeningblog.com/sproject/
 ||thehun.net^*/banners/
@@ -53282,13 +54682,11 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||thenude.eu/images/sexart_sidebar.png
 ||thenude.eu/media/mxg/
 ||theporncore.com/contents/content_sources/
-||thepornomatrix.com/images/1-
 ||thinkexist.com/images/afm.js
 ||thisav.com/0628.
 ||thisav.com/js/pu.js
 ||thisav.com/js/thisav_pop.js
 ||thumblogger.com/thumblog/top_banner_silver.js
-||timtube.com/traffic.js
 ||titsintops.com/intersitial/
 ||titsintops.com/rotate/
 ||tjoob.com/bgbb.jpg
@@ -53302,9 +54700,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||tube8.com/penthouse/
 ||tube8.com/sugarcrush/
 ||tube8.com^$subdocument,~third-party
-||tubecup.com/contents/content_sources/
-||tubecup.com/js/1.js
-||tubecup.org/?t_sid=
 ||tubedupe.com/footer_four.html
 ||tubedupe.com/side_two.html
 ||tubepornclassic.com^*.php?z=*&sub=$script
@@ -53326,7 +54721,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||vid2c.com/js/pp.js
 ||vid2c.com/pap.js
 ||vid2c.com/pp.js
-||videarn.com/vibrate.js
 ||videos.com^*/jsp.js
 ||videoszoofiliahd.com/wp-content/themes/vz/js/p.js
 ||vidgrab.net/adsbar.png
@@ -53337,6 +54731,7 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||vivatube.com/upload/banners/
 ||voyeurhit.com/contents/content_sources/
 ||voyeurhit.com/related/voyeurhit.php?t_sid=
+||vporn.com/VPAIDFlash.
 ||vrsmash.com^*/script.min.js
 ||vstreamcdn.com^*/ads/
 ||wank.to/partner/
@@ -53344,12 +54739,13 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||watch2porn.net/pads2.js
 ||watch8x.com/JS/rhpop_
 ||watchindianporn.net/js/pu.js
+||watchmygf.me/banner/
+||watchmygf.me/contents/content_sources/
 ||waybig.com/blog/wp-content/uploads/*?pas=$image
 ||waybig.com/js/lic14.js
 ||waybig.com/js/license.$script
 ||waybig.com/js/univ6.js
 ||weberotic.net/banners/
-||wegcash.com/click/
 ||wetplace.com/iframes/$subdocument
 ||wetplace.com/js/adpwetplace
 ||wetplace.com/wetplace_html/
@@ -53364,8 +54760,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||wikiporno.org/header21.html
 ||woodrocket.com/img/banners/
 ||worldsex.com/c/
-||wowomg.com/*.html
-||wrenchtube.com/poppt.js
 ||wunbuck.com/_odd_images/banners/
 ||wunbuck.com/iframes/aaw_leaderboard.html
 ||x.eroticity.net^
@@ -53382,7 +54776,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||xcritic.com/img/200x150_
 ||xfanz.com^*_banner_
 ||xhamster.com/ads/
-||xhamsterpremiumpass.com/premium_scenes.html
 ||xhcdn.com/js/12.js$domain=xhamster.com
 ||xhcdn.com^*/ads_
 ||xogogo.com/images/latestpt.gif
@@ -53390,30 +54783,25 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||xozilla.com/agent.php?spot=
 ||xozilla.com/js/pu.js
 ||xozilla.com/player/html.php?aid=
-||xtravids.com/pop.php
+||xpics.me/everyone.
 ||xvideohost.com/hor_banner.php
 ||xvideos-free.com/d/
 ||xxnxx.eu/index.php?xyz_lbx=
 ||xxvideo.us/ad728x15
 ||xxvideo.us/bnr.js
 ||xxvideo.us/playertext.html
-||xxxblink.com/js/pops.
-||xxxblink.com/rec/
 ||xxxfile.net^*/netload_premium.gif
 ||xxxgames.biz^*/sponsors/
 ||xxxhdd.com/contents/content_sources/
 ||xxxhdd.com/player_banners/
 ||xxxhdd.com/plugs-thumbs/
 ||xxxhost.me/xpw.gif
+||xxxjizz.net/125_125.
 ||xxxkinky.com/pap.js
-||xxxlinks.es/xvideos.js
 ||xxxporntalk.com/images/
 ||xxxxsextube.com/*.html$subdocument
 ||xxxymovies.com/js/win.js
 ||yea.xxx/img/creatives/
-||yobt.com/rec/
-||yobt.tv/js/ttu.js
-||yobt.tv/rec/
 ||youaresogay.com/*.html
 ||youjizz.com/neverblock/
 ||youngpornvideos.com/images/bangbros/
@@ -53422,8 +54810,6 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||youngpornvideos.com/images/teencash/
 ||youngpornvideos.com/images/webmasterdelightlinks/
 ||youngpornvideos.com/images/wmasterthecoolporn/
-||youporn-hub.com/lcdscript.js
-||youporn-hub.com/newlcd.js
 ||youporn.com/capedorset/
 ||youporn.com/watch_postroll/
 ||youporn.com^$script,domain=youporn.com
@@ -53445,6 +54831,12 @@ wyciwyg:$popup,domain=jkanime.net|vodloc
 ||yuvutu.com^*/banners/
 ||zazzybabes.com/misc/virtuagirl-skin.js
 ||zuzandra.info/b?
+! efukt.com
+$script,subdocument,third-party,domain=efukt.com
+@@||ajax.googleapis.com/ajax/$script,domain=efukt.com
+@@||twitter.com^$script,subdocument,domain=efukt.com
+@@||twitter.com^$subdocument,domain=efukt.com
+@@||zencdn.net^$script,domain=efukt.com
 ! camwhorestv.org
 $image,script,subdocument,third-party,webrtc,websocket,domain=camwhorestv.org
 ! 4tube.com, porntube.com, pornerbros.com, fux.com
@@ -53501,9 +54893,6 @@ $image,script,subdocument,third-party,we
 @@||jwpcdn.com^$xmlhttprequest,domain=milfzr.com
 |http://$script,third-party,xmlhttprequest,domain=milfzr.com
 |https://$script,third-party,xmlhttprequest,domain=milfzr.com
-! sexix.net
-|http://$script,third-party,xmlhttprequest,domain=sexix.net
-|https://$script,third-party,xmlhttprequest,domain=sexix.net
 ! anyporn
 @@||anyporn.com/captcha/comments/?$image
 @@||anyporn.com/player/$script
@@ -53572,6 +54961,9 @@ $image,script,subdocument,third-party,we
 |http://$script,~third-party,xmlhttprequest,domain=taxidrivermovie.com
 |https://$script,~third-party,xmlhttprequest,domain=taxidrivermovie.com
 ! xhamster.com
+@@||ahcdn.com/key=$xmlhttprequest,domain=xhamster.com
+@@||cdn*.com/hls/$xmlhttprequest,domain=xhamster.com
+@@||video.xhcdn.com/key=$xmlhttprequest,domain=xhamster.com
 @@||xhcdn.com^$script,domain=xhamster.com
 @@||xhcdn.com^*/shader/$xmlhttprequest,domain=xhamster.com
 |http://$script,third-party,xmlhttprequest,domain=xhamster.com
@@ -53584,18 +54976,6 @@ $image,script,subdocument,third-party,we
 |https://$script,third-party,xmlhttprequest,domain=hdzog.com
 ||hdzog.com/njs/$script
 ||hdzog.com^$~third-party,xmlhttprequest
-! pornxs.com
-@@||pornxs.com/ajax.php?*&$xmlhttprequest
-@@||sprites.pornxs.com^$xmlhttprequest
-|http://$xmlhttprequest,domain=pornxs.com
-|https://$xmlhttprequest,domain=pornxs.com
-! liebelib.com
-@@||ajax.googleapis.com^$script,third-party,domain=liebelib.com
-|http://$script,third-party,xmlhttprequest,domain=liebelib.com
-|https://$script,third-party,xmlhttprequest,domain=liebelib.com
-! daredteens.com
-|http://$script,third-party,xmlhttprequest,domain=daredteens.com
-|https://$script,third-party,xmlhttprequest,domain=daredteens.com
 ! amateurdumper.com
 @@||ajax.googleapis.com^$script,third-party,domain=amateurdumper.com
 |http://$script,third-party,xmlhttprequest,domain=amateurdumper.com|myxvids.com
@@ -53609,9 +54989,9 @@ $image,script,subdocument,third-party,we
 @@||trafficdeposit.com//blog/$image,domain=yourporn.sexy
 @@||trafficdeposit.com/blog/$image,domain=yourporn.sexy
 @@||yps.link/users/ava/$image,domain=yourporn.sexy
-|https://$image,script,subdocument,third-party,domain=yourporn.sexy
+|https://$image,script,subdocument,third-party,xmlhttprequest,domain=yourporn.sexy
 ! websocket ads (Adblock Plus beta)
-$websocket,domain=24video.cc|24video.in|24video.me|24video.sex|24video.xxx|pornhub.com|redtube.com|redtube.com.br|russian-porn.me|tube8.com|tube8.es|tube8.fr|xhamster.com|xtube.com|xvideos.com|youporn.com|youporngay.com
+$websocket,domain=24video.me|pornhub.com|redtube.com|redtube.com.br|tube8.com|tube8.es|tube8.fr|xhamster.com|xtube.com|xvideos.com|youporn.com|youporngay.com
 ! Vintageeroticaforum
 @@||pimpandhost.com/site/jsUploadPlugin|$script,third-party,domain=vintage-erotica-forum.com
 @@||vintage-erotica-forum.com/clientscript/ncode_imageresizer.js?$script
@@ -53660,9 +55040,8 @@ $websocket,domain=24video.cc|24video.in|
 ||fritchy.com^$image
 ! *** easylist:easylist_adult/adult_specific_block_popup.txt ***
 ^utm_medium=pops^$popup,domain=ratedporntube.com|sextuberate.com
-|http*://*?$popup,third-party,domain=avgle.com|camwhorestv.org|extremetube.com|pandaporn.net|pornflip.com|pornhub.com|redtube.com|spankwire.com|streamjav.net|theync.com|tube8.com|vidz7.com|xxxkingtube.com|youporn.com|youporngay.com
+|http*://*?$popup,third-party,domain=avgle.com|camwhorestv.org|extremetube.com|pornflip.com|pornhub.com|redtube.com|spankwire.com|streamjav.net|theync.com|tube8.com|vidz7.com|xxxkingtube.com|youporn.com|youporngay.com
 |https:$popup,third-party,domain=yourporn.sexy
-||ad.userporn.com^$popup
 ||bitchcrawler.com/?$popup
 ||delivery.porn.com^$popup
 ||delivery.porn5.com^$popup
@@ -53685,7 +55064,6 @@ $websocket,domain=24video.cc|24video.in|
 ||pop.fapxl.com^$popup
 ||pop.mrstiff.com^$popup
 ||porn101.com^$popup,domain=lexsteele.com
-||porn4free.tv^$popup,domain=redtube.cc
 ||publicagent.com/bigzpup.php$popup
 ||r18.com/*utm_source$popup
 ||rackcdn.com^$popup,domain=extremetube.com|pornhub.com|redtube.com|spankwire.com|tube8.com|youporn.com|youporngay.com
@@ -53985,7 +55363,7 @@ fxnetworks.com,isearch.avg.com###adBlock
 experts-exchange.com###adComponent
 gamemazing.com###adContainer
 about.com,paidcontent.org###adL
-all-nettools.com,apnadesi-tv.net,britsabroad.com,candlepowerforums.com,droidforums.net,filesharingtalk.com,forum.opencarry.org,hongfire.com,justskins.com,kiwibiker.co.nz,lifeinvictoria.com,lotoftalks.com,moneymakerdiscussion.com,mpgh.net,nextgenupdate.com,partyvibe.com,perthpoms.com,pomsinadelaide.com,pomsinoz.com,printroot.com,thriveforums.org,watchdesitv.com,watchuseek.com,win8heads.com###ad_global_below_navbar
+911jobforums.com,all-nettools.com,apnadesi-tv.net,britsabroad.com,candlepowerforums.com,droidforums.net,filesharingtalk.com,forum.opencarry.org,hongfire.com,justskins.com,kiwibiker.co.nz,lifeinvictoria.com,lotoftalks.com,moneymakerdiscussion.com,mpgh.net,mrexcel.com,nextgenupdate.com,partyvibe.com,perthpoms.com,pomsinadelaide.com,pomsinoz.com,printroot.com,thriveforums.org,watchdesitv.com,watchuseek.com,win8heads.com###ad_global_below_navbar
 exchangerates.org.uk###ad_hp
 im9.eu###adb
 phonezoo.com###adbb
@@ -54000,6 +55378,7 @@ neurosoftware.ro###addDiv
 atlanticfarmfocus.ca###add_bottom
 imageshack.us###add_frame
 canadianfamily.ca###add_left
+1movies.is###add_margin
 canadianfamily.ca###add_right
 chipchick.com###add_space577
 washingtonjewishweek.com###addclose
@@ -54040,6 +55419,7 @@ bom.gov.au,develop-online.net,geeky-gadg
 kickoff.com###advertisng
 gamblinginsider.com###advertorial-header
 share-links.biz###advice
+thebugle.co.za###adz
 sofeminine.co.uk###af_lmbcol_sep
 katzforums.com###aff
 zap2it.com###aff_rightbar
@@ -54057,6 +55437,7 @@ search.rr.com###afsTop
 investorplace.com###after-post-banner
 allgames.com###ag_AdBannerTop
 aol.com###ai300x250
+firesticktricks.com###ai_widget-2
 ajchomefinder.com###ajc-homefinder-leaderboard
 unknown-horizons.org###akct
 news.com.au###alert-strap
@@ -54074,6 +55455,7 @@ sportsgrid.com,thejanedough.com###am-ngg
 3dtin.com,juicefm.com,ovguide.com,pulse1.co.uk,pulse2.co.uk,signal1.co.uk,signal2.co.uk,swanseasound.co.uk,thewave.co.uk,wave965.com,wbgo.org,wbur.org,wirefm.com,wishfm.net###amazon
 imdb.com###amazon-affiliates
 itworld.com###amazon-bottom-widget
+systemrequirementslab.com###amazon-skin-links
 pri.org###amazonBox180
 streamguys.com###amazonButton
 gamenguide.com,itechpost.com,parentherald.com###amazon_related_products
@@ -54129,7 +55511,6 @@ collegecandy.com,gamepedia.com###atflb
 coed.com,collegecandy.com###atfmrec
 hackthissite.org###atimg
 webmd.com###attribution_rdr
-eurogamer.net###auto-amazon-link
 topgear.com###autotrader-section
 pogo.com###avertising
 anchorfree.us###b160x600
@@ -54146,6 +55527,7 @@ blinkbox.com###b_ad_zc
 blinkbox.com###b_ee_de
 blinkbox.com###b_jd_id
 huhmagazine.co.uk###back
+gayvegas.com###background
 mmoculture.com###background-link
 wallpapersmania.com###backgroundPopup
 show-links.tv,watchfreemovies.ch###ball
@@ -54220,7 +55602,6 @@ securenetsystems.net###bannerM
 zam.com###bannerMain
 pocketgamer.co.uk###bannerRight
 metric-conversions.org###bannerSpace
-reuters.com###bannerStrip
 codecs.com,free-codecs.com,ieee.org,ninemsn.com.au,reference.com###bannerTop
 sky.com###bannerTopBar
 search.snap.do###bannerWrapper
@@ -54327,7 +55708,7 @@ runnerspace.com###bgtakeover
 spacecast.com,treehousetv.com###bigBox
 canoe.ca,winnipegfreepress.com,worldweb.com###bigbox
 bentoneveningnews.com,dailyherald.com,dailyregister.com,dailyrepublicannews.com,duquoin.com,randolphcountyheraldtribune.com###billBoardATF
-about.com,cityam.com,cricketnetwork.co.uk,cumberlandnews.co.uk,cumbrialive.co.uk,eladvertiser.co.uk,f1network.net,hexhamcourant.co.uk,in-cumbria.com,mg.co.za,mgafrica.com,newsandstar.co.uk,nwemail.co.uk,rugbynetwork.net,thefootballnetwork.net,timesandstar.co.uk,whitehavennews.co.uk###billboard
+about.com,cityam.com,cricketnetwork.co.uk,cumberlandnews.co.uk,cumbrialive.co.uk,eladvertiser.co.uk,f1network.net,hexhamcourant.co.uk,howtogermany.com,in-cumbria.com,mg.co.za,mgafrica.com,newsandstar.co.uk,nwemail.co.uk,rugbynetwork.net,thefootballnetwork.net,timesandstar.co.uk,whitehavennews.co.uk###billboard
 about.com###billboard2
 theblaze.com###billboard_970x250
 inquirer.net###billboard_article
@@ -54389,7 +55770,7 @@ drivesouth.co.nz,motherjones.com###block
 carnalnation.com###block-block-5
 abduzeedo.com,freesoftwaremagazine.com,zerohedge.com###block-block-51
 adsoftheworld.com,newtimes.co.rw###block-block-52
-pajhwok.com,popsci.com###block-block-53
+ancient-origins.net,pajhwok.com,popsci.com###block-block-53
 newtimes.co.rw###block-block-54
 newtimes.co.rw###block-block-55
 namibiansun.com,newsx.com###block-block-58
@@ -54473,7 +55854,6 @@ carolinajournal.com###book-abs
 priceonomics.com###book-island
 techotopia.com###bookcover
 linuxtopia.org,techotopia.com###bookcover_sky
-eurogamer.net###boom-box
 libraryjournal.com###boomBox
 local.co.uk###borderTab
 snapfiles.com###borderbar
@@ -54483,7 +55863,7 @@ trutv.com###botleadad
 phonescoop.com###botlink
 forums.vr-zone.com,hplusmagazine.com,j.gs,q.gs,usniff.com###bottom
 jillianmichaels.com###bottom-300
-dancehallreggae.com,investorplace.com,kiz10.com,lyrics19.com,radionomy.com###bottom-banner
+cheese.com,dancehallreggae.com,investorplace.com,kiz10.com,lyrics19.com,radionomy.com###bottom-banner
 thurrott.com###bottom-interstitial
 news.cnet.com###bottom-leader
 ohio.com###bottom-leader-position
@@ -54627,7 +56007,7 @@ finance.ninemsn.com.au###cat_hl_7821719
 msn.co.nz###cat_hl_87409
 filecore.co.nz,hbwm.com###catfish
 justinhartman.com###catlinks
-africanreporter.co.za,albertonrecord.co.za,alexnews.co.za,barbertontimes.co.za,bedfordviewedenvalenews.co.za,benonicitytimes.co.za,bereamail.co.za,boksburgadvertiser.co.za,brakpanherald.co.za,capricornreview.co.za,citybuzz.co.za,comarochronicle.co.za,corridorgazette.co.za,estcourtnews.co.za,eyethunews.co.za,fourwaysreview.co.za,germistoncitynews.co.za,hazyviewherald.co.za,heidelbergnigelheraut.co.za,highvelder.co.za,highwaymail.co.za,joburgeastexpress.co.za,kathorusmail.co.za,kemptonexpress.co.za,kormorant.co.za,krugersdorpnews.co.za,ladysmithgazette.co.za,letabaherald.co.za,lowvelder.co.za,maritzburgsun.co.za,midrandreporter.co.za,newcastleadvertiser.co.za,northcliffmelvilletimes.co.za,northcoastcourier.co.za,northeasterntribune.co.za,northernnatalcourier.co.za,northglennews.co.za,phoenixsun.co.za,publiceyemaritzburg.co.za,randburgsun.co.za,randfonteinherald.co.za,rekordcenturion.co.za,rekordeast.co.za,rekordmoot.co.za,rekordnorth.co.za,reviewonline.co.za,risingsunchatsworth.co.za,risingsunlenasia.co.za,risingsunoverport.co.za,roodepoortnorthsider.co.za,roodepoortrecord.co.za,rosebankkillarneygazette.co.za,sandtonchronicle.co.za,southcoastherald.co.za,southcoastsun.co.za,southlandssun.co.za,sowetourban.co.za,springsadvertiser.co.za,tembisan.co.za,vryheidherald.co.za,westside-eldos.co.za,zululandobserver.co.za###caxton-features-main-wrapper
+africanreporter.co.za,albertonrecord.co.za,alexnews.co.za,barbertontimes.co.za,bedfordviewedenvalenews.co.za,benonicitytimes.co.za,bereamail.co.za,boksburgadvertiser.co.za,brakpanherald.co.za,capricornreview.co.za,carletonvilleherald.com,citybuzz.co.za,comarochronicle.co.za,corridorgazette.co.za,estcourtnews.co.za,eyethunews.co.za,fourwaysreview.co.za,germistoncitynews.co.za,hazyviewherald.co.za,heidelbergnigelheraut.co.za,highvelder.co.za,highwaymail.co.za,joburgeastexpress.co.za,kathorusmail.co.za,kemptonexpress.co.za,kormorant.co.za,krugersdorpnews.co.za,ladysmithgazette.co.za,letabaherald.co.za,lowvelder.co.za,maritzburgsun.co.za,midrandreporter.co.za,newcastleadvertiser.co.za,northcliffmelvilletimes.co.za,northcoastcourier.co.za,northeasterntribune.co.za,northernnatalcourier.co.za,northglennews.co.za,parysgazette.co.za,phoenixsun.co.za,potchefstroomherald.co.za,publiceyemaritzburg.co.za,randburgsun.co.za,randfonteinherald.co.za,rekordcenturion.co.za,rekordeast.co.za,rekordmoot.co.za,rekordnorth.co.za,reviewonline.co.za,risingsunchatsworth.co.za,risingsunlenasia.co.za,risingsunoverport.co.za,roodepoortnorthsider.co.za,roodepoortrecord.co.za,rosebankkillarneygazette.co.za,sandtonchronicle.co.za,sedibengster.com,southcoastherald.co.za,southcoastsun.co.za,southlandssun.co.za,sowetourban.co.za,springsadvertiser.co.za,tembisan.co.za,vaalweekblad.com,vryheidherald.co.za,westside-eldos.co.za,zululandobserver.co.za###caxton-features-main-wrapper
 fresnobee.com###cb-topjobs
 bnd.com###cb_widget
 cbc.ca###cbc-bottom-logo
@@ -54636,6 +56016,7 @@ cbsnews.com###cbsiAd16_100
 cbssports.com###cbsiad16_100
 cbssports.com###cbsiad18_100
 cricbuzz.com###cbz-leaderboard-banner
+leagueofgraphs.com###cdm-zone-01
 break.com###cdpSliver
 metrolyrics.com###cee_box
 metrolyrics.com###cee_overlay
@@ -54650,6 +56031,7 @@ macdailynews.com###cfsnip-widget-93
 roomzaar.com###cgp-bb-tag
 marketingpilgrim.com###channel-sponsors
 realage.com###channel_sponsor_callout
+ndtv.com###checked
 chicagoshopping.com###chshhead_ad
 espncricinfo.com###ciHomeLeaderboard
 cineplex.com###cineplex-h-topAds
@@ -54760,7 +56142,7 @@ rightdiagnosis.com,wrongdiagnosis.com###
 rightdiagnosis.com,wrongdiagnosis.com###cradrsky2
 firsttoknow.com###criteo-container
 careerbuilder.com###csjstool_bottomleft
-mustangevolution.com###cta
+englishgrammar.org,mustangevolution.com###cta
 cargames1.com###ctgad
 thesudburystar.com###ctl00_ContentPlaceHolder1_BigBoxArea2
 blogtv.com###ctl00_ContentPlaceHolder1_topBannerDiv
@@ -54783,7 +56165,9 @@ ctmirror.org###ctmirror-sponsors-2
 way2sms.com###curtain2
 thechive.com###custom-bg-link
 movies.yahoo.com###customModule
+pocketnow.com###custom_html-13
 pocketnow.com###custom_html-14
+pocketnow.com###custom_html-15
 daytondailynews.com###cxSubHeader
 scout.com###da160x600
 scout.com###da300x250
@@ -54917,6 +56301,8 @@ cardomain.com###ebay_listings_wrapper
 ehow.com###ebooks_container
 infoworld.com###edit-promo
 infoworld.com###edit-promo-container
+businessinsider.com###editorial
+businessinsider.com###editorial2
 nme.com###editorial_sky
 merriam-webster.com###editors-picks-promo
 inquirer.net###elb-as
@@ -54926,6 +56312,7 @@ destructoid.com,japanator.com###emc_head
 energyforecastonline.co.za###endorsers
 prisonplanet.com###enerfood-banner
 tcrtroycommunityradio.com###enhancedtextwidget-2
+my.juno.com###entertainmentTile
 gossipcenter.com###entertainment_skin
 eweek.com###eoe-sl
 anilinkz.com###epads1
@@ -55127,6 +56514,7 @@ telegraph.co.uk###gafsslot1
 telegraph.co.uk###gafsslot2
 bustedcoverage.com,collegecandy.com###galad300
 hot995.com###gallery_adbg
+systemrequirementslab.com###game-booster
 teagames.com###gameinfobanner
 armorgames.com###gameleaderboard
 kongregate.com###gamespotlight
@@ -55315,7 +56703,6 @@ bitenova.nl,bitenova.org###header_un
 chocablog.com,commenthaven.com,hwhills.com,movieentertainment.ca,nikktech.com,smallscreenscoop.com,thisisnotporn.net###headerbanner
 hongkiat.com###headerbanner01
 nationalgeographic.com,scienceblogs.com###headerboard
-vg247.com###headline-mpu-slot
 technotification.com###headlineatas
 allakhazam.com###hearthhead-mini-feature
 grist.org###hellobar-pusher
@@ -55347,6 +56734,7 @@ dailydomainer.com###home-insert-1
 dailysurge.com###home-main > div > div > [class]:last-child
 dailysurge.com###home-main > span > div + div:last-child
 homeportfolio.com###home-rec
+transfermarkt.com###home-rectangle-spotlight
 abcya.com###home-skyscraper
 gaana.com###home-top-add
 homeportfolio.com###home-tower
@@ -55383,6 +56771,7 @@ cioupdate.com###houseRibbonContainer
 mp4upload.com###hover
 rottentomatoes.com###hover-bubble
 itproportal.com###hp-accordion
+taskandpurpose.com###hp-jobs-widget-wrapper
 active.com###hp-map-ad
 worldweatheronline.com###hp_300x600
 eweek.com###hp_hot_stories
@@ -55422,6 +56811,7 @@ unitconversion.org###ileft
 zigzag.co.za###imageLeft
 zigzag.co.za###imageRight
 sharksrugby.co.za###imgTitleSponsor
+mydorpie.com###imgbcont
 good-deals.lu,luxweb.lu,new-magazine.co.uk,soshiok.com,star-magazine.co.uk###imu
 stjobs.sg###imu-big
 stjobs.sg###imu-small2
@@ -55513,6 +56903,7 @@ nowtoronto.com###jrBanners
 cnn.com###js-OB_feed
 twitch.tv###js-esl300
 cnn.com###js-outbrain-recommended
+newsbomb.gr###json-textlinks
 rentals.com###ka_300x250_1
 rentals.com###ka_468x60_1
 rentals.com###ka_728x90_1
@@ -55558,7 +56949,7 @@ mashable.com###lead-banner
 armedforcesjournal.com###leadWrap
 imperfectparent.com###leada
 tripit.com###leadboard
-gamesindustry.biz,iphonic.tv,kontraband.com,motherproof.com,nutritioncuisine.com,sansabanews.com,thestreet.com,topgear.com,venturebeat.com,vg247.com###leader
+gamesindustry.biz,iphonic.tv,kontraband.com,motherproof.com,nutritioncuisine.com,sansabanews.com,thestreet.com,topgear.com,venturebeat.com###leader
 enjore.com###leader-banner
 cointelegraph.com###leader-board
 groovekorea.com###leader-board-section
@@ -55581,7 +56972,7 @@ icanhascheezburger.com,memebase.com,thed
 tvguide.com###leader_plus_top
 tvguide.com###leader_top
 247wallst.com###leaderbar
-about.com,animeseason.com,ariacharts.com.au,ask.fm,boomerangtv.co.uk,businessandleadership.com,capitalxtra.com,cc.com,charlotteobserver.com,classicfm.com,crackmixtapes.com,cubeecraft.com,cultofmac.com,cyberciti.biz,datpiff.com,educationworld.com,electronista.com,espn980.com,eurogamer.net,extremetech.com,food24.com,football.co.uk,gardensillustrated.com,gazette.com,gtainside.com,hiphopearly.com,historyextra.com,houselogic.com,ibtimes.co.in,ibtimes.co.uk,iclarified.com,icreatemagazine.com,instyle.co.uk,jaxdailyrecord.com,jillianmichaels.com,king-mag.com,lasplash.com,lawnewz.com,look.co.uk,lrb.co.uk,macnn.com,motortopia.com,newcartestdrive.com,nfib.com,okmagazine.com,onthesnow.ca,onthesnow.co.nz,onthesnow.co.uk,onthesnow.com,onthesnow.com.au,penny-arcade.com,pets4homes.co.uk,publishersweekly.com,radiox.co.uk,realliving.com.ph,realmoney.thestreet.com,reason.com,revolvermag.com,rollcall.com,salary.com,sciencedirect.com,sciencefocus.com,skysports.com,smbc-comics.com,smoothradio.com,spin.ph,standard.co.uk,talonmarks.com,thatgrapejuice.net,thechronicleherald.ca,thehollywoodgossip.com,theserverside.com,toofab.com,topcultured.com,tvguide.co.uk,uncut.co.uk,wheels24.co.za,whitepages.ae,windsorstar.com,winsupersite.com,wired.com###leaderboard
+about.com,animeseason.com,ariacharts.com.au,ask.fm,boomerangtv.co.uk,businessandleadership.com,capitalxtra.com,cc.com,charlotteobserver.com,classicfm.com,crackmixtapes.com,cubeecraft.com,cultofmac.com,cyberciti.biz,datpiff.com,educationworld.com,electronista.com,espn980.com,extremetech.com,food24.com,football.co.uk,gardensillustrated.com,gazette.com,gtainside.com,hiphopearly.com,historyextra.com,houselogic.com,ibtimes.co.in,ibtimes.co.uk,iclarified.com,icreatemagazine.com,instyle.co.uk,jaxdailyrecord.com,jillianmichaels.com,king-mag.com,lasplash.com,lawnewz.com,look.co.uk,lrb.co.uk,macnn.com,motortopia.com,mtvema.com,newcartestdrive.com,nfib.com,okmagazine.com,onthesnow.ca,onthesnow.co.nz,onthesnow.co.uk,onthesnow.com,onthesnow.com.au,penny-arcade.com,pets4homes.co.uk,publishersweekly.com,radiox.co.uk,realliving.com.ph,realmoney.thestreet.com,reason.com,revolvermag.com,rollcall.com,salary.com,sciencedirect.com,sciencefocus.com,skysports.com,smbc-comics.com,smoothradio.com,spin.ph,standard.co.uk,stuff.tv,talonmarks.com,thatgrapejuice.net,thechronicleherald.ca,thehollywoodgossip.com,theserverside.com,toofab.com,topcultured.com,tvguide.co.uk,uncut.co.uk,wheels24.co.za,whitepages.ae,windsorstar.com,winsupersite.com,wired.com###leaderboard
 chicagomag.com###leaderboard-1-outer
 boweryboogie.com,safm.com.au###leaderboard-2
 usnews.com###leaderboard-a
@@ -55709,7 +57100,6 @@ runnow.eu,sunderlandvibe.com###logos
 arenafootball.com###logos-wrap
 usnews.com###loomia_display
 herold.at###loveat
-eurogamer.net###low-leaderboard
 byutvsports.com###lower-poster
 proudfm.com###lower_leaderboard
 hinduwebsite.com###lowergad
@@ -55754,7 +57144,6 @@ pureoverclock.com###mainbanner
 holidayscentral.com###mainleaderboard
 modhoster.com###manufactors
 bazoocam.org###mapub
-reuters.com###marchex
 macdrifter.com###marked-widget
 eatingwell.com###marketFeaturedSponsors
 arkansasonline.com###marketPlace
@@ -55793,6 +57182,9 @@ active.com###med_rec_bottom
 active.com###med_rec_top
 lancasteronline.com###med_rect
 virtualpets.com###media-banner
+bitguru.co.uk###media_image-10
+turtleboysports.com###media_image-86
+turtleboysports.com###media_image-97
 ostatic.com###media_partner_gallery
 finance.yahoo.com###mediabankrate_container
 cnn.com###medianet
@@ -55851,8 +57243,6 @@ mnn.com###mnn-sponsor-rail
 medicalnewstoday.com###mnt_article_ad_3
 medicalnewstoday.com###mnt_sidebar_ad_2
 dllme.com###mobile-insert
-eurogamer.net###mobile-leaderboard
-eurogamer.net###mobile-mpu
 bit-tech.net###mobile-phones-co-uk-120
 pcpro.co.uk###mobile_app_developers
 longreads.com###mobile_banner
@@ -55957,6 +57347,7 @@ truelocal.com.au###ndmadkit-memrec-1
 netcraft.com###netcraft-links-bottom
 moviefone.com###netflix-promo
 sandiegozoo.org###newhomesponosrs
+my.juno.com###newsCarousel
 askmen.com###news_popup
 abovetopsecret.com###newsmax1
 abovetopsecret.com###newsmax2
@@ -56021,6 +57412,7 @@ ikeahackers.net###omc-sidebar .responsiv
 cleantechnica.com,watch-anime.net###omc-top-banner
 wbaltv.com,wesh.com,wmur.com###omega
 omg.yahoo.com###omg-lrec
+onlinemschool.com###oms_left
 azcentral.com###on-deals
 radiotimes.com###on-demand
 eweek.com###oneAssetIFrame
@@ -56301,7 +57693,6 @@ akihabaranews.com###recSidebar
 deliciousdays.com###recipeshelf
 wambie.com###recomendar_728
 dailydot.com###recommendation-engine
-vg247.com###recommendations
 tucows.com###recommended_hdg
 doodle.com###rect
 pixdaus.com###rectBanner
@@ -56345,6 +57736,7 @@ ninemsn.com.au###rhc_mrec
 imdb.com###rhs-sl
 imdb.com###rhs_cornerstone_wrapper
 pcworld.idg.com.au###rhs_resource_promo
+ndtv.com###rhs_widget_container_id
 10minutemail.net,eel.surf7.net.my,macdailynews.com,ocia.net###right
 ninemsn.com.au###right > .bdr > #ysm
 123chase.com###right-adv-one
@@ -56383,7 +57775,6 @@ hardwareheaven.com###right_skin_panel_di
 hardware.info###right_top
 theblaze.com###right_top_160x600
 mumbaimirror.com###rightarea
-vg247.com###rightbar > #halfpage
 urlcash.net###rightbox
 capetownetc.com,compleatgolfer.com,sacricketmag.com,sarugbymag.co.za###rightclick
 portable64.com###rightcol
@@ -56456,6 +57847,7 @@ codefuture.co.uk###sb_left
 hwhills.com###sb_left_tower
 appleinsider.com###sbr-priceguide
 scholastic.com###schlSkyscraper
+my.juno.com###scienceTile
 cartoonnetwork.com###scraper
 alloy.com###screen_scene_module
 newsbusters.org###screenoverlay
@@ -56512,6 +57904,7 @@ cnet.com.au###shopping-339279174
 indianexpress.com###shopping_deals
 qj.net###shoppingapi
 bellasugar.com,tressugar.com###shopstyle-sidebar-container
+ndtv.com###shotonsamsungwidget
 10minutemail.com###shoutouts
 ytv.com###show-big-box
 tunegenie.com###showad
@@ -56634,8 +58027,9 @@ expertreviews.co.uk###skyScrapper2
 nickydigital.com###sky_scrapper
 ps3hax.net###sky_top
 webopedia.com###skypartnerset
+euronews.com###skyscanner-white-label
 ebay.co.uk,ebay.com,ebay.com.au###skyscrape
-975countrykhcm.com,boomerangtv.co.uk,broadcastingcable.com,bustedcoverage.com,camchat.org,consumerist.com,eurogamer.net,family.ca,ghanaweb.com,hypable.com,king-mag.com,law.com,macuser.co.uk,menshealth.com,metrotimes.com,mp3tag.de,newsdaily.com,nme.com,pcworld.com,politics.co.uk,poponthepop.com,sportfishingbc.com,thehollywoodgossip.com,thesmokinggun.com,tmz.com,topgear.com,torontosun.com,tvfanatic.com,ucomparehealthcare.com,uncut.co.uk,victoriaadvocate.com,zerochan.net###skyscraper
+975countrykhcm.com,boomerangtv.co.uk,broadcastingcable.com,bustedcoverage.com,camchat.org,consumerist.com,family.ca,ghanaweb.com,hypable.com,king-mag.com,law.com,macuser.co.uk,menshealth.com,metrotimes.com,mp3tag.de,newsdaily.com,nme.com,pcworld.com,politics.co.uk,poponthepop.com,sportfishingbc.com,thehollywoodgossip.com,thesmokinggun.com,tmz.com,topgear.com,torontosun.com,tvfanatic.com,ucomparehealthcare.com,uncut.co.uk,victoriaadvocate.com,zerochan.net###skyscraper
 4teachers.org###skyscraper-container
 s1jobs.com###skyscraper-target
 icanhascheezburger.com,ifans.com###skyscraper1
@@ -56700,6 +58094,7 @@ stv.tv###sp-mpu-container
 aol.com###spA
 amazon.ca,amazon.co.uk,amazon.com,amazon.com.au###sp_detail
 thedailygreen.com###sp_footer
+sharespark.net###sp_header
 collegefashion.net###spawnsers
 torontolife.com###special-messages
 geeksaresexy.net###special-offers
@@ -56762,6 +58157,7 @@ lmgtfy.com###sponsor_wrapper
 7search.com,filenewz.com,general-fil.es,general-files.com,generalfil.es,independent.ie,internetretailer.com,ixquick.co.uk,ixquick.com,nickjr.com,rewind949.com,slickdeals.net,startpage.com,webhostingtalk.com,yahoo.com###sponsored
 theweathernetwork.com###sponsored-by
 webhostingtalk.com###sponsored-clear
+pjmedia.com###sponsored-content-id
 hardwarezone.com.sg###sponsored-links-alt
 chacha.com###sponsored-question
 foxnews.com###sponsored-stories
@@ -56769,7 +58165,7 @@ lastminute.com###sponsoredFeature
 lastminute.com###sponsoredFeatureModule
 theblaze.com###sponsored_stories
 smashingmagazine.com###sponsorlisttarget
-abalive.com,abestweb.com,autotrader.com.au,barnsleyfc.co.uk,bbb.org,bcfc.com,blackpoolfc.co.uk,boattrader.com.au,burnleyfootballclub.com,bwfc.co.uk,cafc.co.uk,cardiffcityfc.co.uk,christianity.com,cpfc.co.uk,dakar.com,dcfc.co.uk,digitalmusicnews.com,etftrends.com,fastseduction.com,football-league.co.uk,geekwire.com,gerweck.net,goseattleu.com,hullcitytigers.com,iconfinder.com,itfc.co.uk,justauto.com.au,kiswrockgirls.com,landreport.com,law.com,lcfc.com,manutd.com,myam1230.com,noupe.com,paidcontent.org,pba.com,pcmag.com,petri.co.il,pingdom.com,psl.co.za,race-dezert.com,rovers.co.uk,sjsuspartans.com,soompi.com,sponsorselect.com,star883.org,tapemastersinc.net,techmeme.com,trendafrica.co.za,waronyou.com,whenitdrops.com###sponsors
+abalive.com,abestweb.com,autotrader.com.au,barnsleyfc.co.uk,bbb.org,bcfc.com,blackpoolfc.co.uk,boattrader.com.au,burnleyfootballclub.com,bwfc.co.uk,cafc.co.uk,cardiffcityfc.co.uk,christianity.com,cpfc.co.uk,dakar.com,dcfc.co.uk,digitalmusicnews.com,etftrends.com,fastseduction.com,football-league.co.uk,geekwire.com,gerweck.net,goseattleu.com,hullcitytigers.com,iconfinder.com,itfc.co.uk,justauto.com.au,kiswrockgirls.com,landreport.com,law.com,lcfc.com,manutd.com,myam1230.com,nesn.com,noupe.com,paidcontent.org,pba.com,pcmag.com,petri.co.il,pingdom.com,psl.co.za,race-dezert.com,rovers.co.uk,sjsuspartans.com,soompi.com,sponsorselect.com,star883.org,tapemastersinc.net,techmeme.com,trendafrica.co.za,waronyou.com,whenitdrops.com###sponsors
 newarkrbp.org###sponsors-container-outer
 sanjose.com###sponsors-module
 und.com###sponsors-story-wrap
@@ -56781,13 +58177,15 @@ feedly.com###sponsorsModule_part
 clubwebsite.co.uk###sponsors_bottom
 ourworldofenergy.com###sponsors_container
 wrc.com###sponsorsbtm
-ibtimes.com,npr.org,pbs.org###sponsorship
+ibtimes.com,npr.org,opb.org,pbs.org###sponsorship
 backstage.com###sponsorsmod
 compareraja.in###spopup
 cnet.com###spotBidHeader
 cnet.com###spotbid
 memory-alpha.org###spotlight_footer
 justdubs.tv###spots
+lawctopus.com###spu-145865
+lawctopus.com###spu-bg-145865
 qj.net###sqspan
 zam.com###square-box
 allakhazam.com###square-box:first-child
@@ -56833,7 +58231,6 @@ dallasvoice.com,dealerscope.com,gamegrep
 ebaumsworld.com###subheader_atf_wrapper
 foodandwine.com###subscModule
 macworld.com,pcworld.com###subscribeForm
-vg247.com###subuffer
 streams.tv###sunGarden
 hollywire.com###super-header
 chicagomag.com###super-leaderboard-wrapper
@@ -56900,11 +58297,11 @@ geeky-gadgets.com###text-105335641
 nag.co.za###text-10551
 newsfirst.lk###text-106
 thisisf1.com###text-108
-couponistaqueen.com,dispatchlive.co.za,ncr1037.co.za###text-11
+couponistaqueen.com,dispatchlive.co.za,ncr1037.co.za,skools.co.za###text-11
 newsday.co.zw###text-115
 cathnews.co.nz,gizchina.com,myx.tv,omgubuntu.co.uk###text-12
 cleantechnica.com###text-121
-airlinereporter.com,myx.tv,omgubuntu.co.uk,radiosurvivor.com,wphostingdiscount.com###text-13
+airlinereporter.com,myx.tv,omgubuntu.co.uk,radiosurvivor.com,skools.co.za,wphostingdiscount.com###text-13
 dispatchlive.co.za,krebsonsecurity.com,myx.tv,omgubuntu.co.uk,planetinsane.com###text-14
 newagebd.net###text-15
 razorianfly.com###text-155
@@ -56912,7 +58309,7 @@ gizchina.com,thesurvivalistblog.net###te
 belfastmediagroup.com,englishrussia.com,pocketnow.com,simpleprogrammer.com,thechive.com,weekender.com.sg###text-17
 netchunks.com,planetinsane.com,radiosurvivor.com,sitetrail.com,thechive.com###text-18
 collective-evolution.com,pocketnow.com,popbytes.com,thechive.com###text-19
-icinema3satu.in,ncr1037.co.za,newagebd.net,smitedatamining.com###text-2
+grammarcheck.net,icinema3satu.in,ncr1037.co.za,newagebd.net,skools.co.za,smitedatamining.com###text-2
 gizchina.com###text-20
 businessdayonline.com,financialsurvivalnetwork.com,footballroar.com###text-21
 airlinereporter.com,gizchina.com,omgubuntu.co.uk,queenstribune.com###text-22
@@ -56924,7 +58321,7 @@ netchunks.com###text-25
 2smsupernetwork.com,pzfeed.com,queenstribune.com###text-26
 2smsupernetwork.com,beijingtoday.com.cn,nationwideradiojm.com,sonyalpharumors.com###text-28
 beijingcream.com,beijingtoday.com.cn###text-29
-2smsupernetwork.com,airlinereporter.com,buddyhead.com,icinema3satu.in,mbworld.org,mental-health-matters.com,smitedatamining.com,zambiareports.com###text-3
+2smsupernetwork.com,airlinereporter.com,buddyhead.com,icinema3satu.in,mbworld.org,mental-health-matters.com,skools.co.za,smitedatamining.com,zambiareports.com###text-3
 herald.co.zw###text-30
 sonyalpharumors.com###text-31
 techhamlet.com###text-32
@@ -56932,7 +58329,7 @@ couponistaqueen.com,pzfeed.com###text-35
 nationwideradiojm.com###text-37
 couponistaqueen.com###text-38
 pzfeed.com###text-39
-budapesttimes.hu,buddyhead.com,dieselcaronline.co.uk,kazifm.org,knowelty.com,mental-health-matters.com,myonlinesecurity.co.uk,myx.tv,sportsillustrated.co.za,theairportnews.com,thewhir.com,vgleaks.com###text-4
+budapesttimes.hu,buddyhead.com,dieselcaronline.co.uk,hdhub4u.club,kazifm.org,knowelty.com,mental-health-matters.com,myonlinesecurity.co.uk,myx.tv,sportsillustrated.co.za,theairportnews.com,thewhir.com,vgleaks.com###text-4
 couponistaqueen.com###text-40
 enpundit.com###text-41
 pluggd.in###text-416180296
@@ -56957,6 +58354,7 @@ grammarist.com,quickonlinetips.com###tex
 nag.co.za###text-60
 amren.com,buddyhead.com,defsounds.com,knowelty.com,prosnookerblog.com,technomag.co.zw###text-7
 consortiumnews.com,couponistaqueen.com,localvictory.com,michiganmessenger.com,ncr1037.co.za,newsday.co.zw,technomag.co.zw,vgleaks.com###text-8
+vanguardngr.com###text-87
 africaports.co.za,cnx-software.com,mynokiablog.com###text-9
 androidauthority.com###text-92
 torontolife.com###text-links
@@ -56994,11 +58392,11 @@ omgubuntu.co.uk###to-top
 chattanooganow.com###toDoWrap
 rssing.com###toi
 toonix.com###toonix-adleaderboard
-iconeye.com,phonescoop.com,politics.co.uk,reference.com,thesaurus.com,topcultured.com,tvnz.co.nz###top
+accuweather.com,iconeye.com,phonescoop.com,politics.co.uk,reference.com,thesaurus.com,topcultured.com,tvnz.co.nz###top
 jillianmichaels.com,synonym.com###top-300
 xxlmag.com###top-728x90
 freemake.com###top-advertising
-chip.eu,corkindependent.com,dancehallreggae.com,ebuddy.com,foodlovers.co.nz,foodnetwork.ca,galwayindependent.com,honesttopaws.com,infrastructurene.ws,inthenews.co.uk,investorplace.com,itweb.co.za,lyrics19.com,maclife.com,maximumpc.com,politics.co.uk,scoop.co.nz,skift.com,techi.com,thedailymash.co.uk,thedailywtf.com,thespiritsbusiness.com,timesofisrael.com,washingtonexaminer.com###top-banner
+cheese.com,chip.eu,corkindependent.com,dancehallreggae.com,ebuddy.com,foodlovers.co.nz,foodnetwork.ca,galwayindependent.com,honesttopaws.com,infrastructurene.ws,inthenews.co.uk,investorplace.com,itweb.co.za,lyrics19.com,maclife.com,maximumpc.com,politics.co.uk,scoop.co.nz,skift.com,techi.com,thedailymash.co.uk,thedailywtf.com,thespiritsbusiness.com,timesofisrael.com,washingtonexaminer.com###top-banner
 scoop.co.nz###top-banner-base
 theberrics.com###top-banner-container
 krebsonsecurity.com###top-banner-image
@@ -57183,6 +58581,7 @@ carionltd.com###upmapads
 byutvsports.com###upper-poster
 comingsoon.net###upperPub
 minecraftforum.net###upsell-banner
+my.juno.com###usWorldTile
 usanetwork.com###usa_desktop
 downloadhelper.net###useful-tools
 torrentpond.com###usenet-container
@@ -57221,6 +58620,8 @@ news24.com###vitabox-widget
 animeflv.net,tubeplus.me###vlc
 laweekly.com,miaminewtimes.com###vmgInterstitial
 vidup.me###vplayer_offers
+systemrequirementslab.com###vpnText
+1movies.is###vpn_inform_block
 eatingwell.com###vs4-tags
 nickjr.com###vsw-container-wrapper
 nickjr.com###vsw-medium-outter
@@ -57276,6 +58677,7 @@ linguee.com###wide_banner_right
 inquirer.net###widesky
 coupons.com###widesky-banner
 fitnesshe.co.za,fitnessmag.co.za###wideskyscraper
+pakobserver.net###widget-area-before-content
 gigaom.com###widget-area-footer-post-2
 howwemadeitinafrica.com###widget-r
 inhabitat.com###widget-sam-130410-small
@@ -57292,6 +58694,7 @@ staugustine.com###wl-wrapper-leaderboard
 staugustine.com###wl-wrapper-tier-4
 pr0gramm.com###wm
 wallpapersmania.com###wm_cpa
+modworkshop.net###workshop-nitro-middle
 rediff.com###world_right1
 rediff.com###world_top
 fansfc.com###worldcupspl_container_left
@@ -57413,6 +58816,7 @@ natgeotv.com##.BannerTop
 truck1.eu##.Banners
 stockopedia.co.uk##.BigSquare
 juxtapoz.com##.Billboard
+charismanews.com##.BnrWrap728y90
 mustakbil.com##.Bottom728x90BannerHolder
 hot1045.net##.BottomBannerTD
 dailytech.com##.BottomMarquee
@@ -57445,6 +58849,7 @@ yahoo.com##.Feedback
 diet.com##.Fine
 similarsites.com,topsite.com##.FooterBanner
 969therock.com,993thevibe.com,wfls.com##.Footer_A_Column
+charismanews.com##.FpFeaturedBoxWrap
 artistdaily.com##.FreemiumContent
 popmatters.com##.FrontPageBottom728
 google.co.uk##.GBTLFYRDM0
@@ -57528,6 +58933,7 @@ algoafm.co.za##.RightBanner2
 algoafm.co.za##.RightBanner3
 algoafm.co.za##.RightBanner4
 camfuze.com##.RightBannerSpot
+charismanews.com##.RightBnrWrap
 b105.com##.RotatingPromo_300x80
 ebay.co.uk,ebay.com.au##.RtmStyle
 aolsearch.com,search.aol.ca,search.aol.co.uk,search.aol.com,search.aol.in,wow.com##.SLL
@@ -57587,7 +58993,9 @@ lawyersweekly.com.au##.a-center
 anime1.com,drama.net##.a-content
 eplsite.com,qaafa.com,sh.st##.a-el
 amazon.com##.a-link-normal[href*="&adId="]
+medicaldialogues.in##.a-single
 krebsonsecurity.com##.a-statement
+breitbart.com##.a-wrapper
 daijiworld.com##.a2
 knowyourmeme.com##.a250x250
 cnet.com##.a2[style="padding-top: 20px;"]
@@ -57620,6 +59028,7 @@ tribalfootball.com##.above-footer-wrappe
 likwidgames.com##.aboveSiteBanner
 ctrl.blog##.abox
 filedir.com##.abox300
+roblox.com##.abp
 ooyyo.com##.abs-result-holder
 slickdeals.net##.abu
 whirlpool.net.au##.abvertibing_block
@@ -57627,12 +59036,13 @@ dailyrecord.co.uk##.ac-vehicle-search
 au.news.yahoo.com##.acc-moneyhound
 goseattleu.com##.accipiter
 consequenceofsound.net##.acm-module-300-250
-1047.com.au,11alive.com,12news.com,12newsnow.com,13newsnow.com,13wmaz.com,17track.net,2dayfm.com.au,2gofm.com.au,2mcfm.com.au,2rg.com.au,2wg.com.au,4tofm.com.au,5newsonline.com,6abc.com,7online.com,929.com.au,953srfm.com.au,9news.com,aa.co.za,aarp.org,abc10.com,abc11.com,abc13.com,abc30.com,abc7.com,abc7chicago.com,abc7news.com,abovethelaw.com,accringtonobserver.co.uk,ack.net,adelaidenow.com.au,adelnews.com,adn.com,adsoftheworld.com,adsupplyads.com,adtmag.com,advocatepress.com,adweek.com,aero-news.net,agjournalonline.com,agra-net.net,ahlanlive.com,aledotimesrecord.com,algemeiner.com,aljazeera.com,allenwestrepublic.com,allkpop.com,allrecipes.co.in,allrecipes.com.au,amandala.com.bz,americanprofile.com,amestrib.com,amny.com,anandtech.com,androidapps.com,androidauthority.com,aol.com,apalachtimes.com,appolicious.com,arabianbusiness.com,architectsjournal.co.uk,arseniohall.com,articlealley.com,asianjournal.com,asianwiki.com,associationsnow.com,audiko.net,aussieoutages.com,autoblog.com,autoblog360.com,autoguide.com,aww.com.au,azarask.in,backtrack-linux.org,bakersfield.com,barnstablepatriot.com,bathchronicle.co.uk,bcdemocratonline.com,bdnews24.com,beaumontenterprise.com,bellinghamherald.com,bgr.com,bikesportnews.com,birminghammail.co.uk,birminghampost.co.uk,blackmorevale.co.uk,blockchain.info,bloomberg.com,bloombergview.com,blueridgenow.com,bnd.com,bobvila.com,boonevilledemocrat.com,boston.com,bostonglobe.com,bostontarget.co.uk,bradenton.com,bradleybraves.com,brandonsun.com,bravotv.com,breitbart.com,brentwoodgazette.co.uk,bridesmagazine.co.uk,brisbanetimes.com.au,bristolpost.co.uk,budgettravel.com,businessdailyafrica.com,businessinsider.com,businesstech.co.za,businesstraveller.com,c21media.net,cairnspost.com.au,canadianoutages.com,canberratimes.com.au,canterburytimes.co.uk,cantondailyledger.com,capecodtimes.com,cardomain.com,carmarthenjournal.co.uk,carmitimes.com,carynews.com,cbs19.tv,cd1025.com,celebdigs.com,celebified.com,centralsomersetgazette.co.uk,centredaily.com,cfl.ca,cfo.com,ch-aviation.com,channel5.com,charismamag.com,charismanews.com,charlestonexpress.com,charlotteobserver.com,cheboygannews.com,cheddarvalleygazette.co.uk,cheezburger.com,chesterchronicle.co.uk,chicagobusiness.com,chicagomag.com,chillicothetimesbulletin.com,chinahush.com,chinasmack.com,chipleypaper.com,christianlifenews.com,christianpost.com,chroniclelive.co.uk,cio.com,citeworld.com,citylab.com,citysearch.com,clashdaily.com,claytonnewsstar.com,clientmediaserver.com,cloudtime.to,cltv.com,cnet.com,cnn.com,cnnphilippines.com,cnsnews.com,coastlinepilot.com,codepen.io,collinsdictionary.com,colorlines.com,colourlovers.com,columbiadailyherald.com,comcast.net,competitor.com,computerworld.com,conservativebyte.com,cornishguardian.co.uk,cornishman.co.uk,courier-tribune.com,courier.co.uk,couriermail.com.au,coventrytelegraph.net,cpuboss.com,crawleynews.co.uk,createtv.com,crestviewbulletin.com,crewechronicle.co.uk,cri.cn,crosscards.com,crossmap.com,crosswalk.com,croydonadvertiser.co.uk,csoonline.com,csswizardry.com,cupcakesandcashmere.com,cw33.com,cw39.com,cydiaupdates.net,dailycomet.com,dailycommercial.com,dailycute.net,dailyheadlines.net,dailylife.com.au,dailylobo.com,dailylocal.com,dailyparent.com,dailypost.co.uk,dailyrecord.co.uk,dailytarheel.com,dailytelegraph.com.au,dailytidings.com,dailytrust.com.ng,dawn.com,dcw50.com,deadline.com,dealnews.com,defenseone.com,delish.com,derbytelegraph.co.uk,deseretnews.com,desertdispatch.com,designtaxi.com,dinozap.com,dispatch.com,dodgeforum.com,domain.com.au,dorkingandleatherheadadvertiser.co.uk,dose.com,dover-express.co.uk,doverpost.com,downdetector.co.nz,downdetector.co.uk,downdetector.co.za,downdetector.com,downdetector.in,downdetector.sg,dpreview.com,dribbble.com,drinksmixer.com,drive.com.au,dustcoin.com,earmilk.com,earthsky.org,eastgrinsteadcourier.co.uk,eastlindseytarget.co.uk,eastpeoriatimescourier.com,edmontonjournal.com,elle.com,emedtv.com,energyvoice.com,engadget.com,enquirerherald.com,enstarz.com,espnfc.co.uk,espnfc.com,espnfc.com.au,espnfc.us,espnfcasia.com,essentialbaby.com.au,essentialkids.com.au,essexchronicle.co.uk,etsy.com,eurocheapo.com,everydayhealth.com,everyjoe.com,examiner-enterprise.com,examiner.co.uk,examiner.com,excellence-mag.com,exeterexpressandecho.co.uk,expressnews.com,familydoctor.org,fanfox.net,fanpop.com,farmersguardian.com,farmonlinelivestock.com.au,fashionweekdaily.com,fastcar.co.uk,fayobserver.com,federalnewsradio.com,femalefirst.co.uk,fijitimes.com,findthebest.co.uk,findthebest.com,firstcoastnews.com,flashx.tv,floridaindependent.com,fodors.com,folkestoneherald.co.uk,food.com,foodandwine.com,foodnetwork.com,fool.com,footyheadlines.com,forecast7.com,fortmilltimes.com,fosters.com,fowlertribune.com,fox13now.com,fox15abilene.com,fox17online.com,fox2now.com,fox40.com,fox43.com,fox4kc.com,fox59.com,fox5sandiego.com,fox6now.com,fox8.com,foxafrica.com,foxbusiness.com,foxcrimeafrica.com,foxct.com,foxnews.com,foxsoccer.com,foxsportsasia.com,freedom43tv.com,freedomoutpost.com,freshpips.com,fresnobee.com,fromestandard.co.uk,fuse.tv,futhead.com,fxafrica.tv,fxnetworks.com,fxnowcanada.ca,gadsdentimes.com,gainesville.com,galesburg.com,galvanews.com,gamefuse.com,gamemazing.com,garagejournal.com,garfield.com,gazettelive.co.uk,geelongadvertiser.com.au,geneseorepublic.com,getbucks.co.uk,getreading.co.uk,getsurrey.co.uk,getwestlondon.co.uk,girlsjustwannahaveguns.com,givememore.com.au,givesmehope.com,gizmodo.com.au,glennbeck.com,gloucestercitizen.co.uk,gloucestershireecho.co.uk,gmanetwork.com,go.com,gocomics.com,goerie.com,goldcoastbulletin.com.au,goldfm.com.au,golf.com,goo.im,good.is,goodfood.com.au,goodhousekeeping.com,goupstate.com,gpuboss.com,grab.by,grapevine.is,graphiq.com,greatschools.org,greenbot.com,greenwooddemocrat.com,grimsbytelegraph.co.uk,grindtv.com,grubstreet.com,gtplanet.net,gumtree.co.za,haaretz.com,hamburgreporter.com,hangout.co.ke,happytrips.com,healthyplace.com,heart1073.com.au,heatworld.com,heralddemocrat.com,heraldonline.com,heraldsun.com.au,heraldtribune.com,hit105.com.au,hit107.com,hknepaliradio.com,hockessincommunitynews.com,hodinkee.com,hollywood-elsewhere.com,hollywoodreporter.com,hoovers.com,hopestar.com,hotfm.com.au,houmatoday.com,houserepairtalk.com,houstonchronicle.com,hsvvoice.com,hulldailymail.co.uk,idahostatesman.com,idganswers.com,independent.co.uk,indianas4.com,indiewire.com,indyposted.com,infoworld.com,infozambia.com,inhabitat.com,inquirer.net,instyle.com,interest.co.nz,interfacelift.com,interfax.com.ua,intoday.in,investsmart.com.au,iono.fm,irishmirror.ie,irishoutages.com,islandpacket.com,itsamememario.com,itv.com,itworld.com,jackfm.ca,jacksonville.com,jamaica-gleaner.com,jamieoliver.com,javaworld.com,jdnews.com,jobs.com.au,joeforamerica.com,journaldemocrat.com,journalgazette.net,journalstandard.com,joystiq.com,jsonline.com,kagstv.com,kare11.com,katc.com,kbs.co.kr,kbzk.com,kcentv.com,kdvr.com,kens5.com,kentucky.com,keysnet.com,kfor.com,kgw.com,khou.com,kidspot.com.au,kiiitv.com,king5.com,kinston.com,kiss959.com,koaa.com,kob.com,kofm.com.au,komando.com,koreabang.com,kotaku.com.au,kpax.com,kplr11.com,kqed.org,krem.com,ksdk.com,ktla.com,ktvb.com,kusports.com,kvue.com,kwgn.com,kxlf.com,kxlh.com,lajuntatribunedemocrat.com,lakewyliepilot.com,lawrence.com,leaderpost.com,ledger-enquirer.com,leicestermercury.co.uk,lex18.com,lichfieldmercury.co.uk,lifesitenews.com,lincolncourier.com,lincolnshireecho.co.uk,liverpoolecho.co.uk,ljworld.com,llanellistar.co.uk,lmtonline.com,lolbrary.com,lonokenews.net,loop21.com,lordofthememe.com,lostateminor.com,loughboroughecho.net,lsjournal.com,macclesfield-express.co.uk,macombdaily.com,macon.com,macrumors.com,mailtribune.com,manchestereveningnews.co.uk,marieclaire.com,marketwatch.com,mashable.com,maxpreps.com,mcclatchydc.com,mcdonoughvoice.com,memearcade.com,memeslanding.com,memestache.com,mercedsunstar.com,mercurynews.com,miamiherald.com,middevongazette.co.uk,middletowntranscript.com,milfordbeacon.com,military.com,minutemennews.com,mirror.co.uk,mix.com.au,mkweb.co.uk,mlb.mlb.com,modbee.com,moneytalksnews.com,monitor.co.ug,monkeysee.com,monroenews.com,montrealgazette.com,motorcycle.com,motorcycleroads.com,motortopia.com,movies.com,mozo.com.au,mpnnow.com,mprnews.org,mrconservative.com,mrmovietimes.com,mrqe.com,msn.com,mtshastanews.com,mugglenet.com,mybroadband.co.za,mycareer.com.au,myfitnesspal.com,myfox8.com,myfoxzone.com,mygaming.co.za,myhomeremedies.com,mylifeisaverage.com,mypaper.sg,myrecipes.com,myrtlebeachonline.com,mysearchresults.com,myspace.com,namibtimes.net,nation.co.ke,nation.com.pk,nationaljournal.com,nature.com,nbcsportsradio.com,ncnewspress.com,netnewscheck.com,networkworld.com,newbernsj.com,newportindependent.com,news-journalonline.com,news.com.au,newscentermaine.com,newschief.com,newsday.com,newsfixnow.com,newsherald.com,newslocker.com,newsobserver.com,newsok.com,newsrepublican.com,newstimes.com,newtimes.co.rw,nextmovie.com,nhregister.com,nickmom.com,northdevonjournal.co.uk,norwichbulletin.com,notsafeforwallet.net,nottinghampost.com,nowvideo.co,nowvideo.li,nowvideo.sx,ntd.tv,ntnews.com.au,nwfdailynews.com,nxfm.com.au,ny1.com,nymag.com,nytco.com,nytimes.com,ocala.com,offbeat.com,olneydailymail.com,omgfacts.com,oriongazette.com,osadvertiser.co.uk,osnews.com,ottawamagazine.com,ovguide.com,paris-express.com,patch.com,patheos.com,paysonroundup.com,pba.org,pbcommercial.com,peakery.com,pekintimes.com,perthnow.com.au,petri.com,phl17.com,photobucket.com,picayune-times.com,pingtest.net,pirateshore.org,pix11.com,pjstar.com,plosone.org,plymouthherald.co.uk,poconorecord.com,pokestache.com,politico.com,polygon.com,pontiacdailyleader.com,popsugar.com,popsugar.com.au,preaching.com,prepperwebsite.com,pressargus.com,pressmentor.com,pricedekho.com,providencejournal.com,pulaskinews.net,pv-tech.org,q13fox.com,qoshe.com,quackit.com,quibblo.com,radiowest.com.au,ragestache.com,ranker.com,readmetro.com,realestate.com.au,realityblurred.com,recordnet.com,recordonline.com,redmondmag.com,refinery29.com,relish.com,retailgazette.co.uk,retfordtimes.co.uk,reuters.com,reviewatlas.com,ridgecrestca.com,roadsideamerica.com,rogerebert.com,rollcall.com,rossendalefreepress.co.uk,rrstar.com,rumorfix.com,runcornandwidnesweeklynews.co.uk,runnow.eu,sacbee.com,sadlovequotes.net,salisburypost.com,sanluisobispo.com,savannahnow.com,sbs.com.au,scpr.org,scsuntimes.com,scubadiving.com,scunthorpetelegraph.co.uk,seacoastonline.com,seafm.com.au,seattletimes.com,sevenoakschronicle.co.uk,sfchronicle.com,sfgate.com,sfx.co.uk,shelbystar.com,sheptonmalletjournal.co.uk,shtfplan.com,si.com,siftingsherald.com,similarsites.com,simpledesktops.com,singingnews.com,siskiyoudaily.com,sixbillionsecrets.com,sj-r.com,sky.com,slacker.com,slate.com,sleafordtarget.co.uk,slickdeals.net,slidetoplay.com,smackjuice.com,smartcompany.com.au,smartphowned.com,smh.com.au,softpedia.com,somersetguardian.co.uk,southcoasttoday.com,southerncrossten.com.au,southerngospel.com,southportvisiter.co.uk,southwales-eveningpost.co.uk,spectator.org,spin.com,spokesman.com,sportsdirectinc.com,spot.im,springwise.com,spryliving.com,srpressgazette.com,ssdboss.com,ssireview.org,stagevu.com,stamfordadvocate.com,standard.co.uk,star-telegram.com,starcourier.com,starfl.com,starfm.com.au,starnewsonline.com,statenews.com,statscrop.com,stltoday.com,stocktwits.com,stokesentinel.co.uk,stoppress.co.nz,streetinsider.com,stripes.com,stroudlife.co.uk,stuttgartdailyleader.com,stv.tv,stylenest.co.uk,sub-titles.net,sunfm.com.au,sunherald.com,surfline.com,surreymirror.co.uk,sussexcountian.com,suttoncoldfieldobserver.co.uk,swtimes.com,taftmidwaydriller.com,talkandroid.com,tampabay.com,tamworthherald.co.uk,tasteofawesome.com,tauntongazette.com,teamcoco.com,teaparty.org,techdirt.com,techinsider.io,telegram.com,teutopolispress.com,tgdaily.com,thanetgazette.co.uk,thatslife.com.au,thatssotrue.com,the-dispatch.com,theage.com.au,theaustralian.com.au,theblaze.com,thecitizen.co.tz,thecut.com,thedailybeast.com,thedestinlog.com,thedp.com,theepochtimes.com,thefader.com,thefirearmblog.com,thegamechicago.com,thegossipblog.com,thegrio.com,thegrocer.co.uk,thegurdontimes.com,thehawkeye.com,thehungermemes.net,thejournal.co.uk,thekit.ca,theledger.com,themercury.com.au,thenation.com,thenewstribune.com,theoaklandpress.com,theolympian.com,theonion.com,theprovince.com,therangecountry.com.au,therealdeal.com,theriver.com.au,theroot.com,thesaurus.com,thestack.com,thestarphoenix.com,thestate.com,thesuntimes.com,thetimesnews.com,thewalkingmemes.com,thewindowsclub.com,thewire.com,thisiswhyimbroke.com,thv11.com,time.com,timeshighereducation.co.uk,timesunion.com,tinypic.com,today.com,tokyohive.com,topgear.com,topsite.com,torontoist.com,torquayheraldexpress.co.uk,touringcartimes.com,townandcountrymag.com,townhall.com,townsvillebulletin.com.au,travelocity.com,travelweekly.com,tri-cityherald.com,tribalfootball.com,tribecafilm.com,tripadvisor.ca,tripadvisor.co.uk,tripadvisor.co.za,tripadvisor.com,tripadvisor.ie,tripadvisor.in,triplem.com.au,triplemclassicrock.com,trucktrend.com,truecar.com,tuscaloosanews.com,tv3.ie,tvmaze.com,tvnewscheck.com,twcc.com,twcnews.com,typepad.com,ufc.com,uinterview.com,unfriendable.com,userstyles.org,usmagazine.com,usnews.com,vanburencountydem.com,vancouversun.com,veevr.com,vetfran.com,vg247.com,vid.gg,vidbux.com,vidxden.to,viralnova.com,visiontimes.com,vogue.com.au,vulture.com,vvdailypress.com,walesonline.co.uk,walsalladvertiser.co.uk,waltonsun.com,wamu.org,washingtonexaminer.com,washingtontimes.com,washingtontimesreporter.com,watchanimes.me,watoday.com.au,wattpad.com,watzatsong.com,waxahachietx.com,way2sms.com,wbir.com,wbur.org,wcnc.com,weathernationtv.com,webdesignerwall.com,webestools.com,weeklytimesnow.com.au,wegotthiscovered.com,wellcommons.com,wellsjournal.co.uk,westbriton.co.uk,westerndailypress.co.uk,westerngazette.co.uk,westernmorningnews.co.uk,wetpaint.com,wfaa.com,wfmynews2.com,wgno.com,wgnradio.com,wgnt.com,wgntv.com,wgrz.com,whas11.com,whatsnewonnetflix.com,whimn.com.au,whitehalljournal.com,whnt.com,whosay.com,whotv.com,wickedlocal.com,wildcat.arizona.edu,windsorstar.com,winewizard.co.za,winnipegfreepress.com,wkyc.com,wltx.com,wnep.com,womansday.co.nz,womansday.com,womansday.com.au,woodfordtimes.com,worldreview.info,worthplaying.com,wow247.co.uk,wqad.com,wral.com,wreg.com,wrestlezone.com,wsj.com,wtkr.com,wtsp.com,wtvr.com,wusa9.com,wwltv.com,wzzm13.com,x17online.com,yahoo.com,yonhapnews.co.kr,yorkpress.co.uk,yourmiddleeast.com,zam.com,zedge.net,zillow.com,zooweekly.com.au,zybez.net##.ad
+1047.com.au,11alive.com,12news.com,12newsnow.com,13newsnow.com,13wmaz.com,17track.net,2dayfm.com.au,2gofm.com.au,2mcfm.com.au,2rg.com.au,2wg.com.au,4tofm.com.au,5newsonline.com,6abc.com,7online.com,929.com.au,947wls.com,953srfm.com.au,9news.com,aa.co.za,aarp.org,abc10.com,abc11.com,abc13.com,abc30.com,abc7.com,abc7chicago.com,abc7news.com,abovethelaw.com,accringtonobserver.co.uk,ack.net,adelaidenow.com.au,adelnews.com,adn.com,adsoftheworld.com,adsupplyads.com,adtmag.com,advocatepress.com,adweek.com,aero-news.net,agjournalonline.com,agra-net.net,ahlanlive.com,aledotimesrecord.com,algemeiner.com,aljazeera.com,allenwestrepublic.com,allkpop.com,allrecipes.co.in,allrecipes.com.au,amandala.com.bz,americanprofile.com,amestrib.com,amny.com,amtrib.com,anandtech.com,androidapps.com,androidauthority.com,aol.com,apalachtimes.com,appolicious.com,arabianbusiness.com,architectsjournal.co.uk,arseniohall.com,articlealley.com,asianjournal.com,asianwiki.com,associationsnow.com,audiko.net,aussieoutages.com,autoblog.com,autoblog360.com,autoguide.com,aww.com.au,azarask.in,azfamily.com,backtrack-linux.org,bakersfield.com,barnstablepatriot.com,bathchronicle.co.uk,bcdemocratonline.com,bdnews24.com,beaumontenterprise.com,bellinghamherald.com,bgr.com,bikesportnews.com,birminghammail.co.uk,birminghampost.co.uk,blackmorevale.co.uk,blockchain.info,bloomberg.com,bloombergview.com,blueridgenow.com,bnd.com,bobvila.com,boonevilledemocrat.com,boston.com,bostonglobe.com,bostontarget.co.uk,bradenton.com,bradleybraves.com,brandonsun.com,bravotv.com,breitbart.com,brentwoodgazette.co.uk,bridesmagazine.co.uk,brisbanetimes.com.au,bristolpost.co.uk,budgettravel.com,businessdailyafrica.com,businessinsider.com,businesstech.co.za,businesstraveller.com,c21media.net,cairnspost.com.au,canadianoutages.com,canberratimes.com.au,canterburytimes.co.uk,cantondailyledger.com,capecodtimes.com,cardomain.com,carmarthenjournal.co.uk,carmitimes.com,carynews.com,cbs19.tv,cd1025.com,celebdigs.com,celebified.com,centralsomersetgazette.co.uk,centredaily.com,cfl.ca,cfo.com,ch-aviation.com,channel5.com,charismamag.com,charismanews.com,charlestonexpress.com,charlotteobserver.com,cheboygannews.com,cheddarvalleygazette.co.uk,cheezburger.com,chesterchronicle.co.uk,chicagobusiness.com,chicagomag.com,chillicothetimesbulletin.com,chinahush.com,chinasmack.com,chipleypaper.com,christianlifenews.com,christianpost.com,chroniclelive.co.uk,cio.com,citeworld.com,citylab.com,citysearch.com,clashdaily.com,claytonnewsstar.com,clientmediaserver.com,cloudtime.to,cltv.com,cnet.com,cnn.com,cnnphilippines.com,cnsnews.com,coastlinepilot.com,codepen.io,collinsdictionary.com,colorlines.com,colourlovers.com,columbiadailyherald.com,comcast.net,competitor.com,computerworld.com,conservativebyte.com,cornishguardian.co.uk,cornishman.co.uk,courier-tribune.com,courier.co.uk,couriermail.com.au,coventrytelegraph.net,cpuboss.com,crawleynews.co.uk,createtv.com,crestviewbulletin.com,crewechronicle.co.uk,cri.cn,crosscards.com,crossmap.com,crosswalk.com,croydonadvertiser.co.uk,csoonline.com,csswizardry.com,cupcakesandcashmere.com,cw33.com,cw39.com,cydiaupdates.net,dailycomet.com,dailycommercial.com,dailycute.net,dailyheadlines.net,dailylife.com.au,dailylobo.com,dailylocal.com,dailyparent.com,dailypost.co.uk,dailyrecord.co.uk,dailytarheel.com,dailytelegraph.com.au,dailytidings.com,dailytrust.com.ng,dawn.com,dcw50.com,deadline.com,dealnews.com,defenseone.com,delish.com,derbytelegraph.co.uk,deseretnews.com,desertdispatch.com,designtaxi.com,dinozap.com,dispatch.com,dodgeforum.com,domain.com.au,dorkingandleatherheadadvertiser.co.uk,dose.com,dover-express.co.uk,doverpost.com,downdetector.co.nz,downdetector.co.uk,downdetector.co.za,downdetector.com,downdetector.in,downdetector.sg,dpreview.com,dribbble.com,drinksmixer.com,drive.com.au,dustcoin.com,earmilk.com,earthsky.org,eastgrinsteadcourier.co.uk,eastlindseytarget.co.uk,eastpeoriatimescourier.com,edmontonjournal.com,elle.com,emedtv.com,energyvoice.com,engadget.com,enquirerherald.com,enstarz.com,espnfc.co.uk,espnfc.com,espnfc.com.au,espnfc.us,espnfcasia.com,essentialbaby.com.au,essentialkids.com.au,essexchronicle.co.uk,etsy.com,eurocheapo.com,everydayhealth.com,everyjoe.com,examiner-enterprise.com,examiner.co.uk,examiner.com,excellence-mag.com,exeterexpressandecho.co.uk,expressnews.com,familydoctor.org,fanfox.net,fanpop.com,farmersguardian.com,farmonlinelivestock.com.au,fashionweekdaily.com,fastcar.co.uk,fayobserver.com,federalnewsradio.com,femalefirst.co.uk,fijitimes.com,findthebest.co.uk,findthebest.com,firstcoastnews.com,flashx.tv,floridaindependent.com,fodors.com,folkestoneherald.co.uk,food.com,foodandwine.com,foodnetwork.com,fool.com,footyheadlines.com,forecast7.com,fortmilltimes.com,fosters.com,fowlertribune.com,fox13now.com,fox15abilene.com,fox17online.com,fox2now.com,fox40.com,fox43.com,fox4kc.com,fox59.com,fox5sandiego.com,fox6now.com,fox8.com,foxafrica.com,foxbusiness.com,foxcrimeafrica.com,foxct.com,foxnews.com,foxsoccer.com,foxsportsasia.com,freedom43tv.com,freedomoutpost.com,freshpips.com,fresnobee.com,fromestandard.co.uk,fuse.tv,futhead.com,fxafrica.tv,fxnetworks.com,fxnowcanada.ca,gadsdentimes.com,gainesville.com,galesburg.com,galvanews.com,gamefuse.com,gamemazing.com,garagejournal.com,garfield.com,gayvegas.com,gazettelive.co.uk,geelongadvertiser.com.au,geneseorepublic.com,getbucks.co.uk,getreading.co.uk,getsurrey.co.uk,getwestlondon.co.uk,girlsjustwannahaveguns.com,givememore.com.au,givesmehope.com,gizmodo.com.au,glennbeck.com,gloucestercitizen.co.uk,gloucestershireecho.co.uk,gmanetwork.com,go.com,gocomics.com,goerie.com,goldcoastbulletin.com.au,goldfm.com.au,golf.com,goo.im,good.is,goodfood.com.au,goodhousekeeping.com,goupstate.com,gpuboss.com,grab.by,grapevine.is,graphiq.com,greatschools.org,greenbot.com,greenwooddemocrat.com,grimsbytelegraph.co.uk,grindtv.com,grubstreet.com,gtplanet.net,gumtree.co.za,haaretz.com,hamburgreporter.com,hangout.co.ke,happytrips.com,healthyplace.com,heart1073.com.au,heatworld.com,heralddemocrat.com,heraldonline.com,heraldsun.com.au,heraldtribune.com,hit105.com.au,hit107.com,hknepaliradio.com,hockessincommunitynews.com,hodinkee.com,hollywood-elsewhere.com,hollywoodreporter.com,hoovers.com,hopestar.com,hotfm.com.au,houmatoday.com,houserepairtalk.com,houstonchronicle.com,hsvvoice.com,hulldailymail.co.uk,idahostatesman.com,idganswers.com,independent.co.uk,indianas4.com,indiewire.com,indyposted.com,infoworld.com,infozambia.com,inhabitat.com,inquirer.net,instyle.com,interest.co.nz,interfacelift.com,interfax.com.ua,intoday.in,investsmart.com.au,iono.fm,irishmirror.ie,irishoutages.com,islandpacket.com,itsamememario.com,itv.com,itworld.com,jackfm.ca,jacksonville.com,jamaica-gleaner.com,jamieoliver.com,javaworld.com,jdnews.com,jobs.com.au,joeforamerica.com,journaldemocrat.com,journalgazette.net,journalstandard.com,joystiq.com,jsonline.com,kagstv.com,kare11.com,katc.com,kbs.co.kr,kbzk.com,kcentv.com,kdvr.com,kens5.com,kentucky.com,keysnet.com,kfor.com,kgw.com,khou.com,kidspot.com.au,kiiitv.com,king5.com,kinston.com,kiss959.com,koaa.com,kob.com,kofm.com.au,komando.com,koreabang.com,kotaku.com.au,kpax.com,kplr11.com,kqed.org,krem.com,ksdk.com,ktla.com,ktvb.com,kusports.com,kvue.com,kwgn.com,kxlf.com,kxlh.com,lajuntatribunedemocrat.com,lakewyliepilot.com,lawrence.com,leaderpost.com,ledger-enquirer.com,leicestermercury.co.uk,lex18.com,lichfieldmercury.co.uk,lifesitenews.com,lifezette.com,lincolncourier.com,lincolnshireecho.co.uk,liverpoolecho.co.uk,ljworld.com,llanellistar.co.uk,lmtonline.com,lolbrary.com,lonokenews.net,loop21.com,lordofthememe.com,lostateminor.com,loughboroughecho.net,lsjournal.com,macclesfield-express.co.uk,macombdaily.com,macon.com,macrumors.com,mailtribune.com,manchestereveningnews.co.uk,marieclaire.com,marketwatch.com,mashable.com,maxpreps.com,mcclatchydc.com,mcdonoughvoice.com,memearcade.com,memeslanding.com,memestache.com,mercedsunstar.com,mercurynews.com,miamiherald.com,middevongazette.co.uk,middletowntranscript.com,milfordbeacon.com,military.com,minutemennews.com,mirror.co.uk,mix.com.au,mkweb.co.uk,mlb.mlb.com,modbee.com,moneytalksnews.com,monitor.co.ug,monkeysee.com,monroenews.com,montrealgazette.com,motorcycle.com,motorcycleroads.com,motortopia.com,movies.com,mozo.com.au,mpnnow.com,mprnews.org,mrconservative.com,mrmovietimes.com,mrqe.com,msn.com,mtshastanews.com,mugglenet.com,mybroadband.co.za,mycareer.com.au,myfitnesspal.com,myfox8.com,myfoxzone.com,mygaming.co.za,myhomeremedies.com,mylifeisaverage.com,mypaper.sg,myrecipes.com,myrtlebeachonline.com,mysearchresults.com,myspace.com,namibtimes.net,nation.co.ke,nation.com.pk,nationaljournal.com,nature.com,nbcsportsradio.com,ncnewspress.com,netnewscheck.com,networkworld.com,newbernsj.com,newportindependent.com,news-journalonline.com,news.com.au,newscentermaine.com,newschief.com,newsday.com,newsfixnow.com,newsherald.com,newslocker.com,newsobserver.com,newsok.com,newsrepublican.com,newstimes.com,newtimes.co.rw,nextmovie.com,nhregister.com,nickmom.com,northdevonjournal.co.uk,norwichbulletin.com,notsafeforwallet.net,nottinghampost.com,nowvideo.co,nowvideo.li,nowvideo.sx,ntd.tv,ntnews.com.au,nwfdailynews.com,nxfm.com.au,ny1.com,nymag.com,nytco.com,nytimes.com,ocala.com,offbeat.com,olneydailymail.com,omgfacts.com,oriongazette.com,osadvertiser.co.uk,osnews.com,ottawamagazine.com,ovguide.com,paris-express.com,patch.com,patheos.com,paysonroundup.com,pba.org,pbcommercial.com,peakery.com,pekintimes.com,perthnow.com.au,petri.com,phl17.com,photobucket.com,picayune-times.com,pingtest.net,pirateshore.org,pix11.com,pjstar.com,planelogger.com,plosone.org,plymouthherald.co.uk,poconorecord.com,pokestache.com,politico.com,polygon.com,pontiacdailyleader.com,popsugar.com,popsugar.com.au,preaching.com,prepperwebsite.com,pressargus.com,pressmentor.com,pricedekho.com,providencejournal.com,pulaskinews.net,pv-tech.org,q13fox.com,qoshe.com,quackit.com,quibblo.com,radiowest.com.au,ragestache.com,ranker.com,readmetro.com,realestate.com.au,realityblurred.com,recordnet.com,recordonline.com,redmondmag.com,refinery29.com,relish.com,retailgazette.co.uk,retfordtimes.co.uk,reviewatlas.com,ridgecrestca.com,roadsideamerica.com,rogerebert.com,rollcall.com,rossendalefreepress.co.uk,rrstar.com,rumorfix.com,runcornandwidnesweeklynews.co.uk,runnow.eu,sacbee.com,sadlovequotes.net,salisburypost.com,sanluisobispo.com,savannahnow.com,sbs.com.au,scpr.org,scsuntimes.com,scubadiving.com,scunthorpetelegraph.co.uk,seacoastonline.com,seafm.com.au,seattletimes.com,sevenoakschronicle.co.uk,sfchronicle.com,sfgate.com,sfx.co.uk,shelbystar.com,sheptonmalletjournal.co.uk,shtfplan.com,si.com,siftingsherald.com,similarsites.com,simpledesktops.com,singingnews.com,siskiyoudaily.com,sixbillionsecrets.com,sj-r.com,sky.com,slacker.com,slate.com,sleafordtarget.co.uk,slickdeals.net,slidetoplay.com,smackjuice.com,smartcompany.com.au,smartphowned.com,smh.com.au,softpedia.com,somersetguardian.co.uk,southcoasttoday.com,southerncrossten.com.au,southerngospel.com,southportvisiter.co.uk,southwales-eveningpost.co.uk,spectator.org,spin.com,spokesman.com,sportsdirectinc.com,spot.im,springwise.com,spryliving.com,srpressgazette.com,ssdboss.com,ssireview.org,stagevu.com,stamfordadvocate.com,standard.co.uk,star-telegram.com,starcourier.com,starfl.com,starfm.com.au,starnewsonline.com,statenews.com,statscrop.com,stltoday.com,stocktwits.com,stokesentinel.co.uk,stoppress.co.nz,streetinsider.com,stripes.com,stroudlife.co.uk,stuttgartdailyleader.com,stv.tv,stylenest.co.uk,sub-titles.net,sunfm.com.au,sunherald.com,surfline.com,surreymirror.co.uk,sussexcountian.com,suttoncoldfieldobserver.co.uk,swtimes.com,taftmidwaydriller.com,talkandroid.com,tampabay.com,tamworthherald.co.uk,tasteofawesome.com,tauntongazette.com,teamcoco.com,teaparty.org,techdirt.com,techinsider.io,telegram.com,teutopolispress.com,tgdaily.com,thanetgazette.co.uk,thatslife.com.au,thatssotrue.com,the-dispatch.com,theage.com.au,theaustralian.com.au,theblaze.com,thecitizen.co.tz,thecrimson.com,thecut.com,thedailybeast.com,thedestinlog.com,thedp.com,theepochtimes.com,thefader.com,thefirearmblog.com,thegamechicago.com,thegossipblog.com,thegrio.com,thegrocer.co.uk,thegurdontimes.com,thehawkeye.com,thehungermemes.net,thejournal.co.uk,thekit.ca,theledger.com,themercury.com.au,thenation.com,thenewstribune.com,theoaklandpress.com,theolympian.com,theonion.com,theprovince.com,therangecountry.com.au,therealdeal.com,theriver.com.au,theroot.com,thesaurus.com,thestack.com,thestarphoenix.com,thestate.com,thesuntimes.com,thetimesnews.com,thewalkingmemes.com,thewindowsclub.com,thewire.com,thisiswhyimbroke.com,thv11.com,time.com,timeshighereducation.co.uk,timesunion.com,tinypic.com,today.com,tokyohive.com,topgear.com,topsite.com,torontoist.com,torquayheraldexpress.co.uk,touringcartimes.com,townandcountrymag.com,townhall.com,townsvillebulletin.com.au,travelocity.com,travelweekly.com,tri-cityherald.com,tribalfootball.com,tribecafilm.com,tripadvisor.ca,tripadvisor.co.uk,tripadvisor.co.za,tripadvisor.com,tripadvisor.ie,tripadvisor.in,triplem.com.au,triplemclassicrock.com,trucktrend.com,truecar.com,tuscaloosanews.com,tv3.ie,tvmaze.com,tvnewscheck.com,twcc.com,twcnews.com,typepad.com,ufc.com,uinterview.com,unfriendable.com,userstyles.org,usmagazine.com,usnews.com,vanburencountydem.com,vancouversun.com,veevr.com,vetfran.com,vid.gg,vidbux.com,vidxden.to,viralnova.com,visiontimes.com,vogue.com.au,vulture.com,vvdailypress.com,walesonline.co.uk,walsalladvertiser.co.uk,waltonsun.com,wamu.org,washingtonexaminer.com,washingtontimes.com,washingtontimesreporter.com,watchanimes.me,watoday.com.au,wattpad.com,watzatsong.com,waxahachietx.com,way2sms.com,wayfm.com,wbir.com,wbur.org,wcnc.com,weathernationtv.com,webdesignerwall.com,webestools.com,weeklytimesnow.com.au,wegotthiscovered.com,wellcommons.com,wellsjournal.co.uk,westbriton.co.uk,westerndailypress.co.uk,westerngazette.co.uk,westernmorningnews.co.uk,wetpaint.com,wfaa.com,wfmynews2.com,wgno.com,wgnradio.com,wgnt.com,wgntv.com,wgrz.com,whas11.com,whatsnewonnetflix.com,whimn.com.au,whitehalljournal.com,whnt.com,whosay.com,whotv.com,wickedlocal.com,wildcat.arizona.edu,windsorstar.com,winewizard.co.za,winnipegfreepress.com,wkyc.com,wltx.com,wnep.com,womansday.co.nz,womansday.com,womansday.com.au,woodfordtimes.com,worldreview.info,worthplaying.com,wow247.co.uk,wqad.com,wral.com,wreg.com,wrestlezone.com,wsj.com,wtkr.com,wtsp.com,wtvr.com,wusa9.com,wwltv.com,wzzm13.com,x17online.com,yahoo.com,yonhapnews.co.kr,yorkpress.co.uk,yourmiddleeast.com,zam.com,zedge.net,zillow.com,zooweekly.com.au,zybez.net##.ad
 breathecast.com##.ad > div
 techrepublic.com,yahoo.com##.ad-active
 deviantart.com##.ad-blocking-makes-fella-confused
 alarabiya.net,atlanticfarmfocus.ca,burnsidenews.com,capebretonpost.com,cbncompass.ca,cornwallseawaynews.com,cumberlandnewsnow.com,dailybusinessbuzz.ca,digbycourier.ca,edmunds.com,flightaware.com,ganderbeacon.ca,gfwadvertiser.ca,haaretz.com,hantsjournal.ca,jerusalemonline.com,journalism.co.uk,journalpioneer.com,kingscountynews.ca,leaprate.com,lportepilot.ca,lubbockonline.com,memecdn.com,memecenter.com,metrolyrics.com,mjtimes.sk.ca,ngnews.ca,novanewsnow.com,orleansstar.ca,paherald.sk.ca,pcworld.in,reverso.net,revision3.com,sasknewsnow.com,soapoperadigest.com,southerngazette.ca,tasteofhome.com,thecoastguard.ca,theguardian.pe.ca,thehindu.com,thepacket.ca,thetelegram.com,thevanguard.ca,thewesternstar.com,trurodaily.com,twitpic.com,vinesbay.com,viralnova.com,westislandchronicle.com,westmountexaminer.com,where.ca,zerohedge.com##.ad-box
-6abc.com,9news.com.au,abc11.com,abc13.com,abc30.com,abc7.com,abc7chicago.com,abc7news.com,abc7ny.com,ack.net,adelnews.com,advocatepress.com,agjournalonline.com,aledotimesrecord.com,amestrib.com,apalachtimes.com,autofocus.ca,barnstablepatriot.com,bcdemocratonline.com,beautifuldecay.com,bizjournals.com,biznews.com,blueridgenow.com,boonevilledemocrat.com,boston.com,businessinsider.com.au,cantondailyledger.com,capecodtimes.com,carmitimes.com,charlestonexpress.com,cheapism.com,chillicothetimesbulletin.com,chipleypaper.com,columbiadailyherald.com,courier-tribune.com,cpuboss.com,crestviewbulletin.com,dailycomet.com,dailycommercial.com,dailysun.co.za,dailytidings.com,desertdispatch.com,digg.com,dispatch.com,dnainfo.com,doverpost.com,downforeveryoneorjustme.com,driven.co.nz,eastpeoriatimescourier.com,ecr.co.za,electrek.co,engineeringnews.co.za,examiner-enterprise.com,fayobserver.com,firehouse.com,fosters.com,fowlertribune.com,foxbusiness.com,foxnews.com,funkidslive.com,gadsdentimes.com,gainesville.com,galesburg.com,galvanews.com,geneseorepublic.com,glamour.com,golf.com,goupstate.com,gpuboss.com,greenwooddemocrat.com,hamburgreporter.com,hbr.org,heatst.com,heralddemocrat.com,heraldtribune.com,hockessincommunitynews.com,hollywoodreporter.com,hopestar.com,houmatoday.com,hsvvoice.com,ign.com,jacarandafm.com,jacksonville.com,jdnews.com,journaldemocrat.com,journalstandard.com,kinston.com,komando.com,lajuntatribunedemocrat.com,lincolncourier.com,lonokenews.net,macstories.net,mailtribune.com,mcdonoughvoice.com,middletowntranscript.com,milfordbeacon.com,miningweekly.com,mobilesyrup.com,moneysense.ca,mpnnow.com,mtshastanews.com,myfitnesspal.com,naminum.com,nbcnews.com,ncnewspress.com,newbernsj.com,newportindependent.com,news-journalonline.com,newschief.com,newsherald.com,newsrepublican.com,niufm.com,norwichbulletin.com,nwfdailynews.com,nzherald.co.nz,ocala.com,olneydailymail.com,oriongazette.com,paris-express.com,pbcommercial.com,pekintimes.com,picayune-times.com,pjstar.com,poconorecord.com,pontiacdailyleader.com,pressargus.com,pressmentor.com,providencejournal.com,pulaskinews.net,radicalresearch.co.uk,radio531pi.com,recordnet.com,recordonline.com,refinery29.com,reviewatlas.com,ridgecrestca.com,rollingstone.com,rrstar.com,savannahnow.com,scroll.in,scsuntimes.com,seacoastonline.com,shelbystar.com,siftingsherald.com,siskiyoudaily.com,sj-r.com,slate.com,sltrib.com,southcoasttoday.com,srpressgazette.com,ssdboss.com,stackexchange.com,starcourier.com,starfl.com,starnewsonline.com,stockhouse.com,stuttgartdailyleader.com,sussexcountian.com,swtimes.com,taftmidwaydriller.com,telegram.com,teutopolispress.com,the-dispatch.com,theaustralian.com.au,thedestinlog.com,thegurdontimes.com,thehawkeye.com,thehindu.com,theledger.com,thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se,themercury.com.au,thenewslens.com,thesuntimes.com,thetimesnews.com,thrillist.com,tuscaloosanews.com,vanburencountydem.com,vice.com,vvdailypress.com,waltonsun.com,washingtontimesreporter.com,whitehalljournal.com,wickedlocal.com,woodfordtimes.com,xboxdvr.com,youtube.com,zerohedge.com##.ad-container
+6abc.com,9news.com.au,abc11.com,abc13.com,abc30.com,abc7.com,abc7chicago.com,abc7news.com,abc7ny.com,ack.net,adelnews.com,advocatepress.com,agjournalonline.com,aledotimesrecord.com,amestrib.com,apalachtimes.com,autofocus.ca,barnstablepatriot.com,bcdemocratonline.com,beautifuldecay.com,bizjournals.com,biznews.com,blueridgenow.com,boonevilledemocrat.com,boston.com,businessinsider.com.au,cantondailyledger.com,capecodtimes.com,carmitimes.com,charlestonexpress.com,cheapism.com,chillicothetimesbulletin.com,chipleypaper.com,columbiadailyherald.com,courier-tribune.com,cpuboss.com,crestviewbulletin.com,dailycomet.com,dailycommercial.com,dailysun.co.za,dailytidings.com,desertdispatch.com,digg.com,dispatch.com,dnainfo.com,doverpost.com,downforeveryoneorjustme.com,driven.co.nz,eastpeoriatimescourier.com,ecr.co.za,electrek.co,engineeringnews.co.za,etcanada.com,examiner-enterprise.com,fayobserver.com,firehouse.com,fosters.com,fowlertribune.com,foxbusiness.com,foxnews.com,funkidslive.com,gadsdentimes.com,gainesville.com,galesburg.com,galvanews.com,geneseorepublic.com,glamour.com,golf.com,goupstate.com,gpuboss.com,greenwooddemocrat.com,hamburgreporter.com,hbr.org,heatst.com,heralddemocrat.com,heraldtribune.com,hockessincommunitynews.com,hollywoodreporter.com,hopestar.com,houmatoday.com,hsvvoice.com,ign.com,jacarandafm.com,jacksonville.com,jdnews.com,journaldemocrat.com,journalstandard.com,kinston.com,komando.com,lajuntatribunedemocrat.com,lincolncourier.com,lonokenews.net,macstories.net,mailtribune.com,mcdonoughvoice.com,middletowntranscript.com,milfordbeacon.com,miningweekly.com,mobilesyrup.com,moneysense.ca,mpnnow.com,mtshastanews.com,myfitnesspal.com,naminum.com,nbcnews.com,ncnewspress.com,newbernsj.com,newportindependent.com,news-journalonline.com,newschief.com,newsherald.com,newsrepublican.com,niufm.com,norwichbulletin.com,nwfdailynews.com,nzherald.co.nz,ocala.com,olneydailymail.com,oriongazette.com,paris-express.com,pbcommercial.com,pekintimes.com,picayune-times.com,pjstar.com,poconorecord.com,pontiacdailyleader.com,pressargus.com,pressmentor.com,providencejournal.com,pulaskinews.net,radicalresearch.co.uk,radio531pi.com,recordnet.com,recordonline.com,refinery29.com,reviewatlas.com,ridgecrestca.com,rollingstone.com,rrstar.com,savannahnow.com,scroll.in,scsuntimes.com,seacoastonline.com,shelbystar.com,siftingsherald.com,siskiyoudaily.com,sj-r.com,slate.com,sltrib.com,southcoasttoday.com,srpressgazette.com,ssdboss.com,stackexchange.com,starcourier.com,starfl.com,starnewsonline.com,stockhouse.com,stuttgartdailyleader.com,sussexcountian.com,swtimes.com,taftmidwaydriller.com,telegram.com,teutopolispress.com,the-dispatch.com,theaustralian.com.au,thedestinlog.com,thegurdontimes.com,thehawkeye.com,thehindu.com,theledger.com,thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se,themercury.com.au,thenewslens.com,thesuntimes.com,thetimesnews.com,thrillist.com,toofab.com,tuscaloosanews.com,vanburencountydem.com,vice.com,vvdailypress.com,waltonsun.com,washingtontimesreporter.com,whitehalljournal.com,wickedlocal.com,woodfordtimes.com,xboxdvr.com,youtube.com,zerohedge.com##.ad-container
+cnet.com##.ad-leader-middle
 businessinsider.com,foodandwine.com,health.com,hollywoodjournal.com,myrecipes.com,realsimple.com,southernliving.com,tmz.com,travelandleisure.com##.ad-title
 faithit.com##.ad-wrapper + .widget-area
 vesselfinder.com##.ad0
@@ -57646,7 +59056,7 @@ sundaymail.co.zw,sundaynews.co.zw##.ad6
 sundaymail.co.zw,sundaynews.co.zw##.ad7
 ngrguardiannews.com##.ad9
 buy.com##.adBG
-cafemom.com,cio.co.uk,cvs.com,digitalartsonline.co.uk,emarketer.com,flightradar24.com,geek.com,globaltv.com,glosbe.com,hgtv.ca,macworld.co.uk,newspakistan.pk,nytimes.com,ocweekly.com,petagadget.com,reuters.com,sky.com,t3.com,thehimalayantimes.com,yakimaherald.com##.adContainer
+cafemom.com,cio.co.uk,cvs.com,digitalartsonline.co.uk,emarketer.com,flightradar24.com,geek.com,globaltv.com,glosbe.com,hgtv.ca,macworld.co.uk,newspakistan.pk,nytimes.com,ocweekly.com,petagadget.com,sky.com,t3.com,thehimalayantimes.com,yakimaherald.com##.adContainer
 technologicvehicles.com##.adEvTaiwan
 webfail.com##.adMR
 ifaonline.co.uk,relink.us##.ad_right
@@ -57656,20 +59066,21 @@ pencurimovie.cc##.adb_overlay
 aol.com,beautysouthafrica.com,biggestplayer.me,blurtit.com,breakingnews.com,digitalhome.ca,eatv.tv,eurowerks.org,heyuguys.co.uk,ippmedia.com,linkedin.com,longislandpress.com,music-news.com,opensourcecms.com,opposingviews.com,readersdigest.co.uk,songlyrics.com,sugarrae.com,techeblog.com,thebizzare.com,winbeta.org##.adblock
 biggestplayer.me##.adblock1
 dexerto.com##.adblockON
-affiliatefix.com,blogto.com,cargoinfo.co.za,centreforaviation.com,lockerz.com,macdailynews.com,mensjournal.com,midnightpoutine.ca,mvnrepository.com,ow.ly,podfeed.net,pricespy.co.nz,sfbayview.com,viralnova.com,whatsmyip.org,willyweather.com,willyweather.com.au##.adbox
+affiliatefix.com,blogto.com,cargoinfo.co.za,centreforaviation.com,interglot.com,lockerz.com,macdailynews.com,mensjournal.com,midnightpoutine.ca,mvnrepository.com,ow.ly,podfeed.net,pricespy.co.nz,sfbayview.com,viralnova.com,whatsmyip.org,willyweather.com,willyweather.com.au##.adbox
 moviechat.org##.adc
 search.ch##.adcell
 ctrl.blog##.adco
-caughtoffside.com,fanatix.com,nfl.com,patheos.com,theconstructionindex.co.uk,tucsonsentinel.com,wikihow.com##.adcontainer
+caughtoffside.com,fanatix.com,ibtimes.co.in,nfl.com,patheos.com,theconstructionindex.co.uk,tucsonsentinel.com,wikihow.com##.adcontainer
 caffeineinformer.com,runnerspace.com,sumanasa.com##.adcontent
 4archive.org,allrovi.com,bdnews24.com,hotnewhiphop.com,itproportal.com,keepvid.com,nciku.com,newvision.co.ug,thehindu.com,yourepeat.com##.add
 moneycontrol.com##.add-970-90
 moneycontrol.com##.add-ban
 africareview.com##.add-banner
-irishpost.com,newsie.co.nz,sunlive.co.nz,theweekendsun.co.nz##.add-block
+buzz.ie,irishpost.com,newsie.co.nz,sunlive.co.nz,theweekendsun.co.nz##.add-block
 1049.fm,drgnews.com,mybasin.com##.add-box
 morningstar.in,pbs.org##.add-container
 irishpost.com##.add-pad
+ndtv.com##.add-section
 skymetweather.com##.add-top
 bronchiectasisandntminitiative.org##.add-top-margin
 addictivetips.com##.add-under-post
@@ -57711,7 +59122,7 @@ flightglobal.com##.adp
 iamwire.com##.adr
 iskullgames.com##.adr300
 zercustoms.com##.adrh
-1sale.com,7billionworld.com,abajournal.com,achieveronline.co.za,altavista.com,androidfilehost.com,arcadeprehacks.com,asbarez.com,bbqonline.co.za,birdforum.net,bluechipjournal.co.za,boodigo.com,browardpalmbeach.com,citypages.com,climatechangenews.com,coinad.com,cuzoogle.com,cyclingweekly.co.uk,dallasobserver.com,disconnect.me,domainnamenews.com,eco-business.com,energyforecastonline.co.za,energylivenews.com,exploreonline.co.za,facemoods.com,flashx.tv,focustaiwan.tw,foxbusiness.com,foxnews.com,freetvall.com,friendster.com,fstoppers.com,ftadviser.com,furaffinity.net,gentoo.org,geo.tv,ghananation.com,gmanetwork.com,gogoanime.tv,goodthingsguy.com,govtrack.us,gramfeed.com,gyazo.com,harvestsa.co.za,hispanicbusiness.com,houstonpress.com,html5test.com,hurricanevanessa.com,i-dressup.com,ichan.net,ieltsonlinetests.com,iheart.com,ilovetypography.com,indiatimes.com,infozambia.com,isearch.whitesmoke.com,itproportal.com,laptopmag.com,laweekly.com,leadershipinsport.co.za,leadershiponline.co.za,leadersinwellness.co.za,lfpress.com,livetvcafe.net,lovemyanime.net,malaysiakini.com,manga-download.org,maps.google.com,marinetraffic.com,mb.com.ph,mehrnews.com,meta-calculator.com,miaminewtimes.com,mini-ielts.com,miningprospectus.co.za,mmajunkie.com,mugshots.com,myfitnesspal.com,mypaper.sg,nativeplanet.com,nbc.na,nbcnews.com,news.nom.co,nsfwyoutube.com,nugget.ca,opportunityonline.co.za,osn.com,panorama.am,pastie.org,phoenixnewtimes.com,phpbb.com,playboy.com,pocket-lint.com,pokernews.com,previously.tv,radionomy.com,radiotoday.com.au,reason.com,roadaheadonline.co.za,russia-insider.com,ryanseacrest.com,savevideo.me,sddt.com,searchfunmoods.com,servicepublication.co.za,sgcarmart.com,shipyearonline.co.za,shopbot.ca,sourceforge.net,stars-portraits.com,stcatharinesstandard.ca,straitstimes.com,strawpoll.me,tass.ru,tcm.com,tech2.com,tehrantimes.com,thecatholicuniverse.com,thedailyobserver.ca,thedailysheeple.com,thejakartapost.com,thelakewoodscoop.com,themalaysianinsider.com,thenews.com.pk,theobserver.ca,thepeterboroughexaminer.com,theprojectmanager.co.za,thevoicebw.com,tjpnews.com,today.com,turner.com,twogag.com,ubuntumagazine.co.za,ultimate-guitar.com,viamichelin.co.uk,viamichelin.com,viamichelin.ie,vidstreaming.io,villagevoice.com,wallpaper.com,washingtonpost.com,wdet.org,westword.com,wftlsports.com,womanandhome.com,wtvz.net,yahoo.com,youthedesigner.com,yuku.com##.ads
+1sale.com,7billionworld.com,abajournal.com,achieveronline.co.za,altavista.com,androidfilehost.com,arcadeprehacks.com,asbarez.com,bbqonline.co.za,birdforum.net,bluechipjournal.co.za,boodigo.com,browardpalmbeach.com,canstarblue.co.nz,citypages.com,climatechangenews.com,coinad.com,cuzoogle.com,cyclingweekly.co.uk,dallasobserver.com,disconnect.me,domainnamenews.com,eco-business.com,energyforecastonline.co.za,energylivenews.com,exploreonline.co.za,facemoods.com,fashionnetwork.com,flashx.tv,focustaiwan.tw,foxbusiness.com,foxnews.com,freetvall.com,friendster.com,fstoppers.com,ftadviser.com,furaffinity.net,gentoo.org,geo.tv,ghananation.com,gmanetwork.com,gogoanime.tv,goodthingsguy.com,govtrack.us,gramfeed.com,gyazo.com,harvestsa.co.za,hispanicbusiness.com,houstonpress.com,html5test.com,hurricanevanessa.com,i-dressup.com,ichan.net,ieltsonlinetests.com,iheart.com,ilovetypography.com,indiatimes.com,infozambia.com,isearch.whitesmoke.com,itproportal.com,laptopmag.com,laweekly.com,leadershipinsport.co.za,leadershiponline.co.za,leadersinwellness.co.za,lfpress.com,livetvcafe.net,lovemyanime.net,malaysiakini.com,manga-download.org,maps.google.com,marinetraffic.com,mb.com.ph,mehrnews.com,meta-calculator.com,miaminewtimes.com,mini-ielts.com,miningprospectus.co.za,mmajunkie.com,mugshots.com,myfitnesspal.com,mypaper.sg,nativeplanet.com,nbc.na,nbcnews.com,news.nom.co,nsfwyoutube.com,nugget.ca,opportunityonline.co.za,osn.com,panorama.am,pastie.org,phoenixnewtimes.com,phpbb.com,playboy.com,pocket-lint.com,pokernews.com,previously.tv,radionomy.com,radiotoday.com.au,reason.com,roadaheadonline.co.za,russia-insider.com,ryanseacrest.com,savevideo.me,sddt.com,searchfunmoods.com,servicepublication.co.za,sgcarmart.com,shipyearonline.co.za,shopbot.ca,sourceforge.net,stars-portraits.com,stcatharinesstandard.ca,straitstimes.com,strawpoll.me,tass.ru,tcm.com,tech2.com,tehrantimes.com,thecatholicuniverse.com,thedailyobserver.ca,thedailysheeple.com,thejakartapost.com,thelakewoodscoop.com,themalaysianinsider.com,thenews.com.pk,theobserver.ca,thepeterboroughexaminer.com,theprojectmanager.co.za,thevoicebw.com,tjpnews.com,today.com,turner.com,twogag.com,ubuntumagazine.co.za,ultimate-guitar.com,viamichelin.co.uk,viamichelin.com,viamichelin.ie,vidstreaming.io,villagevoice.com,wallpaper.com,washingtonpost.com,wayfm.com,wdet.org,westword.com,wftlsports.com,womanandhome.com,wtvz.net,yahoo.com,youthedesigner.com,yuku.com##.ads
 glarysoft.com##.ads + .search-list
 searchfunmoods.com##.ads + ul > li
 y8.com##.ads-bottom-table .grey-box-bg
@@ -57730,9 +59141,10 @@ smallseotools.com##.adsbygoogle + script
 about.com,bloomberg.com,borfast.com,comesrilanka.com,dpivst.com,howmanyleft.co.uk,instantpulp.com,mysmartprice.com,nintandbox.net,nycity.today,over-blog.com,plurk.com,portugalresident.com,scitechdaily.com,sgentrepreneurs.com,techsupportalert.com,tolonews.com,wikihoops.com,wlds.com##.adsense
 search.b1.org##.adslabel
 animeid.com##.adspl
+cheapies.nz##.adstop
 desertdispatch.com,f1fanatic.co.uk,geeky-gadgets.com,highdesert.com,journalgazette.net,lgbtqnation.com,miamitodaynews.com,myrecipes.com,search.certified-toolbar.com,thevoicebw.com,vvdailypress.com,wsj.com##.adtext
 reason.com,rushlimbaugh.com##.adtitle
-ansamed.info,baltic-course.com,carsdirect.com,cbc.ca,cineuropa.org,cpuid.com,facebook.com,flicks.co.nz,futbol24.com,getwapi.com,howstuffworks.com,intoday.in,isearch.omiga-plus.com,massappeal.com,mnn.com,mtv.com,mysuncoast.com,naij.com,ok.co.uk,ponged.com,prohaircut.com,qone8.com,roadfly.com,rockol.com,runamux.net,search.v9.com,tunemovies.to,ultimate-guitar.com,vh1.com,webssearches.com,zbani.com##.adv
+ansamed.info,baltic-course.com,carsdirect.com,cbc.ca,cineuropa.org,cpuid.com,facebook.com,flicks.co.nz,futbol24.com,getwapi.com,howstuffworks.com,intoday.in,isearch.omiga-plus.com,jetphotos.com,maritimejobs.com,massappeal.com,mnn.com,mtv.com,mysuncoast.com,naij.com,newagebd.net,ok.co.uk,ponged.com,prohaircut.com,qone8.com,roadfly.com,rockol.com,runamux.net,search.v9.com,tunemovies.to,ultimate-guitar.com,vh1.com,webssearches.com,zbani.com##.adv
 luxury-insider.com##.adv-info
 vidstream.io##.adv-space
 veoh.com##.adv-title
@@ -57747,10 +59159,10 @@ dt-updates.com##.adv_items
 faceyourmanga.com##.adv_special
 thedailystar.net##.advatige
 infoplease.com##.advb
-98online.com,9news.com.au,abplive.in,africareview.com,airgunshooting.co.uk,airmalta.com,allghananews.com,anews.com.tr,angliaafloat.co.uk,arabianindustry.com,barkinganddagenhampost.co.uk,becclesandbungayjournal.co.uk,bexleytimes.co.uk,bitcoinzebra.com,blogto.com,bloomberg.com,bollywoodhungama.com,bromsgrovestandard.co.uk,burymercury.co.uk,cambstimes.co.uk,canalboat.co.uk,caribbeancinemas.com,cbc.ca,centralfm.co.uk,chemicalwatch.com,cheshirelife.co.uk,coastalscene24.co.uk,completefrance.com,cotswoldlife.co.uk,countrysmallholding.com,coventryobserver.co.uk,cranbrookherald.com,craveonline.com,crimemagazine.com,dailyedge.ie,dailysun.co.za,dawn.com,derbyshirelife.co.uk,derehamtimes.co.uk,designmena.com,devonlife.co.uk,directory247.co.uk,dissmercury.co.uk,dorsetmagazine.co.uk,droitwichstandard.co.uk,dunmowbroadcast.co.uk,eadt.co.uk,eastlondonadvertiser.co.uk,edp24.co.uk,ee.co.za,elystandard.co.uk,eos.org,essexlifemag.co.uk,eveningnews24.co.uk,eveshamobserver.co.uk,exmouthherald.co.uk,exmouthjournal.co.uk,express.co.uk,expressandstar.com,fakenhamtimes.co.uk,farmprogress.com,foxbusiness.com,foxnews.com,ft.com,games.co.uk,gamesgames.com,gamesindustry.biz,gfi.com,gnovies.com,gravesendreporter.co.uk,greatbritishlife.co.uk,greatyarmouthmercury.co.uk,greenun24.co.uk,guardianonline.co.nz,guernseypress.com,gulfnews.com,hackneygazette.co.uk,hamhigh.co.uk,hampshire-life.co.uk,healthcanal.com,healthguru.com,healthinsurancedaily.com,herefordshirelife.co.uk,hertfordshirelife.co.uk,hertsad.co.uk,hollywoodreporter.com,hoteliermiddleeast.com,huntspost.co.uk,icaew.com,ilfordrecorder.co.uk,ipswichstar.co.uk,islingtongazette.co.uk,jerseyeveningpost.com,journeychristiannews.com,kent-life.co.uk,kentnews.co.uk,kumusika.co.zw,lancashirelife.co.uk,leamingtonobserver.co.uk,legendarypokemon.net,lgr.co.uk,livingedge.co.uk,lowestoftjournal.co.uk,malvernobserver.co.uk,medicalnewstoday.com,megasearch.co,midweekherald.co.uk,mmegi.bw,money-marketuk.com,morningstar.co.uk,msnbc.com,music-news.com,myfinances.co.uk,newhamrecorder.co.uk,newstalkzb.co.nz,newsweek.com,nine.com.au,ninemsn.com.au,norfolkmag.co.uk,northdevongazette.co.uk,northeastlifemag.co.uk,northnorfolknews.co.uk,northsomersettimes.co.uk,outdoorchannel.com,phnompenhpost.com,piccsy.com,pilotweb.aero,pinkun.com,radiosport.co.nz,realestate.co.nz,redditchstandard.co.uk,romfordrecorder.co.uk,royston-crow.co.uk,rugbyobserver.co.uk,saffronwaldenreporter.co.uk,shropshirelifemagazine.co.uk,shropshirestar.com,sidmouthherald.co.uk,skysports.com,solihullobserver.co.uk,somerset-life.co.uk,sowetanlive.co.za,sportingshooter.co.uk,sportspromedia.com,stowmarketmercury.co.uk,stratfordobserver.co.uk,sudburymercury.co.uk,suffolkmag.co.uk,sundayworld.co.za,surreylife.co.uk,sussexlife.co.uk,technewstoday.com,tenplay.com.au,the42.ie,thecomet.net,thegardener.co.za,thegayuk.com,thejournal.ie,thetribunepapers.com,thewestonmercury.co.uk,totalscifionline.com,travelchannel.com,trucksplanet.com,tvweek.com,usgamer.net,vg247.com,videogamer.com,warwickshirelife.co.uk,wattonandswaffhamtimes.co.uk,weddingsite.co.uk,westessexlife.co.uk,whtimes.co.uk,wiltshiremagazine.co.uk,winewizard.co.za,wisbechstandard.co.uk,worcesterobserver.co.uk,worcestershirelife.co.uk,wow247.co.uk,wymondhamandattleboroughmercury.co.uk,xfire.com,yorkshirelife.co.uk,yourchickens.co.uk##.advert
+98online.com,9news.com.au,abplive.in,africareview.com,airgunshooting.co.uk,airmalta.com,allghananews.com,anews.com.tr,angliaafloat.co.uk,arabianindustry.com,barkinganddagenhampost.co.uk,becclesandbungayjournal.co.uk,bexleytimes.co.uk,bitcoinzebra.com,blogto.com,bloomberg.com,bollywoodhungama.com,bromsgrovestandard.co.uk,burymercury.co.uk,cambstimes.co.uk,canalboat.co.uk,caribbeancinemas.com,cbc.ca,centralfm.co.uk,chemicalwatch.com,cheshirelife.co.uk,coastalscene24.co.uk,completefrance.com,cotswoldlife.co.uk,countrysmallholding.com,coventryobserver.co.uk,cranbrookherald.com,craveonline.com,crimemagazine.com,dailyedge.ie,dailysun.co.za,dawn.com,derbyshirelife.co.uk,derehamtimes.co.uk,designmena.com,devonlife.co.uk,directory247.co.uk,dissmercury.co.uk,dorsetmagazine.co.uk,droitwichstandard.co.uk,dunmowbroadcast.co.uk,eadt.co.uk,eastlondonadvertiser.co.uk,edp24.co.uk,ee.co.za,elystandard.co.uk,eos.org,essexlifemag.co.uk,eveningnews24.co.uk,eveshamobserver.co.uk,exmouthherald.co.uk,exmouthjournal.co.uk,express.co.uk,expressandstar.com,fakenhamtimes.co.uk,farmprogress.com,foxbusiness.com,foxnews.com,ft.com,games.co.uk,gamesgames.com,gamesindustry.biz,gfi.com,gnovies.com,gravesendreporter.co.uk,greatbritishlife.co.uk,greatyarmouthmercury.co.uk,greenun24.co.uk,guardianonline.co.nz,guernseypress.com,gulfnews.com,hackneygazette.co.uk,hamhigh.co.uk,hampshire-life.co.uk,healthcanal.com,healthguru.com,healthinsurancedaily.com,herefordshirelife.co.uk,hertfordshirelife.co.uk,hertsad.co.uk,hollywoodreporter.com,hoteliermiddleeast.com,huntspost.co.uk,icaew.com,ilfordrecorder.co.uk,ipswichstar.co.uk,islingtongazette.co.uk,jerseyeveningpost.com,journeychristiannews.com,kent-life.co.uk,kentnews.co.uk,kumusika.co.zw,lancashirelife.co.uk,leamingtonobserver.co.uk,legendarypokemon.net,lgr.co.uk,livingedge.co.uk,lowestoftjournal.co.uk,maltapark.com,malvernobserver.co.uk,medicalnewstoday.com,megasearch.co,midweekherald.co.uk,mmegi.bw,momjunction.com,money-marketuk.com,morningstar.co.uk,msnbc.com,music-news.com,myfinances.co.uk,newhamrecorder.co.uk,newstalkzb.co.nz,newsweek.com,nine.com.au,ninemsn.com.au,norfolkmag.co.uk,northdevongazette.co.uk,northeastlifemag.co.uk,northnorfolknews.co.uk,northsomersettimes.co.uk,outdoorchannel.com,phnompenhpost.com,piccsy.com,pilotweb.aero,pinkun.com,radiosport.co.nz,realestate.co.nz,redditchstandard.co.uk,romfordrecorder.co.uk,royston-crow.co.uk,rugbyobserver.co.uk,saffronwaldenreporter.co.uk,shropshirelifemagazine.co.uk,shropshirestar.com,sidmouthherald.co.uk,skysports.com,solihullobserver.co.uk,somerset-life.co.uk,sowetanlive.co.za,sportingshooter.co.uk,sportspromedia.com,stowmarketmercury.co.uk,stratfordobserver.co.uk,sudburymercury.co.uk,suffolkmag.co.uk,sundayworld.co.za,surreylife.co.uk,sussexlife.co.uk,technewstoday.com,tenplay.com.au,the42.ie,thecomet.net,thegardener.co.za,thegayuk.com,thejournal.ie,thetribunepapers.com,thewestonmercury.co.uk,totalscifionline.com,travelchannel.com,trucksplanet.com,tvweek.com,videogamer.com,warwickshirelife.co.uk,wattonandswaffhamtimes.co.uk,weddingsite.co.uk,westessexlife.co.uk,whtimes.co.uk,wiltshiremagazine.co.uk,winewizard.co.za,wisbechstandard.co.uk,worcesterobserver.co.uk,worcestershirelife.co.uk,wow247.co.uk,wymondhamandattleboroughmercury.co.uk,xfire.com,yorkshirelife.co.uk,yourchickens.co.uk##.advert
 bdaily.co.uk##.advert-wrapper + .columnist
 naldzgraphics.net##.advertBSA
-bandwidthblog.com,demerarawaves.com,eaglecars.com,earth911.com,pcmag.com,proporn.com,slodive.com,smartearningsecrets.com,smashingapps.com,theawesomer.com,theawesomer.comtar.com,weathernationtv.com##.advertise
+bandwidthblog.com,demerarawaves.com,eaglecars.com,earth911.com,hypable.com,pcmag.com,proporn.com,slodive.com,smartearningsecrets.com,smashingapps.com,theawesomer.com,theawesomer.comtar.com,weathernationtv.com##.advertise
 thepeninsulaqatar.com##.advertise-04
 thepeninsulaqatar.com##.advertise-05
 thepeninsulaqatar.com##.advertise-09
@@ -57758,7 +59170,7 @@ thepeninsulaqatar.com##.advertise-10
 dailyvoice.com##.advertise-with-us
 citysearch.com##.advertiseLink
 insiderpages.com##.advertise_with_us
-000webhost.com,1380thebiz.com,1520thebiz.com,1520wbzw.com,760kgu.biz,880thebiz.com,aarp.org,about.com,afro.com,allflicks.net,allpeliculas.com,allrecipes.com,am1260thebuzz.com,amctv.com,animax-asia.com,annahar.com,ap.org,araratadvertiser.com.au,areanews.com.au,armidaleexpress.com.au,avclub.com,avonadvocate.com.au,axn-asia.com,barossaherald.com.au,batemansbaypost.com.au,baysidebulletin.com.au,begadistrictnews.com.au,bellingencourier.com.au,bendigoadvertiser.com.au,benfergusonshow.com,betvasia.com,bigthink.com,biz1190.com,bizarremag.com,blacktownsun.com.au,blayneychronicle.com.au,bloomberg.com,bluemountainsgazette.com.au,boingboing.net,bombalatimes.com.au,boorowanewsonline.com.au,bordermail.com.au,braidwoodtimes.com.au,bravotv.com,bunburymail.com.au,business1110ktek.com,business1570.com,businessinsurance.com,busseltonmail.com.au,camdenadvertiser.com.au,camdencourier.com.au,canowindranews.com.au,capitalfm.co.ke,caranddriver.com,carrierethernetnews.com,centraladvocate.com.au,centralwesterndaily.com.au,cessnockadvertiser.com.au,christianradio.com,cinemablend.com,classicalmpr.org,classicandperformancecar.com,clickhole.com,colliemail.com.au,colypointobserver.com.au,competitor.com,conservativeradio.com,coomaexpress.com.au,cootamundraherald.com.au,cowraguardian.com.au,crainsnewyork.com,crookwellgazette.com.au,crosswalk.com,dailyadvertiser.com.au,dailygazette.com,dailyliberal.com.au,dailyrecord.com,dandenongjournal.com.au,defenceweb.co.za,di.fm,digiday.com,donnybrookmail.com.au,downloadcrew.com,dunedintv.co.nz,dungogchronicle.com.au,easternriverinachronicle.com.au,edenmagnet.com.au,elliottmidnews.com.au,esperanceexpress.com.au,essentialmums.co.nz,examiner.com.au,eyretribune.com.au,fairfieldchampion.com.au,fastcocreate.com,fastcodesign.com,financialcontent.com,finnbay.com,forbesadvocate.com.au,frankstonweekly.com.au,gazettextra.com,gematsu.com,gemtvasia.com,gififly.com,gippslandtimes.com.au,gleninnesexaminer.com.au,globest.com,gloucesteradvocate.com.au,goodcast.org,goondiwindiargus.com.au,goulburnpost.com.au,greatlakesadvocate.com.au,grenfellrecord.com.au,guyraargus.com.au,hardenexpress.com.au,hawkesburygazette.com.au,hcn.org,hepburnadvocate.com.au,hillsnews.com.au,hispanicbusiness.com,huffingtonpost.ca,huffingtonpost.co.uk,huffingtonpost.co.za,huffingtonpost.com,huffingtonpost.com.au,huffingtonpost.in,humeweekly.com.au,huntervalleynews.net.au,i-dressup.com,imgur.com,inverelltimes.com.au,irishtimes.com,jewishjournal.com,juneesoutherncross.com.au,kansas.com,katherinetimes.com.au,kdow.biz,kkol.com,knoxweekly.com.au,labx.com,lakesmail.com.au,lamag.com,latrobevalleyexpress.com.au,legion.org,lithgowmercury.com.au,liverpoolchampion.com.au,livestrong.com,livetennis.com,macarthuradvertiser.com.au,macedonrangesweekly.com.au,macleayargus.com.au,magtheweekly.com,mailtimes.com.au,maitlandmercury.com.au,mandurahmail.com.au,manningrivertimes.com.au,manoramaonline.com,margaretrivermail.com.au,maribyrnongweekly.com.au,marinmagazine.com,maroondahweekly.com.au,meltonweekly.com.au,merimbulanewsonline.com.au,merredinmercury.com.au,metservice.com,mocospace.com,monashweekly.com.au,money1055.com,mooneevalleyweekly.com.au,moreechampion.com.au,movies4men.co.uk,mprnews.org,mtvindia.com,mudgeeguardian.com.au,murrayvalleystandard.com.au,muswellbrookchronicle.com.au,myallcoastnota.com.au,nambuccaguardian.com.au,naroomanewsonline.com.au,narrominenewsonline.com.au,nashvillescene.com,nationalgeographic.com,nationalreview.com,newcastlestar.com.au,northernargus.com.au,northerndailyleader.com.au,northweststar.com.au,noted.co.nz,nvi.com.au,nynganobserver.com.au,nytimes.com,oann.com,oberonreview.com.au,onetvasia.com,onlinegardenroute.co.za,oxygen.com,parenthood.com,parkeschampionpost.com.au,parramattasun.com.au,pch.com,peninsulaweekly.com.au,penrithstar.com.au,plasticsnews.com,portlincolntimes.com.au,portnews.com.au,portpirierecorder.com.au,portstephensexaminer.com.au,praguepost.com,psychologytoday.com,queanbeyanage.com.au,racingbase.com,radioguide.fm,readamericanfootball.com,readarsenal.com,readastonvilla.com,readbasketball.com,readbetting.com,readbournemouth.com,readboxing.com,readbrighton.com,readbundesliga.com,readburnley.com,readcars.co,readceltic.com,readchampionship.com,readchelsea.com,readcricket.com,readcrystalpalace.com,readeverton.com,readeverything.co,readfashion.co,readfilm.co,readfood.co,readfootball.co,readgaming.co,readgolf.com,readhorseracing.com,readhuddersfield.com,readhull.com,readinternationalfootball.com,readlaliga.com,readleicester.com,readliverpoolfc.com,readmancity.com,readmanutd.com,readmiddlesbrough.com,readmma.com,readmotorsport.com,readmusic.co,readnewcastle.com,readnorwich.com,readnottinghamforest.com,readolympics.com,readpl.com,readrangers.com,readrugbyunion.com,readseriea.com,readshowbiz.co,readsouthampton.com,readsport.co,readstoke.com,readsunderland.com,readswansea.com,readtech.co,readtennis.co,readtottenham.com,readtv.co,readussoccer.com,readwatford.com,readwestbrom.com,readwestham.com,readwsl.com,redsharknews.com,rhsgnews.com.au,riverinaleader.com.au,rollcall.com,rollingstoneaus.com,roxbydownssun.com.au,rubbernews.com,sconeadvocate.com.au,sify.com,silverdoctors.com,singletonargus.com.au,smallbusiness.co.uk,sonychannel.co.za,sonychannelasia.com,sonymax.co.za,sonymoviechannel.co.uk,sonytv.com,southcoastregister.com.au,southernhighlandnews.com.au,southernweekly.com.au,southwestadvertiser.com.au,standard.net.au,star-telegram.com,stawelltimes.com.au,stmarysstar.com.au,stockandland.com.au,stonningtonreviewlocal.com.au,summitsun.com.au,suncitynews.com.au,sunjournal.com,sunraysiadaily.com.au,tennantcreektimes.com.au,tenterfieldstar.com.au,theadvocate.com,theadvocate.com.au,thebeachchannel.tv,thecatholicthing.org,thecourier.com.au,thecurrent.org,theflindersnews.com.au,theforecaster.net,theguardian.com.au,theherald.com.au,theislanderonline.com.au,theland.com.au,theleader.com.au,thenortherntimes.com.au,theridgenews.com.au,therural.com.au,thesportsmanchannel.com,thetriangle.org,tirebusiness.com,townandcountrymagazine.com.au,transcontinental.com.au,travelpulse.com,twincitiesbusinessradio.com,twitch.tv,ulladullatimes.com.au,vanityfair.com,victorharbortimes.com.au,villagesoup.com,waginargus.com.au,walchanewsonline.com.au,walworthcountytoday.com,washingtonexaminer.com,wauchopegazette.com.au,wellingtontimes.com.au,westcoastsentinel.com.au,westernadvocate.com.au,westernmagazine.com.au,whyallanewsonline.com.au,winghamchronicle.com.au,wollondillyadvertiser.com.au,woot.com,wsj.com,wyndhamweekly.com.au,yasstribune.com.au,yellow.co.ke,yellowpages.ca,ynaija.com,youngwitness.com.au##.advertisement
+000webhost.com,1380thebiz.com,1520thebiz.com,1520wbzw.com,760kgu.biz,880thebiz.com,aarp.org,about.com,afro.com,allflicks.net,allpeliculas.com,allrecipes.com,am1260thebuzz.com,amctv.com,animax-asia.com,annahar.com,ap.org,araratadvertiser.com.au,areanews.com.au,armidaleexpress.com.au,avclub.com,avonadvocate.com.au,axn-asia.com,barossaherald.com.au,batemansbaypost.com.au,baysidebulletin.com.au,begadistrictnews.com.au,bellingencourier.com.au,bendigoadvertiser.com.au,benfergusonshow.com,betvasia.com,bigthink.com,biz1190.com,bizarremag.com,blacktownsun.com.au,blayneychronicle.com.au,bloomberg.com,bluemountainsgazette.com.au,boingboing.net,bombalatimes.com.au,boorowanewsonline.com.au,bordermail.com.au,braidwoodtimes.com.au,bravotv.com,bunburymail.com.au,business1110ktek.com,business1570.com,businessinsurance.com,busseltonmail.com.au,camdenadvertiser.com.au,camdencourier.com.au,canowindranews.com.au,capitalfm.co.ke,caranddriver.com,carrierethernetnews.com,centraladvocate.com.au,centralwesterndaily.com.au,cessnockadvertiser.com.au,christianradio.com,cinemablend.com,classicalmpr.org,classicandperformancecar.com,clickhole.com,colliemail.com.au,colypointobserver.com.au,competitor.com,conservativeradio.com,coomaexpress.com.au,cootamundraherald.com.au,cowraguardian.com.au,crainsnewyork.com,crookwellgazette.com.au,crosswalk.com,dailyadvertiser.com.au,dailygazette.com,dailyliberal.com.au,dailyrecord.com,dandenongjournal.com.au,defenceweb.co.za,di.fm,digiday.com,donnybrookmail.com.au,downloadcrew.com,dunedintv.co.nz,dungogchronicle.com.au,easternriverinachronicle.com.au,edenmagnet.com.au,elliottmidnews.com.au,esperanceexpress.com.au,essentialmums.co.nz,evite.com,examiner.com.au,eyretribune.com.au,fairfieldchampion.com.au,fastcocreate.com,fastcodesign.com,financialcontent.com,finnbay.com,forbesadvocate.com.au,frankstonweekly.com.au,gazettextra.com,gematsu.com,gemtvasia.com,gififly.com,gippslandtimes.com.au,gleninnesexaminer.com.au,globest.com,gloucesteradvocate.com.au,goodcast.org,goondiwindiargus.com.au,goulburnpost.com.au,greatlakesadvocate.com.au,grenfellrecord.com.au,guyraargus.com.au,hardenexpress.com.au,hawkesburygazette.com.au,hcn.org,hepburnadvocate.com.au,hillsnews.com.au,hispanicbusiness.com,huffingtonpost.ca,huffingtonpost.co.uk,huffingtonpost.co.za,huffingtonpost.com,huffingtonpost.com.au,huffingtonpost.in,humeweekly.com.au,huntervalleynews.net.au,i-dressup.com,imgur.com,inverelltimes.com.au,irishtimes.com,jewishjournal.com,juneesoutherncross.com.au,kansas.com,katherinetimes.com.au,kdow.biz,kkol.com,knoxweekly.com.au,labx.com,lakesmail.com.au,lamag.com,latrobevalleyexpress.com.au,legion.org,lifezette.com,lithgowmercury.com.au,liverpoolchampion.com.au,livestrong.com,livetennis.com,macarthuradvertiser.com.au,macedonrangesweekly.com.au,macleayargus.com.au,magtheweekly.com,mailtimes.com.au,maitlandmercury.com.au,mandurahmail.com.au,manningrivertimes.com.au,manoramaonline.com,margaretrivermail.com.au,maribyrnongweekly.com.au,marinmagazine.com,maroondahweekly.com.au,meltonweekly.com.au,merimbulanewsonline.com.au,merredinmercury.com.au,metservice.com,mocospace.com,monashweekly.com.au,money1055.com,mooneevalleyweekly.com.au,moreechampion.com.au,movies4men.co.uk,mprnews.org,mtvindia.com,mudgeeguardian.com.au,murrayvalleystandard.com.au,muswellbrookchronicle.com.au,myallcoastnota.com.au,nambuccaguardian.com.au,naroomanewsonline.com.au,narrominenewsonline.com.au,nashvillescene.com,nationalgeographic.com,nationalreview.com,newcastlestar.com.au,northernargus.com.au,northerndailyleader.com.au,northweststar.com.au,noted.co.nz,nvi.com.au,nynganobserver.com.au,nytimes.com,oann.com,oberonreview.com.au,onetvasia.com,onlinegardenroute.co.za,oxygen.com,parenthood.com,parkeschampionpost.com.au,parramattasun.com.au,pch.com,peninsulaweekly.com.au,penrithstar.com.au,plasticsnews.com,portlincolntimes.com.au,portnews.com.au,portpirierecorder.com.au,portstephensexaminer.com.au,praguepost.com,psychologytoday.com,queanbeyanage.com.au,racingbase.com,radioguide.fm,readamericanfootball.com,readarsenal.com,readastonvilla.com,readbasketball.com,readbetting.com,readbournemouth.com,readboxing.com,readbrighton.com,readbundesliga.com,readburnley.com,readcars.co,readceltic.com,readchampionship.com,readchelsea.com,readcricket.com,readcrystalpalace.com,readeverton.com,readeverything.co,readfashion.co,readfilm.co,readfood.co,readfootball.co,readgaming.co,readgolf.com,readhorseracing.com,readhuddersfield.com,readhull.com,readinternationalfootball.com,readlaliga.com,readleicester.com,readliverpoolfc.com,readmancity.com,readmanutd.com,readmiddlesbrough.com,readmma.com,readmotorsport.com,readmusic.co,readnewcastle.com,readnorwich.com,readnottinghamforest.com,readolympics.com,readpl.com,readrangers.com,readrugbyunion.com,readseriea.com,readshowbiz.co,readsouthampton.com,readsport.co,readstoke.com,readsunderland.com,readswansea.com,readtech.co,readtennis.co,readtottenham.com,readtv.co,readussoccer.com,readwatford.com,readwestbrom.com,readwestham.com,readwsl.com,redsharknews.com,rhsgnews.com.au,riverinaleader.com.au,rollcall.com,rollingstoneaus.com,roxbydownssun.com.au,rubbernews.com,sconeadvocate.com.au,sify.com,silverdoctors.com,singletonargus.com.au,smallbusiness.co.uk,sonychannel.co.za,sonychannelasia.com,sonymax.co.za,sonymoviechannel.co.uk,sonytv.com,southcoastregister.com.au,southernhighlandnews.com.au,southernweekly.com.au,southwestadvertiser.com.au,standard.net.au,star-telegram.com,stawelltimes.com.au,stmarysstar.com.au,stockandland.com.au,stonningtonreviewlocal.com.au,summitsun.com.au,suncitynews.com.au,sunjournal.com,sunraysiadaily.com.au,tennantcreektimes.com.au,tenterfieldstar.com.au,the-scientist.com,theadvocate.com,theadvocate.com.au,thebeachchannel.tv,thecatholicthing.org,thecourier.com.au,thecurrent.org,theflindersnews.com.au,theforecaster.net,theguardian.com.au,theherald.com.au,theislanderonline.com.au,theland.com.au,theleader.com.au,thenortherntimes.com.au,theridgenews.com.au,therural.com.au,thesportsmanchannel.com,thetriangle.org,tirebusiness.com,townandcountrymagazine.com.au,transcontinental.com.au,travelpulse.com,twincitiesbusinessradio.com,twitch.tv,ulladullatimes.com.au,vanityfair.com,victorharbortimes.com.au,villagesoup.com,waginargus.com.au,walchanewsonline.com.au,walworthcountytoday.com,washingtonexaminer.com,wauchopegazette.com.au,wellingtontimes.com.au,westcoastsentinel.com.au,westernadvocate.com.au,westernmagazine.com.au,whyallanewsonline.com.au,winghamchronicle.com.au,wollondillyadvertiser.com.au,woot.com,wsj.com,wyndhamweekly.com.au,yasstribune.com.au,yellow.co.ke,yellowpages.ca,ynaija.com,youngwitness.com.au##.advertisement
 biggestplayer.me##.advertisement + [class]
 fieldandstream.com##.advertisement-fishing-contest
 firehouse.com,locksmithledger.com,officer.com,securityinfowatch.com##.advertisement:not(.body)
@@ -57780,8 +59192,8 @@ mail.google.com##.aeF > .nH > .nH[role="
 toptut.com##.af-form
 adventuregamers.com##.af_disclaimer
 independent.ng##.afc_popup
+gadgetsnow.com##.aff-link
 f1i.com##.affiche
-eurogamer.net##.affiliate
 movie4u.org##.affiliate-button
 allmovie.com##.affiliate-links
 macworld.co.uk##.affiliate-links__row--amazon
@@ -57806,8 +59218,10 @@ ebay.com##.al32
 news.com.au##.aldi-special-buys
 dlzware.com,javascript-coder.com,media1fire.com,megashare.com##.alert
 kcsoftwares.com##.alert-success
+fmovies.taxi##.alert-warning
 hbwm.com##.alignRight[style="margin-right:30px;color:#858585;"]
 empowernetwork.com##.align[bgcolor="#FCFA85"]
+allbusiness.com##.allbu-adlabel
 thestar.com##.alpha--big-box
 searchizz.com##.also_block
 speedtest.net##.alt-promo
@@ -57891,6 +59305,7 @@ gamerevolution.com##.aside-promo
 four11.com##.asmall_l
 four11.com##.asmall_r
 instructables.com##.aspace
+instructables.com##.aspace-wrap
 freeads.co.uk##.ass_ad
 javascriptsource.com##.asset-section
 southwestbusiness.co.uk##.associate-logo
@@ -57966,10 +59381,11 @@ izismile.com##.ban_top
 oxforddictionaries.com##.banbox
 hancinema.net##.bandeau_contenu
 webscribble.com##.baner
-1001tracklists.com,4music.com,90min.com,964eagle.co.uk,adage.com,adnkronos.com,adradio.ae,ameinfo.com,angryduck.com,anyclip.com,aol.com,arcadebomb.com,autofocus.ca,autoline-eu.co.uk,autoline-eu.co.za,autoline-eu.ie,autoline-market.ca,autoline-market.com,autoline.info,autotrader.co.za,b-metro.co.zw,balls.ie,bayt.com,betterrecipes.com,bikechatforums.com,billboard.com,blackamericaweb.com,bored-bored.com,boxoffice.com,bukisa.com,cadplace.co.uk,caribvision.tv,cineuropa.org,cmo.com.au,cnn.com,coryarcangel.com,daily-mail.co.zm,digitallook.com,dreamteamfc.com,dressuppink.com,echoroukonline.com,ecorporateoffices.com,egyptiangazette.net.eg,elyricsworld.com,entrepreneur.com,euobserver.com,eurochannel.com,everyday.com.kh,evilmilk.com,fantasyleague.com,fieldandstream.com,filenewz.com,fool.com,footballtradedirectory.com,forexpeacearmy.com,forum.dstv.com,freshbusinessthinking.com,freshtechweb.com,funpic.hu,gamebanshee.com,gamehouse.com,gamersbook.com,garfield.com,gatewaynews.co.za,general-catalog.com,general-files.com,general-video.net,generalfil.es,ghananation.com,girlsocool.com,globaltimes.cn,gsprating.com,guardianonline.co.nz,healthsquare.com,hitfreegames.com,hotfrog.ca,hotfrog.co.nz,hotfrog.co.uk,hotfrog.co.za,hotfrog.com,hotfrog.com.au,hotfrog.com.my,hotfrog.ie,hotfrog.in,hotfrog.ph,hotfrog.sg,hotnewhiphop.com,howard.tv,htxt.co.za,hyipexplorer.com,ibtimes.co.in,ibtimes.co.uk,iconfinder.com,iguide.to,imedicalapps.com,imnotobsessed.com,insidefutbol.com,internationalmeetingsreview.com,internetnews.com,iradio.ie,irishtimes.com,isource.com,japantimes.co.jp,jewishtimes.com,josepvinaixa.com,kbs.co.kr,keepcalm-o-matic.co.uk,ketknbc.com,kicknews.com,kijiji.ca,ktsm.com,kuwaittimes.net,leo.org,livescore.in,lmgtfy.com,londonstockexchange.com,manolith.com,mariopiperni.com,mmosite.com,motherboard.tv,motortrend.com,moviezadda.com,mzhiphop.com,naij.com,nehandaradio.com,netmums.com,networkworld.com,nontonanime.org,nuttymp3.com,oberlo.com,oceanup.com,oncyprus.com,oxforddictionaries.com,pdfmyurl.com,pharmatimes.com,pnet.co.za,postzambia.com,premierleague.com,priceviewer.com,proxyhttp.net,ptotoday.com,radiotoday.co.uk,radiotoday.ie,reference.com,residentadvisor.net,reversephonesearch.com.au,revolution935.com,romereports.com,scientificamerican.com,semiaccurate.com,smallseotools.com,smartcarfinder.com,snakkle.com,soccer24.co.zw,speedcafe.com,sportsvibe.co.uk,starradionortheast.co.uk,subscene.com,sumodb.com,sweeting.org,techfrag.com,tennis.com,thebull.com.au,thefanhub.com,thefringepodcast.com,thehill.com,thehun.com,thesaurus.com,thetriangle.org,time4tv.com,timeslive.co.za,timesofisrael.com,tmi.me,travelpulse.com,trutv.com,tvsquad.com,twirlit.com,umbrelladetective.com,universalmusic.com,ustream.tv,vice.com,victoriafalls24.com,viralnova.com,vnexpress.net,weather.gc.ca,weatheronline.co.uk,webfg.com,wego.com,whatsock.com,worldcrunch.com,xbiz.com,yellowbook.com,zbigz.com##.banner
+1001tracklists.com,2br.co.uk,4music.com,90min.com,964eagle.co.uk,adage.com,adnkronos.com,adradio.ae,ameinfo.com,angryduck.com,anyclip.com,aol.com,arcadebomb.com,autofocus.ca,autoline-eu.co.uk,autoline-eu.co.za,autoline-eu.ie,autoline-market.ca,autoline-market.com,autoline.info,autotrader.co.za,b-metro.co.zw,balls.ie,bayt.com,betterrecipes.com,bikechatforums.com,billboard.com,blackamericaweb.com,bored-bored.com,boxoffice.com,bukisa.com,cadplace.co.uk,caribvision.tv,cineuropa.org,cmo.com.au,cnn.com,coryarcangel.com,daily-mail.co.zm,digitallook.com,dreamteamfc.com,dressuppink.com,echoroukonline.com,ecorporateoffices.com,egyptiangazette.net.eg,elyricsworld.com,entrepreneur.com,euobserver.com,eurochannel.com,everyday.com.kh,evilmilk.com,fantasyleague.com,fieldandstream.com,filenewz.com,fool.com,footballtradedirectory.com,forexpeacearmy.com,forum.dstv.com,freshbusinessthinking.com,freshtechweb.com,funpic.hu,gamebanshee.com,gamehouse.com,gamersbook.com,garfield.com,gatewaynews.co.za,general-catalog.com,general-files.com,general-video.net,generalfil.es,ghananation.com,girlsocool.com,globaltimes.cn,gsprating.com,guardianonline.co.nz,healthsquare.com,hitfreegames.com,hotfrog.ca,hotfrog.co.nz,hotfrog.co.uk,hotfrog.co.za,hotfrog.com,hotfrog.com.au,hotfrog.com.my,hotfrog.ie,hotfrog.in,hotfrog.ph,hotfrog.sg,hotnewhiphop.com,howard.tv,htxt.co.za,hyipexplorer.com,ibtimes.co.in,ibtimes.co.uk,iconfinder.com,iguide.to,imedicalapps.com,imnotobsessed.com,insidefutbol.com,internationalmeetingsreview.com,internetnews.com,iradio.ie,irishtimes.com,isource.com,japantimes.co.jp,jewishtimes.com,josepvinaixa.com,kbs.co.kr,keepcalm-o-matic.co.uk,ketknbc.com,kicknews.com,kijiji.ca,ktsm.com,kuwaittimes.net,leo.org,livescore.in,lmgtfy.com,londonstockexchange.com,manolith.com,marinelink.com,mariopiperni.com,mercopress.com,mmosite.com,motherboard.tv,motortrend.com,moviezadda.com,mzhiphop.com,naij.com,nehandaradio.com,netmums.com,networkworld.com,nontonanime.org,nuttymp3.com,oberlo.com,oceanup.com,oncyprus.com,oxforddictionaries.com,pdfmyurl.com,pharmatimes.com,pnet.co.za,postzambia.com,premierleague.com,priceviewer.com,proxyhttp.net,ptotoday.com,radiotoday.co.uk,radiotoday.ie,reference.com,residentadvisor.net,reversephonesearch.com.au,revolution935.com,romereports.com,scientificamerican.com,semiaccurate.com,smallseotools.com,smartcarfinder.com,snakkle.com,soccer24.co.zw,speedcafe.com,sportsvibe.co.uk,starradionortheast.co.uk,subscene.com,sumodb.com,sweeting.org,techfrag.com,tennis.com,thebull.com.au,thefanhub.com,thefringepodcast.com,thehill.com,thehun.com,thesaurus.com,thetriangle.org,time4tv.com,timeslive.co.za,timesofisrael.com,tmi.me,travelpulse.com,trutv.com,tvsquad.com,twirlit.com,umbrelladetective.com,universalmusic.com,ustream.tv,vice.com,victoriafalls24.com,viralnova.com,vnexpress.net,weather.gc.ca,weatheronline.co.uk,webfg.com,wego.com,whatsock.com,worldcrunch.com,xbiz.com,yellowbook.com,zbigz.com##.banner
 autotrader.co.uk##.banner--7th-position
 autotrader.co.uk##.banner--leaderboard
 autotrader.co.uk##.banner--skyscraper
+onlineradiobox.com##.banner--vertical
 ariacharts.com.au,nation.sc,robinwidget.com,techshout.com##.banner-1
 nation.sc,robinwidget.com##.banner-2
 dailynewsegypt.com##.banner-250
@@ -57978,6 +59394,7 @@ nbcsports.com,onrpg.com,usahealthcaregui
 alltop.com##.banner-background
 schoolguide.co.za##.banner-bar
 schoolguide.co.za##.banner-bar-bot
+pretoria.co.za##.banner-bg
 luxgallery.com##.banner-big-cotent
 naturalnewsblogs.com,yellowpages.com.lb##.banner-box
 1027dabomb.net##.banner-btf
@@ -58087,7 +59504,7 @@ timesofoman.com##.bannerbox2
 fashionotes.com##.bannerclick
 arcadebomb.com##.bannerext
 breakfreemovies.com,fifaembed.com,nowwatchtvlive.com,tvbay.org##.bannerfloat
-2merkato.com,2mfm.org,aps.dz,armyrecognition.com,beginlinux.com,brecorder.com,caravansa.co.za,dailynews.co.tz,eatdrinkexplore.com,epgn.com,eprop.co.za,fleetwatch.co.za,gameofthrones.net,i-programmer.info,killerdirectory.com,knowthecause.com,maravipost.com,mbc.mw,mousesteps.com,onislam.net,paris-update.com,radio90fm.com,radiolumiere.org,radiowave.com.na,rainbowpages.lk,rhylfc.co.uk,rtc107fm.com,russianireland.com,sa4x4.co.za,seatrade-cruise.com,soccer24.co.zw,thebankangler.com,thepatriot.co.bw,thesentinel.com,total-croatia-news.com,tribune.net.ph,triplehfm.com.au,vidipedia.org##.bannergroup
+2merkato.com,2mfm.org,aps.dz,armyrecognition.com,beginlinux.com,brecorder.com,caravansa.co.za,cbn.co.za,dailynews.co.tz,eatdrinkexplore.com,epgn.com,eprop.co.za,fleetwatch.co.za,gameofthrones.net,i-programmer.info,irishradio.com,killerdirectory.com,knowthecause.com,maravipost.com,mbc.mw,mousesteps.com,onislam.net,pamplinmedia.com,paris-update.com,portlandtribune.com,radio90fm.com,radiolumiere.org,radiowave.com.na,rainbowpages.lk,rhylfc.co.uk,rtc107fm.com,russianireland.com,sa4x4.co.za,seatrade-cruise.com,soccer24.co.zw,thebankangler.com,thepatriot.co.bw,thesentinel.com,total-croatia-news.com,tribune.net.ph,triplehfm.com.au,vidipedia.org##.bannergroup
 brecorder.com##.bannergroup_box
 vidipedia.org##.bannergroup_menu
 malaysiandigest.com##.bannergroup_sideBanner2
@@ -58102,7 +59519,7 @@ mtvindia.com##.bannermain2
 techspot.com##.bannernav
 nerdist.com##.bannerplaceholder
 digitalproductionme.com,racing-games.com,widih.org##.bannerright
-c21media.net,carfinderph.com,classicsdujour.com,igirlsgames.com,jobstreet.com.my,jobstreet.com.sg,kdoctv.net,lolroflmao.com,mumbrella.com.au,mysteriousuniverse.org,phuketgazette.net,rapidtvnews.com,sheknows.com,smallseotools.com,telesurtv.net##.banners
+c21media.net,carfinderph.com,classicsdujour.com,igirlsgames.com,jobstreet.com.my,jobstreet.com.sg,kdoctv.net,lolroflmao.com,marinetechnologynews.com,maritimeprofessional.com,mumbrella.com.au,mysteriousuniverse.org,phuketgazette.net,rapidtvnews.com,sheknows.com,smallseotools.com,telesurtv.net##.banners
 joburgstyle.co.za##.banners-125
 wlrfm.com##.banners-bottom-a
 codecs.com##.banners-right
@@ -58193,6 +59610,7 @@ uvnc.com##.black + table[cellspacing="0"
 nowsci.com##.black_overlay
 kioskea.net##.bloc_09
 overwatchhentai.net##.block
+interest.co.nz##.block--dfp-setup
 jobmail.co.za##.block-AdsByJobMail
 ap.org##.block-ap-google-adwords
 taxsutra.com##.block-banner
@@ -58257,6 +59675,8 @@ euroweek.com##.bnr-top
 carnewschina.com##.bnr728
 informer.com##.bnr_block
 armenpress.am##.bnrcontainer
+teslarati.com##.boa-message
+southerntimesafrica.com##.body-header-banner
 cheatcc.com##.body-side-banner
 billboard.biz##.bodyContent[style="padding-bottom:30px; text-align: center"]
 royalbank.com##.bodyPromotion
@@ -58265,6 +59685,7 @@ venturebeat.com##.boilerplate-label
 venturebeat.com##.boilerplate-speedbump
 barrons.com##.boldGreyNine
 frommers.com##.book-a-trip
+euronews.com##.book-flight
 f1i.com##.booking
 biblegateway.com##.bookperks-section
 cmo.com.au,interiordesign.net##.boombox
@@ -58333,6 +59754,7 @@ bmwblog.com##.box_banners_125
 al.com,cleveland.com,masslive.com,mlive.com,nj.com,nola.com,pennlive.com##.box_grayoutline
 findicons.com##.box_info
 ashampoo.com##.box_recommend2
+zambianeye.com##.box_skitter
 lyricsmania.com##.boxcontent1
 elitistjerks.com##.boxl0aded
 activistpost.com##.boxzilla-container
@@ -58385,7 +59807,9 @@ clip.dj##.btnDownloadRingtone
 whosampled.com##.btnRingtoneTrack
 wrc.com##.btns
 wrc.com##.btnswf
+boredomtherapy.com##.btparel1
 gizmodo.com.au##.btyb_cat
+hltv.org##.buff-box
 wired.com##.builder-section-ad
 whitepages.com##.business_premium_container_top
 switchboard.com,whitepages.com##.business_premium_results
@@ -58417,6 +59841,7 @@ guanabee.com##.buzzfeedSubColPod
 stlmag.com##.buzzworthy
 getthekick.eu##.bx-wrapper
 buzzillions.com##.bz-model-lrec
+afl.com.au##.c-accordion__item-officialpartners
 planetrock.com##.c-leaderboard-wrapper
 farmanddairy.com##.c-position-in-story
 businessdailyafrica.com,theeastafrican.co.ke##.c15r
@@ -58626,6 +60051,7 @@ techrepublic.com##.content-top-mpu
 gizmochina.com##.content-top-wrapper
 yellowpages.bw,yellowpages.co.ls,yellowpages.co.zm##.contentBannerHolderLarge
 girlsgogames.com##.contentListSkycontainer
+ancient-origins.net##.content_add_block
 kohit.net##.content_banner_right
 gamefront.com##.content_bottom_cap
 laradiofm.com##.content_div3
@@ -58653,6 +60079,7 @@ wnst.net##.coupon_block
 ftadviser.com##.cpdSponsored
 afr.com##.cq-sponsored-content
 politicalwire.com##.cqheadlinebox
+mtvema.com##.crazy-sponsorships
 merriam-webster.com##.creative-300_BOT-container
 merriam-webster.com##.creative-300_TOP-container
 plus.im##.creativeWrapper
@@ -58667,6 +60094,7 @@ candystand.com##.cs_wide_banner
 carsales.com.au##.csn-ad-preload
 reverb.com##.csp-embedded-card
 vitorrent.net##.css_btn_class_fast
+systemrequirementslab.com##.cta-button
 columbian.com##.cta[style="margin-top: -10px;"]
 terra.com##.ctn-tgm-bottom-holder
 funny.com##.ctnAdBanner
@@ -58681,6 +60109,7 @@ thestandard.com.ph##.custom-sidebar-bloc
 malwarehelp.org##.custom_1_box
 annistonstar.com##.custom_hot_deal_image
 jobhits.co.uk##.cvads
+futurecurrencyforecast.com##.cwc-tor-widget
 glumbouploads.com##.d0_728
 thomasnet.com##.da
 diply.com##.da-disclaimer
@@ -58817,12 +60246,14 @@ vcdq.com##.dp-widget
 9gag.com##.dpa-300
 9gag.com##.dpa-728
 equestriadaily.com##.drgwefowiehfoiwe
+systemrequirementslab.com##.driveragent
 ashampoo.com##.driverupdater
 journalnow.com##.dt_mod
 digitaltrends.com##.dtads-slot
 googleping.com,search.com##.dtext
 darkreading.com##.dualRight
 bloomberg.com##.dvz-widget-sponsor
+msn.com##.dynamicRRWrapper
 webmd.com##.dynbm_wrap
 techraptor.net,watchreport.com##.e3lan300_250-widget
 euractiv.com##.ea-gat-slot-wrapper
@@ -58833,11 +60264,13 @@ psu.com##.ebayh1
 gumtree.com##.ecn-display-block
 ecosia.org##.ecolink-search-result
 teenvogue.com##.ecom-placement
+theblaze.com##.ecomm-widget
 segmentnext.com##.ecommerce-data
 smashingmagazine.com##.ed
 smashingmagazine.com##.ed-us
 timeoutabudhabi.com##.editoral_banner
 businessinsider.com.au##.editorial-aside
+newagebd.net##.editorialMid
 dailymail.co.uk##.editors-choice.ccox.link-ccox.linkro-darkred
 experts-exchange.com##.eeAD
 notebooks.com##.efbleft
@@ -58887,11 +60320,12 @@ nytimes.com##.expediaBooking
 mercurynews.com##.expertBox
 bestvpn.com##.expressvpn-box
 ddlvalley.net##.ext-link
-leadership.ng##.external
+gizchina.com,leadership.ng##.external
 smithsonianmag.com##.external-associated
 smithsonianmag.com##.external-associated-products
 realestate.co.nz##.externalLinkBar
 ludokado.com##.external_revenue_accueil
+racedepartment.com##.extraFooter
 thefinancialexpress-bd.com##.extraLink
 tucows.com##.f11
 india.com##.fBannerAside
@@ -58905,6 +60339,7 @@ themoviedb.org##.fanhattan
 might.net##.fat-container
 smarter.com##.favboxmiddlesearch
 smarter.com##.favwrapper
+finder.com.au##.fbbHero
 tormovies.org##.fbd-banner
 sharkscope.com##.fbstyle
 theguardian.com##.fc-slice__item--mpu-candidate
@@ -58918,7 +60353,7 @@ ghanaweb.com##.featLks
 reason.com##.feature
 wowheadnews.com##.feature-aside
 mumbrella.com.au##.featureBanner
-findthatfile.com,lifestyle.yahoo.com,simplyhired.com,yellowpages.com##.featured
+aubizbuysell.com.au,findthatfile.com,lifestyle.yahoo.com,nzbizbuysell.co.nz,nzcommercial.co.nz,nzfranchises.co.nz,simplyhired.com,yellowpages.com##.featured
 recombu.com##.featured-deal
 sidereel.com##.featured-episode-link
 everydayhealth.com##.featured-group
@@ -58974,6 +60409,7 @@ zylom.com##.floor_wrapper
 htmldog.com##.flower
 amctheatres.com##.flt-ad-strut
 adcrun.ch,bc.vc##.fly_frame
+globalnews.ca##.flyer-info
 calgaryherald.com,edmontonjournal.com,leaderpost.com,lfpress.com,montrealgazette.com,ottawacitizen.com,thestarphoenix.com,vancouversun.com,windsorstar.com##.flyers-header
 brandonsun.com,winnipegfreepress.com##.flyertown_spotlight
 futurenet.club##.fn-banner
@@ -58994,6 +60430,7 @@ africasports.net##.footer-columns
 standardmedia.co.ke##.footer-full-banner
 foxsports.com##.footer-image
 931dapaina.com,elitetraveler.com##.footer-leaderboard
+earthsky.org##.footer-leaderboard-wrapper
 ferrari.com##.footer-main__sponsors
 thecinemasource.com##.footer-marketgid
 supercars.com##.footer-promo
@@ -59066,7 +60503,7 @@ whatismybrowser.com##.funholderleaderboa
 mattgemmell.com##.fusion_attrib_footer
 chrisbrownworld.com,myplay.com##.fwas300x250
 masterworksbroadway.com##.fwas728x90_top
-chronicle.gi,newsday.co.zw,one.com.mt,southerneye.co.zw,theindependent.co.zw,thestandard.co.zw##.g
+chronicle.gi,dallasvoice.com,newsday.co.zw,one.com.mt,southerneye.co.zw,theindependent.co.zw,thestandard.co.zw##.g
 thelakewoodscoop.com##.g-col > a
 nofilmschool.com##.g-leader
 cnx-software.com,thegolfnewsnet.com##.g-single
@@ -59173,7 +60610,9 @@ css3generator.com##.gotta-pay-the-bills
 radioinsight.com##.gp-leader
 disney.com##.gpt
 autotrader.co.uk##.gpt-banner--billboard-container
+sportinglife.com##.gpt-container
 dictionary.com##.gpt-content-wrapper
+townhall.com##.gpt-header
 dailypost.co.uk##.gpt-sticky-sidebar
 belfasttelegraph.co.uk##.grabOnePromo
 twentytwowords.com##.gray-fullwidth
@@ -59228,10 +60667,11 @@ mariopiperni.com,tmrzoo.com##.headbanner
 inverse.com##.header
 ynaija.com##.header-728
 worldpress.org##.header-b
-americanfreepress.net,freemalaysiatoday.com,gameplayinside.com,hotfrog.co.uk,islamchannel.tv,ksstradio.com,landandfarm.com,mashable.com,myrecipes.com,pointblanknews.com,soccer24.co.zw,wow247.co.uk##.header-banner
+americanfreepress.net,cookinglight.com,freemalaysiatoday.com,gameplayinside.com,hotfrog.co.uk,islamchannel.tv,ksstradio.com,landandfarm.com,mashable.com,myrecipes.com,pointblanknews.com,soccer24.co.zw,wow247.co.uk##.header-banner
 fansided.com,winteriscoming.net##.header-billboard
 vapingunderground.com##.header-block
 worldpress.org##.header-bnr
+playnj.com##.header-bonus
 kveller.com##.header-bottom
 thedailystar.net##.header-bottom-adds
 gamecoupongrid.com##.header-feature
@@ -59294,6 +60734,7 @@ netweather.tv##.home300250
 greatdaygames.com##.home_Right_bg
 pbs.org##.home__logo-pond
 wpbt2.org##.home_banners
+gadgetsnow.com##.home_ed300
 hpe.com##.home_leaderboard
 justdubs.tv##.home_leftsidbar_add
 traileraddict.com##.home_page > div > :first-child + *
@@ -59331,6 +60772,7 @@ rte.ie##.hp-mpu
 huffingtonpost.com##.hp-ss-leaderboard
 surfline.com##.hp_camofday-ad
 itp.net##.hpbanner
+theoutline.com##.hpe-card
 blog.recruitifi.com##.hs-cta-wrapper
 filetram.com##.hsDownload
 usatodayhss.com##.hss-background-link
@@ -59344,6 +60786,7 @@ channelinsider.com##.html_module
 helpwithsmoking.com##.hws
 extremetech.com##.hybrid-bar + div
 f1i.com##.hype
+artstation.com##.i-love-artstation
 animenewsnetwork.co.uk,animenewsnetwork.com##.iab
 break.com##.iab-300x250
 break.com##.iab-label
@@ -59412,6 +60855,7 @@ pixdaus.com##.inlineBanner
 pcgamesn.com##.inlineMPUs
 9to5google.com,9to5mac.com,9to5toys.com,electrek.co##.inlinead + * > div > img
 9to5google.com,9to5mac.com,9to5toys.com,electrek.co##.inlinead + [class]
+pcgamesn.com##.inlinerail
 brightsideofnews.com##.inner-banner-72890
 cartoonnetwork.com##.inner266
 medical-hypotheses.com##.innerBanner
@@ -59464,9 +60908,11 @@ ninemsn.com.au##.jobsearchBox
 radiotoday.com.au##.jobsstyle
 toorgle.net##.join
 inews.co.uk##.jp-slot
+marinelink.com,maritimepropulsion.com,yachtingjournal.com##.jq-banner
 buzzfeed.com##.js-bfa-impression
 haaretz.com##.js-clickTracker-for-addBlocker
 mixcloud.com##.js-dfp-mpu
+finder.com.au##.js-sitewide-banner
 theguardian.com##.js-sticky-mpu
 theguardian.com##.js-top-banner
 careerbuilder.com##.jsHomeSpotBanner
@@ -59508,10 +60954,11 @@ txfm.ie##.last_10Buy
 afterdawn.com##.last_forum_mainos
 restaurants.com##.latad
 espn.co.uk,espncricinfo.com##.latest_sports630
+flatuicolors.com##.launchers
 aniscartujo.com##.layer_main
 iwradio.co.uk##.layerslider_widget
 independent.co.uk,standard.co.uk##.layout-component-ines-sponsored-features-sidebar
-flava.co.nz,hauraki.co.nz,mixonline.co.nz,newstalkzb.co.nz,thehits.co.nz,zmonline.com##.layout__background
+flava.co.nz,hauraki.co.nz,mixonline.co.nz,newstalkzb.co.nz,radiosport.co.nz,thehits.co.nz,zmonline.com##.layout__background
 pastebin.com##.layout_clear
 milesplit.com##.lb
 etonline.com##.lb_bottom
@@ -59524,6 +60971,7 @@ lankabusinessonline.com##.lbo-ad-home-30
 itp.net##.lboard
 pcmag.com##.lbwidget
 politifact.com##.ldrbd
+cnet.com##.leadWrap
 hotscripts.com,techrepublic.com,theatermania.com,thepcguild.com##.leader
 divamag.co.uk,pc-specs.com,readmetro.com##.leader-board
 interaksyon.com##.leader-board-1
@@ -59540,7 +60988,7 @@ expertreviews.co.uk##.leaderLeft
 expertreviews.co.uk##.leaderRight
 bakercityherald.com##.leaderTop
 freelanceswitch.com,stockvault.net,tutsplus.com##.leader_board
-1019thewolf.com,1047.com.au,2dayfm.com.au,2gofm.com.au,2mcfm.com.au,2rg.com.au,2wg.com.au,420careers.com,4tofm.com.au,923thefox.com,929.com.au,953srfm.com.au,9to5google.com,9to5mac.com,9to5toys.com,abajournal.com,abovethelaw.com,adn.com,advosports.com,adyou.me,androidfirmwares.net,aroundosceola.com,autoaction.com.au,autos.ca,autotrader.ca,ballstatedaily.com,baydriver.co.nz,bellinghamherald.com,bestproducts.com,birdmanstunna.com,blitzcorner.com,bnd.com,bradenton.com,browardpalmbeach.com,cantbeunseen.com,carynews.com,centredaily.com,chairmanlol.com,citymetric.com,citypages.com,claytonnewsstar.com,clgaming.net,clicktogive.com,cnet.com,coastandcountrynews.co.nz,cokeandpopcorn.com,commercialappeal.com,cosmopolitan.co.uk,cosmopolitan.com,cosmopolitan.in,cosmopolitan.ng,courierpress.com,cprogramming.com,dailynews.co.zw,dailysport.co.uk,dallasobserver.com,designtaxi.com,digitalspy.com,digitaltrends.com,diply.com,directupload.net,dispatch.com,diyfail.com,docspot.com,donchavez.com,driving.ca,dummies.com,edmunds.com,electrek.co,elle.com,elledecor.com,energyvoice.com,enquirerherald.com,esquire.com,explainthisimage.com,expressandstar.com,film.com,foodista.com,fortmilltimes.com,forums.thefashionspot.com,fox.com.au,fox1150.com,fresnobee.com,funnyexam.com,funnytipjars.com,galatta.com,gamerevolution.com,gamesindustry.biz,gamesville.com,geek.com,givememore.com.au,gmanetwork.com,goldenpages.be,goldfm.com.au,goodhousekeeping.com,gosanangelo.com,guernseypress.com,hardware.info,harpersbazaar.com,heart1073.com.au,heatworld.com,hemmings.com,heraldonline.com,hi-mag.com,hit105.com.au,hit107.com,hot1035.com,hot1035radio.com,hotfm.com.au,hourdetroit.com,housebeautiful.com,houstonpress.com,hypegames.com,iamdisappoint.com,idahostatesman.com,idello.org,imedicalapps.com,independentmail.com,indie1031.com,intomobile.com,ioljobs.co.za,irishexaminer.com,islandpacket.com,itnews.com.au,itproportal.com,japanisweird.com,jdpower.com,jerseyeveningpost.com,kentucky.com,keysnet.com,kidspot.com.au,kitsapsun.com,knoxnews.com,kofm.com.au,lakewyliepilot.com,laweekly.com,ledger-enquirer.com,legion.org,lgbtqnation.com,lightreading.com,lolhome.com,lonelyplanet.com,lsjournal.com,mac-forums.com,macon.com,mapcarta.com,marieclaire.com,marinmagazine.com,mcclatchydc.com,medicalnewstoday.com,mercedsunstar.com,meteovista.co.uk,meteovista.com,miaminewtimes.com,mix.com.au,modbee.com,monocle.com,morefailat11.com,myrtlebeachonline.com,nameberry.com,naplesnews.com,nature.com,nbl.com.au,newarkrbp.org,newsobserver.com,nowtoronto.com,nxfm.com.au,objectiface.com,onnradio.com,openfile.ca,organizedwisdom.com,overclockers.com,passedoutphotos.com,pehub.com,peoplespharmacy.com,perfectlytimedphotos.com,phoenixnewtimes.com,photographyblog.com,pinknews.co,pinknews.co.uk,pons.com,pons.eu,popularmechanics.com,pressherald.com,radiowest.com.au,readamericanfootball.com,readarsenal.com,readastonvilla.com,readbasketball.com,readbetting.com,readbournemouth.com,readboxing.com,readbrighton.com,readbundesliga.com,readburnley.com,readcars.co,readceltic.com,readchampionship.com,readchelsea.com,readcricket.com,readcrystalpalace.com,readeverton.com,readeverything.co,readfashion.co,readfilm.co,readfood.co,readfootball.co,readgaming.co,readgolf.com,readhorseracing.com,readhuddersfield.com,readhull.com,readinternationalfootball.com,readlaliga.com,readleicester.com,readliverpoolfc.com,readmancity.com,readmanutd.com,readmiddlesbrough.com,readmma.com,readmotorsport.com,readmusic.co,readnewcastle.com,readnorwich.com,readnottinghamforest.com,readolympics.com,readpl.com,readrangers.com,readrugbyunion.com,readseriea.com,readshowbiz.co,readsouthampton.com,readsport.co,readstoke.com,readsunderland.com,readswansea.com,readtech.co,readtennis.co,readtottenham.com,readtv.co,readussoccer.com,readwatford.com,readwestbrom.com,readwestham.com,readwsl.com,rebubbled.com,recode.net,redding.com,reporternews.com,roadandtrack.com,roadrunner.com,roulettereactions.com,rr.com,sacarfan.co.za,sanluisobispo.com,scifinow.co.uk,seafm.com.au,searchenginesuggestions.com,shinyshiny.tv,shitbrix.com,shocktillyoudrop.com,shropshirestar.com,slashdot.org,slideshare.net,southerncrossten.com.au,space.com,spacecast.com,sparesomelol.com,spoiledphotos.com,sportsnet.ca,sportsvite.com,starfm.com.au,stopdroplol.com,straitstimes.com,stripes.com,stv.tv,sunfm.com.au,sunherald.com,supersport.com,tattoofailure.com,tbreak.com,tcpalm.com,techdigest.tv,techzim.co.zw,terra.com,thamesradio.london,theatermania.com,thecrimson.com,thehollywoodgossip.com,thejewishnews.com,thenationalstudent.com,thenewstribune.com,theolympian.com,therangecountry.com.au,theriver.com.au,theskanner.com,thestar.com.my,thestate.com,timescolonist.com,timesrecordnews.com,titantv.com,treehugger.com,tri-cityherald.com,triplem.com.au,triplemclassicrock.com,tvfanatic.com,uswitch.com,vcstar.com,villagevoice.com,vivastreet.co.uk,vr-zone.com,walyou.com,washingtonpost.com,waterline.co.nz,westword.com,whatsonstage.com,where.ca,wired.com,yodawgpics.com,yoimaletyoufinish.com##.leaderboard
+1019thewolf.com,1047.com.au,2dayfm.com.au,2gofm.com.au,2mcfm.com.au,2rg.com.au,2wg.com.au,420careers.com,4tofm.com.au,923thefox.com,929.com.au,953srfm.com.au,9to5google.com,9to5mac.com,9to5toys.com,abajournal.com,abovethelaw.com,adn.com,advosports.com,adyou.me,androidfirmwares.net,aroundosceola.com,autoaction.com.au,autos.ca,autotrader.ca,ballstatedaily.com,baydriver.co.nz,bellinghamherald.com,bestproducts.com,birdmanstunna.com,blitzcorner.com,bnd.com,bradenton.com,browardpalmbeach.com,cantbeunseen.com,carynews.com,centredaily.com,chairmanlol.com,citymetric.com,citypages.com,claytonnewsstar.com,clgaming.net,clicktogive.com,cnet.com,coastandcountrynews.co.nz,cokeandpopcorn.com,commercialappeal.com,cosmopolitan.co.uk,cosmopolitan.com,cosmopolitan.in,cosmopolitan.ng,courierpress.com,cprogramming.com,dailynews.co.zw,dailysport.co.uk,dallasobserver.com,designtaxi.com,digitalspy.com,digitaltrends.com,diply.com,directupload.net,dispatch.com,diyfail.com,docspot.com,donchavez.com,driving.ca,dummies.com,edmunds.com,electrek.co,elle.com,elledecor.com,energyvoice.com,enquirerherald.com,esquire.com,explainthisimage.com,expressandstar.com,film.com,foodista.com,fortmilltimes.com,forums.thefashionspot.com,fox.com.au,fox1150.com,fresnobee.com,funnyexam.com,funnytipjars.com,galatta.com,gamerevolution.com,gamesindustry.biz,gamesville.com,geek.com,givememore.com.au,gmanetwork.com,goldenpages.be,goldfm.com.au,goodhousekeeping.com,gosanangelo.com,guernseypress.com,hardware.info,harpersbazaar.com,heart1073.com.au,heatworld.com,hemmings.com,heraldonline.com,hi-mag.com,hit105.com.au,hit107.com,hot1035.com,hot1035radio.com,hotfm.com.au,hourdetroit.com,housebeautiful.com,houstonpress.com,hypegames.com,iamdisappoint.com,idahostatesman.com,idello.org,imedicalapps.com,independentmail.com,indie1031.com,intomobile.com,ioljobs.co.za,irishexaminer.com,islandpacket.com,itnews.com.au,itproportal.com,japanisweird.com,jdpower.com,jerseyeveningpost.com,kentucky.com,keysnet.com,kidspot.com.au,kitsapsun.com,knoxnews.com,kofm.com.au,lakewyliepilot.com,laweekly.com,ledger-enquirer.com,legion.org,lgbtqnation.com,lifezette.com,lightreading.com,lolhome.com,lonelyplanet.com,lsjournal.com,mac-forums.com,macon.com,mapcarta.com,marieclaire.co.za,marieclaire.com,marinmagazine.com,mcclatchydc.com,medicalnewstoday.com,mercedsunstar.com,meteovista.co.uk,meteovista.com,miaminewtimes.com,mix.com.au,modbee.com,monocle.com,morefailat11.com,myrtlebeachonline.com,nameberry.com,naplesnews.com,nature.com,nbl.com.au,newarkrbp.org,newsobserver.com,nowtoronto.com,nxfm.com.au,objectiface.com,onnradio.com,openfile.ca,organizedwisdom.com,overclockers.com,passedoutphotos.com,pehub.com,peoplespharmacy.com,perfectlytimedphotos.com,phoenixnewtimes.com,photographyblog.com,pinknews.co,pinknews.co.uk,pons.com,pons.eu,popularmechanics.com,pressherald.com,radiowest.com.au,readamericanfootball.com,readarsenal.com,readastonvilla.com,readbasketball.com,readbetting.com,readbournemouth.com,readboxing.com,readbrighton.com,readbundesliga.com,readburnley.com,readcars.co,readceltic.com,readchampionship.com,readchelsea.com,readcricket.com,readcrystalpalace.com,readeverton.com,readeverything.co,readfashion.co,readfilm.co,readfood.co,readfootball.co,readgaming.co,readgolf.com,readhorseracing.com,readhuddersfield.com,readhull.com,readinternationalfootball.com,readlaliga.com,readleicester.com,readliverpoolfc.com,readmancity.com,readmanutd.com,readmiddlesbrough.com,readmma.com,readmotorsport.com,readmusic.co,readnewcastle.com,readnorwich.com,readnottinghamforest.com,readolympics.com,readpl.com,readrangers.com,readrugbyunion.com,readseriea.com,readshowbiz.co,readsouthampton.com,readsport.co,readstoke.com,readsunderland.com,readswansea.com,readtech.co,readtennis.co,readtottenham.com,readtv.co,readussoccer.com,readwatford.com,readwestbrom.com,readwestham.com,readwsl.com,rebubbled.com,recode.net,redding.com,reporternews.com,roadandtrack.com,roadrunner.com,roulettereactions.com,rr.com,sacarfan.co.za,sanluisobispo.com,scifinow.co.uk,seafm.com.au,searchenginesuggestions.com,shinyshiny.tv,shitbrix.com,shocktillyoudrop.com,shropshirestar.com,slashdot.org,slideshare.net,southerncrossten.com.au,space.com,spacecast.com,sparesomelol.com,spoiledphotos.com,sportsnet.ca,sportsvite.com,starfm.com.au,stopdroplol.com,straitstimes.com,stripes.com,stv.tv,sunfm.com.au,sunherald.com,supersport.com,tattoofailure.com,tbreak.com,tcpalm.com,techdigest.tv,techzim.co.zw,terra.com,thamesradio.london,theatermania.com,thecrimson.com,thehollywoodgossip.com,thejewishnews.com,thenationalstudent.com,thenewstribune.com,theolympian.com,therangecountry.com.au,theriver.com.au,theskanner.com,thestar.com.my,thestate.com,timescolonist.com,timesrecordnews.com,titantv.com,treehugger.com,tri-cityherald.com,triplem.com.au,triplemclassicrock.com,tutorialrepublic.com,tvfanatic.com,uswitch.com,vcstar.com,villagevoice.com,vivastreet.co.uk,vr-zone.com,walyou.com,washingtonpost.com,waterline.co.nz,westword.com,whatsonstage.com,where.ca,wired.com,wmagazine.com,yodawgpics.com,yoimaletyoufinish.com##.leaderboard
 ameinfo.com##.leaderboard-area
 rantnow.com##.leaderboard-atf
 autotrader.co.uk,mixcloud.com##.leaderboard-banner
@@ -59628,6 +61076,7 @@ cfos.de##.ll_center
 cso.com.au,goodgearguide.com.au,pcworld.co.nz,pcworld.idg.com.au##.lo-toppromos
 calgaryherald.com##.local-branding
 allrecipes.com##.local-offers
+ninjakiwi.com##.local-skin
 theonion.com##.local_recirc
 hiphopdx.com##.lockerdome
 logect.com##.logect_ads01_wrp
@@ -59640,8 +61089,6 @@ themoscowtimes.com##.logo_popup
 leaprate.com##.logooos_container
 toblender.com##.longadd
 channel24.co.za,netwerk24.com,news24.com,sport24.co.za,w24.co.za,wheels24.co.za##.love2meet
-vg247.com##.low-leader-container
-eurogamer.net##.low-leaderboard-container
 omegle.com##.lowergaybtn
 omegle.com##.lowersexybtn
 cfos.de##.lr_left
@@ -59670,7 +61117,7 @@ digitaltrends.com,tvguide.com##.m-shop
 digitaltrends.com##.m-widget_deal
 share-links.biz##.m10.center
 share-links.biz##.m20 > div[id]:first-child:last-child
-minivannews.com##.m_banner_show
+gayvegas.com,minivannews.com##.m_banner_show
 downloadatoz.com##.ma
 hitc.com##.ma-wrapper
 movies.msn.com##.magAd
@@ -59703,7 +61150,7 @@ industryweek.com##.market600
 investors.com##.marketBox
 nzherald.co.nz##.marketPlace
 gisborneherald.co.nz##.market_place
-knowd.com,rockpapershotgun.com,theslingshot.com##.marketing
+knowd.com,theslingshot.com##.marketing
 edmunds.com##.marketing-message-section
 bangkok.com##.marketing-spot
 rtklive.com##.marketing_banner
@@ -59716,6 +61163,7 @@ dailymotion.com##.masscast_middle_box
 macworld.co.uk##.mastBannerContainer
 groovekorea.com##.master-slider-main-widget
 pushsquare.com,songlyrics.com##.masthead
+firstpost.com##.masthead-associate
 slacktory.com##.masthead-banner
 lifesitenews.com##.matched-content-wrapper
 fixitscripts.com##.max-banner
@@ -59871,7 +61319,7 @@ seetickets.com##.mp-sidebar-right
 newscientist.com##.mpMPU
 syfy.com##.mps-container
 cnbc.com##.mps-slot
-98fm.com,accringtonobserver.co.uk,afcbournemouthnews.com,alloaadvertiser.com,ardrossanherald.com,audioreview.com,autotrader.co.za,barrheadnews.com,bigtop40.com,birminghammail.co.uk,birminghampost.co.uk,bizarremag.com,bobfm.co.uk,bordertelegraph.com,bracknellnews.co.uk,burnleyfcnews.com,capitalfm.com,capitalxtra.com,carrickherald.com,caughtoffside.com,centralfifetimes.com,chelseanews.com,chesterchronicle.co.uk,chroniclelive.co.uk,classicfm.com,clydebankpost.co.uk,cnet.com,coventrytelegraph.net,crewechronicle.co.uk,crystalpalacenews.com,cultofandroid.com,cumnockchronicle.com,dailypost.co.uk,dailyrecord.co.uk,dcsuk.info,directory.im,directory247.co.uk,divamag.co.uk,dplay.com,dumbartonreporter.co.uk,dunfermlinepress.com,durhamtimes.co.uk,eastlothiancourier.com,econsultancy.com,eurogamer.net,evertonnews.com,examiner.co.uk,findanyfilm.com,football-league.co.uk,games.co.uk,gamesindustry.biz,gardensillustrated.com,gazettelive.co.uk,getbucks.co.uk,getreading.co.uk,getsurrey.co.uk,getwestlondon.co.uk,golf365.com,goonernews.com,greenocktelegraph.co.uk,hammersheadlines.com,heart.co.uk,heatworld.com,helensburghadvertiser.co.uk,her.ie,herfamily.ie,huddersfieldtownnews.com,impartialreporter.com,independent.co.uk,indy100.com,irishexaminer.com,irvinetimes.com,jamieoliver.com,jazzfm.com,joe.co.uk,joe.ie,journallive.co.uk,largsandmillportnews.com,leicestercitynews.org,liverpoolecho.co.uk,localberkshire.co.uk,look.co.uk,loughboroughecho.net,macclesfield-express.co.uk,macuser.co.uk,manchestereveningnews.co.uk,mancitynews.com,manunews.com,metoffice.gov.uk,mtv.com.lb,mumsnet.com,musicradar.com,musicradio.com,mygoldmusic.co.uk,newburyandthatchamchronicle.co.uk,newcastleunitednews.org,newscientist.com,newstalk.com,newstatesman.com,northernfarmer.co.uk,osadvertiser.co.uk,peeblesshirenews.com,pinknews.co.uk,planetrock.com,propertynews.com,racecar-engineering.com,radiotimes.com,radiox.co.uk,readamericanfootball.com,readarsenal.com,readastonvilla.com,readbasketball.com,readbetting.com,readbournemouth.com,readboxing.com,readbrighton.com,readbundesliga.com,readburnley.com,readcars.co,readceltic.com,readchampionship.com,readchelsea.com,readcricket.com,readcrystalpalace.com,readeverton.com,readeverything.co,readfashion.co,readfilm.co,readfood.co,readfootball.co,readgaming.co,readgolf.com,readhorseracing.com,readhuddersfield.com,readhull.com,readingchronicle.co.uk,readinternationalfootball.com,readlaliga.com,readleicester.com,readliverpoolfc.com,readmancity.com,readmanutd.com,readmiddlesbrough.com,readmma.com,readmotorsport.com,readmusic.co,readnewcastle.com,readnorwich.com,readnottinghamforest.com,readolympics.com,readpl.com,readrangers.com,readrugbyunion.com,readseriea.com,readshowbiz.co,readsouthampton.com,readsport.co,readstoke.com,readsunderland.com,readswansea.com,readtech.co,readtennis.co,readtottenham.com,readtv.co,readussoccer.com,readwatford.com,readwestbrom.com,readwestham.com,readwsl.com,realradioxs.co.uk,recombu.com,redhillandreigatelife.co.uk,rochdaleonline.co.uk,rossendalefreepress.co.uk,rte.ie,runcornandwidnesweeklynews.co.uk,saintsnews.com,scotsman.com,seagullsnews.com,skysports.com,sloughobserver.co.uk,smallholder.co.uk,smartertravel.com,smoothradio.com,southportvisiter.co.uk,southwestfarmer.co.uk,spin1038.com,spinsouthwest.com,sportsjoe.ie,sportsmole.co.uk,spursnews.com,stokecitynews.com,strathallantimes.co.uk,swanseacitynews.com,t3.com,tcmuk.tv,the-gazette.co.uk,the-tls.co.uk,theadvertiserseries.co.uk,thejournal.co.uk,thelancasterandmorecambecitizen.co.uk,thetimes.co.uk,thevillager.co.uk,thisisfutbol.com,timeoutabudhabi.com,timeoutbahrain.com,timeoutdoha.com,timeoutdubai.com,todayfm.com,toffeeweb.com,troontimes.com,tv3.ie,txfm.ie,uktv.co.uk,usgamer.net,vg247.com,videogamer.com,walesonline.co.uk,walkon.com,warringtonguardian.co.uk,watfordfcnews.com,westbromnews.com,wiltshirebusinessonline.co.uk,windsorobserver.co.uk##.mpu
+98fm.com,accringtonobserver.co.uk,afcbournemouthnews.com,alloaadvertiser.com,ardrossanherald.com,audioreview.com,autotrader.co.za,barrheadnews.com,bigtop40.com,birminghammail.co.uk,birminghampost.co.uk,bizarremag.com,bobfm.co.uk,bordertelegraph.com,bracknellnews.co.uk,burnleyfcnews.com,capitalfm.com,capitalxtra.com,carrickherald.com,caughtoffside.com,centralfifetimes.com,chelseanews.com,chesterchronicle.co.uk,chroniclelive.co.uk,classicfm.com,clydebankpost.co.uk,cnet.com,coventrytelegraph.net,crewechronicle.co.uk,crystalpalacenews.com,cultofandroid.com,cumnockchronicle.com,dailypost.co.uk,dailyrecord.co.uk,dcsuk.info,directory.im,directory247.co.uk,divamag.co.uk,dplay.com,dumbartonreporter.co.uk,dunfermlinepress.com,durhamtimes.co.uk,eastlothiancourier.com,econsultancy.com,evertonnews.com,examiner.co.uk,findanyfilm.com,football-league.co.uk,games.co.uk,gamesindustry.biz,gardensillustrated.com,gazettelive.co.uk,getbucks.co.uk,getreading.co.uk,getsurrey.co.uk,getwestlondon.co.uk,golf365.com,goonernews.com,greenocktelegraph.co.uk,hammersheadlines.com,heart.co.uk,heatworld.com,helensburghadvertiser.co.uk,her.ie,herfamily.ie,huddersfieldtownnews.com,impartialreporter.com,independent.co.uk,indy100.com,irishexaminer.com,irvinetimes.com,jamieoliver.com,jazzfm.com,joe.co.uk,joe.ie,journallive.co.uk,largsandmillportnews.com,leicestercitynews.org,liverpoolecho.co.uk,localberkshire.co.uk,look.co.uk,loughboroughecho.net,macclesfield-express.co.uk,macuser.co.uk,manchestereveningnews.co.uk,mancitynews.com,manunews.com,metoffice.gov.uk,mtv.com.lb,mumsnet.com,musicradar.com,musicradio.com,mygoldmusic.co.uk,newburyandthatchamchronicle.co.uk,newcastleunitednews.org,newscientist.com,newstalk.com,newstatesman.com,northernfarmer.co.uk,osadvertiser.co.uk,peeblesshirenews.com,pinknews.co.uk,planetrock.com,propertynews.com,racecar-engineering.com,radiotimes.com,radiox.co.uk,readamericanfootball.com,readarsenal.com,readastonvilla.com,readbasketball.com,readbetting.com,readbournemouth.com,readboxing.com,readbrighton.com,readbundesliga.com,readburnley.com,readcars.co,readceltic.com,readchampionship.com,readchelsea.com,readcricket.com,readcrystalpalace.com,readeverton.com,readeverything.co,readfashion.co,readfilm.co,readfood.co,readfootball.co,readgaming.co,readgolf.com,readhorseracing.com,readhuddersfield.com,readhull.com,readingchronicle.co.uk,readinternationalfootball.com,readlaliga.com,readleicester.com,readliverpoolfc.com,readmancity.com,readmanutd.com,readmiddlesbrough.com,readmma.com,readmotorsport.com,readmusic.co,readnewcastle.com,readnorwich.com,readnottinghamforest.com,readolympics.com,readpl.com,readrangers.com,readrugbyunion.com,readseriea.com,readshowbiz.co,readsouthampton.com,readsport.co,readstoke.com,readsunderland.com,readswansea.com,readtech.co,readtennis.co,readtottenham.com,readtv.co,readussoccer.com,readwatford.com,readwestbrom.com,readwestham.com,readwsl.com,realradioxs.co.uk,recombu.com,redhillandreigatelife.co.uk,rochdaleonline.co.uk,rossendalefreepress.co.uk,rte.ie,runcornandwidnesweeklynews.co.uk,saintsnews.com,scotsman.com,seagullsnews.com,skysports.com,sloughobserver.co.uk,smallholder.co.uk,smartertravel.com,smoothradio.com,southportvisiter.co.uk,southwestfarmer.co.uk,spin1038.com,spinsouthwest.com,sportsjoe.ie,sportsmole.co.uk,spursnews.com,stokecitynews.com,strathallantimes.co.uk,swanseacitynews.com,t3.com,tcmuk.tv,the-gazette.co.uk,the-tls.co.uk,theadvertiserseries.co.uk,thejournal.co.uk,thelancasterandmorecambecitizen.co.uk,thetimes.co.uk,thevillager.co.uk,thisisfutbol.com,timeoutabudhabi.com,timeoutbahrain.com,timeoutdoha.com,timeoutdubai.com,todayfm.com,toffeeweb.com,troontimes.com,tv3.ie,txfm.ie,uktv.co.uk,videogamer.com,walesonline.co.uk,walkon.com,warringtonguardian.co.uk,watfordfcnews.com,westbromnews.com,wiltshirebusinessonline.co.uk,windsorobserver.co.uk##.mpu
 greatbritishlife.co.uk,sport360.com##.mpu-banner
 4music.com##.mpu-block
 rightmove.co.uk##.mpu-slot
@@ -59897,6 +61345,7 @@ govtech.com##.mt-20
 motortrend.com##.mt-spotlight
 facemoods.com##.mts + .search-list
 movieking.me##.mv_dirad
+dexerto.com##.my3.tc
 javascript-coder.com##.myadv1
 mycoupons.com##.myc_google
 cracksfiles.com##.mylink
@@ -59971,6 +61420,7 @@ timpul.md,trm.md##.numbers-placeholder
 nplusonemag.com##.nurble
 cheezburger.com##.nw-rail-min-250
 ninemsn.com.au##.nw_ft_all_partners
+marineelectronics.com,marinetechnologynews.com,maritimeprofessional.com##.nwm-banner
 nymag.com,vulture.com##.nym-ad-active
 nytimes.com##.nytmm-ss-ad-target
 nytimes.com##.nytmm-ss-big-ad
@@ -59978,7 +61428,7 @@ nzherald.co.nz##.nzh-bigbanner
 nzherald.co.nz##.nzh-extendedbanner
 nzherald.co.nz##.nzme_ss
 foodnetwork.com,hgtv.com##.o-Leaderboard
-comicbook.com,counton2.com,suntimes.com,thechronicleherald.ca##.oas
+aleteia.org,comicbook.com,counton2.com,suntimes.com,thechronicleherald.ca##.oas
 timesfreepress.com##.oas-instory
 adage.com##.oaswrapper
 cheezburger.com##.ob-widget-section
@@ -60001,6 +61451,7 @@ plus.im##.one-creative
 oneindia.com##.oneindia-coupons-block
 50statesclassifieds.com##.onepxtable[width="468"]
 thedigeratilife.com##.optad
+advocate.com,out.com##.ourSponsors
 all-shares.com##.outInformation
 news.sky.com##.outbrain-table-recommendations-bottom
 eeweb.com,megashare.com##.overlay
@@ -60014,6 +61465,7 @@ worldoftanks-wot.com##.p2small
 local.com##.pB5.mB15
 polls.aol.com##.p_divR
 amazon.com##.pa-sp-container
+bing.com##.pa_mlo
 chaptercheats.com,longislandpress.com,tucows.com##.pad10
 demonoid.pw##.pad9px_left > table:nth-child(8)
 inquirer.net##.padtopbot5
@@ -60082,7 +61534,7 @@ mybroadband.co.za##.partner_post
 ioljobs.co.za##.partner_sites
 freshnewgames.com##.partnercontent_box
 bhg.com##.partnerpromos
-2oceansvibe.com,bundesliga.com,computershopper.com,evertonfc.com,freedict.com,independent.co.uk,juventus.com,letour.fr,pcmag.com,speedcafe.com,tgdaily.com,tweetmeme.com,wbj.pl,wilv.com##.partners
+2oceansvibe.com,bundesliga.com,computershopper.com,evertonfc.com,freedict.com,independent.co.uk,juventus.com,letour.fr,nrl.com,pcmag.com,speedcafe.com,tgdaily.com,tweetmeme.com,wbj.pl,wilv.com##.partners
 araratadvertiser.com.au,areanews.com.au,armidaleexpress.com.au,avonadvocate.com.au,batemansbaypost.com.au,baysidebulletin.com.au,begadistrictnews.com.au,bellingencourier.com.au,bendigoadvertiser.com.au,blayneychronicle.com.au,bombalatimes.com.au,boorowanewsonline.com.au,bordermail.com.au,braidwoodtimes.com.au,bunburymail.com.au,busseltonmail.com.au,camdencourier.com.au,canowindranews.com.au,centraladvocate.com.au,centralwesterndaily.com.au,cessnockadvertiser.com.au,colliemail.com.au,colypointobserver.com.au,coomaexpress.com.au,cootamundraherald.com.au,cowraguardian.com.au,crookwellgazette.com.au,dailyadvertiser.com.au,dailyliberal.com.au,donnybrookmail.com.au,dungogchronicle.com.au,easternriverinachronicle.com.au,edenmagnet.com.au,esperanceexpress.com.au,forbesadvocate.com.au,gleninnesexaminer.com.au,gloucesteradvocate.com.au,goondiwindiargus.com.au,goulburnpost.com.au,greatlakesadvocate.com.au,grenfellrecord.com.au,guyraargus.com.au,hardenexpress.com.au,hepburnadvocate.com.au,huntervalleynews.net.au,inverelltimes.com.au,irrigator.com.au,juneesoutherncross.com.au,lakesmail.com.au,lithgowmercury.com.au,macleayargus.com.au,mailtimes.com.au,maitlandmercury.com.au,mandurahmail.com.au,manningrivertimes.com.au,margaretrivermail.com.au,merimbulanewsonline.com.au,merredinmercury.com.au,moreechampion.com.au,mudgeeguardian.com.au,muswellbrookchronicle.com.au,myallcoastnota.com.au,nambuccaguardian.com.au,naroomanewsonline.com.au,narrominenewsonline.com.au,newcastlestar.com.au,northerndailyleader.com.au,northweststar.com.au,nvi.com.au,nynganobserver.com.au,oberonreview.com.au,parkeschampionpost.com.au,portnews.com.au,portpirierecorder.com.au,portstephensexaminer.com.au,queanbeyanage.com.au,riverinaleader.com.au,sconeadvocate.com.au,singletonargus.com.au,southcoastregister.com.au,southernhighlandnews.com.au,southernweekly.com.au,standard.net.au,stawelltimes.com.au,summitsun.com.au,tenterfieldstar.com.au,theadvocate.com.au,thecourier.com.au,theherald.com.au,theridgenews.com.au,therural.com.au,townandcountrymagazine.com.au,ulladullatimes.com.au,waginargus.com.au,walchanewsonline.com.au,wauchopegazette.com.au,wellingtontimes.com.au,westernadvocate.com.au,westernmagazine.com.au,winghamchronicle.com.au,yasstribune.com.au,youngwitness.com.au##.partners-container
 thedodo.com##.partners-widget
 serverwatch.com##.partners_ITs
@@ -60091,9 +61543,9 @@ arrivealive.co.za##.partnersheading
 theweek.co.uk##.partnership-top
 ryanair.com##.partnersmenu
 nzbclub.com##.partsincomplete
+liveuamap.com##.passby
 cjnews.com##.paszone_container
 prankvidz.com##.pb-container
-washingtonpost.com##.pb-f-page-outbrain
 eeweb.com##.pbox
 neverendingplaylist.com##.pcad
 extremetech.com,geek.com##.pcmag-mostclicked
@@ -60101,6 +61553,7 @@ pcmag.com##.pcmwrap
 photodom.com##.pd_AdBlock
 search.smartaddressbar.com##.peach
 imvu.com##.peoplesearch-ad
+vosizneias.com##.perm
 forums.vr-zone.com##.perm_announcement
 collectivelyconscious.net##.pf-content > [style*="display:"]
 politifact.com##.pfad
@@ -60137,6 +61590,7 @@ overthumbs.com##.playerad
 netmums.com##.plinth-mpu
 ulivetv.com##.plugbarremozi
 wsj.com##.pmCfoDeloitte
+playnj.com##.pnj-table
 streamingthe.net##.pnl_video_2
 freewebarcade.com##.pnum
 pokernewsreport.com##.pokerbanner
@@ -60186,12 +61640,13 @@ indiatimes.com,thetowner.com##.powered
 1053kissfm.com##.powered-by
 infowars.com,prisonplanet.com##.ppani
 planetrugby.com##.pr-art-betlinks
+mysmartprice.com##.prc-tbl
 lowellsun.com##.preHeaderRegion
 sassymamahk.com##.pre_header_widget
 gamesting.com##.pregleaderboard
 gcnlive.com##.premSponsor
 towersearch.com##.premier
-citationmachine.net,thomsonlocal.com,whitepages.com##.premium
+aubizbuysell.com.au,citationmachine.net,nzbizbuysell.co.nz,nzcommercial.co.nz,nzfranchises.co.nz,thomsonlocal.com,whitepages.com##.premium
 yellowbook.com##.premium-listing
 dramafever.com##.premium-overlay
 gamblinginsider.com##.premium_box
@@ -60319,6 +61774,7 @@ elpais.com##.publi300_elpais
 elpais.com##.publi728_elpais
 catholic.net##.publicidad
 reporter.bz##.publicidad-logo
+eitb.eus##.publicidad_robapaginas
 europolitics.info##.publicite1
 hancinema.net##.publicite_468x60
 hancinema.net##.publicite_mobile_300x250
@@ -60358,6 +61814,7 @@ weatherzone.com.au##.rainbowstrip
 isearch.whitesmoke.com##.rating
 yts.am##.rating-row > .button-green-download2-big
 amctv.com##.rb-dart
+mydorpie.com##.rbancont
 pocketnow.com##.rc-item
 pocketnow.com##.rc-photo
 bustedcoverage.com##.rcr-box
@@ -60366,6 +61823,7 @@ wsj.com##.reTransWidget
 elyrics.net##.read3
 commercialtrucktrader.com##.real-media300x250
 infoworld.com##.recRes_head
+nypost.com,pagesix.com##.recirc
 ebookee.org##.recomended
 webopedia.com##.recommend
 golf.com,si.com##.recommend-section
@@ -60429,6 +61887,7 @@ intelius.com##.resourceBox
 cio.com,informationweek.com,infoworld.com##.resources
 macmillandictionary.com##.responsive_cell_whole
 duckduckgo.com##.result--ad > .result__body
+jetphotos.com##.result--adv
 qwant.com##.result--ext
 simplefilesearch.com##.result-f
 wrongdiagnosis.com##.result_adv
@@ -60452,6 +61911,7 @@ informer.com##.review_a1
 hindustantimes.com##.rft_logos
 alltheragefaces.com##.rg
 popeater.com##.rgtPane
+breakingnews.ie##.ri_container
 pv-magazine.com##.ric_rot_banner
 siteslike.com##.rif
 marieclaire.co.uk,search.smartaddressbar.com,usnewsuniversitydirectory.com##.right
@@ -60554,10 +62014,12 @@ mouseprice.com##.salerent_advt
 nigerianbulletin.com##.samBannerUnit
 casinonewsdaily.com##.sb-live-dealers
 scienceblogs.com##.sb-sponsor
+bing.com##.sb_add
 usmagazine.com##.sb_logo
 thedirty.com##.sbanner
 4kidstv.com##.sbbox1
 mobilebloom.com##.sbpricing
+softonic.com##.sc-card-affiliation
 bitcoinblogger.com##.sc_ads_within_one
 scmp.com##.scmp_advert-tile
 skysports.com##.score-bet
@@ -60675,7 +62137,7 @@ wow-europe.com##.side_banner_305x133
 panarmenian.net##.side_panner
 newburytoday.co.uk##.side_takeover_inner
 electricpig.co.uk##.side_wide_banner
-kicktorrent.space,newburytoday.co.uk##.sidebar
+kicktorrent.space,newburytoday.co.uk,tutorialrepublic.com##.sidebar
 weknowmemes.com##.sidebar > .widgetcontainer
 photobucket.com##.sidebar > div[class]:first-child
 thejointblog.com##.sidebar img[width="235"]
@@ -60747,6 +62209,7 @@ bit.com.au##.skin-btn
 autocarindia.com##.skin-link
 tennisworldusa.org##.skin1
 videogamer.com,zdnet.com##.skinClick
+charismanews.com##.skinTrackClicks
 bleedingcool.com##.skinny-skyscraper
 entrepreneur.com,newstatesman.com##.sky
 miniclip.com##.sky-wrapper
@@ -60759,7 +62222,7 @@ football365.com##.skybet-space
 planetf1.com,planetrugby.com##.skybetbar
 eweek.com##.skylabel
 games2c.com,knowyourmobile.com,mymovies.net##.skyright
-afcbournemouthnews.com,baydriver.co.nz,bighospitality.co.uk,bigtennetwork.com,burnleyfcnews.com,californiareport.org,chelseanews.com,coastandcountrynews.co.nz,columbiatribune.com,comicbookresources.com,computerweekly.com,crystalpalacenews.com,datpiff.com,emedtv.com,engadget.com,etonline.com,evertonnews.com,evilmilk.com,goonernews.com,guanabee.com,gumtree.co.za,hammersheadlines.com,huddersfieldtownnews.com,infosecurity-magazine.com,iwatchstuff.com,keyetv.com,kqed.org,l4dmaps.com,leicestercitynews.org,ludobox.com,mancitynews.com,manunews.com,moneyweek.com,morningadvertiser.co.uk,newcastleunitednews.org,pastemagazine.com,pcworld.com,planetrock.com,pulse.co.uk,saintsnews.com,scienceblogs.com,sciencedaily.com,seagullsnews.com,sportsvibe.co.uk,spursnews.com,stokecitynews.com,swanseacitynews.com,topgear.com,walkon.com,waterline.co.nz,watfordfcnews.com,weartv.com,webshots.com,westbromnews.com,wrc.com##.skyscraper
+afcbournemouthnews.com,baydriver.co.nz,bighospitality.co.uk,bigtennetwork.com,burnleyfcnews.com,californiareport.org,cheese.com,chelseanews.com,coastandcountrynews.co.nz,columbiatribune.com,comicbookresources.com,computerweekly.com,crystalpalacenews.com,datpiff.com,emedtv.com,engadget.com,etonline.com,evertonnews.com,evilmilk.com,goonernews.com,guanabee.com,gumtree.co.za,hammersheadlines.com,huddersfieldtownnews.com,infosecurity-magazine.com,iwatchstuff.com,keyetv.com,kqed.org,l4dmaps.com,leicestercitynews.org,ludobox.com,mancitynews.com,manunews.com,moneyweek.com,morningadvertiser.co.uk,newcastleunitednews.org,pastemagazine.com,pcworld.com,planetrock.com,pulse.co.uk,saintsnews.com,scienceblogs.com,sciencedaily.com,seagullsnews.com,sportsvibe.co.uk,spursnews.com,stokecitynews.com,swanseacitynews.com,topgear.com,walkon.com,waterline.co.nz,watfordfcnews.com,weartv.com,webshots.com,westbromnews.com,wrc.com##.skyscraper
 dailynewsegypt.com##.skyscraper-banner
 infosecurity-magazine.com##.skyscraper-button
 democraticunderground.com,sciencedaily.com##.skyscraper-container
@@ -60869,7 +62332,7 @@ radiozindagi.com##.sponeser
 mediagazer.com##.sponrn
 pho.to,smartwebby.com,whoownes.com,workhound.co.uk,yahoo.com##.spons
 njuice.com,wwitv.com##.sponsb
-1130thetiger.com,1310news.com,2oceansvibe.com,964eagle.co.uk,abc22now.com,airlineroute.net,airliners.net,animepaper.net,app.com,ar15.com,austinist.com,b100quadcities.com,bexhillobserver.net,blackpoolfc.co.uk,blackpoolgazette.co.uk,bloomberg.com,bognor.co.uk,bostonstandard.co.uk,brisbanetimes.com.au,brothersoft.com,businessinsider.com,canberratimes.com.au,cbslocal.com,cd1025.com,centralillinoisproud.com,chicagoist.com,chichester.co.uk,concordmonitor.com,dailymaverick.co.za,dcist.com,domainincite.com,dramafever.com,eastbourneherald.co.uk,eastidahonews.com,electricenergyonline.com,europages.co.uk,eurovision.tv,ewn.co.za,gamingcloud.com,gothamist.com,halifaxcourier.co.uk,hastingsobserver.co.uk,hellomagazine.com,homelife.com.au,independent.ie,informationweek.com,isearch.igive.com,itwebafrica.com,khak.com,kkyr.com,kosy790am.com,kpbs.org,ktla.com,kygl.com,laist.com,lcfc.com,lep.co.uk,limerickleader.ie,lmgtfy.com,mg.co.za,mix933fm.com,networkworld.com,newrepublic.com,news1130.com,newsweek.com,nocamels.com,nouse.co.uk,pastie.org,phillyvoice.com,pogo.com,portsmouth.co.uk,power959.com,prestontoday.net,proactiveinvestors.com,proactiveinvestors.com.au,publicradio.org,rock1049.com,rte.ie,scotsman.com,sfgate.com,sfist.com,shieldsgazette.com,sky.com,skysports.com,smh.com.au,spaldingtoday.co.uk,speedcafe.com,star935fm.com,sunderlandecho.com,techonomy.com,theage.com.au,themeditelegraph.com,thescarboroughnews.co.uk,thestar.co.uk,theworld.org,userscripts.org,variety.com,verizon.net,videolan.org,watoday.com.au,wayfm.com,wfnt.com,wigantoday.net,wklh.com,wscountytimes.co.uk,wsj.com,yorkshireeveningpost.co.uk,yorkshirepost.co.uk,zdnet.co.uk,zuula.com##.sponsor
+1130thetiger.com,1310news.com,2oceansvibe.com,964eagle.co.uk,abc22now.com,airlineroute.net,airliners.net,animepaper.net,app.com,ar15.com,austinist.com,b100quadcities.com,bexhillobserver.net,blackpoolfc.co.uk,blackpoolgazette.co.uk,bloomberg.com,bognor.co.uk,bostonstandard.co.uk,brisbanetimes.com.au,brothersoft.com,businessinsider.com,canberratimes.com.au,cbslocal.com,cd1025.com,centralillinoisproud.com,chicagoist.com,chichester.co.uk,concordmonitor.com,dailymaverick.co.za,dcist.com,domainincite.com,dramafever.com,eastbourneherald.co.uk,eastidahonews.com,electricenergyonline.com,europages.co.uk,eurovision.tv,ewn.co.za,gamingcloud.com,gayvegas.com,gothamist.com,halifaxcourier.co.uk,hastingsobserver.co.uk,hellomagazine.com,homelife.com.au,independent.ie,informationweek.com,isearch.igive.com,itwebafrica.com,khak.com,kkyr.com,kosy790am.com,kpbs.org,ktla.com,kygl.com,laist.com,lcfc.com,lep.co.uk,limerickleader.ie,lmgtfy.com,mg.co.za,mix933fm.com,networkworld.com,newrepublic.com,news1130.com,newsweek.com,nocamels.com,nouse.co.uk,pastie.org,phillyvoice.com,pogo.com,portsmouth.co.uk,power959.com,prestontoday.net,proactiveinvestors.com,proactiveinvestors.com.au,publicradio.org,rock1049.com,rte.ie,scotsman.com,sfgate.com,sfist.com,shieldsgazette.com,sky.com,skysports.com,smh.com.au,spaldingtoday.co.uk,speedcafe.com,star935fm.com,sunderlandecho.com,techonomy.com,theage.com.au,themeditelegraph.com,thescarboroughnews.co.uk,thestar.co.uk,theworld.org,userscripts.org,variety.com,verizon.net,videolan.org,watoday.com.au,wayfm.com,wfnt.com,wigantoday.net,wklh.com,wscountytimes.co.uk,wsj.com,yorkshireeveningpost.co.uk,yorkshirepost.co.uk,zdnet.co.uk,zuula.com##.sponsor
 search.comcast.net##.sponsor-6
 kiswrockgirls.com##.sponsor-banner
 tekrevue.com##.sponsor-blurb
@@ -60913,7 +62376,7 @@ freeyourandroid.com##.sponsorarea
 vancouversun.com##.sponsorcontent
 monsterindia.com##.sponsoreRes
 monsterindia.com##.sponsoreRes_rp
-92q.com,abovethelaw.com,app.com,argusleader.com,azdailysun.com,battlecreekenquirer.com,baxterbulletin.com,biv.com,bloomberg.com,bostonmagazine.com,break.com,bucyrustelegraphforum.com,burlingtonfreepress.com,businesstech.co.za,centralohio.com,chillicothegazette.com,chronicle.co.zw,cincinnati.com,cio.com,citizen-times.com,clarionledger.com,cnbc.com,cnet.com,cnn.com,coloradoan.com,computerworld.com,coshoctontribune.com,courier-journal.com,courierpostonline.com,dailyrecord.com,dailyworld.com,defensenews.com,delawareonline.com,delmarvanow.com,desmoinesregister.com,divamag.co.uk,dnj.com,ebookee.org,examiner.co.uk,express.co.uk,fdlreporter.com,federaltimes.com,findbestvideo.com,floridatoday.com,freep.com,funnyordie.com,geektime.com,govtech.com,greatfallstribune.com,greenbaypressgazette.com,greenvilleonline.com,guampdn.com,hattiesburgamerican.com,hellobeautiful.com,herald.co.zw,hometownlife.com,hotklix.com,htrnews.com,imgur.com,independent.ie,indystar.com,infoworld.com,irishtimes.com,ithacajournal.com,ixquick.com,jacksonsun.com,javaworld.com,jconline.com,knoworthy.com,lansingstatejournal.com,lfpress.com,livingstondaily.com,lohud.com,lycos.com,mansfieldnewsjournal.com,marionstar.com,marketingland.com,marshfieldnewsherald.com,montgomeryadvertiser.com,msn.com,mybroadband.co.za,mycentraljersey.com,mydesert.com,mywot.com,networkworld.com,newarkadvocate.com,news-leader.com,news-press.com,newsleader.com,newsone.com,niagarafallsreview.ca,noscript.net,nugget.ca,pal-item.com,parent24.com,pcworld.com,pnj.com,portclintonnewsherald.com,postcrescent.com,poughkeepsiejournal.com,press-citizen.com,pressconnects.com,racinguk.com,rgj.com,salon.com,scottishdailyexpress.co.uk,sctimes.com,searchengineland.com,seroundtable.com,sheboyganpress.com,shreveporttimes.com,slate.com,stargazette.com,startpage.com,statesmanjournal.com,stevenspointjournal.com,tallahassee.com,techworld.com,tennessean.com,theadvertiser.com,thebarrieexaminer.com,thecalifornian.com,thedailyjournal.com,thedailyobserver.ca,thedirty.com,theguardian.com,theleafchronicle.com,thenationalstudent.com,thenews-messenger.com,thenewsstar.com,thenorthwestern.com,theobserver.ca,thepeterboroughexaminer.com,thespectrum.com,thestarpress.com,thetimesherald.com,thetowntalk.com,timeout.com,timeslive.co.za,timesofmalta.com,traveller24.com,trovit.co.uk,visaliatimesdelta.com,wausaudailyherald.com,wheels.ca,wisconsinrapidstribune.com,yippy.com,zanesvilletimesrecorder.com##.sponsored
+92q.com,abovethelaw.com,app.com,argusleader.com,azdailysun.com,battlecreekenquirer.com,baxterbulletin.com,biv.com,bloomberg.com,bostonmagazine.com,break.com,bucyrustelegraphforum.com,burlingtonfreepress.com,businesstech.co.za,centralohio.com,chicagobusiness.com,chillicothegazette.com,chronicle.co.zw,cincinnati.com,cio.com,citizen-times.com,clarionledger.com,cnbc.com,cnet.com,cnn.com,coloradoan.com,computerworld.com,coshoctontribune.com,courier-journal.com,courierpostonline.com,dailymaverick.co.za,dailyrecord.com,dailyworld.com,defensenews.com,delawareonline.com,delmarvanow.com,desmoinesregister.com,divamag.co.uk,dnj.com,ebookee.org,examiner.co.uk,express.co.uk,fdlreporter.com,federaltimes.com,findbestvideo.com,floridatoday.com,freep.com,funnyordie.com,geektime.com,govtech.com,greatfallstribune.com,greenbaypressgazette.com,greenvilleonline.com,guampdn.com,hattiesburgamerican.com,hellobeautiful.com,herald.co.zw,hometownlife.com,hotklix.com,htrnews.com,imgur.com,independent.ie,indystar.com,infoworld.com,irishtimes.com,ithacajournal.com,ixquick.com,jacksonsun.com,javaworld.com,jconline.com,knoworthy.com,lansingstatejournal.com,lfpress.com,livingstondaily.com,lohud.com,lycos.com,mansfieldnewsjournal.com,marionstar.com,marketingland.com,marshfieldnewsherald.com,montgomeryadvertiser.com,msn.com,mybroadband.co.za,mycentraljersey.com,mydesert.com,mywot.com,networkworld.com,newarkadvocate.com,news-leader.com,news-press.com,newsleader.com,newsone.com,niagarafallsreview.ca,noscript.net,nugget.ca,nzherald.co.nz,pal-item.com,parent24.com,pcworld.com,pnj.com,portclintonnewsherald.com,postcrescent.com,poughkeepsiejournal.com,press-citizen.com,pressconnects.com,racinguk.com,rgj.com,salon.com,scottishdailyexpress.co.uk,sctimes.com,searchengineland.com,seroundtable.com,sheboyganpress.com,shreveporttimes.com,slate.com,stargazette.com,startpage.com,statesmanjournal.com,stevenspointjournal.com,tallahassee.com,techworld.com,tennessean.com,theadvertiser.com,thebarrieexaminer.com,thecalifornian.com,thedailyjournal.com,thedailyobserver.ca,thedirty.com,theguardian.com,theleafchronicle.com,thenationalstudent.com,thenews-messenger.com,thenewsstar.com,thenorthwestern.com,theobserver.ca,thepeterboroughexaminer.com,thespectrum.com,thestarpress.com,thetimesherald.com,thetowntalk.com,timeout.com,timeslive.co.za,timesofmalta.com,traveller24.com,trovit.co.uk,visaliatimesdelta.com,wausaudailyherald.com,wheels.ca,wisconsinrapidstribune.com,yippy.com,zanesvilletimesrecorder.com##.sponsored
 hindustantimes.com##.sponsored-area
 phillyvoice.com##.sponsored-article-widget
 christianpost.com,gardensillustrated.com##.sponsored-articles
@@ -60925,6 +62388,7 @@ washingtontimes.com##.sponsored-containe
 chron.com,eurosport.com,slate.com,w24.co.za##.sponsored-content
 tumblr.com##.sponsored-day-media-section
 itproportal.com##.sponsored-hub
+theblaze.com##.sponsored-image
 techtipsgeek.com##.sponsored-level
 telegraph.co.uk##.sponsored-list-item
 usnews.com##.sponsored-listing
@@ -60959,12 +62423,14 @@ news-medical.net##.sponsorer-note
 classifiedads.com##.sponsorhitext
 dailyglow.com##.sponsorlogo
 premierleague.com##.sponsorlogos
-affiliatesrating.com,allkpop.com,androidfilehost.com,arsenal.com,audiforums.com,backpage.com,blueletterbible.org,canaries.co.uk,capitalfm.co.ke,dolliecrave.com,eaglewavesradio.com.au,foodhub.co.nz,geckoforums.net,health24.com,herold.at,hobbytalk.com,jaguarforums.com,keepvid.com,lake-link.com,meanjin.com.au,morokaswallows.co.za,nesn.com,nineoclock.ro,quotes.net,thebulls.co.za,thedailywtf.com,themuslimweekly.com,thespinoff.co.nz,thinksteroids.com,wbal.com,yellowpageskenya.com##.sponsors
+affiliatesrating.com,africaoilandpower.com,allkpop.com,androidfilehost.com,arsenal.com,audiforums.com,backpage.com,blueletterbible.org,canaries.co.uk,capitalfm.co.ke,dolliecrave.com,eaglewavesradio.com.au,foodhub.co.nz,geckoforums.net,health24.com,herold.at,hobbytalk.com,jaguarforums.com,keepvid.com,lake-link.com,meanjin.com.au,morokaswallows.co.za,mtvema.com,nesn.com,nineoclock.ro,quotes.net,thebugle.co.za,thebulls.co.za,thedailywtf.com,themuslimweekly.com,thespinoff.co.nz,thinksteroids.com,wbal.com,yellowpageskenya.com##.sponsors
 herold.at##.sponsors + .hdgTeaser
 herold.at##.sponsors + .hdgTeaser + #karriere
+thespinoff.co.nz##.sponsors-block
 ca2016.com##.sponsors-grid
 pri.org##.sponsors-logo-group
 keepvid.com##.sponsors-s
+firstpost.com##.sponsors-wrap
 appadvice.com##.sponsorsAside
 skilouise.com##.sponsorsSlider
 pwnage.tv##.sponsors_bar
@@ -61032,7 +62498,9 @@ citytalk.fm##.standard-skyscraper-widget
 leo.org##.standard_banner
 stardoll.com##.stardollads
 cinemablend.com##.sticky-div
+wtop.com##.sticky_parent
 gohuskies.com##.stickybar
+pcmag.com##.stickyblogroll
 pcauthority.com.au##.storeWidget
 pcauthority.com.au##.storeWidgetBottom
 brisbanetimes.com.au,canberratimes.com.au,smh.com.au,theage.com.au,watoday.com.au##.story--promo
@@ -61053,6 +62521,7 @@ bangkok.com##.strip-banner-top
 people.com,peoplepets.com##.stylefind
 people.com##.stylefindtout
 videohelp.com##.stylenormal[width="24%"][valign="top"][align="left"]
+firesticktricks.com##.su-note
 complex.com##.sub-div
 goo-net-exchange.com##.subBnr
 lolhome.com##.subPicBanner
@@ -61064,6 +62533,7 @@ classicalite.com##.subleft > .at_con1 +
 businessinsider.com##.subnav-container
 viralviralvideos.com##.suf-horizontal-widget
 twitter.com##.suggested-tweet-stream-container
+scotch.io##.super-duper
 interaksyon.com##.super-leader-board
 monocle.com,tnp.sg##.super-leaderboard
 t3.com##.superSky
@@ -61116,6 +62586,7 @@ hgtv.com##.tcap
 hiphopearly.com##.td-468
 thespec.com##.td-Home_Sponsor
 cyberparse.co.uk##.td-a-rec
+alextimes.com##.td-a-rec-id-content_bottom
 sonorannews.com,wonkette.com##.td-a-rec-id-sidebar
 brila.net,businessmirror.com.ph,cgmagonline.com,sanmarinotribune.com,theyeshivaworld.com##.td-banner-wrap-full
 nontondramaonline.co##.td-banner-wrap-fulles
@@ -61157,6 +62628,7 @@ vaughnlive.tv##.theAboutWrap
 burntorangereport.com##.theFlip
 thonline.com##.thheaderweathersponsor
 vogue.com##.thin_banner
+onlinepokerreport.com##.thirstylinkimg
 thesaturdaypaper.com.au##.thp-wrapper
 y100.com##.threecolumn_rightcolumn
 supercompressor.com##.thrillist-ad
@@ -61193,7 +62665,7 @@ euobserver.com,runescape.com,thehill.com
 searchza.com,webpronews.com##.top-750
 houseandleisure.co.za##.top-add
 outlooktraveller.com##.top-add-banner
-9to5google.com,animetake.com,arabianbusiness.com,brainz.org,centralchronicle.in,dailynews.gov.bw,dnainfo.com,ebony.com,firsttoknow.com,leadership.ng,leedsunited.com,letstalkbitcoin.com,reverso.net,rockthebells.net,spanishdict.com,torrentreactor.com,torrentreactor.net,total-croatia-news.com,weeklyworldnews.com,yellowpages.com.jo,yellowpages.com.lb##.top-banner
+9to5google.com,animetake.com,arabianbusiness.com,brainz.org,centralchronicle.in,cfl.ca,dailynews.gov.bw,dnainfo.com,ebony.com,firsttoknow.com,leadership.ng,leedsunited.com,letstalkbitcoin.com,reverso.net,rockthebells.net,spanishdict.com,torrentreactor.com,torrentreactor.net,total-croatia-news.com,weeklyworldnews.com,yellowpages.com.jo,yellowpages.com.lb##.top-banner
 mmohuts.com##.top-banner-billboard
 manicapost.com##.top-banner-block
 rumorfix.com##.top-banner-container
@@ -61218,7 +62690,7 @@ metrolyrics.com##.top-sponsor
 theticketmiami.com##.top-super-leaderboard
 usniff.com##.top-usniff-torrents
 jarkey.net##.top728
-aol.ca,aol.com,ap.org,dailytrust.com.ng,nerdist.com,reviewgist.com,shelterpop.com,tampabay.com,telegraph.co.uk,wsj.com##.topAd
+advocate.com,aol.ca,aol.com,ap.org,dailytrust.com.ng,nerdist.com,out.com,reviewgist.com,shelterpop.com,tampabay.com,telegraph.co.uk,wsj.com##.topAd
 stevedeace.com##.topAddHolder
 motor1.com,motorsport.com##.topAp
 celebrity.aol.co.uk,christianpost.com,comicsalliance.com,csnews.com,europeantour.com,gourmetretailer.com,haaretz.com,inrumor.com,jobberman.com,lemondrop.com,pricegrabber.com,progressivegrocer.com,singlestoreowner.com,urgames.com,urlesque.com##.topBanner
@@ -61248,6 +62720,7 @@ postcourier.com.pg##.top_logo_righ_img
 wallpapersmania.com##.top_pad_10
 myreadingmanga.info##.top_pos
 babylon.com##.top_right
+fark.com##.top_right_container
 finecooking.com##.top_right_lrec
 4chan.org,everydayhealth.com,gamingonlinux.com,goodanime.eu,iflscience.com,intothegloss.com,makezine.com,mangashare.com,mirrorcreator.com,religionnewsblog.com,roadtests.com,rollingout.com,sina.com,thenewstribe.com##.topad
 dnaindia.com##.topadd
@@ -61312,6 +62785,7 @@ ahk-usa.com,gaccmidwest.org,gaccny.com,g
 care2.com##.txt13-vd
 shaaditimes.com##.txt[style="border: solid 1px #A299A6; background-color: #FDFCFC;"]
 geekwire.com##.type-home_listing
+bizjournals.com##.u-bg-sponsored
 villages-news.com##.ubm_premium_banners_rotation
 villages-news.com##.ubm_premium_rotation_widget
 funkykit.com##.ubm_rotation_widget
@@ -61320,6 +62794,7 @@ searchenginewatch.com##.ukn-iab-300x250
 searchenginewatch.com##.ukn-u-thanks
 bitenova.nl,bitenova.org##.un
 bitenova.nl,bitenova.org##.un_banner
+pixhost.to##.under-image
 nv1.org##.underwriters
 wbgo.org##.underwriting
 afterdawn.com##.uniblue
@@ -61342,6 +62817,7 @@ sportsnet.ca##.v2-topnav-promo
 brandonsun.com,winnipegfreepress.com##.v4_tile_flyertown
 dealsonwheels.co.nz,farmtrader.co.nz,motorcycletrader.co.nz,tradeaboat.co.nz##.vBanner
 sourceforge.net##.v_300_large
+vosizneias.com##.vad_container
 vosizneias.com##.vads
 bibme.org,citationmachine.net##.vantage
 easybib.com##.vantage_wrap
@@ -61398,6 +62874,7 @@ n4g.com##.vn-sub
 searchassist.verizon.com##.vn_searchresults > .vn_results + .vn_rightresults
 searchassist.verizon.com##.vn_sponsblock
 vocativ.com##.voc-news-feed-ad
+vocm.com##.vocmcares-banner
 ashbournenewstelegraph.co.uk,ashfordherald.co.uk,bathchronicle.co.uk,bedfordshire-news.co.uk,blackcountrybugle.co.uk,blackmorevale.co.uk,bostontarget.co.uk,brentwoodgazette.co.uk,bristolpost.co.uk,burtonmail.co.uk,cambridge-news.co.uk,cannockmercury.co.uk,canterburytimes.co.uk,carmarthenjournal.co.uk,centralsomersetgazette.co.uk,cheddarvalleygazette.co.uk,cleethorpespeople.co.uk,cornishguardian.co.uk,cornishman.co.uk,courier.co.uk,crawleynews.co.uk,croydonadvertiser.co.uk,derbytelegraph.co.uk,dorkingandleatherheadadvertiser.co.uk,dover-express.co.uk,eastgrinsteadcourier.co.uk,eastlindseytarget.co.uk,ely-news.co.uk,essexchronicle.co.uk,exeterexpressandecho.co.uk,folkestoneherald.co.uk,fromestandard.co.uk,gloucestercitizen.co.uk,gloucestershireecho.co.uk,granthamtarget.co.uk,greatbarrobserver.co.uk,grimsbytelegraph.co.uk,harlowstar.co.uk,hertfordshiremercury.co.uk,hertsandessexobserver.co.uk,hulldailymail.co.uk,leek-news.co.uk,leicestermercury.co.uk,lichfieldmercury.co.uk,lincolnshireecho.co.uk,llanellistar.co.uk,luton-dunstable.co.uk,maidstoneandmedwaynews.co.uk,middevongazette.co.uk,northampton-news-hp.co.uk,northdevonjournal.co.uk,northsomersetmercury.co.uk,nottinghampost.com,nuneaton-news.co.uk,onemk.co.uk,plymouthherald.co.uk,retfordtimes.co.uk,scunthorpetelegraph.co.uk,sevenoakschronicle.co.uk,sheptonmalletjournal.co.uk,sleafordtarget.co.uk,somersetguardian.co.uk,southportvisiter.co.uk,southwales-eveningpost.co.uk,staffordshirelife.co.uk,staffordshirenewsletter.co.uk,stokesentinel.co.uk,stroudlife.co.uk,surreymirror.co.uk,suttoncoldfieldobserver.co.uk,tamworthherald.co.uk,thanetgazette.co.uk,torquayheraldexpress.co.uk,uttoxeteradvertiser.co.uk,walsalladvertiser.co.uk,wellsjournal.co.uk,westbriton.co.uk,westerndailypress.co.uk,westerngazette.co.uk,westernmorningnews.co.uk##.vouchers
 centurylink.net##.vp_right
 speedtest.net##.vpn-product
@@ -61460,6 +62937,7 @@ backstage.com##.whitemodbg
 betanews.com##.whitepapers
 wonderhowto.com##.whtaph
 wonderhowto.com##.whtaph-rightbox
+ndtv.com##.wid_tboola
 bleedingcool.com##.wide-skyscraper-bottom
 bleedingcool.com##.wide-skyscraper-top
 living.aol.co.uk##.wide.horizontal_promo_HPHT
@@ -61496,6 +62974,7 @@ mg.co.za,valke.co.za##.widget_banners
 phonedog.com##.widget_bar_bottom
 bloomberg.com##.widget_bb_doubleclick_widget
 thescore.com##.widget_bigbox
+bitguru.co.uk##.widget_black_studio_tinymce
 usacryptocoins.com##.widget_buffercode_banner_upload_info
 motoring.com.au##.widget_car_stock_widget
 cbslocal.com,radio.com##.widget_cbs_gamification_stats_widget
@@ -61518,6 +62997,7 @@ fxempire.com##.widget_recommended_broker
 dailynewsegypt.com##.widget_rotatingbanners
 twistedsifter.com##.widget_sifter_ad_bigbox_widget
 sassymanila.com##.widget_sp_digitallylux_widget
+acprimetime.com,brigantinenow.com,downbeachbuzz.com##.widget_sp_image
 nineoclock.ro##.widget_sponsor
 lnbs.org.ls##.widget_sponsors
 automobilemag.com##.widget_ten_automobilemag_outbrain
@@ -61534,7 +63014,7 @@ oboom.com##.window_current
 foxsports.com##.wisfb_sponsor
 weatherzone.com.au##.wo-widget-wrap-1
 planet5d.com##.wp-image-1573
-hotelemarketer.com,mynintendonews.com,theconservativetreehouse.com,thecryptosphere.com,them0vieblog.com,whysayanything.com,wordpress.com##.wpa
+breakingac.com,hotelemarketer.com,lbo-news.com,michaelsavage.com,mynintendonews.com,theconservativetreehouse.com,thecryptosphere.com,them0vieblog.com,whysayanything.com,wordpress.com##.wpa
 rustourismnews.com##.wpb_widgetised_column
 notjustok.com##.wpbr-widget
 notjustok.com,punchng.com##.wpbrbanner
@@ -61549,6 +63029,7 @@ breitbart.com##.wrapperBanner
 kiplinger.com##.wrapper[style="display: block;"]
 bnaibrith.org##.wsite-image[style="padding-top:10px;padding-bottom:10px;margin-left:0;margin-right:0;text-align:center"]
 poynter.org##.wsm_frame_medium
+dotabuff.com##.wukong-side
 search.ch##.www_promobox
 newsherder.com##.x-300x250
 davidwalsh.name##.x-terciary
@@ -61605,6 +63086,7 @@ nfl.com##.yui3-polls-mobile-adspot
 maps.yahoo.com##.yui3-widget-stacked
 zacks.com##.zacks_header_ad_ignore
 zap2it.com##.zc-station-position
+ign.com##.zd-commerce-autolink-tag
 slashgear.com##.zdStickyFixed
 onlymyhealth.com##.zedo_atf
 cricketcountry.com##.zeeibd
@@ -61618,6 +63100,7 @@ dailysurge.com##:first-child > div[style
 activistpost.com##:last-child > aside > div + span + *
 isearch.whitesmoke.com##:not(.item):not(.stats) + * + .item
 sitepoint.com##ADS-WEIGHTED
+justwatch.com##PUBLICATION-BLOCK
 youtube.com##YTM-PROMOTED-VIDEO-RENDERER
 mobilephonetalk.com##[align="center"] > b > a[href^="http://tinyurl.com/"]
 incredimail.com##[autoid="sponsoredLinks"]
@@ -61643,15 +63126,20 @@ bunalti.com##[height="90"][width="728"]
 news.softpedia.com##[href*=".php?"] > img[src]
 eztv.ag##[href] > [id][style*="padding"]
 monova.org##[href] > div[class]:first-child
+dexerto.com##[href^="http://tiny.cc/"]
+ancient-origins.net##[href^="https://amzn.to/"]
+ancient-origins.net##[href^="https://bit.ly/"]
 dexerto.com##[href^="https://is.gd/"]
 hdonline.is,solarmoviez.ru,yesmovies.to##[href^="https://watchasap.com/"]
 clickmngr.com##[href^="https://www.safenetdir.com/"]
 vidoza.net##[id*="Overlay"]
-animesubita.info,animmex.club,animmex.co.uk,animmex.com,animmex.info,animmex.online,animmex.org,animmex.press,animmex.site,animmex.space,animmex.tech,animmex.website,animmex.xyz,bg-gledai.tv,btsone.cc,jukezilla.com,linx.cloud,monova.org,nowvideo.sx,nowvideo.to,torrentsgroup.com,vodlock.co##[id*="ScriptRoot"]
+animesubita.info,animmex.club,animmex.co.uk,animmex.com,animmex.info,animmex.online,animmex.org,animmex.press,animmex.site,animmex.space,animmex.tech,animmex.website,animmex.xyz,bg-gledai.tv,btsone.cc,jukezilla.com,linx.cloud,monova.org,nowvideo.sx,nowvideo.to,ouo.io,torrentsgroup.com,vodlock.co##[id*="ScriptRoot"]
 thefreethoughtproject.com##[id]:first-child > .widget-container
 onhax.me##[id][class] > a[href][rel="nofollow"]
 onhax.me##[id][data-title]
 1001tracklists.com##[id][width]
+msn.com##[id^="-"]
+msn.com##[id^="\35 "]
 comicbook.com,popculture.com##[id^="oas"]
 extremetech.com##[id^="zdAdContainer"]
 cultofmac.com##[name="dn-frame-1"]
@@ -61661,6 +63149,7 @@ monova.org##[onclick] > a[href^="javascr
 filecrypt.cc##[onmouseup$=", true);"]
 eztv.ag##[rel*="nofollow"] > [id][style]
 naturalblaze.com##[rel="nofollow"][href^="http://products.naturalblaze.com/"] > img
+msn.com##[src*="g00.msn.com/goo"]
 uploadocean.com##[src][width]
 tomshardware.co.uk,tomshardware.com##[style*="animation:"]
 drudgereport.com##[style*="background-blend"]
@@ -61694,13 +63183,16 @@ grammarist.com##a[data-delivery^="/"]
 pcmag.com##a[data-section="Ads"]
 roadracerunner.com##a[data-target]
 mail.yahoo.com##a[data-test-id="pencil-ad"]
+harpersbazaar.com##a[data-vars-ga-call-to-action="SHOP NOW"]
 kdramaindo.com##a[data-wpel-link="external"]
+techpowerup.com##a[href$=".png"]
 bestvpn.com##a[href$="_banner"]
 isearch.whitesmoke.com##a[href*="&rt=gp&"]
 insideevs.com##a[href*="&utm_medium=Banners&"]
 mmorpg.com##a[href*="&utm_medium=skin&"]
 pcgamesn.com##a[href*="&utm_source"]
 ndtv.com##a[href*=".amazonaws.com"]
+coincodex.com##a[href*=".apps7.space/"]
 huffingtonpost.com##a[href*=".atwola.com/"]
 concordnewsradio.com##a[href*=".be/"]
 concordnewsradio.com##a[href*=".cc/"]
@@ -61740,7 +63232,8 @@ bossmp3.me##a[href*="/key/?id="]
 movie-censorship.com##a[href*="/out.php?"]
 dwatchseries.io,watchseries.sk,watchtvseries.unblckd.org##a[href*="/redirect/"]
 projectfree-tv.to##a[href*="/script/ad.php?"]
-bbc.com,biznews.com,financialexpress.com,independent.ie,telegraph.co.uk##a[href*="/sponsored/"]
+charismanews.com,federalnewsradio.com##a[href*="/sponsored-content/"]
+bbc.com,biznews.com,financialexpress.com,independent.ie,irishtimes.com,nan.ng,telegraph.co.uk##a[href*="/sponsored/"]
 todaypk.com##a[href*="/watch/?"]
 solarmovie.cz##a[href*="/watchnow?"]
 devshed.com##a[href*="/www/delivery/"]
@@ -61749,16 +63242,23 @@ imagenpic.com,imageshimage.com,imagetwis
 distrowatch.com##a[href*="3cx.com"]
 bossmp3.in,heromaza.in,wapking.site##a[href*=":80/key/?id="]
 mathwarehouse.com,sowetanlive.co.za##a[href*="?affiliateid="]
+lawctopus.com##a[href*="?utm_source="]
 distrowatch.com##a[href*="acunetix.com"]
+lawctopus.com##a[href*="alc.edu.in/Lawctopus"]
 torlock.com##a[href*="an0n.download/"]
 worldfree4u.lol##a[href*="clksite.com/"]
+snaptest.org##a[href*="edutourism.in/?utm_source=snapportalemail"]
 streamcloud.eu##a[href*="engine.4dsply.com"]
-federalnewsradio.com##a[href*="http://federalnewsradio.com/sponsored-content/"]
 encyclopediadramatica.rs##a[href*="http://torguard.net/aff.php"]
 solarmovie.ac##a[href*="http://www.solarmovie.ac/playmovie?"]
+snaptest.org##a[href*="indianbank.net.in/jsp/startIB.jsp"]
 deadline.com##a[href*="javascript:"]
 horriblesubs.info##a[href*="jlist.com"]
+scotch.io##a[href*="leanpub.com"] img
 imdb.com##a[href*="page-action=offsite-amazon"]
+medicaldialogues.in##a[href*="sanjeevanhospital.com"] > img:only-child
+medicaldialogues.in##a[href*="sanjeevanhospital.in"] > img:only-child
+scotch.io##a[href*="synd.co"] img
 thefreethoughtproject.com##a[href*="voluumtrk.com"]
 unitconversion.org##a[href="../noads.html"]
 encyclopediadramatica.rs##a[href="//encyclopediadramatica.rs/sparta.html"]
@@ -61880,7 +63380,7 @@ mutorrents.com##a[href^="/fast-torrent/"
 vitorrent.net,vitorrent.tv##a[href^="/file.php?name"]
 tor-cr.com##a[href^="/get-download2/"]
 torrent-dx.com##a[href^="/go.php?"]
-yourbittorrent.com##a[href^="/go/"]
+onlinepokerreport.com,yourbittorrent.com##a[href^="/go/"]
 bts.ph##a[href^="/goto_.php?"]
 torrentz2.eu##a[href^="/inago_.php"]
 lightreading.com##a[href^="/lg_redirect.asp?piddl_lgid_docid="]
@@ -61939,7 +63439,7 @@ freebetcodes.info##a[href^="http://affil
 justhungry.com##a[href^="http://affiliates.jlist.com/"]
 news24.com##a[href^="http://affiliates.trafficsynergy.com/"]
 gematsu.com##a[href^="http://aksysgames.com/"]
-bizarrepedia.com##a[href^="http://amzn.to/"]
+bizarrepedia.com,crodict.com##a[href^="http://amzn.to/"]
 parentherald.com##a[href^="http://amzn.to/"] > img
 animetake.com##a[href^="http://anime.jlist.com/click/"]
 torrent-invites.com##a[href^="http://anonym.to?http://www.seedmonster.net/clientarea/link.php?id="]
@@ -61948,7 +63448,7 @@ lyriczz.com##a[href^="http://app.toneshu
 datafilehost.com,load.to,tusfiles.net##a[href^="http://applicationgrabb.net/"]
 datafilehost.com##a[href^="http://b.contractallsinstance.info/"]
 thetvdb.com##a[href^="http://billing.frugalusenet.com/"]
-123moviesfree.com,coinad.com,dexerto.com,digitallydownloaded.net,dotmmo.com,ebookw.com,majorgeeks.com,mymp3singer.site,naijaloaded.com.ng,pcgamesn.com,premiumtimesng.com,rapidvideo.org,rustourismnews.com,sh.st,sports.yahoo.com,theblaze.com,thehackernews.com,thenationonlineng.net,ultshare.com,wapking.site##a[href^="http://bit.ly/"]
+123moviesfree.com,coinad.com,dexerto.com,digitallydownloaded.net,dotmmo.com,ebookw.com,majorgeeks.com,mymp3singer.site,naijaloaded.com.ng,pcgamesn.com,premiumtimesng.com,rapidvideo.org,retail.org.nz,rustourismnews.com,sh.st,sports.yahoo.com,theblaze.com,thehackernews.com,thenationonlineng.net,ultshare.com,wapking.site##a[href^="http://bit.ly/"]
 ancient-origins.net,wideopenspaces.com##a[href^="http://bit.ly/"] > img
 themediafire.com##a[href^="http://bit.ly/"] > img[src^="http://i.imgur.com/"]
 bitminter.com##a[href^="http://bitcasino.io?ref="]
@@ -62079,6 +63579,7 @@ lolking.net##a[href^="http://track.strif
 iwatchonline.to##a[href^="http://tracking.aunggo.com/"]
 lmgtfy.com##a[href^="http://tracking.livingsocial.com/aff_c?"]
 hipfile.com##a[href^="http://tracktrk.net/?"]
+sumotorrent.sx##a[href^="http://trafficlord.net/"]
 imageporter.com##a[href^="http://trw12.com/"]
 tulsaworld.com##a[href^="http://tulsaworld.autoracing.upickem.net/autoracing/"]
 ugotfile.com##a[href^="http://ugotfile.com/affiliate?"]
@@ -62227,9 +63728,12 @@ wptmag.com##a[href^="http://www.wptmag.c
 youtube.com##a[href^="http://www.youtube.com/cthru?"]
 datafilehost.com##a[href^="http://zilliontoolkitusa.info/"]
 dulfy.net##a[href^="https://a2g-secure.com/"]
+msn.com##a[href^="https://afflnk.microsoft.com/"]
+msn.com##a[href^="https://amzn.to/"]
+msn.com##a[href^="https://a​​p​​i​​.​​t​​a​​b​​o​​o​​l​​a​​.​​c​​o​​m​​/"]
 yahoo.com##a[href^="https://beap.adss.yahoo.com/"]
 yahoo.com##a[href^="https://beap.gemini.yahoo.com/mbclk?"][target="_blank"]
-animeidhentai.com,guidedhacking.com##a[href^="https://bit.ly/"]
+animeidhentai.com,guidedhacking.com,owaahh.com##a[href^="https://bit.ly/"]
 blockchain.info##a[href^="https://blockchain.info/r?url="] > img
 cnn.com##a[href^="https://campaigns.gobankingrates.com/"]
 cnn.com##a[href^="https://ck.lendingtree.com/"]
@@ -62258,6 +63762,7 @@ thehornnews.com##a[href^="https://pro.nu
 cnn.com##a[href^="https://products.gobankingrates.com/"]
 aol.co.uk##a[href^="https://rover.ebay.com/"]
 torrentz2.eu,torrentz2.me##a[href^="https://s3-us-west-2.amazonaws.com/"]
+turtleboysports.com##a[href^="https://shiva4senate.com/product/"]
 smallseotools.com##a[href^="https://smallseotools.com/frontend/advertLink/"]
 cnn.com##a[href^="https://smartasset.com/"]
 mikymoons.com##a[href^="https://top9space.com/"]
@@ -62267,7 +63772,7 @@ bitminter.com##a[href^="https://wbf.go2c
 zorrostream.com##a[href^="https://wl1xbet.adsrv.eacdn.com/"]
 leo.org##a[href^="https://www.advertising.de/"]
 scaredstiffreviews.com##a[href^="https://www.amazon."][href*="ref="]
-9to5google.com,9to5mac.com,9to5toys.com,catholicculture.org,electrek.co,gamenguide.com,ign.com,indianexpress.com,lewrockwell.com,livescience.com,macworld.co.uk,myanimelist.net,oneangrygamer.net,parentherald.com,segmentnext.com##a[href^="https://www.amazon."][href*="tag="]
+9to5google.com,9to5mac.com,9to5toys.com,ancient-origins.net,catholicculture.org,electrek.co,gamenguide.com,ign.com,indianexpress.com,lewrockwell.com,livescience.com,macworld.co.uk,marineelectronics.com,marinelink.com,marinetechnologynews.com,maritimejobs.com,maritimeprofessional.com,maritimepropulsion.com,myanimelist.net,oneangrygamer.net,parentherald.com,segmentnext.com,yachtingjournal.com##a[href^="https://www.amazon."][href*="tag="]
 androidcentral.com##a[href^="https://www.amazon.com/b?"]
 money.cnn.com##a[href^="https://www.bankrate.com/landing/"]
 tampermonkey.net##a[href^="https://www.bitcoin.de/"]
@@ -62324,6 +63829,7 @@ shtfplan.com##a[onclick^="_gaq.push(['_t
 shtfplan.com##a[onclick^="_gaq.push(['_trackEvent', 'TextAd',"]
 checkpagerank.net##a[onclick^="_gaq.push(['_trackEvent', 'link', 'linkclick'"]
 tundraheadquarters.com##a[onclick^="_gaq.push(['_trackEvent', 'outbound-widget'"]
+startbootstrap.com##a[onclick^="ga"][onclick*="Referral"]
 rghost.net##a[onclick^="goad"]
 naturalon.com,torlock.com,torrentfunk.com,yourbittorrent.com##a[onclick^="javascript:"]
 coinurl.com,cur.lv##a[onclick^="open_ad('"]
@@ -62340,6 +63846,8 @@ easyvideo.me,playbb.me,playpanda.net,vid
 nba-stream.com##a[style^="width:100%; height:100%;"]
 betfooty.com##a[target="_blank"] > .wsite-image[alt="Picture"]
 mmorpg.com##a[target="_blank"] > [id][src]
+lawctopus.com##a[target="_blank"] > img[height="250"][width="250"]
+lawctopus.com##a[target="_blank"] > img[height="251"][width="250"]
 neko-miku.com##a[target="_blank"] > img[src]
 ndtv.com##a[target="_blank"][href$="=p"]
 thejointblog.com##a[target="_blank"][href="http://smokecartel.com/"]
@@ -62380,6 +63888,7 @@ kpopstarz.com##article > div > div:first
 slashdot.org##article[class*="sponsored"]
 digg.com##article[data-primary-tag-display="Promoted"]
 digg.com##article[data-primary-tag-display="Sponsored"]
+xing.com##article[data-tracking*="\"type\":\"ad"]
 cnn.com##article[data-vr-contentbox^="http://ck.lendingtree.com/?a="]
 cnn.com##article[data-vr-contentbox^="http://www.comparecards.com/guide/"]
 goal.com##aside > .commercial
@@ -62417,9 +63926,11 @@ monova.org##div > script + [class][style
 monova.org##div > span > span
 monova.org##div article
 mail.yahoo.com##div#msg-list .list-view .ml-bg:not(.list-view-item-container)
+jdoodle.com##div.hidden-print + div.native-js
 altenen.com##div[align="left"] > p + p[align="center"]
 live.com##div[aria-label="MessageAdsContainer"]
 ctpost.com,seattlepi.com,timesunion.com##div[class$="-dealnews"]
+thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se##div[class*="-inner"]
 thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se##div[class*="-section"]
 thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se##div[class*="-widget"]
 op.gg##div[class*="Ad"]
@@ -62431,12 +63942,11 @@ yahoo.com##div[class*="ads-"]
 tampermonkey.net##div[class][data-width]
 speedvid.net##div[class][style*="z-index:"]
 bulletsfirst.net##div[class][style^="display:"]
-reuters.com##div[class^="DPSlot"]
 issuu.com##div[class^="ExploreShelf__ad"]
 axios.com##div[class^="LatestStories__promo-"]
 kinox.to##div[class^="Mother_"][style^="display: block;"]
-reuters.com##div[class^="RightRail"]
 britannicaenglish.com,nglish.com##div[class^="WordFromSponsor"]
+live.com##div[class^="__Microsoft_Owa_MessageListAds_"]
 anime1.com,animefreak.tv##div[class^="a-filter"]
 drama.net##div[class^="ad-filter"]
 manaflask.com##div[class^="ad_a"]
@@ -62474,6 +63984,7 @@ tinypic.com##div[id$="Banner"]
 lastresistance.com##div[id$="FloatingBanner"]
 search.snapdo.com##div[id$="TopD"]
 phoronix.com##div[id$="ad_container"]
+quora.com##div[id$="content_box"]
 thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se##div[id*="-section"]
 thelocal.at,thelocal.ch,thelocal.de,thelocal.dk,thelocal.es,thelocal.fr,thelocal.it,thelocal.no,thelocal.se##div[id*="-widget"]
 1337x.to,kickass.cd,kissasian.ch,kissmanga.com,mylivecricket.tv,torrentz2.eu,torrentz2.me,watchcartoononline.io##div[id*="Composite"]
@@ -62517,10 +64028,12 @@ volokh.com##div[id^="google_ads_div_"]
 wg-gesucht.de##div[id^="listAdPos_"]
 iwantsport.com,tykestv.eu##div[id^="ltas_overlay_"]
 citizensvoice.com##div[id^="nimbleBuyWidget"]
+teslarati.com##div[id^="ntv"]
 mysuburbanlife.com,reviewjournal.com##div[id^="origami-"]
 reddit.com##div[id^="overlay-sidebar-atf-"]
 reddit.com##div[id^="overlay-sidebar-btf-"]
 newindianexpress.com##div[id^="pro_menu"]
+experts-exchange.com##div[id^="promo-"]
 proz.com##div[id^="proz_ad_zone_"]
 howtogeek.com##div[id^="purch"]
 space.com##div[id^="rightcol_top"]
@@ -62574,6 +64087,7 @@ fansshare.com##div[style="background-ima
 skyatnightmagazine.com##div[style="background: none repeat scroll 0% 0% #B3E3FA; height: 95px; padding: 5px; margin-bottom: 5px;"]
 backstage.com##div[style="background:#666666; height:250px; color:#fff;"]
 mamiverse.com##div[style="background:#f7f7f7;padding:40px;"]
+crodict.com##div[style="background:green;color:#ffffff;padding:8px;font-size:13px;text-align:center;font-weight:bold;margin:10px"]
 hints.macworld.com##div[style="border-bottom: 2px solid #7B7B7B; padding-bottom:8px; margin-bottom:5px;"]
 kijiji.ca##div[style="border: 1px solid #999; background: #fff"]
 undsports.com##div[style="border:1px solid #c3c3c3"]
@@ -62689,6 +64203,11 @@ phpbbhacks.com,thetechjournal.com,yopmai
 wincustomize.com##div[style="height:90px;overflow:hidden;width:728px"]
 cracker.com.au##div[style="height:90px;width:675px;clear:both;position:relative;"]
 igossip.com,zillow.com##div[style="height:90px;width:728px"]
+afritraveller.com##div[style="left: -54px; position: absolute; top: 1938px; width: 743px; height: 93px;"]
+afritraveller.com##div[style="left: 20px; position: absolute; top: 11px; width: 300px; height: 250px;"]
+afritraveller.com##div[style="left: 23px; position: absolute; top: 1238px; width: 304px; height: 600px;"]
+afritraveller.com##div[style="left: 24px; position: absolute; top: 427px; width: 300px; height: 250px;"]
+afritraveller.com##div[style="left: 321px; position: absolute; top: 66px; width: 757px; height: 93px;"]
 desktopnexus.com##div[style="margin-bottom: 8px; height: 250px;"]
 stuffpoint.com##div[style="margin-bottom:0px;margin-top:-10px"]
 codinghorror.com##div[style="margin-bottom:10px"]
@@ -62718,6 +64237,7 @@ comicwebcam.com##div[style="margin: 6px
 recipepuppy.com##div[style="margin:0 auto 10px;min-height:250px;"]
 malaysiakini.com##div[style="margin:0 auto; width:728px; height:90px;"]
 voat.co##div[style="margin:0 auto;width: 270px;"]
+ouo.io##div[style="margin:0 auto;width: 300px;"]
 joomla.org##div[style="margin:0 auto;width:728px;height:100px;"]
 synonym.com##div[style="margin:0px auto; width: 300px; height: 250px;"]
 10minutemail.net##div[style="margin:10px 0; height:90px; width:728px;"]
@@ -62732,6 +64252,7 @@ indiatvnews.com##div[style="margin:5px 0
 bikeexchange.com.au##div[style="margin:60px 0 20px 0;"]
 into-asia.com##div[style="margin:auto;  width:728px; height:105px; margin-top:20px"]
 codeproject.com##div[style="margin:auto;width:728px;height:90px;margin-top:10px"]
+blackpressusa.com##div[style="max-width: 300px;"]
 wrestlinginc.com##div[style="max-width:970px;"]
 channelstv.com##div[style="max-width:980px; max-height:94px"]
 life.time.com##div[style="min-height: 226px; clear: both"]
@@ -63112,6 +64633,7 @@ channel24.pk##div[style="width:970px; he
 jacars.net##div[style="width:970px; margin-top:5px; top:0px; left:15px; position:relative; height:90px; "]
 jacars.net##div[style="width:970px; margin:auto; top:0px; position:relative; height:90px; "]
 jacars.net##div[style="width:970px; top:0px; left:15px; position:relative; height:90px; "]
+whdh.com##div[style="width:970px;height:250px;"]
 rateyourmusic.com##div[style="width:970px;height:90px;text-align:center;margin:0 auto;margin-top:0.25em;margin-bottom:1em;"]
 tigerdirect.ca##div[style="width:977px; clear:both; margin-top:2px; height:90px;"]
 gametracker.com##div[style="width:980px; height:48px; margin-bottom:5px; overflow:hidden;"]
@@ -63162,7 +64684,7 @@ kitguru.net##embed[src][quality]
 xtremesystems.org##embed[width="728"]
 facebook.com#?#.ego_section:-abp-has(a[href^="/ad_campaign"])
 facebook.com#?#div[id^="hyperfeed_story_id_"]:-abp-has(a[href*="is_sponsored"])
-facebook.com#?#div[id^="hyperfeed_story_id_"]:-abp-has(div[id^="feed_subtitle_"] > span > a[class*="_"][href="#"] > div)
+facebook.com#?#div[id^="hyperfeed_story_id_"]:-abp-has(div[id^="feed_subtitle_"] > span a[class*="_"][href="#"] > div)
 facebook.com#?#div[id^="hyperfeed_story_id_"]:-abp-has(input[data-next-question-id])
 opensubtitles.org##fieldset > a[target="_blank"][href]
 opensubtitles.org##fieldset > legend + a[class]
@@ -63236,7 +64758,7 @@ gamecopyworld.com##iframe[width="760"]
 israelnationalnews.com##iframe[width="970"][height="500"]
 newsbtc.com##img.aligncenter[width="200"][height="200"]
 thegremlin.co.za##img[alt*="Advertising"]
-windycitymediagroup.com##img[alt*="Sponsor"]
+windycitymediagroup.com,windycitytimes.com##img[alt*="Sponsor"]
 chroniclelive.co.uk,liverpoolecho.co.uk##img[alt*="sponsor"]
 thefashionlaw.com##img[alt="Ad 1"]
 thecuttingedgenews.com##img[alt="Ad by The Cutting Edge News"]
@@ -63249,6 +64771,7 @@ scriptmafia.org##img[alt="SM AdSpaces"]
 capitalkfm.com##img[alt="Sponsor"]
 adswikia.com,searchquotes.com##img[alt="Sponsored"]
 awazfm.co.uk##img[alt="advert"]
+therainbowtimesmass.com##img[alt="banner ad"]
 dailysport.co.uk##img[alt="cams"]
 sanmarinotribune.com##img[alt="headerad1"]
 sanmarinotribune.com##img[alt="sidebarad1"]
@@ -63258,17 +64781,20 @@ lyngsat.com##img[height="100"][width="16
 am950radio.com##img[height="100"][width="205"]
 wibc.com,wjr.com##img[height="100"][width="300"]
 hankfm.com##img[height="100"][width="350"]
+constructionreviewonline.com##img[height="100"][width="690"]
 hapskorea.com##img[height="110"][width="110"]
 naijaloaded.com.ng##img[height="114"][width="728"]
 jozikids.co.za##img[height="140"][width="140"]
 onefm.co.za,thedrinksbusiness.com##img[height="150"][width="150"]
 lyngsat-logo.com,lyngsat-maps.com,lyngsat-stream.com,lyngsat.com,webhostingtalk.com##img[height="160"][width="160"]
+nzfranchises.co.nz##img[height="180"][width="270"]
 independent.co.ug##img[height="189"][width="320"]
 thomhartmann.com##img[height="200"][width="200"]
 newseveryhour.com##img[height="209"][width="250"]
 africandesignmagazine.com##img[height="226"]
 mypbrand.com,tfetimes.com##img[height="250"]
-ahomkaradiouk.com,bigeye.ug,cananewsonline.com,colombiareports.com,cordcutting.com,einnews.com,fextralife.com,hot919fm.com,naijaloaded.com.ng,nationalreview.com,naturallivingideas.com,newsday.co.zw,power987.co.za,proxy.org,thedailyblog.co.nz,tribuneonlineng.com##img[height="250"][width="300"]
+german-way.com##img[height="250"][width="250"]
+ahomkaradiouk.com,allblackmedia.com,bigeye.ug,cananewsonline.com,colombiareports.com,cordcutting.com,einnews.com,fextralife.com,hot919fm.com,naijaloaded.com.ng,nationalreview.com,naturallivingideas.com,newsday.co.zw,power987.co.za,proxy.org,qsaltlake.com,thedailyblog.co.nz,tribuneonlineng.com,wcpt820.com##img[height="250"][width="300"]
 power987.co.za##img[height="250"][width="970"]
 thetruthwins.com##img[height="255"]
 awesomeradio.com##img[height="280"][width="336"]
@@ -63276,8 +64802,11 @@ africandesignmagazine.com,thetruthwins.c
 hapskorea.com,hot919fm.com##img[height="300"][width="300"]
 capitalkfm.com##img[height="302"][width="690"]
 thetruthwins.com##img[height="310"]
+constructionreviewonline.com##img[height="326"][width="326"]
 hot919fm.com##img[height="350"][width="300"]
+constructionreviewonline.com##img[height="360"][width="360"]
 webhostingtalk.com##img[height="400"][width="160"]
+howtogermany.com##img[height="45"][width="120"]
 2pass.co.uk##img[height="470"]
 bigeye.ug##img[height="549"][width="300"]
 pointblanknews.com##img[height="60"][width="120"]
@@ -63291,10 +64820,11 @@ abundance-and-happiness.com,hapskorea.co
 nmap.org##img[height="90"][width="120"]
 opednews.com##img[height="90"][width="180"]
 independent.co.ug##img[height="90"][width="720"]
-airplaydirect.com,bentelevision.com,economicconfidential.com,geekzone.co.nz,itsfoss.com,newseveryhour.com,pcwdld.com,proxy.org,roadtester.com.au,runechat.com,slayradio.org,tribuneonlineng.com##img[height="90"][width="728"]
+constructionreviewonline.com##img[height="90"][width="725"]
+airplaydirect.com,bentelevision.com,biznisafrica.com,economicconfidential.com,geekzone.co.nz,itsfoss.com,newseveryhour.com,pcwdld.com,proxy.org,roadtester.com.au,runechat.com,slayradio.org,therainbowtimesmass.com,tribuneonlineng.com##img[height="90"][width="728"]
 backpackerguide.nz##img[height="90"][width="770"]
 prowrestling.com##img[height="91"]
-windycitymediagroup.com##img[name="Sponsor"]
+windycitymediagroup.com,windycitytimes.com##img[name="Sponsor"]
 modelhorseblab.com##img[name="js_ad"]
 coinmarketcap.com##img[src*=".space"]
 forum.blackhairmedia.com##img[src*="/?AdID="]
@@ -63312,6 +64842,7 @@ thehackernews.com##img[style="border: 0p
 tampermonkey.net##img[style="display:block;"]
 noscript.net##img[style="float: left;padding: 32px 16px 8px 0; border: none"]
 world4free.in##img[style="height: 600px; width: 160px;"]
+magazine.org##img[style="height:250px; width:300px"]
 wfc.tv##img[style="max-width: 240px;max-height: 400px;"]
 inewsmalta.com##img[style="max-width:728px;max-height:90px"]
 newtimes.co.rw##img[style="width: 160px;"]
@@ -63412,7 +64943,7 @@ espnrichmond.com,momsmiami.com,nehandara
 fancystreems.com##img[width="300"][height="150"]
 947wls.com##img[width="300"][height="155"]
 businessdayonline.com##img[width="300"][height="200"]
-360nobs.com,afrivibes.net,airplaydirect.com,autoaction.com.au,businessdayonline.com,clutchmagonline.com,cryptomining-blog.com,dotsauce.com,fancystreems.com,firstpost.com,freedomhacker.net,gameplayinside.com,goodcarbadcar.net,gossipmillnigeria.com,icxm.net,movin100.com,mycolumbuspower.com,nehandaradio.com,onislandtimes.com,portugaldailyview.com,radiobiz.co.za,rlslog.net,robhasawebsite.com,sacobserver.com,samoatimes.co.nz,seguintoday.com,staugustine.com,tangatawhenua.com,techpowerup.com,theannouncer.co.za,themediaonline.co.za,theolivepress.es,thevoicebw.com,thewillnigeria.com,thisdaylive.com,three.fm,vpnreviewer.com,wantedinafrica.com,wolf1051.com,ynaija.com,yomzansi.com,zizonline.com##img[width="300"][height="250"]
+360nobs.com,afrivibes.net,airplaydirect.com,autoaction.com.au,businessdayonline.com,clutchmagonline.com,cryptomining-blog.com,dotsauce.com,fancystreems.com,firstpost.com,freedomhacker.net,gameplayinside.com,goodcarbadcar.net,gossipmillnigeria.com,icxm.net,movin100.com,mycolumbuspower.com,nehandaradio.com,onislandtimes.com,portugaldailyview.com,radiobiz.co.za,rlslog.net,robhasawebsite.com,sacobserver.com,samoatimes.co.nz,seguintoday.com,staugustine.com,tangatawhenua.com,techpowerup.com,theannouncer.co.za,themediaonline.co.za,theolivepress.es,thevoicebw.com,thewillnigeria.com,thisdaylive.com,three.fm,vpnreviewer.com,wantedinafrica.com,wantedinrome.com,wolf1051.com,ynaija.com,yomzansi.com,zizonline.com##img[width="300"][height="250"]
 irishcatholic.com##img[width="300"][height="252"]
 ynaija.com##img[width="300"][height="290"]
 linkbitty.com,newspapers-online.com,therep.co.za##img[width="300"][height="300"]
@@ -63503,12 +65034,14 @@ yahoo.com##li[data-beacon^="https://beap
 yahoo.com##li[data-beacon^="https://beap.gemini.yahoo.com/"]
 mail.yahoo.com##li[data-test-id="infinite-scroll-AD"]
 yahoo.com##li[id^="ad-"]
+linkedin.com#?#.core-rail > div > div[id^="ember"]:-abp-has(span:-abp-contains(Sponsored))
 bitcoinfees.com##p > span[style="color:#aaaaaa; font-size:8pt;"]
 crmbuyer.com,ecommercetimes.com,linuxinsider.com,technewsworld.com##p[style="clear: left;padding: 5px;border-top: solid 1px #cbcbcb;border-bottom: solid 1px #cbcbcb;"]
 lyricsmania.com##p[style="font-size:14px; text-align:center;"]
 history.ca##p[style="height:15px;"]
 quora.com#?#.question_page_content:-abp-has(div:-abp-contains(ad))
 quora.com#?#.question_page_content:-abp-has(div:-abp-contains(promoted))
+scotch.io#?#div.card:-abp-has(a > span:-abp-contains(Sponsor))
 monova.org##script + [class] > [class]:first-child
 9to5mac.com##script + [class] > div[class]:first-child
 monova.org##script + [id][href]
@@ -63530,7 +65063,6 @@ liveleak.com##span[style="font-size:9px;
 windowsbbs.com##span[style^="margin: 2px; float: left;"]
 monova.org##style + [class]
 sh.st##style + iframe[class]
-sumotorrent.sx#a[href^="http://trafficlord.net/"]
 artstation.com##support-artstation-please
 torrentportal.com##table[align="center"][width="800"]
 learninginfo.org##table[align="left"][width="346"]
@@ -63636,6 +65168,7 @@ inquirer.net##table[width="780"][height=
 asciiribbon.org,worldometers.info##table[width="800"]
 blackstarnews.com##table[width="800"][height="110"]
 blackstarnews.com##table[width="800"][height="130"]
+lyngsat-logo.com##table[width="800"][height="96"]
 g35driver.com##table[width="867"]
 curezone.org##table[width="88%"][height="10"]
 forums.syfy.com##table[width="900"][bgcolor="#3A3163"]
@@ -63826,9 +65359,10 @@ elizium.nu##ul[style="padding: 0; width:
 ! uponit / rev/ taboola
 almasdarnews.com,antonymsfor.com,breakingisraelnews.com,codeproject.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,datpiff.com,destructoid.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[href*="base64"]
 almasdarnews.com,antonymsfor.com,breakingisraelnews.com,codeproject.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,daclips.in,dailygalaxy.com,datpiff.com,destructoid.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,readmng.comcrackberry.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[href*="data:"]
+loveroms.com##[src*="application/javascript"]
 almasdarnews.com,antonymsfor.com,breakingisraelnews.com,codeproject.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,daclips.in,dailygalaxy.com,datpiff.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,readmng.comcrackberry.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[src*="base64"]
-almasdarnews.com,antonymsfor.com,breakingisraelnews.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,datpiff.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[src*="blob:"]
-almasdarnews.com,antonymsfor.com,breakingisraelnews.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,datpiff.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[src*="data:"]
+almasdarnews.com,antonymsfor.com,breakingisraelnews.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,datpiff.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[src*="blob:"]
+almasdarnews.com,antonymsfor.com,breakingisraelnews.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,damimage.com,datpiff.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagedecode.com,imagepearl.com,imageteam.org,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[src*="data:"]
 almasdarnews.com,antonymsfor.com,breakingisraelnews.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,daclips.in,dailygalaxy.com,datpiff.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,indiewire.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,movpod.in,msn.com,nba-stream.com,newsarama.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,wnd.com,xda-developers.com##[style*="background-image:"]
 almasdarnews.com,antonymsfor.com,breakingisraelnews.com,codeproject.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,datpiff.com,destructoid.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[style*="base64"]
 101greatgoals.com,activistpost.com,allthetests.com,almasdarnews.com,ancient-origins.net,androidcentral.com,antonymsfor.com,batmanstream.com,bibme.org,biology-online.org,blacklistednews.com,breakingisraelnews.com,chicagotribune.com,citationmachine.net,codeproject.com,coed.com,collectivelyconscious.net,colourlovers.com,connectedly.com,convert-me.com,convertcase.net,crackberry.com,daclips.in,dailygalaxy.com,datpiff.com,destructoid.com,dietlast.com,diffen.com,drudgereport.com,dwatchseries.to,easybib.com,eurweb.com,freewarefiles.com,fullmatchesandshows.com,gelbooru.com,genfb.com,getinmybelly.com,gorillavid.in,grammarist.com,imagepearl.com,imore.com,indiewire.com,israelnationalnews.com,jerusalemonline.com,jewsnews.co.il,jpost.com,kizi.com,kshowonline.com,magnetdl.com,mmorpg.com,movpod.in,msn.com,nba-stream.com,newsarama.com,nydailynews.com,omgcheckitout.com,opensubtitles.org,phonesreview.co.uk,playbill.com,pocketnow.com,readmng.com,roadracerunner.com,robinwidget.com,rule34.xxx,sh.st,sportspickle.com,teslacentral.com,tetrisfriends.com,the4thofficial.net,thebarchive.com,thefreethoughtproject.com,toptenz.net,trifind.com,unblckd.org,uproxx.com,usherald.com,veteranstoday.com,videotoolbox.com,vrheads.com,watchseries.sk,windowscentral.com,wnd.com,xda-developers.com##[style*="blob:"]
@@ -63885,6 +65419,8 @@ oregonlive.com###adv_network
 static.adf.ly###container
 upi.com###div-ad-inread
 upi.com###div-ad-top
+idg.com.au###float_leaderboard_bottom
+dospelis.com###frame-holder
 kbb.com###gptAd1
 kbb.com###gptAd2
 kbb.com###gptAd3
@@ -63893,15 +65429,13 @@ arnnet.com.au###leaderboard-bottom-ad
 kenkenpuzzle.com###leaderboard-container
 lifewire.com###leaderboard_2-0
 nydailynews.com###ra-taboola-bottom
-ndtv.com###rhs_widget_container_id
 deadline.com###skin-ad-section
-ndtv.com###small_rec_adbox
+cinemablend.com###slot_drawer
 thepoke.co.uk###taboola-right-rail-thumbnails
 mingle2.com###textlink_ads_placeholder
 computerworlduk.com###topLeaderboard > .leaderboard
 mingle2.com###topbannerad
 janjuaplayer.com###video_ads_overdiv
-ndtv.com##._g360_wgt_sponsored
 articulos.softonic.com##.ad--displayed
 sctimes.com##.ad-bottom
 standard.co.uk##.ad-center
@@ -63917,12 +65451,14 @@ mashable.com,monova.org##.ad_container
 spin.com##.ad_desktop_placeholder
 upi.com##.ad_slot
 autoevolution.com##.adcont970
-ndtv.com##.adhead
+cinemablend.com##.ads_slot
 tomshardware.com##.adsbox
 afreesms.com,belfasttelegraph.co.uk,bitfeed.co,dailymail.co.uk,independent.ie,israellycool.com,mma-core.com,technoshouter.com,wexfordpeople.ie##.adsbygoogle
 gizmodo.com.au,kotaku.com.au,lifehacker.com.au##.adspot-300x250-pos1
 universityherald.com##.adunit_rectangle
 mirror.co.uk##.amp-ad-wrapper
+modmy.com##.article-leaderboard
+indiatimes.com##.article_separator
 wccftech.com##.banner-ad
 samaup.com##.bannernone
 marketwatch.com##.belt-ad
@@ -63937,21 +65473,24 @@ marketwatch.com##.container--bannerAd
 indiatimes.com##.ctn_ads_rhs_organic
 womenshealthmag.com##.dfp-tag-wrapper
 marketwatch.com##.element--ad
+broadwayworld.com##.ezoic-ad
 wccftech.com##.featured-ad
 freewarefiles.com##.homepage_300x600adslot
 courier-journal.com##.inline-share-btn
-ndtv.com##.ins_adwrap
 collectivelyconscious.net##.insert-post-ads
 computerworlduk.com##.jsAdContainer > #dynamicAd1
 mediafire.com##.lb-ad
-menshealth.com##.leaderboard-ad
+menshealth.com,runnersworld.com,womenshealthmag.com##.leaderboard-ad
 mediafire.com##.lr-ad
+ubergizmo.com##.mediumbox_container
+ubergizmo.com##.mediumbox_container_incontent
+ubergizmo.com##.mediumbox_incontent_wide
 indiatimes.com##.middle-ads
 lifewire.com##.mntl-lazy-ad
 ibtimes.co.uk##.mpu-wrap
+bnonews.com##.mvp-widget-ad
 msn.com##.nativead
 androidcentral.com,windowscentral.com##.netshelter-ad
-vg247.com##.newsad
 independent.ie,wexfordpeople.ie##.ob_container a[data-redirect^="http://paid.outbrain.com/network/redir?"]
 msn.com##.outeradcontainer
 clashdaily.com##.pan-ad-inline1
@@ -63968,16 +65507,18 @@ veekyforums.com##.sidebar-rc
 radiotimes.com##.sidebar__item-spacer--advert-top
 mingle2.com##.skyscraper_ad
 spin.com##.sm-widget-ad-holder
+foreignaffairs.com##.speed-bump
 hypable.com##.splitter
+nymag.com##.taboola
 jewishpress.com##.td-a-rec-id-custom_ad_1
 jewishpress.com##.td-a-rec-id-custom_ad_3
 jewishpress.com##.td-adspot-title
 msn.com##.todayshowcasead
 indiatimes.com##.topArtAd
 cinemablend.com##.topsticky_wrapper
-androidcentral.com,baltimoresun.com,belfasttelegraph.co.uk,boston.com,breaking911.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnbc.com,courant.com,dailymail.co.uk,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gizmodo.com.au,gofugyourself.com,hearthhead.com,huffingtonpost.co.uk,ign.com,imore.com,independent.ie,infinitiev.com,intoday.in,kotaku.com.au,last.fm,latimes.com,leaderpost.com,lifehacker.com.au,lolking.net,mashable.com,mcall.com,metacritic.com,mirror.co.uk,montrealgazette.com,nasdaq.com,nationalpost.com,ndtv.com,nydailynews.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,startribune.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,tomshardware.co.uk,torontosun.com,trustedreviews.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windowscentral.com,windsorstar.com,wowhead.com,yourtailorednews.com##.trc-content-sponsored
-androidcentral.com,baltimoresun.com,boston.com,breaking911.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnbc.com,courant.com,dailymail.co.uk,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gofugyourself.com,hearthhead.com,huffingtonpost.co.uk,ign.com,imore.com,independent.ie,infinitiev.com,last.fm,latimes.com,leaderpost.com,lolking.net,mashable.com,mcall.com,metacritic.com,montrealgazette.com,nasdaq.com,nationalpost.com,ndtv.com,nydailynews.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,tomshardware.co.uk,torontosun.com,trustedreviews.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windowscentral.com,windsorstar.com,wowhead.com,yourtailorednews.com##.trc-content-sponsoredUB
-thepoke.co.uk##.trc_rbox_container
+androidcentral.com,baltimoresun.com,belfasttelegraph.co.uk,boston.com,breaking911.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnbc.com,courant.com,dailymail.co.uk,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gizmodo.com.au,gofugyourself.com,hearthhead.com,huffingtonpost.co.uk,ign.com,imore.com,independent.ie,infinitiev.com,intoday.in,kotaku.com.au,last.fm,latimes.com,leaderpost.com,lifehacker.com.au,lolking.net,mashable.com,mcall.com,metacritic.com,mirror.co.uk,montrealgazette.com,nasdaq.com,nationalpost.com,nydailynews.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,startribune.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,tomshardware.co.uk,torontosun.com,trustedreviews.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windowscentral.com,windsorstar.com,wowhead.com,yourtailorednews.com##.trc-content-sponsored
+androidcentral.com,baltimoresun.com,boston.com,breaking911.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnbc.com,courant.com,dailymail.co.uk,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gofugyourself.com,hearthhead.com,huffingtonpost.co.uk,ign.com,imore.com,independent.ie,infinitiev.com,last.fm,latimes.com,leaderpost.com,lolking.net,mashable.com,mcall.com,metacritic.com,montrealgazette.com,nasdaq.com,nationalpost.com,nydailynews.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,tomshardware.co.uk,torontosun.com,trustedreviews.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windowscentral.com,windsorstar.com,wowhead.com,yourtailorednews.com##.trc-content-sponsoredUB
+realfarmacy.com,thepoke.co.uk##.trc_rbox_container
 thepoke.co.uk##.trc_related_container
 marketwatch.com##.trending__ad
 freep.com##.tsfrm-sponsor-logo-content
@@ -63990,6 +65531,7 @@ baltimoresun.com,boston.com,calgaryheral
 moviefone.com##.zergnet
 ign.com##.zergnet-container
 baltimoresun.com,boston.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,courant.com,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gofugyourself.com,hearthhead.com,ign.com,infinitiev.com,latimes.com,leaderpost.com,lolking.net,mcall.com,montrealgazette.com,nasdaq.com,nationalpost.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,torontosun.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windsorstar.com,wowhead.com##.zergnet-holder
+broadwayworld.com##[id="outbrain_widget_"
 intoday.in##a[href*=".zedo.com/"]
 msn.com##a[href^="http://adfarm.mediaplex.com/"]
 monova.org##a[href^="http://adsrvmedia.adk2x.com/"]
@@ -63997,6 +65539,7 @@ revclouds.com##a[href^="http://adtrack12
 flashx.tv##a[href^="http://data.committeemenencyclopedicrepertory.info/"]
 uploadshub.com##a[href^="http://ddownload39.club/"]
 onlinemoviewatchs.com##a[href^="http://go.ad2up.com/"]
+christianforums.com##a[href^="http://go.tryonlinetherapy.com/aff_c?offer_id="]
 uplod.ws##a[href^="http://hyperline88.com/"]
 wccftech.com##a[href^="http://internalredirect.site/"]
 monova.org##a[href^="http://magicdata.link/"]
@@ -64005,19 +65548,23 @@ belfasttelegraph.co.uk##a[href^="http://
 mashable.com##a[href^="http://www.zergnet.com/i/"]
 apkmirror.com,baltimoresun.com,boreburn.com,boston.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,courant.com,dailycaller.com,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gofugyourself.com,hearthhead.com,infinitiev.com,latimes.com,leaderpost.com,lolking.net,marketwatch.com,mcall.com,menshealth.com,montrealgazette.com,nasdaq.com,nationalpost.com,orlandosentinel.com,ottawacitizen.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,vagazette.com,vancouversun.com,vibe.com,windsorstar.com,womenshealthmag.com,yourtailorednews.com##a[onmousedown^="this.href='http://paid.outbrain.com/network/redir?"][target="_blank"]
 computerworlduk.com##aside > div > .mpuHolder
-androidcentral.com,baltimoresun.com,boston.com,breaking911.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnbc.com,courant.com,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gofugyourself.com,hearthhead.com,huffingtonpost.co.uk,ign.com,imore.com,independent.ie,infinitiev.com,intoday.in,last.fm,latimes.com,leaderpost.com,lolking.net,mashable.com,mcall.com,metacritic.com,montrealgazette.com,msn.com,nasdaq.com,nationalpost.com,ndtv.com,nme.com,nydailynews.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,tomshardware.co.uk,torontosun.com,trustedreviews.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windowscentral.com,windsorstar.com,wowhead.com,yourtailorednews.com##div[data-item-syndicated="true"]
+androidcentral.com,baltimoresun.com,boston.com,breaking911.com,calgaryherald.com,capitalgazette.com,carrollcountytimes.com,chicagotribune.com,citypaper.com,cnbc.com,courant.com,dailypress.com,deathandtaxesmag.com,edmontonjournal.com,edmunds.com,financialpost.com,gofugyourself.com,hearthhead.com,huffingtonpost.co.uk,ign.com,imore.com,independent.ie,infinitiev.com,intoday.in,last.fm,latimes.com,leaderpost.com,lolking.net,mashable.com,mcall.com,metacritic.com,montrealgazette.com,msn.com,nasdaq.com,nationalpost.com,nme.com,nydailynews.com,orlandosentinel.com,ottawacitizen.com,pcmag.com,ranker.com,sandiegouniontribune.com,saveur.com,sherdog.com,spin.com,stereogum.com,sun-sentinel.com,theprovince.com,thestarphoenix.com,timeanddate.com,tmn.today,tomshardware.co.uk,torontosun.com,trustedreviews.com,twincities.com,vagazette.com,vancouversun.com,vibe.com,windowscentral.com,windsorstar.com,wowhead.com,yourtailorednews.com##div[data-item-syndicated="true"]
 daclips.in,vidbull.com##div[id^="MarketGid"]
-belfasttelegraph.co.uk,broadwayworld.com,independent.ie,mingle2.com,mirror.co.uk,wccftech.com,wexfordpeople.ie##div[id^="div-gpt-ad"]
+belfasttelegraph.co.uk,boredomtherapy.com,broadwayworld.com,independent.ie,mingle2.com,mirror.co.uk,wccftech.com,wexfordpeople.ie##div[id^="div-gpt-ad"]
+sharespark.net##div[id^="randomContentServe"]
 upi.com##div[id^="smi2adblock"]
 cinemablend.com##div[style="height:250px; width:300px;"]
 androidsage.com##ins[data-ad-client]
 world4.eu##ins[style="display:inline-block;width:336px;height:280px"]
 socketloop.com##span[data-ez-name]
+! Bug in uBo: https://github.com/gorhill/uBlock/issues/1885
+newyorker.com##div[class^="Ad_"]
 ! Filter for testpages.adblockplus.org
 testpages.adblockplus.org###abptest
 ! CSS property filters for Adblock Plus
 webfail.com#?##aside > :-abp-properties(cursor: pointer;)
 freethesaurus.com#?#.widget + :-abp-properties(height: 265px; width: 300px;)
+multiup.eu,multiup.org#?#.trtbl:-abp-has(.warnIp)
 space.com#?#:-abp-properties(height: 250px;*width: 300px;)
 webfail.com#?##subheader + :-abp-properties(text-align: center;)
 tomshardware.com#?#.page-content-rightcol :-abp-properties(height: 600px;*width: 300px;)
@@ -64054,6 +65601,13 @@ pcmag.com,sporcle.com##iframe[width="300
 pcmag.com,sporcle.com##iframe[width="728"]
 ! oriel
 theguardian.com##[data-google-query-id]
+! msn.com
+msn.com##a[href^="https://redirect.viglink.com/"]
+msn.com##a[href^="https://www.amazon."][href*="&tag="]
+msn.com##a[target="_blank"][x-enc]
+msn.com##div[x-enc] > a
+msn.com##iframe:not([src])
+msn.com##iframe[src="about:blank"]
 ! *** easylist:easylist_adult/adult_specific_hide.txt ***
 ashemaletube.com###ASHM_imBox_Container
 nudography.com###BannerContainer
@@ -64082,7 +65636,6 @@ hiddencamsvideo.com###advert
 primejailbait.com###advertical
 hairyclassic.com,qruq.com###advertisement
 pornative.com###advertisers
-timtube.com###advertising
 orgyxxxhub.com###advobj
 pornomovies.com###aff-aside
 daporn.com###aff-banner
@@ -64120,9 +65673,7 @@ porntube.com###bottomBanner
 xxxbunker.com###bottomBanners
 wankerhut.com###bottom_adv
 fuckme.me###bottom_warning
-mydailytube.com###bottomadd
 watchindianporn.net###boxban2
-pornsharia.com###brazzers1
 fastpic.ru###brnd
 fastpic.ru###brnd-footer
 befuck.com,hotshame.com,pinkrod.com,pornoid.com,thenewporn.com,updatetube.com,wetplace.com###c2p
@@ -64207,7 +65758,7 @@ collegegrad.com###leftquad
 alysa.xxx###links
 suicidegirls.com###livetourbanner
 bootyoftheday.co###lj
-freeimgup.com,imghost.us.to###lj_livecams
+imghost.us.to###lj_livecams
 5ilthy.com###ltas_overlay_unvalid
 ynot.com###lw-bannertop728
 ynot.com###lw-top
@@ -64215,8 +65766,7 @@ ynot.com###lw-top
 pornhub.com###main-container > [id] > [class]:first-child
 news.com.au###match-widget
 xred2.com###mbEnd
-yobt.tv###media-bottom
-5ilthy.com,cockcheese.com,filthyrx.com,gfssex.com###mediaspace
+5ilthy.com,cockcheese.com,gfssex.com###mediaspace
 upornia.com###mjs-undervideo
 gifsfor.com###mob_banner
 taxidrivermovie.com###mobile_pop_special
@@ -64224,7 +65774,6 @@ adultfriendfinder.com###mod
 youporn.com,youporngay.com###moreVideosTabview3
 askjolene.com###more_from_this
 protectlinks.com###mouselayer
-starcelebs.com###mrskin-birthday-widget
 alotporn.com,flashx.tv,myfreeblack.com###nuevoa
 ma3comic.com###omad
 newverhost.com###onload
@@ -64290,11 +65839,10 @@ homemoviestube.com###right_out
 nonktube.com###second
 sexyandfunny.com###sexy-links
 pornmaturetube.com###show_adv
-amateurfarm.net,retrovidz.com###showimage
+retrovidz.com###showimage
 shesocrazy.com###sideBarsMiddle
 shesocrazy.com###sideBarsTop
 pornday.org###side_subscribe_extra
-mydailytube.com###sideadd
 spankwire.com###sidebar
 imageporter.com###six_ban
 flurl.com###skybanner
@@ -64337,12 +65885,11 @@ extremetube.com###topRightsquare
 xhamster.com###top_player_adv
 allureamateurs.net,mataporno.com,sexmummy.com,sopervinhas.net,teenwantme.com,worldgatas.com,xpg.com.br###topbar
 gifsfor.com###topbar1
-pinkems.com###topfriendsbar
 namethatpornstar.com###topphotocontainer
 askjolene.com###tourpage
 pornhyve.com###towerbanner
 pervclips.com###tube_ad_category
-axatube.com,creampietubeporn.com,fullxxxtube.com,gallsin.xxx,xxxxsextube.com,yourdarkdesires.com###ubr
+creampietubeporn.com,fullxxxtube.com,gallsin.xxx,xxxxsextube.com,yourdarkdesires.com###ubr
 usatoday.com###usat_PosterBlog
 homemoviestube.com###v_right
 stileproject.com###va1
@@ -64379,17 +65926,11 @@ mofosex.com###vjs-inplayer-overlay
 matureworld.ws###vote_popup
 adultfriendfinder.com###vp_left
 extremetube.com###whole
-bustnow.com###xad900x250x1
 mrstiff.com###xdv-preroll
 porntack.com##.Banner
-pornbanana.com##.DealContainer2
-pornbanana.com##.RightBanners
 ziporn.com##.RightBoxMain
 ziporn.com##.RightRefBoxMain
-pornbanana.com##.TopBann
 porntack.com##.TopBannerCon
-pornbanana.com##.VidBottomBanner
-pornbanana.com##.VidRightSide
 extremetube.com##._mapm_link_local_sex
 extremetube.com##._mapm_link_phone_sex
 extremetube.com##._mapm_link_premium
@@ -64399,7 +65940,7 @@ porn.com##.aRight
 pornvideofile.com##.aWrapper
 fooktube.com##.aa
 vrsmash.com##.abovePlayer
-celebspank.com,chaturbate.com,cliphunter.com,gamcore.com,playboy.com,pornhub.com,rampant.tv,signbucks.com,sxx.com,tehvids.com,uflash.tv,wankoz.com,yobt.tv##.ad
+celebspank.com,chaturbate.com,cliphunter.com,gamcore.com,playboy.com,pornhub.com,rampant.tv,signbucks.com,tehvids.com,uflash.tv,wankoz.com##.ad
 extremetube.com,pornhugo.com##.ad-container
 pornhub.com##.ad-link + table
 milfzr.com##.ad-widget > a
@@ -64407,14 +65948,14 @@ celebspank.com##.ad1
 pornhub.com,xtube.com##.adContainer
 cumsearcher.com##.adb
 cumsearcher.com##.adb-right
-pornoxo.com##.adblock
+ceporn.net,pornoxo.com##.adblock
 xxxkingtube.com##.adbox
 xxxfuel.com##.adcontainer
 katestube.com##.add
 sex3.com##.add-box
 perfectgirls.net##.additional-block-bg
 hentaistream.com##.adds
-adultbox.eu,analtubegirls.com,bangyoulater.com,beemtube.com,cam4.com,djs-teens.net,femdom-fetish-tube.com,free-celebrity-tube.com,glarysoft.com,gosexy.mobi,hdporn.in,onlyhot.biz,pornshaft.com,porntalk.com,pornxs.com,ratemypeach.com,springbreaktubegirls.com,teentube18.com,thisav.com,youporn.com##.ads
+adultbox.eu,bangyoulater.com,beemtube.com,cam4.com,djs-teens.net,femdom-fetish-tube.com,free-celebrity-tube.com,glarysoft.com,gosexy.mobi,hdporn.in,onlyhot.biz,pichunter.com,pornshaft.com,porntalk.com,pornxs.com,ratemypeach.com,teentube18.com,thisav.com,youporn.com##.ads
 myfreeblack.com##.ads-player
 anyporn.com,badteencam.com,cutepornvideos.com,famouspornstarstube.com,hdporntube.xxx,lustypuppy.com,mrstiff.com,pervertslut.com,pixhub.eu,pornfreebies.com,smut6.com,tubedupe.com,tubepornclassic.com,vporn.com,watchteencam.com,webanddesigners.com,youngartmodels.net##.adv
 txxx.com##.adv-desk-list
@@ -64432,7 +65973,7 @@ bestgore.com##.ai-viewport-1
 bestgore.com##.ai-viewport-2
 askjolene.com##.aj_lbanner_container
 ah-me.com,befuck.com,pornoid.com,sunporno.com,thenewporn.com,twilightsex.com,updatetube.com,videoshome.com,xxxvogue.net##.allIM
-pinkrod.com,pornsharia.com,pornsharing.com,wetplace.com##.allIMwindow
+pinkrod.com,pornsharing.com,wetplace.com##.allIMwindow
 1loop.com##.asblock
 playvids.com##.aside-emb
 pornfun.com##.aside-spots
@@ -64453,8 +65994,10 @@ hd-porn.me##.banner-actions
 adultpornvideox.com,jojobaa.net##.banner-box
 tube8.com,xhamster.com##.banner-container
 4tube.com,fux.com,porntube.com##.banner-frame
+babesandstars.com##.banner-right
 watchindianporn.net##.banner-vid
 pornoeggs.com##.banner-videos
+vporn.com##.banner-wrapper
 celebritymovieblog.com##.banner700
 watchhentaivideo.com##.bannerBottom
 4tube.com,empflix.com,tnaflix.com##.bannerContainer
@@ -64465,12 +66008,11 @@ penthouse.com##.banner_livechat
 freeporn.com##.bannercube
 xfanz.com##.bannerframe
 thehun.net##.bannerhorizontal
-bustnow.com##.bannerlink
 beardedperv.com,chubby-ocean.com,cumlouder.com,grandpaporntube.net,sexu.com,skankhunter.com##.banners
 isanyoneup.com##.banners-125
 porntubevidz.com##.banners-area
 vid2c.com##.banners-aside
-sexpornimg.com##.banners_gallery
+bubbaporn.com,kalporn.com,koloporno.com,pornodingue.com,pornodoido.com,pornozot.com,serviporno.com,voglioporno.com##.banners-footer
 5ilthy.com##.bannerside
 sexoncube.com##.bannerspot-index
 thehun.net##.bannervertical
@@ -64502,6 +66044,7 @@ fux.com##.bottom-baner
 xbabe.com,yumymilf.com##.bottom-banner
 pornoeggs.com##.bottom-banner-templ
 playvid.com##.bottom-banners
+h2porn.com##.bottom-cubes
 pornxs.com##.bottom-sidebar
 pornfun.com##.bottom-spots
 youtubelike.com##.bottom-thumbs
@@ -64523,6 +66066,7 @@ xcum.com##.btn-ponsor
 redtube.com##.bvq
 redtube.com##.bvq-caption
 gamesofdesire.com##.c_align
+xxxporn.pics##.cam
 empflix.com##.camsBox
 tnaflix.com##.camsBox2
 celebspank.com##.celeb_bikini
@@ -64530,6 +66074,7 @@ cliphunter.com##.channelMainBanner
 cliphunter.com##.channelMiddleBanner
 youporn.com##.channel_leaderboard
 youporn.com##.channel_square
+babe.today##.chat
 adultfriendfinder.com##.chatDiv.rcc
 thefappeningblog.com##.cl-exl
 pornrabbit.com##.container300
@@ -64537,30 +66082,31 @@ x-boobs.com##.content-banner
 youporn.com,youporngay.com##.contentPartner
 xbutter.com##.counters
 3movs.com,pervclips.com,pornicom.com##.cs
-dronporn.com##.cs_spon
+watchmygf.me##.cs_text_link
 alotporn.com##.cube
 playpornfree.org##.custom-html-widget
 anysex.com##.desc
 txxx.com##.desk-list
-pornalized.com,pornoid.com,pornsharia.com##.discount
-pornsharia.com##.discounts
+pornalized.com,pornoid.com##.discount
 fapdu.com##.disp-underplayer
+pornhd.com##.double-zone
 keezmovies.com##.double_right
 cameltoe.com##.downl
-pinkrod.com,pornsharia.com,wetplace.com##.download
+pinkrod.com,wetplace.com,xxxporn.pics##.download
 realgfporn.com##.downloadbtn
 proporn.com##.drt-spot-box
 hellporno.com##.dvb-advertisements
-pornsharia.com##.eciframe
-pornsharia.com##.eciframeright
 efukt.com##.ef_block_wrapper
 efukt.com##.efukt-widget-slider
 youporn.com##.eight-column > div[class]
 goldporntube.com##.embadv
 grandpaporntube.net##.embed_banners
+pornhub.com##.enesuch
 viptube.com##.envelope + div[class]
 grandpaporntube.net##.exo
 porn.com##.f-zne
+porn.com##.f-zne2
+porn.com##.f-zne3
 porn.com##.f-zon
 imagepost.com##.favsites
 hardsextube.com##.featured-wrap
@@ -64569,7 +66115,7 @@ youjizz.com##.fix-right-content
 extremetube.com##.float-left[style="width: 49.9%; height: 534px;"]
 wankerhut.com##.float-right
 extremetube.com##.float-right[style="width: 49.9%; height: 534px;"]
-teensexyvirgins.com,xtravids.com##.foot_squares
+teensexyvirgins.com##.foot_squares
 scio.us,youporn.com##.footer
 4tube.com,fux.com,porntube.com,upornia.com##.footer-banners
 tube8.com##.footer-box
@@ -64578,8 +66124,12 @@ gotporn.com##.footer-image-contents-bl
 4tube.com##.footer-la-vane
 youjizz.com##.footer-prs
 babesandstars.com##.footer_banners
+pornhub.com##.foragirllikeyou
+xpics.me##.frequently
 mrskin.com##.friends-runner
+sextvx.com##.friends_spo
 sunporno.com##.frms-block
+xpics.me##.future
 sammobile.com##.gad
 youx.xxx##.gallery-link
 youtubelike.com##.gallery-thumbs
@@ -64591,10 +66141,10 @@ beeg.com##.go-paysite
 ziporn.com##.hBannerHolder
 heavy-r.com##.hd-ban
 bgafd.co.uk##.hdradclip
-pornsharia.com##.head > h3
 celebspank.com##.header
 redtube.com##.header > #as_1
 thenude.eu##.headercourtesy
+pornhub.com##.heatwarning
 hclips.com##.hold-adv
 nuvid.com##.holder_banner
 pornhub.com##.home-ad-container + div
@@ -64605,7 +66155,6 @@ orgasm.com##.horizontal-banner-module
 orgasm.com##.horizontal-banner-module-small
 pornanal.net##.i_br
 pornflip.com##.ib-300-250
-pron.tv##.ifab
 gotporn.com,hardsextube.com##.image-300x250
 drtuber.com##.img_video
 pornsis.com##.indexadl
@@ -64626,6 +66175,7 @@ dbnaked.com##.join-now-btn
 extremetube.com##.join_box
 pornhub.com,spankwire.com,tube8.com,youporn.com##.join_link
 overthumbs.com##.joinnow
+redtube.com##.justmadebail
 zuzandra.com##.jx-bar
 tnaflix.com##.lastLiAv
 gamcore.com##.left-side-skin
@@ -64643,6 +66193,7 @@ proporn.com##.livecams
 drtuber.com##.livecams_main
 ns4w.org##.livejasmine
 madthumbs.com##.logo
+pornhub.com,redtube.com##.lonesomemuch
 tube8.com##.main-video-wrapper > .float-right
 sexdepartementet.com##.marketingcell
 avn.com##.mfc
@@ -64650,6 +66201,7 @@ lic.me##.miniplayer
 upornia.com##.mjs-closeandplay
 hotmovs.com,upornia.com##.mjs-closeplay
 hanksgalleries.com##.mob_vids
+xpics.me##.native
 extremetube.com##.noPopunder
 pornhub.com,tube8.com##.nonesuch
 upornia.com##.ntv-banners-container
@@ -64659,16 +66211,20 @@ pornhub.com##.onesuch
 lustgalore.com,yourasiansex.com##.opac_bg
 baja-opcionez.com##.opaco2
 vporn.com##.overheaderbanner
+babe.today##.overlay
 pornomovies.com##.overlay-ggf
+deviantclip.com##.overlay-media
 tnaflix.com##.pInterstitial
 tnaflix.com##.pInterstitialx
 tnaflix.com##.padAdv
 redtube.com##.pageVideos > div > [class][style*="z-index:"]
-tube8.com##.partner-link
+definebabe.com##.partner-info
+definebabe.com,tube8.com##.partner-link
 bravotube.net##.paysite
 ah-me.com##.paysite-link
 hdzog.com##.pl_showtime1_wr2
 hclips.com##.pl_wr
+camvideos.tv##.place
 hdzog.com##.player-advertise
 drtuber.com##.player-adx-block
 zmovs.com##.player-aside-banners
@@ -64680,20 +66236,19 @@ xnxxvideoporn.com##.player_bn
 4tube.com##.player_faq_link
 4tube.com##.player_sub_link
 4tube.com##.playerside-col
-yobt.tv##.playpause.visible > div
 efukt.com##.plugs
 beardedperv.com##.plugzContainer
 xtube.com##.postRoll
 uflash.tv##.pps-banner
 pornhub.com##.pre-footer
-pron.tv##.premiummessages
 txxx.com##.preroll
 adultdvdtalk.com##.productinfo
-pornfun.com##.promo
+pornfun.com,xnostars.com##.promo
+thefappening.wiki##.promo-1
+thefappening.wiki##.promo-2
 porntubevidz.com##.promo-block
 nakedtube.com,pornmaki.com##.promotionbox
 nuvid.com,nuvidselect.com##.puFloatLine
-sexy-toons.org##.pub300
 dachix.com,dagay.com,deviantclip.com##.pub_right
 foxtube.com##.publi_pc
 cumlouder.com,freemovies.tv##.publis-bottom
@@ -64726,12 +66281,15 @@ porn.com,xvideos-free.com##.rmedia
 collegegrad.com##.roundedcornr_box_quad
 xxxymovies.com##.rtoptbl
 porn.com##.s-zne
+porn.com##.s-zne2
+porn.com##.s-zne3
 porn.com##.s-zon
 sticking.com##.sb-box
 woodrocket.com##.sb-store
 dominationtube.com,gaysexarchive.com,skeezy.com,sticking.com##.sb-txt
 thenude.eu##.sexart_sidebar
 uselessjunk.com##.shadow_NFL
+h2porn.com##.side-spot
 sankakucomplex.com##.side300xmlc
 queermenow.net##.sidebar > #text-2
 flyingjizz.com##.sidebar-banner
@@ -64755,12 +66313,10 @@ candidvoyeurism.com,simply-hentai.com##.
 gaytube.com##.slider-section
 movies.askjolene.com##.small_tourlink
 pornpics.com##.sp-block
-springbreaktubegirls.com##.span-100
 nonktube.com##.span-300
 nonktube.com##.span-320
 ns4w.org##.splink
 bgafd.co.uk##.spnsr
-abc-celebs.com##.spons
 pornpics.com##.spons-block
 tnaflix.com##.sponsVideoLink
 anyporn.com,pervertslut.com,pornever.net,sexpornimages.com,xbabe.com##.sponsor
@@ -64773,8 +66329,9 @@ xhamster.com##.sponsor_top
 gotporn.com##.sponsored
 beeg.com##.spoor
 beeg.com##.spor
-dixyporn.com,proporn.com,smut6.com,xhamster.com##.spot
+camvideos.tv,dixyporn.com,proporn.com,smut6.com,xhamster.com##.spot
 magicaltube.com##.spot-block
+xhamster.com##.spot-container
 drtuber.com,egbo.com,smutr.com##.spots
 pornhd.com##.square
 redtube.com##.square-banner
@@ -64786,6 +66343,8 @@ sexyandshocking.com##.sub-holder
 peepinghunter.com,simply-hentai.com##.superbanner
 porndaddy.us##.svd
 porn.com##.t-zne
+porn.com##.t-zne2
+porn.com##.t-zne3
 dickbig.net##.t_14
 intporn.com##.tagcloudlink.level4
 amateuralbum.net##.tb3
@@ -64796,8 +66355,9 @@ extremetube.com##.title-sponsor-box
 galleries-pornstar.com##.title_slider
 tube8.com##.tjFooterMods
 tube8.com##.tjUpperMods
-popporn.com,xxxlinks.es##.top-banner
+popporn.com##.top-banner
 sunporno.com##.top-player-link
+definebabe.com##.top-traders
 10movs.com##.top_banner
 pornhub.com##.top_hd_banner
 imgwet.com##.topa
@@ -64808,6 +66368,7 @@ tubepornclassic.com##.tpcadv
 vivatube.com##.tr-download
 vivatube.com##.tr-sponsor
 realgfporn.com##.trade-slider
+babesandstars.com##.traders
 overthumbs.com,proporn.com##.trailerspots
 tubedupe.com##.treview_link_1
 xhamster.com##.ts
@@ -64857,13 +66418,14 @@ redtube.com##.webmaster-banner
 imagearn.com##.wide_banner
 beeg.com##.window
 mrskin.com##.yui3-u-1-3:last-child
-porn.com,xvideos-free.com##.zone
+porn.com,pornhd.com,xvideos-free.com##.zone
 youjizz.com##[class][style*="padding-bottom:"]
 redtube.com##[data-h]
 redtube.com##[data-w]
 extremetube.com,pornhub.com,redtube.com,tube8.com,tube8.es,tube8.fr,xtube.com,xvideos.com,youjizz.com,youporn.com,youporngay.com##[href*="base64"]
 extremetube.com,pornhub.com,redtube.com,tube8.com,tube8.es,tube8.fr,xtube.com,xvideos.com,youjizz.com,youporn.com,youporngay.com##[href*="data:"]
 imagehaven.net##[href="http://clicks.totemcash.com/?s=38739&p=21&pp=4"]
+camvideos.tv##[href^="http://mmcams.com/"][href*="&utm_"]
 ero-advertising.com##[id][style]
 imagevenue.com##[id^="MarketGid"]
 redtube.com##[id^="adb_"]
@@ -64880,26 +66442,27 @@ extremetube.com,pornhub.com,redtube.com,
 extremetube.com,pornhub.com,redtube.com,tube8.com,tube8.es,tube8.fr,xtube.com,xvideos.com,youjizz.com,youporn.com,youporngay.com##[style*="height: 330px;"]
 sexyclips.org##[style="text-align: center; width: 1000px; height: 250px;"]
 exgirlfriendmarket.com##[width="728"][height="150"]
-asspoint.com,babepedia.com,babesource.com,dbnaked.com,gaytube.com,gfycatporn.com,girlsnaked.net,mansurfer.com,newpornstarblogs.com,pornoxo.com,pornpicture.org,pornstarchive.com,redtube.com,rogreviews.com,sexyandfunny.com,shemaletubevideos.com,starcelebs.com,the-new-lagoon.com,tube8.com,vporn.com,xxxhdd.com,youjizz.com,youporn.com,yourdailypornstars.com##a[href*=".com/track/"]
+asspoint.com,babepedia.com,babesandstars.com,babesource.com,datoporn.co,dbnaked.com,definebabe.com,gaytube.com,gfycatporn.com,girlsnaked.net,mansurfer.com,newpornstarblogs.com,pichunter.com,pornoxo.com,pornstarchive.com,redtube.com,rogreviews.com,sexyandfunny.com,shemaletubevideos.com,spankbang.com,the-new-lagoon.com,theanalist.info,tube8.com,vporn.com,xxxhdd.com,youjizz.com,youporn.com,yourdailypornstars.com##a[href*=".com/track/"]
 pornhub.com##a[href*=".download/"]
 redtube.com##a[href*=".hop.clickbank.net"]
 boysfood.com##a[href*=".php"]
+xxxporn.pics##a[href*=".solidcams.com?"]
 keezmovies.com##a[href*="/affiliates/idevaffiliate.php?"]
 nude.hu##a[href*="/click/"]
-gaytube.com,redtube.com,shemaletubevideos.com,therealpornwikileaks.com,xhamster.com##a[href*="/go.php?"]
-monstercockz.com,xxxhdd.com##a[href*="/go/"]
+definebabe.com,gaytube.com,redtube.com,shemaletubevideos.com,therealpornwikileaks.com,xhamster.com##a[href*="/go.php?"]
+theanalist.info,watchmygf.me,xxxhdd.com##a[href*="/go/"]
 sexyandfunny.com,yourdailypornstars.com##a[href*="/out.php?"]
 badjojo.com##a[href*="/out.php?siteid=13&id=0&url=http%3A%2F%2Fsyndication.traffichaus.com"]
 mansurfer.com##a[href*="/out/"]
 avgle.com##a[href*="/redirect"]
 celebrity-slips.com##a[href*="?_atc="]
-gotporn.com,katestube.com,pron.tv,spankbang.com##a[href*="?ats="]
+gotporn.com,katestube.com,sextvx.com,spankbang.com,vporn.com,xnostars.com,xxxporn.pics##a[href*="?ats="]
 redtube.com,thumbzilla.com##a[href*="?coupon="]
 redtube.com##a[href*="?link_id="][href*="&tracker_id="]
 pornhub.com##a[href*="abbp"]
 pornhub.com##a[href*="pleasedontslaymy"]
 pronpic.org##a[href*="takyake.ru"]
-bos.so,camwhores.tv,dbnaked.com,efukt.com,hentai2read.com,hpjav.com,imagebam.com,imgbox.com,motherless.com,planetsuzy.org,sexgalaxy.net,sextvx.com,sexuria.com,thefappeningblog.com,vintage-erotica-forum.com,xopenload.com,yourporn.sexy##a[href*="theporndude.com"]
+bos.so,camvideos.tv,camwhores.tv,dbnaked.com,efukt.com,hentai2read.com,hpjav.com,imagebam.com,imgbox.com,motherless.com,planetsuzy.org,sexgalaxy.net,sextvx.com,sexuria.com,thefappeningblog.com,vintage-erotica-forum.com,xopenload.com,yourporn.sexy##a[href*="theporndude.com"]
 gaytube.com##a[href="/external/meet_and_fuck"]
 efukt.com##a[href="http://crazyshit.com/?utm_"]
 porn99.net##a[href="http://porn99.net/asian/"]
@@ -64924,7 +66487,7 @@ giftube.com##a[href^="http://adultfriend
 anyporn.com##a[href^="http://anyporn.com/cs/"]
 porn.com,youjizz.com,youporn.com,youporngay.com##a[href^="http://as.sexad.net/"]
 porn-w.org,porn99.net##a[href^="http://bit.ly/"]
-avgle.com##a[href^="http://bongacams.com/track?"]
+avgle.com,camvideos.tv##a[href^="http://bongacams.com/track?"]
 sex4fun.in##a[href^="http://c.mobpartner.mobi/"]
 sex3dtoons.com##a[href^="http://click.bdsmartwork.com/"]
 imghit.com##a[href^="http://crtracklink.com/"]
@@ -64947,7 +66510,6 @@ olala-porn.com##a[href^="http://ryushare
 hentairules.net##a[href^="http://secure.bondanime.com/track/"]
 hentairules.net##a[href^="http://secure.futafan.com/track/"]
 hentairules.net##a[href^="http://secure.lestai.com/track/"]
-filthyrx.com##a[href^="http://secure.spitsters.com/track/"]
 hentairules.net##a[href^="http://secure.titanime.com/track/"]
 dachix.com,dagay.com,deviantclip.com,voyeur.net##a[href^="http://seethisinaction.com/"]
 bestgore.com##a[href^="http://seethisinaction.com/servlet/"]
@@ -64983,23 +66545,24 @@ xxxprivates.com##a[href^="http://www.xxx
 katestube.com##a[href^="https://ads.traffichaus.com/"]
 xxxgames.biz##a[href^="https://detour.click/"]
 camwhores.tv##a[href^="https://go.stripcash.com/"]
-camwhores.tv,proporn.com,xhamster.com##a[href^="https://go.stripchat.com/"]
+camvideos.tv,camwhores.tv,proporn.com,xhamster.com##a[href^="https://go.stripchat.com/"]
 creepshots.com##a[href^="https://go.trkclick2.com/"]
 prestashop.com##a[href^="https://partners.a2hosting.com/solutions.php?id="]
 thefappeningblog.com##a[href^="https://porndabster.com/?utm_"]
 spankbang.com##a[href^="https://porngames.adult/"]
 rule34.xxx##a[href^="https://rule34.xxx/c.html"]
 fantasti.cc##a[href^="https://syndication.traffichaus.com/"]
-camwhores.tv##a[href^="https://www.camsoda.com/enter.php?id="]
 celebrity-slips.com##a[href^="https://www.celebrity-slips.com/rd/"]
 gotporn.com##a[href^="https://www.gotporn.com/click.php?id="]
-avn.com##a[href^="https://www.myfreecams.com/"][href*="&track="]
+avn.com,penthouse.com##a[href^="https://www.myfreecams.com/"][href*="&track="]
 redtube.com##a[href^="https://www.redtube.com/click.php?"]
+vporn.com##a[onclick*="adclick"]
 keezmovies.com##a[onclick*="window.open"]
 tube8.com,tube8.es,tube8.fr##a[onclick^="loadAdFromHeaderTab('http://ads.genericlink.com"]
 xxxstreams.eu##a[style]
 hentai-foundry.com##a[target="_new"] > img[src]
 picfoco.com##a[title="Sponsor link"]
+pornhub.com,redtube.com##ads
 mofosex.com##article[style="position: relative; overflow: hidden; width: 299px; height: 249px; margin:0 auto;"]
 pornhub.com##aside > [style="display: block;"] > table
 pornhub.com##aside > span:first-child
@@ -65018,13 +66581,15 @@ celeb.gate.cc##div[id^="bnrrotator_"]
 voyeurhit.com##div[id^="div-ad-"]
 hentaistream.com##div[id^="hs_ad"]
 tube8.com##div[id^="tj-zone"]
-xtravids.com##div[style="background-color:#DDD; padding:5px;"]
+ceporn.net##div[style="border:4px solid;width:300px;height:250px;background:#7e7e7e;"]
 redtube.com##div[style="display: block !important;"]
 javlibrary.com##div[style="display:block; position:relative; width:730px; height:92px; overflow:hidden; margin: 10px auto 0px auto;"]
 xhamster.com##div[style="font-size: 10px; margin-top: 5px;"]
 xxxstash.com##div[style="height: 250px; width: 960px;"]
 empflix.com##div[style="height: 400px;"]
+datoporn.co##div[style="height:30px; text-align:center; background-color:#ffcc1b; color:#000; font-weight: 700; font-size: 18px; margin:6px; border-radius:3px; line-height:30px;"]
 mofosex.com##div[style="margin-top: 10px"]
+porngals4.com##div[style="margin:0 0 15px 0;width:728px;height:90px;background:#FAFAFA;"]
 xtube.com##div[style="text-align:center; width:1000px; height: 150px;"]
 iloveinterracial.com##div[style="width:1000px;height:110px; background-color:#E9DECA; font-family: Tahoma,Helvetica,Arial,sans-serif; font-size: 11px; font-style:normal; color:#535353;"]
 hdzog.com,voyeurhit.com##div[style="width:300px; height:250px;"]
@@ -65083,11 +66648,11 @@ fleshasiadaily.com##img[width="700"]
 4fuckr.com,babeshows.co.uk,jessie-rogers.com,rule34hentai.net##img[width="728"]
 mofosex.com##li[style="width: 385px; height: 380px; display: block; float: right;"]
 hentai-foundry.com##p > a[href][target="_blank"]
+pornhub.com,redtube.com##sads
 picfoco.com##table[border="0"][width="728"]
 xcritic.com##table[cellpadding="10"][width="600"]
 xvideos.com##table[height="480"]
 loadsofpics.com##table[height="750"]
-starcelebs.com##table[style="width:218px; border-width:1px; border-style:solid; border-color:black; border-collapse: collapse"]
 pornper.com,xxxkinky.com##table[width="100%"][height="260"]
 taxidrivermovie.com##table[width="275"]
 humoron.com##table[width="527"]
@@ -65104,7 +66669,6 @@ titsintops.com##table[width="780"]
 newsfilter.org##table[width="800px"]
 anyvids.com##table[width="860"][cellspacing="1"][cellpadding="10"][border="1"]
 magnetxxx.com##table[width="900"][height="250"]
-myex.com##table[width="950"]
 xxvideo.us##table[width="950"][height="252"]
 petiteteenager.com##table[width="960"][height="102"]
 boobieblog.com##td[align="center"][width="20%"]
@@ -65121,6 +66685,7 @@ youjizz.com##tr > td + td[valign="top"]
 youjizz.com##tr > td[style*="padding"][width]
 youporn.com##video[id]:first-child
 pornhub.com##video[style*="display: block !important;"]
+pornhub.com##zzzzz
 ! motherless.com
 motherless.com###anonymous-notice
 motherless.com###main > #content + div[style*="text-align:center;"]
@@ -65178,6 +66743,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||2mdn.net/instream/html5/ima3.js$domain=~superfilm.pl
 @@||2mdn.net/instream/video/client.js$domain=cbc.ca
 @@||2mdn.net/viewad/*/B*_$image,domain=jabong.com
+@@||2mdn.net/|$xmlhttprequest,domain=twitch.tv
 @@||2mdn.net^*/1x1image.jpg$image,domain=convert-me.com
 @@||2mdn.net^*/html_inpage_rendering_lib_$script,domain=investopedia.com
 @@||2mdn.net^*/jwplayer.js$domain=doubleclick.net
@@ -65348,6 +66914,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||adserver.yahoo.com^*=weather&$domain=ca.weather.yahoo.com
 @@||adservice.google.*/adsid/integrator.js$domain=twitch.tv
 @@||adservice.google.*/integrator.js$domain=gsmarena.com|nydailynews.com
+@@||adservice.google.com/|$xmlhttprequest,domain=twitch.tv
 @@||adshost1.com/crossdomain.xml$object-subrequest
 @@||adshost1.com/ova/*.xml$object-subrequest,domain=4shared.com
 @@||adsign.republika.pl^$subdocument,domain=a-d-sign.pl
@@ -65391,7 +66958,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||adverts.brighthouse.com/advertpro/servlet/view/banner/url/zone?*=preroll/2Black|$subdocument,domain=baynews9.com|cfnews13.com
 @@||adverts.cdn.tvcatchup.com^$object-subrequest
 @@||advertserve.com/images/aaamidatlantic.advertserve.com/advertpro/servlet/files/$image,domain=midatlantic.aaa.com
-@@||adview.online^$third-party
 @@||advisory.mtanyct.info/outsideWidget/widget.html?*.adPlacement=$subdocument
 @@||advweb.ua.cmu.edu^$~third-party
 @@||adweb.cis.mcmaster.ca^$~third-party
@@ -65523,13 +67089,10 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||aviationexplorer.com/airline_aviation_ads/
 @@||awin1.com/cshow.php?s=$image,domain=deliverydeals.co.uk
 @@||awltovhc.com^$object,domain=affrity.com
-@@||ay8ou8ohth.com/ads/pop-under.js$script
-@@||ay8ou8ohth.com/js/adpop.js$script
 @@||azureedge.net/ads/$domain=dailymaverick.co.za
 @@||azureedge.net/adv/$domain=dailymaverick.co.za
 @@||b-cdn.net/adv/$domain=dailymaverick.co.za
 @@||backpackinglight.com/backpackinglight/ads/banner-$~third-party
-@@||bafta.org/static/site/javascript/banners.js
 @@||bahtsold.com/assets/home/openx/Thailand/$image,~third-party
 @@||bahtsold.com/assets/images/ads/no_img_main.png
 @@||bankofamerica.com^*?adx=$xmlhttprequest
@@ -65926,7 +67489,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||espn.co.uk/ads/gamemodule_v0.2.swf$object
 @@||espn.go.com^*/espn360/banner?$subdocument
 @@||espncdn.com/combiner/*/admgr.$script,domain=espn.go.com
-@@||espncdn.com/combiner/c?*/ads.css$domain=espn.go.com
+@@||espncdn.com/combiner/c?*/ads.css
 @@||espncdn.com/combiner/c?*/advertising.$stylesheet,domain=espnfc.com
 @@||espngp.com/ads/*_sprite$domain=espnf1.com
 @@||esquire.com/ams/page-ads.js?$script
@@ -65995,6 +67558,8 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||fs-freeware.net/images/jdownloads/downloadimages/banner_ads.png
 @@||fsdn.com/sd/topics/advertising_64.png$domain=slashdot.org
 @@||funiaste.net/obrazki/*&adtype=
+@@||fwmrm.net/ad/g/1?$script,domain=msn.com
+@@||fwmrm.net/p/msn_live/AdManager.js$domain=msn.com
 @@||g.doubleclick.net/aclk?*^adurl=http://thoughtcatalog.com/$popup,domain=thoughtcatalog.com
 @@||g.doubleclick.net/crossdomain.xml$object-subrequest,domain=~newgrounds.com
 @@||g.doubleclick.net/gampad/ads?$object-subrequest,domain=majorleaguegaming.com|nfl.com|player.rogersradio.ca|viki.com|volarvideo.com|worldstarhiphop.com
@@ -66096,7 +67661,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||guim.co.uk^*/styles/wide/google-ads.css
 @@||gulflive.com/static/common/js/ads/ads.js
 @@||gumtree.com^*/postAd.js
-@@||guysen.com/script/ads.js
 @@||gws.ign.com/ws/search?*&google_adpage=$script
 @@||hackerboards.com/files/adlink_$image,domain=hackerboards.com
 @@||hackintosh.zone/ipscdn/adsense/
@@ -66117,7 +67681,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||hentai-foundry.com/themes/default/images/buttons/add_comment_icon.png
 @@||hihostels.com^*/hibooknow.php?affiliate=$subdocument
 @@||hillvue.com/banners/$image,~third-party
-@@||hipsterhitler.com/hhcomic/wp-content/uploads/2011/10/20_advertisement.jpg
 @@||hipsterhitler.com/wp-content/webcomic/$image
 @@||history.com^$generichide
 @@||historyextra.com^*_advertorial$stylesheet
@@ -66127,7 +67690,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||hologfx.com/banners/$image,~third-party
 @@||homedepot.com^*/thdGoogleAdSense.js
 @@||hotnewhiphop.com/web_root/images/ads/banner-*.png
-@@||housebeautiful.com/ams/page-ads.js
 @@||housebeautiful.com/cm/shared/scripts/refreshads-*.js
 @@||houstonpress.com/adindex/$xmlhttprequest
 @@||howcast.com/flash/assets/ads/liverail.swf
@@ -66153,7 +67715,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||identity-us.com/ads/ads.html
 @@||ifeelgoood.com/tapcontent-*.swf?clicktag=$object
 @@||iframe.ivillage.com/iframe_render?
-@@||ifyoublockthisvideotoo.club/streamgame.js$script
 @@||ign.com/js.ng/size=headermainad&site=teamxbox$script,domain=teamxbox.com
 @@||ign.com/newsfeed-block?*&adType=$xmlhttprequest
 @@||ikea.com^*/img/ad_
@@ -66165,7 +67726,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||images.dashtickets.co.nz/advertising/featured/$image
 @@||images.frys.com/art/ads/images/$image,~third-party
 @@||images.frys.com/art/ads/js/$script,stylesheet
-@@||images.mmorpg.com/scripts/advertisement.js
 @@||images.nationalgeographic.com/wpf/media-live/graphic/
 @@||images.nickjr.com/ads/promo/
 @@||images.rewardstyle.com/img?$image,domain=glamour.com|itsjudytime.com
@@ -66174,7 +67734,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||imasdk.googleapis.com/flash/core/3.*/adsapi.swf$object-subrequest
 @@||imasdk.googleapis.com/flash/sdkloader/adsapi_3.swf$object-subrequest
 @@||imasdk.googleapis.com/js/core/bridge*.html$subdocument,domain=~spotify.com
-@@||imasdk.googleapis.com/js/sdkloader/ima3.js$domain=allcatvideos.com|audiomack.com|beinsports.com|bloomberg.com|cbc.ca|cbsnews.com|cbssports.com|cnet.com|complex.com|cwtv.com|gamejolt.com|healthmeans.com|indystar.com|mobg.io|news.sky.com|play.ludigames.com|player.performgroup.com|powr.com|rumble.com|snopes.com|thestreet.com|theverge.com|usatoday.com|video.foxbusiness.com|video.foxnews.com|vidyomani.com|yiv.com
+@@||imasdk.googleapis.com/js/sdkloader/ima3.js$domain=allcatvideos.com|audiomack.com|beinsports.com|blastingnews.com|bloomberg.com|cbc.ca|cbsnews.com|cbssports.com|cnet.com|complex.com|cwtv.com|gamejolt.com|healthmeans.com|indystar.com|mobg.io|news.sky.com|play.ludigames.com|player.performgroup.com|powr.com|rumble.com|snopes.com|thestreet.com|theverge.com|usatoday.com|video.foxbusiness.com|video.foxnews.com|vidyomani.com|yiv.com
 @@||img-cdn.mediaplex.com^$image,domain=betfair.com
 @@||img.brickscout.com^$domain=brickscout.com
 @@||img.espngp.com/ads/$image,domain=espnf1.com
@@ -66198,8 +67758,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||innovid.com/iroll/package/iab-vpaid-ex/$domain=cbs.com
 @@||innovid.com^$object-subrequest,domain=hulu.com
 @@||innovid.com^*/VPAIDEXIRollPackage.swf$domain=cbs.com
-@@||inserts2online.com/*.jsp?*&adid=$subdocument
-@@||inserts2online.com/images/site/viewad.gif
 @@||inskin.vo.llnwd.net^*/api/tvcatchup-light.js$domain=tvcatchup.com
 @@||inskin.vo.llnwd.net^*/api/tvcatchup.js$domain=tvcatchup.com
 @@||inskin.vo.llnwd.net^*/preroll_$object-subrequest,domain=tvcatchup.com
@@ -66251,7 +67809,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||kcra.com^*/adpositionsizein-min.js
 @@||kenovatech.com/affiliate_signin_signup.php?$subdocument
 @@||keygamesnetwork.com/adserve/request/$object-subrequest,domain=gamesforwork.com
-@@||kidshealth.org/licensees/licensee1/js/gam.html
 @@||king5.com/templates/belo_dart_iframed_ad?dartTag=LeaderTop&$subdocument
 @@||kingofgames.net/gads/kingofgames.swf
 @@||kixer.com/ad/12?$xmlhttprequest,domain=m.tmz.com
@@ -66296,9 +67853,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||live-support.se^*/Admax/$~third-party
 @@||live.seenreport.com:82/media/js/ads_controller.js?$domain=live.geo.tv
 @@||live.seenreport.com:82/media/js/fingerprint.js?$domain=live.geo.tv
-@@||live365.com/mini/blank300x250.html
-@@||live365.com/scripts/liveads.js
-@@||live365.com/web/components/ads/*.html?
 @@||liverail.com/?LR_PUBLISHER_ID=$xmlhttprequest,domain=dailymotion.com
 @@||liverail.com/?url=http%3A%2F%2Fads.adaptv.advertising.com$xmlhttprequest,domain=dailymotion.com
 @@||liverail.com/js/LiveRail.AdManager$script,domain=~bluray-disc.de
@@ -66331,7 +67885,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||mail.google.com^*&view=ad&$xmlhttprequest
 @@||mail.google.com^*/uploaderapi*.swf
 @@||mail.yahoo.com/neo/assets/swf/uploader.swf
-@@||manilatimes.net/images/banners/logo-mt.png
 @@||manoramaonline.com/advt/cricbuzz/
 @@||mansioncasino.com/banners/$~third-party
 @@||maps-static.chitika.net^
@@ -66341,14 +67894,12 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||marciglesias.com/publicidad/
 @@||marcokrenn.com/public/images/pages/advertising/$~third-party
 @@||marcs.com^*/AdViewer.js
-@@||marieclaire.com/ams/page-ads.js?
 @@||marines.com/videos/commercials/$object-subrequest
 @@||marketing.beatport.com.s3.amazonaws.com/html/*/Banner_Ads/header_$image
 @@||marketingmag.ca/wp-content/uploads/*/adtech$domain=marketingmag.ca
 @@||marketwatch.com^$generichide
 @@||masslive.com/static/common/js/ads/ads.js
 @@||maxim.com/advert*/countdown/$script,stylesheet
-@@||mcfc.co.uk/js/core/adtracking.js
 @@||mcpn.us/resources/images/adv/$~third-party
 @@||media-imdb.com^*/js/ads.js$domain=imdb.com
 @@||media.avclub.com/onion/js/videoads.js$script
@@ -66454,11 +68005,11 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||newgrounds.com/ads/ad_medals.gif
 @@||newgrounds.com/ads/advertisement.js
 @@||news.nate.com/etc/adrectanglebanner?
-@@||newsarama.com/common/js/advertisements.js
 @@||newsarama.com^$generichide
 @@||newsweek.com/ads/adscripts/prod/*_$script
 @@||newyorker.com/wp-content/assets/js/vendors/cn-fe-ads/cn.dart.js
 @@||newzimbabwe.com/banners/350x350/
+@@||nexac.com/e/getdata.xgi$xmlhttprequest,domain=twitch.tv
 @@||nextag.com/buyer/dyad/$script,domain=nextag.com
 @@||nextmedia.com/admedia/$object-subrequest
 @@||nextmovie.com/plugins/mtvnimageresizer/actions/scale_image?$image,domain=nextmovie.com
@@ -66570,6 +68121,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||pagead2.googlesyndication.com/pagead/scache/googlevideoadslibrarylocalconnection.swf?$object-subrequest,domain=didigames.com|nitrome.com|nx8.com|oyunlar1.com
 @@||pagead2.googlesyndication.com/pagead/show_ads.js$domain=nlfreevpn.com|oldapps.com|technobuffalo.com
 @@||pagead2.googlesyndication.com/pagead/static?format=in_video_ads&$generichide,subdocument
+@@||pagead2.googlesyndication.com/|$xmlhttprequest,domain=twitch.tv
 @@||pagesinventory.com/_data/flags/ad.gif
 @@||pandasecurity.com/banners/$image,~third-party
 @@||pandasecurity.s3.amazonaws.com/promotions/$domain=pandasecurity.com
@@ -66867,6 +68419,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||static.cricinfo.com^*/ADVERTS/*/liveScores.swf$object
 @@||static.criteo.net/images/pixel.gif?ch=1$image,domain=opensubtitles.org|technobuffalo.com
 @@||static.exoclick.com^$image,domain=streamcloud.eu
+@@||staticbg.com/thumb/*/AD/$image,domain=banggood.com
 @@||stats.g.doubleclick.net/dc.js$domain=native-instruments.com|nest.com|theheldrich.com
 @@||stclassifieds.sg/images/ads/$~third-party
 @@||stclassifieds.sg/postad/
@@ -66953,6 +68506,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||tinbuadserv.com/v3/serve.php?$script
 @@||tinysubversions.com/clickbait/adjs.json
 @@||tkcarsites.com/soba/bannersservice
+@@||tlc.com/shared/ad-enablers/$subdocument
 @@||tm.tradetracker.net/tag?$script
 @@||tnol.com/adimages/digitaledition/$object-subrequest
 @@||tntexpress.com.au^*/marketing/banners/
@@ -67179,14 +68733,18 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||zillow.com/widgets/search/ZillowListingsWidget.htm?*&adsize=$subdocument,domain=patch.com
 @@||zippyshare.com^$generichide
 @@||zstream.to/js/pop.js$domain=zstream.to
-! twitch
-@@|http:$third-party,xmlhttprequest,domain=twitch.tv
-@@|https:$third-party,xmlhttprequest,domain=twitch.tv
 ! Zazzle https://github.com/easylist/easylist/pull/939
 @@||zcache.ca^$image,domain=zazzle.ca
 @@||zcache.co.nz^$image,domain=zazzle.co.nz
 @@||zcache.co.uk^$image,domain=zazzle.co.uk
 @@||zcache.com^$image,domain=zazzle.com
+! reuters.com
+@@/^https?:\/\/.*(com|net|de|org|us).*/$image,domain=reuters.com
+@@/^https?:\/\/.*[\w\/\-.+&=?%#]/$image,domain=reuters.com
+@@||media.net/bidexchange.js$domain=reuters.com
+@@||reuters.com/ads.js$script
+@@||reuters.com^$generichide
+@@||reutersmedia.net/resource$image
 ! allow vk.com to confirm age.
 ! https://forums.lanik.us/viewtopic.php?p=131491#p131491
 @@||oauth.vk.com/authorize?
@@ -67372,7 +68930,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||wakingtimes.com^$generichide
 @@||westernjournalism.com^$generichide
 @@||winningdemocrats.com^$generichide
-@@||wnd.com^$generichide
 @@||xtribune.com^$generichide
 @@||youthhealthmag.com^$generichide
 ! Anti-Adblock
@@ -68231,7 +69788,6 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||nbahd.com^$generichide
 @@||nbc.com^$generichide
 @@||nbcudigitaladops.com/hosted/$script
-@@||ndtv.com^$generichide
 @@||ndtv.com^$script,~third-party
 @@||needrom.com/advert1.js
 @@||nettavisen.no^*/advertisement.js
@@ -69033,6 +70589,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 @@||style.seznam.cz/ad/im.js
 @@||submarino.com.br/openx/www/delivery/
 @@||ta3.com/advert-async-system/$xmlhttprequest
+@@||tamasha.com/embed/*?vastUrl=https://adwebservice.videoboom.net/videoads.svc/linearvasth/$subdocument
 @@||tcdn.nl/javascript/showads.$script
 @@||terra.cl^*/admanager.html$subdocument
 @@||terra.com.br^*/admanager.html$subdocument
@@ -69085,6 +70642,7 @@ pornhub.com,youporn.com#?#:-abp-properti
 ! Google
 @@||accounts.google.com/adwords/$domain=accounts.google.com
 @@||accounts.google.com^$document,subdocument,domain=adwords.google.com
+@@||ads.google.$document,domain=ads.google.ac|ads.google.ad|ads.google.ae|ads.google.al|ads.google.am|ads.google.as|ads.google.at|ads.google.az|ads.google.ba|ads.google.be|ads.google.bf|ads.google.bg|ads.google.bi|ads.google.bj|ads.google.bs|ads.google.bt|ads.google.by|ads.google.ca|ads.google.cat|ads.google.cd|ads.google.cf|ads.google.cg|ads.google.ch|ads.google.ci|ads.google.cl|ads.google.cm|ads.google.co.ao|ads.google.co.bw|ads.google.co.ck|ads.google.co.cr|ads.google.co.id|ads.google.co.il|ads.google.co.in|ads.google.co.jp|ads.google.co.ke|ads.google.co.kr|ads.google.co.ls|ads.google.co.ma|ads.google.co.mz|ads.google.co.nz|ads.google.co.th|ads.google.co.tz|ads.google.co.ug|ads.google.co.uk|ads.google.co.uz|ads.google.co.ve|ads.google.co.vi|ads.google.co.za|ads.google.co.zm|ads.google.co.zw|ads.google.com|ads.google.com.af|ads.google.com.ag|ads.google.com.ai|ads.google.com.ar|ads.google.com.au|ads.google.com.bd|ads.google.com.bh|ads.google.com.bn|ads.google.com.bo|ads.google.com.br|ads.google.com.by|ads.google.com.bz|ads.google.com.cn|ads.google.com.co|ads.google.com.cu|ads.google.com.cy|ads.google.com.do|ads.google.com.ec|ads.google.com.eg|ads.google.com.et|ads.google.com.fj|ads.google.com.gh|ads.google.com.gi|ads.google.com.gt|ads.google.com.hk|ads.google.com.jm|ads.google.com.jo|ads.google.com.kh|ads.google.com.kw|ads.google.com.lb|ads.google.com.ly|ads.google.com.mm|ads.google.com.mt|ads.google.com.mx|ads.google.com.my|ads.google.com.na|ads.google.com.ng|ads.google.com.ni|ads.google.com.np|ads.google.com.om|ads.google.com.pa|ads.google.com.pe|ads.google.com.pg|ads.google.com.ph|ads.google.com.pk|ads.google.com.pr|ads.google.com.py|ads.google.com.qa|ads.google.com.ru|ads.google.com.sa|ads.google.com.sb|ads.google.com.sg|ads.google.com.sl|ads.google.com.sv|ads.google.com.tj|ads.google.com.tn|ads.google.com.tr|ads.google.com.tw|ads.google.com.ua|ads.google.com.uy|ads.google.com.vc|ads.google.com.ve|ads.google.com.vn|ads.google.cv|ads.google.cz|ads.google.de|ads.google.dj|ads.google.dk|ads.google.dm|ads.google.dz|ads.google.ee|ads.google.es|ads.google.fi|ads.google.fm|ads.google.fr|ads.google.ga|ads.google.ge|ads.google.gg|ads.google.gl|ads.google.gm|ads.google.gp|ads.google.gr|ads.google.gy|ads.google.hk|ads.google.hn|ads.google.hr|ads.google.ht|ads.google.hu|ads.google.ie|ads.google.im|ads.google.iq|ads.google.is|ads.google.it|ads.google.it.ao|ads.google.je|ads.google.jo|ads.google.jp|ads.google.kg|ads.google.ki|ads.google.kz|ads.google.la|ads.google.li|ads.google.lk|ads.google.lt|ads.google.lu|ads.google.lv|ads.google.md|ads.google.me|ads.google.mg|ads.google.mk|ads.google.ml|ads.google.mn|ads.google.ms|ads.google.mu|ads.google.mv|ads.google.mw|ads.google.ne|ads.google.ne.jp|ads.google.ng|ads.google.nl|ads.google.no|ads.google.nr|ads.google.nu|ads.google.pl|ads.google.pn|ads.google.ps|ads.google.pt|ads.google.ro|ads.google.rs|ads.google.ru|ads.google.rw|ads.google.sc|ads.google.se|ads.google.sh|ads.google.si|ads.google.sk|ads.google.sm|ads.google.sn|ads.google.so|ads.google.sr|ads.google.st|ads.google.td|ads.google.tg|ads.google.tl|ads.google.tm|ads.google.tn|ads.google.to|ads.google.tt|ads.google.us|ads.google.vg|ads.google.vu|ads.google.ws
 @@||ads.google.com/jsapi$script,domain=www.google.com
 @@||ads.google.com^$domain=analytics.google.com
 @@||adwords.google.com^$domain=adwords.google.com
@@ -69312,6 +70870,7 @@ www.google.com#@##videoads
 @@||rehabs.com^*/xicons_social_sprite_400x60.png
 @@||roofandfloor.com/listing_$image,~third-party
 @@||russia-direct.org/custom_ajax/widget?*=300x250&$script
+@@||site-*.mozfiles.com/files/*/banners/$image
 @@||static-origin.openedition.org^*-120x240.jpg
 @@||swansuk.co.uk^*/300x250/$image,~third-party
 @@||target.122.2o7.net/b/ss/*_300x250_$image,domain=target.com
@@ -69466,7 +71025,6 @@ www.google.com#@##videoads
 @@||manhuntshop.com/affimages/$~third-party
 @@||manhuntshop.com/images/affbanners/$~third-party
 @@||mrstiff.com/view/textad/$xmlhttprequest
-@@||myex.com/API/$xmlhttprequest
 @@||nonktube.com/img/adyea.jpg
 @@||panicporn.com/Bannerads/player/player_flv_multi.swf$object
 @@||pop6.com/banners/$domain=horny.net|xmatch.com
@@ -69477,7 +71035,6 @@ www.google.com#@##videoads
 @@||sextoyfun.com/admin/aff_files/BannerManager/$~third-party
 @@||sextoyfun.com/control/aff_banners/$~third-party
 @@||skimtube.com/advertisements.php?
-@@||starcelebs.com/logos/logo10.jpg
 @@||store.adam4adam.com/affimages/$~third-party
 @@||store.adam4adam.com/images/affbanners/$~third-party
 @@||sundaysportclassifieds.co.uk/ads/$image,~third-party
@@ -69490,7 +71047,7 @@ www.google.com#@##videoads
 @@||traffichaus.com/ad.js$script
 @@||traffichaus.com^*/ad.js$script
 @@||traffichunt.com/adx-dir-d/checkab?$script,domain=spankwire.com
-@@||ul.ehgt.org/ad/$image,domain=e-hentai.org|exhentai.org
+@@||ul.ehgt.org/ad/$image,domain=e-hentai.org
 @@||upornia.com/js/advertising.js?$script
 @@||widget.plugrush.com^$subdocument,domain=amateursexy.net
 @@||xhcdn.com/images/flag/AD.gif
@@ -69661,6 +71218,7 @@ www.google.com#@##videoads
 @@||phncdn.com/www-static/*/gif-view.js$script
 @@||phncdn.com/www-static/*/jquery.$script
 @@||phncdn.com/www-static/js/album-display-public.js?$script
+@@||phncdn.com/www-static/js/amateur/amateur-signup.js$script
 @@||phncdn.com/www-static/js/amateur/dropdown.js?$script
 @@||phncdn.com/www-static/js/autocomplete-search.js$script
 @@||phncdn.com/www-static/js/channel-main.js?$script
@@ -69786,6 +71344,7 @@ www.google.com#@##videoads
 @@||pornhub.com/chat/$xmlhttprequest
 @@||pornhub.com/comment/$xmlhttprequest
 @@||pornhub.com/community_ajax?$xmlhttprequest,domain=pornhub.com
+@@||pornhub.com/event/awards_vote$xmlhttprequest
 @@||pornhub.com/front/$xmlhttprequest
 @@||pornhub.com/gif/$xmlhttprequest
 @@||pornhub.com/insights/$image,xmlhttprequest
@@ -69998,7 +71557,6 @@ www.google.com#@##videoads
 @@||pornxs.com/js/ads/ads.js$script
 @@||puhtml.com^*.js$domain=jav4.me
 @@||rule34hentai.net^$generichide
-@@||sexix.net/adframe.js
 @@||sexvidx.tv/js/eroex.js
 @@||sexwebvideo.com/js/ads.js
 @@||submityourflicks.com/player/player-ads.swf$object
@@ -70048,4 +71606,3 @@ www.google.com#@##videoads
 @@||tumblr.com^$popup,domain=pornhub.com
 @@||twitter.com^$popup,domain=pornhub.com
 @@||wmtrafficentry.com/cgi-bin/ewm.cgi/*_HeaderTab?$popup,domain=extremetube.com|spankwire.com
-! Checksum: eQWo6ekN018d2tyyMWcuaA
diff -pruN 1.16.14+dfsg-1/uAssets/thirdparties/easylist-downloads.adblockplus.org/easyprivacy.txt 1.17.0+dfsg-2/uAssets/thirdparties/easylist-downloads.adblockplus.org/easyprivacy.txt
--- 1.16.14+dfsg-1/uAssets/thirdparties/easylist-downloads.adblockplus.org/easyprivacy.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/thirdparties/easylist-downloads.adblockplus.org/easyprivacy.txt	2018-10-10 09:19:19.000000000 +0000
@@ -1,7 +1,7 @@
 [Adblock Plus 1.1]
-! Version: 201806121247
+! Version: 201809051926
 ! Title: EasyPrivacy
-! Last modified: 12 Jun 2018 12:47 UTC
+! Last modified: 05 Sep 2018 19:26 UTC
 ! Expires: 4 days (update frequency)
 ! Homepage: https://easylist.to/
 ! Licence: https://easylist.to/pages/licence.html
@@ -12,15 +12,20 @@
 ! 
 ! -----------------General tracking systems-----------------!
 ! *** easylist:easyprivacy/easyprivacy_general.txt ***
+&action=js_stats&
+&callback=hitStats_
 &ctxId=*&pubId=*&clientDT=
 &ctxId=*&pubId=*&objId=
 &event=view&
+&funnel_state=
 &http_referer=$script
 &pageReferrer=
 &ref=*&tag=
 &refer=http$script
 &refererPageDetail=
 &trackingserver=
+-action/fingerprint?
+-action/ping?
 -AdTracking.
 -analitycs//fab.
 -analitycs//ga.
@@ -30,7 +35,6 @@
 -analitycs/metrica.
 -analytics-tagserver-
 -analytics-wi.
--analytics.files.
 -analytics/insight.
 -appanalytics-
 -asset-tag.
@@ -49,10 +53,12 @@
 -ga-track.
 -gatracker.
 -geoIP.js
+-google-analytics-
 -google-analytics.
 -google-analytics/
 -google-tag-manager/$script
 -imppix/
+-javascript_xiti_
 -log?referUrl=
 -logging/log?
 -mastertag.
@@ -83,11 +89,13 @@
 .analytics.min.
 .asis?Log=
 .asp?t=*&c=$image
+.aspx?trackid=
 .au/c.gif?
 .au/t.ashx?
 .be/uts/
 .beacon.min.js
 .cc/s.gif?
+.click/track?
 .cn/0.gif?
 .cn/1.gif?
 .cn/2.gif?
@@ -185,6 +193,7 @@
 .gif?pixels=
 .gif?ref=*&ev=
 .gif?track_
+.gif?uri=
 .Google.Tracker.js
 .googleanalytics.js
 .GoogleAnalytics/
@@ -192,7 +201,6 @@
 .htm?imprId=
 .html?wpl=
 .idge/js/analytics/
-.iframetracker.
 .iframetracker/
 .in/c.gif?
 .io/0.gif?
@@ -203,6 +211,7 @@
 .jsp/?Log=
 .lms-analytics/
 .me/geoip/
+.me/l.gif?
 .net/0.gif?
 .net/c.gif?
 .net/e.gif?
@@ -251,6 +260,7 @@
 .trackArticleAction&
 .tracking.js?dpv=
 .trackUserAction&
+.trafficTracking.
 .tv/log?event
 .tv/t.png?
 .uk/o.gif?
@@ -319,6 +329,7 @@
 /accesstracking/*
 /AccessTrackingLogServlet?
 /acclog.cgi?
+/account-stats/*
 /ace.*/?cookie
 /acecounter/*
 /acecounter_
@@ -340,6 +351,7 @@
 /adam.js
 /adb/track.php?
 /adb_iub.js
+/AdCookies.js
 /AdCount/*
 /add_page_view?
 /add_stats
@@ -447,13 +459,16 @@
 /alexa.aspx?site=
 /alllinksclicktracker.js
 /alog.min.js
+/alog/dp.
 /altpracenje.js
 /altpwk.js
 /alvenda_remarketing_
 /amazon-affiliate-
 /amdhfp/a.do?param$image
 /amdhfp/t.do?id$image
+/amp-geo-
 /amp-omniture-iframe?
+/amp.gif?
 /amp/amp-analytics-
 /amp_ping/*
 /amplitude-*.js$script
@@ -507,8 +522,10 @@
 /analytics.v1.js
 /analytics/*satellitelib.js
 /analytics/activity.
-/analytics/analytics.
+/analytics/analytics.$~xmlhttprequest
 /analytics/cms/*
+/analytics/collector.
+/analytics/collector/*
 /analytics/content?
 /analytics/core.
 /analytics/dist/*
@@ -516,6 +533,7 @@
 /analytics/engine/*
 /analytics/events
 /analytics/eventTrack
+/analytics/ga.
 /analytics/ga/*
 /analytics/ga?
 /Analytics/Google.
@@ -618,11 +636,13 @@
 /appier-track-
 /AppMeasurement.js
 /AppMeasurement2.js
+/apw.js
 /aqtag.
 /ard.png?
 /argtk.min.
 /arstat?
 /art/stats/*
+/article-analytics.
 /article-tracking.js
 /Article/ViewCount/*
 /article_counter.php?
@@ -637,6 +657,7 @@
 /assets/analytics:
 /assets/tracking-
 /assets/uts/*
+/assign.gif?
 /AssyncCSStats.aspx
 /astrack.js
 /astracker.
@@ -650,6 +671,7 @@
 /atlas_track.
 /atrk.gif?
 /atrk.js
+/audience-extraction.js
 /audience-meter.
 /audience-science.
 /audience.gif?
@@ -717,6 +739,7 @@
 /bcn?
 /bcsensor.js
 /bctrackers/*
+/bdanalytics.
 /bdash_log.
 /bdg-analytics.
 /bdg.gif?
@@ -729,6 +752,7 @@
 /beacon/event?
 /beacon/metrics
 /beacon/performance?
+/beacon/portal-lite?
 /beacon/timing?
 /beacon/track/*
 /beacon/vtn_loader.gif?
@@ -744,6 +768,7 @@
 /betamax_tracker.js
 /better-analytics/*
 /bf.gif?ac=
+/bfs-track.
 /bg_j.gif?
 /bglog.gif?
 /bh_counter.js
@@ -757,12 +782,14 @@
 /bitrix/spread.php?
 /bizo.js
 /bk-coretag.js
+/bkclick?
 /BKVTrack.js
 /blank.gif?*%
 /blank.gif?*&
 /block/pixel?
 /blockstat?
 /blog/traffic/?
+/blogcu-analytics.js
 /blogsectiontracking.
 /blogtotal_stats_
 /bluekai.
@@ -800,6 +827,7 @@
 /buffer.pgif?r=
 /buffermetrics/*
 /bugcounter.php?
+/build/tracker.js
 /BuiltRegister.aspx?upt=
 /bundle.tracking.
 /bundle/analytics.
@@ -825,6 +853,7 @@
 /CaptureStat.
 /cbanalytics.
 /CBM.Tracking.js?
+/cbstats/*
 /cc?a=
 /cclickTracking.
 /ccm_sj?
@@ -879,6 +908,8 @@
 /chartbeat.min.js
 /chartbeat/*
 /chartbeat_
+/Chartbeatanalytics.
+/chartbeatanalytics/*
 /chartbeatCode.
 /chartbeatftr.
 /chcounter/*
@@ -891,6 +922,7 @@
 /cjtracker2.
 /ckimg_1x1.gif?
 /cklink.gif?
+/cl.gif?pvID=
 /clacking.js
 /clarity-*.js
 /class.tracking.js
@@ -1019,6 +1051,7 @@
 /ComScorePlugin.
 /ComScoreSWF.
 /condenet-metric.
+/configuration-stat.js
 /connect_counter.js
 /contador.gif?
 /containertag?
@@ -1046,6 +1079,7 @@
 /coradiant.js
 /core-tracking.js
 /coretracking.php?
+/coreWatchingEvents.
 /CorporatePageTracking.
 /count.cfm?
 /count.exe?
@@ -1078,6 +1112,7 @@
 /counter/action_
 /counter/article?
 /counter/ashow/*
+/counter/collect?
 /counter/ct.php?
 /counter/process.asp?
 /counter/r.pl
@@ -1091,6 +1126,7 @@
 /countercgi.
 /countercollector/*
 /counterFooterFlash.
+/counters/pages?
 /countertab.js?
 /countHits.
 /countinj.cgi?
@@ -1140,6 +1176,7 @@
 /dc-storm.js
 /dc-storm/aff.
 /dc-storm/track.
+/dc_performance.js
 /dcs.gif?
 /dcs_tag.
 /dcstorm-track.
@@ -1156,6 +1193,8 @@
 /DemdexBehavioralTracking.
 /deskanalytics.js
 /detective.gif?
+/detm-container-
+/detm_adobe.
 /dfp-gpt.
 /di-tealium.
 /Diagnostics?hit=
@@ -1299,6 +1338,7 @@
 /event?pmo=
 /event?stat_
 /event?t=*&__seed=
+/event?token=
 /EventLog.axd?
 /eventlog.js
 /eventLogServlet?
@@ -1333,6 +1373,8 @@
 /ezakus.js
 /ezoic/*.gif?
 /ezytrack.
+/facebookpixel.
+/facebookpixel/*
 /FacebookTracking.
 /fairfax_tracking.js
 /fastcounter.
@@ -1397,6 +1439,7 @@
 /ga-lite.
 /ga-multidomain.
 /ga-script.
+/ga-scroll-events.
 /ga-se-async.js
 /ga-socialtracker.
 /ga-track.
@@ -1446,12 +1489,15 @@
 /ga_wrapper.
 /gaaddons-
 /gaaddons.js
+/gaAnalytics.
 /gaclicktracking.
 /gaCustom.
 /gadsfuncs.
 /gaEventTracking.
 /GAFOAWrapper.swf?
+/gaFunction?
 /GAInit.js|
+/gainjectmin.
 /gajs/analytics.js
 /galinks-
 /gallerystats.
@@ -1503,6 +1549,7 @@
 /get_browser_info.
 /get_cdns?$third-party,xmlhttprequest
 /get_geoip?
+/get_site_data?*&cookie=
 /get_statistics.php?screen_width=
 /get_tracking_id?
 /get_tracking_url.
@@ -1545,6 +1592,8 @@
 /google_analytics/*
 /google_analytics_
 /google_page_track
+/google_tag.
+/google_tag/*
 /google_tracker.
 /googleana.
 /googleAnal.js
@@ -1643,8 +1692,12 @@
 /homepage/analytics.
 /homepage_pixels.
 /homePixelTracking.
+/horizon-pageview?
+/horizon-track.
 /horizon.*/track?
+/horizon.*/watch?
 /horizon/track?
+/host-analyticsjs-local/*
 /hotmobtag_
 /hpanalytics_
 /hpmetrics.
@@ -1666,7 +1719,7 @@
 /i?stm=*&ue_px=
 /icf-analytics.js
 /ics/2/pview.gif?
-/id?d_visid_ver=
+/id?d_visid_ver=$~xmlhttprequest
 /identify?fp=
 /iframe-tracker.js
 /iframe.tracker.js
@@ -1734,6 +1787,7 @@
 /includes/analytics.
 /includes/fbevents.js
 /includes/tracker/*
+/includes/tracking_
 /increment_page_counter.
 /incrementVisits_get?
 /index.php?_m=livesupport*&referrer=
@@ -1756,6 +1810,7 @@
 /intellitracker.js
 /intercept.js
 /intervigil.
+/intstatcheck.
 /IPbeacon.
 /iperceptions.
 /iperceptions/*
@@ -1830,7 +1885,9 @@
 /js_hotlink.php?
 /js_logger.
 /js_tracker.
+/js_tracking?
 /jscounter.
+/jserrLog?
 /jslogger.php?ref=
 /json/stats?
 /json/tracking/*
@@ -1866,6 +1923,7 @@
 /kiwip.js
 /kontera.js
 /konterayahoooo.
+/kooomo.tracker.
 /krux.js
 /ktrace/ktrace$script
 /l1v.ly/*$third-party
@@ -1873,8 +1931,11 @@
 /LastClick/js?
 /layer_log.php?p=
 /lbi_ga.
+/lead-tracking.
+/lead-tracking/*
 /leadgen/ga.js
 /leadgen_track
+/lib.tailtarget/*
 /lib/analytics.
 /lib/tracking/*
 /library/svy/*/broker.js
@@ -1900,6 +1961,7 @@
 /loadJsFingerprint.js
 /locotrack.js
 /log-ads.
+/log-nt/*
 /log-reporter.
 /log-view.
 /Log.ashx?
@@ -1916,6 +1978,7 @@
 /log.php?owa_timestamp=
 /log/1.gif?
 /log/ad-
+/log/browser/event
 /log/error?
 /log/event?
 /log/impression/*
@@ -2008,10 +2071,13 @@
 /logview.js
 /logview?referrer=
 /logview_new.js
+/logviewedpage?
 /logViewImpression/*
+/logvisit?visitedurl=
 /logwebhit.
 /logwriter.php
 /lotame_audiences.
+/loyalty-tracking-
 /lunametrics-
 /lycostrack.js
 /lzdtracker.
@@ -2026,6 +2092,7 @@
 /makecrmpcookie.
 /mapstats.
 /marketing-analytics.js
+/marketing/js/analytics/*
 /martypixel?
 /maxymiser.
 /Maxymiser/*
@@ -2040,6 +2107,8 @@
 /measure/spring.
 /measure/visit/*
 /media_viewed_tracking.
+/medialaanUniversalTracker.
+/mediametrie.js
 /mediateGA.js
 /megacounter/*
 /mendelstats.
@@ -2091,6 +2160,7 @@
 /mmcore.js
 /mmetrix.mobi/*
 /mms.*/pv?
+/mms/get_loaders?
 /mngi/tracking/*
 /mnt/imp?
 /mobify_ga.gif
@@ -2116,6 +2186,7 @@
 /mstat/*
 /mstats.
 /mstrack/*
+/mtiFontTrackingCode.
 /mtrack.nl/js/*
 /mtracking.
 /mtvi_reporting.js
@@ -2130,6 +2201,7 @@
 /mystats/track.js
 /mystats2.px?
 /myTracking.js
+/natero_analytics.
 /native-tag.
 /navbar-analytics.js
 /naveggQry-
@@ -2150,6 +2222,7 @@
 /netmining.js
 /netratings.js
 /netresults.js
+/netrum.
 /netstat.
 /nettracker.js
 /nettracker/*
@@ -2158,6 +2231,8 @@
 /new.cnt.aspx?
 /newlog.php?
 /newrelic.js
+/newrelicKpis-
+/newrelicKpisFooter-
 /newscount/*
 /newSophus/*
 /newsstat/*
@@ -2183,6 +2258,8 @@
 /NitroCookies.js
 /njs.gif?
 /nLoggerJB_
+/nm_ga_bottom.
+/nm_ga_top_
 /nm_tr_combined-min.js
 /nm_tr_combined.js
 /nm_track.js
@@ -2263,6 +2340,7 @@
 /ositTracker.
 /ot_e404.gif?
 /other-analitycs/*
+/ouibounce.min.js
 /ovstats.
 /ow_analytics.
 /owa.Analytics.
@@ -2287,6 +2365,7 @@
 /pagehits/*
 /pagelogger/connector.php?
 /pageloggerobyx.
+/pages/analytics-$script
 /pagestat?
 /PageStatistics/*
 /PageStats.
@@ -2305,12 +2384,13 @@
 /pageview.ashx
 /pageview.js
 /pageview;
+/pageview?*&referrer=
 /pageview?pageId=
 /pageview?pageviewId
 /pageview?user_guid=
 /pageviews-counter-
 /pageviews.gif?
-/pageviews/*$domain=~tools.wmflabs.org
+/pageviews/*$domain=~stats.wikimedia.org|~tools.wmflabs.org
 /pageviews?token=
 /pageviews_counter.
 /PageviewsTracker.
@@ -2327,6 +2407,7 @@
 /performance_timing/log?
 /performance_tracker-
 /permalink-tracker.html?
+/pf?pid=
 /pg_pixel?
 /pgtracking.
 /pgtrackingV3.
@@ -2335,6 +2416,7 @@
 /php-stats.phpjs.php?
 /php-stats.recjs.php?
 /php/stats.php?
+/php/stats/*
 /phpmyvisites.js
 /pic.gif?m=
 /pic.gif?url=
@@ -2348,6 +2430,7 @@
 /ping/show?
 /ping?h=
 /ping?spacedesc
+/ping?token=
 /ping_g.jsp?
 /ping_hotclick.js
 /pingAlt.php?*&referrer=
@@ -2371,16 +2454,19 @@
 /pix.fcg?
 /pix.fly/*
 /pix.gif?
+/pix/*&tracker=
 /pixall.min.js
 /pixel-events.
 /pixel-manager.js?
 /pixel-page.html
 /pixel-render/*
+/pixel-track.
 /pixel.*/track/*
 /pixel.aspx?
 /pixel.cgi?
 /pixel.fingerprint.
 /pixel.gif?
+/pixel.json?
 /pixel.jsp?
 /pixel.php?
 /Pixel.pl?
@@ -2393,13 +2479,18 @@
 /pixel/conv/*
 /pixel/cv?
 /pixel/cv_
+/pixel/ga-
+/pixel/gtm-
 /pixel/img/*
 /pixel/impression/*
+/pixel/js/*$third-party
 /pixel/stream/*
 /pixel/visit?
 /pixel1/impression.
 /pixel?google_
+/pixel?id=
 /pixel?m=
+/pixel?sm_
 /pixel?tag=
 /pixel?type=
 /pixel_iframe.
@@ -2544,8 +2635,11 @@
 /rbi_us.js
 /rbipt.gif?
 /rbipt.js
+/rcAnalyticsLib.
 /rcdntpagetag.js
 /rcmd_track.
+/rcpganalytics-
+/rcpganalytics/*
 /readcounter.aspx?
 /readomniturecookie.
 /readReceipt/notify/?img=$image
@@ -2592,8 +2686,10 @@
 /report/impression?
 /report?event_
 /reporting/analytics.js
+/request_tracker+
 /RequestTrackerServlet?
 /RequestVideoTag.
+/res/x.gif?
 /resmeter.js
 /resourcestat.
 /rest/analytics/*
@@ -2624,8 +2720,11 @@
 /rolluptracker_
 /rot_in.php
 /rpc/log?
+/rpc/preccount?
 /rr/t?step=
+/rsya-tag-users/*
 /rt_tag.
+/rt_track.
 /rt_track_
 /rtac/gif?
 /rtd.js
@@ -2641,6 +2740,7 @@
 /rum.min.
 /rum/id?
 /rumstat.
+/rumtag.
 /runtimejs/intercept/*
 /ruxitagentjs_
 /rwtag.gif?
@@ -2682,6 +2782,7 @@
 /scripts/log.
 /scripts/statistics/*
 /scripts/stats/*
+/scripts/tracking.js
 /scripts/xiti/*
 /sctracker.
 /sdc1.js
@@ -2695,7 +2796,9 @@
 /sdxp1/dru4/meta?_hc=
 /searchIgnite.
 /searchMetric.
+/secure-stats.
 /securetracker.
+/seed.gif?
 /segmentio.js
 /segmentIoTrackingProvider.js
 /SellathonCounterService.
@@ -2706,6 +2809,10 @@
 /sensor/statistic?
 /sensorsdata-
 /sensorsdata.
+/seo.googleAnalytics-
+/seo.googleAnalytics.
+/seo.tagCommander-
+/seo.tagCommander.
 /seo/tr_aff_
 /seomonitor/*
 /seosite-tracker/*
@@ -2791,9 +2898,11 @@
 /small.gif?type
 /smartpixel-1.js
 /smartpixel.$domain=~smartpixel.tv
+/smartrack/*
 /smarttag-prod.
 /smarttag.js
 /smetrics.*/b/ss/*
+/smg_tracking/*
 /snowman.gif?p=
 /snowplow.js$script,third-party
 /snowplow/*$script
@@ -2822,12 +2931,16 @@
 /SpeedTrapInsert.
 /spi.gif?aid=
 /spip.php?page=stats.js
+/spixel.
 /spot.aspx?Log=
 /springmetrics.
+/sptlog.
 /spylog_
 /sr.gif?
+/sra_analytics.
 /sranalytics.
 /src/tracking_
+/ssl-intgr-net/*
 /SSOCore/update?
 /sst8.js
 /sst8.sst?
@@ -2835,6 +2948,7 @@
 /sstlm8.sst?
 /st.aspx?
 /stat-analytics/*
+/stat.asmx
 /stat.aspx?
 /stat.gif?
 /stat.htm?
@@ -2861,6 +2975,7 @@
 /stat_callback.
 /stat_click.
 /stat_js.asp?
+/stat_origin.gif?
 /stat_page.
 /stat_page2.
 /stat_search.
@@ -2884,6 +2999,7 @@
 /statistics.aspx?profile
 /statistics.html?action=
 /statistics.js?
+/statistics.php?data=
 /statistics/fab.
 /statistics/ga.
 /statistics/get?
@@ -2892,14 +3008,17 @@
 /statistics/logging/*
 /statistics/metrica.
 /statistics/pageStat/*
+/statistics/ping.
 /statistics/set?
 /statistics?counter=
 /statistics?eventType=
 /StatisticService.m?
 /statlogger.
 /stats-amp.
+/stats-dc1.
 /stats-js.cgi?
 /stats-tracking.js
+/stats.*/hits/
 /stats.asp?id
 /stats.cgi$image
 /stats.gif?
@@ -2910,6 +3029,7 @@
 /stats/*?category=$image
 /stats/?js
 /stats/?ref=
+/stats/?rt=
 /stats/add/*
 /stats/adonis_
 /stats/collector.js
@@ -2934,11 +3054,13 @@
 /stats/page_view_
 /stats/pgview.
 /stats/ping?
+/stats/pv.
 /stats/record.php?
 /stats/services/*
 /stats/track.asp?
 /stats/tracker.js
 /stats/welcome.php?
+/stats/xtcore.
 /stats?aid=
 /stats?blog_
 /stats?callback=
@@ -2970,6 +3092,7 @@
 /store-uniq-client-id?bomuuid=
 /storeAdvImpression.
 /stracking.js
+/sTrackStats.
 /stream/log.html?
 /stt/track.
 /stt/track/*
@@ -2981,6 +3104,7 @@
 /surphace_track.
 /survey_invite_
 /surveyoverlay/*
+/swa_t.gif?
 /swfaddress.js?tracker=
 /swptrk.
 /syn/mail_s.php?
@@ -2992,6 +3116,7 @@
 /t-richrelevance-
 /t.*?ref=$~xmlhttprequest
 /t.gif?
+/t/event?
 /tablytics.
 /tacoda.
 /tacoda_
@@ -3000,6 +3125,7 @@
 /tag/tag.jsp?
 /tagCNIL.js
 /TagCommander.cfc?
+/tagcommander.js
 /tagcommander/*
 /tagmanager/pptm.
 /tagmgmt/bootstrap.
@@ -3008,8 +3134,10 @@
 /tags?session_id=
 /TagSvc/*
 /tagx.js
+/tailtarget.js
 /targetemsecure.
 /taxtag.js
+/tblz_sailthru/*
 /tbuy/tracker/*
 /tc_logging.js
 /tc_targeting.
@@ -3047,6 +3175,8 @@
 /tiwik.
 /tmpstats.gif?
 /tmv11.
+/tnc.js?h=
+/tnc?_t=
 /tncms/tracking.js
 /tns_gallup/*
 /tnsCounter.
@@ -3054,6 +3184,7 @@
 /token?referer=
 /tongji.js
 /tools/analytics/*
+/top_tagcommander+
 /topic_beat_log?
 /topic_page_timer?
 /toplytics.js
@@ -3065,6 +3196,8 @@
 /tr/p.gif?
 /tracciamento.php?
 /trace?sessionid=
+/tracing?aspect=
+/track-action/*
 /track-compiled.js
 /track-cookies.
 /track-referrals.js
@@ -3109,9 +3242,11 @@
 /track;adv
 /track?*&ref=
 /track?browserId
+/track?cb=
 /track?event=
 /track?name=
 /track?referer=
+/track?wm_
 /track_clicks_
 /track_event.
 /track_in_overwatch.gif?
@@ -3201,6 +3336,9 @@
 /tracking-script/*
 /tracking-v3.
 /tracking-widget.
+/tracking.*/impression?
+/tracking.*/view?
+/tracking.*/viewRes?
 /tracking.ashx?
 /tracking.cgi?
 /tracking.fcgi?
@@ -3279,6 +3417,7 @@
 /tracking_pixel
 /tracking_super_hot.js
 /trackingab?
+/trackingapi.
 /TrackingCentral.js
 /trackingCode-
 /trackingCode.js
@@ -3302,6 +3441,7 @@
 /TrackingService.js
 /trackingService.min.js
 /trackingService/*
+/trackingVtm.
 /trackIt.js
 /trackit.php?
 /trackit.pl?
@@ -3335,6 +3475,8 @@
 /trackvisit?
 /TrackVisitors/*
 /tradelab.js
+/traffic-source-cookie.
+/traffic-source-cookie/*
 /traffic.asmx/*
 /traffic/status.gif?
 /traffic/track^
@@ -3348,6 +3490,7 @@
 /traffix-track.
 /trafic.js
 /trakksocial.js
+/trans/logger.js
 /trans_pixel.asp
 /transparent1x1.
 /trax.gif?
@@ -3394,6 +3537,7 @@
 /UnicaTag.
 /UniqueUserVisit?
 /Universal-Federated-Analytics.
+/universal-trackers/*
 /universal-tracking-
 /universalPixelStatic.
 /uo-stat?
@@ -3433,7 +3577,9 @@
 /uutils.fcg?
 /uvstat.js
 /uxm_tracking.
+/v.gif?t=
 /v1/pixel?
+/v1/r.gif?
 /v4/analytics.
 /v4/analytics/*$~xmlhttprequest
 /v5.3nse.
@@ -3453,6 +3599,7 @@
 /vertical-stats.
 /vglnk.js
 /vgwort/*
+/video-ga.js
 /video_count.php?
 /videoanalytic/*
 /videoAnalytics.
@@ -3461,6 +3608,7 @@
 /videotracking/*
 /vidtrack.
 /view-log?
+/view-tracking/*$image
 /view.gif?
 /view_stats.js.php
 /viewcount-service.
@@ -3482,6 +3630,7 @@
 /visit.gif?
 /visit/log.js?
 /visit/record.gif?
+/visit/record?
 /visit?id=
 /visit_pixel?
 /visit_tracking.
@@ -3512,6 +3661,7 @@
 /visualsciences.
 /visualsciences_
 /visualstat/stat.php
+/vjslog?
 /vmtracking.
 /vpstats.
 /vptrack_
@@ -3550,6 +3700,7 @@
 /WebAnalyticsInclude.
 /webbug.png?
 /webbug/*
+/webbug_c.gif?
 /webcounter/*
 /webdig.js?z=
 /webdig_test.js
@@ -3568,6 +3719,7 @@
 /WebPageEventLogger.
 /webrec/wr.do?
 /WebStat.asmx
+/webstat.js
 /webstat/cei_count.asp?
 /WebStat2.
 /webstat_
@@ -3583,7 +3735,7 @@
 /webtag.js
 /webtrack.
 /webtracker.
-/webTracking.
+/webTracking.$domain=~webtracking.girard-agediss.com
 /webtracking/*$~subdocument
 /WebTrackingHandler.
 /WebTrackingService.
@@ -3630,7 +3782,7 @@
 /Wrappers?cmd=
 /WRb.js
 /writeKAStats/*
-/writelog.
+/writelog.$domain=~writelog.com
 /WritePartnerCookie?$third-party
 /writrak.
 /written-analytics.
@@ -3732,6 +3884,7 @@
 =get_preroll_cookie&
 =getSideStats&
 =googleanalytics_
+=metrics_profile&
 =stats&action=
 =stats&apiVersion=
 =track_view&
@@ -3754,6 +3907,7 @@
 ?event=*&ts=
 ?event=General.track
 ?event=log&
+?event=performancelogger:
 ?event=pixel.
 ?eventtype=impression&pid=
 ?eventtype=request&pid=
@@ -3774,6 +3928,7 @@
 ?stwc_cz=
 ?target-ref=
 ?token=*&sessionid=*&visitorid=
+?trackGroup=*&referrer=
 ?trackingCategory=
 ?triggertags=
 ?url=*&id=*&res=*&ref=
@@ -3784,9 +3939,11 @@ _.gif?ref=
 _.gif?t=
 _247seotracking.
 _adcenterconversion.
+_ajax/btrack.php?
 _Analytics.js?
 _analytics.php?
 _artcl_log/
+_assets/metrics-
 _astatspro/
 _audience_pixel.
 _baynote.
@@ -3806,6 +3963,8 @@ _effectivemeasure_tag.js
 _effectLog-
 _empty.ad?
 _event_stats.
+_files/analytics.
+_fpn.gif?
 _ga_code.
 _ga_tag.
 _ga_tracker.
@@ -3814,6 +3973,7 @@ _global_analytics_
 _google_analytics.
 _googleAnalytics.
 _googleAnalytics_
+_hits_stat.
 _hptag.asis?
 _i2a.js
 _imp?Log=
@@ -3822,6 +3982,7 @@ _impressions.gif?
 _landingLog/
 _logHuman=
 _logimpressions.
+_loginlog.php?
 _m10banners/tracking.php?
 _masterTagCallback&
 _metricsTagging.
@@ -3837,6 +3998,7 @@ _pages_tracker.
 _performance_tracker-
 _ping/amp-
 _pix.gif?
+_pixel_db?
 _pixel_test/?
 _pixelmap.js
 _promo_id=
@@ -3857,6 +4019,7 @@ _stats/Logger?
 _stats_log.
 _Tacoda_
 _tag.ofs.
+_tag_mobylog.
 _tracker-active/
 _tracker.js.
 _tracker.js?
@@ -3871,6 +4034,7 @@ _webanalytics.
 _webiq.
 _wiselog_
 _wreport.fcgi?
+_xiti_js-
 _zag_cookie.
 cgi-bin/counter
 http://utm.$domain=~utm.edu|~utm.md|~utoronto.ca
@@ -4081,6 +4245,7 @@ _mongo_stats/
 ||adelixir.com^$third-party
 ||adform.net^$third-party
 ||adfox.ru^$third-party
+||adgjl13.com^$third-party
 ||adgreed.com^$third-party
 ||adheart.de^$third-party
 ||adhslx.com^$third-party
@@ -4094,9 +4259,11 @@ _mongo_stats/
 ||admaster.com.cn^$third-party
 ||admitad.com^$third-party
 ||admother.com^$third-party
+||adnxs.com^$third-party
 ||adobedtm.com^$third-party
 ||adobetag.com^$third-party
 ||adoftheyear.com^$third-party
+||adoric-om.com^$third-party
 ||adpies.com^$third-party
 ||adprotraffic.com^$third-party
 ||adrizer.com^$third-party
@@ -4104,6 +4271,7 @@ _mongo_stats/
 ||adsensedetective.com^$third-party
 ||adservicemedia.dk^$third-party
 ||adspsp.com^$third-party
+||adsrvx.com^$third-party
 ||adswizz.com^$third-party
 ||adsymptotic.com^$third-party
 ||adtarget.me^$third-party
@@ -4112,6 +4280,7 @@ _mongo_stats/
 ||adunity.com^$third-party
 ||advanced-web-analytics.com^$third-party
 ||advconversion.com^$third-party
+||advertising.com^$third-party
 ||adyapper.com^$third-party
 ||afairweb.com^$third-party
 ||affilae.com^$third-party
@@ -4213,6 +4382,7 @@ _mongo_stats/
 ||atoshonetwork.com^$third-party
 ||atticwicket.com^$third-party
 ||attracta.com^$third-party
+||attraqt.com^$third-party
 ||attributionapp.com^$third-party
 ||audience.visiblemeasures.com^$object-subrequest,third-party
 ||audienceamplify.com^$third-party
@@ -4251,10 +4421,12 @@ _mongo_stats/
 ||baynote.net^$third-party
 ||bdash-cloud.com^$third-party
 ||beacon.kmi-us.com^$third-party
+||beampulse.com^$third-party
 ||beanstalkdata.com^$third-party
 ||beanstock.com^$third-party
 ||bebj.com^$third-party
 ||beeftransmission.com^$third-party
+||beemray.com^$third-party
 ||beemrdwn.com^$third-party
 ||beencounter.com^$third-party
 ||behavioralengine.com^$third-party
@@ -4466,6 +4638,7 @@ _mongo_stats/
 ||company-target.com^$third-party
 ||compteur.cc^$third-party
 ||comradepony.com^$third-party
+||conductrics.com^$third-party
 ||confirmational.com^$third-party
 ||confirmit.com^$third-party
 ||contactmonkey.com^$third-party
@@ -4566,6 +4739,7 @@ _mongo_stats/
 ||daylogs.com^$third-party
 ||dc-storm.com^$third-party
 ||dc.tremormedia.com^$third-party
+||dcmn.com^$third-party
 ||ddm.io^$third-party
 ||decdna.net^$third-party
 ||decibelinsight.net^$third-party
@@ -4587,6 +4761,7 @@ _mongo_stats/
 ||digdeepdigital.com.au^$third-party
 ||digitaloptout.com^$third-party
 ||digitaltarget.ru^$third-party
+||digitru.st^$third-party
 ||dignow.org^$third-party
 ||dimestore.com^$third-party
 ||dimml.io^$third-party
@@ -4728,6 +4903,7 @@ _mongo_stats/
 ||exactag.com^$third-party
 ||exclusiveclicks.com^$third-party
 ||exelator.com^$third-party
+||exitbee.com^$third-party
 ||exitmonitor.com^$third-party
 ||exovueplatform.com^$third-party
 ||explore-123.com^$third-party
@@ -4753,6 +4929,7 @@ _mongo_stats/
 ||fathomseo.com^$third-party
 ||fcs.ovh^$third-party
 ||fdxstats.xyz^$third-party
+||feathr.co^$third-party
 ||feedcat.net^$third-party
 ||feedjit.com^$third-party
 ||feedperfect.com^$third-party
@@ -4829,6 +5006,7 @@ _mongo_stats/
 ||fusestats.com^$third-party
 ||fuziontech.net^$third-party
 ||fyreball.com^$third-party
+||gammachug.com^$third-party
 ||gaug.es^$third-party
 ||gbotvisit.com^$third-party
 ||gear5.me^$third-party
@@ -4907,6 +5085,7 @@ _mongo_stats/
 ||gweini.com^$third-party
 ||h4k5.com^$third-party
 ||halldata.com^$third-party
+||halo77.com^$third-party
 ||halstats.com^$third-party
 ||haraju.co^$third-party
 ||haveamint.com^$third-party
@@ -4922,6 +5101,7 @@ _mongo_stats/
 ||hiconversion.com^$third-party
 ||higherengine.com^$third-party
 ||highmetrics.com^$third-party
+||hira-meki.jp^$third-party
 ||histats.com^$third-party
 ||hit-counter-download.com^$third-party
 ||hit-counter.info^$third-party
@@ -4957,6 +5137,7 @@ _mongo_stats/
 ||hqhrt.com^$third-party
 ||hs-analytics.net^$third-party
 ||hsadspixel.net^$third-party
+||hubvisor.io^$third-party
 ||hudb.pl^$third-party
 ||humanclick.com^$third-party
 ||hunt-leads.com^$third-party
@@ -4970,6 +5151,7 @@ _mongo_stats/
 ||i-stats.com^$third-party
 ||i401xox.com^$third-party
 ||iadvize.com^$third-party
+||iaudienc.com^$third-party
 ||ib-ibi.com^$third-party
 ||ibpxl.com^$third-party
 ||ibpxl.net^$third-party
@@ -5022,7 +5204,7 @@ _mongo_stats/
 ||inspectlet.com^$third-party
 ||instadia.net^$third-party
 ||instana.io^$third-party
-||instapage.com^$third-party
+||instapage.com^$third-party,domain=~pagedemo.co
 ||instore.biz^$third-party
 ||integritystat.com^$third-party
 ||intelevance.com^$third-party
@@ -5128,6 +5310,7 @@ _mongo_stats/
 ||lead-123.com^$third-party
 ||lead-converter.com^$third-party
 ||lead-tracking.biz^$third-party
+||leadboxer.com^$third-party
 ||leadforce1.com^$third-party
 ||leadforensics.com^$third-party
 ||leadformix.com^$third-party
@@ -5135,6 +5318,7 @@ _mongo_stats/
 ||leadin.com^$third-party
 ||leadintel.io^$third-party
 ||leadintelligence.co.uk^$third-party
+||leadlab.click^$third-party
 ||leadlife.com^$third-party
 ||leadmanagerfx.com^$third-party
 ||leadsius.com^$third-party
@@ -5162,6 +5346,7 @@ _mongo_stats/
 ||livehit.net^$third-party
 ||livesegmentservice.com^$third-party
 ||livestat.com^$third-party
+||livetrafficfeed.com^$third-party
 ||lloogg.com^$third-party
 ||localytics.com^$third-party
 ||lockview.cn^$third-party
@@ -5211,7 +5396,10 @@ _mongo_stats/
 ||market2lead.com^$third-party
 ||marketizator.com^$third-party
 ||marketo.net^$third-party
+||marketshot.com^$third-party
+||marketshot.fr^$third-party
 ||markitondemand.com^$third-party
+||maropost.com^$third-party
 ||martianstats.com^$third-party
 ||maryneallynndyl.com^$third-party
 ||masterstats.com^$third-party
@@ -5231,6 +5419,7 @@ _mongo_stats/
 ||measuremap.com^$third-party
 ||measurementapi.com^$third-party
 ||meatballsandads.com^$third-party
+||media01.eu^$third-party
 ||mediaarmor.com^$third-party
 ||mediaforgews.com^$third-party
 ||mediagauge.com^$third-party
@@ -5301,6 +5490,7 @@ _mongo_stats/
 ||mxpnl.com^$third-party
 ||mxptint.net^$third-party
 ||myaffiliateprogram.com^$third-party
+||myaudience.de^$third-party
 ||mybloglog.com^$third-party
 ||myfastcounter.com^$third-party
 ||mynewcounter.com^$third-party
@@ -5324,6 +5514,7 @@ _mongo_stats/
 ||nakanohito.jp^$third-party
 ||nalook.com^$third-party
 ||nanovisor.io^$third-party
+||natero.com^$third-party
 ||native.ai^$third-party
 ||natpal.com^$third-party
 ||naturaltracking.com^$third-party
@@ -5362,6 +5553,7 @@ _mongo_stats/
 ||nexeps.com^$third-party
 ||nextstat.com^$third-party
 ||ngmco.net^$third-party
+||nicequest.com^$third-party
 ||nicewii.com^$third-party
 ||niftymaps.com^$third-party
 ||nik.io^$third-party
@@ -5374,6 +5566,7 @@ _mongo_stats/
 ||nprove.com^$third-party
 ||nr-data.net^$third-party
 ||nr7.us^$third-party
+||nrich.ai^$third-party
 ||ns1p.net^$third-party
 ||nstracking.com^$third-party
 ||nuconomy.com^$third-party
@@ -5383,6 +5576,7 @@ _mongo_stats/
 ||numerino.cz^$third-party
 ||nyctrl32.com^$third-party
 ||nytlog.com^$third-party
+||o-s.io^$third-party
 ||observerapp.com^$third-party
 ||octavius.rocks^$third-party
 ||octomarket.com^$third-party
@@ -5491,6 +5685,7 @@ _mongo_stats/
 ||pingomatic.com^$third-party
 ||pipfire.com^$third-party
 ||pippio.com^$third-party
+||piwik.pro^$third-party
 ||pixel.ad^$third-party
 ||pixel.parsely.com^$third-party
 ||pixel.watch^$third-party
@@ -5515,6 +5710,7 @@ _mongo_stats/
 ||pntrac.com^$third-party
 ||pntrs.com^$third-party
 ||pointomatic.com^$third-party
+||polarcdn-pentos.com^$third-party
 ||popsample.com^$third-party
 ||popt.in^$third-party
 ||populr.me^$third-party
@@ -5570,8 +5766,10 @@ _mongo_stats/
 ||qdtracking.com^$third-party
 ||qlfsat.co.uk^$third-party
 ||qlitics.com^$third-party
+||qlzn6i1l.com^$third-party
 ||qoijertneio.com^$third-party
 ||qsstats.com^$third-party
+||quadran.eu^$third-party
 ||quantcount.com^$third-party
 ||quantserve.com/api/
 ||quantserve.com/pixel/$object-subrequest,third-party
@@ -5640,6 +5838,7 @@ _mongo_stats/
 ||responsetap.com^$third-party
 ||retags.us^$third-party
 ||retargetly.com^$third-party
+||retargettracker.com^$third-party
 ||retentionscience.com^$third-party
 ||reussissonsensemble.fr^$third-party
 ||revdn.net^$third-party
@@ -5700,6 +5899,7 @@ _mongo_stats/
 ||salecycle.com^$third-party
 ||salemove.com^$third-party
 ||salesgenius.com^$third-party
+||salesmanago.pl^$third-party
 ||saletrack.co.uk^$third-party
 ||sapha.com^$third-party
 ||sarevtop.com^$third-party
@@ -5747,6 +5947,7 @@ _mongo_stats/
 ||seoradar.ro^$third-party
 ||serious-partners.com^$third-party
 ||serv-ac.com^$third-party
+||servebom.com^$third-party
 ||servestats.com^$third-party
 ||servinator.pw^$third-party
 ||serving-sys.com^$third-party
@@ -5798,6 +5999,7 @@ _mongo_stats/
 ||skyglue.com^$third-party
 ||sl-ct5.com^$third-party
 ||slingpic.com^$third-party
+||smadex.com^$third-party
 ||smallseotools.com^$third-party
 ||smart-digital-solutions.com^$third-party
 ||smart-dmp.com^$third-party
@@ -5808,6 +6010,7 @@ _mongo_stats/
 ||smartlook.com^$third-party
 ||smartology.co^$third-party
 ||smartracker.net^$third-party
+||smartsuppchat.com^$third-party
 ||smartzonessva.com^$third-party
 ||smct.co^$third-party
 ||smfsvc.com^$third-party
@@ -5827,6 +6030,7 @@ _mongo_stats/
 ||soflopxl.com^$third-party
 ||softonic-analytics.net^$third-party
 ||sojern.com^$third-party
+||soko.ai^$third-party
 ||sokrati.com^$third-party
 ||sometrics.com^$third-party
 ||sophus3.com^$third-party
@@ -5861,6 +6065,7 @@ _mongo_stats/
 ||stadsvc.com^$third-party
 ||star-cntr-5.com^$third-party
 ||startstat.ru^$third-party
+||stat.social^$third-party
 ||stat08.com^$third-party
 ||stat24.com^$third-party
 ||statcount.com^$third-party
@@ -5890,6 +6095,7 @@ _mongo_stats/
 ||statssheet.com^$third-party
 ||statsw.com^$third-party
 ||statswave.com^$third-party
+||statswebtown.com^$third-party
 ||statsy.net^$third-party
 ||stattooz.com^$third-party
 ||stattrax.com^$third-party
@@ -5933,6 +6139,7 @@ _mongo_stats/
 ||sxtracking.com^$third-party
 ||synergy-e.com^$third-party
 ||synergy-sync.com^$third-party
+||synerise.com^$third-party
 ||synthasite.net^$third-party
 ||sysomos.com^$third-party
 ||t-analytics.com^$third-party
@@ -5972,6 +6179,7 @@ _mongo_stats/
 ||theagency.com^$third-party
 ||thebestlinks.com^$third-party
 ||thebrighttag.com^$third-party
+||thecounter.com^$third-party
 ||thefreehitcounter.com^$third-party
 ||thehairofcaptainpicard.com^$third-party
 ||thermstats.com^$third-party
@@ -6028,6 +6236,7 @@ _mongo_stats/
 ||tracking202.com^$third-party
 ||trackinglabs.com^$third-party
 ||trackkas.com^$third-party
+||trackmytarget.com^$third-party
 ||trackmyweb.net^$third-party
 ||trackset.com^$third-party
 ||tracksy.com^$third-party
@@ -6103,6 +6312,7 @@ _mongo_stats/
 ||umbel.com^$third-party
 ||unicaondemand.com^$third-party
 ||unknowntray.com^$third-party
+||upapi.net^$third-party
 ||upstats.ru^$third-party
 ||uptain.de^$third-party
 ||uptimeviewer.com^$third-party
@@ -6153,6 +6363,7 @@ _mongo_stats/
 ||vinlens.com^$third-party
 ||vinub.com^$third-party
 ||viralninjas.com^$third-party
+||virgul.com^$third-party
 ||virool.com^$third-party
 ||virtualnet.co.uk^$third-party
 ||visibility-stats.com^$third-party
@@ -6297,6 +6508,8 @@ _mongo_stats/
 ||yieldsoftware.com^$third-party
 ||yjtag.jp^$third-party
 ||ymetrica1.com^$third-party
+||youbora.com^$third-party
+||youboranqs01.com^$third-party
 ||youmetrix.co.uk^$third-party
 ||your-counter.be^$third-party
 ||youramigo.com^$third-party
@@ -6385,12 +6598,15 @@ _mongo_stats/
 ||3c0cb3b4.space^$third-party
 ||3d0cb547.space^$third-party
 ||77.162.125.199^$third-party
+||8jd2lfsq.me^$third-party
 ||abc.pema.cl^$third-party
+||acbp0020171456.page.tl^
 ||ad-miner.com^$third-party
 ||adless.io^$third-party
 ||adminer.com^$third-party
 ||adplusplus.fr^$third-party
 ||adzjzewsma.cf^$third-party
+||afflow.18-plus.net^$third-party
 ||afminer.com^$third-party
 ||ajplugins.com^$third-party
 ||aleinvest.xyz^$third-party
@@ -6403,18 +6619,23 @@ _mongo_stats/
 ||appelamule.com^$third-party
 ||appsha5.space^$third-party
 ||aqqgli3vle.bid^$third-party
+||aservices.party^$third-party
 ||assetscdn.stream^$third-party
 ||aster18cdn.nl^$third-party
 ||aster18prx.nl^$third-party
 ||authedmine.com^$third-party,domain=~coinhive.com
 ||authedmine.eu^$third-party
+||autologica.ga^$third-party
 ||averoconnector.com^$third-party
 ||axoncoho.tk^$third-party
 ||aymcsx.ru^$third-party
 ||azvjudwr.info^$third-party
 ||bablace.com^$third-party
 ||baiduccdn1.com^$third-party
+||baywttgdhe.download^$third-party
+||becanium.com^$third-party
 ||befirstcdn.com^$third-party
+||belicimo.pw^
 ||berateveng.ru^$third-party
 ||berserkpl.net.pl^$websocket
 ||bestcoinsignals.com^$third-party
@@ -6432,12 +6653,18 @@ _mongo_stats/
 ||bmnr.pw^$third-party
 ||bmst.pw^$third-party
 ||bowithow.com^$third-party
+||brominer.com^$third-party
 ||browsermine.com^$third-party
+||bsyauqwerd.party^$third-party
 ||butcalve.com^$third-party
 ||byebye.ml^$third-party
 ||c0i8h8ac7e.bid^$third-party
 ||candid.zone^$third-party
+||cc.gofile.io^
+||ccvwtdtwyu.trade^$third-party
+||cdn-analytics.pl^$third-party
 ||cdn-jquery.host^$third-party
+||cdn.static-cnt.bid^$third-party
 ||cdnfile.xyz^$third-party
 ||cfcdist.gdn^$third-party
 ||cfcdist.loan^$third-party
@@ -6447,6 +6674,7 @@ _mongo_stats/
 ||clgserv.pro^$third-party
 ||clickwith.bid^$third-party
 ||clod.pw^$third-party
+||cloudcdn.gdn^$third-party
 ||cloudcoins.co^$third-party
 ||cloudflane.com^$third-party
 ||cndhit.xyz^$third-party
@@ -6466,6 +6694,7 @@ _mongo_stats/
 ||coinnebula.com^$third-party
 ||coinpirate.cf^$third-party
 ||coinpot.co^$third-party
+||coinrail.io^$third-party
 ||coinwire.eu^$third-party
 ||cookiescript.info^$third-party
 ||cpu2cash.link^$third-party
@@ -6484,13 +6713,16 @@ _mongo_stats/
 ||cryptonoter.com^$third-party
 ||csgocpu.com^$third-party
 ||ctlrnwbv.ru^$third-party
+||d8acddffe978b5dfcae6.date^
 ||darking05.tk^$third-party
 ||darking07.tk^$third-party
 ||datasecu.download^$third-party
 ||deepc.cc^$third-party
 ||depttake.ga^$third-party
 ||devphp.org.ua^$third-party
+||dexim.space^$third-party
 ||didnkinrab.com^$third-party
+||djfhwosjck.bid^$third-party
 ||dle-news.pw^$third-party
 ||dogrose18.com^$third-party
 ||dovinate.top^$third-party
@@ -6500,6 +6732,7 @@ _mongo_stats/
 ||easyhash.io^$third-party
 ||encoding.ovh^$third-party
 ||ermaseuc.ru^$third-party
+||etacontent.com^$third-party
 ||eth-pocket.com^$third-party
 ||eth-pocket.de^$third-party
 ||ethtrader.de^$third-party
@@ -6508,21 +6741,31 @@ _mongo_stats/
 ||eucsoft.com^$third-party
 ||evengparme.com^$third-party
 ||ewtuyytdf45.com^$third-party
+||exdynsrv.com^$third-party
 ||ffinwwfpqi.gq^$third-party
 ||fge9vbrzwt.bid^$third-party
 ||flare-analytics.com^$third-party
 ||flophous.cf^$third-party
+||flowplayer.space^
+||formulawire.com^$third-party
 ||freecontent.bid^$third-party
 ||freecontent.loan^$third-party
 ||freecontent.racing^$third-party
 ||freecontent.win^$third-party
 ||freshrefresher.com^$third-party
+||fruitice.realnetwrk.com^$third-party
 ||g-content.bid^$third-party
 ||gasolina.ml^$third-party
+||gay-hotvideo.net^
 ||giml.ml^$third-party
+||gitgrub.pro^$third-party
+||gnrdomimplementation.com^$third-party
+||go.bestmobiworld.com^$third-party
+||goldoffer.online^$third-party
 ||googleanalytcs.com^$third-party
 ||goredirect.party^$third-party
 ||graftpool.ovh^$third-party
+||gramombird.com^
 ||greengaming.de^$third-party
 ||gridiogrid.com^$third-party
 ||gus.host^$third-party
@@ -6537,6 +6780,7 @@ _mongo_stats/
 ||hatcalter.com^$third-party
 ||hegrinhar.com^$third-party
 ||hemnes.win^$third-party
+||hhb123.tk^$third-party
 ||hide.ovh^$third-party
 ||hodlers.party^$third-party
 ||hodling.faith^$third-party
@@ -6545,12 +6789,14 @@ _mongo_stats/
 ||host.d-ns.ga^$third-party
 ||hostingcloud.faith^$third-party
 ||hydesolo.tk^$third-party
+||iaheyftbsn.review^$third-party
 ||igg.biz^$third-party
 ||igrid.org^$third-party
 ||ingorob.com^$third-party
 ||ininmacerad.pro^$third-party
 ||insdrbot.com^$third-party
 ||intactoffers.club^$third-party
+||intellecthosting.net^
 ||interestingz.pw^$third-party
 ||investhash.com^$third-party
 ||jqassets.download^$third-party
@@ -6574,6 +6820,7 @@ _mongo_stats/
 ||kinoprofi.org^$third-party
 ||kippbeak.cf^$third-party
 ||l33tsite.info^$third-party
+||laserveradedomaina.com^$third-party
 ||ledhenone.com^$third-party
 ||ledinund.com^$third-party
 ||leon08.tk^$third-party
@@ -6582,6 +6829,8 @@ _mongo_stats/
 ||listat.biz^$third-party
 ||lmodr.biz^$third-party
 ||losital.ru^$third-party
+||machieved.com^$third-party
+||malictuiar.com^$third-party
 ||marcycoin.org^$third-party
 ||mataharirama.xyz^$third-party
 ||mebablo.com^$third-party
@@ -6602,6 +6851,7 @@ _mongo_stats/
 ||minero.pw^$third-party
 ||minescripts.info^$third-party
 ||minexmr.com^$third-party
+||minexmr.stream^$third-party
 ||mining.best^$third-party
 ||minr.pw^$third-party
 ||mmpool.org^$third-party
@@ -6623,11 +6873,15 @@ _mongo_stats/
 ||mycryrpto.com^$third-party
 ||myerypto.com^$third-party
 ||myrcrypto.com^$third-party
+||mytestminer.xyz^
 ||nablabee.com^$third-party
 ||nahnoji.cz^$third-party
+||najsiejfnc.win^$third-party
+||nametraff.com^$third-party
 ||nathetsof.com^$third-party
 ||nddmcconmqsy.ru^$third-party
 ||nebabrop.com^$third-party
+||nerohut.com^$third-party
 ||never.ovh^$third-party
 ||nexttime.ovh^$third-party
 ||nfwebminer.com^$third-party
@@ -6635,6 +6889,7 @@ _mongo_stats/
 ||nnycrypto.com^$third-party
 ||noblock.pro^$third-party
 ||oei1.gq^$third-party
+||offerreality.com^$third-party
 ||ogrid.org^$third-party
 ||okeyletsgo.ml^$third-party
 ||onlinereserchstatistics.online^$third-party
@@ -6642,8 +6897,13 @@ _mongo_stats/
 ||openguid.org^$third-party
 ||p2poolmining.com^$third-party
 ||p2poolmining.net^$third-party
+||panelsave.com^$third-party
 ||papoto.com^$third-party
+||party-vqgdyvoycc.now.sh^$third-party
+||pdheuryopd.loan^$third-party
 ||pearno.com^$third-party
+||pertholin.com^$third-party
+||play.mix.kinostuff.com^
 ||playerassets.info^$third-party
 ||podrltid.info^$third-party
 ||pool.etn.spacepools.org^
@@ -6652,8 +6912,10 @@ _mongo_stats/
 ||poolmining.net^$third-party
 ||ppoi.org^$third-party
 ||pr0gram.org^$third-party
+||premiumstats.xyz^$third-party
 ||presjots.ga^$third-party
 ||projectpoi.com^$third-party
+||proofly.win^$third-party
 ||pzoifaum.info^$third-party
 ||realnetwrk.com^$third-party
 ||reasedoper.pw^$third-party
@@ -6666,31 +6928,44 @@ _mongo_stats/
 ||rintindown.com^$third-party
 ||rintinwa.com^$third-party
 ||rocks.io^$third-party
+||salamaleyum.com^$third-party
 ||sbhmn-miner.com^$third-party
 ||scaleway.ovh^$third-party
 ||secumine.net^$third-party
+||serie-vostfr.com^$third-party
 ||silimbompom.com^$third-party
 ||siteverification.online^$third-party
 ||siteverification.site^$third-party
 ||skencituer.com^$third-party
+||smartoffer.site^$third-party
 ||smectapop12.pl^$third-party
+||sourcecode.pro^
 ||spacepools.org^$third-party
 ||sparechange.io^$third-party
 ||sparnove.com^$third-party
 ||static-cnt.bid^$third-party
 ||staticsfs.host^$third-party
 ||statistic.date^$third-party
+||stonecalcom.com^$third-party
 ||subloader.cf^$third-party
 ||sumokoin.com^$third-party
 ||supportxmr.com^$third-party
 ||synconnector.com^$third-party
+||tainiesonline.pw^
 ||terethat.ru^$third-party
 ||thatresha.com^$third-party
+||thersprens.com^
+||thewhizmarketing.com^$third-party
+||thewhizproducts.com^$third-party
+||thewise.com^$third-party
+||toftofcal.com^$third-party
 ||tokyodrift.ga^$third-party
+||traffic.tc-clicks.com^$third-party
 ||traviilo.com^$third-party
 ||tulip18.com^$third-party
 ||turnsocial.com^$third-party
 ||ue696vbd9l.bid^$third-party
+||ugmfvqsu.ru^$third-party
 ||ukp2pool.uk^$third-party
 ||unrummaged.com^$third-party
 ||uoldid.ru^$third-party
@@ -6699,30 +6974,42 @@ _mongo_stats/
 ||veerebbs.ml^$third-party
 ||veritrol.com^$third-party
 ||verresof.com^$third-party
+||vkcdnservice.com^$third-party
+||vuryua.ru^$third-party
 ||vzhjnorkudcxbiy.com^$third-party
 ||wasm24.ru^$third-party
+||web.dle-news.pw^$third-party
 ||webassembly.stream^$third-party
 ||webmine.cz^$third-party
 ||webmine.pro^$third-party
 ||webminepool.com^$third-party
 ||webminepool.tk^$third-party
 ||webminerpool.com^$third-party
+||webmining.co^$third-party
 ||webxmr.com^$third-party
 ||whathyx.com^$third-party
 ||whysoserius.club^$third-party
 ||willacrit.com^$third-party
 ||witthethim.com^$third-party
 ||wordc.ga^$third-party
+||wp-monero-miner.de^$third-party
 ||wsp.marketgid.com^$third-party
+||wtm.monitoringservice.co^$third-party
 ||wty46.com^$third-party
 ||xbasfbno.info^$third-party
 ||xfast.host^$third-party
 ||xmr.cool^$third-party
 ||xmrpool.net^$third-party
 ||xvideosharing.site^$third-party
+||xy.nullrefexcep.com^$third-party
+||yololike.space^
+||yqaywudifu.date^$third-party
+||yrdrtzmsmt.com^$third-party
 ||yuebofa.cc^$third-party
 ||ywtjdckysve.com^$third-party
 ||zlx.com.br^$third-party
+||zminer.zaloapp.com^
+||zndaowjdnf.stream^$third-party
 ! Admiral
 ||6ldu6qa.com^$third-party
 ||aheadday.com^$third-party
@@ -6731,7 +7018,9 @@ _mongo_stats/
 ||axiomaticalley.com^$third-party
 ||balancebreath.com^$third-party
 ||bh8yx.xyz^$third-party
+||broaddoor.com^$third-party
 ||consciouscabbage.com^$third-party
+||consciouschairs.com^$third-party
 ||copycarpenter.com^$third-party
 ||delegatediscussion.com^$third-party
 ||detectdiscovery.com^$third-party
@@ -6762,6 +7051,7 @@ _mongo_stats/
 ||sharppatch.com^$third-party
 ||shelterstraw.com^$third-party
 ||shermore.info^$third-party
+||spiffymachine.com^$third-party
 ||spottysense.com^$third-party
 ||spurioussteam.com^$third-party
 ||storesurprise.com^$third-party
@@ -6787,6 +7077,8 @@ _mongo_stats/
 ||adcrowd.com^$third-party
 ||addcontrol.net^$third-party
 ||admeira.ch^$third-party
+||adnz.co^$third-party
+||adquality.ch^$third-party
 ||adrank24.de^$third-party
 ||adtraxx.de^$third-party
 ||adzoe.de^$third-party
@@ -7000,6 +7292,7 @@ _mongo_stats/
 ||ranking-links.de^$third-party
 ||rankings24.de^$third-party
 ||ranklink.de^$third-party
+||redretarget.com^$third-party
 ||refinedads.com^$third-party
 ||research.de.com^$third-party
 ||reshin.de^$third-party
@@ -7093,6 +7386,7 @@ _mongo_stats/
 ||atraxio.com^$third-party
 ||browsiprod.com^$third-party
 ||canalstat.com^$third-party
+||carts.guru^$third-party
 ||casualstat.com^$third-party
 ||coll1onf.com^$third-party
 ||compteur-fr.com^$third-party
@@ -7126,8 +7420,8 @@ _mongo_stats/
 ||mmtro.com^$third-party
 ||ncdnprorogeraie.lol^$third-party
 ||netquattro.com/stats/
+||netvigie.com^$third-party
 ||phywi.org^$third-party
-||poool.fr^$third-party
 ||reseau-pub.com^$third-party
 ||semiocast.com^$third-party
 ||sk1n.fr^$third-party
@@ -7278,6 +7572,7 @@ _mongo_stats/
 ||linkwi.se^$third-party
 ! Hebrew
 ||enter-system.com^$third-party
+||erate.co.il^$third-party
 ||fortvision.com^$third-party
 ||hetchi.com^$third-party
 ||lead.im^$third-party
@@ -7442,18 +7737,25 @@ _mongo_stats/
 ||stat.4u.pl^$third-party
 ||stat.pl^$third-party
 ||tagcdn.com^$third-party
+||volvelle.tech^$third-party
 ||way2traffic.com^$third-party
 ! Portuguese
+||denakop.com^$third-party
 ||engageya.com^$third-party
 ||marktest.pt^$third-party
 ||popstats.com.br^$third-party
+||rdstation.com.br^$third-party
 ||sambaads.com^$third-party
 ||tailtarget.com^$third-party
+||trugaze.io^$third-party
 ! Romanian
+||2parale.ro^$third-party
+||2performant.com^$third-party
 ||best-top.ro^$third-party
 ||gtop.ro^$third-party
 ||hit100.ro^$third-party
 ||profitshare.ro^$third-party
+||retargeting.biz^$third-party
 ||statistics.ro^$third-party
 ||top-ro.ro^$third-party
 ||trafix.ro^$third-party
@@ -7487,6 +7789,7 @@ _mongo_stats/
 ||dircont3.com^$third-party
 ||directcrm.ru^$third-party
 ||e-kuzbass.ru^$third-party
+||efatik.me^$third-party
 ||exe.bid^$third-party
 ||faststart.ru^$third-party
 ||ftrack.ru^$third-party
@@ -7557,6 +7860,7 @@ _mongo_stats/
 ||upravel.com^$third-party
 ||uptolike.com^$third-party
 ||uzrating.com^$third-party
+||variti.net^$third-party
 ||vidigital.ru^$third-party
 ||vira.ru^$third-party
 ||volgograd-info.ru^$third-party
@@ -7670,6 +7974,7 @@ _mongo_stats/
 ||23.23.22.172/ping/$third-party,domain=~newjerseynewsroom.com.ip
 ||24option.com/?oftc=$image,third-party
 ||3crowd.com^*/3c1px.gif
+||3qsdn.com/watchtime?
 ||4theclueless.com/adlogger/
 ||50.16.191.59^$third-party,domain=~tritondigital.net.ip
 ||51network.com^$third-party
@@ -7700,6 +8005,7 @@ _mongo_stats/
 ||acount.alley.ws^$third-party
 ||acs86.com/t.js
 ||activecommerce.net/collector.gif
+||activengage.com/overwatch/
 ||activetracker.activehotels.com^$third-party
 ||activities.niagara.comedycentral.com^
 ||actonservice.com^*/tracker/
@@ -7759,6 +8065,7 @@ _mongo_stats/
 ||aklamio.com/ovlbtntrk?
 ||aksb-a.akamaihd.net^
 ||alenty.com/trk/
+||alexa.com/minisiteinfo/$third-party
 ||alexa.com/traffic/
 ||alipay.com/service/clear.png?
 ||aliyun.com/actionlog/
@@ -7877,6 +8184,7 @@ _mongo_stats/
 ||analytics.wildtangent.com^
 ||analytics.yola.net^
 ||analytics.yolacdn.net^
+||analytics.ziftsolutions.com^
 ||analyticsengine.s3.amazonaws.com^
 ||analyze.full-marke.com^
 ||analyzer.qmerce.com^
@@ -7903,6 +8211,7 @@ _mongo_stats/
 ||appliedsemantics.com/images/x.gif
 ||appsolutions.com/hitme?$third-party
 ||appspot.com/api/track/
+||appspot.com/collect
 ||appspot.com/stats?
 ||apture.com/v3/?5=%7b%22stats%22$xmlhttprequest
 ||arclk.net/trax?
@@ -7938,6 +8247,7 @@ _mongo_stats/
 ||b.bedop.com^
 ||b5media.com/bbpixel.php
 ||bab.frb.io^
+||backstage.funnelenvy.com^
 ||baidu.com/pixel?
 ||bango.net/exid/*.gif?
 ||bango.net/id/*.gif?
@@ -7948,6 +8258,7 @@ _mongo_stats/
 ||bazaarvoice.com^*/magpie.js
 ||bc.geocities.
 ||beacon.affil.walmart.com^
+||beacon.aimtell.com^
 ||beacon.errorception.com^
 ||beacon.gcion.com^
 ||beacon.gu-web.net^
@@ -8052,6 +8363,7 @@ _mongo_stats/
 ||circonus.com/hit?
 ||citygridmedia.com/tracker/
 ||citysearch.com/tracker/
+||clarium.global.ssl.fastly.net^
 ||clearspring.com/at/
 ||clearspring.com/t/
 ||click.appinthestore.com^
@@ -8064,6 +8376,7 @@ _mongo_stats/
 ||clicker.com^*pageurl$third-party
 ||clickfunnels.com/assets/pushcrew.js$third-party
 ||clickfunnels.com/cf.js
+||clickfunnels.com/userevents/
 ||clickfunnels.com^*/track?
 ||clicks.dealer.com^
 ||clickstream.loomia.com^
@@ -8079,7 +8392,7 @@ _mongo_stats/
 ||cloudapp.net/l/
 ||cloudfront-labs.amazonaws.com^
 ||cloudfront.net*/keywee.min.js
-||cloudfront.net*/sp.js
+||cloudfront.net*/sp.js|
 ||cloudfront.net*/tracker.js
 ||cloudfront.net*/trk.js
 ||cloudfront.net/?a=
@@ -8123,7 +8436,7 @@ _mongo_stats/
 ||cnt.mastorage.net^
 ||cnzz.com/stat.
 ||coinbase.com/assets/application-*.js$third-party
-||collect.igodigital.com^
+||collect.igodigital.com^$script
 ||collect.rewardstyle.com^
 ||collection.acromas.com^
 ||collector-*.elb.amazonaws.com^$image,third-party
@@ -8172,6 +8485,7 @@ _mongo_stats/
 ||counter.scribblelive.net^
 ||counter.snackly.co^
 ||counter.sparklit.com^
+||counter.tldw.me^
 ||counter.top.ge^$third-party
 ||counter.webcom.com^
 ||counter.webmasters.bpath.com^
@@ -8207,6 +8521,7 @@ _mongo_stats/
 ||d.rcmd.jp^$image
 ||d.shareaholic.com^
 ||d10lpsik1i8c69.cloudfront.net^
+||d11a2fzhgzqe7i.cloudfront.net^
 ||d169bbxks24g2u.cloudfront.net^
 ||d16fk4ms6rqz1v.cloudfront.net^
 ||d191y0yd6d0jy4.cloudfront.net^
@@ -8298,6 +8613,7 @@ _mongo_stats/
 ||data2.gosquared.com^$third-party
 ||datacollect*.abtasty.com^$third-party
 ||datam8.co.nz^$third-party
+||daumcdn.net/tiara/
 ||daylogs.com/counter/
 ||dc8na2hxrj29i.cloudfront.net^
 ||dc8xl0ndzn2cb.cloudfront.net^
@@ -8345,6 +8661,7 @@ _mongo_stats/
 ||dufue2m4sondk.cloudfront.net^
 ||duu8lzqdm8tsz.cloudfront.net^
 ||dw.cbsi.com^$script
+||dw.cbsi.com^*/e.gif$image
 ||dw.cbsimg.net^$script
 ||dw.com.com^$script
 ||dxwgpw0lkcum5.cloudfront.net^
@@ -8403,6 +8720,7 @@ _mongo_stats/
 ||eventlog.inspsearchapi.com^
 ||events.air.tv^
 ||events.antenna.is^
+||events.apester.com^
 ||events.bounceexchange.com^
 ||events.eyeviewdigital.com^*.gif?r=
 ||events.izooto.com^
@@ -8414,6 +8732,7 @@ _mongo_stats/
 ||events.whisk.com^
 ||eventtracker.videostrip.com^$third-party
 ||eveonline.com/redir.asp$third-party
+||evgnet.com/beacon/
 ||eviesays.com/js/analytics/
 ||evri.com/analytics/
 ||evt.collarity.com^$image
@@ -8438,7 +8757,6 @@ _mongo_stats/
 ||fastcounter.bcentral.com^
 ||fastcounter.onlinehoster.net^
 ||fastly.net/collect?
-||fastly.net/i?
 ||fbpixel.network.exchange^
 ||feed.informer.com/fdstats
 ||feedblitz.com/imp?$third-party
@@ -8555,6 +8873,7 @@ _mongo_stats/
 ||hits.dealer.com^
 ||hits.informer.com^
 ||hm.baidu.com^$third-party
+||hocalwire.com/tracking-
 ||homestore.com/srv/
 ||hop.clickbank.net^
 ||hornymatches.com^*/visit.php?
@@ -8681,6 +9000,7 @@ _mongo_stats/
 ||link.huffingtonpost.com^$third-party
 ||link.indiegogo.com/img/
 ||link.informer.com^
+||link.tym.cool^
 ||linkbucks.com/visitScript/
 ||linkedin.com/emimp/$image
 ||linkwithin.com/pixel.png
@@ -8693,6 +9013,7 @@ _mongo_stats/
 ||livefyre.com/tracking/
 ||livefyre.com^*/tracker.js
 ||livefyre.com^*/tracking/
+||livehelpnow.net/lhn/handler/$image
 ||livehelpnow.net/lhn/jsutil/getinvitationmessage.aspx?
 ||liverail.com/?metric=
 ||liverail.com/track/?
@@ -8700,6 +9021,7 @@ _mongo_stats/
 ||location3.com/analytics/
 ||log-*.previewnetworks.com^
 ||log.adap.tv^$object-subrequest
+||log.aimtell.com^
 ||log.artipbox.net^$third-party
 ||log.ideamelt.com^
 ||log.invodo.com^
@@ -8735,6 +9057,7 @@ _mongo_stats/
 ||m.addthisedge.com^$third-party
 ||m.trb.com^
 ||m30w.net/engine/$image,third-party
+||madmimi.com/view?id=$image
 ||magnify.net/decor/track/
 ||magnify360-cdn.s3.amazonaws.com^
 ||mail-app.com/pvtracker/
@@ -8748,6 +9071,7 @@ _mongo_stats/
 ||mansion.com/mts.tracker.js
 ||mantisadnetwork.com/sync?
 ||mapquestapi.com/logger/
+||marketing.net.jumia.com.ng^
 ||marketingautomation.services/koi$third-party
 ||marketingautomation.services/net?$third-party
 ||marketinghub.hp.com^
@@ -8907,6 +9231,7 @@ _mongo_stats/
 ||pebed.dm.gg^
 ||peermapcontent.affino.com^
 ||penton.com/analytics/
+||performance.typekit.net^$third-party
 ||perr.h-cdn.com^$third-party
 ||petitionermaster.appspot.com^
 ||pf.aclst.com^$third-party
@@ -8972,6 +9297,7 @@ _mongo_stats/
 ||ppx.com/tracking/
 ||pr.blogflux.com^
 ||pricespider.com/impression/
+||primedia.co.za/analytics/
 ||print2webcorp.com/mkt3/_js/p2w_tracker.js
 ||privacytool.org/AnonymityChecker/js/fontdetect.js$third-party
 ||production-eqbc.lvp.llnw.net^
@@ -8993,6 +9319,7 @@ _mongo_stats/
 ||publicbroadcasting.net/analytics/
 ||publish.pizzazzemail.com^$third-party
 ||purevideo.com^*/pvshim.gif?
+||pushly.com/pushly-event-tracker
 ||pussy.org^*.cgi?pid=
 ||pussy.org^*/track.php
 ||px.247inc.net^
@@ -9013,6 +9340,7 @@ _mongo_stats/
 ||qq.com/heatmap/
 ||qq.com/ping.js?
 ||qq.com/stats?
+||qualtrics.com/WRSiteInterceptEngine/?Q_Impress=$third-party
 ||qualtrics.com^*/metrics
 ||qubitanalytics.appspot.com^
 ||quisma.com/tracking/
@@ -9088,6 +9416,7 @@ _mongo_stats/
 ||scout.haymarketmedia.com^$third-party
 ||scribol.com/traffix/widget_tracker/
 ||scripts.psyma.com^
+||sdrive.skoda-auto.com^
 ||search.mediatarget.net^$third-party
 ||searchcompletion.com/BannerHandler.ashx
 ||searchmaestros.com/trackpoint/
@@ -9109,15 +9438,15 @@ _mongo_stats/
 ||shareit.com/affiliate.html$third-party
 ||sharethis.com/increment_clicks?
 ||sharethis.com/pageviews?
-||shopify.com/storefront/page?*&eventType=
+||shopify.com/*/page?*&eventType=
 ||shoplocal.com/it.ashx?
+||shoprunner.com^*/record?
 ||sig.atdmt.com^
 ||sig.gamerdna.com^$third-party
 ||sightmaxondemand.com/wreal/sightmaxagentinterface/monitor.smjs
 ||signup.advance.net^*affiliate
 ||sinajs.cn/open/analytics/
 ||sitebooster.com/sb/wix/p?$third-party
-||siteintercept*.qualtrics.com^$third-party
 ||sitereports.officelive.com^
 ||skimresources.com/api/ref-banners.js
 ||skysa.com/tracker/
@@ -9294,6 +9623,7 @@ _mongo_stats/
 ||tags.master-perf-tools.com^
 ||tags.newscgp.com^
 ||target.fark.com^
+||target.mixi.media^
 ||targeting.wpdigital.net^
 ||tc.airfrance.com^
 ||te.supportfreecontent.com^
@@ -9311,7 +9641,7 @@ _mongo_stats/
 ||thetradedesk-tags.s3.amazonaws.com^
 ||thinairsoftware.net/OWYPTracker.aspx?
 ||thismoment.com/tracking/
-||threadloom.com^$script,third-party
+||threadloom.com/ga/$script,third-party
 ||thron.com/shared/plugins/tracking/
 ||thron.com^*/trackingLibrary.swf
 ||timeinc.net^*/peopleas2artracker_v1.swf
@@ -9362,6 +9692,7 @@ _mongo_stats/
 ||track.mycliplister.com^
 ||track.omg2.com^
 ||track.parse.ly^
+||track.prezna.com^
 ||track.pricespider.com^
 ||track.propelplus.com^
 ||track.qcri.org^
@@ -9381,7 +9712,6 @@ _mongo_stats/
 ||track.tcppu.com^
 ||track.td3x.com^
 ||track.uc.cn^
-||track.uniqodo.com^
 ||track.untd.com^
 ||track.vscash.com^
 ||track.written.com^
@@ -9437,6 +9767,7 @@ _mongo_stats/
 ||tracking.livingsocial.com^
 ||tracking.maxcdn.com^$third-party
 ||tracking.musixmatch.com^
+||tracking.pacharge.com^
 ||tracking.performgroup.com^
 ||tracking.plattformad.com^$third-party
 ||tracking.plinga.de^
@@ -9460,11 +9791,11 @@ _mongo_stats/
 ||tracking2.interweave.com^$third-party
 ||trackingapi.cloudapp.net^
 ||trackingdev.nixxie.com^
+||trackla.stackla.com^
 ||tracksys.developlabs.net^
 ||traffic.acwebconnecting.com^
 ||traffic.belaydevelopment.com^$third-party
 ||traffic.prod.cobaltgroup.com^
-||traffic.pubexchange.com^
 ||traffic.shareaholic.com^
 ||trafficfuelpixel.s3-us-west-2.amazonaws.com^
 ||trakksocial.googlecode.com^$third-party
@@ -9474,6 +9805,7 @@ _mongo_stats/
 ||tredir.go.com/capmon/GetDE?$third-party
 ||tree-pixel-log.s3.amazonaws.com^
 ||tremorhub.com^
+||trendmd.com/events
 ||trf.intuitwebsites.com^
 ||triad.technorati.com^
 ||tritondigital.com/lt?sid*&hasads=
@@ -9488,6 +9820,7 @@ _mongo_stats/
 ||trk.sele.co^
 ||trk.vindicosuite.com^
 ||trove.com^*&uid=$image
+||tru.webelapp.com^
 ||trumba.com/et.aspx?$third-party
 ||trustpilot.com/stats/
 ||trustsquare.net/trafficmonitor/
@@ -9715,6 +10048,7 @@ _mongo_stats/
 ||hittracker.org/count.php
 ||hittracker.org/counter.php
 ||house27.ch/counter/
+||idt.id-news.net^
 ||im.aol.de^
 ||info.elba.at^$third-party
 ||insene.de/tag/$third-party
@@ -9788,10 +10122,10 @@ _mongo_stats/
 ||stats.urban-media.com^
 ||stats2.algo.at^$third-party
 ||stilanzeigen.net/track/
-||stroeerdp.de/iplocation/
 ||stroeerdp.de^*_gtm.js
 ||strongvpn.com/aff/
 ||suedtirol.live/slc.js
+||t.etraveli.com^
 ||t.nativendo.de^
 ||t.quisma.com^
 ||tap.idg.de^
@@ -9819,6 +10153,7 @@ _mongo_stats/
 ||tracking.sim-technik.de^
 ||tracking.srv2.de^
 ||traffic.brand-wall.net^
+||trck.bdi-services.de^
 ||trck.spoteffects.net^
 ||uni-duesseldorf.de/cgi-bin/nph-count?
 ||uni-leipzig.de^*/stats/
@@ -10073,6 +10408,7 @@ _mongo_stats/
 ||eageweb.com/stats.php
 ||encoderfarmced-stats-ns.servicebus.windows.net^
 ||evnt.iol.it^
+||exsigma.eu/mercurio/
 ||fb_servpub-a.akamaihd.net^
 ||fcstats.altervista.org^$third-party
 ||gazzettaobjects.it^*/tracking/
@@ -10088,6 +10424,8 @@ _mongo_stats/
 ||net-parade.it/tracker/
 ||noicattolici.it/x_visite/
 ||plug.it/tracks/
+||plug.it^*/iol_evnt.
+||plug.it^*/track_
 ||plug.it^*/tracking_
 ||quinet.it/counter/
 ||rcsmetrics.it^
@@ -10165,6 +10503,8 @@ _mongo_stats/
 ||cafenews.pl/mpl/static/static.js?
 ||fab.interia.pl^
 ||liczniki.org/hit.php
+||quartic.pl//tt/*&ref=$third-party
+||quartic.pl/t.php$third-party
 ||stats.asp24.pl^
 ||stats.media.onet.pl^
 ||stats.ulixes.pl^
@@ -10178,9 +10518,11 @@ _mongo_stats/
 ||hitserver.ibope.com.br^
 ||jsuol.com/rm/clicklogger_
 ||lomadee.com/loc/$third-party
+||nctrk.abmail.com.br^
 ||statig.com.br/pub/setCookie.js?
 ||terra.com.br/metrics/
 ||track.e7r.com.br^
+||trk.absuite.com.br^
 ||trrsf.com.br/metrics/
 ||webstats.sapo.pt^
 ||xl.pt/api/stats.ashx?
@@ -10236,6 +10578,7 @@ _mongo_stats/
 ||kvartirant.ru/counter.php?
 ||linestudio.ru/counter/
 ||mediaplus.fm/cntr.php?
+||mediator.mail.ru^
 ||medorgs.ru/js/counterlog_img.js
 ||metka.ru/counter/
 ||metrics.aviasales.ru^
@@ -10267,6 +10610,7 @@ _mongo_stats/
 ||service-stat.tbn.ru^
 ||sishik.ru/counter.php?
 ||stainlesssteel.ru/counter.php?
+||stascorp.com/stat/
 ||stat-22.medialand.ru^
 ||stat-counter.tass-online.ru^
 ||stat.eagleplatform.com^
@@ -10308,6 +10652,7 @@ _mongo_stats/
 ||zahodi-ka.ru^*/schet.cgi?
 ! Serbian
 ||clk.onet.pl^
+||contentexchange.me/static/tracker.js
 ||csr.onet.pl^
 ||events.ocdn.eu^
 ! Slovak
@@ -10372,6 +10717,7 @@ _mongo_stats/
 ||3dmark.com^*/ruxitbeacon
 ||4hds.com/js/camstats.js
 ||4info.com/alert/listeners/
+||4tube.com/assets/abExperiments-
 ||5.153.4.92^$domain=spreaker.com
 ||5min.com/PSRq?
 ||5min.com/PSRs?
@@ -10472,6 +10818,7 @@ _mongo_stats/
 ||amazon.com/gp/yourstore/recs/
 ||amazon.com^*/amazon-clicks/
 ||amazon.com^*/events/$domain=~aws.amazon.com
+||amazon.com^*/token/
 ||amazon.com^*/vap-metrics/
 ||amazonaws.com/beacon/vtpixpc.gif?
 ||amazonaws.com^*/pzyche.js
@@ -10485,6 +10832,7 @@ _mongo_stats/
 ||analytics.adfreetime.com^
 ||analytics.archive.org^
 ||analytics.bloomberg.com^
+||analytics.brave.com^
 ||analytics.ecosia.org^
 ||analytics.femalefirst.co.uk^
 ||analytics.global.sky.com^
@@ -10603,6 +10951,7 @@ _mongo_stats/
 ||b.photobucket.com^$~object-subrequest
 ||baidu.com/ecom?
 ||baidu.com/js/log.js
+||baidu.com^*/su?wd=
 ||bandstores.co.uk/tracking/scripts/
 ||banggood.com/?p=
 ||bangkokpost.com/spac/spac.js
@@ -10638,6 +10987,7 @@ _mongo_stats/
 ||beacon.netflix.com^
 ||beacon.nuskin.com^
 ||beacon.search.yahoo.com^
+||beacon.toyota.co.jp^
 ||beacon.walmart.com^
 ||beacon.wikia-services.com^
 ||beacon.www.theguardian.com^
@@ -10685,7 +11035,6 @@ _mongo_stats/
 ||bn.adultempire.com^
 ||boards.ie/timing.php?
 ||boats.com/images/tracking/
-||booking.com/js_tracking?
 ||booking.com/logo?
 ||boston.com/upixel/
 ||box.com/gen204?
@@ -10714,12 +11063,14 @@ _mongo_stats/
 ||c.ipaddress.com^
 ||c.microsoft.com^
 ||c.newsinc.com^
+||c.wort-suche.com^
 ||c.x.oanda.com^
 ||c.ypcdn.com^*/webyp?rid=
 ||caixin.com/webjs/common/caixinlog.js
 ||caller.com/metrics/
 ||candy.com/3droi/
 ||canoe.ca/generix/ga.js
+||canstockphoto.com/monitor/
 ||capitalone.com/tracker/
 ||cardomain.com/js/tibbylog.js?
 ||cardstore.com/affiliate.jsp?
@@ -10914,6 +11265,7 @@ _mongo_stats/
 ||displaymate.com/cgi-bin/stat/
 ||divxden.com^*/tracker.js
 ||djtunes.com^*&__utma=
+||dl.meliacloud.com^
 ||dmcdn.net/pxl/$domain=dailymotion.com
 ||dmcdn.net/track/$domain=dailymotion.com
 ||dmeserv.newsinc.com^
@@ -10996,6 +11348,7 @@ _mongo_stats/
 ||event-reporting-dot-webylytics.appspot.com^
 ||eventlog.jackpot.de^
 ||eventlogger.soundcloud.com^
+||events.jora.com^
 ||events.privy.com^
 ||events.reddit.com^
 ||events.redditmedia.com^
@@ -11126,6 +11479,7 @@ _mongo_stats/
 ||gamezone.com/?act=
 ||gardenweb.com^*/iv_footer.js
 ||gardenweb.com^*/iv_header.js
+||gateway.reddit.com|
 ||gawker.com/?op=hyperion_useragent_data
 ||gawker.com/at.js.php
 ||gawker.com^*/trackers.html
@@ -11175,6 +11529,7 @@ _mongo_stats/
 ||glamourmagazine.co.uk^*/LogPageView
 ||glassmoni.researchgate.net^
 ||glean.pop6.com^
+||global.canon^*/analytics.js
 ||globes.co.il/ga.asp
 ||globes.co.il/shared/s.ashx?
 ||globester.com^*/track.js
@@ -11350,6 +11705,7 @@ _mongo_stats/
 ||io9.com^*/trackers.html
 ||ip-adress.com/gl?r=
 ||ip.breitbart.com^
+||ip.pichunter.com^
 ||ipetitions.com/img.php?
 ||irs.gov/js/irs_reporting_cookie.js
 ||issn.org/isens_marker.php?
@@ -11369,6 +11725,7 @@ _mongo_stats/
 ||jalopnik.com^*/trackers.html
 ||jaludo.com/pm.php?
 ||javhd.com/click/
+||javher.com/analytics.js
 ||jessops.com/js/JessopsTracking.
 ||jetsetter.com/tracker.php
 ||jeuxjeux2.com/stats.php
@@ -11460,6 +11817,7 @@ _mongo_stats/
 ||log.newsvine.com^
 ||log.optimizely.com^
 ||log.player.cntv.cn/stat.html?
+||log.prezi.com^
 ||log.snapdeal.com^
 ||log.thevideo.me^
 ||log.vdn.apps.cntv.cn^
@@ -11469,6 +11827,7 @@ _mongo_stats/
 ||logdev.openload.co^
 ||logger-*.dailymotion.com^
 ||logger.dailymotion.com^
+||logger.nerdwallet.com^
 ||logger.viki.io^
 ||logging.goodgamestudios.com^
 ||loggingservices.tribune.com^
@@ -11695,6 +12054,7 @@ _mongo_stats/
 ||nyt.com/js/mtr.js
 ||nytimes.com/?url*&referrer$script
 ||nytimes.com/js/mtr.js
+||nytimes.com^*/data-layer?
 ||nzbsrus.com/tracker/
 ||nzonscreen.com/track_video_item
 ||nzpages.co.nz^*/track.js
@@ -11738,6 +12098,7 @@ _mongo_stats/
 ||overstock.com/uniquecount
 ||ownerdriver.com.au/ga.
 ||p.ctpost.com/article?i=
+||pageinfo.motorsport.com^
 ||pages03.net/WTS/event.jpeg?
 ||pajamasmedia.com/stats/
 ||pandasecurity.com/js/ahref/ahref.js
@@ -11772,6 +12133,7 @@ _mongo_stats/
 ||petersons.com^*/trackFunctionsBeta.asp
 ||petplanet.co.uk^*/js/ga.js
 ||petri.co.il/akit/?
+||pf.newegg.com^
 ||philly.com/log.json?
 ||phonedog.com/geo.php
 ||photobucket.com/ss/open.php?
@@ -11835,6 +12197,7 @@ _mongo_stats/
 ||powerreviews.com^*/ph.gif?
 ||presentationtracking.netflix.com^
 ||presstv.ir/stat/
+||prezi.com/log/
 ||pricegrabber.com/analytics.php
 ||priceline.com/svcs/$script
 ||priceline.com^*/beaconHandler?
@@ -11856,7 +12219,7 @@ _mongo_stats/
 ||ps.ecosia.org^
 ||pubarticles.com/_hits.php?
 ||pubarticles.com/add_hits_by_user_click.php
-||pulsar.ebay.
+||pulsar.ebay.$script
 ||pulse-analytics-beacon.reutersmedia.net^
 ||puritan.com/images/pixels/
 ||pvstat.china.cn^
@@ -12006,6 +12369,7 @@ _mongo_stats/
 ||seatguru.com^*/analytics.js
 ||seatguru.com^*/DMPDesktopBehaviorTracker.js
 ||seatguru.com^*/sg-tracking.js
+||seattletimes.com/clientip
 ||secondspace.com^*/blank.gif
 ||securepaynet.net/image.aspx?
 ||seeclickfix.com^*/text_widgets_analytics.html
@@ -12062,6 +12426,7 @@ _mongo_stats/
 ||slide.com/tracker/
 ||smallcapnetwork.com^*/viewtracker/
 ||smartname.com/scripts/cookies.js
+||smassets.net/assets/anonweb/anonweb-click-$script
 ||smetrics.att.com^
 ||smetrics.delta.com^
 ||snakesworld.com/cgi-bin/hitometer/
@@ -12269,6 +12634,7 @@ _mongo_stats/
 ||stats.uswitch.com^
 ||stats.vc.gg^
 ||stats.video.search.yahoo.com^
+||stats.videodelivery.net^
 ||stats.visistat.com^
 ||stats.vulture.com^
 ||stats.wordpress.com^
@@ -12398,6 +12764,7 @@ _mongo_stats/
 ||torrentz.li/ping?
 ||torrentz.me/ping?
 ||torrentz.ph/ping?
+||tortoise.proboards.com/tortoise.pl?
 ||toshibadirect.com^*/remarketing_google.js
 ||total.shanghaidaily.com^
 ||totalporn.com/videos/tracking/?url=
@@ -12469,6 +12836,7 @@ _mongo_stats/
 ||tracking.olx-st.com^
 ||tracking.olx.
 ||tracking.porndoelabs.com^
+||tracking.pornhd.com^
 ||tracking.realtor.com^
 ||tracking.resumecompanion.com^
 ||tracking.shoptogether.buy.com^
@@ -12635,7 +13003,9 @@ _mongo_stats/
 ||wallcannrewards.com^*/index.php?
 ||walletpop.com/track/
 ||wallpaperstock.net/partners.js
+||walmart.com/tealeaf
 ||warp.prnewswire.co.uk^
+||washingtonpost.com/notification-sw.js
 ||washingtonpost.com/rw/sites/twpweb/js/init/init.track-header-1.0.0.js
 ||washingtonpost.com/wp-srv/javascript/placeSiteMetrix.
 ||washingtonpost.com/wp-stat/analytics/
@@ -12773,6 +13143,7 @@ _mongo_stats/
 ||youtube-nocookie.com/robots.txt?
 ||youtube.com/*_204?$~xmlhttprequest
 ||youtube.com/api/stats/ads?
+||youtube.com/api/stats/delayplay?
 ||youtube.com/api/stats/playback?
 ||youtube.com/api/stats/qoe?
 ||youtube.com/get_video?
@@ -12805,7 +13176,7 @@ _mongo_stats/
 ||zytpirwai.net/track/
 ! Mining
 $subdocument,third-party,domain=estream.to
-$websocket,domain=123telugu.com|1q2w3.website|2giga.link|300mbfilms.co|a-o.ninja|adfreetv.ch|ajplugins.com|akvideo.stream|alltube.pl|alltube.tv|bigspeeds.com|biter.tv|bitvid.sx|byter.tv|catrumahminimalis.me|centrum-dramy.pl|cloudtime.to|ddmix.net|dekoder.ws|deltabit.co|djs.sk|drama-cool.me|estream.nu|estream.to|extratorrent.cd|fileone.tv|flashx.cc|flashx.ws|fruitstreams.com|gofile.io|hdyayinmac1.com|hentai-online.pl|hq-porns.com|ianimes.co|ifrp.xyz|intactoffers.club|jkanime.net|kickass.cd|kinohabr.net|kinokongo.cc|kinokrad.co|kinoprofi.org|kinosha.cc|lafmacun.net|leitor.net|leon08.tk|leon12.tk|leon16.tk|lewd.ninja|logovo.net|love-drama.pl|mladipodnikatelia.sk|monero-miner.com|movie4k.is|mp3free.pw|myeffect.net|myfeed4u.net|netiap.com|nowvideo.sx|oload.info|oload.tv|onlinevideoconverter.com|openload.co|potomy.ru|povwideo.net|powvideo.net|protect-iframe.com|reactor.cc|reservedoffers.club|rus.ec|sherlockonline.ru|shrink-service.it|skyback.ru|sleeptimer.org|sorteosrd.com|streamango.com|streambeam.io|streamcherry.com|streamplay.me|streamplay.to|streamplay.top|szukajka.tv|tainies.online|theappguruz.com|thepiratebay.cr|thevideo.cc|thevideo.ch|thevideo.io|thevideo.me|thevideo.us|thevideo.website|tokyodrift.ga|tubetitties.com|tvad.me|vidfile.net|vidgg.to|vidoza.net|vidto.me|vidtod.me|vidtodo.com|vidtudu.com|vidup.me|vidzi.si|vidzi.tv|wholecloud.net|ya3ale.com|zenexplayer.com|ziurim.eu|zona.plus
+$websocket,domain=123telugu.com|1q2w3.website|2giga.link|300mbfilms.co|a-o.ninja|adfreetv.ch|ajplugins.com|akvideo.stream|alltube.pl|alltube.tv|animeteatr.ru|bigspeeds.com|biter.tv|bitvid.sx|byter.tv|catrumahminimalis.me|centrum-dramy.pl|cloudtime.to|coinhub.win|crictime.com|crictime.is|ddmix.net|dekoder.ws|deltabit.co|djs.sk|drama-cool.me|estream.nu|estream.to|estream.xyz|extratorrent.cd|fileone.tv|filmstreamvk.site|flashx.cc|flashx.ws|fruitstreams.com|gofile.io|hdyayinmac1.com|hentai-online.pl|hq-porns.com|ianimes.co|ifrp.xyz|intactoffers.club|jkanime.net|kickass.cd|kinohabr.net|kinokongo.cc|kinokrad.co|kinoprofi.org|kinosha.cc|kinostuff.com|lafmacun.net|leitor.net|leon08.tk|leon12.tk|leon16.tk|lewd.ninja|logovo.net|love-drama.pl|mladipodnikatelia.sk|monero-miner.com|movie4k.is|mp3free.pw|myeffect.net|myfeed4u.net|netiap.com|nowvideo.sx|oload.info|oload.tv|onlinevideoconverter.com|openload.co|potomy.ru|povwideo.net|powvideo.net|protect-iframe.com|reactor.cc|reservedoffers.club|rus.ec|sherlockonline.ru|shrink-service.it|skyback.ru|sleeptimer.org|sorteosrd.com|streamango.com|streambeam.io|streamcherry.com|streamplay.me|streamplay.to|streamplay.top|szukajka.tv|tainies.online|theappguruz.com|thepiratebay.cr|thepiratebay.org|thepiratebay.red|thepiratebay.rocks|thevideo.cc|thevideo.ch|thevideo.io|thevideo.me|thevideo.us|thevideo.website|tokyodrift.ga|tubetitties.com|tvad.me|vidfile.net|vidgg.to|vidoza.net|vidto.me|vidto.se|vidtod.me|vidtodo.com|vidtodo.me|vidtodo.pro|vidtudu.com|vidup.me|vidzi.si|vidzi.tv|wearesaudis.net|wholecloud.net|ya3ale.com|zenexplayer.com|ziurim.eu|zona.plus
 $xmlhttprequest,domain=a-o.ninja|adfreetv.ch|alltube.pl|alltube.tv|auroravid.to|catrumahminimalis.me|ddmix.net|dekoder.ws|estream.to|flashx.cc|freecontent.stream|leon08.tk|leon12.tk|leon16.tk|myeffect.net|nowvideo.sx|onlinevideoconverter.com|powvideo.net|sleeptimer.org|sorteosrd.com|streambeam.io|streamplay.top|szukajka.tv|tainies.online|vidfile.net|vidgg.to|wholecloud.net
 ! regex
 /([0-9]{1,3}\.){3}[0-9]{1,3}.*(\/proxy|\.wasm|\.wsm|\.wa)$/$third-party,websocket
@@ -12820,6 +13191,9 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||flashx.*/bootstrap.min.js
 ||gus.host/coins.js
 ||piti.bplaced.net^
+||play.estream.nu^
+||play.estream.to^
+||play.estream.xyz^
 ||s*.site.flashx.
 ||shrink-service.it/js/cM.js
 ||stackpathdns.com/assets/javascript/cr.js
@@ -12830,6 +13204,10 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||vidto.me/*bootstrap.
 ||vidzi.tv/*bootstrap.
 ||worker.salon.com^
+! CSP Mining
+$csp=child-src 'none'; frame-src 'self' *; worker-src 'none',domain=fileone.tv|theappguruz.com
+$csp=child-src 'none'; frame-src *; worker-src 'none',domain=adfreetv.ch|ddmix.net|extratorrent.cd|gofile.io|hq-porns.com|intactoffers.club|kickass.cd|myfeed4u.net|reservedoffers.club|skyback.ru|szukajka.tv|thevideo.cc|thevideo.ch|thevideo.io|thevideo.me|thepiratebay.cr|thepiratebay.org|thepiratebay.red|thevideo.us|tvad.me|vidoza.net|vidup.me
+$csp=worker-src 'none',domain=300mbfilms.co|alltube.pl|alltube.tv|animeteatr.ru|bigspeeds.com|biter.tv|byter.tv|centrum-dramy.pl|coinhub.win|crictime.com|crictime.is|dekoder.ws|deltabit.co|estream.nu|estream.to|estream.xyz|filmonet.com|filmstreamvk.site|hentai-online.pl|hqq.tv|hqq.watch|ianimes.co|kinostuff.com|kinokongo.cc|lewd.ninja|love-drama.pl|movie4k.is|potomy.ru|powvideo.net|powvideo.net|reactor.cc|salon.com|sickrage.ca|sorteosrd.com|tokyodrift.ga|vidfile.net|vidto.me|vidto.se|vidtod.me|vidtodo.com|vidtodo.me|vidtodo.pro|vidtudu.com|wearesaudis.net|ya3ale.com|zenexplayer.com|ziurim.eu
 ! Preliminarily blocking Omniture s_code tracking scripts (versions H.25 - H.25.2) due to breakage (https://adblockplus.org/forum/viewtopic.php?f=10&t=11378)
 ||abc.com/service/gremlin/js/files/s_code.js?$domain=abc.go.com
 ||adobe.com^*/omniture_s_code.js
@@ -13014,6 +13392,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||cpxl.golem.de^
 ||dab-bank.de/img/dummy.gif
 ||dada.net^*/nedstat_sitestat.js
+||daenischesbettenlager.de/analytics.js
 ||daparto.de/track-
 ||dasoertliche.de/wws/
 ||dastelefonbuch.de^*/wws.js
@@ -13035,6 +13414,9 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||dw-eu.com.com^
 ||elektromobil-dresden.de/tinc?
 ||elitepartner.de/km/tcnt.do?
+||ens.luzernerzeitung.ch^
+||ens.nzz.ch^
+||ens.tagblatt.ch^
 ||event.dkb.de^
 ||express.de/analytics/
 ||extszm.web.de^
@@ -13180,6 +13562,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||trackerstatistik.init-ag.de^
 ||tracking.autoscout24.com^
 ||tracking.beilagen-prospekte.de^
+||tracking.finanzen.net^
 ||tracking.hrs.de^
 ||tracking.kurier.at^
 ||tracking.mobile.de^
@@ -13189,6 +13572,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||tracking.statravel.de^
 ||tracking.tchibo.de^
 ||tracksrv.zdf.de^
+||trck.meinprospekt.de^
 ||ts.faz.net^
 ||ts.otto.de^
 ||ts.rtl.de^
@@ -13234,6 +13618,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||dm.journaldesfemmes.com^
 ||dm.journaldunet.com^
 ||dm.linternaute.com^
+||ea.celio.com^
 ||ea.clubic.com^
 ||ea.jeuxvideopc.com^
 ||ea.lexpress.fr^
@@ -13565,6 +13950,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||paginegialle.it/cgi-bin/getcod.cgi?
 ||paginegialle.it/cgi-bin/jimpres.cgi?
 ||pornolupo.org/track.js
+||sa.sky.it^
 ||seat.it/cgi-bin/getcod.cgi?
 ||servizi.unionesarda.it/controlli/
 ||siteinfo.libero.it^
@@ -13616,6 +14002,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||count.munhwa.com^
 ||gather.hankyung.com^
 ||hits.zdnet.co.kr^
+||log.sv.pandora.tv^
 ||naver.com/PostView.nhn?$image
 ||seoul.co.kr/weblog/
 ||track.tiara.daum.net^
@@ -13645,7 +14032,6 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ! Polish
 |http://x.o2.pl^
 ||analytics.gazeta.pl^
-||audycje.tokfm.pl^
 ||dot.wp.pl^
 ||entryhit.wp.pl^
 ||interia.pl^*/hit.
@@ -13668,6 +14054,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||lancenet.com.br/pw.js
 ||log.r7.com^
 ||logger.rm.uol.com.br^
+||logger.uol.com.br^
 ||metrics.uol.com.br^
 ||sapo.*/clk?u=
 ||sl.pt/wa.gif?
@@ -13675,6 +14062,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||tm.uol.com.br^
 ||tracker.bt.uol.com.br^
 ||tracker.publico.pt^
+||uai.com.br^*/analytics.js
 ||uol.com.br/stats?
 ||urchin.estadao.com.br^
 ! Russian
@@ -13715,9 +14103,11 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||ssp.rambler.ru^
 ||stat.api.2gis.ru^
 ||stat.lenta.ru^
+||stat.pravmir.ru^
 ||stat.russianfood.com^
 ||stat.woman-announce.ru^
 ||stats.lifenews.ru^
+||stats.mos.ru^
 ||superjob.ru/ws/
 ||sync.rambler.ru^
 ||tracker.tiu.ru^
@@ -13730,16 +14120,17 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ||24ur.com/bin/player/?mod=statistics&
 ||tracker.azet.sk^
 ! Spanish
+||abc.es/pixel/
 ||analytics.infobae.com^
 ||audiencies.ccma.cat^
+||bankinter.com/res/img/documento_cargado.gif?
 ||coletor.terra.com^
 ||esmas.com/scripts/esmas_stats.js
 ||estadisticas.lanacion.com.ar^
 ||estadonline.publiguias.cl^
 ||g.siliconweek.es^
 ||hits.antena3.com^
-||lanacion.com.ar/apw.js
-||lavozdegalicia.es/apw.js
+||pixel.europapress.net^
 ||stats.milenio.com^
 ||t13.cl/hit/
 ||terra.com.mx/js/metricspar_
@@ -13883,11 +14274,12 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||ad.crwdcntrl.net^$script,domain=cityam.com|investopedia.com
 @@||ad.zanox.com/ppc/$subdocument,domain=wisedock.at|wisedock.co.uk|wisedock.com|wisedock.de|wisedock.eu
 @@||adblockanalytics.com/ads.js|
+@@||addgene.org/headers/blat/js/analyze.js
 @@||adidas.com^*/adidasAnalytics.js?
 @@||adobedtm.com^*/mbox-contents-$script,domain=lenovo.com|newyorker.com|oprah.com|pnc.com|vanityfair.com|wired.com
 @@||adobedtm.com^*/s-code-$script
 @@||adobedtm.com^*/satellite-$script
-@@||adobedtm.com^*/satelliteLib-$script,domain=argos.co.uk|collegeboard.org|crackle.com|crimewatchdaily.com|directline.com|laredoute.co.uk|laredoute.com|lenovo.com|lowes.com|mastercard.us|monoprice.com|nbcnews.com|newyorker.com|oprah.com|pnc.com|realtor.com|redbull.tv|searspartsdirect.com|smooth.com.au|sonycrackle.com|stuff.co.nz|subaru.com|timewarnercable.com|vanityfair.com|wired.com
+@@||adobedtm.com^*/satelliteLib-$script,domain=argos.co.uk|collegeboard.org|crackle.com|crimewatchdaily.com|directline.com|jeep.com|laredoute.co.uk|laredoute.com|lenovo.com|lowes.com|mastercard.us|monoprice.com|nbcnews.com|newyorker.com|oprah.com|pnc.com|realtor.com|redbull.tv|searspartsdirect.com|smooth.com.au|sonycrackle.com|stuff.co.nz|subaru.com|timewarnercable.com|vanityfair.com|wired.com
 @@||adobetag.com/d2/$script,domain=thestar.com
 @@||adobetag.com^*/amc.js$script
 @@||adobetag.com^*/sitecatalyst.js$domain=hbf.com.au|seattlepi.com|tv.com
@@ -13935,6 +14327,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||app.instapage.com/ajax/$xmlhttprequest
 @@||app.link/_r?sdk=*&callback=$script,domain=npr.org
 @@||arcgis.com^*/heatmap.js
+@@||archive.softwareheritage.org^*/stat/counters/$xmlhttprequest
 @@||arkadiumhosted.com^*/google-analytics-logger.swf$object-subrequest
 @@||arstechnica.com/services/incr.php?*=interactions.adblock-annoy.click$xmlhttprequest
 @@||atdmt.com/ds/yusptsprtspr/
@@ -13954,6 +14347,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||barclays.co.uk/touchclarity/mbox.js
 @@||barclays.touchclarity.com^$domain=barclaycard.co.uk
 @@||bbc.co.uk/frameworks/nedstat/$script,~third-party
+@@||bbc.co.uk/radio/player/*/logger.js$script,~third-party
 @@||bbci.co.uk/bbcdotcom/*/script/av/emp/analytics.js$domain=bbc.co.uk
 @@||bbci.co.uk^*/comscore.js$domain=bbc.co.uk
 @@||bc.geocities.*/not_found/
@@ -13987,6 +14381,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||by.optimost.com^$domain=ft.com
 @@||c.microsoft.com/ms.js$domain=microsoft.com|store.office.live.com|xbox.com
 @@||c.mmcdn.net^*/flash/config/metrics.xml$domain=moshimonsters.com
+@@||c212.net^$image,domain=prnewswire.com
 @@||cache.nymag.com^*/clickability.js
 @@||canada.com/js/ooyala/comscore.js
 @@||canadiantire.ca^*/analytics.sitecatalyst.js
@@ -14072,6 +14467,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||dailyfinance.com/traffic/?
 @@||dailymail.co.uk/brightcove/tracking/ted3.js
 @@||darksky.net^*/analytics.js$script,~third-party
+@@||ddmcdn.com^*/comscore.streaming.$script,domain=www.tlc.com
 @@||deals.nextag.com^*/ClickTracker.jsp
 @@||debenhams.com/foresee/foresee-trigger.js
 @@||demandbase.com^*/ip.json?$xmlhttprequest,domain=vmware.com
@@ -14091,6 +14487,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||dplay.com^*/comscore.streaming.min.js
 @@||dplay.com^*/google_analytics.js
 @@||dpm.demdex.net/id?$script,domain=gamespot.com
+@@||dpm.demdex.net/id?$xmlhttprequest,domain=foxnews.com
 @@||dtdc.in/tracking/tracking_results_$subdocument,domain=dtdc.com
 @@||dw.cbsi.com/anonc.js$domain=cnet.com|gamespot.com|giantbomb.com
 @@||dw.cbsi.com/js/dw.js$domain=cnet.com
@@ -14128,7 +14525,6 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||faostat3.fao.org^*/google-analytics-manager.js
 @@||fccbrea.org^*/swfaddress.js
 @@||fifa.com^*/webanalytics.js?
-@@||files.bbci.co.uk/echo-client-js/$script
 @@||firstdirect.com^*/logging-code.js
 @@||fitloop.co/packages/GAnalytics.js?
 @@||flagshipmerchantservices.com/clickpathmedia.js
@@ -14181,7 +14577,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||google.com/js/gweb/analytics/$domain=google.com
 @@||google.com/js/gweb/analytics/autotrack.js$domain=gradleplease.appspot.com
 @@||google.com/js/gweb/analytics/doubletrack.js$domain=android.com
-@@||googletagmanager.com/gtm.js?$domain=airasia.com|asus.com|bhaskar.com|broadcom.com|computerworlduk.com|desigual.com|drumstick.com|ebuyer.com|elevationscu.com|gamepix.com|git-tower.com|google.com|itv.com|jobs.net|keygames.com|magicjack.com|moviefone.com|nestio.com|newsy.com|optus.com.au|rebtel.com|rockstargames.com|rollingstone.com|rozetka.com.ua|sixflags.com|support.amd.com|talktalk.co.uk|techradar.com|toto.co.jp|usmagazine.com
+@@||googletagmanager.com/gtm.js?$domain=adsoup.com|airasia.com|asus.com|bhaskar.com|broadcom.com|computerworlduk.com|desigual.com|drumstick.com|ebuyer.com|elevationscu.com|gamepix.com|git-tower.com|google.com|itv.com|jobs.net|keygames.com|magicjack.com|moviefone.com|nestio.com|newsy.com|optus.com.au|rebtel.com|rockstargames.com|rollingstone.com|rozetka.com.ua|sixflags.com|support.amd.com|talktalk.co.uk|techradar.com|toto.co.jp|usmagazine.com
 @@||googletagmanager.com/gtm.js?id=GTM-5D256R&l=aedataLayer^
 @@||googletagservices.com/tag/js/gpt.js$domain=speedtest.net
 @@||gorillanation.com/js/triggertag.js$domain=comingsoon.net|playstationlifestyle.net
@@ -14206,6 +14602,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||hotwirestatic.com^*/opinionLab.js$domain=hotwire.com
 @@||i.s-microsoft.com/wedcs/ms.js$domain=skype.com
 @@||ibis.com/scripts-*/xtanalyzer_roi.js
+@@||ibispaint.com/js/googleAnalytics.js
 @@||ibm.com/software/reports/compatibility/clarity-reports/js/$script,~third-party
 @@||images-iherb.com/js/ga-pro*.js$domain=iherb.com
 @@||img.en25.com/eloquaimages/clients/PentonMediaInc/$image,domain=windowsitpro.com
@@ -14218,6 +14615,8 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||imrworldwide.com^*/swfobject.js
 @@||imwx.com/jsRollup?$script,domain=weather.com
 @@||inazuma.co/campaign/js/heatmap.js$domain=monopoly.mcdonalds.co.uk
+@@||innovelsolutions.com/innovel-services/api/tracking/$~third-party
+@@||innovelsolutions.com/views/partials/tracking/tracking.html$~third-party
 @@||intel.com^*/angular-google-analytics.js
 @@||iocdn.coremetrics.com^*.js?V=$domain=24ace.co.uk
 @@||iocdn.coremetrics.com^*/io_config.js?ts=$domain=24ace.co.uk
@@ -14274,7 +14673,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||maxmind.com/app/country.js$domain=lenovo.com|nationalgeographic.com|paypal.fr
 @@||maxmind.com/geoip/v2.0/country/$xmlhttprequest,domain=elgato.com
 @@||maxmind.com^*/geoip.js$domain=aljazeera.com|ballerstatus.com|bikemap.net|carltonjordan.com|cashu.com|coolsport.tv|dereon.com|dr.dk|everydaysource.com|fab.com|girlgames4u.com|incgamers.com|ip-address.cc|maaduu.com|qatarairways.com|sat-direction.com|sotctours.com|stoli.com|vibe.com
-@@||maxmind.com^*/geoip2.js$domain=elgato.com|fallout4.com|metronews.ca|mtv.com.lb|runningheroes.com|teslamotors.com
+@@||maxmind.com^*/geoip2.js$domain=boostedboards.com|elgato.com|fallout4.com|metronews.ca|mtv.com.lb|runningheroes.com|teslamotors.com
 @@||mec.ca/media/javascript/resxclsx.js
 @@||media-imdb.com^*/clickstream.js
 @@||media.ft.com/j/optimost-$domain=ft.com
@@ -14315,7 +14714,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||msn.com/c.gif?rid=$image,domain=my.msn.com
 @@||munchkin.marketo.net/munchkin.js
 @@||musicvideogenome.com/javascripts/stats.js
-@@||mxpnl.com/libs/mixpanel-*.min.js$domain=change.org|greentoe.com|intuit.com|nbc.com|thefrisky.com
+@@||mxpnl.com/libs/mixpanel-*.min.js$domain=change.org|frigidaire.com|greentoe.com|intuit.com|nbc.com|thefrisky.com
 @@||mxpnl.com^$domain=mixpanel.com
 @@||mybuys.com/webrec/wr.do?
 @@||mycokerewards.com^*/webtrends/mcr3-webtrends_POST_$script
@@ -14445,7 +14844,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||sahibinden.com/assets/analytics*.js$script
 @@||samepage.io/assets/lib/google-analytics/GoogleAnalytics.js?
 @@||sbstatic.com.au/js/tealium.js$domain=sportsbet.com.au
-@@||scorecardresearch.com/beacon.js$domain=agame.com|ahmedabadmirror.com|allmusic.com|allrecipes.com|amctv.com|apl.tv|babycenter.com|bonappetit.com|calgaryherald.com|canada.com|cbc.ca|dailymail.co.uk|deviantart.com|discovery.com|edmontonjournal.com|fastcompany.com|financialpost.com|firstwefeast.com|hitfix.com|huffingtonpost.com|indiatimes.com|landandfarm.com|last.fm|leaderpost.com|m.tmz.com|montrealgazette.com|nationalpost.com|newsday.com|ottawacitizen.com|outsideonline.com|radaronline.com|salon.com|sci2.tv|syfy.com|theprovince.com|thestar.com|thestarphoenix.com|thinkatheist.com|tmz.com|v3.co.uk|vancouversun.com|windsorstar.com
+@@||scorecardresearch.com/beacon.js$domain=agame.com|ahmedabadmirror.com|allmusic.com|allrecipes.com|amctv.com|apl.tv|babycenter.com|bonappetit.com|calgaryherald.com|canada.com|cbc.ca|dailymail.co.uk|deviantart.com|discovery.com|edmontonjournal.com|fastcompany.com|financialpost.com|firstwefeast.com|hitfix.com|huffingtonpost.com|indiatimes.com|investigationdiscovery.com|landandfarm.com|last.fm|leaderpost.com|m.tmz.com|montrealgazette.com|nationalpost.com|newsday.com|ottawacitizen.com|outsideonline.com|radaronline.com|salon.com|sci2.tv|syfy.com|theprovince.com|thestar.com|thestarphoenix.com|thinkatheist.com|tlc.com|tmz.com|v3.co.uk|vancouversun.com|windsorstar.com
 @@||scorecardresearch.com/c2/plugins/streamsense_plugin_html5.js
 @@||scorecardresearch.com/c2/plugins/streamsense_plugin_theplatform.js
 @@||scorecardresearch.com/crossdomain.xml$domain=rte.ie
@@ -14503,6 +14902,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||tags.bkrtx.com/js/bk-coretag.js$domain=mlb.com
 @@||tags.bluekai.com/site/*?ret=$subdocument,domain=mlb.com|zillow.com
 @@||tags.crwdcntrl.net^$script,domain=indiatimes.com|weather.com
+@@||tags.news.com.au/prod/metrics/metrics.js$script,~third-party
 @@||tags.w55c.net/rs?*&t=marketing$image
 @@||tc.bankofamerica.com/c?
 @@||ted.com/decor/javascript/magnify_stats.js
@@ -14516,6 +14916,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||thestreet-static.com/video/js/kGoogleAnalytics.js?
 @@||thetenthwatch.com/js/tracking.js$~third-party
 @@||ticketm.net^*/click_track.js
+@@||tools.usps.com/go/scripts/tracking.js
 @@||toshiba.com/images/track/track.gif?track=load&$xmlhttprequest,domain=start.toshiba.com
 @@||toyota.com/analytics/recall_af.js$domain=toyota.com
 @@||track.adform.net/serving/scripts/trackpoint/$script,domain=strokekampanjen.se|tigerofsweden.com
@@ -14534,6 +14935,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||trutv.com/ui/scripts/coffee/modules/analytics/click-tracker.js$script
 @@||turner.com/cnn/*/video/chartbeat.js$domain=cnn.com
 @@||turner.com^*/aspenanalytics.xml$domain=cnn.com
+@@||tw.cx/c?a=$xmlhttprequest,domain=justwatch.com
 @@||twimg.com/googleanalytics/analytics.js$script,domain=twitter.com
 @@||uefa.com/inc/js/core/projects/statistics/statistics.js?$script
 @@||uefa.com^*/chartbeat-trending-carousel.js
@@ -14625,6 +15027,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||yimg.com^*/ywa.js$domain=nydailynews.com|travelscream.com|yahoo.com
 @@||ynet.co.il/Common/App/Video/Gemius/gstream.js
 @@||ynetnews.com/Common/App/Video/Gemius/gstream.js
+@@||youbora.com/*/js/adapters/jwplayer$script
 @@||youtube.com/api/analytics/$~third-party
 @@||youtube.com/api/stats/watchtime?$image,domain=youtube.com
 @@||zappos.com/js/trackingPixel/mercentTracker.js
@@ -14633,6 +15036,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||zynga.com/current/iframe/track.php?$domain=apps.facebook.com
 ! Mining-related whitelists
 @@||alltube.tv/jsverify.php$~third-party,xmlhttprequest
+@@||broadcastt.xyz/apps/$websocket
 @@||onlinevideoconverter.com/webservice|$~third-party,xmlhttprequest
 @@||szukajka.tv/jsverify.php$~third-party,xmlhttprequest
 @@||szukajka.tv/szukaj|$~third-party,xmlhttprequest
@@ -14768,7 +15172,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ! French
 @@||actiris.be/urchin.js
 @@||actiris.be^*/urchin.js
-@@||adobedtm.com^*/satelliteLib-$script,domain=icimusique.ca|laredoute.be|laredoute.ch|laredoute.fr|nrj.fr
+@@||adobedtm.com^*/satelliteLib-$script,domain=icimusique.ca|laredoute.be|laredoute.ch|laredoute.fr|nrj.fr|tou.tv
 @@||adyoulike.omnitagjs.com^$script,domain=dl.free.fr
 @@||analytics.belgacom.be/tms/loader.js$domain=proximus.be
 @@||analytics.ladmedia.fr/parismatch/xtcore_mod2.js$domain=parismatch.com
@@ -14889,6 +15293,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 ! Italian
 @@||adobedtm.com^*/satelliteLib-$script,domain=laredoute.it
 @@||adobetag.com/d2/telecomitalia/live/Aggregato119TIM.js$domain=tim.it
+@@||analytics.edgekey.net/ma_library/javascript/javascript_malibrary.js$domain=hbsmediasetit.deltatre.net
 @@||androidgalaxys.net/wp-content/plugins/*/google-analyticator/$script
 @@||beppegrillo.it/mt-static/js/ga_social_tracking.js
 @@||codicebusiness.shinystat.com/cgi-bin/getcod.cgi?$script,domain=grazia.it|panorama-auto.it|panorama.it
@@ -14965,7 +15370,6 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||alfadirect.ru/api/analytics/latest?$~third-party,xmlhttprequest
 @@||boxberry.ru/bitrix/templates/main.adaptive/js/tracking.js
 @@||boxberry.ru/tracking.service/
-@@||crazypanda.ru/m/js/social-$script,domain=crazypanda.ru
 @@||criteo.net/js/ld/publishertag.js$domain=novayagazeta.ru
 @@||dict.rambler.ru/fcgi-bin/$xmlhttprequest,domain=rambler.ru
 @@||google-analytics.com/analytics.js$domain=nabortu.ru|poiskstroek.ru
@@ -14980,6 +15384,7 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||online.bcs.ru^*/piwik.bcs.js$script
 @@||player.fc-zenit.ru/msi/geoip?$xmlhttprequest
 @@||player.vgtrk.com/js/stat.js?
+@@||rtr-vesti.ru/pvc_cdn/js/stat.js$domain=player.vgtrk.com
 @@||ssp.rambler.ru/acp/capirs_main.$script,domain=afisha.ru
 @@||ssp.rambler.ru/capirs.js$domain=afisha.ru
 @@||swa.mail.ru/cgi-bin/counters?$script
@@ -15018,10 +15423,12 @@ $xmlhttprequest,domain=a-o.ninja|adfreet
 @@||turkcelltvplus.com.tr^*/google_analytics/main.js?
 @@||tvyo.com/player/plugins/comscorePlugin.swf?$object-subrequest
 ! Ukrainian
+@@||akamaized.net^*/js/tracking/ninja.js$script,domain=olx.ua
 @@||bemobile.ua/lib/lib.js$domain=tsn.ua
 @@||gemius.pl/gplayer.js$domain=tsn.ua
+@@||googletagmanager.com/gtm.js$script,domain=olx.ua
+@@||ninja.onap.io/ninja-cee.js$script,domain=olx.ua
 @@||uaprom.net/image/blank.gif?$image
 @@||ukrposhta.ua/js/tracking.js
 ! Anti-Adblock
 @@|http://r.i.ua/s?*&p*&l$image,domain=swordmaster.org
-! Checksum: ZFLRjeT/gBoZuf3Gy4cx0w
diff -pruN 1.16.14+dfsg-1/uAssets/thirdparties/hosts-file.net/ad_servers.txt 1.17.0+dfsg-2/uAssets/thirdparties/hosts-file.net/ad_servers.txt
--- 1.16.14+dfsg-1/uAssets/thirdparties/hosts-file.net/ad_servers.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/thirdparties/hosts-file.net/ad_servers.txt	2018-10-10 09:19:19.000000000 +0000
@@ -14402,6 +14402,7 @@
 127.0.0.1	ad.gr.doubleclick.net
 127.0.0.1	ad.grafika.cz
 127.0.0.1	ad.gt.doubleclick.net
+127.0.0.1	ad.highsearch.co.kr
 127.0.0.1	ad.hk.doubleclick.net
 127.0.0.1	ad.hodomobile.com
 127.0.0.1	ad.hornymatches.com
@@ -14519,6 +14520,7 @@
 127.0.0.1	ad.piximedia.com
 127.0.0.1	ad.pixnet.net
 127.0.0.1	ad.pl.doubleclick.net
+127.0.0.1	ad.planclick.co.kr
 127.0.0.1	ad.preferances.com
 127.0.0.1	ad.prismamediadigital.com
 127.0.0.1	ad.propellerads.com
@@ -15844,6 +15846,7 @@
 127.0.0.1	adan1.xtendmedia.com
 127.0.0.1	adaos-ads.net
 127.0.0.1	adap.tv
+127.0.0.1	adapi.inlcorp.com
 127.0.0.1	adaroo.go2cloud.org
 127.0.0.1	adart.go2cloud.org
 127.0.0.1	adattract.go2cloud.org
@@ -16698,6 +16701,7 @@
 127.0.0.1	ads.exactdrive.com
 127.0.0.1	ads.examiner.net
 127.0.0.1	ads.exchange-it.com
+127.0.0.1	ads.exdynsrv.com
 127.0.0.1	ads.exoclick.com
 127.0.0.1	ads.expatinbulgaria.com
 127.0.0.1	ads.expedia.com
@@ -18100,7 +18104,6 @@
 127.0.0.1	adserving.hugecpm.com
 127.0.0.1	adserving.localpages.com
 127.0.0.1	adserving.mediatrafficreports.com
-127.0.0.1	adserving.pro
 127.0.0.1	adserving.supreme.clicksor.com
 127.0.0.1	adserving.uniquetrafficgroup.com
 127.0.0.1	adservinginternational.com
@@ -19102,6 +19105,7 @@
 127.0.0.1	analytics.supplyframe.com
 127.0.0.1	analytics.teespring.com
 127.0.0.1	analytics.themarketiq.com
+127.0.0.1	analytics.theminersunion.com
 127.0.0.1	analytics.thingx.tv
 127.0.0.1	analytics.traidnt.net
 127.0.0.1	analytics.traviangames.com
@@ -19288,6 +19292,7 @@
 127.0.0.1	api.target.smi2.net
 127.0.0.1	api.testrequest.info
 127.0.0.1	api.thetrafficstat.net
+127.0.0.1	api.traversedlp.com
 127.0.0.1	api.tweetmeme.com
 127.0.0.1	api.umbel.com
 127.0.0.1	api.umeng.com
@@ -20755,6 +20760,7 @@
 127.0.0.1	bardzomedia.com
 127.0.0.1	bargainingayzgdp.download
 127.0.0.1	bargainpda.us.intellitxt.com
+127.0.0.1	bariebenefit.com
 127.0.0.1	barium.cheezdev.com
 127.0.0.1	barnyardszjvrvndj.download
 127.0.0.1	barrelfulstwhxuuum.download
@@ -22793,6 +22799,7 @@
 127.0.0.1	canwest.112.207.net
 127.0.0.1	canwest.112.2o7.net
 127.0.0.1	canwestdose.112.2o7.net
+127.0.0.1	capquestglobal.com
 127.0.0.1	caprewards.go2cloud.org
 127.0.0.1	capsizalsoxdxke.download
 127.0.0.1	captivau.go2affise.com
@@ -23282,6 +23289,7 @@
 127.0.0.1	channel4.com.112.2o7.net
 127.0.0.1	channeltraffic.net
 127.0.0.1	chapdyn.bidsystem.com
+127.0.0.1	charmour.club
 127.0.0.1	chart.superstats.com
 127.0.0.1	chartaca.com.s3.amazonaws.com
 127.0.0.1	chartboost.com
@@ -23326,6 +23334,7 @@
 127.0.0.1	chippingswbhhaxf.download
 127.0.0.1	choice.demdex.net
 127.0.0.1	choice.microsoft.com
+127.0.0.1	choices.trustarc.com
 127.0.0.1	choices.truste.com
 127.0.0.1	chokoladsrv.net
 127.0.0.1	chope-co.b.appier.net
@@ -23747,6 +23756,7 @@
 127.0.0.1	cmn1lsm2.beliefnet.com
 127.0.0.1	cmn1lsm3.beliefnet.com
 127.0.0.1	cmn1lsm4.beliefnet.com
+127.0.0.1	cmp.entertainmentcrave.com
 127.0.0.1	cmp.us.intellitxt.com
 127.0.0.1	cmpdotnetjunkiescom.112.2o7.net
 127.0.0.1	cmpglobalvista.112.2o7.net
@@ -25300,6 +25310,7 @@
 127.0.0.1	cpajizz.go2cloud.org
 127.0.0.1	cpalead.com
 127.0.0.1	cpanel.nativeads.com
+127.0.0.1	cpapointer.com
 127.0.0.1	cpaprohits.com
 127.0.0.1	cparevenue.go2cloud.org
 127.0.0.1	cparussia.go2cloud.org
@@ -25334,7 +25345,6 @@
 127.0.0.1	cpmstatsart.com
 127.0.0.1	cpmtips.com
 127.0.0.1	cpmtown.com
-127.0.0.1	cpmtrip.com
 127.0.0.1	cpolixyndenisles.review
 127.0.0.1	cpro.baidu.com
 127.0.0.1	cpro.baidustatic.com
@@ -25758,7 +25768,6 @@
 127.0.0.1	da.feedsportal.com
 127.0.0.1	da.virginmedia.com
 127.0.0.1	da5c8.voluumtrk.com
-127.0.0.1	da60995df247712.com
 127.0.0.1	daaa.ero-advertising.com
 127.0.0.1	dacgb.voluumtrk.com
 127.0.0.1	daea.ero-advertising.com
@@ -25988,6 +25997,7 @@
 127.0.0.1	delivery.optimatic.com
 127.0.0.1	delivery.preprod.trafficjunky.net
 127.0.0.1	delivery.swid.switchads.com
+127.0.0.1	delivery.switchadhub.com
 127.0.0.1	delivery.trafficbroker.com
 127.0.0.1	delivery.trafficforce.com
 127.0.0.1	delivery.trafficjunky.net
@@ -26157,7 +26167,6 @@
 127.0.0.1	display.adsender.us
 127.0.0.1	display.online-adnetwork.com
 127.0.0.1	display.provenpixel.com
-127.0.0.1	display.ugc.bazaarvoice.com
 127.0.0.1	displayad.layer-ad.org
 127.0.0.1	displayadserv.adsimilate.com
 127.0.0.1	displayadsmedia.com
@@ -26366,6 +26375,7 @@
 127.0.0.1	drivotracker.com
 127.0.0.1	drogomet.com
 127.0.0.1	droguevnmkkti.download
+127.0.0.1	drosstik.com
 127.0.0.1	drp60gfj3y9kn.cloudfront.net
 127.0.0.1	drrey.voluumtrk.com
 127.0.0.1	drtserver.com
@@ -26542,6 +26552,7 @@
 127.0.0.1	easyscopes.net
 127.0.0.1	easyspace.com
 127.0.0.1	eat-travel.apx.appier.net
+127.0.0.1	eatthis.com
 127.0.0.1	eb0ej.voluumtrk.com
 127.0.0.1	ebao.duba.net
 127.0.0.1	ebay.northernhost.com
@@ -27338,6 +27349,7 @@
 127.0.0.1	fillymedia.go2affise.com
 127.0.0.1	filmboxlive.go2cloud.org
 127.0.0.1	filmforcedvd.ign.us.intellitxt.com
+127.0.0.1	filter.adexchangemedia.xyz
 127.0.0.1	filter.online-adnetwork.com
 127.0.0.1	filter.onwardclick.com
 127.0.0.1	filtertest.2cnt.net
@@ -28194,6 +28206,7 @@
 127.0.0.1	ganoinihrjk.download
 127.0.0.1	gao.go2cloud.org
 127.0.0.1	garbo.2cnt.net
+127.0.0.1	garlanca.com
 127.0.0.1	garnishersqcltox.download
 127.0.0.1	garrigueatcuw.download
 127.0.0.1	garristo.com
@@ -28494,6 +28507,7 @@
 127.0.0.1	go.clicktrackopt.com
 127.0.0.1	go.coxds.com
 127.0.0.1	go.deliverymodo.com
+127.0.0.1	go.doupat.xyz
 127.0.0.1	go.feedxfeed.com
 127.0.0.1	go.goroost.com
 127.0.0.1	go.hd-3.com
@@ -28573,6 +28587,7 @@
 127.0.0.1	goodbookbook.com
 127.0.0.1	gooddata.com
 127.0.0.1	goodiemob.com
+127.0.0.1	goodsavingtips.com
 127.0.0.1	goodtraffic.net
 127.0.0.1	google-analytics.com
 127.0.0.1	googleads.g.doubleclick.net
@@ -28897,7 +28912,6 @@
 127.0.0.1	henbaneypgvxgt.download
 127.0.0.1	herbisttjojeo.download
 127.0.0.1	hernando.com
-127.0.0.1	hetsedryropt.com
 127.0.0.1	hexacash.com
 127.0.0.1	heywire.com
 127.0.0.1	heyzap.com
@@ -29074,7 +29088,6 @@
 127.0.0.1	hosting.sproutbuilder.com
 127.0.0.1	hosting2.rts.lj.doublepimp.com
 127.0.0.1	hosting4.rts.fling.doublepimp.com
-127.0.0.1	hostpedia.ro
 127.0.0.1	hotdatinglist.com
 127.0.0.1	hotex.voluumtrk.com
 127.0.0.1	hotheadedwrkqqsm.download
@@ -29170,6 +29183,7 @@
 127.0.0.1	hxnfk.voluumtrk.com
 127.0.0.1	hxpwl.voluumtrk.com
 127.0.0.1	hybl9bazbc35.pflexads.com
+127.0.0.1	hybridview.co.kr
 127.0.0.1	hybtq.voluumtrk.com
 127.0.0.1	hyield.jmp9.com
 127.0.0.1	hym.albinass.com
@@ -29421,7 +29435,6 @@
 127.0.0.1	im.b2a2cd00.885d48e.ads.a4cdn.contentabc.com
 127.0.0.1	im.b2a2cd00.92bde07.ads.a4cdn.contentabc.com
 127.0.0.1	im.ov.yahoo.co.jp
-127.0.0.1	im.rediff.com
 127.0.0.1	im.upromise.com
 127.0.0.1	im2.smartadserver.com
 127.0.0.1	ima3vpaid.appspot.com
@@ -30243,6 +30256,7 @@
 127.0.0.1	kalpit.go2cloud.org
 127.0.0.1	kalstats.kaltura.com
 127.0.0.1	kanoodle.com
+127.0.0.1	kaponetwo.com
 127.0.0.1	kargo.com
 127.0.0.1	kavanga.ru
 127.0.0.1	kb.2cnt.net
@@ -30915,7 +30929,6 @@
 127.0.0.1	lp.stargames.com
 127.0.0.1	lp.webgame.web.id
 127.0.0.1	lpm-20minutes.nuggad.net
-127.0.0.1	lprptestrouter2.website
 127.0.0.1	lptag.liveperson.net
 127.0.0.1	lpvzq.voluumtrk.com
 127.0.0.1	lqckn.voluumtrk.com
@@ -31687,6 +31700,7 @@
 127.0.0.1	money.2cnt.net
 127.0.0.1	money4exit.de
 127.0.0.1	moneyempire.go2cloud.org
+127.0.0.1	moneymakercdn.com
 127.0.0.1	moneyup.justclick.ru
 127.0.0.1	mongoosemetrics.com
 127.0.0.1	monitor-old.adition.com
@@ -32868,6 +32882,7 @@
 127.0.0.1	p.ato.mx
 127.0.0.1	p.chango.com
 127.0.0.1	p.chartboost.com
+127.0.0.1	p.cpaoa.org
 127.0.0.1	p.cpx.to
 127.0.0.1	p.cpxinteractive.com
 127.0.0.1	p.ctasnet.com
@@ -34057,6 +34072,7 @@
 127.0.0.1	ranksider.com
 127.0.0.1	rankyou.com
 127.0.0.1	rapdirt.us.intellitxt.com
+127.0.0.1	rapid-cdn.com
 127.0.0.1	rapleaf.com
 127.0.0.1	raplz.voluumtrk.com
 127.0.0.1	rareru.ru
@@ -34404,7 +34420,6 @@
 127.0.0.1	roomkey.d1.sc.omtrdc.net
 127.0.0.1	rootzwiki.us.intellitxt.com
 127.0.0.1	ropnqabtmaths.review
-127.0.0.1	ropretratspar.com
 127.0.0.1	roritabo.com
 127.0.0.1	rose.ixbt.com
 127.0.0.1	rosettastone.tt.omtrdc.net
@@ -34725,6 +34740,8 @@
 127.0.0.1	sact.atdmt.com
 127.0.0.1	sad1.adriver.ru
 127.0.0.1	sadv.dadapro.com
+127.0.0.1	safarids.com
+127.0.0.1	safe.net-az83.stream
 127.0.0.1	safelinking.net
 127.0.0.1	safelinktracker.com
 127.0.0.1	safelists.com
@@ -35155,7 +35172,6 @@
 127.0.0.1	seth.avazutracking.net
 127.0.0.1	setihome.com
 127.0.0.1	seto.createsend.com
-127.0.0.1	setswinners.trade
 127.0.0.1	settings-sandbox.data.microsoft.com
 127.0.0.1	settings-win.data.microsoft.com
 127.0.0.1	seu.cleverreach.com
@@ -36430,7 +36446,6 @@
 127.0.0.1	tags.msnbc.com
 127.0.0.1	tags.news.com.au
 127.0.0.1	tags.pixnet.net
-127.0.0.1	tags.tiqcdn.com
 127.0.0.1	tags.topshareware.com
 127.0.0.1	tags.toroadvertising.com
 127.0.0.1	tagx.nytimes.com
@@ -36761,7 +36776,6 @@
 127.0.0.1	tools.bongacash.com
 127.0.0.1	tools.gfcash.com
 127.0.0.1	tools.hitbox.com
-127.0.0.1	tools.ip2location.com
 127.0.0.1	tools.kissmetrics.com
 127.0.0.1	tools.mobpartner.mobi
 127.0.0.1	tools.quicksprout.com
@@ -37458,7 +37472,6 @@
 127.0.0.1	twilightdata.com
 127.0.0.1	twinedigital.go2cloud.org
 127.0.0.1	twitter-badges.s3.amazonaws.com
-127.0.0.1	twoclickdeal.com
 127.0.0.1	twqlnorqcmesquite.review
 127.0.0.1	twsg21x6-22dcca05c0915aa0dad0a07273e7a3c5015ddc6d-am1.d.aa.online-metrix.net
 127.0.0.1	txel.snmmd.nl
@@ -37841,6 +37854,7 @@
 127.0.0.1	umbel.com
 127.0.0.1	umbs.ero-advertising.com
 127.0.0.1	umeng.com
+127.0.0.1	umprow.com
 127.0.0.1	ums.adtech.de
 127.0.0.1	unadvertising.info
 127.0.0.1	unboxingdotfb.download
@@ -41882,6 +41896,7 @@
 127.0.0.1	wallstreet.2cnt.net
 127.0.0.1	wallstreetprep.go2cloud.org
 127.0.0.1	walmartcom.112.2o7.net
+127.0.0.1	walmartsavingscatcher.com
 127.0.0.1	wamfebdvsabotier.review
 127.0.0.1	wan.duba.net
 127.0.0.1	wap-click.com
@@ -42709,6 +42724,7 @@
 127.0.0.1	www.amidmostewbvqcji.download
 127.0.0.1	www.amusive.com
 127.0.0.1	www.amylaseyaxvh.download
+127.0.0.1	www.analytics.theminersunion.com
 127.0.0.1	www.anapaestsgekcc.download
 127.0.0.1	www.anatomiseddybglcuku.download
 127.0.0.1	www.androtify.com
@@ -43134,6 +43150,7 @@
 127.0.0.1	www.cpadna1.com
 127.0.0.1	www.cpadoc.com
 127.0.0.1	www.cpagrip.com
+127.0.0.1	www.cpapointer.com
 127.0.0.1	www.cpatrac.com
 127.0.0.1	www.cpatrackr.com
 127.0.0.1	www.cpayard.com
@@ -43289,6 +43306,7 @@
 127.0.0.1	www.easycounter.com
 127.0.0.1	www.easyhitcounters.com
 127.0.0.1	www.easyhits4u.com
+127.0.0.1	www.eatthis.com
 127.0.0.1	www.ebtmarketing.com
 127.0.0.1	www.eclkmpbn.com
 127.0.0.1	www.eclkmpsa.com
@@ -43556,6 +43574,7 @@
 127.0.0.1	www.gogousenet.com
 127.0.0.1	www.golfcountryhomes.com
 127.0.0.1	www.gooddata.com
+127.0.0.1	www.goodsavingtips.com
 127.0.0.1	www.goodtraffic.net
 127.0.0.1	www.google-analytics.com
 127.0.0.1	www.google.com.1.302br.net
@@ -43693,6 +43712,7 @@
 127.0.0.1	www.hurricanedigitalmedia.com
 127.0.0.1	www.hvaevqkprtumorous.review
 127.0.0.1	www.hyalinizeslskzyp.download
+127.0.0.1	www.hybridview.co.kr
 127.0.0.1	www.hyperbanner.net
 127.0.0.1	www.hyperlinksecure.com
 127.0.0.1	www.hyphenszypdywo.download
@@ -43787,7 +43807,6 @@
 127.0.0.1	www.invariancewnbfwwro.download
 127.0.0.1	www.inviterdczpqji.download
 127.0.0.1	www.ioam.de
-127.0.0.1	www.ionizerojaqavkz.top
 127.0.0.1	www.iperceptions.com
 127.0.0.1	www.ipfingerprint.com
 127.0.0.1	www.ipfovdeqdenaries.review
@@ -43837,7 +43856,6 @@
 127.0.0.1	www.jmplink.com
 127.0.0.1	www.jmqqopacmilligram.review
 127.0.0.1	www.jmyyyjhnzpeaching.review
-127.0.0.1	www.jocksfxudg.top
 127.0.0.1	www.joelnhfuabrim.review
 127.0.0.1	www.jollingymkovt.download
 127.0.0.1	www.jowarinzqmiak.download
@@ -44004,7 +44022,6 @@
 127.0.0.1	www.lotame.com
 127.0.0.1	www.lowndestdhlpcpo.download
 127.0.0.1	www.loxtk.com
-127.0.0.1	www.lprptestrouter2.website
 127.0.0.1	www.lrrtslskippers.review
 127.0.0.1	www.lslfrhpqarechating.review
 127.0.0.1	www.luminate.com
@@ -44142,6 +44159,7 @@
 127.0.0.1	www.mondainefpjwdelvr.download
 127.0.0.1	www.monetisevideo.com
 127.0.0.1	www.money4exit.de
+127.0.0.1	www.moneymakercdn.com
 127.0.0.1	www.mongoosemetrics.com
 127.0.0.1	www.monteyxnmhx.download
 127.0.0.1	www.moonmarketing.com
@@ -44999,6 +45017,7 @@
 127.0.0.1	www.wagerersivrvnemu.download
 127.0.0.1	www.wahoha.com
 127.0.0.1	www.walkingsgzezhx.download
+127.0.0.1	www.walmartsavingscatcher.com
 127.0.0.1	www.wamfebdvsabotier.review
 127.0.0.1	www.wantstraffic.com
 127.0.0.1	www.wap.co.il
@@ -45553,6 +45572,7 @@
 127.0.0.1	ylu7k4i2o7.s.ad6media.fr
 127.0.0.1	yoc-performance.com
 127.0.0.1	yoclub.waphall.com
+127.0.0.1	yostatic.net
 127.0.0.1	yotefiles.com
 127.0.0.1	yottos.com
 127.0.0.1	you2mail.com
@@ -45560,7 +45580,6 @@
 127.0.0.1	younglingsbcjzvozva.download
 127.0.0.1	your.365advert.com
 127.0.0.1	youradexchange.com
-127.0.0.1	yourappmarket.com
 127.0.0.1	yourcartoons.com
 127.0.0.1	yourhitstats.com
 127.0.0.1	yourlondonbridge.go2cloud.org
@@ -45738,4 +45757,4 @@
 127.0.0.1	zzptzdhugavot.review
 127.0.0.1	zzz.clickbank.net
 127.0.0.1	_thums.ero-advertising.com
-# Hosts: 45730
+# Hosts: 45749
diff -pruN 1.16.14+dfsg-1/uAssets/thirdparties/publicsuffix.org/list/effective_tld_names.dat 1.17.0+dfsg-2/uAssets/thirdparties/publicsuffix.org/list/effective_tld_names.dat
--- 1.16.14+dfsg-1/uAssets/thirdparties/publicsuffix.org/list/effective_tld_names.dat	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/thirdparties/publicsuffix.org/list/effective_tld_names.dat	2018-10-10 09:19:19.000000000 +0000
@@ -381,8 +381,13 @@ gov.bm
 net.bm
 org.bm
 
-// bn : https://en.wikipedia.org/wiki/.bn
-*.bn
+// bn : http://www.bnnic.bn/faqs
+bn
+com.bn
+edu.bn
+gov.bn
+net.bn
+org.bn
 
 // bo : https://nic.bo/delegacion2015.php#h-1.10
 bo
@@ -546,6 +551,7 @@ niteroi.br
 not.br
 ntr.br
 odo.br
+ong.br
 org.br
 osasco.br
 palmas.br
@@ -1239,7 +1245,7 @@ tozsde.hu
 utazas.hu
 video.hu
 
-// id : https://register.pandi.or.id/
+// id : https://pandi.id/en/domain/registration-requirements/
 id
 ac.id
 biz.id
@@ -1250,6 +1256,7 @@ mil.id
 my.id
 net.id
 or.id
+ponpes.id
 sch.id
 web.id
 
@@ -3692,8 +3699,16 @@ jeonnam.kr
 seoul.kr
 ulsan.kr
 
-// kw : https://en.wikipedia.org/wiki/.kw
-*.kw
+// kw : https://www.nic.kw/policies/
+// Confirmed by registry <nic.tech@citra.gov.kw>
+kw
+com.kw
+edu.kw
+emb.kw
+gov.kw
+ind.kw
+net.kw
+org.kw
 
 // ky : http://www.icta.ky/da_ky_reg_dom.php
 // Confirmed by registry <kysupport@perimeterusa.com> 2008-06-17
@@ -8608,9 +8623,6 @@ itv
 // iveco : 2015-09-03 CNH Industrial N.V.
 iveco
 
-// iwc : 2014-06-23 Richemont DNS Inc.
-iwc
-
 // jaguar : 2014-11-13 Jaguar Land Rover Ltd
 jaguar
 
@@ -8989,9 +9001,6 @@ men
 // menu : 2013-09-11 Wedding TLD2, LLC
 menu
 
-// meo : 2014-11-07 MEO Servicos de Comunicacoes e Multimedia, S.A.
-meo
-
 // merckmsd : 2016-07-14 MSD Registry Holdings, Inc.
 merckmsd
 
@@ -9634,9 +9643,6 @@ sanofi
 // sap : 2014-03-27 SAP AG
 sap
 
-// sapo : 2014-11-07 MEO Servicos de Comunicacoes e Multimedia, S.A.
-sapo
-
 // sarl : 2014-07-03 Binky Moon, LLC
 sarl
 
@@ -10642,9 +10648,6 @@ 广东
 // xn--zfr164b : 2013-11-08 China Organizational Name Administration Center
 政务
 
-// xperia : 2015-05-14 Sony Mobile Communications AB
-xperia
-
 // xyz : 2013-12-05 XYZ.COM LLC
 xyz
 
@@ -10737,6 +10740,7 @@ us-east-1.amazonaws.com
 // Amazon Elastic Beanstalk : https://aws.amazon.com/elasticbeanstalk/
 // Submitted by Luke Wells <psl-maintainers@amazon.com>
 cn-north-1.eb.amazonaws.com.cn
+cn-northwest-1.eb.amazonaws.com.cn
 elasticbeanstalk.com
 ap-northeast-1.elasticbeanstalk.com
 ap-northeast-2.elasticbeanstalk.com
@@ -12451,10 +12455,6 @@ spacekit.io
 // Submitted by Stefan Neufeind <info@speedpartner.de>
 customer.speedpartner.de
 
-// Stackspace : https://www.stackspace.io/
-// Submitted by Lina He <info@stackspace.io>
-stackspace.space
-
 // Storj Labs Inc. : https://storj.io/
 // Submitted by Philip Hutchins <hostmaster@storj.io>
 storj.farm
@@ -12533,7 +12533,7 @@ lima-city.rocks
 webspace.rocks
 lima.zone
 
-// TransIP : htts://www.transip.nl
+// TransIP : https://www.transip.nl
 // Submitted by Rory Breuk <rbreuk@transip.nl>
 *.transurl.be
 *.transurl.eu
diff -pruN 1.16.14+dfsg-1/uAssets/thirdparties/www.malwaredomainlist.com/hostslist/hosts.txt 1.17.0+dfsg-2/uAssets/thirdparties/www.malwaredomainlist.com/hostslist/hosts.txt
--- 1.16.14+dfsg-1/uAssets/thirdparties/www.malwaredomainlist.com/hostslist/hosts.txt	2018-08-09 07:43:38.000000000 +0000
+++ 1.17.0+dfsg-2/uAssets/thirdparties/www.malwaredomainlist.com/hostslist/hosts.txt	2018-10-10 09:19:19.000000000 +0000
@@ -1,6 +1,6 @@
 #               MalwareDomainList.com Hosts List           #
 #   http://www.malwaredomainlist.com/hostslist/hosts.txt   #
-#         Last updated: Thu, 07 Jun 18 06:58:43 +0000      #
+#         Last updated: Wed, 05 Sep 18 16:31:36 +0000      #
 
 
 127.0.0.1  localhost
@@ -274,7 +274,6 @@
 127.0.0.1  gyboo.cruisingsmallship.com
 127.0.0.1  gylra.cruisingsmallship.com
 127.0.0.1  h1666015.stratoserver.net
-127.0.0.1  hana-naveh.com
 127.0.0.1  hanulsms.com
 127.0.0.1  hardcorepornparty.com
 127.0.0.1  harshwhispers.com
